(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source |
  GRASShopper benchmarks.
  Authors: Ruzica Piskac, Thomas Wies, and Damien Zufferey
  URL: http://cs.nyu.edu/wies/software/grasshopper
  See also: GRASShopper - Complete Heap Verification with Mixed Specifications. In TACAS 2014, pages 124-139.

  If this benchmark is satisfiable, GRASShopper reports the following error message:
  tests/spl/sls/sls_merge_sort.spl:102:2-27:A postcondition of procedure merge_sort might not hold at this return point
  tests/spl/sls/sls_merge_sort.spl:93:10-26:Related location: This is the postcondition that might not hold
  |)
(set-info :category "crafted")
(set-info :status unsat)

(declare-sort Loc 0)
(declare-sort SetLoc 0)
(declare-sort SetInt 0)
(declare-sort FldBool 0)
(declare-sort FldLoc 0)
(declare-sort FldInt 0)
(declare-fun null$0 () Loc)
(declare-fun read$0 (FldInt Loc) Int)
(declare-fun read$1 (FldLoc Loc) Loc)
(declare-fun ep$0 (FldLoc SetLoc Loc) Loc)
(declare-fun emptyset$0 () SetLoc)
(declare-fun setenum$0 (Loc) SetLoc)
(declare-fun union$0 (SetLoc SetLoc) SetLoc)
(declare-fun intersection$0 (SetLoc SetLoc) SetLoc)
(declare-fun setminus$0 (SetLoc SetLoc) SetLoc)
(declare-fun Btwn$0 (FldLoc Loc Loc Loc) Bool)
(declare-fun Frame$0 (SetLoc SetLoc FldInt FldInt) Bool)
(declare-fun Frame$1 (SetLoc SetLoc FldLoc FldLoc) Bool)
(declare-fun in$0 (Loc SetLoc) Bool)
(declare-fun Alloc$0 () SetLoc)
(declare-fun Axiom_95$0 () Bool)
(declare-fun Axiom_96$0 () Bool)
(declare-fun Axiom_97$0 () Bool)
(declare-fun Axiom_98$0 () Bool)
(declare-fun Axiom_99$0 () Bool)
(declare-fun Axiom_100$0 () Bool)
(declare-fun Axiom_101$0 () Bool)
(declare-fun Axiom_102$0 () Bool)
(declare-fun Axiom_103$0 () Bool)
(declare-fun Axiom_104$0 () Bool)
(declare-fun Axiom_105$0 () Bool)
(declare-fun Axiom_106$0 () Bool)
(declare-fun Axiom_107$0 () Bool)
(declare-fun Axiom_108$0 () Bool)
(declare-fun Axiom_109$0 () Bool)
(declare-fun Axiom_110$0 () Bool)
(declare-fun Axiom_111$0 () Bool)
(declare-fun Axiom_112$0 () Bool)
(declare-fun FP$0 () SetLoc)
(declare-fun FP_5$0 () SetLoc)
(declare-fun FP_6$0 () SetLoc)
(declare-fun FP_7$0 () SetLoc)
(declare-fun FP_8$0 () SetLoc)
(declare-fun FP_9$0 () SetLoc)
(declare-fun FP_10$0 () SetLoc)
(declare-fun FP_11$0 () SetLoc)
(declare-fun FP_12$0 () SetLoc)
(declare-fun FP_Caller$0 () SetLoc)
(declare-fun FP_Caller_3$0 () SetLoc)
(declare-fun FP_Caller_final_6$0 () SetLoc)
(declare-fun data$0 () FldInt)
(declare-fun lseg_domain$0 (FldLoc Loc Loc) SetLoc)
(declare-fun lseg_struct$0 (SetLoc FldLoc Loc Loc) Bool)
(declare-fun next$0 () FldLoc)
(declare-fun next_5$0 () FldLoc)
(declare-fun next_6$0 () FldLoc)
(declare-fun next_7$0 () FldLoc)
(declare-fun next_8$0 () FldLoc)
(declare-fun res_11$0 () Loc)
(declare-fun res_12$0 () Loc)
(declare-fun res1_2$0 () Loc)
(declare-fun res2_2$0 () Loc)
(declare-fun sk_?X_196$0 () SetLoc)
(declare-fun sk_?X_197$0 () SetLoc)
(declare-fun sk_?X_198$0 () SetLoc)
(declare-fun sk_?X_199$0 () SetLoc)
(declare-fun sk_?X_200$0 () SetLoc)
(declare-fun sk_?X_201$0 () SetLoc)
(declare-fun sk_?X_202$0 () SetLoc)
(declare-fun sk_?X_203$0 () SetLoc)
(declare-fun sk_?X_204$0 () SetLoc)
(declare-fun sk_?X_205$0 () SetLoc)
(declare-fun sk_?X_206$0 () SetLoc)
(declare-fun sk_?X_207$0 () SetLoc)
(declare-fun sk_?X_208$0 () SetLoc)
(declare-fun sk_?X_209$0 () SetLoc)
(declare-fun sk_l1_8$0 () Loc)
(declare-fun sk_l2_8$0 () Loc)
(declare-fun slseg_domain$0 (FldInt FldLoc Loc Loc) SetLoc)
(declare-fun slseg_struct$0 (SetLoc FldInt FldLoc Loc Loc) Bool)
(declare-fun x$0 () Loc)
(declare-fun x1_2$0 () Loc)
(declare-fun x2_2$0 () Loc)

(assert (forall ((?y Loc))
        (or (not (Btwn$0 next$0 null$0 ?y ?y)) (= null$0 ?y)
            (Btwn$0 next$0 null$0 (read$1 next$0 null$0) ?y))))

(assert (forall ((?y Loc))
        (or (not (Btwn$0 next_5$0 null$0 ?y ?y)) (= null$0 ?y)
            (Btwn$0 next_5$0 null$0 (read$1 next_5$0 null$0) ?y))))

(assert (forall ((?y Loc))
        (or (not (Btwn$0 next_6$0 null$0 ?y ?y)) (= null$0 ?y)
            (Btwn$0 next_6$0 null$0 (read$1 next_6$0 null$0) ?y))))

(assert (forall ((?y Loc))
        (or (not (Btwn$0 next_7$0 null$0 ?y ?y)) (= null$0 ?y)
            (Btwn$0 next_7$0 null$0 (read$1 next_7$0 null$0) ?y))))

(assert (forall ((?y Loc))
        (or (not (Btwn$0 next_8$0 null$0 ?y ?y)) (= null$0 ?y)
            (Btwn$0 next_8$0 null$0 (read$1 next_8$0 null$0) ?y))))

(assert (forall ((?y Loc))
        (or (not (= (read$1 next$0 null$0) null$0))
            (not (Btwn$0 next$0 null$0 ?y ?y)) (= null$0 ?y))))

(assert (forall ((?y Loc))
        (or (not (= (read$1 next_5$0 null$0) null$0))
            (not (Btwn$0 next_5$0 null$0 ?y ?y)) (= null$0 ?y))))

(assert (forall ((?y Loc))
        (or (not (= (read$1 next_6$0 null$0) null$0))
            (not (Btwn$0 next_6$0 null$0 ?y ?y)) (= null$0 ?y))))

(assert (forall ((?y Loc))
        (or (not (= (read$1 next_7$0 null$0) null$0))
            (not (Btwn$0 next_7$0 null$0 ?y ?y)) (= null$0 ?y))))

(assert (forall ((?y Loc))
        (or (not (= (read$1 next_8$0 null$0) null$0))
            (not (Btwn$0 next_8$0 null$0 ?y ?y)) (= null$0 ?y))))

(assert (Btwn$0 next$0 null$0 (read$1 next$0 null$0) (read$1 next$0 null$0)))

(assert (Btwn$0 next_5$0 null$0 (read$1 next_5$0 null$0) (read$1 next_5$0 null$0)))

(assert (Btwn$0 next_6$0 null$0 (read$1 next_6$0 null$0) (read$1 next_6$0 null$0)))

(assert (Btwn$0 next_7$0 null$0 (read$1 next_7$0 null$0) (read$1 next_7$0 null$0)))

(assert (Btwn$0 next_8$0 null$0 (read$1 next_8$0 null$0) (read$1 next_8$0 null$0)))

(assert (or (not Axiom_112$0)
    (or (= (read$1 next$0 null$0) (read$1 next_5$0 null$0))
        (not (in$0 null$0 (setminus$0 Alloc$0 FP_5$0))))))

(assert (or (not Axiom_111$0)
    (forall ((?y Loc) (?z Loc))
            (or
                (and (Btwn$0 next$0 null$0 ?z ?y)
                     (Btwn$0 next_5$0 null$0 ?z ?y))
                (and (not (Btwn$0 next$0 null$0 ?z ?y))
                     (not (Btwn$0 next_5$0 null$0 ?z ?y)))
                (not
                     (or
                         (Btwn$0 next$0 null$0 ?y
                           (ep$0 next$0 FP_5$0 null$0))
                         (and (Btwn$0 next$0 null$0 ?y ?y)
                              (not
                                   (Btwn$0 next$0 null$0
                                     (ep$0 next$0 FP_5$0 null$0)
                                     (ep$0 next$0 FP_5$0 null$0))))))))))

(assert (or (not Axiom_111$0)
    (forall ((?y Loc) (?z Loc))
            (or
                (and (Btwn$0 next$0 res_12$0 ?z ?y)
                     (Btwn$0 next_5$0 res_12$0 ?z ?y))
                (and (not (Btwn$0 next$0 res_12$0 ?z ?y))
                     (not (Btwn$0 next_5$0 res_12$0 ?z ?y)))
                (not
                     (or
                         (Btwn$0 next$0 res_12$0 ?y
                           (ep$0 next$0 FP_5$0 res_12$0))
                         (and (Btwn$0 next$0 res_12$0 ?y ?y)
                              (not
                                   (Btwn$0 next$0 res_12$0
                                     (ep$0 next$0 FP_5$0 res_12$0)
                                     (ep$0 next$0 FP_5$0 res_12$0))))))))))

(assert (or (not Axiom_111$0)
    (forall ((?y Loc) (?z Loc))
            (or
                (and (Btwn$0 next$0 res1_2$0 ?z ?y)
                     (Btwn$0 next_5$0 res1_2$0 ?z ?y))
                (and (not (Btwn$0 next$0 res1_2$0 ?z ?y))
                     (not (Btwn$0 next_5$0 res1_2$0 ?z ?y)))
                (not
                     (or
                         (Btwn$0 next$0 res1_2$0 ?y
                           (ep$0 next$0 FP_5$0 res1_2$0))
                         (and (Btwn$0 next$0 res1_2$0 ?y ?y)
                              (not
                                   (Btwn$0 next$0 res1_2$0
                                     (ep$0 next$0 FP_5$0 res1_2$0)
                                     (ep$0 next$0 FP_5$0 res1_2$0))))))))))

(assert (or (not Axiom_111$0)
    (forall ((?y Loc) (?z Loc))
            (or
                (and (Btwn$0 next$0 res2_2$0 ?z ?y)
                     (Btwn$0 next_5$0 res2_2$0 ?z ?y))
                (and (not (Btwn$0 next$0 res2_2$0 ?z ?y))
                     (not (Btwn$0 next_5$0 res2_2$0 ?z ?y)))
                (not
                     (or
                         (Btwn$0 next$0 res2_2$0 ?y
                           (ep$0 next$0 FP_5$0 res2_2$0))
                         (and (Btwn$0 next$0 res2_2$0 ?y ?y)
                              (not
                                   (Btwn$0 next$0 res2_2$0
                                     (ep$0 next$0 FP_5$0 res2_2$0)
                                     (ep$0 next$0 FP_5$0 res2_2$0))))))))))

(assert (or (not Axiom_111$0)
    (forall ((?y Loc) (?z Loc))
            (or
                (and (Btwn$0 next$0 sk_l1_8$0 ?z ?y)
                     (Btwn$0 next_5$0 sk_l1_8$0 ?z ?y))
                (and (not (Btwn$0 next$0 sk_l1_8$0 ?z ?y))
                     (not (Btwn$0 next_5$0 sk_l1_8$0 ?z ?y)))
                (not
                     (or
                         (Btwn$0 next$0 sk_l1_8$0 ?y
                           (ep$0 next$0 FP_5$0 sk_l1_8$0))
                         (and (Btwn$0 next$0 sk_l1_8$0 ?y ?y)
                              (not
                                   (Btwn$0 next$0 sk_l1_8$0
                                     (ep$0 next$0 FP_5$0 sk_l1_8$0)
                                     (ep$0 next$0 FP_5$0 sk_l1_8$0))))))))))

(assert (or (not Axiom_111$0)
    (forall ((?y Loc) (?z Loc))
            (or
                (and (Btwn$0 next$0 sk_l2_8$0 ?z ?y)
                     (Btwn$0 next_5$0 sk_l2_8$0 ?z ?y))
                (and (not (Btwn$0 next$0 sk_l2_8$0 ?z ?y))
                     (not (Btwn$0 next_5$0 sk_l2_8$0 ?z ?y)))
                (not
                     (or
                         (Btwn$0 next$0 sk_l2_8$0 ?y
                           (ep$0 next$0 FP_5$0 sk_l2_8$0))
                         (and (Btwn$0 next$0 sk_l2_8$0 ?y ?y)
                              (not
                                   (Btwn$0 next$0 sk_l2_8$0
                                     (ep$0 next$0 FP_5$0 sk_l2_8$0)
                                     (ep$0 next$0 FP_5$0 sk_l2_8$0))))))))))

(assert (or (not Axiom_111$0)
    (forall ((?y Loc) (?z Loc))
            (or (and (Btwn$0 next$0 x$0 ?z ?y) (Btwn$0 next_5$0 x$0 ?z ?y))
                (and (not (Btwn$0 next$0 x$0 ?z ?y))
                     (not (Btwn$0 next_5$0 x$0 ?z ?y)))
                (not
                     (or (Btwn$0 next$0 x$0 ?y (ep$0 next$0 FP_5$0 x$0))
                         (and (Btwn$0 next$0 x$0 ?y ?y)
                              (not
                                   (Btwn$0 next$0 x$0
                                     (ep$0 next$0 FP_5$0 x$0)
                                     (ep$0 next$0 FP_5$0 x$0))))))))))

(assert (or (not Axiom_111$0)
    (forall ((?y Loc) (?z Loc))
            (or
                (and (Btwn$0 next$0 x1_2$0 ?z ?y)
                     (Btwn$0 next_5$0 x1_2$0 ?z ?y))
                (and (not (Btwn$0 next$0 x1_2$0 ?z ?y))
                     (not (Btwn$0 next_5$0 x1_2$0 ?z ?y)))
                (not
                     (or
                         (Btwn$0 next$0 x1_2$0 ?y
                           (ep$0 next$0 FP_5$0 x1_2$0))
                         (and (Btwn$0 next$0 x1_2$0 ?y ?y)
                              (not
                                   (Btwn$0 next$0 x1_2$0
                                     (ep$0 next$0 FP_5$0 x1_2$0)
                                     (ep$0 next$0 FP_5$0 x1_2$0))))))))))

(assert (or (not Axiom_111$0)
    (forall ((?y Loc) (?z Loc))
            (or
                (and (Btwn$0 next$0 x2_2$0 ?z ?y)
                     (Btwn$0 next_5$0 x2_2$0 ?z ?y))
                (and (not (Btwn$0 next$0 x2_2$0 ?z ?y))
                     (not (Btwn$0 next_5$0 x2_2$0 ?z ?y)))
                (not
                     (or
                         (Btwn$0 next$0 x2_2$0 ?y
                           (ep$0 next$0 FP_5$0 x2_2$0))
                         (and (Btwn$0 next$0 x2_2$0 ?y ?y)
                              (not
                                   (Btwn$0 next$0 x2_2$0
                                     (ep$0 next$0 FP_5$0 x2_2$0)
                                     (ep$0 next$0 FP_5$0 x2_2$0))))))))))

(assert (or (not Axiom_110$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 null$0 FP_5$0)
                (and (Btwn$0 next$0 null$0 ?z ?y)
                     (Btwn$0 next_5$0 null$0 ?z ?y))
                (and (not (Btwn$0 next$0 null$0 ?z ?y))
                     (not (Btwn$0 next_5$0 null$0 ?z ?y)))
                (not (= null$0 (ep$0 next$0 FP_5$0 null$0)))))))

(assert (or (not Axiom_110$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 res_12$0 FP_5$0)
                (and (Btwn$0 next$0 res_12$0 ?z ?y)
                     (Btwn$0 next_5$0 res_12$0 ?z ?y))
                (and (not (Btwn$0 next$0 res_12$0 ?z ?y))
                     (not (Btwn$0 next_5$0 res_12$0 ?z ?y)))
                (not (= res_12$0 (ep$0 next$0 FP_5$0 res_12$0)))))))

(assert (or (not Axiom_110$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 res1_2$0 FP_5$0)
                (and (Btwn$0 next$0 res1_2$0 ?z ?y)
                     (Btwn$0 next_5$0 res1_2$0 ?z ?y))
                (and (not (Btwn$0 next$0 res1_2$0 ?z ?y))
                     (not (Btwn$0 next_5$0 res1_2$0 ?z ?y)))
                (not (= res1_2$0 (ep$0 next$0 FP_5$0 res1_2$0)))))))

(assert (or (not Axiom_110$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 res2_2$0 FP_5$0)
                (and (Btwn$0 next$0 res2_2$0 ?z ?y)
                     (Btwn$0 next_5$0 res2_2$0 ?z ?y))
                (and (not (Btwn$0 next$0 res2_2$0 ?z ?y))
                     (not (Btwn$0 next_5$0 res2_2$0 ?z ?y)))
                (not (= res2_2$0 (ep$0 next$0 FP_5$0 res2_2$0)))))))

(assert (or (not Axiom_110$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 sk_l1_8$0 FP_5$0)
                (and (Btwn$0 next$0 sk_l1_8$0 ?z ?y)
                     (Btwn$0 next_5$0 sk_l1_8$0 ?z ?y))
                (and (not (Btwn$0 next$0 sk_l1_8$0 ?z ?y))
                     (not (Btwn$0 next_5$0 sk_l1_8$0 ?z ?y)))
                (not (= sk_l1_8$0 (ep$0 next$0 FP_5$0 sk_l1_8$0)))))))

(assert (or (not Axiom_110$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 sk_l2_8$0 FP_5$0)
                (and (Btwn$0 next$0 sk_l2_8$0 ?z ?y)
                     (Btwn$0 next_5$0 sk_l2_8$0 ?z ?y))
                (and (not (Btwn$0 next$0 sk_l2_8$0 ?z ?y))
                     (not (Btwn$0 next_5$0 sk_l2_8$0 ?z ?y)))
                (not (= sk_l2_8$0 (ep$0 next$0 FP_5$0 sk_l2_8$0)))))))

(assert (or (not Axiom_110$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 x$0 FP_5$0)
                (and (Btwn$0 next$0 x$0 ?z ?y) (Btwn$0 next_5$0 x$0 ?z ?y))
                (and (not (Btwn$0 next$0 x$0 ?z ?y))
                     (not (Btwn$0 next_5$0 x$0 ?z ?y)))
                (not (= x$0 (ep$0 next$0 FP_5$0 x$0)))))))

(assert (or (not Axiom_110$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 x1_2$0 FP_5$0)
                (and (Btwn$0 next$0 x1_2$0 ?z ?y)
                     (Btwn$0 next_5$0 x1_2$0 ?z ?y))
                (and (not (Btwn$0 next$0 x1_2$0 ?z ?y))
                     (not (Btwn$0 next_5$0 x1_2$0 ?z ?y)))
                (not (= x1_2$0 (ep$0 next$0 FP_5$0 x1_2$0)))))))

(assert (or (not Axiom_110$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 x2_2$0 FP_5$0)
                (and (Btwn$0 next$0 x2_2$0 ?z ?y)
                     (Btwn$0 next_5$0 x2_2$0 ?z ?y))
                (and (not (Btwn$0 next$0 x2_2$0 ?z ?y))
                     (not (Btwn$0 next_5$0 x2_2$0 ?z ?y)))
                (not (= x2_2$0 (ep$0 next$0 FP_5$0 x2_2$0)))))))

(assert (or (not Axiom_106$0)
    (or (= (read$1 next_6$0 null$0) (read$1 next_7$0 null$0))
        (not (in$0 null$0 (setminus$0 Alloc$0 FP_9$0))))))

(assert (or (not Axiom_105$0)
    (forall ((?y Loc) (?z Loc))
            (or
                (and (Btwn$0 next_6$0 null$0 ?z ?y)
                     (Btwn$0 next_7$0 null$0 ?z ?y))
                (and (not (Btwn$0 next_6$0 null$0 ?z ?y))
                     (not (Btwn$0 next_7$0 null$0 ?z ?y)))
                (not
                     (or
                         (Btwn$0 next_6$0 null$0 ?y
                           (ep$0 next_6$0 FP_9$0 null$0))
                         (and (Btwn$0 next_6$0 null$0 ?y ?y)
                              (not
                                   (Btwn$0 next_6$0 null$0
                                     (ep$0 next_6$0 FP_9$0 null$0)
                                     (ep$0 next_6$0 FP_9$0 null$0))))))))))

(assert (or (not Axiom_105$0)
    (forall ((?y Loc) (?z Loc))
            (or
                (and (Btwn$0 next_6$0 res_12$0 ?z ?y)
                     (Btwn$0 next_7$0 res_12$0 ?z ?y))
                (and (not (Btwn$0 next_6$0 res_12$0 ?z ?y))
                     (not (Btwn$0 next_7$0 res_12$0 ?z ?y)))
                (not
                     (or
                         (Btwn$0 next_6$0 res_12$0 ?y
                           (ep$0 next_6$0 FP_9$0 res_12$0))
                         (and (Btwn$0 next_6$0 res_12$0 ?y ?y)
                              (not
                                   (Btwn$0 next_6$0 res_12$0
                                     (ep$0 next_6$0 FP_9$0 res_12$0)
                                     (ep$0 next_6$0 FP_9$0 res_12$0))))))))))

(assert (or (not Axiom_105$0)
    (forall ((?y Loc) (?z Loc))
            (or
                (and (Btwn$0 next_6$0 res1_2$0 ?z ?y)
                     (Btwn$0 next_7$0 res1_2$0 ?z ?y))
                (and (not (Btwn$0 next_6$0 res1_2$0 ?z ?y))
                     (not (Btwn$0 next_7$0 res1_2$0 ?z ?y)))
                (not
                     (or
                         (Btwn$0 next_6$0 res1_2$0 ?y
                           (ep$0 next_6$0 FP_9$0 res1_2$0))
                         (and (Btwn$0 next_6$0 res1_2$0 ?y ?y)
                              (not
                                   (Btwn$0 next_6$0 res1_2$0
                                     (ep$0 next_6$0 FP_9$0 res1_2$0)
                                     (ep$0 next_6$0 FP_9$0 res1_2$0))))))))))

(assert (or (not Axiom_105$0)
    (forall ((?y Loc) (?z Loc))
            (or
                (and (Btwn$0 next_6$0 res2_2$0 ?z ?y)
                     (Btwn$0 next_7$0 res2_2$0 ?z ?y))
                (and (not (Btwn$0 next_6$0 res2_2$0 ?z ?y))
                     (not (Btwn$0 next_7$0 res2_2$0 ?z ?y)))
                (not
                     (or
                         (Btwn$0 next_6$0 res2_2$0 ?y
                           (ep$0 next_6$0 FP_9$0 res2_2$0))
                         (and (Btwn$0 next_6$0 res2_2$0 ?y ?y)
                              (not
                                   (Btwn$0 next_6$0 res2_2$0
                                     (ep$0 next_6$0 FP_9$0 res2_2$0)
                                     (ep$0 next_6$0 FP_9$0 res2_2$0))))))))))

(assert (or (not Axiom_105$0)
    (forall ((?y Loc) (?z Loc))
            (or
                (and (Btwn$0 next_6$0 sk_l1_8$0 ?z ?y)
                     (Btwn$0 next_7$0 sk_l1_8$0 ?z ?y))
                (and (not (Btwn$0 next_6$0 sk_l1_8$0 ?z ?y))
                     (not (Btwn$0 next_7$0 sk_l1_8$0 ?z ?y)))
                (not
                     (or
                         (Btwn$0 next_6$0 sk_l1_8$0 ?y
                           (ep$0 next_6$0 FP_9$0 sk_l1_8$0))
                         (and (Btwn$0 next_6$0 sk_l1_8$0 ?y ?y)
                              (not
                                   (Btwn$0 next_6$0 sk_l1_8$0
                                     (ep$0 next_6$0 FP_9$0 sk_l1_8$0)
                                     (ep$0 next_6$0 FP_9$0 sk_l1_8$0))))))))))

(assert (or (not Axiom_105$0)
    (forall ((?y Loc) (?z Loc))
            (or
                (and (Btwn$0 next_6$0 sk_l2_8$0 ?z ?y)
                     (Btwn$0 next_7$0 sk_l2_8$0 ?z ?y))
                (and (not (Btwn$0 next_6$0 sk_l2_8$0 ?z ?y))
                     (not (Btwn$0 next_7$0 sk_l2_8$0 ?z ?y)))
                (not
                     (or
                         (Btwn$0 next_6$0 sk_l2_8$0 ?y
                           (ep$0 next_6$0 FP_9$0 sk_l2_8$0))
                         (and (Btwn$0 next_6$0 sk_l2_8$0 ?y ?y)
                              (not
                                   (Btwn$0 next_6$0 sk_l2_8$0
                                     (ep$0 next_6$0 FP_9$0 sk_l2_8$0)
                                     (ep$0 next_6$0 FP_9$0 sk_l2_8$0))))))))))

(assert (or (not Axiom_105$0)
    (forall ((?y Loc) (?z Loc))
            (or (and (Btwn$0 next_6$0 x$0 ?z ?y) (Btwn$0 next_7$0 x$0 ?z ?y))
                (and (not (Btwn$0 next_6$0 x$0 ?z ?y))
                     (not (Btwn$0 next_7$0 x$0 ?z ?y)))
                (not
                     (or (Btwn$0 next_6$0 x$0 ?y (ep$0 next_6$0 FP_9$0 x$0))
                         (and (Btwn$0 next_6$0 x$0 ?y ?y)
                              (not
                                   (Btwn$0 next_6$0 x$0
                                     (ep$0 next_6$0 FP_9$0 x$0)
                                     (ep$0 next_6$0 FP_9$0 x$0))))))))))

(assert (or (not Axiom_105$0)
    (forall ((?y Loc) (?z Loc))
            (or
                (and (Btwn$0 next_6$0 x1_2$0 ?z ?y)
                     (Btwn$0 next_7$0 x1_2$0 ?z ?y))
                (and (not (Btwn$0 next_6$0 x1_2$0 ?z ?y))
                     (not (Btwn$0 next_7$0 x1_2$0 ?z ?y)))
                (not
                     (or
                         (Btwn$0 next_6$0 x1_2$0 ?y
                           (ep$0 next_6$0 FP_9$0 x1_2$0))
                         (and (Btwn$0 next_6$0 x1_2$0 ?y ?y)
                              (not
                                   (Btwn$0 next_6$0 x1_2$0
                                     (ep$0 next_6$0 FP_9$0 x1_2$0)
                                     (ep$0 next_6$0 FP_9$0 x1_2$0))))))))))

(assert (or (not Axiom_105$0)
    (forall ((?y Loc) (?z Loc))
            (or
                (and (Btwn$0 next_6$0 x2_2$0 ?z ?y)
                     (Btwn$0 next_7$0 x2_2$0 ?z ?y))
                (and (not (Btwn$0 next_6$0 x2_2$0 ?z ?y))
                     (not (Btwn$0 next_7$0 x2_2$0 ?z ?y)))
                (not
                     (or
                         (Btwn$0 next_6$0 x2_2$0 ?y
                           (ep$0 next_6$0 FP_9$0 x2_2$0))
                         (and (Btwn$0 next_6$0 x2_2$0 ?y ?y)
                              (not
                                   (Btwn$0 next_6$0 x2_2$0
                                     (ep$0 next_6$0 FP_9$0 x2_2$0)
                                     (ep$0 next_6$0 FP_9$0 x2_2$0))))))))))

(assert (or (not Axiom_104$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 null$0 FP_9$0)
                (and (Btwn$0 next_6$0 null$0 ?z ?y)
                     (Btwn$0 next_7$0 null$0 ?z ?y))
                (and (not (Btwn$0 next_6$0 null$0 ?z ?y))
                     (not (Btwn$0 next_7$0 null$0 ?z ?y)))
                (not (= null$0 (ep$0 next_6$0 FP_9$0 null$0)))))))

(assert (or (not Axiom_104$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 res_12$0 FP_9$0)
                (and (Btwn$0 next_6$0 res_12$0 ?z ?y)
                     (Btwn$0 next_7$0 res_12$0 ?z ?y))
                (and (not (Btwn$0 next_6$0 res_12$0 ?z ?y))
                     (not (Btwn$0 next_7$0 res_12$0 ?z ?y)))
                (not (= res_12$0 (ep$0 next_6$0 FP_9$0 res_12$0)))))))

(assert (or (not Axiom_104$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 res1_2$0 FP_9$0)
                (and (Btwn$0 next_6$0 res1_2$0 ?z ?y)
                     (Btwn$0 next_7$0 res1_2$0 ?z ?y))
                (and (not (Btwn$0 next_6$0 res1_2$0 ?z ?y))
                     (not (Btwn$0 next_7$0 res1_2$0 ?z ?y)))
                (not (= res1_2$0 (ep$0 next_6$0 FP_9$0 res1_2$0)))))))

(assert (or (not Axiom_104$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 res2_2$0 FP_9$0)
                (and (Btwn$0 next_6$0 res2_2$0 ?z ?y)
                     (Btwn$0 next_7$0 res2_2$0 ?z ?y))
                (and (not (Btwn$0 next_6$0 res2_2$0 ?z ?y))
                     (not (Btwn$0 next_7$0 res2_2$0 ?z ?y)))
                (not (= res2_2$0 (ep$0 next_6$0 FP_9$0 res2_2$0)))))))

(assert (or (not Axiom_104$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 sk_l1_8$0 FP_9$0)
                (and (Btwn$0 next_6$0 sk_l1_8$0 ?z ?y)
                     (Btwn$0 next_7$0 sk_l1_8$0 ?z ?y))
                (and (not (Btwn$0 next_6$0 sk_l1_8$0 ?z ?y))
                     (not (Btwn$0 next_7$0 sk_l1_8$0 ?z ?y)))
                (not (= sk_l1_8$0 (ep$0 next_6$0 FP_9$0 sk_l1_8$0)))))))

(assert (or (not Axiom_104$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 sk_l2_8$0 FP_9$0)
                (and (Btwn$0 next_6$0 sk_l2_8$0 ?z ?y)
                     (Btwn$0 next_7$0 sk_l2_8$0 ?z ?y))
                (and (not (Btwn$0 next_6$0 sk_l2_8$0 ?z ?y))
                     (not (Btwn$0 next_7$0 sk_l2_8$0 ?z ?y)))
                (not (= sk_l2_8$0 (ep$0 next_6$0 FP_9$0 sk_l2_8$0)))))))

(assert (or (not Axiom_104$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 x$0 FP_9$0)
                (and (Btwn$0 next_6$0 x$0 ?z ?y) (Btwn$0 next_7$0 x$0 ?z ?y))
                (and (not (Btwn$0 next_6$0 x$0 ?z ?y))
                     (not (Btwn$0 next_7$0 x$0 ?z ?y)))
                (not (= x$0 (ep$0 next_6$0 FP_9$0 x$0)))))))

(assert (or (not Axiom_104$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 x1_2$0 FP_9$0)
                (and (Btwn$0 next_6$0 x1_2$0 ?z ?y)
                     (Btwn$0 next_7$0 x1_2$0 ?z ?y))
                (and (not (Btwn$0 next_6$0 x1_2$0 ?z ?y))
                     (not (Btwn$0 next_7$0 x1_2$0 ?z ?y)))
                (not (= x1_2$0 (ep$0 next_6$0 FP_9$0 x1_2$0)))))))

(assert (or (not Axiom_104$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 x2_2$0 FP_9$0)
                (and (Btwn$0 next_6$0 x2_2$0 ?z ?y)
                     (Btwn$0 next_7$0 x2_2$0 ?z ?y))
                (and (not (Btwn$0 next_6$0 x2_2$0 ?z ?y))
                     (not (Btwn$0 next_7$0 x2_2$0 ?z ?y)))
                (not (= x2_2$0 (ep$0 next_6$0 FP_9$0 x2_2$0)))))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next_5$0 null$0 (ep$0 next_5$0 FP_7$0 null$0) ?y)
            (not (Btwn$0 next_5$0 null$0 ?y ?y)) (not (in$0 ?y FP_7$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next_5$0 res_12$0 (ep$0 next_5$0 FP_7$0 res_12$0) ?y)
            (not (Btwn$0 next_5$0 res_12$0 ?y ?y)) (not (in$0 ?y FP_7$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next_5$0 res1_2$0 (ep$0 next_5$0 FP_7$0 res1_2$0) ?y)
            (not (Btwn$0 next_5$0 res1_2$0 ?y ?y)) (not (in$0 ?y FP_7$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next_5$0 res2_2$0 (ep$0 next_5$0 FP_7$0 res2_2$0) ?y)
            (not (Btwn$0 next_5$0 res2_2$0 ?y ?y)) (not (in$0 ?y FP_7$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next_5$0 sk_l1_8$0 (ep$0 next_5$0 FP_7$0 sk_l1_8$0) ?y)
            (not (Btwn$0 next_5$0 sk_l1_8$0 ?y ?y)) (not (in$0 ?y FP_7$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next_5$0 sk_l2_8$0 (ep$0 next_5$0 FP_7$0 sk_l2_8$0) ?y)
            (not (Btwn$0 next_5$0 sk_l2_8$0 ?y ?y)) (not (in$0 ?y FP_7$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next_5$0 x$0 (ep$0 next_5$0 FP_7$0 x$0) ?y)
            (not (Btwn$0 next_5$0 x$0 ?y ?y)) (not (in$0 ?y FP_7$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next_5$0 x1_2$0 (ep$0 next_5$0 FP_7$0 x1_2$0) ?y)
            (not (Btwn$0 next_5$0 x1_2$0 ?y ?y)) (not (in$0 ?y FP_7$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next_5$0 x2_2$0 (ep$0 next_5$0 FP_7$0 x2_2$0) ?y)
            (not (Btwn$0 next_5$0 x2_2$0 ?y ?y)) (not (in$0 ?y FP_7$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next_7$0 null$0 (ep$0 next_7$0 sk_?X_206$0 null$0) ?y)
            (not (Btwn$0 next_7$0 null$0 ?y ?y)) (not (in$0 ?y sk_?X_206$0)))))

(assert (forall ((?y Loc))
        (or
            (Btwn$0 next_7$0 res_12$0 (ep$0 next_7$0 sk_?X_206$0 res_12$0)
              ?y)
            (not (Btwn$0 next_7$0 res_12$0 ?y ?y))
            (not (in$0 ?y sk_?X_206$0)))))

(assert (forall ((?y Loc))
        (or
            (Btwn$0 next_7$0 res1_2$0 (ep$0 next_7$0 sk_?X_206$0 res1_2$0)
              ?y)
            (not (Btwn$0 next_7$0 res1_2$0 ?y ?y))
            (not (in$0 ?y sk_?X_206$0)))))

(assert (forall ((?y Loc))
        (or
            (Btwn$0 next_7$0 res2_2$0 (ep$0 next_7$0 sk_?X_206$0 res2_2$0)
              ?y)
            (not (Btwn$0 next_7$0 res2_2$0 ?y ?y))
            (not (in$0 ?y sk_?X_206$0)))))

(assert (forall ((?y Loc))
        (or
            (Btwn$0 next_7$0 sk_l1_8$0 (ep$0 next_7$0 sk_?X_206$0 sk_l1_8$0)
              ?y)
            (not (Btwn$0 next_7$0 sk_l1_8$0 ?y ?y))
            (not (in$0 ?y sk_?X_206$0)))))

(assert (forall ((?y Loc))
        (or
            (Btwn$0 next_7$0 sk_l2_8$0 (ep$0 next_7$0 sk_?X_206$0 sk_l2_8$0)
              ?y)
            (not (Btwn$0 next_7$0 sk_l2_8$0 ?y ?y))
            (not (in$0 ?y sk_?X_206$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next_7$0 x$0 (ep$0 next_7$0 sk_?X_206$0 x$0) ?y)
            (not (Btwn$0 next_7$0 x$0 ?y ?y)) (not (in$0 ?y sk_?X_206$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next_7$0 x1_2$0 (ep$0 next_7$0 sk_?X_206$0 x1_2$0) ?y)
            (not (Btwn$0 next_7$0 x1_2$0 ?y ?y)) (not (in$0 ?y sk_?X_206$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next_7$0 x2_2$0 (ep$0 next_7$0 sk_?X_206$0 x2_2$0) ?y)
            (not (Btwn$0 next_7$0 x2_2$0 ?y ?y)) (not (in$0 ?y sk_?X_206$0)))))

(assert (or (in$0 (ep$0 next$0 sk_?X_199$0 null$0) sk_?X_199$0)
    (= null$0 (ep$0 next$0 sk_?X_199$0 null$0))))

(assert (or (in$0 (ep$0 next$0 sk_?X_199$0 res_12$0) sk_?X_199$0)
    (= res_12$0 (ep$0 next$0 sk_?X_199$0 res_12$0))))

(assert (or (in$0 (ep$0 next$0 sk_?X_199$0 res1_2$0) sk_?X_199$0)
    (= res1_2$0 (ep$0 next$0 sk_?X_199$0 res1_2$0))))

(assert (or (in$0 (ep$0 next$0 sk_?X_199$0 res2_2$0) sk_?X_199$0)
    (= res2_2$0 (ep$0 next$0 sk_?X_199$0 res2_2$0))))

(assert (or (in$0 (ep$0 next$0 sk_?X_199$0 sk_l1_8$0) sk_?X_199$0)
    (= sk_l1_8$0 (ep$0 next$0 sk_?X_199$0 sk_l1_8$0))))

(assert (or (in$0 (ep$0 next$0 sk_?X_199$0 sk_l2_8$0) sk_?X_199$0)
    (= sk_l2_8$0 (ep$0 next$0 sk_?X_199$0 sk_l2_8$0))))

(assert (or (in$0 (ep$0 next$0 sk_?X_199$0 x$0) sk_?X_199$0)
    (= x$0 (ep$0 next$0 sk_?X_199$0 x$0))))

(assert (or (in$0 (ep$0 next$0 sk_?X_199$0 x1_2$0) sk_?X_199$0)
    (= x1_2$0 (ep$0 next$0 sk_?X_199$0 x1_2$0))))

(assert (or (in$0 (ep$0 next$0 sk_?X_199$0 x2_2$0) sk_?X_199$0)
    (= x2_2$0 (ep$0 next$0 sk_?X_199$0 x2_2$0))))

(assert (or (in$0 (ep$0 next_6$0 FP_9$0 null$0) FP_9$0)
    (= null$0 (ep$0 next_6$0 FP_9$0 null$0))))

(assert (or (in$0 (ep$0 next_6$0 FP_9$0 res_12$0) FP_9$0)
    (= res_12$0 (ep$0 next_6$0 FP_9$0 res_12$0))))

(assert (or (in$0 (ep$0 next_6$0 FP_9$0 res1_2$0) FP_9$0)
    (= res1_2$0 (ep$0 next_6$0 FP_9$0 res1_2$0))))

(assert (or (in$0 (ep$0 next_6$0 FP_9$0 res2_2$0) FP_9$0)
    (= res2_2$0 (ep$0 next_6$0 FP_9$0 res2_2$0))))

(assert (or (in$0 (ep$0 next_6$0 FP_9$0 sk_l1_8$0) FP_9$0)
    (= sk_l1_8$0 (ep$0 next_6$0 FP_9$0 sk_l1_8$0))))

(assert (or (in$0 (ep$0 next_6$0 FP_9$0 sk_l2_8$0) FP_9$0)
    (= sk_l2_8$0 (ep$0 next_6$0 FP_9$0 sk_l2_8$0))))

(assert (or (in$0 (ep$0 next_6$0 FP_9$0 x$0) FP_9$0)
    (= x$0 (ep$0 next_6$0 FP_9$0 x$0))))

(assert (or (in$0 (ep$0 next_6$0 FP_9$0 x1_2$0) FP_9$0)
    (= x1_2$0 (ep$0 next_6$0 FP_9$0 x1_2$0))))

(assert (or (in$0 (ep$0 next_6$0 FP_9$0 x2_2$0) FP_9$0)
    (= x2_2$0 (ep$0 next_6$0 FP_9$0 x2_2$0))))

(assert (Btwn$0 next_5$0 null$0 (ep$0 next_5$0 FP_7$0 null$0)
  (ep$0 next_5$0 FP_7$0 null$0)))

(assert (Btwn$0 next_5$0 res_12$0 (ep$0 next_5$0 FP_7$0 res_12$0)
  (ep$0 next_5$0 FP_7$0 res_12$0)))

(assert (Btwn$0 next_5$0 res1_2$0 (ep$0 next_5$0 FP_7$0 res1_2$0)
  (ep$0 next_5$0 FP_7$0 res1_2$0)))

(assert (Btwn$0 next_5$0 res2_2$0 (ep$0 next_5$0 FP_7$0 res2_2$0)
  (ep$0 next_5$0 FP_7$0 res2_2$0)))

(assert (Btwn$0 next_5$0 sk_l1_8$0 (ep$0 next_5$0 FP_7$0 sk_l1_8$0)
  (ep$0 next_5$0 FP_7$0 sk_l1_8$0)))

(assert (Btwn$0 next_5$0 sk_l2_8$0 (ep$0 next_5$0 FP_7$0 sk_l2_8$0)
  (ep$0 next_5$0 FP_7$0 sk_l2_8$0)))

(assert (Btwn$0 next_5$0 x$0 (ep$0 next_5$0 FP_7$0 x$0) (ep$0 next_5$0 FP_7$0 x$0)))

(assert (Btwn$0 next_5$0 x1_2$0 (ep$0 next_5$0 FP_7$0 x1_2$0)
  (ep$0 next_5$0 FP_7$0 x1_2$0)))

(assert (Btwn$0 next_5$0 x2_2$0 (ep$0 next_5$0 FP_7$0 x2_2$0)
  (ep$0 next_5$0 FP_7$0 x2_2$0)))

(assert (Btwn$0 next_7$0 null$0 (ep$0 next_7$0 sk_?X_206$0 null$0)
  (ep$0 next_7$0 sk_?X_206$0 null$0)))

(assert (Btwn$0 next_7$0 res_12$0 (ep$0 next_7$0 sk_?X_206$0 res_12$0)
  (ep$0 next_7$0 sk_?X_206$0 res_12$0)))

(assert (Btwn$0 next_7$0 res1_2$0 (ep$0 next_7$0 sk_?X_206$0 res1_2$0)
  (ep$0 next_7$0 sk_?X_206$0 res1_2$0)))

(assert (Btwn$0 next_7$0 res2_2$0 (ep$0 next_7$0 sk_?X_206$0 res2_2$0)
  (ep$0 next_7$0 sk_?X_206$0 res2_2$0)))

(assert (Btwn$0 next_7$0 sk_l1_8$0 (ep$0 next_7$0 sk_?X_206$0 sk_l1_8$0)
  (ep$0 next_7$0 sk_?X_206$0 sk_l1_8$0)))

(assert (Btwn$0 next_7$0 sk_l2_8$0 (ep$0 next_7$0 sk_?X_206$0 sk_l2_8$0)
  (ep$0 next_7$0 sk_?X_206$0 sk_l2_8$0)))

(assert (Btwn$0 next_7$0 x$0 (ep$0 next_7$0 sk_?X_206$0 x$0)
  (ep$0 next_7$0 sk_?X_206$0 x$0)))

(assert (Btwn$0 next_7$0 x1_2$0 (ep$0 next_7$0 sk_?X_206$0 x1_2$0)
  (ep$0 next_7$0 sk_?X_206$0 x1_2$0)))

(assert (Btwn$0 next_7$0 x2_2$0 (ep$0 next_7$0 sk_?X_206$0 x2_2$0)
  (ep$0 next_7$0 sk_?X_206$0 x2_2$0)))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_99$0)
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next_8$0 l1 l2 null$0))
                (not (in$0 l1 sk_?X_205$0)) (not (in$0 l2 sk_?X_205$0))))))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_97$0)
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next_7$0 l1 l2 null$0))
                (not (in$0 l1 sk_?X_200$0)) (not (in$0 l2 sk_?X_200$0))))))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_95$0)
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next_6$0 l1 l2 null$0))
                (not (in$0 l1 sk_?X_201$0)) (not (in$0 l2 sk_?X_201$0))))))

(assert (or (not Axiom_109$0)
    (or (= (read$1 next_5$0 null$0) (read$1 next_6$0 null$0))
        (not (in$0 null$0 (setminus$0 Alloc$0 FP_7$0))))))

(assert (or (not Axiom_108$0)
    (forall ((?y Loc) (?z Loc))
            (or
                (and (Btwn$0 next_5$0 null$0 ?z ?y)
                     (Btwn$0 next_6$0 null$0 ?z ?y))
                (and (not (Btwn$0 next_5$0 null$0 ?z ?y))
                     (not (Btwn$0 next_6$0 null$0 ?z ?y)))
                (not
                     (or
                         (Btwn$0 next_5$0 null$0 ?y
                           (ep$0 next_5$0 FP_7$0 null$0))
                         (and (Btwn$0 next_5$0 null$0 ?y ?y)
                              (not
                                   (Btwn$0 next_5$0 null$0
                                     (ep$0 next_5$0 FP_7$0 null$0)
                                     (ep$0 next_5$0 FP_7$0 null$0))))))))))

(assert (or (not Axiom_108$0)
    (forall ((?y Loc) (?z Loc))
            (or
                (and (Btwn$0 next_5$0 res_12$0 ?z ?y)
                     (Btwn$0 next_6$0 res_12$0 ?z ?y))
                (and (not (Btwn$0 next_5$0 res_12$0 ?z ?y))
                     (not (Btwn$0 next_6$0 res_12$0 ?z ?y)))
                (not
                     (or
                         (Btwn$0 next_5$0 res_12$0 ?y
                           (ep$0 next_5$0 FP_7$0 res_12$0))
                         (and (Btwn$0 next_5$0 res_12$0 ?y ?y)
                              (not
                                   (Btwn$0 next_5$0 res_12$0
                                     (ep$0 next_5$0 FP_7$0 res_12$0)
                                     (ep$0 next_5$0 FP_7$0 res_12$0))))))))))

(assert (or (not Axiom_108$0)
    (forall ((?y Loc) (?z Loc))
            (or
                (and (Btwn$0 next_5$0 res1_2$0 ?z ?y)
                     (Btwn$0 next_6$0 res1_2$0 ?z ?y))
                (and (not (Btwn$0 next_5$0 res1_2$0 ?z ?y))
                     (not (Btwn$0 next_6$0 res1_2$0 ?z ?y)))
                (not
                     (or
                         (Btwn$0 next_5$0 res1_2$0 ?y
                           (ep$0 next_5$0 FP_7$0 res1_2$0))
                         (and (Btwn$0 next_5$0 res1_2$0 ?y ?y)
                              (not
                                   (Btwn$0 next_5$0 res1_2$0
                                     (ep$0 next_5$0 FP_7$0 res1_2$0)
                                     (ep$0 next_5$0 FP_7$0 res1_2$0))))))))))

(assert (or (not Axiom_108$0)
    (forall ((?y Loc) (?z Loc))
            (or
                (and (Btwn$0 next_5$0 res2_2$0 ?z ?y)
                     (Btwn$0 next_6$0 res2_2$0 ?z ?y))
                (and (not (Btwn$0 next_5$0 res2_2$0 ?z ?y))
                     (not (Btwn$0 next_6$0 res2_2$0 ?z ?y)))
                (not
                     (or
                         (Btwn$0 next_5$0 res2_2$0 ?y
                           (ep$0 next_5$0 FP_7$0 res2_2$0))
                         (and (Btwn$0 next_5$0 res2_2$0 ?y ?y)
                              (not
                                   (Btwn$0 next_5$0 res2_2$0
                                     (ep$0 next_5$0 FP_7$0 res2_2$0)
                                     (ep$0 next_5$0 FP_7$0 res2_2$0))))))))))

(assert (or (not Axiom_108$0)
    (forall ((?y Loc) (?z Loc))
            (or
                (and (Btwn$0 next_5$0 sk_l1_8$0 ?z ?y)
                     (Btwn$0 next_6$0 sk_l1_8$0 ?z ?y))
                (and (not (Btwn$0 next_5$0 sk_l1_8$0 ?z ?y))
                     (not (Btwn$0 next_6$0 sk_l1_8$0 ?z ?y)))
                (not
                     (or
                         (Btwn$0 next_5$0 sk_l1_8$0 ?y
                           (ep$0 next_5$0 FP_7$0 sk_l1_8$0))
                         (and (Btwn$0 next_5$0 sk_l1_8$0 ?y ?y)
                              (not
                                   (Btwn$0 next_5$0 sk_l1_8$0
                                     (ep$0 next_5$0 FP_7$0 sk_l1_8$0)
                                     (ep$0 next_5$0 FP_7$0 sk_l1_8$0))))))))))

(assert (or (not Axiom_108$0)
    (forall ((?y Loc) (?z Loc))
            (or
                (and (Btwn$0 next_5$0 sk_l2_8$0 ?z ?y)
                     (Btwn$0 next_6$0 sk_l2_8$0 ?z ?y))
                (and (not (Btwn$0 next_5$0 sk_l2_8$0 ?z ?y))
                     (not (Btwn$0 next_6$0 sk_l2_8$0 ?z ?y)))
                (not
                     (or
                         (Btwn$0 next_5$0 sk_l2_8$0 ?y
                           (ep$0 next_5$0 FP_7$0 sk_l2_8$0))
                         (and (Btwn$0 next_5$0 sk_l2_8$0 ?y ?y)
                              (not
                                   (Btwn$0 next_5$0 sk_l2_8$0
                                     (ep$0 next_5$0 FP_7$0 sk_l2_8$0)
                                     (ep$0 next_5$0 FP_7$0 sk_l2_8$0))))))))))

(assert (or (not Axiom_108$0)
    (forall ((?y Loc) (?z Loc))
            (or (and (Btwn$0 next_5$0 x$0 ?z ?y) (Btwn$0 next_6$0 x$0 ?z ?y))
                (and (not (Btwn$0 next_5$0 x$0 ?z ?y))
                     (not (Btwn$0 next_6$0 x$0 ?z ?y)))
                (not
                     (or (Btwn$0 next_5$0 x$0 ?y (ep$0 next_5$0 FP_7$0 x$0))
                         (and (Btwn$0 next_5$0 x$0 ?y ?y)
                              (not
                                   (Btwn$0 next_5$0 x$0
                                     (ep$0 next_5$0 FP_7$0 x$0)
                                     (ep$0 next_5$0 FP_7$0 x$0))))))))))

(assert (or (not Axiom_108$0)
    (forall ((?y Loc) (?z Loc))
            (or
                (and (Btwn$0 next_5$0 x1_2$0 ?z ?y)
                     (Btwn$0 next_6$0 x1_2$0 ?z ?y))
                (and (not (Btwn$0 next_5$0 x1_2$0 ?z ?y))
                     (not (Btwn$0 next_6$0 x1_2$0 ?z ?y)))
                (not
                     (or
                         (Btwn$0 next_5$0 x1_2$0 ?y
                           (ep$0 next_5$0 FP_7$0 x1_2$0))
                         (and (Btwn$0 next_5$0 x1_2$0 ?y ?y)
                              (not
                                   (Btwn$0 next_5$0 x1_2$0
                                     (ep$0 next_5$0 FP_7$0 x1_2$0)
                                     (ep$0 next_5$0 FP_7$0 x1_2$0))))))))))

(assert (or (not Axiom_108$0)
    (forall ((?y Loc) (?z Loc))
            (or
                (and (Btwn$0 next_5$0 x2_2$0 ?z ?y)
                     (Btwn$0 next_6$0 x2_2$0 ?z ?y))
                (and (not (Btwn$0 next_5$0 x2_2$0 ?z ?y))
                     (not (Btwn$0 next_6$0 x2_2$0 ?z ?y)))
                (not
                     (or
                         (Btwn$0 next_5$0 x2_2$0 ?y
                           (ep$0 next_5$0 FP_7$0 x2_2$0))
                         (and (Btwn$0 next_5$0 x2_2$0 ?y ?y)
                              (not
                                   (Btwn$0 next_5$0 x2_2$0
                                     (ep$0 next_5$0 FP_7$0 x2_2$0)
                                     (ep$0 next_5$0 FP_7$0 x2_2$0))))))))))

(assert (or (not Axiom_107$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 null$0 FP_7$0)
                (and (Btwn$0 next_5$0 null$0 ?z ?y)
                     (Btwn$0 next_6$0 null$0 ?z ?y))
                (and (not (Btwn$0 next_5$0 null$0 ?z ?y))
                     (not (Btwn$0 next_6$0 null$0 ?z ?y)))
                (not (= null$0 (ep$0 next_5$0 FP_7$0 null$0)))))))

(assert (or (not Axiom_107$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 res_12$0 FP_7$0)
                (and (Btwn$0 next_5$0 res_12$0 ?z ?y)
                     (Btwn$0 next_6$0 res_12$0 ?z ?y))
                (and (not (Btwn$0 next_5$0 res_12$0 ?z ?y))
                     (not (Btwn$0 next_6$0 res_12$0 ?z ?y)))
                (not (= res_12$0 (ep$0 next_5$0 FP_7$0 res_12$0)))))))

(assert (or (not Axiom_107$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 res1_2$0 FP_7$0)
                (and (Btwn$0 next_5$0 res1_2$0 ?z ?y)
                     (Btwn$0 next_6$0 res1_2$0 ?z ?y))
                (and (not (Btwn$0 next_5$0 res1_2$0 ?z ?y))
                     (not (Btwn$0 next_6$0 res1_2$0 ?z ?y)))
                (not (= res1_2$0 (ep$0 next_5$0 FP_7$0 res1_2$0)))))))

(assert (or (not Axiom_107$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 res2_2$0 FP_7$0)
                (and (Btwn$0 next_5$0 res2_2$0 ?z ?y)
                     (Btwn$0 next_6$0 res2_2$0 ?z ?y))
                (and (not (Btwn$0 next_5$0 res2_2$0 ?z ?y))
                     (not (Btwn$0 next_6$0 res2_2$0 ?z ?y)))
                (not (= res2_2$0 (ep$0 next_5$0 FP_7$0 res2_2$0)))))))

(assert (or (not Axiom_107$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 sk_l1_8$0 FP_7$0)
                (and (Btwn$0 next_5$0 sk_l1_8$0 ?z ?y)
                     (Btwn$0 next_6$0 sk_l1_8$0 ?z ?y))
                (and (not (Btwn$0 next_5$0 sk_l1_8$0 ?z ?y))
                     (not (Btwn$0 next_6$0 sk_l1_8$0 ?z ?y)))
                (not (= sk_l1_8$0 (ep$0 next_5$0 FP_7$0 sk_l1_8$0)))))))

(assert (or (not Axiom_107$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 sk_l2_8$0 FP_7$0)
                (and (Btwn$0 next_5$0 sk_l2_8$0 ?z ?y)
                     (Btwn$0 next_6$0 sk_l2_8$0 ?z ?y))
                (and (not (Btwn$0 next_5$0 sk_l2_8$0 ?z ?y))
                     (not (Btwn$0 next_6$0 sk_l2_8$0 ?z ?y)))
                (not (= sk_l2_8$0 (ep$0 next_5$0 FP_7$0 sk_l2_8$0)))))))

(assert (or (not Axiom_107$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 x$0 FP_7$0)
                (and (Btwn$0 next_5$0 x$0 ?z ?y) (Btwn$0 next_6$0 x$0 ?z ?y))
                (and (not (Btwn$0 next_5$0 x$0 ?z ?y))
                     (not (Btwn$0 next_6$0 x$0 ?z ?y)))
                (not (= x$0 (ep$0 next_5$0 FP_7$0 x$0)))))))

(assert (or (not Axiom_107$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 x1_2$0 FP_7$0)
                (and (Btwn$0 next_5$0 x1_2$0 ?z ?y)
                     (Btwn$0 next_6$0 x1_2$0 ?z ?y))
                (and (not (Btwn$0 next_5$0 x1_2$0 ?z ?y))
                     (not (Btwn$0 next_6$0 x1_2$0 ?z ?y)))
                (not (= x1_2$0 (ep$0 next_5$0 FP_7$0 x1_2$0)))))))

(assert (or (not Axiom_107$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 x2_2$0 FP_7$0)
                (and (Btwn$0 next_5$0 x2_2$0 ?z ?y)
                     (Btwn$0 next_6$0 x2_2$0 ?z ?y))
                (and (not (Btwn$0 next_5$0 x2_2$0 ?z ?y))
                     (not (Btwn$0 next_6$0 x2_2$0 ?z ?y)))
                (not (= x2_2$0 (ep$0 next_5$0 FP_7$0 x2_2$0)))))))

(assert (or (not Axiom_103$0)
    (or (= (read$1 next_7$0 null$0) (read$1 next_8$0 null$0))
        (not (in$0 null$0 (setminus$0 Alloc$0 FP_11$0))))))

(assert (or (not Axiom_102$0)
    (forall ((?y Loc) (?z Loc))
            (or
                (and (Btwn$0 next_7$0 null$0 ?z ?y)
                     (Btwn$0 next_8$0 null$0 ?z ?y))
                (and (not (Btwn$0 next_7$0 null$0 ?z ?y))
                     (not (Btwn$0 next_8$0 null$0 ?z ?y)))
                (not
                     (or
                         (Btwn$0 next_7$0 null$0 ?y
                           (ep$0 next_7$0 FP_11$0 null$0))
                         (and (Btwn$0 next_7$0 null$0 ?y ?y)
                              (not
                                   (Btwn$0 next_7$0 null$0
                                     (ep$0 next_7$0 FP_11$0 null$0)
                                     (ep$0 next_7$0 FP_11$0 null$0))))))))))

(assert (or (not Axiom_102$0)
    (forall ((?y Loc) (?z Loc))
            (or
                (and (Btwn$0 next_7$0 res_12$0 ?z ?y)
                     (Btwn$0 next_8$0 res_12$0 ?z ?y))
                (and (not (Btwn$0 next_7$0 res_12$0 ?z ?y))
                     (not (Btwn$0 next_8$0 res_12$0 ?z ?y)))
                (not
                     (or
                         (Btwn$0 next_7$0 res_12$0 ?y
                           (ep$0 next_7$0 FP_11$0 res_12$0))
                         (and (Btwn$0 next_7$0 res_12$0 ?y ?y)
                              (not
                                   (Btwn$0 next_7$0 res_12$0
                                     (ep$0 next_7$0 FP_11$0 res_12$0)
                                     (ep$0 next_7$0 FP_11$0 res_12$0))))))))))

(assert (or (not Axiom_102$0)
    (forall ((?y Loc) (?z Loc))
            (or
                (and (Btwn$0 next_7$0 res1_2$0 ?z ?y)
                     (Btwn$0 next_8$0 res1_2$0 ?z ?y))
                (and (not (Btwn$0 next_7$0 res1_2$0 ?z ?y))
                     (not (Btwn$0 next_8$0 res1_2$0 ?z ?y)))
                (not
                     (or
                         (Btwn$0 next_7$0 res1_2$0 ?y
                           (ep$0 next_7$0 FP_11$0 res1_2$0))
                         (and (Btwn$0 next_7$0 res1_2$0 ?y ?y)
                              (not
                                   (Btwn$0 next_7$0 res1_2$0
                                     (ep$0 next_7$0 FP_11$0 res1_2$0)
                                     (ep$0 next_7$0 FP_11$0 res1_2$0))))))))))

(assert (or (not Axiom_102$0)
    (forall ((?y Loc) (?z Loc))
            (or
                (and (Btwn$0 next_7$0 res2_2$0 ?z ?y)
                     (Btwn$0 next_8$0 res2_2$0 ?z ?y))
                (and (not (Btwn$0 next_7$0 res2_2$0 ?z ?y))
                     (not (Btwn$0 next_8$0 res2_2$0 ?z ?y)))
                (not
                     (or
                         (Btwn$0 next_7$0 res2_2$0 ?y
                           (ep$0 next_7$0 FP_11$0 res2_2$0))
                         (and (Btwn$0 next_7$0 res2_2$0 ?y ?y)
                              (not
                                   (Btwn$0 next_7$0 res2_2$0
                                     (ep$0 next_7$0 FP_11$0 res2_2$0)
                                     (ep$0 next_7$0 FP_11$0 res2_2$0))))))))))

(assert (or (not Axiom_102$0)
    (forall ((?y Loc) (?z Loc))
            (or
                (and (Btwn$0 next_7$0 sk_l1_8$0 ?z ?y)
                     (Btwn$0 next_8$0 sk_l1_8$0 ?z ?y))
                (and (not (Btwn$0 next_7$0 sk_l1_8$0 ?z ?y))
                     (not (Btwn$0 next_8$0 sk_l1_8$0 ?z ?y)))
                (not
                     (or
                         (Btwn$0 next_7$0 sk_l1_8$0 ?y
                           (ep$0 next_7$0 FP_11$0 sk_l1_8$0))
                         (and (Btwn$0 next_7$0 sk_l1_8$0 ?y ?y)
                              (not
                                   (Btwn$0 next_7$0 sk_l1_8$0
                                     (ep$0 next_7$0 FP_11$0 sk_l1_8$0)
                                     (ep$0 next_7$0 FP_11$0 sk_l1_8$0))))))))))

(assert (or (not Axiom_102$0)
    (forall ((?y Loc) (?z Loc))
            (or
                (and (Btwn$0 next_7$0 sk_l2_8$0 ?z ?y)
                     (Btwn$0 next_8$0 sk_l2_8$0 ?z ?y))
                (and (not (Btwn$0 next_7$0 sk_l2_8$0 ?z ?y))
                     (not (Btwn$0 next_8$0 sk_l2_8$0 ?z ?y)))
                (not
                     (or
                         (Btwn$0 next_7$0 sk_l2_8$0 ?y
                           (ep$0 next_7$0 FP_11$0 sk_l2_8$0))
                         (and (Btwn$0 next_7$0 sk_l2_8$0 ?y ?y)
                              (not
                                   (Btwn$0 next_7$0 sk_l2_8$0
                                     (ep$0 next_7$0 FP_11$0 sk_l2_8$0)
                                     (ep$0 next_7$0 FP_11$0 sk_l2_8$0))))))))))

(assert (or (not Axiom_102$0)
    (forall ((?y Loc) (?z Loc))
            (or (and (Btwn$0 next_7$0 x$0 ?z ?y) (Btwn$0 next_8$0 x$0 ?z ?y))
                (and (not (Btwn$0 next_7$0 x$0 ?z ?y))
                     (not (Btwn$0 next_8$0 x$0 ?z ?y)))
                (not
                     (or (Btwn$0 next_7$0 x$0 ?y (ep$0 next_7$0 FP_11$0 x$0))
                         (and (Btwn$0 next_7$0 x$0 ?y ?y)
                              (not
                                   (Btwn$0 next_7$0 x$0
                                     (ep$0 next_7$0 FP_11$0 x$0)
                                     (ep$0 next_7$0 FP_11$0 x$0))))))))))

(assert (or (not Axiom_102$0)
    (forall ((?y Loc) (?z Loc))
            (or
                (and (Btwn$0 next_7$0 x1_2$0 ?z ?y)
                     (Btwn$0 next_8$0 x1_2$0 ?z ?y))
                (and (not (Btwn$0 next_7$0 x1_2$0 ?z ?y))
                     (not (Btwn$0 next_8$0 x1_2$0 ?z ?y)))
                (not
                     (or
                         (Btwn$0 next_7$0 x1_2$0 ?y
                           (ep$0 next_7$0 FP_11$0 x1_2$0))
                         (and (Btwn$0 next_7$0 x1_2$0 ?y ?y)
                              (not
                                   (Btwn$0 next_7$0 x1_2$0
                                     (ep$0 next_7$0 FP_11$0 x1_2$0)
                                     (ep$0 next_7$0 FP_11$0 x1_2$0))))))))))

(assert (or (not Axiom_102$0)
    (forall ((?y Loc) (?z Loc))
            (or
                (and (Btwn$0 next_7$0 x2_2$0 ?z ?y)
                     (Btwn$0 next_8$0 x2_2$0 ?z ?y))
                (and (not (Btwn$0 next_7$0 x2_2$0 ?z ?y))
                     (not (Btwn$0 next_8$0 x2_2$0 ?z ?y)))
                (not
                     (or
                         (Btwn$0 next_7$0 x2_2$0 ?y
                           (ep$0 next_7$0 FP_11$0 x2_2$0))
                         (and (Btwn$0 next_7$0 x2_2$0 ?y ?y)
                              (not
                                   (Btwn$0 next_7$0 x2_2$0
                                     (ep$0 next_7$0 FP_11$0 x2_2$0)
                                     (ep$0 next_7$0 FP_11$0 x2_2$0))))))))))

(assert (or (not Axiom_101$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 null$0 FP_11$0)
                (and (Btwn$0 next_7$0 null$0 ?z ?y)
                     (Btwn$0 next_8$0 null$0 ?z ?y))
                (and (not (Btwn$0 next_7$0 null$0 ?z ?y))
                     (not (Btwn$0 next_8$0 null$0 ?z ?y)))
                (not (= null$0 (ep$0 next_7$0 FP_11$0 null$0)))))))

(assert (or (not Axiom_101$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 res_12$0 FP_11$0)
                (and (Btwn$0 next_7$0 res_12$0 ?z ?y)
                     (Btwn$0 next_8$0 res_12$0 ?z ?y))
                (and (not (Btwn$0 next_7$0 res_12$0 ?z ?y))
                     (not (Btwn$0 next_8$0 res_12$0 ?z ?y)))
                (not (= res_12$0 (ep$0 next_7$0 FP_11$0 res_12$0)))))))

(assert (or (not Axiom_101$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 res1_2$0 FP_11$0)
                (and (Btwn$0 next_7$0 res1_2$0 ?z ?y)
                     (Btwn$0 next_8$0 res1_2$0 ?z ?y))
                (and (not (Btwn$0 next_7$0 res1_2$0 ?z ?y))
                     (not (Btwn$0 next_8$0 res1_2$0 ?z ?y)))
                (not (= res1_2$0 (ep$0 next_7$0 FP_11$0 res1_2$0)))))))

(assert (or (not Axiom_101$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 res2_2$0 FP_11$0)
                (and (Btwn$0 next_7$0 res2_2$0 ?z ?y)
                     (Btwn$0 next_8$0 res2_2$0 ?z ?y))
                (and (not (Btwn$0 next_7$0 res2_2$0 ?z ?y))
                     (not (Btwn$0 next_8$0 res2_2$0 ?z ?y)))
                (not (= res2_2$0 (ep$0 next_7$0 FP_11$0 res2_2$0)))))))

(assert (or (not Axiom_101$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 sk_l1_8$0 FP_11$0)
                (and (Btwn$0 next_7$0 sk_l1_8$0 ?z ?y)
                     (Btwn$0 next_8$0 sk_l1_8$0 ?z ?y))
                (and (not (Btwn$0 next_7$0 sk_l1_8$0 ?z ?y))
                     (not (Btwn$0 next_8$0 sk_l1_8$0 ?z ?y)))
                (not (= sk_l1_8$0 (ep$0 next_7$0 FP_11$0 sk_l1_8$0)))))))

(assert (or (not Axiom_101$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 sk_l2_8$0 FP_11$0)
                (and (Btwn$0 next_7$0 sk_l2_8$0 ?z ?y)
                     (Btwn$0 next_8$0 sk_l2_8$0 ?z ?y))
                (and (not (Btwn$0 next_7$0 sk_l2_8$0 ?z ?y))
                     (not (Btwn$0 next_8$0 sk_l2_8$0 ?z ?y)))
                (not (= sk_l2_8$0 (ep$0 next_7$0 FP_11$0 sk_l2_8$0)))))))

(assert (or (not Axiom_101$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 x$0 FP_11$0)
                (and (Btwn$0 next_7$0 x$0 ?z ?y) (Btwn$0 next_8$0 x$0 ?z ?y))
                (and (not (Btwn$0 next_7$0 x$0 ?z ?y))
                     (not (Btwn$0 next_8$0 x$0 ?z ?y)))
                (not (= x$0 (ep$0 next_7$0 FP_11$0 x$0)))))))

(assert (or (not Axiom_101$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 x1_2$0 FP_11$0)
                (and (Btwn$0 next_7$0 x1_2$0 ?z ?y)
                     (Btwn$0 next_8$0 x1_2$0 ?z ?y))
                (and (not (Btwn$0 next_7$0 x1_2$0 ?z ?y))
                     (not (Btwn$0 next_8$0 x1_2$0 ?z ?y)))
                (not (= x1_2$0 (ep$0 next_7$0 FP_11$0 x1_2$0)))))))

(assert (or (not Axiom_101$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 x2_2$0 FP_11$0)
                (and (Btwn$0 next_7$0 x2_2$0 ?z ?y)
                     (Btwn$0 next_8$0 x2_2$0 ?z ?y))
                (and (not (Btwn$0 next_7$0 x2_2$0 ?z ?y))
                     (not (Btwn$0 next_8$0 x2_2$0 ?z ?y)))
                (not (= x2_2$0 (ep$0 next_7$0 FP_11$0 x2_2$0)))))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next$0 null$0 (ep$0 next$0 sk_?X_199$0 null$0) ?y)
            (not (Btwn$0 next$0 null$0 ?y ?y)) (not (in$0 ?y sk_?X_199$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next$0 res_12$0 (ep$0 next$0 sk_?X_199$0 res_12$0) ?y)
            (not (Btwn$0 next$0 res_12$0 ?y ?y)) (not (in$0 ?y sk_?X_199$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next$0 res1_2$0 (ep$0 next$0 sk_?X_199$0 res1_2$0) ?y)
            (not (Btwn$0 next$0 res1_2$0 ?y ?y)) (not (in$0 ?y sk_?X_199$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next$0 res2_2$0 (ep$0 next$0 sk_?X_199$0 res2_2$0) ?y)
            (not (Btwn$0 next$0 res2_2$0 ?y ?y)) (not (in$0 ?y sk_?X_199$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next$0 sk_l1_8$0 (ep$0 next$0 sk_?X_199$0 sk_l1_8$0) ?y)
            (not (Btwn$0 next$0 sk_l1_8$0 ?y ?y))
            (not (in$0 ?y sk_?X_199$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next$0 sk_l2_8$0 (ep$0 next$0 sk_?X_199$0 sk_l2_8$0) ?y)
            (not (Btwn$0 next$0 sk_l2_8$0 ?y ?y))
            (not (in$0 ?y sk_?X_199$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next$0 x$0 (ep$0 next$0 sk_?X_199$0 x$0) ?y)
            (not (Btwn$0 next$0 x$0 ?y ?y)) (not (in$0 ?y sk_?X_199$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next$0 x1_2$0 (ep$0 next$0 sk_?X_199$0 x1_2$0) ?y)
            (not (Btwn$0 next$0 x1_2$0 ?y ?y)) (not (in$0 ?y sk_?X_199$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next$0 x2_2$0 (ep$0 next$0 sk_?X_199$0 x2_2$0) ?y)
            (not (Btwn$0 next$0 x2_2$0 ?y ?y)) (not (in$0 ?y sk_?X_199$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next_6$0 null$0 (ep$0 next_6$0 FP_9$0 null$0) ?y)
            (not (Btwn$0 next_6$0 null$0 ?y ?y)) (not (in$0 ?y FP_9$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next_6$0 res_12$0 (ep$0 next_6$0 FP_9$0 res_12$0) ?y)
            (not (Btwn$0 next_6$0 res_12$0 ?y ?y)) (not (in$0 ?y FP_9$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next_6$0 res1_2$0 (ep$0 next_6$0 FP_9$0 res1_2$0) ?y)
            (not (Btwn$0 next_6$0 res1_2$0 ?y ?y)) (not (in$0 ?y FP_9$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next_6$0 res2_2$0 (ep$0 next_6$0 FP_9$0 res2_2$0) ?y)
            (not (Btwn$0 next_6$0 res2_2$0 ?y ?y)) (not (in$0 ?y FP_9$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next_6$0 sk_l1_8$0 (ep$0 next_6$0 FP_9$0 sk_l1_8$0) ?y)
            (not (Btwn$0 next_6$0 sk_l1_8$0 ?y ?y)) (not (in$0 ?y FP_9$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next_6$0 sk_l2_8$0 (ep$0 next_6$0 FP_9$0 sk_l2_8$0) ?y)
            (not (Btwn$0 next_6$0 sk_l2_8$0 ?y ?y)) (not (in$0 ?y FP_9$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next_6$0 x$0 (ep$0 next_6$0 FP_9$0 x$0) ?y)
            (not (Btwn$0 next_6$0 x$0 ?y ?y)) (not (in$0 ?y FP_9$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next_6$0 x1_2$0 (ep$0 next_6$0 FP_9$0 x1_2$0) ?y)
            (not (Btwn$0 next_6$0 x1_2$0 ?y ?y)) (not (in$0 ?y FP_9$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next_6$0 x2_2$0 (ep$0 next_6$0 FP_9$0 x2_2$0) ?y)
            (not (Btwn$0 next_6$0 x2_2$0 ?y ?y)) (not (in$0 ?y FP_9$0)))))

(assert (or (in$0 (ep$0 next_5$0 FP_7$0 null$0) FP_7$0)
    (= null$0 (ep$0 next_5$0 FP_7$0 null$0))))

(assert (or (in$0 (ep$0 next_5$0 FP_7$0 res_12$0) FP_7$0)
    (= res_12$0 (ep$0 next_5$0 FP_7$0 res_12$0))))

(assert (or (in$0 (ep$0 next_5$0 FP_7$0 res1_2$0) FP_7$0)
    (= res1_2$0 (ep$0 next_5$0 FP_7$0 res1_2$0))))

(assert (or (in$0 (ep$0 next_5$0 FP_7$0 res2_2$0) FP_7$0)
    (= res2_2$0 (ep$0 next_5$0 FP_7$0 res2_2$0))))

(assert (or (in$0 (ep$0 next_5$0 FP_7$0 sk_l1_8$0) FP_7$0)
    (= sk_l1_8$0 (ep$0 next_5$0 FP_7$0 sk_l1_8$0))))

(assert (or (in$0 (ep$0 next_5$0 FP_7$0 sk_l2_8$0) FP_7$0)
    (= sk_l2_8$0 (ep$0 next_5$0 FP_7$0 sk_l2_8$0))))

(assert (or (in$0 (ep$0 next_5$0 FP_7$0 x$0) FP_7$0)
    (= x$0 (ep$0 next_5$0 FP_7$0 x$0))))

(assert (or (in$0 (ep$0 next_5$0 FP_7$0 x1_2$0) FP_7$0)
    (= x1_2$0 (ep$0 next_5$0 FP_7$0 x1_2$0))))

(assert (or (in$0 (ep$0 next_5$0 FP_7$0 x2_2$0) FP_7$0)
    (= x2_2$0 (ep$0 next_5$0 FP_7$0 x2_2$0))))

(assert (or (in$0 (ep$0 next_7$0 sk_?X_206$0 null$0) sk_?X_206$0)
    (= null$0 (ep$0 next_7$0 sk_?X_206$0 null$0))))

(assert (or (in$0 (ep$0 next_7$0 sk_?X_206$0 res_12$0) sk_?X_206$0)
    (= res_12$0 (ep$0 next_7$0 sk_?X_206$0 res_12$0))))

(assert (or (in$0 (ep$0 next_7$0 sk_?X_206$0 res1_2$0) sk_?X_206$0)
    (= res1_2$0 (ep$0 next_7$0 sk_?X_206$0 res1_2$0))))

(assert (or (in$0 (ep$0 next_7$0 sk_?X_206$0 res2_2$0) sk_?X_206$0)
    (= res2_2$0 (ep$0 next_7$0 sk_?X_206$0 res2_2$0))))

(assert (or (in$0 (ep$0 next_7$0 sk_?X_206$0 sk_l1_8$0) sk_?X_206$0)
    (= sk_l1_8$0 (ep$0 next_7$0 sk_?X_206$0 sk_l1_8$0))))

(assert (or (in$0 (ep$0 next_7$0 sk_?X_206$0 sk_l2_8$0) sk_?X_206$0)
    (= sk_l2_8$0 (ep$0 next_7$0 sk_?X_206$0 sk_l2_8$0))))

(assert (or (in$0 (ep$0 next_7$0 sk_?X_206$0 x$0) sk_?X_206$0)
    (= x$0 (ep$0 next_7$0 sk_?X_206$0 x$0))))

(assert (or (in$0 (ep$0 next_7$0 sk_?X_206$0 x1_2$0) sk_?X_206$0)
    (= x1_2$0 (ep$0 next_7$0 sk_?X_206$0 x1_2$0))))

(assert (or (in$0 (ep$0 next_7$0 sk_?X_206$0 x2_2$0) sk_?X_206$0)
    (= x2_2$0 (ep$0 next_7$0 sk_?X_206$0 x2_2$0))))

(assert (Btwn$0 next$0 null$0 (ep$0 next$0 sk_?X_199$0 null$0)
  (ep$0 next$0 sk_?X_199$0 null$0)))

(assert (Btwn$0 next$0 res_12$0 (ep$0 next$0 sk_?X_199$0 res_12$0)
  (ep$0 next$0 sk_?X_199$0 res_12$0)))

(assert (Btwn$0 next$0 res1_2$0 (ep$0 next$0 sk_?X_199$0 res1_2$0)
  (ep$0 next$0 sk_?X_199$0 res1_2$0)))

(assert (Btwn$0 next$0 res2_2$0 (ep$0 next$0 sk_?X_199$0 res2_2$0)
  (ep$0 next$0 sk_?X_199$0 res2_2$0)))

(assert (Btwn$0 next$0 sk_l1_8$0 (ep$0 next$0 sk_?X_199$0 sk_l1_8$0)
  (ep$0 next$0 sk_?X_199$0 sk_l1_8$0)))

(assert (Btwn$0 next$0 sk_l2_8$0 (ep$0 next$0 sk_?X_199$0 sk_l2_8$0)
  (ep$0 next$0 sk_?X_199$0 sk_l2_8$0)))

(assert (Btwn$0 next$0 x$0 (ep$0 next$0 sk_?X_199$0 x$0)
  (ep$0 next$0 sk_?X_199$0 x$0)))

(assert (Btwn$0 next$0 x1_2$0 (ep$0 next$0 sk_?X_199$0 x1_2$0)
  (ep$0 next$0 sk_?X_199$0 x1_2$0)))

(assert (Btwn$0 next$0 x2_2$0 (ep$0 next$0 sk_?X_199$0 x2_2$0)
  (ep$0 next$0 sk_?X_199$0 x2_2$0)))

(assert (Btwn$0 next_6$0 null$0 (ep$0 next_6$0 FP_9$0 null$0)
  (ep$0 next_6$0 FP_9$0 null$0)))

(assert (Btwn$0 next_6$0 res_12$0 (ep$0 next_6$0 FP_9$0 res_12$0)
  (ep$0 next_6$0 FP_9$0 res_12$0)))

(assert (Btwn$0 next_6$0 res1_2$0 (ep$0 next_6$0 FP_9$0 res1_2$0)
  (ep$0 next_6$0 FP_9$0 res1_2$0)))

(assert (Btwn$0 next_6$0 res2_2$0 (ep$0 next_6$0 FP_9$0 res2_2$0)
  (ep$0 next_6$0 FP_9$0 res2_2$0)))

(assert (Btwn$0 next_6$0 sk_l1_8$0 (ep$0 next_6$0 FP_9$0 sk_l1_8$0)
  (ep$0 next_6$0 FP_9$0 sk_l1_8$0)))

(assert (Btwn$0 next_6$0 sk_l2_8$0 (ep$0 next_6$0 FP_9$0 sk_l2_8$0)
  (ep$0 next_6$0 FP_9$0 sk_l2_8$0)))

(assert (Btwn$0 next_6$0 x$0 (ep$0 next_6$0 FP_9$0 x$0) (ep$0 next_6$0 FP_9$0 x$0)))

(assert (Btwn$0 next_6$0 x1_2$0 (ep$0 next_6$0 FP_9$0 x1_2$0)
  (ep$0 next_6$0 FP_9$0 x1_2$0)))

(assert (Btwn$0 next_6$0 x2_2$0 (ep$0 next_6$0 FP_9$0 x2_2$0)
  (ep$0 next_6$0 FP_9$0 x2_2$0)))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_100$0)
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next_8$0 l1 l2 null$0))
                (not (in$0 l1 sk_?X_209$0)) (not (in$0 l2 sk_?X_209$0))))))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_98$0)
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next_7$0 l1 l2 null$0))
                (not (in$0 l1 sk_?X_207$0)) (not (in$0 l2 sk_?X_207$0))))))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_96$0)
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next_7$0 l1 l2 null$0))
                (not (in$0 l1 sk_?X_208$0)) (not (in$0 l2 sk_?X_208$0))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 FP_Caller$0 Alloc$0))
                 (or (in$0 x FP_Caller$0) (in$0 x Alloc$0)))
            (and (not (in$0 x FP_Caller$0)) (not (in$0 x Alloc$0))
                 (not (in$0 x (union$0 FP_Caller$0 Alloc$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 FP_12$0 Alloc$0))
                 (or (in$0 x FP_12$0) (in$0 x Alloc$0)))
            (and (not (in$0 x FP_12$0)) (not (in$0 x Alloc$0))
                 (not (in$0 x (union$0 FP_12$0 Alloc$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 FP_10$0 Alloc$0))
                 (or (in$0 x FP_10$0) (in$0 x Alloc$0)))
            (and (not (in$0 x FP_10$0)) (not (in$0 x Alloc$0))
                 (not (in$0 x (union$0 FP_10$0 Alloc$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 FP_8$0 Alloc$0))
                 (or (in$0 x FP_8$0) (in$0 x Alloc$0)))
            (and (not (in$0 x FP_8$0)) (not (in$0 x Alloc$0))
                 (not (in$0 x (union$0 FP_8$0 Alloc$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 FP_6$0 Alloc$0))
                 (or (in$0 x FP_6$0) (in$0 x Alloc$0)))
            (and (not (in$0 x FP_6$0)) (not (in$0 x Alloc$0))
                 (not (in$0 x (union$0 FP_6$0 Alloc$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 FP_7$0 FP_6$0))
                 (or (in$0 x FP_7$0) (in$0 x FP_6$0)))
            (and (not (in$0 x FP_7$0)) (not (in$0 x FP_6$0))
                 (not (in$0 x (union$0 FP_7$0 FP_6$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 (setminus$0 FP$0 FP_5$0) sk_?X_209$0))
                 (or (in$0 x (setminus$0 FP$0 FP_5$0)) (in$0 x sk_?X_209$0)))
            (and (not (in$0 x (setminus$0 FP$0 FP_5$0)))
                 (not (in$0 x sk_?X_209$0))
                 (not
                      (in$0 x (union$0 (setminus$0 FP$0 FP_5$0) sk_?X_209$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 FP_9$0 FP_8$0))
                 (or (in$0 x FP_9$0) (in$0 x FP_8$0)))
            (and (not (in$0 x FP_9$0)) (not (in$0 x FP_8$0))
                 (not (in$0 x (union$0 FP_9$0 FP_8$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 (setminus$0 FP_6$0 FP_7$0) sk_?X_201$0))
                 (or (in$0 x (setminus$0 FP_6$0 FP_7$0))
                     (in$0 x sk_?X_201$0)))
            (and (not (in$0 x (setminus$0 FP_6$0 FP_7$0)))
                 (not (in$0 x sk_?X_201$0))
                 (not
                      (in$0 x
                        (union$0 (setminus$0 FP_6$0 FP_7$0) sk_?X_201$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 sk_?X_206$0 FP_10$0))
                 (or (in$0 x sk_?X_206$0) (in$0 x FP_10$0)))
            (and (not (in$0 x sk_?X_206$0)) (not (in$0 x FP_10$0))
                 (not (in$0 x (union$0 sk_?X_206$0 FP_10$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 (setminus$0 FP_8$0 FP_9$0) sk_?X_200$0))
                 (or (in$0 x (setminus$0 FP_8$0 FP_9$0))
                     (in$0 x sk_?X_200$0)))
            (and (not (in$0 x (setminus$0 FP_8$0 FP_9$0)))
                 (not (in$0 x sk_?X_200$0))
                 (not
                      (in$0 x
                        (union$0 (setminus$0 FP_8$0 FP_9$0) sk_?X_200$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 (setminus$0 FP_10$0 FP_11$0) sk_?X_205$0))
                 (or (in$0 x (setminus$0 FP_10$0 FP_11$0))
                     (in$0 x sk_?X_205$0)))
            (and (not (in$0 x (setminus$0 FP_10$0 FP_11$0)))
                 (not (in$0 x sk_?X_205$0))
                 (not
                      (in$0 x
                        (union$0 (setminus$0 FP_10$0 FP_11$0) sk_?X_205$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 sk_?X_199$0 FP_Caller$0))
                 (or (in$0 x sk_?X_199$0) (in$0 x FP_Caller$0)))
            (and (not (in$0 x sk_?X_199$0)) (not (in$0 x FP_Caller$0))
                 (not (in$0 x (union$0 sk_?X_199$0 FP_Caller$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 FP_Caller_3$0 FP_12$0))
                 (or (in$0 x FP_Caller_3$0) (in$0 x FP_12$0)))
            (and (not (in$0 x FP_Caller_3$0)) (not (in$0 x FP_12$0))
                 (not (in$0 x (union$0 FP_Caller_3$0 FP_12$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 sk_?X_199$0 sk_?X_199$0))
                 (or (in$0 x sk_?X_199$0) (in$0 x sk_?X_199$0)))
            (and (not (in$0 x sk_?X_199$0)) (not (in$0 x sk_?X_199$0))
                 (not (in$0 x (union$0 sk_?X_199$0 sk_?X_199$0)))))))

(assert (forall ((x Loc))
        (or
            (and
                 (in$0 x
                   (union$0 (intersection$0 Alloc$0 FP_9$0)
                     (setminus$0 Alloc$0 Alloc$0)))
                 (or (in$0 x (intersection$0 Alloc$0 FP_9$0))
                     (in$0 x (setminus$0 Alloc$0 Alloc$0))))
            (and (not (in$0 x (intersection$0 Alloc$0 FP_9$0)))
                 (not (in$0 x (setminus$0 Alloc$0 Alloc$0)))
                 (not
                      (in$0 x
                        (union$0 (intersection$0 Alloc$0 FP_9$0)
                          (setminus$0 Alloc$0 Alloc$0))))))))

(assert (forall ((x Loc))
        (or
            (and
                 (in$0 x
                   (union$0 (intersection$0 Alloc$0 FP_7$0)
                     (setminus$0 Alloc$0 Alloc$0)))
                 (or (in$0 x (intersection$0 Alloc$0 FP_7$0))
                     (in$0 x (setminus$0 Alloc$0 Alloc$0))))
            (and (not (in$0 x (intersection$0 Alloc$0 FP_7$0)))
                 (not (in$0 x (setminus$0 Alloc$0 Alloc$0)))
                 (not
                      (in$0 x
                        (union$0 (intersection$0 Alloc$0 FP_7$0)
                          (setminus$0 Alloc$0 Alloc$0))))))))

(assert (forall ((x Loc))
        (or
            (and
                 (in$0 x
                   (union$0 (intersection$0 Alloc$0 FP_11$0)
                     (setminus$0 Alloc$0 Alloc$0)))
                 (or (in$0 x (intersection$0 Alloc$0 FP_11$0))
                     (in$0 x (setminus$0 Alloc$0 Alloc$0))))
            (and (not (in$0 x (intersection$0 Alloc$0 FP_11$0)))
                 (not (in$0 x (setminus$0 Alloc$0 Alloc$0)))
                 (not
                      (in$0 x
                        (union$0 (intersection$0 Alloc$0 FP_11$0)
                          (setminus$0 Alloc$0 Alloc$0))))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 sk_?X_208$0 sk_?X_200$0))
                 (or (in$0 x sk_?X_208$0) (in$0 x sk_?X_200$0)))
            (and (not (in$0 x sk_?X_208$0)) (not (in$0 x sk_?X_200$0))
                 (not (in$0 x (union$0 sk_?X_208$0 sk_?X_200$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 FP_7$0 sk_?X_197$0))
                 (or (in$0 x FP_7$0) (in$0 x sk_?X_197$0)))
            (and (not (in$0 x FP_7$0)) (not (in$0 x sk_?X_197$0))
                 (not (in$0 x (union$0 FP_7$0 sk_?X_197$0)))))))

(assert (forall ((x Loc))
        (or
            (and
                 (in$0 x
                   (union$0 (intersection$0 Alloc$0 FP$0)
                     (setminus$0 Alloc$0 Alloc$0)))
                 (or (in$0 x (intersection$0 Alloc$0 FP$0))
                     (in$0 x (setminus$0 Alloc$0 Alloc$0))))
            (and (not (in$0 x (intersection$0 Alloc$0 FP$0)))
                 (not (in$0 x (setminus$0 Alloc$0 Alloc$0)))
                 (not
                      (in$0 x
                        (union$0 (intersection$0 Alloc$0 FP$0)
                          (setminus$0 Alloc$0 Alloc$0))))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x sk_?X_208$0) (in$0 x sk_?X_200$0)
                 (in$0 x (intersection$0 sk_?X_208$0 sk_?X_200$0)))
            (and (or (not (in$0 x sk_?X_208$0)) (not (in$0 x sk_?X_200$0)))
                 (not (in$0 x (intersection$0 sk_?X_208$0 sk_?X_200$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x FP_7$0) (in$0 x sk_?X_197$0)
                 (in$0 x (intersection$0 FP_7$0 sk_?X_197$0)))
            (and (or (not (in$0 x FP_7$0)) (not (in$0 x sk_?X_197$0)))
                 (not (in$0 x (intersection$0 FP_7$0 sk_?X_197$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x Alloc$0) (in$0 x sk_?X_199$0)
                 (in$0 x (intersection$0 Alloc$0 sk_?X_199$0)))
            (and (or (not (in$0 x Alloc$0)) (not (in$0 x sk_?X_199$0)))
                 (not (in$0 x (intersection$0 Alloc$0 sk_?X_199$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x Alloc$0) (in$0 x FP_7$0)
                 (in$0 x (intersection$0 Alloc$0 FP_7$0)))
            (and (or (not (in$0 x Alloc$0)) (not (in$0 x FP_7$0)))
                 (not (in$0 x (intersection$0 Alloc$0 FP_7$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x Alloc$0) (in$0 x FP_9$0)
                 (in$0 x (intersection$0 Alloc$0 FP_9$0)))
            (and (or (not (in$0 x Alloc$0)) (not (in$0 x FP_9$0)))
                 (not (in$0 x (intersection$0 Alloc$0 FP_9$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x Alloc$0) (in$0 x sk_?X_206$0)
                 (in$0 x (intersection$0 Alloc$0 sk_?X_206$0)))
            (and (or (not (in$0 x Alloc$0)) (not (in$0 x sk_?X_206$0)))
                 (not (in$0 x (intersection$0 Alloc$0 sk_?X_206$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x Alloc$0) (in$0 x (setminus$0 Alloc$0 Alloc$0))
                 (not (in$0 x Alloc$0)))
            (and (or (in$0 x Alloc$0) (not (in$0 x Alloc$0)))
                 (not (in$0 x (setminus$0 Alloc$0 Alloc$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x Alloc$0) (in$0 x (setminus$0 Alloc$0 sk_?X_199$0))
                 (not (in$0 x sk_?X_199$0)))
            (and (or (in$0 x sk_?X_199$0) (not (in$0 x Alloc$0)))
                 (not (in$0 x (setminus$0 Alloc$0 sk_?X_199$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x Alloc$0) (in$0 x (setminus$0 Alloc$0 FP_7$0))
                 (not (in$0 x FP_7$0)))
            (and (or (in$0 x FP_7$0) (not (in$0 x Alloc$0)))
                 (not (in$0 x (setminus$0 Alloc$0 FP_7$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x Alloc$0) (in$0 x (setminus$0 Alloc$0 FP_9$0))
                 (not (in$0 x FP_9$0)))
            (and (or (in$0 x FP_9$0) (not (in$0 x Alloc$0)))
                 (not (in$0 x (setminus$0 Alloc$0 FP_9$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x Alloc$0) (in$0 x (setminus$0 Alloc$0 sk_?X_206$0))
                 (not (in$0 x sk_?X_206$0)))
            (and (or (in$0 x sk_?X_206$0) (not (in$0 x Alloc$0)))
                 (not (in$0 x (setminus$0 Alloc$0 sk_?X_206$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x sk_?X_199$0)
                 (in$0 x (setminus$0 sk_?X_199$0 sk_?X_199$0))
                 (not (in$0 x sk_?X_199$0)))
            (and (or (in$0 x sk_?X_199$0) (not (in$0 x sk_?X_199$0)))
                 (not (in$0 x (setminus$0 sk_?X_199$0 sk_?X_199$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x FP_6$0) (in$0 x (setminus$0 FP_6$0 FP_7$0))
                 (not (in$0 x FP_7$0)))
            (and (or (in$0 x FP_7$0) (not (in$0 x FP_6$0)))
                 (not (in$0 x (setminus$0 FP_6$0 FP_7$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x FP_8$0) (in$0 x (setminus$0 FP_8$0 FP_9$0))
                 (not (in$0 x FP_9$0)))
            (and (or (in$0 x FP_9$0) (not (in$0 x FP_8$0)))
                 (not (in$0 x (setminus$0 FP_8$0 FP_9$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x FP_10$0) (in$0 x (setminus$0 FP_10$0 sk_?X_206$0))
                 (not (in$0 x sk_?X_206$0)))
            (and (or (in$0 x sk_?X_206$0) (not (in$0 x FP_10$0)))
                 (not (in$0 x (setminus$0 FP_10$0 sk_?X_206$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x FP_Caller$0)
                 (in$0 x (setminus$0 FP_Caller$0 sk_?X_199$0))
                 (not (in$0 x sk_?X_199$0)))
            (and (or (in$0 x sk_?X_199$0) (not (in$0 x FP_Caller$0)))
                 (not (in$0 x (setminus$0 FP_Caller$0 sk_?X_199$0)))))))

(assert (forall ((y Loc) (x Loc))
        (or (and (= x y) (in$0 x (setenum$0 y)))
            (and (not (= x y)) (not (in$0 x (setenum$0 y)))))))

(assert (= (read$1 next$0 null$0) null$0))

(assert (= (read$1 next_5$0 null$0) null$0))

(assert (= (read$1 next_6$0 null$0) null$0))

(assert (= (read$1 next_7$0 null$0) null$0))

(assert (= (read$1 next_8$0 null$0) null$0))

(assert (forall ((x Loc)) (not (in$0 x emptyset$0))))

(assert (or (Btwn$0 next$0 x$0 null$0 null$0)
    (not (lseg_struct$0 sk_?X_199$0 next$0 x$0 null$0))))

(assert (or (Btwn$0 next_5$0 x1_2$0 null$0 null$0)
    (not (lseg_struct$0 sk_?X_196$0 next_5$0 x1_2$0 null$0))))

(assert (or (Btwn$0 next_5$0 x2_2$0 null$0 null$0)
    (not (lseg_struct$0 sk_?X_197$0 next_5$0 x2_2$0 null$0))))

(assert (or (and (Btwn$0 next_6$0 res1_2$0 null$0 null$0) Axiom_95$0)
    (not (slseg_struct$0 sk_?X_201$0 data$0 next_6$0 res1_2$0 null$0))))

(assert (or (and (Btwn$0 next_7$0 res2_2$0 null$0 null$0) Axiom_97$0)
    (not (slseg_struct$0 sk_?X_200$0 data$0 next_7$0 res2_2$0 null$0))))

(assert (or (and (Btwn$0 next_8$0 res_11$0 null$0 null$0) Axiom_99$0)
    (not (slseg_struct$0 sk_?X_205$0 data$0 next_8$0 res_11$0 null$0))))

(assert (= FP_6$0
  (union$0 (setminus$0 FP$0 FP_5$0)
    (union$0 (intersection$0 Alloc$0 FP_5$0) (setminus$0 Alloc$0 Alloc$0)))))

(assert (= FP_10$0
  (union$0 (setminus$0 FP_8$0 FP_9$0)
    (union$0 (intersection$0 Alloc$0 FP_9$0) (setminus$0 Alloc$0 Alloc$0)))))

(assert (= FP_Caller_3$0 (setminus$0 FP_Caller$0 FP$0)))

(assert (= res_12$0 res_11$0))

(assert (Frame$1 FP_5$0 Alloc$0 next$0 next_5$0))

(assert (Frame$1 FP_7$0 Alloc$0 next_5$0 next_6$0))

(assert (Frame$1 FP_9$0 Alloc$0 next_6$0 next_7$0))

(assert (Frame$1 FP_11$0 Alloc$0 next_7$0 next_8$0))

(assert (= Alloc$0 (union$0 FP_8$0 Alloc$0)))

(assert (= Alloc$0 (union$0 FP_12$0 Alloc$0)))

(assert (= emptyset$0 (intersection$0 sk_?X_196$0 sk_?X_197$0)))

(assert (= sk_?X_197$0 (lseg_domain$0 next_5$0 x2_2$0 null$0)))

(assert (= sk_?X_198$0 (union$0 sk_?X_196$0 sk_?X_197$0)))

(assert (lseg_struct$0 sk_?X_197$0 next_5$0 x2_2$0 null$0))

(assert (= sk_?X_206$0 (union$0 sk_?X_208$0 sk_?X_207$0)))

(assert (= sk_?X_207$0 (slseg_domain$0 data$0 next_7$0 res2_2$0 null$0)))

(assert (= FP_10$0 (union$0 FP_11$0 FP_10$0)))

(assert (slseg_struct$0 sk_?X_208$0 data$0 next_7$0 res1_2$0 null$0))

(assert (= sk_?X_199$0 (lseg_domain$0 next$0 x$0 null$0)))

(assert (lseg_struct$0 sk_?X_199$0 next$0 x$0 null$0))

(assert (= sk_?X_200$0 (slseg_domain$0 data$0 next_7$0 res2_2$0 null$0)))

(assert (= sk_?X_201$0
  (union$0 (intersection$0 Alloc$0 FP_7$0) (setminus$0 Alloc$0 Alloc$0))))

(assert (slseg_struct$0 sk_?X_201$0 data$0 next_6$0 res1_2$0 null$0))

(assert (= sk_?X_202$0 (lseg_domain$0 next_6$0 x2_2$0 null$0)))

(assert (lseg_struct$0 sk_?X_202$0 next_6$0 x2_2$0 null$0))

(assert (= sk_?X_203$0 (lseg_domain$0 next_5$0 x1_2$0 null$0)))

(assert (lseg_struct$0 sk_?X_203$0 next_5$0 x1_2$0 null$0))

(assert (= sk_?X_204$0 (lseg_domain$0 next$0 x$0 null$0)))

(assert (lseg_struct$0 sk_?X_204$0 next$0 x$0 null$0))

(assert (= sk_?X_205$0 (slseg_domain$0 data$0 next_8$0 res_11$0 null$0)))

(assert (= sk_?X_209$0
  (union$0 (intersection$0 Alloc$0 FP$0) (setminus$0 Alloc$0 Alloc$0))))

(assert (not (in$0 null$0 Alloc$0)))

(assert (not (in$0 null$0 Alloc$0)))

(assert (not (in$0 null$0 Alloc$0)))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next_5$0 x1_2$0 l1 null$0)
                 (in$0 l1 (lseg_domain$0 next_5$0 x1_2$0 null$0))
                 (not (= l1 null$0)))
            (and (or (= l1 null$0) (not (Btwn$0 next_5$0 x1_2$0 l1 null$0)))
                 (not (in$0 l1 (lseg_domain$0 next_5$0 x1_2$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next_6$0 res1_2$0 l1 null$0)
                 (in$0 l1 (slseg_domain$0 data$0 next_6$0 res1_2$0 null$0))
                 (not (= l1 null$0)))
            (and
                 (or (= l1 null$0)
                     (not (Btwn$0 next_6$0 res1_2$0 l1 null$0)))
                 (not
                      (in$0 l1
                        (slseg_domain$0 data$0 next_6$0 res1_2$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next_7$0 res1_2$0 l1 null$0)
                 (in$0 l1 (slseg_domain$0 data$0 next_7$0 res1_2$0 null$0))
                 (not (= l1 null$0)))
            (and
                 (or (= l1 null$0)
                     (not (Btwn$0 next_7$0 res1_2$0 l1 null$0)))
                 (not
                      (in$0 l1
                        (slseg_domain$0 data$0 next_7$0 res1_2$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next_8$0 res_11$0 l1 null$0)
                 (in$0 l1 (slseg_domain$0 data$0 next_8$0 res_11$0 null$0))
                 (not (= l1 null$0)))
            (and
                 (or (= l1 null$0)
                     (not (Btwn$0 next_8$0 res_11$0 l1 null$0)))
                 (not
                      (in$0 l1
                        (slseg_domain$0 data$0 next_8$0 res_11$0 null$0)))))))

(assert (or (and Axiom_106$0 Axiom_105$0 Axiom_104$0)
    (not (Frame$1 FP_9$0 Alloc$0 next_6$0 next_7$0))))

(assert (or (and Axiom_112$0 Axiom_111$0 Axiom_110$0)
    (not (Frame$1 FP_5$0 Alloc$0 next$0 next_5$0))))

(assert (or (Btwn$0 next$0 x$0 null$0 null$0)
    (not (lseg_struct$0 sk_?X_204$0 next$0 x$0 null$0))))

(assert (or (Btwn$0 next_5$0 x1_2$0 null$0 null$0)
    (not (lseg_struct$0 sk_?X_203$0 next_5$0 x1_2$0 null$0))))

(assert (or (Btwn$0 next_6$0 x2_2$0 null$0 null$0)
    (not (lseg_struct$0 sk_?X_202$0 next_6$0 x2_2$0 null$0))))

(assert (or (and (Btwn$0 next_7$0 res1_2$0 null$0 null$0) Axiom_96$0)
    (not (slseg_struct$0 sk_?X_208$0 data$0 next_7$0 res1_2$0 null$0))))

(assert (or (and (Btwn$0 next_7$0 res2_2$0 null$0 null$0) Axiom_98$0)
    (not (slseg_struct$0 sk_?X_207$0 data$0 next_7$0 res2_2$0 null$0))))

(assert (or (and (Btwn$0 next_8$0 res_12$0 null$0 null$0) Axiom_100$0)
    (not (slseg_struct$0 sk_?X_209$0 data$0 next_8$0 res_12$0 null$0))))

(assert (= FP_8$0
  (union$0 (setminus$0 FP_6$0 FP_7$0)
    (union$0 (intersection$0 Alloc$0 FP_7$0) (setminus$0 Alloc$0 Alloc$0)))))

(assert (= FP_12$0
  (union$0 (setminus$0 FP_10$0 FP_11$0)
    (union$0 (intersection$0 Alloc$0 FP_11$0) (setminus$0 Alloc$0 Alloc$0)))))

(assert (= FP_Caller_final_6$0 (union$0 FP_Caller_3$0 FP_12$0)))

(assert (Frame$0 FP_5$0 Alloc$0 data$0 data$0))

(assert (Frame$0 FP_7$0 Alloc$0 data$0 data$0))

(assert (Frame$0 FP_9$0 Alloc$0 data$0 data$0))

(assert (Frame$0 FP_11$0 Alloc$0 data$0 data$0))

(assert (= Alloc$0 (union$0 FP_6$0 Alloc$0)))

(assert (= Alloc$0 (union$0 FP_10$0 Alloc$0)))

(assert (= Alloc$0 (union$0 FP_Caller$0 Alloc$0)))

(assert (= sk_?X_196$0 (lseg_domain$0 next_5$0 x1_2$0 null$0)))

(assert (= sk_?X_198$0
  (union$0 (intersection$0 Alloc$0 FP_5$0) (setminus$0 Alloc$0 Alloc$0))))

(assert (lseg_struct$0 sk_?X_196$0 next_5$0 x1_2$0 null$0))

(assert (= emptyset$0 (intersection$0 sk_?X_208$0 sk_?X_207$0)))

(assert (= sk_?X_206$0 FP_11$0))

(assert (= sk_?X_208$0 (slseg_domain$0 data$0 next_7$0 res1_2$0 null$0)))

(assert (slseg_struct$0 sk_?X_207$0 data$0 next_7$0 res2_2$0 null$0))

(assert (= sk_?X_199$0 FP_5$0))

(assert (= FP$0 (union$0 FP_5$0 FP$0)))

(assert (= sk_?X_200$0
  (union$0 (intersection$0 Alloc$0 FP_9$0) (setminus$0 Alloc$0 Alloc$0))))

(assert (slseg_struct$0 sk_?X_200$0 data$0 next_7$0 res2_2$0 null$0))

(assert (= sk_?X_201$0 (slseg_domain$0 data$0 next_6$0 res1_2$0 null$0)))

(assert (= sk_?X_202$0 FP_9$0))

(assert (= FP_8$0 (union$0 FP_9$0 FP_8$0)))

(assert (= sk_?X_203$0 FP_7$0))

(assert (= FP_6$0 (union$0 FP_7$0 FP_6$0)))

(assert (= sk_?X_204$0 FP$0))

(assert (= FP_Caller$0 (union$0 FP$0 FP_Caller$0)))

(assert (= sk_?X_205$0
  (union$0 (intersection$0 Alloc$0 FP_11$0) (setminus$0 Alloc$0 Alloc$0))))

(assert (slseg_struct$0 sk_?X_205$0 data$0 next_8$0 res_11$0 null$0))

(assert (or
    (and (in$0 sk_l2_8$0 sk_?X_209$0)
         (not
              (in$0 sk_l2_8$0
                (slseg_domain$0 data$0 next_8$0 res_12$0 null$0))))
    (and (in$0 sk_l2_8$0 (slseg_domain$0 data$0 next_8$0 res_12$0 null$0))
         (not (in$0 sk_l2_8$0 sk_?X_209$0)))
    (not (Btwn$0 next_8$0 res_12$0 null$0 null$0))
    (and (Btwn$0 next_8$0 sk_l1_8$0 sk_l2_8$0 null$0)
         (in$0 sk_l1_8$0 sk_?X_209$0) (in$0 sk_l2_8$0 sk_?X_209$0)
         (not (<= (read$0 data$0 sk_l1_8$0) (read$0 data$0 sk_l2_8$0))))))

(assert (not (in$0 null$0 Alloc$0)))

(assert (not (in$0 null$0 Alloc$0)))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 x$0 l1 null$0)
                 (in$0 l1 (lseg_domain$0 next$0 x$0 null$0))
                 (not (= l1 null$0)))
            (and (or (= l1 null$0) (not (Btwn$0 next$0 x$0 l1 null$0)))
                 (not (in$0 l1 (lseg_domain$0 next$0 x$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next_5$0 x2_2$0 l1 null$0)
                 (in$0 l1 (lseg_domain$0 next_5$0 x2_2$0 null$0))
                 (not (= l1 null$0)))
            (and (or (= l1 null$0) (not (Btwn$0 next_5$0 x2_2$0 l1 null$0)))
                 (not (in$0 l1 (lseg_domain$0 next_5$0 x2_2$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next_6$0 x2_2$0 l1 null$0)
                 (in$0 l1 (lseg_domain$0 next_6$0 x2_2$0 null$0))
                 (not (= l1 null$0)))
            (and (or (= l1 null$0) (not (Btwn$0 next_6$0 x2_2$0 l1 null$0)))
                 (not (in$0 l1 (lseg_domain$0 next_6$0 x2_2$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next_7$0 res2_2$0 l1 null$0)
                 (in$0 l1 (slseg_domain$0 data$0 next_7$0 res2_2$0 null$0))
                 (not (= l1 null$0)))
            (and
                 (or (= l1 null$0)
                     (not (Btwn$0 next_7$0 res2_2$0 l1 null$0)))
                 (not
                      (in$0 l1
                        (slseg_domain$0 data$0 next_7$0 res2_2$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next_8$0 res_12$0 l1 null$0)
                 (in$0 l1 (slseg_domain$0 data$0 next_8$0 res_12$0 null$0))
                 (not (= l1 null$0)))
            (and
                 (or (= l1 null$0)
                     (not (Btwn$0 next_8$0 res_12$0 l1 null$0)))
                 (not
                      (in$0 l1
                        (slseg_domain$0 data$0 next_8$0 res_12$0 null$0)))))))

(assert (or (and Axiom_103$0 Axiom_102$0 Axiom_101$0)
    (not (Frame$1 FP_11$0 Alloc$0 next_7$0 next_8$0))))

(assert (or (and Axiom_109$0 Axiom_108$0 Axiom_107$0)
    (not (Frame$1 FP_7$0 Alloc$0 next_5$0 next_6$0))))

(assert (forall ((?x Loc)) (Btwn$0 next_8$0 ?x ?x ?x)))

(assert (forall ((?x Loc)) (Btwn$0 next_7$0 ?x ?x ?x)))

(assert (forall ((?x Loc)) (Btwn$0 next_6$0 ?x ?x ?x)))

(assert (forall ((?x Loc)) (Btwn$0 next_5$0 ?x ?x ?x)))

(assert (forall ((?x Loc)) (Btwn$0 next$0 ?x ?x ?x)))

(assert (forall ((?x Loc) (?y Loc)) (or (not (Btwn$0 next_8$0 ?x ?y ?x)) (= ?x ?y))))

(assert (forall ((?x Loc) (?y Loc)) (or (not (Btwn$0 next_7$0 ?x ?y ?x)) (= ?x ?y))))

(assert (forall ((?x Loc) (?y Loc)) (or (not (Btwn$0 next_6$0 ?x ?y ?x)) (= ?x ?y))))

(assert (forall ((?x Loc) (?y Loc)) (or (not (Btwn$0 next_5$0 ?x ?y ?x)) (= ?x ?y))))

(assert (forall ((?x Loc) (?y Loc)) (or (not (Btwn$0 next$0 ?x ?y ?x)) (= ?x ?y))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next_8$0 ?x ?y ?y)) (not (Btwn$0 next_8$0 ?x ?z ?z))
            (Btwn$0 next_8$0 ?x ?y ?z) (Btwn$0 next_8$0 ?x ?z ?y))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next_7$0 ?x ?y ?y)) (not (Btwn$0 next_7$0 ?x ?z ?z))
            (Btwn$0 next_7$0 ?x ?y ?z) (Btwn$0 next_7$0 ?x ?z ?y))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next_6$0 ?x ?y ?y)) (not (Btwn$0 next_6$0 ?x ?z ?z))
            (Btwn$0 next_6$0 ?x ?y ?z) (Btwn$0 next_6$0 ?x ?z ?y))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next_5$0 ?x ?y ?y)) (not (Btwn$0 next_5$0 ?x ?z ?z))
            (Btwn$0 next_5$0 ?x ?y ?z) (Btwn$0 next_5$0 ?x ?z ?y))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?y)) (not (Btwn$0 next$0 ?x ?z ?z))
            (Btwn$0 next$0 ?x ?y ?z) (Btwn$0 next$0 ?x ?z ?y))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next_8$0 ?x ?y ?z))
            (and (Btwn$0 next_8$0 ?x ?y ?y) (Btwn$0 next_8$0 ?y ?z ?z)))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next_7$0 ?x ?y ?z))
            (and (Btwn$0 next_7$0 ?x ?y ?y) (Btwn$0 next_7$0 ?y ?z ?z)))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next_6$0 ?x ?y ?z))
            (and (Btwn$0 next_6$0 ?x ?y ?y) (Btwn$0 next_6$0 ?y ?z ?z)))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next_5$0 ?x ?y ?z))
            (and (Btwn$0 next_5$0 ?x ?y ?y) (Btwn$0 next_5$0 ?y ?z ?z)))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?z))
            (and (Btwn$0 next$0 ?x ?y ?y) (Btwn$0 next$0 ?y ?z ?z)))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next_8$0 ?x ?y ?y)) (not (Btwn$0 next_8$0 ?y ?z ?z))
            (Btwn$0 next_8$0 ?x ?z ?z))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next_7$0 ?x ?y ?y)) (not (Btwn$0 next_7$0 ?y ?z ?z))
            (Btwn$0 next_7$0 ?x ?z ?z))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next_6$0 ?x ?y ?y)) (not (Btwn$0 next_6$0 ?y ?z ?z))
            (Btwn$0 next_6$0 ?x ?z ?z))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next_5$0 ?x ?y ?y)) (not (Btwn$0 next_5$0 ?y ?z ?z))
            (Btwn$0 next_5$0 ?x ?z ?z))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?y)) (not (Btwn$0 next$0 ?y ?z ?z))
            (Btwn$0 next$0 ?x ?z ?z))))

(assert (forall ((?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next_8$0 ?x ?y ?z)) (not (Btwn$0 next_8$0 ?y ?u ?z))
            (and (Btwn$0 next_8$0 ?x ?y ?u) (Btwn$0 next_8$0 ?x ?u ?z)))))

(assert (forall ((?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next_7$0 ?x ?y ?z)) (not (Btwn$0 next_7$0 ?y ?u ?z))
            (and (Btwn$0 next_7$0 ?x ?y ?u) (Btwn$0 next_7$0 ?x ?u ?z)))))

(assert (forall ((?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next_6$0 ?x ?y ?z)) (not (Btwn$0 next_6$0 ?y ?u ?z))
            (and (Btwn$0 next_6$0 ?x ?y ?u) (Btwn$0 next_6$0 ?x ?u ?z)))))

(assert (forall ((?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next_5$0 ?x ?y ?z)) (not (Btwn$0 next_5$0 ?y ?u ?z))
            (and (Btwn$0 next_5$0 ?x ?y ?u) (Btwn$0 next_5$0 ?x ?u ?z)))))

(assert (forall ((?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?z)) (not (Btwn$0 next$0 ?y ?u ?z))
            (and (Btwn$0 next$0 ?x ?y ?u) (Btwn$0 next$0 ?x ?u ?z)))))

(assert (forall ((?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next_8$0 ?x ?y ?z)) (not (Btwn$0 next_8$0 ?x ?u ?y))
            (and (Btwn$0 next_8$0 ?x ?u ?z) (Btwn$0 next_8$0 ?u ?y ?z)))))

(assert (forall ((?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next_7$0 ?x ?y ?z)) (not (Btwn$0 next_7$0 ?x ?u ?y))
            (and (Btwn$0 next_7$0 ?x ?u ?z) (Btwn$0 next_7$0 ?u ?y ?z)))))

(assert (forall ((?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next_6$0 ?x ?y ?z)) (not (Btwn$0 next_6$0 ?x ?u ?y))
            (and (Btwn$0 next_6$0 ?x ?u ?z) (Btwn$0 next_6$0 ?u ?y ?z)))))

(assert (forall ((?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next_5$0 ?x ?y ?z)) (not (Btwn$0 next_5$0 ?x ?u ?y))
            (and (Btwn$0 next_5$0 ?x ?u ?z) (Btwn$0 next_5$0 ?u ?y ?z)))))

(assert (forall ((?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?z)) (not (Btwn$0 next$0 ?x ?u ?y))
            (and (Btwn$0 next$0 ?x ?u ?z) (Btwn$0 next$0 ?u ?y ?z)))))

(check-sat)
(exit)
