(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source |
  GRASShopper benchmarks.
  Authors: Ruzica Piskac, Thomas Wies, and Damien Zufferey
  URL: http://cs.nyu.edu/wies/software/grasshopper
  See also: GRASShopper - Complete Heap Verification with Mixed Specifications. In TACAS 2014, pages 124-139.

  If this benchmark is satisfiable, GRASShopper reports the following error message:
  tests/spl/sls/sls_quicksort.spl:54:4-39:A precondition for this call of quicksort might not hold
  tests/spl/sls/sls_quicksort.spl:48:11-30:Related location: This is the precondition that might not hold
  |)
(set-info :category "crafted")
(set-info :status unsat)

(declare-sort Loc 0)
(declare-sort SetLoc 0)
(declare-sort SetInt 0)
(declare-sort FldBool 0)
(declare-sort FldLoc 0)
(declare-sort FldInt 0)
(declare-fun null$0 () Loc)
(declare-fun read$0 (FldInt Loc) Int)
(declare-fun read$1 (FldLoc Loc) Loc)
(declare-fun ep$0 (FldLoc SetLoc Loc) Loc)
(declare-fun emptyset$0 () SetLoc)
(declare-fun setenum$0 (Loc) SetLoc)
(declare-fun union$0 (SetLoc SetLoc) SetLoc)
(declare-fun intersection$0 (SetLoc SetLoc) SetLoc)
(declare-fun setminus$0 (SetLoc SetLoc) SetLoc)
(declare-fun Btwn$0 (FldLoc Loc Loc Loc) Bool)
(declare-fun Frame$0 (SetLoc SetLoc FldInt FldInt) Bool)
(declare-fun Frame$1 (SetLoc SetLoc FldLoc FldLoc) Bool)
(declare-fun in$0 (Loc SetLoc) Bool)
(declare-fun Alloc$0 () SetLoc)
(declare-fun Axiom_7$0 () Bool)
(declare-fun Axiom_8$0 () Bool)
(declare-fun Axiom_9$0 () Bool)
(declare-fun Axiom_10$0 () Bool)
(declare-fun Axiom_11$0 () Bool)
(declare-fun Axiom_12$0 () Bool)
(declare-fun FP$0 () SetLoc)
(declare-fun FP_1$0 () SetLoc)
(declare-fun FP_2$0 () SetLoc)
(declare-fun FP_Caller$0 () SetLoc)
(declare-fun FP_Caller_1$0 () SetLoc)
(declare-fun blseg_domain$0 (FldInt FldLoc Loc Loc Int Int) SetLoc)
(declare-fun blseg_struct$0 (SetLoc FldInt FldLoc Loc Loc Int Int) Bool)
(declare-fun data$0 () FldInt)
(declare-fun data_1$0 () FldInt)
(declare-fun lb$0 () Int)
(declare-fun next$0 () FldLoc)
(declare-fun pivot_3$0 () Loc)
(declare-fun sk_?X_13$0 () SetLoc)
(declare-fun sk_?X_14$0 () SetLoc)
(declare-fun sk_?X_15$0 () SetLoc)
(declare-fun sk_?X_16$0 () SetLoc)
(declare-fun sk_?X_17$0 () SetLoc)
(declare-fun sk_?X_18$0 () SetLoc)
(declare-fun sk_?X_19$0 () SetLoc)
(declare-fun sk_?X_20$0 () SetLoc)
(declare-fun sk_?X_21$0 () SetLoc)
(declare-fun sk_?X_22$0 () SetLoc)
(declare-fun sk_?X_23$0 () SetLoc)
(declare-fun sk_FP_1$0 () SetLoc)
(declare-fun sk_l1_1$0 () Loc)
(declare-fun ub$0 () Int)
(declare-fun x$0 () Loc)
(declare-fun y$0 () Loc)

(assert (forall ((?y Loc))
        (or (not (Btwn$0 next$0 null$0 ?y ?y)) (= null$0 ?y)
            (Btwn$0 next$0 null$0 (read$1 next$0 null$0) ?y))))

(assert (forall ((?y Loc))
        (or (not (Btwn$0 next$0 x$0 ?y ?y)) (= x$0 ?y)
            (Btwn$0 next$0 x$0 (read$1 next$0 x$0) ?y))))

(assert (forall ((?y Loc))
        (or (not (= (read$1 next$0 null$0) null$0))
            (not (Btwn$0 next$0 null$0 ?y ?y)) (= null$0 ?y))))

(assert (forall ((?y Loc))
        (or (not (= (read$1 next$0 x$0) x$0)) (not (Btwn$0 next$0 x$0 ?y ?y))
            (= x$0 ?y))))

(assert (Btwn$0 next$0 null$0 (read$1 next$0 null$0) (read$1 next$0 null$0)))

(assert (Btwn$0 next$0 x$0 (read$1 next$0 x$0) (read$1 next$0 x$0)))

(assert (forall ((?x Loc))
        (or (not Axiom_12$0)
            (or (= (read$0 data$0 ?x) (read$0 data_1$0 ?x))
                (not (in$0 ?x (setminus$0 Alloc$0 FP_1$0)))))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next$0 null$0 (ep$0 next$0 FP$0 null$0) ?y)
            (not (Btwn$0 next$0 null$0 ?y ?y)) (not (in$0 ?y FP$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next$0 pivot_3$0 (ep$0 next$0 FP$0 pivot_3$0) ?y)
            (not (Btwn$0 next$0 pivot_3$0 ?y ?y)) (not (in$0 ?y FP$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next$0 sk_l1_1$0 (ep$0 next$0 FP$0 sk_l1_1$0) ?y)
            (not (Btwn$0 next$0 sk_l1_1$0 ?y ?y)) (not (in$0 ?y FP$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next$0 x$0 (ep$0 next$0 FP$0 x$0) ?y)
            (not (Btwn$0 next$0 x$0 ?y ?y)) (not (in$0 ?y FP$0)))))

(assert (Btwn$0 next$0 null$0 (ep$0 next$0 FP$0 null$0) (ep$0 next$0 FP$0 null$0)))

(assert (Btwn$0 next$0 pivot_3$0 (ep$0 next$0 FP$0 pivot_3$0)
  (ep$0 next$0 FP$0 pivot_3$0)))

(assert (Btwn$0 next$0 sk_l1_1$0 (ep$0 next$0 FP$0 sk_l1_1$0)
  (ep$0 next$0 FP$0 sk_l1_1$0)))

(assert (Btwn$0 next$0 x$0 (ep$0 next$0 FP$0 x$0) (ep$0 next$0 FP$0 x$0)))

(assert (forall ((l1 Loc))
        (or (not Axiom_11$0)
            (or
                (and (<= (read$0 data$0 l1) ub$0)
                     (<= lb$0 (read$0 data$0 l1)))
                (not (in$0 l1 sk_?X_22$0))))))

(assert (forall ((l1 Loc))
        (or (not Axiom_9$0)
            (or
                (and (<= (read$0 data_1$0 l1) (read$0 data_1$0 pivot_3$0))
                     (<= lb$0 (read$0 data_1$0 l1)))
                (not (in$0 l1 sk_?X_23$0))))))

(assert (forall ((l1 Loc))
        (or (not Axiom_7$0)
            (or
                (and (<= (read$0 data_1$0 l1) ub$0)
                     (<= (read$0 data_1$0 pivot_3$0) (read$0 data_1$0 l1)))
                (not (in$0 l1 sk_?X_14$0))))))

(assert (or (in$0 (ep$0 next$0 FP$0 null$0) FP$0)
    (= null$0 (ep$0 next$0 FP$0 null$0))))

(assert (or (in$0 (ep$0 next$0 FP$0 pivot_3$0) FP$0)
    (= pivot_3$0 (ep$0 next$0 FP$0 pivot_3$0))))

(assert (or (in$0 (ep$0 next$0 FP$0 sk_l1_1$0) FP$0)
    (= sk_l1_1$0 (ep$0 next$0 FP$0 sk_l1_1$0))))

(assert (or (in$0 (ep$0 next$0 FP$0 x$0) FP$0) (= x$0 (ep$0 next$0 FP$0 x$0))))

(assert (forall ((l1 Loc))
        (or (not Axiom_10$0)
            (or
                (and (<= (read$0 data$0 l1) ub$0)
                     (<= lb$0 (read$0 data$0 l1)))
                (not (in$0 l1 sk_?X_21$0))))))

(assert (forall ((l1 Loc))
        (or (not Axiom_8$0)
            (or
                (and (<= (read$0 data_1$0 l1) (read$0 data_1$0 pivot_3$0))
                     (<= lb$0 (read$0 data_1$0 l1)))
                (not (in$0 l1 sk_?X_13$0))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 FP_Caller$0 Alloc$0))
                 (or (in$0 x FP_Caller$0) (in$0 x Alloc$0)))
            (and (not (in$0 x FP_Caller$0)) (not (in$0 x Alloc$0))
                 (not (in$0 x (union$0 FP_Caller$0 Alloc$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 FP_2$0 Alloc$0))
                 (or (in$0 x FP_2$0) (in$0 x Alloc$0)))
            (and (not (in$0 x FP_2$0)) (not (in$0 x Alloc$0))
                 (not (in$0 x (union$0 FP_2$0 Alloc$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 FP$0 FP$0))
                 (or (in$0 x FP$0) (in$0 x FP$0)))
            (and (not (in$0 x FP$0)) (not (in$0 x FP$0))
                 (not (in$0 x (union$0 FP$0 FP$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 (setminus$0 FP$0 FP_1$0) sk_?X_19$0))
                 (or (in$0 x (setminus$0 FP$0 FP_1$0)) (in$0 x sk_?X_19$0)))
            (and (not (in$0 x (setminus$0 FP$0 FP_1$0)))
                 (not (in$0 x sk_?X_19$0))
                 (not (in$0 x (union$0 (setminus$0 FP$0 FP_1$0) sk_?X_19$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 FP$0 FP_Caller$0))
                 (or (in$0 x FP$0) (in$0 x FP_Caller$0)))
            (and (not (in$0 x FP$0)) (not (in$0 x FP_Caller$0))
                 (not (in$0 x (union$0 FP$0 FP_Caller$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 sk_FP_1$0 sk_?X_14$0))
                 (or (in$0 x sk_FP_1$0) (in$0 x sk_?X_14$0)))
            (and (not (in$0 x sk_FP_1$0)) (not (in$0 x sk_?X_14$0))
                 (not (in$0 x (union$0 sk_FP_1$0 sk_?X_14$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 sk_?X_16$0 sk_?X_17$0))
                 (or (in$0 x sk_?X_16$0) (in$0 x sk_?X_17$0)))
            (and (not (in$0 x sk_?X_16$0)) (not (in$0 x sk_?X_17$0))
                 (not (in$0 x (union$0 sk_?X_16$0 sk_?X_17$0)))))))

(assert (forall ((x Loc))
        (or
            (and
                 (in$0 x
                   (union$0 (intersection$0 Alloc$0 FP_1$0)
                     (setminus$0 Alloc$0 Alloc$0)))
                 (or (in$0 x (intersection$0 Alloc$0 FP_1$0))
                     (in$0 x (setminus$0 Alloc$0 Alloc$0))))
            (and (not (in$0 x (intersection$0 Alloc$0 FP_1$0)))
                 (not (in$0 x (setminus$0 Alloc$0 Alloc$0)))
                 (not
                      (in$0 x
                        (union$0 (intersection$0 Alloc$0 FP_1$0)
                          (setminus$0 Alloc$0 Alloc$0))))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x Alloc$0) (in$0 x FP$0)
                 (in$0 x (intersection$0 Alloc$0 FP$0)))
            (and (or (not (in$0 x Alloc$0)) (not (in$0 x FP$0)))
                 (not (in$0 x (intersection$0 Alloc$0 FP$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x sk_FP_1$0) (in$0 x sk_?X_14$0)
                 (in$0 x (intersection$0 sk_FP_1$0 sk_?X_14$0)))
            (and (or (not (in$0 x sk_FP_1$0)) (not (in$0 x sk_?X_14$0)))
                 (not (in$0 x (intersection$0 sk_FP_1$0 sk_?X_14$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x sk_?X_16$0) (in$0 x sk_?X_17$0)
                 (in$0 x (intersection$0 sk_?X_16$0 sk_?X_17$0)))
            (and (or (not (in$0 x sk_?X_16$0)) (not (in$0 x sk_?X_17$0)))
                 (not (in$0 x (intersection$0 sk_?X_16$0 sk_?X_17$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x Alloc$0) (in$0 x (setminus$0 Alloc$0 Alloc$0))
                 (not (in$0 x Alloc$0)))
            (and (or (in$0 x Alloc$0) (not (in$0 x Alloc$0)))
                 (not (in$0 x (setminus$0 Alloc$0 Alloc$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x Alloc$0) (in$0 x (setminus$0 Alloc$0 FP$0))
                 (not (in$0 x FP$0)))
            (and (or (in$0 x FP$0) (not (in$0 x Alloc$0)))
                 (not (in$0 x (setminus$0 Alloc$0 FP$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x FP$0) (in$0 x (setminus$0 FP$0 FP$0))
                 (not (in$0 x FP$0)))
            (and (or (in$0 x FP$0) (not (in$0 x FP$0)))
                 (not (in$0 x (setminus$0 FP$0 FP$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x FP_Caller$0) (in$0 x (setminus$0 FP_Caller$0 FP$0))
                 (not (in$0 x FP$0)))
            (and (or (in$0 x FP$0) (not (in$0 x FP_Caller$0)))
                 (not (in$0 x (setminus$0 FP_Caller$0 FP$0)))))))

(assert (forall ((y Loc) (x Loc))
        (or (and (= x y) (in$0 x (setenum$0 y)))
            (and (not (= x y)) (not (in$0 x (setenum$0 y)))))))

(assert (= (read$1 next$0 null$0) null$0))

(assert (forall ((x Loc)) (not (in$0 x emptyset$0))))

(assert (or (and (Btwn$0 next$0 pivot_3$0 y$0 y$0) Axiom_7$0)
    (not
         (blseg_struct$0 sk_?X_14$0 data_1$0 next$0 pivot_3$0 y$0
           (read$0 data_1$0 pivot_3$0) ub$0))))

(assert (or (and (Btwn$0 next$0 x$0 pivot_3$0 pivot_3$0) Axiom_9$0)
    (not
         (blseg_struct$0 sk_?X_23$0 data_1$0 next$0 x$0 pivot_3$0 lb$0
           (read$0 data_1$0 pivot_3$0)))))

(assert (or (and (Btwn$0 next$0 x$0 y$0 y$0) Axiom_11$0)
    (not (blseg_struct$0 sk_?X_22$0 data$0 next$0 x$0 y$0 lb$0 ub$0))))

(assert (= FP_Caller_1$0 (setminus$0 FP_Caller$0 FP$0)))

(assert (Frame$1 FP_1$0 Alloc$0 next$0 next$0))

(assert (= Alloc$0 (union$0 FP_Caller$0 Alloc$0)))

(assert (= emptyset$0 (intersection$0 sk_?X_13$0 sk_?X_15$0)))

(assert (= sk_?X_13$0
  (blseg_domain$0 data_1$0 next$0 x$0 pivot_3$0 lb$0
    (read$0 data_1$0 pivot_3$0))))

(assert (= sk_?X_15$0 sk_?X_14$0))

(assert (= sk_?X_17$0 emptyset$0))

(assert (= sk_?X_19$0
  (union$0 (intersection$0 Alloc$0 FP_1$0) (setminus$0 Alloc$0 Alloc$0))))

(assert (<= (read$0 data_1$0 pivot_3$0) ub$0))

(assert (Btwn$0 next$0 x$0 pivot_3$0 y$0))

(assert (blseg_struct$0 sk_?X_14$0 data_1$0 next$0 pivot_3$0 y$0
  (read$0 data_1$0 pivot_3$0) ub$0))

(assert (= emptyset$0 emptyset$0))

(assert (= sk_?X_20$0 FP_1$0))

(assert (= FP$0 (union$0 FP_1$0 FP$0)))

(assert (not (= x$0 y$0)))

(assert (= sk_?X_22$0 (blseg_domain$0 data$0 next$0 x$0 y$0 lb$0 ub$0)))

(assert (blseg_struct$0 sk_?X_22$0 data$0 next$0 x$0 y$0 lb$0 ub$0))

(assert (= sk_FP_1$0 sk_?X_23$0))

(assert (not (= (read$1 next$0 x$0) y$0)))

(assert (not (in$0 null$0 Alloc$0)))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 pivot_3$0 l1 y$0)
                 (in$0 l1
                   (blseg_domain$0 data_1$0 next$0 pivot_3$0 y$0
                     (read$0 data_1$0 pivot_3$0) ub$0))
                 (not (= l1 y$0)))
            (and (or (= l1 y$0) (not (Btwn$0 next$0 pivot_3$0 l1 y$0)))
                 (not
                      (in$0 l1
                        (blseg_domain$0 data_1$0 next$0 pivot_3$0 y$0
                          (read$0 data_1$0 pivot_3$0) ub$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 x$0 l1 y$0)
                 (in$0 l1 (blseg_domain$0 data$0 next$0 x$0 y$0 lb$0 ub$0))
                 (not (= l1 y$0)))
            (and (or (= l1 y$0) (not (Btwn$0 next$0 x$0 l1 y$0)))
                 (not
                      (in$0 l1
                        (blseg_domain$0 data$0 next$0 x$0 y$0 lb$0 ub$0)))))))

(assert (or (not (Frame$0 FP_1$0 Alloc$0 data$0 data_1$0)) Axiom_12$0))

(assert (or (and (Btwn$0 next$0 x$0 pivot_3$0 pivot_3$0) Axiom_8$0)
    (not
         (blseg_struct$0 sk_?X_13$0 data_1$0 next$0 x$0 pivot_3$0 lb$0
           (read$0 data_1$0 pivot_3$0)))))

(assert (or (and (Btwn$0 next$0 x$0 y$0 y$0) Axiom_10$0)
    (not (blseg_struct$0 sk_?X_21$0 data$0 next$0 x$0 y$0 lb$0 ub$0))))

(assert (= FP_2$0
  (union$0 (setminus$0 FP$0 FP_1$0)
    (union$0 (intersection$0 Alloc$0 FP_1$0) (setminus$0 Alloc$0 Alloc$0)))))

(assert (Frame$0 FP_1$0 Alloc$0 data$0 data_1$0))

(assert (= Alloc$0 (union$0 FP_2$0 Alloc$0)))

(assert (= emptyset$0 emptyset$0))

(assert (= emptyset$0 (intersection$0 sk_?X_16$0 sk_?X_17$0)))

(assert (= sk_?X_14$0
  (blseg_domain$0 data_1$0 next$0 pivot_3$0 y$0 (read$0 data_1$0 pivot_3$0)
    ub$0)))

(assert (= sk_?X_16$0 (union$0 sk_?X_13$0 sk_?X_15$0)))

(assert (= sk_?X_18$0 (union$0 sk_?X_16$0 sk_?X_17$0)))

(assert (= sk_?X_19$0 sk_?X_18$0))

(assert (<= lb$0 (read$0 data_1$0 pivot_3$0)))

(assert (blseg_struct$0 sk_?X_13$0 data_1$0 next$0 x$0 pivot_3$0 lb$0
  (read$0 data_1$0 pivot_3$0)))

(assert (not (= pivot_3$0 y$0)))

(assert (= sk_?X_20$0 sk_?X_21$0))

(assert (= sk_?X_21$0 (blseg_domain$0 data$0 next$0 x$0 y$0 lb$0 ub$0)))

(assert (blseg_struct$0 sk_?X_21$0 data$0 next$0 x$0 y$0 lb$0 ub$0))

(assert (= sk_?X_22$0 FP$0))

(assert (= FP_Caller$0 (union$0 FP$0 FP_Caller$0)))

(assert (= sk_?X_23$0
  (blseg_domain$0 data_1$0 next$0 x$0 pivot_3$0 lb$0
    (read$0 data_1$0 pivot_3$0))))

(assert (or
    (and (in$0 sk_l1_1$0 sk_?X_23$0)
         (or
             (not
                  (<= (read$0 data_1$0 sk_l1_1$0)
                    (read$0 data_1$0 pivot_3$0)))
             (not (<= lb$0 (read$0 data_1$0 sk_l1_1$0)))))
    (and (in$0 sk_l1_1$0 sk_FP_1$0) (not (in$0 sk_l1_1$0 FP_2$0)))
    (not (Btwn$0 next$0 x$0 pivot_3$0 pivot_3$0))))

(assert (not (= x$0 y$0)))

(assert (not (in$0 null$0 Alloc$0)))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 x$0 l1 pivot_3$0)
                 (in$0 l1
                   (blseg_domain$0 data_1$0 next$0 x$0 pivot_3$0 lb$0
                     (read$0 data_1$0 pivot_3$0)))
                 (not (= l1 pivot_3$0)))
            (and (or (= l1 pivot_3$0) (not (Btwn$0 next$0 x$0 l1 pivot_3$0)))
                 (not
                      (in$0 l1
                        (blseg_domain$0 data_1$0 next$0 x$0 pivot_3$0 lb$0
                          (read$0 data_1$0 pivot_3$0))))))))

(assert (forall ((?x Loc)) (Btwn$0 next$0 ?x ?x ?x)))

(assert (forall ((?x Loc) (?y Loc)) (or (not (Btwn$0 next$0 ?x ?y ?x)) (= ?x ?y))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?y)) (not (Btwn$0 next$0 ?x ?z ?z))
            (Btwn$0 next$0 ?x ?y ?z) (Btwn$0 next$0 ?x ?z ?y))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?z))
            (and (Btwn$0 next$0 ?x ?y ?y) (Btwn$0 next$0 ?y ?z ?z)))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?y)) (not (Btwn$0 next$0 ?y ?z ?z))
            (Btwn$0 next$0 ?x ?z ?z))))

(assert (forall ((?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?z)) (not (Btwn$0 next$0 ?y ?u ?z))
            (and (Btwn$0 next$0 ?x ?y ?u) (Btwn$0 next$0 ?x ?u ?z)))))

(assert (forall ((?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?z)) (not (Btwn$0 next$0 ?x ?u ?y))
            (and (Btwn$0 next$0 ?x ?u ?z) (Btwn$0 next$0 ?u ?y ?z)))))

(check-sat)
(exit)
