(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source |
  GRASShopper benchmarks.
  Authors: Ruzica Piskac, Thomas Wies, and Damien Zufferey
  URL: http://cs.nyu.edu/wies/software/grasshopper
  See also: GRASShopper - Complete Heap Verification with Mixed Specifications. In TACAS 2014, pages 124-139.

  If this benchmark is satisfiable, GRASShopper reports the following error message:
  tests/spl/sls/sls_strand_sort.spl:117:14-39:A precondition for this call of merge might not hold
  tests/spl/sls/sls_strand_sort.spl:30:11-44:Related location: This is the precondition that might not hold
  |)
(set-info :category "crafted")
(set-info :status unsat)

(declare-sort Loc 0)
(declare-sort SetLoc 0)
(declare-sort SetInt 0)
(declare-sort FldBool 0)
(declare-sort FldLoc 0)
(declare-sort FldInt 0)
(declare-fun null$0 () Loc)
(declare-fun read$0 (FldInt Loc) Int)
(declare-fun read$1 (FldLoc Loc) Loc)
(declare-fun ep$0 (FldLoc SetLoc Loc) Loc)
(declare-fun emptyset$0 () SetLoc)
(declare-fun setenum$0 (Loc) SetLoc)
(declare-fun union$0 (SetLoc SetLoc) SetLoc)
(declare-fun intersection$0 (SetLoc SetLoc) SetLoc)
(declare-fun setminus$0 (SetLoc SetLoc) SetLoc)
(declare-fun Btwn$0 (FldLoc Loc Loc Loc) Bool)
(declare-fun Frame$0 (SetLoc SetLoc FldLoc FldLoc) Bool)
(declare-fun Frame$1 (SetLoc SetLoc FldInt FldInt) Bool)
(declare-fun in$0 (Loc SetLoc) Bool)
(declare-fun Alloc$0 () SetLoc)
(declare-fun Axiom_104$0 () Bool)
(declare-fun Axiom_105$0 () Bool)
(declare-fun Axiom_106$0 () Bool)
(declare-fun Axiom_107$0 () Bool)
(declare-fun Axiom_108$0 () Bool)
(declare-fun Axiom_109$0 () Bool)
(declare-fun Axiom_110$0 () Bool)
(declare-fun FP$0 () SetLoc)
(declare-fun FP_11$0 () SetLoc)
(declare-fun FP_12$0 () SetLoc)
(declare-fun FP_Caller$0 () SetLoc)
(declare-fun FP_Caller_6$0 () SetLoc)
(declare-fun data$0 () FldInt)
(declare-fun lseg_domain$0 (FldLoc Loc Loc) SetLoc)
(declare-fun lseg_struct$0 (SetLoc FldLoc Loc Loc) Bool)
(declare-fun lst_3$0 () Loc)
(declare-fun lst_4$0 () Loc)
(declare-fun lst_init$0 () Loc)
(declare-fun new_sorted_2$0 () Loc)
(declare-fun new_sorted_4$0 () Loc)
(declare-fun new_sorted_init$0 () Loc)
(declare-fun next$0 () FldLoc)
(declare-fun next_12$0 () FldLoc)
(declare-fun sk_?X_367$0 () SetLoc)
(declare-fun sk_?X_368$0 () SetLoc)
(declare-fun sk_?X_369$0 () SetLoc)
(declare-fun sk_?X_370$0 () SetLoc)
(declare-fun sk_?X_371$0 () SetLoc)
(declare-fun sk_?X_372$0 () SetLoc)
(declare-fun sk_?X_373$0 () SetLoc)
(declare-fun sk_?X_374$0 () SetLoc)
(declare-fun sk_?X_375$0 () SetLoc)
(declare-fun sk_?X_376$0 () SetLoc)
(declare-fun sk_?X_377$0 () SetLoc)
(declare-fun sk_FP_10$0 () SetLoc)
(declare-fun sk_l1_14$0 () Loc)
(declare-fun sk_l2_14$0 () Loc)
(declare-fun slseg_domain$0 (FldInt FldLoc Loc Loc) SetLoc)
(declare-fun slseg_struct$0 (SetLoc FldInt FldLoc Loc Loc) Bool)
(declare-fun sorted_12$0 () Loc)
(declare-fun sorted_init_1$0 () Loc)

(assert (forall ((?y Loc))
        (or (not (Btwn$0 next$0 null$0 ?y ?y)) (= null$0 ?y)
            (Btwn$0 next$0 null$0 (read$1 next$0 null$0) ?y))))

(assert (forall ((?y Loc))
        (or (not (Btwn$0 next_12$0 null$0 ?y ?y)) (= null$0 ?y)
            (Btwn$0 next_12$0 null$0 (read$1 next_12$0 null$0) ?y))))

(assert (forall ((?y Loc))
        (or (not (= (read$1 next$0 null$0) null$0))
            (not (Btwn$0 next$0 null$0 ?y ?y)) (= null$0 ?y))))

(assert (forall ((?y Loc))
        (or (not (= (read$1 next_12$0 null$0) null$0))
            (not (Btwn$0 next_12$0 null$0 ?y ?y)) (= null$0 ?y))))

(assert (Btwn$0 next$0 null$0 (read$1 next$0 null$0) (read$1 next$0 null$0)))

(assert (Btwn$0 next_12$0 null$0 (read$1 next_12$0 null$0) (read$1 next_12$0 null$0)))

(assert (or (not Axiom_110$0)
    (or (= (read$1 next$0 null$0) (read$1 next_12$0 null$0))
        (not (in$0 null$0 (setminus$0 Alloc$0 FP_11$0))))))

(assert (or (not Axiom_109$0)
    (forall ((?y Loc) (?z Loc))
            (or
                (and (Btwn$0 next$0 null$0 ?z ?y)
                     (Btwn$0 next_12$0 null$0 ?z ?y))
                (and (not (Btwn$0 next$0 null$0 ?z ?y))
                     (not (Btwn$0 next_12$0 null$0 ?z ?y)))
                (not
                     (or
                         (Btwn$0 next$0 null$0 ?y
                           (ep$0 next$0 FP_11$0 null$0))
                         (and (Btwn$0 next$0 null$0 ?y ?y)
                              (not
                                   (Btwn$0 next$0 null$0
                                     (ep$0 next$0 FP_11$0 null$0)
                                     (ep$0 next$0 FP_11$0 null$0))))))))))

(assert (or (not Axiom_109$0)
    (forall ((?y Loc) (?z Loc))
            (or
                (and (Btwn$0 next$0 lst_init$0 ?z ?y)
                     (Btwn$0 next_12$0 lst_init$0 ?z ?y))
                (and (not (Btwn$0 next$0 lst_init$0 ?z ?y))
                     (not (Btwn$0 next_12$0 lst_init$0 ?z ?y)))
                (not
                     (or
                         (Btwn$0 next$0 lst_init$0 ?y
                           (ep$0 next$0 FP_11$0 lst_init$0))
                         (and (Btwn$0 next$0 lst_init$0 ?y ?y)
                              (not
                                   (Btwn$0 next$0 lst_init$0
                                     (ep$0 next$0 FP_11$0 lst_init$0)
                                     (ep$0 next$0 FP_11$0 lst_init$0))))))))))

(assert (or (not Axiom_109$0)
    (forall ((?y Loc) (?z Loc))
            (or
                (and (Btwn$0 next$0 lst_4$0 ?z ?y)
                     (Btwn$0 next_12$0 lst_4$0 ?z ?y))
                (and (not (Btwn$0 next$0 lst_4$0 ?z ?y))
                     (not (Btwn$0 next_12$0 lst_4$0 ?z ?y)))
                (not
                     (or
                         (Btwn$0 next$0 lst_4$0 ?y
                           (ep$0 next$0 FP_11$0 lst_4$0))
                         (and (Btwn$0 next$0 lst_4$0 ?y ?y)
                              (not
                                   (Btwn$0 next$0 lst_4$0
                                     (ep$0 next$0 FP_11$0 lst_4$0)
                                     (ep$0 next$0 FP_11$0 lst_4$0))))))))))

(assert (or (not Axiom_109$0)
    (forall ((?y Loc) (?z Loc))
            (or
                (and (Btwn$0 next$0 new_sorted_4$0 ?z ?y)
                     (Btwn$0 next_12$0 new_sorted_4$0 ?z ?y))
                (and (not (Btwn$0 next$0 new_sorted_4$0 ?z ?y))
                     (not (Btwn$0 next_12$0 new_sorted_4$0 ?z ?y)))
                (not
                     (or
                         (Btwn$0 next$0 new_sorted_4$0 ?y
                           (ep$0 next$0 FP_11$0 new_sorted_4$0))
                         (and (Btwn$0 next$0 new_sorted_4$0 ?y ?y)
                              (not
                                   (Btwn$0 next$0 new_sorted_4$0
                                     (ep$0 next$0 FP_11$0 new_sorted_4$0)
                                     (ep$0 next$0 FP_11$0 new_sorted_4$0))))))))))

(assert (or (not Axiom_109$0)
    (forall ((?y Loc) (?z Loc))
            (or
                (and (Btwn$0 next$0 sk_l1_14$0 ?z ?y)
                     (Btwn$0 next_12$0 sk_l1_14$0 ?z ?y))
                (and (not (Btwn$0 next$0 sk_l1_14$0 ?z ?y))
                     (not (Btwn$0 next_12$0 sk_l1_14$0 ?z ?y)))
                (not
                     (or
                         (Btwn$0 next$0 sk_l1_14$0 ?y
                           (ep$0 next$0 FP_11$0 sk_l1_14$0))
                         (and (Btwn$0 next$0 sk_l1_14$0 ?y ?y)
                              (not
                                   (Btwn$0 next$0 sk_l1_14$0
                                     (ep$0 next$0 FP_11$0 sk_l1_14$0)
                                     (ep$0 next$0 FP_11$0 sk_l1_14$0))))))))))

(assert (or (not Axiom_109$0)
    (forall ((?y Loc) (?z Loc))
            (or
                (and (Btwn$0 next$0 sk_l2_14$0 ?z ?y)
                     (Btwn$0 next_12$0 sk_l2_14$0 ?z ?y))
                (and (not (Btwn$0 next$0 sk_l2_14$0 ?z ?y))
                     (not (Btwn$0 next_12$0 sk_l2_14$0 ?z ?y)))
                (not
                     (or
                         (Btwn$0 next$0 sk_l2_14$0 ?y
                           (ep$0 next$0 FP_11$0 sk_l2_14$0))
                         (and (Btwn$0 next$0 sk_l2_14$0 ?y ?y)
                              (not
                                   (Btwn$0 next$0 sk_l2_14$0
                                     (ep$0 next$0 FP_11$0 sk_l2_14$0)
                                     (ep$0 next$0 FP_11$0 sk_l2_14$0))))))))))

(assert (or (not Axiom_109$0)
    (forall ((?y Loc) (?z Loc))
            (or
                (and (Btwn$0 next$0 sorted_init_1$0 ?z ?y)
                     (Btwn$0 next_12$0 sorted_init_1$0 ?z ?y))
                (and (not (Btwn$0 next$0 sorted_init_1$0 ?z ?y))
                     (not (Btwn$0 next_12$0 sorted_init_1$0 ?z ?y)))
                (not
                     (or
                         (Btwn$0 next$0 sorted_init_1$0 ?y
                           (ep$0 next$0 FP_11$0 sorted_init_1$0))
                         (and (Btwn$0 next$0 sorted_init_1$0 ?y ?y)
                              (not
                                   (Btwn$0 next$0 sorted_init_1$0
                                     (ep$0 next$0 FP_11$0 sorted_init_1$0)
                                     (ep$0 next$0 FP_11$0 sorted_init_1$0))))))))))

(assert (or (not Axiom_108$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 null$0 FP_11$0)
                (and (Btwn$0 next$0 null$0 ?z ?y)
                     (Btwn$0 next_12$0 null$0 ?z ?y))
                (and (not (Btwn$0 next$0 null$0 ?z ?y))
                     (not (Btwn$0 next_12$0 null$0 ?z ?y)))
                (not (= null$0 (ep$0 next$0 FP_11$0 null$0)))))))

(assert (or (not Axiom_108$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 lst_init$0 FP_11$0)
                (and (Btwn$0 next$0 lst_init$0 ?z ?y)
                     (Btwn$0 next_12$0 lst_init$0 ?z ?y))
                (and (not (Btwn$0 next$0 lst_init$0 ?z ?y))
                     (not (Btwn$0 next_12$0 lst_init$0 ?z ?y)))
                (not (= lst_init$0 (ep$0 next$0 FP_11$0 lst_init$0)))))))

(assert (or (not Axiom_108$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 lst_4$0 FP_11$0)
                (and (Btwn$0 next$0 lst_4$0 ?z ?y)
                     (Btwn$0 next_12$0 lst_4$0 ?z ?y))
                (and (not (Btwn$0 next$0 lst_4$0 ?z ?y))
                     (not (Btwn$0 next_12$0 lst_4$0 ?z ?y)))
                (not (= lst_4$0 (ep$0 next$0 FP_11$0 lst_4$0)))))))

(assert (or (not Axiom_108$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 new_sorted_4$0 FP_11$0)
                (and (Btwn$0 next$0 new_sorted_4$0 ?z ?y)
                     (Btwn$0 next_12$0 new_sorted_4$0 ?z ?y))
                (and (not (Btwn$0 next$0 new_sorted_4$0 ?z ?y))
                     (not (Btwn$0 next_12$0 new_sorted_4$0 ?z ?y)))
                (not (= new_sorted_4$0 (ep$0 next$0 FP_11$0 new_sorted_4$0)))))))

(assert (or (not Axiom_108$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 sk_l1_14$0 FP_11$0)
                (and (Btwn$0 next$0 sk_l1_14$0 ?z ?y)
                     (Btwn$0 next_12$0 sk_l1_14$0 ?z ?y))
                (and (not (Btwn$0 next$0 sk_l1_14$0 ?z ?y))
                     (not (Btwn$0 next_12$0 sk_l1_14$0 ?z ?y)))
                (not (= sk_l1_14$0 (ep$0 next$0 FP_11$0 sk_l1_14$0)))))))

(assert (or (not Axiom_108$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 sk_l2_14$0 FP_11$0)
                (and (Btwn$0 next$0 sk_l2_14$0 ?z ?y)
                     (Btwn$0 next_12$0 sk_l2_14$0 ?z ?y))
                (and (not (Btwn$0 next$0 sk_l2_14$0 ?z ?y))
                     (not (Btwn$0 next_12$0 sk_l2_14$0 ?z ?y)))
                (not (= sk_l2_14$0 (ep$0 next$0 FP_11$0 sk_l2_14$0)))))))

(assert (or (not Axiom_108$0)
    (forall ((?y Loc) (?z Loc))
            (or (in$0 sorted_init_1$0 FP_11$0)
                (and (Btwn$0 next$0 sorted_init_1$0 ?z ?y)
                     (Btwn$0 next_12$0 sorted_init_1$0 ?z ?y))
                (and (not (Btwn$0 next$0 sorted_init_1$0 ?z ?y))
                     (not (Btwn$0 next_12$0 sorted_init_1$0 ?z ?y)))
                (not
                     (= sorted_init_1$0
                       (ep$0 next$0 FP_11$0 sorted_init_1$0)))))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next$0 null$0 (ep$0 next$0 sk_?X_373$0 null$0) ?y)
            (not (Btwn$0 next$0 null$0 ?y ?y)) (not (in$0 ?y sk_?X_373$0)))))

(assert (forall ((?y Loc))
        (or
            (Btwn$0 next$0 lst_init$0 (ep$0 next$0 sk_?X_373$0 lst_init$0)
              ?y)
            (not (Btwn$0 next$0 lst_init$0 ?y ?y))
            (not (in$0 ?y sk_?X_373$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next$0 lst_4$0 (ep$0 next$0 sk_?X_373$0 lst_4$0) ?y)
            (not (Btwn$0 next$0 lst_4$0 ?y ?y)) (not (in$0 ?y sk_?X_373$0)))))

(assert (forall ((?y Loc))
        (or
            (Btwn$0 next$0 new_sorted_4$0
              (ep$0 next$0 sk_?X_373$0 new_sorted_4$0) ?y)
            (not (Btwn$0 next$0 new_sorted_4$0 ?y ?y))
            (not (in$0 ?y sk_?X_373$0)))))

(assert (forall ((?y Loc))
        (or
            (Btwn$0 next$0 sk_l1_14$0 (ep$0 next$0 sk_?X_373$0 sk_l1_14$0)
              ?y)
            (not (Btwn$0 next$0 sk_l1_14$0 ?y ?y))
            (not (in$0 ?y sk_?X_373$0)))))

(assert (forall ((?y Loc))
        (or
            (Btwn$0 next$0 sk_l2_14$0 (ep$0 next$0 sk_?X_373$0 sk_l2_14$0)
              ?y)
            (not (Btwn$0 next$0 sk_l2_14$0 ?y ?y))
            (not (in$0 ?y sk_?X_373$0)))))

(assert (forall ((?y Loc))
        (or
            (Btwn$0 next$0 sorted_init_1$0
              (ep$0 next$0 sk_?X_373$0 sorted_init_1$0) ?y)
            (not (Btwn$0 next$0 sorted_init_1$0 ?y ?y))
            (not (in$0 ?y sk_?X_373$0)))))

(assert (or (in$0 (ep$0 next$0 sk_?X_373$0 null$0) sk_?X_373$0)
    (= null$0 (ep$0 next$0 sk_?X_373$0 null$0))))

(assert (or (in$0 (ep$0 next$0 sk_?X_373$0 lst_init$0) sk_?X_373$0)
    (= lst_init$0 (ep$0 next$0 sk_?X_373$0 lst_init$0))))

(assert (or (in$0 (ep$0 next$0 sk_?X_373$0 lst_4$0) sk_?X_373$0)
    (= lst_4$0 (ep$0 next$0 sk_?X_373$0 lst_4$0))))

(assert (or (in$0 (ep$0 next$0 sk_?X_373$0 new_sorted_4$0) sk_?X_373$0)
    (= new_sorted_4$0 (ep$0 next$0 sk_?X_373$0 new_sorted_4$0))))

(assert (or (in$0 (ep$0 next$0 sk_?X_373$0 sk_l1_14$0) sk_?X_373$0)
    (= sk_l1_14$0 (ep$0 next$0 sk_?X_373$0 sk_l1_14$0))))

(assert (or (in$0 (ep$0 next$0 sk_?X_373$0 sk_l2_14$0) sk_?X_373$0)
    (= sk_l2_14$0 (ep$0 next$0 sk_?X_373$0 sk_l2_14$0))))

(assert (or (in$0 (ep$0 next$0 sk_?X_373$0 sorted_init_1$0) sk_?X_373$0)
    (= sorted_init_1$0 (ep$0 next$0 sk_?X_373$0 sorted_init_1$0))))

(assert (Btwn$0 next$0 null$0 (ep$0 next$0 sk_?X_373$0 null$0)
  (ep$0 next$0 sk_?X_373$0 null$0)))

(assert (Btwn$0 next$0 lst_init$0 (ep$0 next$0 sk_?X_373$0 lst_init$0)
  (ep$0 next$0 sk_?X_373$0 lst_init$0)))

(assert (Btwn$0 next$0 lst_4$0 (ep$0 next$0 sk_?X_373$0 lst_4$0)
  (ep$0 next$0 sk_?X_373$0 lst_4$0)))

(assert (Btwn$0 next$0 new_sorted_4$0 (ep$0 next$0 sk_?X_373$0 new_sorted_4$0)
  (ep$0 next$0 sk_?X_373$0 new_sorted_4$0)))

(assert (Btwn$0 next$0 sk_l1_14$0 (ep$0 next$0 sk_?X_373$0 sk_l1_14$0)
  (ep$0 next$0 sk_?X_373$0 sk_l1_14$0)))

(assert (Btwn$0 next$0 sk_l2_14$0 (ep$0 next$0 sk_?X_373$0 sk_l2_14$0)
  (ep$0 next$0 sk_?X_373$0 sk_l2_14$0)))

(assert (Btwn$0 next$0 sorted_init_1$0 (ep$0 next$0 sk_?X_373$0 sorted_init_1$0)
  (ep$0 next$0 sk_?X_373$0 sorted_init_1$0)))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_107$0)
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next_12$0 l1 l2 null$0))
                (not (in$0 l1 sk_?X_377$0)) (not (in$0 l2 sk_?X_377$0))))))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_105$0)
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next_12$0 l1 l2 null$0))
                (not (in$0 l1 sk_?X_370$0)) (not (in$0 l2 sk_?X_370$0))))))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_106$0)
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next_12$0 l1 l2 null$0))
                (not (in$0 l1 sk_?X_376$0)) (not (in$0 l2 sk_?X_376$0))))))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_104$0)
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 null$0))
                (not (in$0 l1 sk_?X_368$0)) (not (in$0 l2 sk_?X_368$0))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 FP_Caller$0 Alloc$0))
                 (or (in$0 x FP_Caller$0) (in$0 x Alloc$0)))
            (and (not (in$0 x FP_Caller$0)) (not (in$0 x Alloc$0))
                 (not (in$0 x (union$0 FP_Caller$0 Alloc$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 FP_12$0 Alloc$0))
                 (or (in$0 x FP_12$0) (in$0 x Alloc$0)))
            (and (not (in$0 x FP_12$0)) (not (in$0 x Alloc$0))
                 (not (in$0 x (union$0 FP_12$0 Alloc$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 (setminus$0 FP$0 FP_11$0) sk_?X_372$0))
                 (or (in$0 x (setminus$0 FP$0 FP_11$0)) (in$0 x sk_?X_372$0)))
            (and (not (in$0 x (setminus$0 FP$0 FP_11$0)))
                 (not (in$0 x sk_?X_372$0))
                 (not
                      (in$0 x
                        (union$0 (setminus$0 FP$0 FP_11$0) sk_?X_372$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 sk_?X_367$0 FP_Caller$0))
                 (or (in$0 x sk_?X_367$0) (in$0 x FP_Caller$0)))
            (and (not (in$0 x sk_?X_367$0)) (not (in$0 x FP_Caller$0))
                 (not (in$0 x (union$0 sk_?X_367$0 FP_Caller$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 sk_?X_373$0 sk_?X_368$0))
                 (or (in$0 x sk_?X_373$0) (in$0 x sk_?X_368$0)))
            (and (not (in$0 x sk_?X_373$0)) (not (in$0 x sk_?X_368$0))
                 (not (in$0 x (union$0 sk_?X_373$0 sk_?X_368$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 sk_?X_373$0 sk_?X_367$0))
                 (or (in$0 x sk_?X_373$0) (in$0 x sk_?X_367$0)))
            (and (not (in$0 x sk_?X_373$0)) (not (in$0 x sk_?X_367$0))
                 (not (in$0 x (union$0 sk_?X_373$0 sk_?X_367$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 sk_?X_376$0 sk_?X_371$0))
                 (or (in$0 x sk_?X_376$0) (in$0 x sk_?X_371$0)))
            (and (not (in$0 x sk_?X_376$0)) (not (in$0 x sk_?X_371$0))
                 (not (in$0 x (union$0 sk_?X_376$0 sk_?X_371$0)))))))

(assert (forall ((x Loc))
        (or
            (and
                 (in$0 x
                   (union$0 (intersection$0 Alloc$0 FP_11$0)
                     (setminus$0 Alloc$0 Alloc$0)))
                 (or (in$0 x (intersection$0 Alloc$0 FP_11$0))
                     (in$0 x (setminus$0 Alloc$0 Alloc$0))))
            (and (not (in$0 x (intersection$0 Alloc$0 FP_11$0)))
                 (not (in$0 x (setminus$0 Alloc$0 Alloc$0)))
                 (not
                      (in$0 x
                        (union$0 (intersection$0 Alloc$0 FP_11$0)
                          (setminus$0 Alloc$0 Alloc$0))))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 sk_?X_377$0 sk_?X_376$0))
                 (or (in$0 x sk_?X_377$0) (in$0 x sk_?X_376$0)))
            (and (not (in$0 x sk_?X_377$0)) (not (in$0 x sk_?X_376$0))
                 (not (in$0 x (union$0 sk_?X_377$0 sk_?X_376$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x sk_?X_376$0) (in$0 x sk_?X_371$0)
                 (in$0 x (intersection$0 sk_?X_376$0 sk_?X_371$0)))
            (and (or (not (in$0 x sk_?X_376$0)) (not (in$0 x sk_?X_371$0)))
                 (not (in$0 x (intersection$0 sk_?X_376$0 sk_?X_371$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x sk_?X_373$0) (in$0 x sk_?X_368$0)
                 (in$0 x (intersection$0 sk_?X_373$0 sk_?X_368$0)))
            (and (or (not (in$0 x sk_?X_373$0)) (not (in$0 x sk_?X_368$0)))
                 (not (in$0 x (intersection$0 sk_?X_373$0 sk_?X_368$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x Alloc$0) (in$0 x sk_?X_373$0)
                 (in$0 x (intersection$0 Alloc$0 sk_?X_373$0)))
            (and (or (not (in$0 x Alloc$0)) (not (in$0 x sk_?X_373$0)))
                 (not (in$0 x (intersection$0 Alloc$0 sk_?X_373$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x sk_?X_377$0) (in$0 x sk_?X_376$0)
                 (in$0 x (intersection$0 sk_?X_377$0 sk_?X_376$0)))
            (and (or (not (in$0 x sk_?X_377$0)) (not (in$0 x sk_?X_376$0)))
                 (not (in$0 x (intersection$0 sk_?X_377$0 sk_?X_376$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x Alloc$0) (in$0 x (setminus$0 Alloc$0 Alloc$0))
                 (not (in$0 x Alloc$0)))
            (and (or (in$0 x Alloc$0) (not (in$0 x Alloc$0)))
                 (not (in$0 x (setminus$0 Alloc$0 Alloc$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x Alloc$0) (in$0 x (setminus$0 Alloc$0 sk_?X_373$0))
                 (not (in$0 x sk_?X_373$0)))
            (and (or (in$0 x sk_?X_373$0) (not (in$0 x Alloc$0)))
                 (not (in$0 x (setminus$0 Alloc$0 sk_?X_373$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x sk_?X_367$0)
                 (in$0 x (setminus$0 sk_?X_367$0 sk_?X_373$0))
                 (not (in$0 x sk_?X_373$0)))
            (and (or (in$0 x sk_?X_373$0) (not (in$0 x sk_?X_367$0)))
                 (not (in$0 x (setminus$0 sk_?X_367$0 sk_?X_373$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x FP_Caller$0)
                 (in$0 x (setminus$0 FP_Caller$0 sk_?X_367$0))
                 (not (in$0 x sk_?X_367$0)))
            (and (or (in$0 x sk_?X_367$0) (not (in$0 x FP_Caller$0)))
                 (not (in$0 x (setminus$0 FP_Caller$0 sk_?X_367$0)))))))

(assert (forall ((y Loc) (x Loc))
        (or (and (= x y) (in$0 x (setenum$0 y)))
            (and (not (= x y)) (not (in$0 x (setenum$0 y)))))))

(assert (= (read$1 next$0 null$0) null$0))

(assert (= (read$1 next_12$0 null$0) null$0))

(assert (forall ((x Loc)) (not (in$0 x emptyset$0))))

(assert (or (Btwn$0 next$0 lst_3$0 null$0 null$0)
    (not (lseg_struct$0 sk_?X_374$0 next$0 lst_3$0 null$0))))

(assert (or (Btwn$0 next_12$0 lst_4$0 null$0 null$0)
    (not (lseg_struct$0 sk_?X_371$0 next_12$0 lst_4$0 null$0))))

(assert (or (and (Btwn$0 next_12$0 new_sorted_4$0 null$0 null$0) Axiom_105$0)
    (not (slseg_struct$0 sk_?X_370$0 data$0 next_12$0 new_sorted_4$0 null$0))))

(assert (or (and (Btwn$0 next_12$0 sorted_12$0 null$0 null$0) Axiom_107$0)
    (not (slseg_struct$0 sk_?X_377$0 data$0 next_12$0 sorted_12$0 null$0))))

(assert (= FP_Caller_6$0 (setminus$0 FP_Caller$0 FP$0)))

(assert (= new_sorted_2$0 new_sorted_init$0))

(assert (Frame$1 FP_11$0 Alloc$0 data$0 data$0))

(assert (= Alloc$0 (union$0 FP_12$0 Alloc$0)))

(assert (= emptyset$0 emptyset$0))

(assert (= sk_?X_373$0 FP_11$0))

(assert (= FP$0 (union$0 FP_11$0 FP$0)))

(assert (not (= lst_3$0 null$0)))

(assert (= sk_?X_367$0 (union$0 sk_?X_369$0 sk_?X_368$0)))

(assert (= sk_?X_368$0 (slseg_domain$0 data$0 next$0 sorted_init_1$0 null$0)))

(assert (= FP_Caller$0 (union$0 FP$0 FP_Caller$0)))

(assert (slseg_struct$0 sk_?X_368$0 data$0 next$0 sorted_init_1$0 null$0))

(assert (= sk_?X_370$0 (slseg_domain$0 data$0 next_12$0 new_sorted_4$0 null$0)))

(assert (= sk_?X_372$0
  (union$0 (intersection$0 Alloc$0 FP_11$0) (setminus$0 Alloc$0 Alloc$0))))

(assert (lseg_struct$0 sk_?X_371$0 next_12$0 lst_4$0 null$0))

(assert (= sk_?X_375$0 (union$0 sk_?X_377$0 sk_?X_376$0)))

(assert (= sk_?X_377$0 (slseg_domain$0 data$0 next_12$0 sorted_12$0 null$0)))

(assert (or (in$0 sk_l2_14$0 (intersection$0 sk_?X_377$0 sk_?X_376$0))
    (and (in$0 sk_l1_14$0 sk_FP_10$0) (not (in$0 sk_l1_14$0 FP_12$0)))
    (not (Btwn$0 next_12$0 new_sorted_4$0 null$0 null$0))
    (not (Btwn$0 next_12$0 sorted_12$0 null$0 null$0))
    (and (Btwn$0 next_12$0 sk_l1_14$0 sk_l2_14$0 null$0)
         (in$0 sk_l1_14$0 sk_?X_376$0) (in$0 sk_l2_14$0 sk_?X_376$0)
         (not (<= (read$0 data$0 sk_l1_14$0) (read$0 data$0 sk_l2_14$0))))
    (and (Btwn$0 next_12$0 sk_l1_14$0 sk_l2_14$0 null$0)
         (in$0 sk_l1_14$0 sk_?X_377$0) (in$0 sk_l2_14$0 sk_?X_377$0)
         (not (<= (read$0 data$0 sk_l1_14$0) (read$0 data$0 sk_l2_14$0))))))

(assert (not (in$0 null$0 Alloc$0)))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 lst_3$0 l1 null$0)
                 (in$0 l1 (lseg_domain$0 next$0 lst_3$0 null$0))
                 (not (= l1 null$0)))
            (and (or (= l1 null$0) (not (Btwn$0 next$0 lst_3$0 l1 null$0)))
                 (not (in$0 l1 (lseg_domain$0 next$0 lst_3$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 sorted_init_1$0 l1 null$0)
                 (in$0 l1
                   (slseg_domain$0 data$0 next$0 sorted_init_1$0 null$0))
                 (not (= l1 null$0)))
            (and
                 (or (= l1 null$0)
                     (not (Btwn$0 next$0 sorted_init_1$0 l1 null$0)))
                 (not
                      (in$0 l1
                        (slseg_domain$0 data$0 next$0 sorted_init_1$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next_12$0 new_sorted_4$0 l1 null$0)
                 (in$0 l1
                   (slseg_domain$0 data$0 next_12$0 new_sorted_4$0 null$0))
                 (not (= l1 null$0)))
            (and
                 (or (= l1 null$0)
                     (not (Btwn$0 next_12$0 new_sorted_4$0 l1 null$0)))
                 (not
                      (in$0 l1
                        (slseg_domain$0 data$0 next_12$0 new_sorted_4$0
                          null$0)))))))

(assert (or (and Axiom_110$0 Axiom_109$0 Axiom_108$0)
    (not (Frame$0 FP_11$0 Alloc$0 next$0 next_12$0))))

(assert (or (Btwn$0 next$0 lst_init$0 null$0 null$0)
    (not (lseg_struct$0 sk_?X_369$0 next$0 lst_init$0 null$0))))

(assert (or (and (Btwn$0 next$0 sorted_init_1$0 null$0 null$0) Axiom_104$0)
    (not (slseg_struct$0 sk_?X_368$0 data$0 next$0 sorted_init_1$0 null$0))))

(assert (or (and (Btwn$0 next_12$0 new_sorted_4$0 null$0 null$0) Axiom_106$0)
    (not (slseg_struct$0 sk_?X_376$0 data$0 next_12$0 new_sorted_4$0 null$0))))

(assert (= FP_12$0
  (union$0 (setminus$0 FP$0 FP_11$0)
    (union$0 (intersection$0 Alloc$0 FP_11$0) (setminus$0 Alloc$0 Alloc$0)))))

(assert (= lst_3$0 lst_init$0))

(assert (= sorted_12$0 sorted_init_1$0))

(assert (Frame$0 FP_11$0 Alloc$0 next$0 next_12$0))

(assert (= Alloc$0 (union$0 FP_Caller$0 Alloc$0)))

(assert (= sk_?X_373$0 sk_?X_374$0))

(assert (= sk_?X_374$0 (lseg_domain$0 next$0 lst_3$0 null$0)))

(assert (lseg_struct$0 sk_?X_374$0 next$0 lst_3$0 null$0))

(assert (= emptyset$0 (intersection$0 sk_?X_369$0 sk_?X_368$0)))

(assert (= sk_?X_367$0 FP$0))

(assert (= sk_?X_369$0 (lseg_domain$0 next$0 lst_init$0 null$0)))

(assert (lseg_struct$0 sk_?X_369$0 next$0 lst_init$0 null$0))

(assert (= emptyset$0 (intersection$0 sk_?X_370$0 sk_?X_371$0)))

(assert (= sk_?X_371$0 (lseg_domain$0 next_12$0 lst_4$0 null$0)))

(assert (= sk_?X_372$0 (union$0 sk_?X_370$0 sk_?X_371$0)))

(assert (slseg_struct$0 sk_?X_370$0 data$0 next_12$0 new_sorted_4$0 null$0))

(assert (= sk_?X_376$0 (slseg_domain$0 data$0 next_12$0 new_sorted_4$0 null$0)))

(assert (= sk_FP_10$0 sk_?X_375$0))

(assert (not (= lst_3$0 null$0)))

(assert (not (in$0 null$0 Alloc$0)))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 lst_init$0 l1 null$0)
                 (in$0 l1 (lseg_domain$0 next$0 lst_init$0 null$0))
                 (not (= l1 null$0)))
            (and
                 (or (= l1 null$0)
                     (not (Btwn$0 next$0 lst_init$0 l1 null$0)))
                 (not (in$0 l1 (lseg_domain$0 next$0 lst_init$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next_12$0 lst_4$0 l1 null$0)
                 (in$0 l1 (lseg_domain$0 next_12$0 lst_4$0 null$0))
                 (not (= l1 null$0)))
            (and
                 (or (= l1 null$0)
                     (not (Btwn$0 next_12$0 lst_4$0 l1 null$0)))
                 (not (in$0 l1 (lseg_domain$0 next_12$0 lst_4$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next_12$0 sorted_12$0 l1 null$0)
                 (in$0 l1
                   (slseg_domain$0 data$0 next_12$0 sorted_12$0 null$0))
                 (not (= l1 null$0)))
            (and
                 (or (= l1 null$0)
                     (not (Btwn$0 next_12$0 sorted_12$0 l1 null$0)))
                 (not
                      (in$0 l1
                        (slseg_domain$0 data$0 next_12$0 sorted_12$0 null$0)))))))

(assert (forall ((?x Loc)) (Btwn$0 next_12$0 ?x ?x ?x)))

(assert (forall ((?x Loc)) (Btwn$0 next$0 ?x ?x ?x)))

(assert (forall ((?x Loc) (?y Loc)) (or (not (Btwn$0 next_12$0 ?x ?y ?x)) (= ?x ?y))))

(assert (forall ((?x Loc) (?y Loc)) (or (not (Btwn$0 next$0 ?x ?y ?x)) (= ?x ?y))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next_12$0 ?x ?y ?y))
            (not (Btwn$0 next_12$0 ?x ?z ?z)) (Btwn$0 next_12$0 ?x ?y ?z)
            (Btwn$0 next_12$0 ?x ?z ?y))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?y)) (not (Btwn$0 next$0 ?x ?z ?z))
            (Btwn$0 next$0 ?x ?y ?z) (Btwn$0 next$0 ?x ?z ?y))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next_12$0 ?x ?y ?z))
            (and (Btwn$0 next_12$0 ?x ?y ?y) (Btwn$0 next_12$0 ?y ?z ?z)))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?z))
            (and (Btwn$0 next$0 ?x ?y ?y) (Btwn$0 next$0 ?y ?z ?z)))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next_12$0 ?x ?y ?y))
            (not (Btwn$0 next_12$0 ?y ?z ?z)) (Btwn$0 next_12$0 ?x ?z ?z))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?y)) (not (Btwn$0 next$0 ?y ?z ?z))
            (Btwn$0 next$0 ?x ?z ?z))))

(assert (forall ((?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next_12$0 ?x ?y ?z))
            (not (Btwn$0 next_12$0 ?y ?u ?z))
            (and (Btwn$0 next_12$0 ?x ?y ?u) (Btwn$0 next_12$0 ?x ?u ?z)))))

(assert (forall ((?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?z)) (not (Btwn$0 next$0 ?y ?u ?z))
            (and (Btwn$0 next$0 ?x ?y ?u) (Btwn$0 next$0 ?x ?u ?z)))))

(assert (forall ((?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next_12$0 ?x ?y ?z))
            (not (Btwn$0 next_12$0 ?x ?u ?y))
            (and (Btwn$0 next_12$0 ?x ?u ?z) (Btwn$0 next_12$0 ?u ?y ?z)))))

(assert (forall ((?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?z)) (not (Btwn$0 next$0 ?x ?u ?y))
            (and (Btwn$0 next$0 ?x ?u ?z) (Btwn$0 next$0 ?u ?y ?z)))))

(check-sat)
(exit)
