(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source |
  GRASShopper benchmarks.
  Authors: Ruzica Piskac, Thomas Wies, and Damien Zufferey
  URL: http://cs.nyu.edu/wies/software/grasshopper
  See also: GRASShopper - Complete Heap Verification with Mixed Specifications. In TACAS 2014, pages 124-139.

  If this benchmark is satisfiable, GRASShopper reports the following error message:
  tests/spl/sls/sls_merge_sort.spl:101:10-24:A precondition for this call of merge_sort might not hold
  tests/spl/sls/sls_merge_sort.spl:92:11-24:Related location: This is the precondition that might not hold
  |)
(set-info :category "crafted")
(set-info :status unsat)

(declare-sort Loc 0)
(declare-sort SetLoc 0)
(declare-sort SetInt 0)
(declare-sort FldBool 0)
(declare-sort FldLoc 0)
(declare-sort FldInt 0)
(declare-fun null$0 () Loc)
(declare-fun read$0 (FldInt Loc) Int)
(declare-fun read$1 (FldLoc Loc) Loc)
(declare-fun ep$0 (FldLoc SetLoc Loc) Loc)
(declare-fun emptyset$0 () SetLoc)
(declare-fun setenum$0 (Loc) SetLoc)
(declare-fun union$0 (SetLoc SetLoc) SetLoc)
(declare-fun intersection$0 (SetLoc SetLoc) SetLoc)
(declare-fun setminus$0 (SetLoc SetLoc) SetLoc)
(declare-fun Btwn$0 (FldLoc Loc Loc Loc) Bool)
(declare-fun Frame$0 (SetLoc SetLoc FldInt FldInt) Bool)
(declare-fun Frame$1 (SetLoc SetLoc FldLoc FldLoc) Bool)
(declare-fun in$0 (Loc SetLoc) Bool)
(declare-fun Alloc$0 () SetLoc)
(declare-fun Axiom_75$0 () Bool)
(declare-fun Axiom_76$0 () Bool)
(declare-fun Axiom_77$0 () Bool)
(declare-fun Axiom_78$0 () Bool)
(declare-fun Axiom_79$0 () Bool)
(declare-fun Axiom_80$0 () Bool)
(declare-fun Axiom_81$0 () Bool)
(declare-fun FP$0 () SetLoc)
(declare-fun FP_5$0 () SetLoc)
(declare-fun FP_6$0 () SetLoc)
(declare-fun FP_7$0 () SetLoc)
(declare-fun FP_8$0 () SetLoc)
(declare-fun FP_Caller$0 () SetLoc)
(declare-fun FP_Caller_3$0 () SetLoc)
(declare-fun data$0 () FldInt)
(declare-fun lseg_domain$0 (FldLoc Loc Loc) SetLoc)
(declare-fun lseg_struct$0 (SetLoc FldLoc Loc Loc) Bool)
(declare-fun next$0 () FldLoc)
(declare-fun next_5$0 () FldLoc)
(declare-fun next_6$0 () FldLoc)
(declare-fun res1_2$0 () Loc)
(declare-fun sk_?X_176$0 () SetLoc)
(declare-fun sk_?X_177$0 () SetLoc)
(declare-fun sk_?X_178$0 () SetLoc)
(declare-fun sk_?X_179$0 () SetLoc)
(declare-fun sk_?X_180$0 () SetLoc)
(declare-fun sk_?X_181$0 () SetLoc)
(declare-fun sk_?X_182$0 () SetLoc)
(declare-fun sk_?X_183$0 () SetLoc)
(declare-fun sk_?e_2$0 () Loc)
(declare-fun sk_FP_6$0 () SetLoc)
(declare-fun slseg_domain$0 (FldInt FldLoc Loc Loc) SetLoc)
(declare-fun slseg_struct$0 (SetLoc FldInt FldLoc Loc Loc) Bool)
(declare-fun t_43$0 () Loc)
(declare-fun t_44$0 () Loc)
(declare-fun t_45$0 () Loc)
(declare-fun t_46$0 () Loc)
(declare-fun t_47$0 () Loc)
(declare-fun t_48$0 () Loc)
(declare-fun t_49$0 () Loc)
(declare-fun t_50$0 () Loc)
(declare-fun t_51$0 () Loc)
(declare-fun t_52$0 () Loc)
(declare-fun t_53$0 () Loc)
(declare-fun t_54$0 () Loc)
(declare-fun x$0 () Loc)
(declare-fun x1_2$0 () Loc)
(declare-fun x2_2$0 () Loc)

(assert (= (ep$0 next_5$0 FP_7$0 x2_2$0) t_54$0))

(assert (= (ep$0 next_5$0 FP_7$0 x1_2$0) t_53$0))

(assert (= (ep$0 next_5$0 FP_7$0 x$0) t_52$0))

(assert (= (ep$0 next_5$0 FP_7$0 sk_?e_2$0) t_51$0))

(assert (= (ep$0 next_5$0 FP_7$0 res1_2$0) t_50$0))

(assert (= (ep$0 next_5$0 FP_7$0 null$0) t_49$0))

(assert (= (ep$0 next$0 FP_5$0 x2_2$0) t_48$0))

(assert (= (ep$0 next$0 FP_5$0 x1_2$0) t_47$0))

(assert (= (ep$0 next$0 FP_5$0 x$0) t_46$0))

(assert (= (ep$0 next$0 FP_5$0 sk_?e_2$0) t_45$0))

(assert (= (ep$0 next$0 FP_5$0 res1_2$0) t_44$0))

(assert (= (ep$0 next$0 FP_5$0 null$0) t_43$0))

(assert (forall ((?f FldLoc)) (= (read$1 ?f null$0) null$0)))

(assert (forall ((x Loc) (y Loc))
        (or (and (= x y) (in$0 x (setenum$0 y)))
            (and (not (= x y)) (not (in$0 x (setenum$0 y)))))))

(assert (forall ((X SetLoc) (Y SetLoc) (x Loc))
        (or (and (in$0 x X) (in$0 x (setminus$0 X Y)) (not (in$0 x Y)))
            (and (or (in$0 x Y) (not (in$0 x X)))
                 (not (in$0 x (setminus$0 X Y)))))))

(assert (forall ((X SetLoc) (Y SetLoc) (x Loc))
        (or (and (in$0 x X) (in$0 x Y) (in$0 x (intersection$0 X Y)))
            (and (or (not (in$0 x X)) (not (in$0 x Y)))
                 (not (in$0 x (intersection$0 X Y)))))))

(assert (forall ((X SetLoc) (Y SetLoc) (x Loc))
        (or (and (in$0 x (union$0 X Y)) (or (in$0 x X) (in$0 x Y)))
            (and (not (in$0 x X)) (not (in$0 x Y))
                 (not (in$0 x (union$0 X Y)))))))

(assert (forall ((x Loc)) (not (in$0 x emptyset$0))))

(assert (or (Btwn$0 next$0 x$0 null$0 null$0)
    (not (lseg_struct$0 sk_?X_182$0 next$0 x$0 null$0))))

(assert (or (Btwn$0 next_5$0 x1_2$0 null$0 null$0)
    (not (lseg_struct$0 sk_?X_181$0 next_5$0 x1_2$0 null$0))))

(assert (or (Btwn$0 next_6$0 x2_2$0 null$0 null$0)
    (not (lseg_struct$0 sk_?X_183$0 next_6$0 x2_2$0 null$0))))

(assert (or (not Axiom_75$0)
    (forall ((l1 Loc) (l2 Loc))
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next_6$0 l1 l2 null$0))
                (not (in$0 l1 sk_?X_180$0)) (not (in$0 l2 sk_?X_180$0))))))

(assert (= FP_6$0
  (union$0 (setminus$0 FP$0 FP_5$0)
    (union$0 (intersection$0 Alloc$0 FP_5$0) (setminus$0 Alloc$0 Alloc$0)))))

(assert (= FP_Caller_3$0 (setminus$0 FP_Caller$0 FP$0)))

(assert (Frame$1 FP_5$0 Alloc$0 next$0 next_5$0))

(assert (Frame$1 FP_7$0 Alloc$0 next_5$0 next_6$0))

(assert (= Alloc$0 (union$0 FP_8$0 Alloc$0)))

(assert (= emptyset$0 (intersection$0 sk_?X_176$0 sk_?X_177$0)))

(assert (= sk_?X_177$0 (lseg_domain$0 next_5$0 x2_2$0 null$0)))

(assert (= sk_?X_178$0 (union$0 sk_?X_176$0 sk_?X_177$0)))

(assert (lseg_struct$0 sk_?X_177$0 next_5$0 x2_2$0 null$0))

(assert (= sk_?X_179$0 (lseg_domain$0 next$0 x$0 null$0)))

(assert (lseg_struct$0 sk_?X_179$0 next$0 x$0 null$0))

(assert (= sk_?X_180$0 (slseg_domain$0 data$0 next_6$0 res1_2$0 null$0)))

(assert (= sk_?X_181$0 FP_7$0))

(assert (= FP_6$0 (union$0 FP_7$0 FP_6$0)))

(assert (= sk_?X_182$0 FP$0))

(assert (= FP_Caller$0 (union$0 FP$0 FP_Caller$0)))

(assert (= sk_?X_183$0 (lseg_domain$0 next_6$0 x2_2$0 null$0)))

(assert (or (and (in$0 sk_?e_2$0 sk_FP_6$0) (not (in$0 sk_?e_2$0 FP_8$0)))
    (not (Btwn$0 next_6$0 x2_2$0 null$0 null$0))))

(assert (not (in$0 null$0 Alloc$0)))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 x$0 l1 null$0)
                 (in$0 l1 (lseg_domain$0 next$0 x$0 null$0))
                 (not (= l1 null$0)))
            (and (or (= l1 null$0) (not (Btwn$0 next$0 x$0 l1 null$0)))
                 (not (in$0 l1 (lseg_domain$0 next$0 x$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next_5$0 x2_2$0 l1 null$0)
                 (in$0 l1 (lseg_domain$0 next_5$0 x2_2$0 null$0))
                 (not (= l1 null$0)))
            (and (or (= l1 null$0) (not (Btwn$0 next_5$0 x2_2$0 l1 null$0)))
                 (not (in$0 l1 (lseg_domain$0 next_5$0 x2_2$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next_6$0 x2_2$0 l1 null$0)
                 (in$0 l1 (lseg_domain$0 next_6$0 x2_2$0 null$0))
                 (not (= l1 null$0)))
            (and (or (= l1 null$0) (not (Btwn$0 next_6$0 x2_2$0 l1 null$0)))
                 (not (in$0 l1 (lseg_domain$0 next_6$0 x2_2$0 null$0)))))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc))
        (or (in$0 (ep$0 ?f ?X ?x) ?X) (= ?x (ep$0 ?f ?X ?x)))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc))
        (Btwn$0 ?f ?x (ep$0 ?f ?X ?x) (ep$0 ?f ?X ?x))))

(assert (or (not Axiom_76$0)
    (forall ((?x Loc) (?y Loc) (?z Loc))
            (or (in$0 ?x FP_7$0)
                (and (Btwn$0 next_5$0 ?x ?z ?y) (Btwn$0 next_6$0 ?x ?z ?y))
                (and (not (Btwn$0 next_5$0 ?x ?z ?y))
                     (not (Btwn$0 next_6$0 ?x ?z ?y)))
                (not (= ?x (ep$0 next_5$0 FP_7$0 ?x)))))))

(assert (or (not Axiom_77$0)
    (forall ((?x Loc) (?y Loc) (?z Loc))
            (or (and (Btwn$0 next_5$0 ?x ?z ?y) (Btwn$0 next_6$0 ?x ?z ?y))
                (and (not (Btwn$0 next_5$0 ?x ?z ?y))
                     (not (Btwn$0 next_6$0 ?x ?z ?y)))
                (not
                     (or (Btwn$0 next_5$0 ?x ?y (ep$0 next_5$0 FP_7$0 ?x))
                         (and (Btwn$0 next_5$0 ?x ?y ?y)
                              (not
                                   (Btwn$0 next_5$0 ?x
                                     (ep$0 next_5$0 FP_7$0 ?x)
                                     (ep$0 next_5$0 FP_7$0 ?x))))))))))

(assert (or (not Axiom_78$0)
    (forall ((?x Loc))
            (or (= (read$1 next_5$0 ?x) (read$1 next_6$0 ?x))
                (not (in$0 ?x (setminus$0 Alloc$0 FP_7$0)))))))

(assert (or (and Axiom_81$0 Axiom_80$0 Axiom_79$0)
    (not (Frame$1 FP_5$0 Alloc$0 next$0 next_5$0))))

(assert (or (Btwn$0 next$0 x$0 null$0 null$0)
    (not (lseg_struct$0 sk_?X_179$0 next$0 x$0 null$0))))

(assert (or (Btwn$0 next_5$0 x1_2$0 null$0 null$0)
    (not (lseg_struct$0 sk_?X_176$0 next_5$0 x1_2$0 null$0))))

(assert (or (Btwn$0 next_5$0 x2_2$0 null$0 null$0)
    (not (lseg_struct$0 sk_?X_177$0 next_5$0 x2_2$0 null$0))))

(assert (or (and (Btwn$0 next_6$0 res1_2$0 null$0 null$0) Axiom_75$0)
    (not (slseg_struct$0 sk_?X_180$0 data$0 next_6$0 res1_2$0 null$0))))

(assert (= FP_8$0
  (union$0 (setminus$0 FP_6$0 FP_7$0)
    (union$0 (intersection$0 Alloc$0 FP_7$0) (setminus$0 Alloc$0 Alloc$0)))))

(assert (Frame$0 FP_5$0 Alloc$0 data$0 data$0))

(assert (Frame$0 FP_7$0 Alloc$0 data$0 data$0))

(assert (= Alloc$0 (union$0 FP_6$0 Alloc$0)))

(assert (= Alloc$0 (union$0 FP_Caller$0 Alloc$0)))

(assert (= sk_?X_176$0 (lseg_domain$0 next_5$0 x1_2$0 null$0)))

(assert (= sk_?X_178$0
  (union$0 (intersection$0 Alloc$0 FP_5$0) (setminus$0 Alloc$0 Alloc$0))))

(assert (lseg_struct$0 sk_?X_176$0 next_5$0 x1_2$0 null$0))

(assert (= sk_?X_179$0 FP_5$0))

(assert (= FP$0 (union$0 FP_5$0 FP$0)))

(assert (= sk_?X_180$0
  (union$0 (intersection$0 Alloc$0 FP_7$0) (setminus$0 Alloc$0 Alloc$0))))

(assert (slseg_struct$0 sk_?X_180$0 data$0 next_6$0 res1_2$0 null$0))

(assert (= sk_?X_181$0 (lseg_domain$0 next_5$0 x1_2$0 null$0)))

(assert (lseg_struct$0 sk_?X_181$0 next_5$0 x1_2$0 null$0))

(assert (= sk_?X_182$0 (lseg_domain$0 next$0 x$0 null$0)))

(assert (lseg_struct$0 sk_?X_182$0 next$0 x$0 null$0))

(assert (= sk_FP_6$0 sk_?X_183$0))

(assert (not (in$0 null$0 Alloc$0)))

(assert (not (in$0 null$0 Alloc$0)))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next_5$0 x1_2$0 l1 null$0)
                 (in$0 l1 (lseg_domain$0 next_5$0 x1_2$0 null$0))
                 (not (= l1 null$0)))
            (and (or (= l1 null$0) (not (Btwn$0 next_5$0 x1_2$0 l1 null$0)))
                 (not (in$0 l1 (lseg_domain$0 next_5$0 x1_2$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next_6$0 res1_2$0 l1 null$0)
                 (in$0 l1 (slseg_domain$0 data$0 next_6$0 res1_2$0 null$0))
                 (not (= l1 null$0)))
            (and
                 (or (= l1 null$0)
                     (not (Btwn$0 next_6$0 res1_2$0 l1 null$0)))
                 (not
                      (in$0 l1
                        (slseg_domain$0 data$0 next_6$0 res1_2$0 null$0)))))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc) (?y Loc))
        (or (Btwn$0 ?f ?x (ep$0 ?f ?X ?x) ?y) (not (Btwn$0 ?f ?x ?y ?y))
            (not (in$0 ?y ?X)))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc) (?y Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (not (in$0 ?y ?X))
            (in$0 (ep$0 ?f ?X ?x) ?X))))

(assert (or (and Axiom_78$0 Axiom_77$0 Axiom_76$0)
    (not (Frame$1 FP_7$0 Alloc$0 next_5$0 next_6$0))))

(assert (or (not Axiom_79$0)
    (forall ((?x Loc) (?y Loc) (?z Loc))
            (or (in$0 ?x FP_5$0)
                (and (Btwn$0 next$0 ?x ?z ?y) (Btwn$0 next_5$0 ?x ?z ?y))
                (and (not (Btwn$0 next$0 ?x ?z ?y))
                     (not (Btwn$0 next_5$0 ?x ?z ?y)))
                (not (= ?x (ep$0 next$0 FP_5$0 ?x)))))))

(assert (or (not Axiom_80$0)
    (forall ((?x Loc) (?y Loc) (?z Loc))
            (or (and (Btwn$0 next$0 ?x ?z ?y) (Btwn$0 next_5$0 ?x ?z ?y))
                (and (not (Btwn$0 next$0 ?x ?z ?y))
                     (not (Btwn$0 next_5$0 ?x ?z ?y)))
                (not
                     (or (Btwn$0 next$0 ?x ?y (ep$0 next$0 FP_5$0 ?x))
                         (and (Btwn$0 next$0 ?x ?y ?y)
                              (not
                                   (Btwn$0 next$0 ?x (ep$0 next$0 FP_5$0 ?x)
                                     (ep$0 next$0 FP_5$0 ?x))))))))))

(assert (or (not Axiom_81$0)
    (forall ((?x Loc))
            (or (= (read$1 next$0 ?x) (read$1 next_5$0 ?x))
                (not (in$0 ?x (setminus$0 Alloc$0 FP_5$0)))))))

(assert (forall ((?f FldLoc) (?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?z)) (not (Btwn$0 ?f ?x ?u ?y))
            (and (Btwn$0 ?f ?x ?u ?z) (Btwn$0 ?f ?u ?y ?z)))))

(assert (forall ((?f FldLoc) (?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?z)) (not (Btwn$0 ?f ?y ?u ?z))
            (and (Btwn$0 ?f ?x ?y ?u) (Btwn$0 ?f ?x ?u ?z)))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (not (Btwn$0 ?f ?y ?z ?z))
            (Btwn$0 ?f ?x ?z ?z))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?z))
            (and (Btwn$0 ?f ?x ?y ?y) (Btwn$0 ?f ?y ?z ?z)))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (not (Btwn$0 ?f ?x ?z ?z))
            (Btwn$0 ?f ?x ?y ?z) (Btwn$0 ?f ?x ?z ?y))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc))
        (or (not (Btwn$0 ?f ?x ?y ?x)) (= ?x ?y))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (= ?x ?y)
            (Btwn$0 ?f ?x (read$1 ?f ?x) ?y))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc))
        (or (not (= (read$1 ?f ?x) ?x)) (not (Btwn$0 ?f ?x ?y ?y)) (= ?x ?y))))

(assert (forall ((?f FldLoc) (?x Loc)) (Btwn$0 ?f ?x (read$1 ?f ?x) (read$1 ?f ?x))))

(assert (forall ((?f FldLoc) (?x Loc)) (Btwn$0 ?f ?x ?x ?x)))

(check-sat)
(exit)
