(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source |
  GRASShopper benchmarks.
  Authors: Ruzica Piskac, Thomas Wies, and Damien Zufferey
  URL: http://cs.nyu.edu/wies/software/grasshopper
  See also: GRASShopper - Complete Heap Verification with Mixed Specifications. In TACAS 2014, pages 124-139.

  If this benchmark is satisfiable, GRASShopper reports the following error message:
  tests/spl/sls/sls_remove.spl:43:4-14:This deallocation might be unsafe
  |)
(set-info :category "crafted")
(set-info :status unsat)

(declare-sort Loc 0)
(declare-sort SetLoc 0)
(declare-sort SetInt 0)
(declare-sort FldBool 0)
(declare-sort FldLoc 0)
(declare-sort FldInt 0)
(declare-fun null$0 () Loc)
(declare-fun read$0 (FldInt Loc) Int)
(declare-fun read$1 (FldLoc Loc) Loc)
(declare-fun write$0 (FldLoc Loc Loc) FldLoc)
(declare-fun ep$0 (FldLoc SetLoc Loc) Loc)
(declare-fun emptyset$0 () SetLoc)
(declare-fun setenum$0 (Loc) SetLoc)
(declare-fun union$0 (SetLoc SetLoc) SetLoc)
(declare-fun intersection$0 (SetLoc SetLoc) SetLoc)
(declare-fun setminus$0 (SetLoc SetLoc) SetLoc)
(declare-fun Btwn$0 (FldLoc Loc Loc Loc) Bool)
(declare-fun Frame$0 (SetLoc SetLoc FldInt FldInt) Bool)
(declare-fun Frame$1 (SetLoc SetLoc FldLoc FldLoc) Bool)
(declare-fun in$0 (Loc SetLoc) Bool)
(declare-fun Alloc$0 () SetLoc)
(declare-fun Axiom_32$0 () Bool)
(declare-fun Axiom_33$0 () Bool)
(declare-fun Axiom_34$0 () Bool)
(declare-fun Axiom_35$0 () Bool)
(declare-fun Axiom_36$0 () Bool)
(declare-fun Axiom_37$0 () Bool)
(declare-fun Axiom_38$0 () Bool)
(declare-fun Axiom_39$0 () Bool)
(declare-fun Axiom_40$0 () Bool)
(declare-fun FP$0 () SetLoc)
(declare-fun FP_1$0 () SetLoc)
(declare-fun FP_2$0 () SetLoc)
(declare-fun FP_Caller$0 () SetLoc)
(declare-fun FP_Caller_1$0 () SetLoc)
(declare-fun curr_2$0 () Loc)
(declare-fun curr_3$0 () Loc)
(declare-fun data$0 () FldInt)
(declare-fun lslseg_domain$0 (FldInt FldLoc Loc Loc Int) SetLoc)
(declare-fun lslseg_struct$0 (SetLoc FldInt FldLoc Loc Loc Int) Bool)
(declare-fun lst$0 () Loc)
(declare-fun lst_1$0 () Loc)
(declare-fun lst_2$0 () Loc)
(declare-fun next$0 () FldLoc)
(declare-fun next_1$0 () FldLoc)
(declare-fun prv_2$0 () Loc)
(declare-fun prv_3$0 () Loc)
(declare-fun sk_?X_74$0 () SetLoc)
(declare-fun sk_?X_75$0 () SetLoc)
(declare-fun sk_?X_76$0 () SetLoc)
(declare-fun sk_?X_77$0 () SetLoc)
(declare-fun sk_?X_78$0 () SetLoc)
(declare-fun sk_?X_79$0 () SetLoc)
(declare-fun sk_?X_80$0 () SetLoc)
(declare-fun sk_?X_81$0 () SetLoc)
(declare-fun sk_?X_82$0 () SetLoc)
(declare-fun sk_?X_83$0 () SetLoc)
(declare-fun sk_?X_84$0 () SetLoc)
(declare-fun sk_?X_85$0 () SetLoc)
(declare-fun sk_?X_86$0 () SetLoc)
(declare-fun sk_?X_87$0 () SetLoc)
(declare-fun sk_?X_88$0 () SetLoc)
(declare-fun sk_?X_89$0 () SetLoc)
(declare-fun sk_?X_90$0 () SetLoc)
(declare-fun sk_?X_91$0 () SetLoc)
(declare-fun sk_?X_92$0 () SetLoc)
(declare-fun sk_?X_93$0 () SetLoc)
(declare-fun sk_?X_94$0 () SetLoc)
(declare-fun slseg_domain$0 (FldInt FldLoc Loc Loc) SetLoc)
(declare-fun slseg_struct$0 (SetLoc FldInt FldLoc Loc Loc) Bool)
(declare-fun t_16$0 () Loc)
(declare-fun t_17$0 () Loc)
(declare-fun t_18$0 () Loc)
(declare-fun t_19$0 () Loc)
(declare-fun t_20$0 () Loc)
(declare-fun t_21$0 () Loc)
(declare-fun t_22$0 () Loc)
(declare-fun t_23$0 () Loc)
(declare-fun value$0 () Int)
(declare-fun value_1$0 () Int)

(assert (= (ep$0 next$0 FP_1$0 lst_1$0) t_23$0))

(assert (= (ep$0 next$0 FP_1$0 lst$0) t_22$0))

(assert (= (ep$0 next$0 FP_1$0 curr_3$0) t_21$0))

(assert (= (ep$0 next$0 FP_1$0 curr_2$0) t_20$0))

(assert (= (ep$0 next$0 FP_1$0 null$0) t_19$0))

(assert (= (read$1 (write$0 next$0 prv_3$0 (read$1 next$0 curr_3$0)) prv_3$0) t_18$0))

(assert (= (read$1 (write$0 next$0 prv_3$0 (read$1 next$0 curr_3$0)) prv_2$0) t_17$0))

(assert (= (read$1 (write$0 next$0 prv_3$0 (read$1 next$0 curr_3$0)) curr_3$0)
  t_16$0))

(assert (forall ((?d_10 Loc) (?x Loc) (?y Loc))
        (or (= ?y ?x)
            (= (read$1 next$0 ?y) (read$1 (write$0 next$0 ?x ?d_10) ?y)))))

(assert (forall ((?d_10 Loc) (?x Loc))
        (= (read$1 (write$0 next$0 ?x ?d_10) ?x) ?d_10)))

(assert (forall ((?f FldLoc)) (= (read$1 ?f null$0) null$0)))

(assert (forall ((x Loc) (y Loc))
        (or (and (= x y) (in$0 x (setenum$0 y)))
            (and (not (= x y)) (not (in$0 x (setenum$0 y)))))))

(assert (forall ((X SetLoc) (Y SetLoc) (x Loc))
        (or (and (in$0 x X) (in$0 x (setminus$0 X Y)) (not (in$0 x Y)))
            (and (or (in$0 x Y) (not (in$0 x X)))
                 (not (in$0 x (setminus$0 X Y)))))))

(assert (forall ((X SetLoc) (Y SetLoc) (x Loc))
        (or (and (in$0 x X) (in$0 x Y) (in$0 x (intersection$0 X Y)))
            (and (or (not (in$0 x X)) (not (in$0 x Y)))
                 (not (in$0 x (intersection$0 X Y)))))))

(assert (forall ((X SetLoc) (Y SetLoc) (x Loc))
        (or (and (in$0 x (union$0 X Y)) (or (in$0 x X) (in$0 x Y)))
            (and (not (in$0 x X)) (not (in$0 x Y))
                 (not (in$0 x (union$0 X Y)))))))

(assert (forall ((x Loc)) (not (in$0 x emptyset$0))))

(assert (or (and (Btwn$0 next$0 curr_2$0 null$0 null$0) Axiom_32$0)
    (not (slseg_struct$0 sk_?X_86$0 data$0 next$0 curr_2$0 null$0))))

(assert (or (not Axiom_33$0)
    (forall ((l1 Loc) (l2 Loc))
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 null$0)) (not (in$0 l1 sk_?X_92$0))
                (not (in$0 l2 sk_?X_92$0))))))

(assert (or (and (Btwn$0 next$0 curr_3$0 null$0 null$0) Axiom_34$0)
    (not (slseg_struct$0 sk_?X_75$0 data$0 next$0 curr_3$0 null$0))))

(assert (or (not Axiom_35$0)
    (forall ((l1 Loc) (l2 Loc))
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 null$0)) (not (in$0 l1 sk_?X_81$0))
                (not (in$0 l2 sk_?X_81$0))))))

(assert (or (and (Btwn$0 next$0 lst$0 null$0 null$0) Axiom_36$0)
    (not (slseg_struct$0 sk_?X_94$0 data$0 next$0 lst$0 null$0))))

(assert (or (not Axiom_37$0)
    (forall ((l1 Loc) (l2 Loc))
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 prv_2$0))
                (not (in$0 l1 sk_?X_90$0)) (not (in$0 l2 sk_?X_90$0))))))

(assert (or (not Axiom_38$0)
    (forall ((l1 Loc))
            (or (<= (read$0 data$0 l1) (read$0 data$0 prv_2$0))
                (not (in$0 l1 sk_?X_90$0))))))

(assert (or (and (Btwn$0 next$0 lst_1$0 prv_3$0 prv_3$0) Axiom_40$0 Axiom_39$0)
    (not
         (lslseg_struct$0 sk_?X_77$0 data$0 next$0 lst_1$0 prv_3$0
           (read$0 data$0 prv_3$0)))))

(assert (= (read$0 data$0 curr_3$0) value_1$0))

(assert (= FP_Caller_1$0 (setminus$0 FP_Caller$0 FP$0)))

(assert (= lst_1$0 lst$0))

(assert (= value_1$0 value$0))

(assert (Frame$1 FP_1$0 Alloc$0 next$0 next$0))

(assert (= Alloc$0 (union$0 FP_Caller$0 Alloc$0)))

(assert (= sk_?X_75$0 (slseg_domain$0 data$0 next$0 curr_3$0 null$0)))

(assert (= sk_?X_77$0
  (lslseg_domain$0 data$0 next$0 lst_1$0 prv_3$0 (read$0 data$0 prv_3$0))))

(assert (= sk_?X_79$0 sk_?X_78$0))

(assert (= sk_?X_81$0 (slseg_domain$0 data$0 next$0 curr_3$0 null$0)))

(assert (= sk_?X_83$0 sk_?X_82$0))

(assert (= sk_?X_84$0 sk_?X_85$0))

(assert (= sk_?X_86$0 (slseg_domain$0 data$0 next$0 curr_2$0 null$0)))

(assert (= sk_?X_88$0 sk_?X_89$0))

(assert (= sk_?X_90$0
  (lslseg_domain$0 data$0 next$0 lst$0 prv_2$0 (read$0 data$0 prv_2$0))))

(assert (= sk_?X_92$0 (slseg_domain$0 data$0 next$0 curr_2$0 null$0)))

(assert (= FP$0 (union$0 FP_1$0 FP$0)))

(assert (= sk_?X_94$0 FP$0))

(assert (= FP_Caller$0 (union$0 FP$0 FP_Caller$0)))

(assert (not (= curr_3$0 null$0)))

(assert (not (in$0 null$0 Alloc$0)))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 curr_2$0 l1 null$0)
                 (in$0 l1 (slseg_domain$0 data$0 next$0 curr_2$0 null$0))
                 (not (= l1 null$0)))
            (and (or (= l1 null$0) (not (Btwn$0 next$0 curr_2$0 l1 null$0)))
                 (not
                      (in$0 l1
                        (slseg_domain$0 data$0 next$0 curr_2$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 lst$0 l1 null$0)
                 (in$0 l1 (slseg_domain$0 data$0 next$0 lst$0 null$0))
                 (not (= l1 null$0)))
            (and (or (= l1 null$0) (not (Btwn$0 next$0 lst$0 l1 null$0)))
                 (not (in$0 l1 (slseg_domain$0 data$0 next$0 lst$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 lst_1$0 l1 prv_3$0)
                 (in$0 l1
                   (lslseg_domain$0 data$0 next$0 lst_1$0 prv_3$0
                     (read$0 data$0 prv_3$0)))
                 (not (= l1 prv_3$0)))
            (and (or (= l1 prv_3$0) (not (Btwn$0 next$0 lst_1$0 l1 prv_3$0)))
                 (not
                      (in$0 l1
                        (lslseg_domain$0 data$0 next$0 lst_1$0 prv_3$0
                          (read$0 data$0 prv_3$0))))))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc))
        (or (in$0 (ep$0 ?f ?X ?x) ?X) (= ?x (ep$0 ?f ?X ?x)))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc))
        (Btwn$0 ?f ?x (ep$0 ?f ?X ?x) (ep$0 ?f ?X ?x))))

(assert (or (= curr_3$0 null$0) (not (< (read$0 data$0 curr_3$0) value_1$0))))

(assert (or (not Axiom_32$0)
    (forall ((l1 Loc) (l2 Loc))
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 null$0)) (not (in$0 l1 sk_?X_86$0))
                (not (in$0 l2 sk_?X_86$0))))))

(assert (or (and (Btwn$0 next$0 curr_2$0 null$0 null$0) Axiom_33$0)
    (not (slseg_struct$0 sk_?X_92$0 data$0 next$0 curr_2$0 null$0))))

(assert (or (not Axiom_34$0)
    (forall ((l1 Loc) (l2 Loc))
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 null$0)) (not (in$0 l1 sk_?X_75$0))
                (not (in$0 l2 sk_?X_75$0))))))

(assert (or (and (Btwn$0 next$0 curr_3$0 null$0 null$0) Axiom_35$0)
    (not (slseg_struct$0 sk_?X_81$0 data$0 next$0 curr_3$0 null$0))))

(assert (or (not Axiom_36$0)
    (forall ((l1 Loc) (l2 Loc))
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 null$0)) (not (in$0 l1 sk_?X_94$0))
                (not (in$0 l2 sk_?X_94$0))))))

(assert (or (and (Btwn$0 next$0 lst$0 prv_2$0 prv_2$0) Axiom_38$0 Axiom_37$0)
    (not
         (lslseg_struct$0 sk_?X_90$0 data$0 next$0 lst$0 prv_2$0
           (read$0 data$0 prv_2$0)))))

(assert (or (not Axiom_39$0)
    (forall ((l1 Loc) (l2 Loc))
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 prv_3$0))
                (not (in$0 l1 sk_?X_77$0)) (not (in$0 l2 sk_?X_77$0))))))

(assert (or (not Axiom_40$0)
    (forall ((l1 Loc))
            (or (<= (read$0 data$0 l1) (read$0 data$0 prv_3$0))
                (not (in$0 l1 sk_?X_77$0))))))

(assert (or
    (and (= lst_2$0 (read$1 next$0 curr_3$0)) (= next_1$0 next$0)
         (= prv_3$0 null$0))
    (and (= lst_2$0 lst_1$0)
         (= next_1$0 (write$0 next$0 prv_3$0 (read$1 next$0 curr_3$0)))
         (not (= prv_3$0 null$0)))))

(assert (= FP_2$0
  (union$0 (setminus$0 FP$0 FP_1$0)
    (union$0 (intersection$0 Alloc$0 FP_1$0) (setminus$0 Alloc$0 Alloc$0)))))

(assert (= curr_2$0 lst$0))

(assert (= prv_2$0 null$0))

(assert (Frame$0 FP_1$0 Alloc$0 data$0 data$0))

(assert (= Alloc$0 (union$0 FP_2$0 Alloc$0)))

(assert (= sk_?X_74$0 emptyset$0))

(assert (= sk_?X_76$0 (union$0 sk_?X_74$0 sk_?X_75$0)))

(assert (= sk_?X_78$0 (setenum$0 prv_3$0)))

(assert (= sk_?X_80$0 (union$0 sk_?X_77$0 sk_?X_79$0)))

(assert (= sk_?X_82$0 (union$0 sk_?X_80$0 sk_?X_81$0)))

(assert (or
    (and (= (read$1 next$0 prv_3$0) curr_3$0) (= emptyset$0 emptyset$0)
         (= emptyset$0 (intersection$0 sk_?X_77$0 sk_?X_79$0))
         (= emptyset$0 (intersection$0 sk_?X_80$0 sk_?X_81$0))
         (= sk_?X_83$0
           (union$0 (intersection$0 Alloc$0 FP_1$0)
             (setminus$0 Alloc$0 Alloc$0)))
         (lslseg_struct$0 sk_?X_77$0 data$0 next$0 lst_1$0 prv_3$0
           (read$0 data$0 prv_3$0))
         (slseg_struct$0 sk_?X_81$0 data$0 next$0 curr_3$0 null$0)
         (or (= curr_3$0 null$0)
             (<= (read$0 data$0 prv_3$0) (read$0 data$0 curr_3$0))))
    (and (= emptyset$0 emptyset$0)
         (= emptyset$0 (intersection$0 sk_?X_74$0 sk_?X_75$0))
         (= curr_3$0 lst_1$0) (= prv_3$0 null$0)
         (= sk_?X_76$0
           (union$0 (intersection$0 Alloc$0 FP_1$0)
             (setminus$0 Alloc$0 Alloc$0)))
         (slseg_struct$0 sk_?X_75$0 data$0 next$0 curr_3$0 null$0))))

(assert (= sk_?X_85$0 (union$0 sk_?X_87$0 sk_?X_86$0)))

(assert (= sk_?X_87$0 (union$0 sk_?X_90$0 sk_?X_88$0)))

(assert (= sk_?X_89$0 (setenum$0 prv_2$0)))

(assert (= sk_?X_91$0 (union$0 sk_?X_93$0 sk_?X_92$0)))

(assert (= sk_?X_93$0 emptyset$0))

(assert (or
    (and (= (read$1 next$0 prv_2$0) curr_2$0) (= emptyset$0 emptyset$0)
         (= emptyset$0 (intersection$0 sk_?X_87$0 sk_?X_86$0))
         (= emptyset$0 (intersection$0 sk_?X_90$0 sk_?X_88$0))
         (= sk_?X_84$0 FP_1$0)
         (lslseg_struct$0 sk_?X_90$0 data$0 next$0 lst$0 prv_2$0
           (read$0 data$0 prv_2$0))
         (slseg_struct$0 sk_?X_86$0 data$0 next$0 curr_2$0 null$0)
         (or (= curr_2$0 null$0)
             (<= (read$0 data$0 prv_2$0) (read$0 data$0 curr_2$0))))
    (and (= emptyset$0 emptyset$0)
         (= emptyset$0 (intersection$0 sk_?X_93$0 sk_?X_92$0))
         (= curr_2$0 lst$0) (= prv_2$0 null$0) (= sk_?X_91$0 FP_1$0)
         (slseg_struct$0 sk_?X_92$0 data$0 next$0 curr_2$0 null$0))))

(assert (= sk_?X_94$0 (slseg_domain$0 data$0 next$0 lst$0 null$0)))

(assert (slseg_struct$0 sk_?X_94$0 data$0 next$0 lst$0 null$0))

(assert (not (in$0 null$0 Alloc$0)))

(assert (not (in$0 curr_3$0 FP_2$0)))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 curr_3$0 l1 null$0)
                 (in$0 l1 (slseg_domain$0 data$0 next$0 curr_3$0 null$0))
                 (not (= l1 null$0)))
            (and (or (= l1 null$0) (not (Btwn$0 next$0 curr_3$0 l1 null$0)))
                 (not
                      (in$0 l1
                        (slseg_domain$0 data$0 next$0 curr_3$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 lst$0 l1 prv_2$0)
                 (in$0 l1
                   (lslseg_domain$0 data$0 next$0 lst$0 prv_2$0
                     (read$0 data$0 prv_2$0)))
                 (not (= l1 prv_2$0)))
            (and (or (= l1 prv_2$0) (not (Btwn$0 next$0 lst$0 l1 prv_2$0)))
                 (not
                      (in$0 l1
                        (lslseg_domain$0 data$0 next$0 lst$0 prv_2$0
                          (read$0 data$0 prv_2$0))))))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc) (?y Loc))
        (or (Btwn$0 ?f ?x (ep$0 ?f ?X ?x) ?y) (not (Btwn$0 ?f ?x ?y ?y))
            (not (in$0 ?y ?X)))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc) (?y Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (not (in$0 ?y ?X))
            (in$0 (ep$0 ?f ?X ?x) ?X))))

(assert (forall ((?u Loc) (?v Loc) (?z Loc))
        (and
             (or
                 (Btwn$0 (write$0 next$0 prv_3$0 (read$1 next$0 curr_3$0)) ?z
                   ?u ?v)
                 (not
                      (or
                          (and (Btwn$0 next$0 ?z ?u ?v)
                               (or (Btwn$0 next$0 ?z ?v prv_3$0)
                                   (and (Btwn$0 next$0 ?z ?v ?v)
                                        (not
                                             (Btwn$0 next$0 ?z prv_3$0
                                               prv_3$0)))))
                          (and (not (= prv_3$0 ?v))
                               (or (Btwn$0 next$0 ?z prv_3$0 ?v)
                                   (and (Btwn$0 next$0 ?z prv_3$0 prv_3$0)
                                        (not (Btwn$0 next$0 ?z ?v ?v))))
                               (Btwn$0 next$0 ?z ?u prv_3$0)
                               (or
                                   (Btwn$0 next$0 (read$1 next$0 curr_3$0) ?v
                                     prv_3$0)
                                   (and
                                        (Btwn$0 next$0
                                          (read$1 next$0 curr_3$0) ?v ?v)
                                        (not
                                             (Btwn$0 next$0
                                               (read$1 next$0 curr_3$0)
                                               prv_3$0 prv_3$0)))))
                          (and (not (= prv_3$0 ?v))
                               (or (Btwn$0 next$0 ?z prv_3$0 ?v)
                                   (and (Btwn$0 next$0 ?z prv_3$0 prv_3$0)
                                        (not (Btwn$0 next$0 ?z ?v ?v))))
                               (Btwn$0 next$0 (read$1 next$0 curr_3$0) ?u ?v)
                               (or
                                   (Btwn$0 next$0 (read$1 next$0 curr_3$0) ?v
                                     prv_3$0)
                                   (and
                                        (Btwn$0 next$0
                                          (read$1 next$0 curr_3$0) ?v ?v)
                                        (not
                                             (Btwn$0 next$0
                                               (read$1 next$0 curr_3$0)
                                               prv_3$0 prv_3$0))))))))
             (or
                 (and (Btwn$0 next$0 ?z ?u ?v)
                      (or (Btwn$0 next$0 ?z ?v prv_3$0)
                          (and (Btwn$0 next$0 ?z ?v ?v)
                               (not (Btwn$0 next$0 ?z prv_3$0 prv_3$0)))))
                 (and (not (= prv_3$0 ?v))
                      (or (Btwn$0 next$0 ?z prv_3$0 ?v)
                          (and (Btwn$0 next$0 ?z prv_3$0 prv_3$0)
                               (not (Btwn$0 next$0 ?z ?v ?v))))
                      (Btwn$0 next$0 ?z ?u prv_3$0)
                      (or (Btwn$0 next$0 (read$1 next$0 curr_3$0) ?v prv_3$0)
                          (and (Btwn$0 next$0 (read$1 next$0 curr_3$0) ?v ?v)
                               (not
                                    (Btwn$0 next$0 (read$1 next$0 curr_3$0)
                                      prv_3$0 prv_3$0)))))
                 (and (not (= prv_3$0 ?v))
                      (or (Btwn$0 next$0 ?z prv_3$0 ?v)
                          (and (Btwn$0 next$0 ?z prv_3$0 prv_3$0)
                               (not (Btwn$0 next$0 ?z ?v ?v))))
                      (Btwn$0 next$0 (read$1 next$0 curr_3$0) ?u ?v)
                      (or (Btwn$0 next$0 (read$1 next$0 curr_3$0) ?v prv_3$0)
                          (and (Btwn$0 next$0 (read$1 next$0 curr_3$0) ?v ?v)
                               (not
                                    (Btwn$0 next$0 (read$1 next$0 curr_3$0)
                                      prv_3$0 prv_3$0)))))
                 (not
                      (Btwn$0
                        (write$0 next$0 prv_3$0 (read$1 next$0 curr_3$0)) ?z
                        ?u ?v))))))

(assert (forall ((?f FldLoc) (?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?z)) (not (Btwn$0 ?f ?x ?u ?y))
            (and (Btwn$0 ?f ?x ?u ?z) (Btwn$0 ?f ?u ?y ?z)))))

(assert (forall ((?f FldLoc) (?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?z)) (not (Btwn$0 ?f ?y ?u ?z))
            (and (Btwn$0 ?f ?x ?y ?u) (Btwn$0 ?f ?x ?u ?z)))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (not (Btwn$0 ?f ?y ?z ?z))
            (Btwn$0 ?f ?x ?z ?z))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?z))
            (and (Btwn$0 ?f ?x ?y ?y) (Btwn$0 ?f ?y ?z ?z)))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (not (Btwn$0 ?f ?x ?z ?z))
            (Btwn$0 ?f ?x ?y ?z) (Btwn$0 ?f ?x ?z ?y))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc))
        (or (not (Btwn$0 ?f ?x ?y ?x)) (= ?x ?y))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (= ?x ?y)
            (Btwn$0 ?f ?x (read$1 ?f ?x) ?y))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc))
        (or (not (= (read$1 ?f ?x) ?x)) (not (Btwn$0 ?f ?x ?y ?y)) (= ?x ?y))))

(assert (forall ((?f FldLoc) (?x Loc)) (Btwn$0 ?f ?x (read$1 ?f ?x) (read$1 ?f ?x))))

(assert (forall ((?f FldLoc) (?x Loc)) (Btwn$0 ?f ?x ?x ?x)))

(check-sat)
(exit)
