(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_io_FileOutputStream () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_javafe_ast_GenericVarDecl () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_javafe_reader_TypeReader () Int)
(declare-fun T_javafe_reader_Reader () Int)
(declare-fun T_javafe_ast_GenericBlockStmt () Int)
(declare-fun T_javafe_ast_Stmt () Int)
(declare-fun T_java_io_FileNotFoundException () Int)
(declare-fun T_java_io_IOException () Int)
(declare-fun T_javafe_tc_Env () Int)
(declare-fun T_javafe_ast_CompilationUnit () Int)
(declare-fun T_javafe_ast_RoutineDecl () Int)
(declare-fun T_javafe_ast_TypeDeclElem () Int)
(declare-fun T_java_io_OutputStreamWriter () Int)
(declare-fun T_java_io_Writer () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_javafe_tc_FieldDeclVec () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_javafe_tc_OutsideEnv () Int)
(declare-fun T_java_util_Vector () Int)
(declare-fun T_java_util_AbstractList () Int)
(declare-fun T_java_util_List () Int)
(declare-fun T_java_util_StringTokenizer () Int)
(declare-fun T_java_util_Enumeration () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_javafe_ast_MethodDecl () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_javafe_ast_FieldDecl () Int)
(declare-fun T_javafe_tc_TypeSig () Int)
(declare-fun T_javafe_ast_Type () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_CopyLoaded () Int)
(declare-fun T_javafe_FrontEndTool () Int)
(declare-fun T_javafe_tc_Listener () Int)
(declare-fun T_java_io_BufferedReader () Int)
(declare-fun T_java_io_Reader () Int)
(declare-fun T_javafe_ast_ASTDecoration () Int)
(declare-fun T_java_io_FileWriter () Int)
(declare-fun T_javafe_ast_Name () Int)
(declare-fun T_javafe_ast_TypeDecl () Int)
(declare-fun T_javafe_tc_MethodDeclVec () Int)
(declare-fun T_java_io_PrintWriter () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_util_AbstractCollection () Int)
(declare-fun T_java_io_InputStreamReader () Int)
(declare-fun T_javafe_Tool () Int)
(declare-fun T_javafe_tc_TypeCheck () Int)
(declare-fun T_javafe_ast_BlockStmt () Int)
(declare-fun T_javafe_util_ErrorSet () Int)
(declare-fun T_java_io_File () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun T_java_util_Collection () Int)
(declare-fun T_javafe_util_Assert () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_javafe_ast_TypeDeclVec () Int)
(declare-fun T_java_io_FileReader () Int)
(declare-fun T_javafe_ast_TypeDeclElemVec () Int)
(declare-fun T_javafe_ast_PrettyPrint () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun out_19_83_49 () Int)
(declare-fun CHECKED_34_776_28 () Int)
(declare-fun NULL_29_60_26 () Int)
(declare-fun usageError_6_43_28 () Int)
(declare-fun argumentFileNames_39_24 () Int)
(declare-fun PARSED_34_772_28 () Int)
(declare-fun err_19_97_50 () Int)
(declare-fun progIndirectFiles_34_24 () Int)
(declare-fun PREPPED_34_775_28 () Int)
(assert (and (= (PO_LT T_java_io_FileOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FileOutputStream (asChild T_java_io_FileOutputStream T_java_io_OutputStream)) (= (PO_LT T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_GenericVarDecl (asChild T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_reader_TypeReader T_javafe_reader_Reader) true_term) (= T_javafe_reader_TypeReader (asChild T_javafe_reader_TypeReader T_javafe_reader_Reader)) (= (PO_LT T_javafe_reader_Reader T_java_lang_Object) true_term) (= T_javafe_reader_Reader (asChild T_javafe_reader_Reader T_java_lang_Object)) (= (PO_LT T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_GenericBlockStmt (asChild T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt)) (= (PO_LT T_java_io_FileNotFoundException T_java_io_IOException) true_term) (= T_java_io_FileNotFoundException (asChild T_java_io_FileNotFoundException T_java_io_IOException)) (= (PO_LT T_javafe_tc_Env T_java_lang_Object) true_term) (= T_javafe_tc_Env (asChild T_javafe_tc_Env T_java_lang_Object)) (= (PO_LT T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CompilationUnit (asChild T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_RoutineDecl (asChild T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_java_io_OutputStreamWriter T_java_io_Writer) true_term) (= T_java_io_OutputStreamWriter (asChild T_java_io_OutputStreamWriter T_java_io_Writer)) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_javafe_tc_FieldDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_FieldDeclVec (asChild T_javafe_tc_FieldDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (= (PO_LT T_javafe_tc_OutsideEnv T_java_lang_Object) true_term) (= T_javafe_tc_OutsideEnv (asChild T_javafe_tc_OutsideEnv T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_tc_OutsideEnv) true_term) (= ?t T_javafe_tc_OutsideEnv))) (= (PO_LT T_java_util_Vector T_java_util_AbstractList) true_term) (= T_java_util_Vector (asChild T_java_util_Vector T_java_util_AbstractList)) (= (PO_LT T_java_util_Vector T_java_util_List) true_term) (= (PO_LT T_java_util_Vector T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Vector T_java_io_Serializable) true_term) (= (PO_LT T_java_util_StringTokenizer T_java_lang_Object) true_term) (= T_java_util_StringTokenizer (asChild T_java_util_StringTokenizer T_java_lang_Object)) (= (PO_LT T_java_util_StringTokenizer T_java_util_Enumeration) true_term) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl) true_term) (= T_javafe_ast_MethodDecl (asChild T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl)) (= (PO_LT T_javafe_ast_TypeDeclElem T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FieldDecl (asChild T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_tc_TypeSig T_javafe_ast_Type) true_term) (= T_javafe_tc_TypeSig (asChild T_javafe_tc_TypeSig T_javafe_ast_Type)) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_CopyLoaded T_javafe_FrontEndTool) true_term) (= T_javafe_CopyLoaded (asChild T_javafe_CopyLoaded T_javafe_FrontEndTool)) (= (PO_LT T_javafe_CopyLoaded T_javafe_tc_Listener) true_term) (= (PO_LT T_java_io_BufferedReader T_java_io_Reader) true_term) (= T_java_io_BufferedReader (asChild T_java_io_BufferedReader T_java_io_Reader)) (= (PO_LT T_javafe_ast_Type T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Type (asChild T_javafe_ast_Type T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_ASTDecoration T_java_lang_Object) true_term) (= T_javafe_ast_ASTDecoration (asChild T_javafe_ast_ASTDecoration T_java_lang_Object)) (= (PO_LT T_java_io_FileWriter T_java_io_OutputStreamWriter) true_term) (= T_java_io_FileWriter (asChild T_java_io_FileWriter T_java_io_OutputStreamWriter)) (= (PO_LT T_java_io_IOException T_java_lang_Exception) true_term) (= T_java_io_IOException (asChild T_java_io_IOException T_java_lang_Exception)) (= (PO_LT T_javafe_ast_Name T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Name (asChild T_javafe_ast_Name T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDecl (asChild T_javafe_ast_TypeDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_tc_MethodDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_MethodDeclVec (asChild T_javafe_tc_MethodDeclVec T_java_lang_Object)) (= (PO_LT T_java_io_PrintWriter T_java_io_Writer) true_term) (= T_java_io_PrintWriter (asChild T_java_io_PrintWriter T_java_io_Writer)) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_java_util_AbstractList T_java_util_AbstractCollection) true_term) (= T_java_util_AbstractList (asChild T_java_util_AbstractList T_java_util_AbstractCollection)) (= (PO_LT T_java_util_AbstractList T_java_util_List) true_term) (= (PO_LT T_java_io_InputStreamReader T_java_io_Reader) true_term) (= T_java_io_InputStreamReader (asChild T_java_io_InputStreamReader T_java_io_Reader)) (= (PO_LT T_javafe_Tool T_java_lang_Object) true_term) (= T_javafe_Tool (asChild T_javafe_Tool T_java_lang_Object)) (= (PO_LT T_javafe_tc_TypeCheck T_java_lang_Object) true_term) (= T_javafe_tc_TypeCheck (asChild T_javafe_tc_TypeCheck T_java_lang_Object)) (= (PO_LT T_javafe_FrontEndTool T_javafe_Tool) true_term) (= T_javafe_FrontEndTool (asChild T_javafe_FrontEndTool T_javafe_Tool)) (= (PO_LT T_javafe_ast_Stmt T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Stmt (asChild T_javafe_ast_Stmt T_javafe_ast_ASTNode)) (= (PO_LT T_java_io_Reader T_java_lang_Object) true_term) (= T_java_io_Reader (asChild T_java_io_Reader T_java_lang_Object)) (= (PO_LT T_java_io_Writer T_java_lang_Object) true_term) (= T_java_io_Writer (asChild T_java_io_Writer T_java_lang_Object)) (= (PO_LT T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt) true_term) (= T_javafe_ast_BlockStmt (asChild T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt)) (= (PO_LT T_javafe_util_ErrorSet T_java_lang_Object) true_term) (= T_javafe_util_ErrorSet (asChild T_javafe_util_ErrorSet T_java_lang_Object)) (= (PO_LT T_java_io_File T_java_lang_Object) true_term) (= T_java_io_File (asChild T_java_io_File T_java_lang_Object)) (= (PO_LT T_java_io_File T_java_io_Serializable) true_term) (= (PO_LT T_java_io_File T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_java_util_Collection T_java_lang_Object) true_term) (= (PO_LT T_javafe_util_Assert T_java_lang_Object) true_term) (= T_javafe_util_Assert (asChild T_javafe_util_Assert T_java_lang_Object)) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_javafe_ast_TypeDeclVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeDeclVec (asChild T_javafe_ast_TypeDeclVec T_java_lang_Object)) (= (PO_LT T_java_io_FileReader T_java_io_InputStreamReader) true_term) (= T_java_io_FileReader (asChild T_java_io_FileReader T_java_io_InputStreamReader)) (= (PO_LT T_java_util_Enumeration T_java_lang_Object) true_term) (= (PO_LT T_java_util_AbstractCollection T_java_lang_Object) true_term) (= T_java_util_AbstractCollection (asChild T_java_util_AbstractCollection T_java_lang_Object)) (= (PO_LT T_java_util_AbstractCollection T_java_util_Collection) true_term) (= (PO_LT T_javafe_ast_TypeDeclElemVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeDeclElemVec (asChild T_javafe_ast_TypeDeclElemVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_PrettyPrint T_java_lang_Object) true_term) (= T_javafe_ast_PrettyPrint (asChild T_javafe_ast_PrettyPrint T_java_lang_Object)) (= (PO_LT T_javafe_tc_Listener T_java_lang_Object) true_term) (= (PO_LT T_java_util_List T_java_lang_Object) true_term) (= (PO_LT T_java_util_List T_java_util_Collection) true_term) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_io_FileOutputStream (+ DIST_ZERO_1 10)) (= T_javafe_ast_GenericVarDecl (+ DIST_ZERO_1 11)) (= T_java_lang_Throwable (+ DIST_ZERO_1 12)) (= T_java_util_Map (+ DIST_ZERO_1 13)) (= T_javafe_reader_TypeReader (+ DIST_ZERO_1 14)) (= T_javafe_reader_Reader (+ DIST_ZERO_1 15)) (= T_javafe_ast_GenericBlockStmt (+ DIST_ZERO_1 16)) (= T_java_io_FileNotFoundException (+ DIST_ZERO_1 17)) (= T_javafe_tc_Env (+ DIST_ZERO_1 18)) (= T_javafe_ast_CompilationUnit (+ DIST_ZERO_1 19)) (= T_javafe_ast_RoutineDecl (+ DIST_ZERO_1 20)) (= T_java_io_OutputStreamWriter (+ DIST_ZERO_1 21)) (= T_java_util_Properties (+ DIST_ZERO_1 22)) (= T_javafe_tc_FieldDeclVec (+ DIST_ZERO_1 23)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 24)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 25)) (= T_javafe_tc_OutsideEnv (+ DIST_ZERO_1 26)) (= T_java_util_Vector (+ DIST_ZERO_1 27)) (= T_java_util_StringTokenizer (+ DIST_ZERO_1 28)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 29)) (= T_javafe_util_Location (+ DIST_ZERO_1 30)) (= T_javafe_ast_MethodDecl (+ DIST_ZERO_1 31)) (= T_javafe_ast_TypeDeclElem (+ DIST_ZERO_1 32)) (= T_java_lang_Exception (+ DIST_ZERO_1 33)) (= T_javafe_ast_FieldDecl (+ DIST_ZERO_1 34)) (= T_javafe_tc_TypeSig (+ DIST_ZERO_1 35)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 36)) (= T_java_lang_Comparable (+ DIST_ZERO_1 37)) (= T_javafe_CopyLoaded (+ DIST_ZERO_1 38)) (= T_java_io_BufferedReader (+ DIST_ZERO_1 39)) (= T_javafe_ast_Type (+ DIST_ZERO_1 40)) (= T_javafe_ast_ASTDecoration (+ DIST_ZERO_1 41)) (= T_java_io_FileWriter (+ DIST_ZERO_1 42)) (= T_java_io_IOException (+ DIST_ZERO_1 43)) (= T_javafe_ast_Name (+ DIST_ZERO_1 44)) (= T_javafe_ast_TypeDecl (+ DIST_ZERO_1 45)) (= T_java_lang_Object (+ DIST_ZERO_1 46)) (= T_javafe_tc_MethodDeclVec (+ DIST_ZERO_1 47)) (= T_java_io_PrintWriter (+ DIST_ZERO_1 48)) (= T_java_util_Hashtable (+ DIST_ZERO_1 49)) (= T_java_util_AbstractList (+ DIST_ZERO_1 50)) (= T_java_io_InputStreamReader (+ DIST_ZERO_1 51)) (= T_javafe_Tool (+ DIST_ZERO_1 52)) (= T_javafe_tc_TypeCheck (+ DIST_ZERO_1 53)) (= T_javafe_FrontEndTool (+ DIST_ZERO_1 54)) (= T_javafe_ast_Stmt (+ DIST_ZERO_1 55)) (= T_java_io_Reader (+ DIST_ZERO_1 56)) (= T_java_io_Writer (+ DIST_ZERO_1 57)) (= T_javafe_ast_BlockStmt (+ DIST_ZERO_1 58)) (= T_javafe_util_ErrorSet (+ DIST_ZERO_1 59)) (= T_java_io_File (+ DIST_ZERO_1 60)) (= T_java_lang_String (+ DIST_ZERO_1 61)) (= T_java_io_PrintStream (+ DIST_ZERO_1 62)) (= T_java_util_Collection (+ DIST_ZERO_1 63)) (= T_javafe_util_Assert (+ DIST_ZERO_1 64)) (= T_java_lang_System (+ DIST_ZERO_1 65)) (= T_java_util_Dictionary (+ DIST_ZERO_1 66)) (= T_java_io_Serializable (+ DIST_ZERO_1 67)) (= T_java_io_OutputStream (+ DIST_ZERO_1 68)) (= T_javafe_ast_TypeDeclVec (+ DIST_ZERO_1 69)) (= T_java_io_FileReader (+ DIST_ZERO_1 70)) (= T_java_util_Enumeration (+ DIST_ZERO_1 71)) (= T_java_util_AbstractCollection (+ DIST_ZERO_1 72)) (= T_javafe_ast_TypeDeclElemVec (+ DIST_ZERO_1 73)) (= T_javafe_ast_PrettyPrint (+ DIST_ZERO_1 74)) (= T_javafe_tc_Listener (+ DIST_ZERO_1 75)) (= T_java_util_List (+ DIST_ZERO_1 76))) (= true_term (is out_19_83_49 T_java_io_PrintStream)) (= true_term (is CHECKED_34_776_28 T_int)) (= CHECKED_34_776_28 6) (= true_term (is NULL_29_60_26 T_int)) (= NULL_29_60_26 0) (= true_term (is usageError_6_43_28 T_int)) (= usageError_6_43_28 1) (forall ((?s Int)) (=> (not (= ?s null)) (= true_term (is (S_select argumentFileNames_39_24 ?s) T_java_util_Vector)))) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select argumentFileNames_39_24 ?s) null)))) (forall ((?s Int)) (=> (not (= ?s null)) (= (typeof (S_select argumentFileNames_39_24 ?s)) T_java_util_Vector))) (= true_term (is PARSED_34_772_28 T_int)) (= PARSED_34_772_28 2) (= true_term (is err_19_97_50 T_java_io_PrintStream)) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (= true_term (is (S_select progIndirectFiles_34_24 ?s_1_) T_java_util_Vector)))) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select progIndirectFiles_34_24 ?s_1_) null)))) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (= (typeof (S_select progIndirectFiles_34_24 ?s_1_)) T_java_util_Vector))) (= true_term (is PREPPED_34_775_28 T_int)) (= PREPPED_34_775_28 5)))
(declare-fun L_232_8 () Int)
(declare-fun ecReturn () Int)
(declare-fun S_236_21 () Int)
(declare-fun S_236_38 () Int)
(declare-fun S_233_20 () Int)
(declare-fun locType_pre_106_21_13 () Int)
(declare-fun locType_106_21_13 () Int)
(declare-fun outProgIndirect_pre_24_34 () Int)
(declare-fun outProgIndirect_24_34 () Int)
(declare-fun elems_pre_32_41_39 () Int)
(declare-fun elems_32_41_39 () Int)
(declare-fun elems_pre_26_27_35 () Int)
(declare-fun elems_26_27_35 () Int)
(declare-fun out_pre_19_83_49 () Int)
(declare-fun loc_pre_26_30_13 () Int)
(declare-fun loc_26_30_13 () Int)
(declare-fun owner_pre_7_35_28 () Int)
(declare-fun owner_7_35_28 () Int)
(declare-fun locOpenBrace_pre_112_22_13 () Int)
(declare-fun locOpenBrace_112_22_13 () Int)
(declare-fun locOpenBrace_pre_32_51_13 () Int)
(declare-fun locOpenBrace_32_51_13 () Int)
(declare-fun loc_pre_32_45_13 () Int)
(declare-fun loc_32_45_13 () Int)
(declare-fun locCloseBrace_pre_32_54_13 () Int)
(declare-fun locCloseBrace_32_54_13 () Int)
(declare-fun containsNull_pre_15_70_29 () Int)
(declare-fun containsNull_15_70_29 () Int)
(declare-fun locId_pre_32_48_13 () Int)
(declare-fun locId_32_48_13 () Int)
(declare-fun elements_pre_102_61_39 () Int)
(declare-fun elements_102_61_39 () Int)
(declare-fun state_pre_34_787_15 () Int)
(declare-fun state_34_787_15 () Int)
(declare-fun myTypeDecl_pre_34_63_40 () Int)
(declare-fun myTypeDecl_34_63_40 () Int)
(declare-fun locCloseBrace_pre_112_25_13 () Int)
(declare-fun locCloseBrace_112_25_13 () Int)
(declare-fun outLibIndirect_pre_25_34 () Int)
(declare-fun outLibIndirect_25_34 () Int)
(declare-fun count_pre_30_67_33 () Int)
(declare-fun count_30_67_33 () Int)
(declare-fun errors_pre_52_81_22 () Int)
(declare-fun errors_52_81_22 () Int)
(declare-fun CHECKED_pre_34_776_28 () Int)
(declare-fun inst_pre_31_174_26 () Int)
(declare-fun inst_31_174_26 () Int)
(declare-fun NULL_pre_29_60_26 () Int)
(declare-fun usageError_pre_6_43_28 () Int)
(declare-fun argumentFileNames_pre_39_24 () Int)
(declare-fun methods_pre_34_883_26 () Int)
(declare-fun methods_34_883_26 () Int)
(declare-fun elements_pre_101_61_38 () Int)
(declare-fun elements_101_61_38 () Int)
(declare-fun PARSED_pre_34_772_28 () Int)
(declare-fun elementCount_pre_13_90_35 () Int)
(declare-fun elementCount_13_90_35 () Int)
(declare-fun locOpenBrace_pre_107_36_13 () Int)
(declare-fun locOpenBrace_107_36_13 () Int)
(declare-fun locId_pre_105_38_13 () Int)
(declare-fun locId_105_38_13 () Int)
(declare-fun enclosingType_pre_34_32_39 () Int)
(declare-fun enclosingType_34_32_39 () Int)
(declare-fun err_pre_19_97_50 () Int)
(declare-fun elementType_pre_15_65_27 () Int)
(declare-fun elementType_15_65_27 () Int)
(declare-fun progIndirectFiles_pre_34_24 () Int)
(declare-fun progIndirectWriter_pre_28_24 () Int)
(declare-fun progIndirectWriter_28_24 () Int)
(declare-fun PREPPED_pre_34_775_28 () Int)
(declare-fun body_pre_107_34_19 () Int)
(declare-fun body_107_34_19 () Int)
(declare-fun count_pre_51_67_33 () Int)
(declare-fun count_51_67_33 () Int)
(declare-fun enclosingEnv_pre_34_52_36 () Int)
(declare-fun enclosingEnv_34_52_36 () Int)
(declare-fun loc_pre_107_40_13 () Int)
(declare-fun loc_107_40_13 () Int)
(declare-fun elements_pre_30_61_37 () Int)
(declare-fun elements_30_61_37 () Int)
(declare-fun inst_pre_44_29_44 () Int)
(declare-fun inst_44_29_44 () Int)
(declare-fun elementData_pre_13_79_35 () Int)
(declare-fun elementData_13_79_35 () Int)
(declare-fun locId_pre_107_43_13 () Int)
(declare-fun locId_107_43_13 () Int)
(declare-fun pkgName_pre_26_21_14 () Int)
(declare-fun pkgName_26_21_14 () Int)
(declare-fun count_pre_102_67_33 () Int)
(declare-fun count_102_67_33 () Int)
(declare-fun CU_pre_34_71_30 () Int)
(declare-fun CU_34_71_30 () Int)
(declare-fun outDir_pre_23_34 () Int)
(declare-fun outDir_23_34 () Int)
(declare-fun libIndirectWriter_pre_27_24 () Int)
(declare-fun libIndirectWriter_27_24 () Int)
(declare-fun specOnly_pre_32_26_17 () Int)
(declare-fun specOnly_32_26_17 () Int)
(declare-fun fields_pre_34_875_27 () Int)
(declare-fun fields_34_875_27 () Int)
(declare-fun loaded_pre_110_18 () Int)
(declare-fun loaded_110_18 () Int)
(declare-fun simpleName_pre_34_37_38 () Int)
(declare-fun simpleName_34_37_38 () Int)
(declare-fun elements_pre_51_61_41 () Int)
(declare-fun elements_51_61_41 () Int)
(declare-fun member_pre_34_44_39 () Int)
(declare-fun member_34_44_39 () Int)
(declare-fun count_pre_101_67_33 () Int)
(declare-fun count_101_67_33 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun this () Int)
(declare-fun root_229_54 () Int)
(declare-fun P_230_33 () Int)
(declare-fun s_loopold_231_15 () Int)
(declare-fun EC () Int)
(declare-fun EC_loopold () Int)
(declare-fun alloc_loopold () Int)
(declare-fun i_loopold_232_17 () Int)
(declare-fun s_232_8_0_233_12 () Int)
(declare-fun after_234_29_232_8_0_234_29 () Int)
(declare-fun RES_232_8_0_234_29_234_29 () Int)
(declare-fun EC_232_8_0_234_29_234_29 () Int)
(declare-fun RES_232_8_0_235_19_235_19 () Int)
(declare-fun EC_232_8_0_235_19_235_19 () Int)
(declare-fun arg0_236_13_232_8_0_236_13_20__ () Int)
(declare-fun EC_232_8_0_236_13_236_13 () Int)
(declare-fun s_231_15 () Int)
(declare-fun RES_232_8_0_237_4_237_4 () Int)
(declare-fun EC_232_8_0_237_4_237_4 () Int)
(declare-fun EC_1_ () Int)
(declare-fun i_232_8_0_232_38 () Int)
(declare-fun EC_231_8 () Int)
(declare-fun s_231_15_1_ () Int)
(declare-fun EC_2_ () Int)
(assert (let ((?v_6 (= root_229_54 s_loopold_231_15)) (?v_7 (= EC EC_loopold)) (?v_8 (= alloc alloc_loopold)) (?v_9 (= 0 i_loopold_232_17)) (?v_4 (= true_term true_term)) (?v_25 (arrayLength P_230_33))) (let ((?v_1 (< 0 ?v_25)) (?v_0 (<= 0 0))) (let ((?v_10 (not ?v_1)) (?v_11 (= s_232_8_0_233_12 (stringCat (stringCat root_229_54 S_233_20) (S_select (S_select elems P_230_33) 0)))) (?v_2 (not (= s_232_8_0_233_12 null))) (?v_12 (< alloc after_234_29_232_8_0_234_29)) (?v_3 (not (= RES_232_8_0_234_29_234_29 null))) (?v_13 (not (= true_term (isAllocated RES_232_8_0_234_29_234_29 alloc)))) (?v_14 (= true_term (is RES_232_8_0_234_29_234_29 T_java_io_File))) (?v_15 (= true_term (isAllocated RES_232_8_0_234_29_234_29 after_234_29_232_8_0_234_29))) (?v_16 (= EC_232_8_0_234_29_234_29 ecReturn)) (?v_17 (= (S_select owner_7_35_28 RES_232_8_0_234_29_234_29) null)) (?v_18 (= (typeof RES_232_8_0_234_29_234_29) T_java_io_File))) (let ((?v_5 (not ?v_3)) (?v_19 (= true_term (is RES_232_8_0_235_19_235_19 T_boolean))) (?v_20 (= EC_232_8_0_235_19_235_19 ecReturn)) (?v_24 (= true_term RES_232_8_0_235_19_235_19))) (let ((?v_21 (not ?v_24)) (?v_22 (= arg0_236_13_232_8_0_236_13_20__ (stringCat (stringCat S_236_21 s_232_8_0_233_12) S_236_38))) (?v_23 (= EC_232_8_0_236_13_236_13 ecReturn))) (let ((?v_26 (or (and ?v_4 ?v_10 (= s_231_15 root_229_54)) (and ?v_4 ?v_1 ?v_0 ?v_1 ?v_11 ?v_2 ?v_12 ?v_3 ?v_13 ?v_14 ?v_15 ?v_16 ?v_17 ?v_18 ?v_3 ?v_19 ?v_20 (or (and ?v_21 ?v_4 ?v_22 ?v_23 ?v_3 (= true_term (is RES_232_8_0_237_4_237_4 T_boolean)) (= EC_232_8_0_237_4_237_4 ecReturn) (= EC_1_ EC_232_8_0_237_4_237_4)) (and ?v_24 ?v_4 (= EC_1_ EC_232_8_0_235_19_235_19))) (= i_232_8_0_232_38 (+ 0 1)) ?v_4 (not (< i_232_8_0_232_38 ?v_25)) (= s_231_15 s_232_8_0_233_12)))) (?v_27 (= L_232_8 L_232_8)) (?v_28 (= EC_231_8 ecReturn))) (not (=> (and (distinct L_232_8 ecReturn) (not (= S_236_21 null)) (= (typeof S_236_21) T_java_lang_String) (not (= S_236_38 null)) (= (typeof S_236_38) T_java_lang_String) (not (= S_233_20 null)) (= (typeof S_233_20) T_java_lang_String)) (=> (and (= locType_pre_106_21_13 locType_106_21_13) (= locType_106_21_13 (asField locType_106_21_13 T_int)) (= outProgIndirect_pre_24_34 outProgIndirect_24_34) (= outProgIndirect_24_34 (asField outProgIndirect_24_34 T_java_lang_String)) (< (fClosedTime outProgIndirect_24_34) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select outProgIndirect_24_34 ?s) null)))) (= elems_pre_32_41_39 elems_32_41_39) (= elems_32_41_39 (asField elems_32_41_39 T_javafe_ast_TypeDeclElemVec)) (< (fClosedTime elems_32_41_39) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select elems_32_41_39 ?s_1_) null)))) (= elems_pre_26_27_35 elems_26_27_35) (= elems_26_27_35 (asField elems_26_27_35 T_javafe_ast_TypeDeclVec)) (< (fClosedTime elems_26_27_35) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select elems_26_27_35 ?s_2_) null)))) (= out_pre_19_83_49 out_19_83_49) (= true_term (is out_19_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_19_83_49 alloc)) (not (= out_19_83_49 null)) (= loc_pre_26_30_13 loc_26_30_13) (= loc_26_30_13 (asField loc_26_30_13 T_int)) (= owner_pre_7_35_28 owner_7_35_28) (= owner_7_35_28 (asField owner_7_35_28 T_java_lang_Object)) (< (fClosedTime owner_7_35_28) alloc) (= locOpenBrace_pre_112_22_13 locOpenBrace_112_22_13) (= locOpenBrace_112_22_13 (asField locOpenBrace_112_22_13 T_int)) (= locOpenBrace_pre_32_51_13 locOpenBrace_32_51_13) (= locOpenBrace_32_51_13 (asField locOpenBrace_32_51_13 T_int)) (= loc_pre_32_45_13 loc_32_45_13) (= loc_32_45_13 (asField loc_32_45_13 T_int)) (= locCloseBrace_pre_32_54_13 locCloseBrace_32_54_13) (= locCloseBrace_32_54_13 (asField locCloseBrace_32_54_13 T_int)) (= containsNull_pre_15_70_29 containsNull_15_70_29) (= containsNull_15_70_29 (asField containsNull_15_70_29 T_boolean)) (= locId_pre_32_48_13 locId_32_48_13) (= locId_32_48_13 (asField locId_32_48_13 T_int)) (= elements_pre_102_61_39 elements_102_61_39) (= elements_102_61_39 (asField elements_102_61_39 (array T_javafe_ast_MethodDecl))) (< (fClosedTime elements_102_61_39) alloc) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (not (= (S_select elements_102_61_39 ?s_3_) null)))) (= state_pre_34_787_15 state_34_787_15) (= state_34_787_15 (asField state_34_787_15 T_int)) (= myTypeDecl_pre_34_63_40 myTypeDecl_34_63_40) (= myTypeDecl_34_63_40 (asField myTypeDecl_34_63_40 T_javafe_ast_TypeDecl)) (< (fClosedTime myTypeDecl_34_63_40) alloc) (= locCloseBrace_pre_112_25_13 locCloseBrace_112_25_13) (= locCloseBrace_112_25_13 (asField locCloseBrace_112_25_13 T_int)) (= outLibIndirect_pre_25_34 outLibIndirect_25_34) (= outLibIndirect_25_34 (asField outLibIndirect_25_34 T_java_lang_String)) (< (fClosedTime outLibIndirect_25_34) alloc) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (not (= (S_select outLibIndirect_25_34 ?s_4_) null)))) (= count_pre_30_67_33 count_30_67_33) (= count_30_67_33 (asField count_30_67_33 T_int)) (= errors_pre_52_81_22 errors_52_81_22) (= true_term (is errors_52_81_22 T_int)) (= CHECKED_pre_34_776_28 CHECKED_34_776_28) (= true_term (is CHECKED_34_776_28 T_int)) (= inst_pre_31_174_26 inst_31_174_26) (= true_term (is inst_31_174_26 T_javafe_tc_TypeCheck)) (= true_term (isAllocated inst_31_174_26 alloc)) (= NULL_pre_29_60_26 NULL_29_60_26) (= true_term (is NULL_29_60_26 T_int)) (= usageError_pre_6_43_28 usageError_6_43_28) (= true_term (is usageError_6_43_28 T_int)) (= argumentFileNames_pre_39_24 argumentFileNames_39_24) (= argumentFileNames_39_24 (asField argumentFileNames_39_24 T_java_util_Vector)) (< (fClosedTime argumentFileNames_39_24) alloc) (= methods_pre_34_883_26 methods_34_883_26) (= methods_34_883_26 (asField methods_34_883_26 T_javafe_tc_MethodDeclVec)) (< (fClosedTime methods_34_883_26) alloc) (= elements_pre_101_61_38 elements_101_61_38) (= elements_101_61_38 (asField elements_101_61_38 (array T_javafe_ast_FieldDecl))) (< (fClosedTime elements_101_61_38) alloc) (forall ((?s_5_ Int)) (=> (not (= ?s_5_ null)) (not (= (S_select elements_101_61_38 ?s_5_) null)))) (= PARSED_pre_34_772_28 PARSED_34_772_28) (= true_term (is PARSED_34_772_28 T_int)) (= elementCount_pre_13_90_35 elementCount_13_90_35) (= elementCount_13_90_35 (asField elementCount_13_90_35 T_int)) (= locOpenBrace_pre_107_36_13 locOpenBrace_107_36_13) (= locOpenBrace_107_36_13 (asField locOpenBrace_107_36_13 T_int)) (= locId_pre_105_38_13 locId_105_38_13) (= locId_105_38_13 (asField locId_105_38_13 T_int)) (= enclosingType_pre_34_32_39 enclosingType_34_32_39) (= enclosingType_34_32_39 (asField enclosingType_34_32_39 T_javafe_tc_TypeSig)) (< (fClosedTime enclosingType_34_32_39) alloc) (= err_pre_19_97_50 err_19_97_50) (= true_term (is err_19_97_50 T_java_io_PrintStream)) (= true_term (isAllocated err_19_97_50 alloc)) (not (= err_19_97_50 null)) (= elementType_pre_15_65_27 elementType_15_65_27) (= elementType_15_65_27 (asField elementType_15_65_27 T__TYPE)) (= progIndirectFiles_pre_34_24 progIndirectFiles_34_24) (= progIndirectFiles_34_24 (asField progIndirectFiles_34_24 T_java_util_Vector)) (< (fClosedTime progIndirectFiles_34_24) alloc) (= progIndirectWriter_pre_28_24 progIndirectWriter_28_24) (= progIndirectWriter_28_24 (asField progIndirectWriter_28_24 T_java_io_PrintWriter)) (< (fClosedTime progIndirectWriter_28_24) alloc) (= PREPPED_pre_34_775_28 PREPPED_34_775_28) (= true_term (is PREPPED_34_775_28 T_int)) (= body_pre_107_34_19 body_107_34_19) (= body_107_34_19 (asField body_107_34_19 T_javafe_ast_BlockStmt)) (< (fClosedTime body_107_34_19) alloc) (= count_pre_51_67_33 count_51_67_33) (= count_51_67_33 (asField count_51_67_33 T_int)) (= enclosingEnv_pre_34_52_36 enclosingEnv_34_52_36) (= enclosingEnv_34_52_36 (asField enclosingEnv_34_52_36 T_javafe_tc_Env)) (< (fClosedTime enclosingEnv_34_52_36) alloc) (= loc_pre_107_40_13 loc_107_40_13) (= loc_107_40_13 (asField loc_107_40_13 T_int)) (= elements_pre_30_61_37 elements_30_61_37) (= elements_30_61_37 (asField elements_30_61_37 (array T_javafe_ast_TypeDecl))) (< (fClosedTime elements_30_61_37) alloc) (forall ((?s_6_ Int)) (=> (not (= ?s_6_ null)) (not (= (S_select elements_30_61_37 ?s_6_) null)))) (= inst_pre_44_29_44 inst_44_29_44) (= true_term (is inst_44_29_44 T_javafe_ast_PrettyPrint)) (= true_term (isAllocated inst_44_29_44 alloc)) (not (= inst_44_29_44 null)) (= elementData_pre_13_79_35 elementData_13_79_35) (= elementData_13_79_35 (asField elementData_13_79_35 (array T_java_lang_Object))) (< (fClosedTime elementData_13_79_35) alloc) (forall ((?s_7_ Int)) (=> (not (= ?s_7_ null)) (not (= (S_select elementData_13_79_35 ?s_7_) null)))) (= locId_pre_107_43_13 locId_107_43_13) (= locId_107_43_13 (asField locId_107_43_13 T_int)) (= pkgName_pre_26_21_14 pkgName_26_21_14) (= pkgName_26_21_14 (asField pkgName_26_21_14 T_javafe_ast_Name)) (< (fClosedTime pkgName_26_21_14) alloc) (= count_pre_102_67_33 count_102_67_33) (= count_102_67_33 (asField count_102_67_33 T_int)) (= CU_pre_34_71_30 CU_34_71_30) (= CU_34_71_30 (asField CU_34_71_30 T_javafe_ast_CompilationUnit)) (< (fClosedTime CU_34_71_30) alloc) (= outDir_pre_23_34 outDir_23_34) (= outDir_23_34 (asField outDir_23_34 T_java_lang_String)) (< (fClosedTime outDir_23_34) alloc) (forall ((?s_8_ Int)) (=> (not (= ?s_8_ null)) (not (= (S_select outDir_23_34 ?s_8_) null)))) (= libIndirectWriter_pre_27_24 libIndirectWriter_27_24) (= libIndirectWriter_27_24 (asField libIndirectWriter_27_24 T_java_io_PrintWriter)) (< (fClosedTime libIndirectWriter_27_24) alloc) (= specOnly_pre_32_26_17 specOnly_32_26_17) (= specOnly_32_26_17 (asField specOnly_32_26_17 T_boolean)) (= fields_pre_34_875_27 fields_34_875_27) (= fields_34_875_27 (asField fields_34_875_27 T_javafe_tc_FieldDeclVec)) (< (fClosedTime fields_34_875_27) alloc) (= loaded_pre_110_18 loaded_110_18) (= loaded_110_18 (asField loaded_110_18 T_java_util_Vector)) (< (fClosedTime loaded_110_18) alloc) (= simpleName_pre_34_37_38 simpleName_34_37_38) (= simpleName_34_37_38 (asField simpleName_34_37_38 T_java_lang_String)) (< (fClosedTime simpleName_34_37_38) alloc) (= elements_pre_51_61_41 elements_51_61_41) (= elements_51_61_41 (asField elements_51_61_41 (array T_javafe_ast_TypeDeclElem))) (< (fClosedTime elements_51_61_41) alloc) (forall ((?s_9_ Int)) (=> (not (= ?s_9_ null)) (not (= (S_select elements_51_61_41 ?s_9_) null)))) (= member_pre_34_44_39 member_34_44_39) (= member_34_44_39 (asField member_34_44_39 T_boolean)) (= count_pre_101_67_33 count_101_67_33) (= count_101_67_33 (asField count_101_67_33 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is this T_javafe_CopyLoaded)) (= true_term (isAllocated this alloc)) (not (= this null)) (= true_term (is root_229_54 T_java_lang_String)) (= true_term (isAllocated root_229_54 alloc)) (not (= root_229_54 null)) (= true_term (is P_230_33 (array T_java_lang_String))) (= true_term (isAllocated P_230_33 alloc)) (not (= P_230_33 null)) (= true_term (nonnullelements P_230_33 elems)) (or (and ?v_6 ?v_7 ?v_8 ?v_9 ?v_4 ?v_1 (or (not ?v_0) (and ?v_0 (or ?v_10 (and ?v_1 ?v_11 (or (not ?v_2) (and ?v_2 ?v_12 ?v_3 ?v_13 ?v_14 ?v_15 ?v_16 ?v_17 ?v_18 (or ?v_5 (and ?v_3 ?v_19 ?v_20 ?v_21 ?v_4 ?v_22 ?v_23 ?v_5))))))))) (and (or (and ?v_6 ?v_7 ?v_8 ?v_9 ?v_26 (not ?v_27) (= EC_231_8 L_232_8)) (and ?v_6 ?v_7 ?v_8 ?v_9 ?v_26 ?v_27 (= s_231_15_1_ s_231_15) (= EC_2_ L_232_8) ?v_4 ?v_28)) (not ?v_28)))))))))))))))
(check-sat)
(exit)
