(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_javafe_parser_ParseStmt () Int)
(declare-fun T_javafe_parser_ParseExpr () Int)
(declare-fun T_java_lang_Math () Int)
(declare-fun T_javafe_parser_Token () Int)
(declare-fun T_javafe_CountLines () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_javafe_ast_Stmt () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_javafe_parser_PunctuationPrefixTree () Int)
(declare-fun T_java_util_Collection () Int)
(declare-fun T_java_lang_Number () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun T_javafe_genericfile_NormalGenericFile () Int)
(declare-fun T_java_io_File () Int)
(declare-fun T_javafe_genericfile_GenericFile () Int)
(declare-fun T_javafe_parser_Lex () Int)
(declare-fun T_javafe_parser_ParseType () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_javafe_ast_CompilationUnit () Int)
(declare-fun T_javafe_util_LocationManagerCorrelatedReader () Int)
(declare-fun T_javafe_util_BufferedCorrelatedReader () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_java_io_IOException () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_java_util_AbstractCollection () Int)
(declare-fun T_javafe_parser_PragmaParser () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_javafe_ast_Expr () Int)
(declare-fun T_javafe_ast_VarInit () Int)
(declare-fun T_java_io_InputStream () Int)
(declare-fun T_java_util_AbstractList () Int)
(declare-fun T_java_util_List () Int)
(declare-fun T_javafe_util_CorrelatedReader () Int)
(declare-fun T_java_util_Vector () Int)
(declare-fun T_javafe_ast_TypeDeclElem () Int)
(declare-fun T_java_lang_Integer () Int)
(declare-fun T_javafe_util_FileCorrelatedReader () Int)
(declare-fun T_javafe_parser_ParseUtil () Int)
(declare-fun T_javafe_ast_TypeDecl () Int)
(declare-fun T_javafe_parser_Parse () Int)
(declare-fun T_javafe_ast_Identifier () Int)
(declare-fun T_javafe_util_StackVector () Int)
(declare-fun T_java_lang_Long () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun out_20_83_49 () Int)
(assert (and (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_parser_ParseStmt T_javafe_parser_ParseExpr) true_term) (= T_javafe_parser_ParseStmt (asChild T_javafe_parser_ParseStmt T_javafe_parser_ParseExpr)) (= (PO_LT T_java_lang_Math T_java_lang_Object) true_term) (= T_java_lang_Math (asChild T_java_lang_Math T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Math) true_term) (= ?t T_java_lang_Math))) (= (PO_LT T_javafe_parser_Token T_java_lang_Object) true_term) (= T_javafe_parser_Token (asChild T_javafe_parser_Token T_java_lang_Object)) (= (PO_LT T_javafe_CountLines T_java_lang_Object) true_term) (= T_javafe_CountLines (asChild T_javafe_CountLines T_java_lang_Object)) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_Stmt T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Stmt (asChild T_javafe_ast_Stmt T_javafe_ast_ASTNode)) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_javafe_parser_PunctuationPrefixTree T_java_lang_Object) true_term) (= T_javafe_parser_PunctuationPrefixTree (asChild T_javafe_parser_PunctuationPrefixTree T_java_lang_Object)) (= (PO_LT T_java_util_Collection T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Number T_java_lang_Object) true_term) (= T_java_lang_Number (asChild T_java_lang_Number T_java_lang_Object)) (= (PO_LT T_java_lang_Number T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_javafe_genericfile_NormalGenericFile T_java_io_File) true_term) (= T_javafe_genericfile_NormalGenericFile (asChild T_javafe_genericfile_NormalGenericFile T_java_io_File)) (= (PO_LT T_javafe_genericfile_NormalGenericFile T_javafe_genericfile_GenericFile) true_term) (= (PO_LT T_javafe_parser_Lex T_javafe_parser_Token) true_term) (= T_javafe_parser_Lex (asChild T_javafe_parser_Lex T_javafe_parser_Token)) (= (PO_LT T_javafe_parser_ParseExpr T_javafe_parser_ParseType) true_term) (= T_javafe_parser_ParseExpr (asChild T_javafe_parser_ParseExpr T_javafe_parser_ParseType)) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CompilationUnit (asChild T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode)) (= (PO_LT T_java_io_File T_java_lang_Object) true_term) (= T_java_io_File (asChild T_java_io_File T_java_lang_Object)) (= (PO_LT T_java_io_File T_java_io_Serializable) true_term) (= (PO_LT T_java_io_File T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_util_LocationManagerCorrelatedReader T_javafe_util_BufferedCorrelatedReader) true_term) (= T_javafe_util_LocationManagerCorrelatedReader (asChild T_javafe_util_LocationManagerCorrelatedReader T_javafe_util_BufferedCorrelatedReader)) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_java_io_IOException T_java_lang_Exception) true_term) (= T_java_io_IOException (asChild T_java_io_IOException T_java_lang_Exception)) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_java_util_AbstractCollection T_java_lang_Object) true_term) (= T_java_util_AbstractCollection (asChild T_java_util_AbstractCollection T_java_lang_Object)) (= (PO_LT T_java_util_AbstractCollection T_java_util_Collection) true_term) (= (PO_LT T_javafe_parser_PragmaParser T_java_lang_Object) true_term) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_javafe_ast_Expr T_javafe_ast_VarInit) true_term) (= T_javafe_ast_Expr (asChild T_javafe_ast_Expr T_javafe_ast_VarInit)) (= (PO_LT T_javafe_genericfile_GenericFile T_java_lang_Object) true_term) (= (PO_LT T_java_io_InputStream T_java_lang_Object) true_term) (= T_java_io_InputStream (asChild T_java_io_InputStream T_java_lang_Object)) (= (PO_LT T_java_util_AbstractList T_java_util_AbstractCollection) true_term) (= T_java_util_AbstractList (asChild T_java_util_AbstractList T_java_util_AbstractCollection)) (= (PO_LT T_java_util_AbstractList T_java_util_List) true_term) (= (PO_LT T_javafe_util_CorrelatedReader T_java_lang_Object) true_term) (= T_javafe_util_CorrelatedReader (asChild T_javafe_util_CorrelatedReader T_java_lang_Object)) (= (PO_LT T_java_util_Vector T_java_util_AbstractList) true_term) (= T_java_util_Vector (asChild T_java_util_Vector T_java_util_AbstractList)) (= (PO_LT T_java_util_Vector T_java_util_List) true_term) (= (PO_LT T_java_util_Vector T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Vector T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_TypeDeclElem T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Integer T_java_lang_Number) true_term) (= T_java_lang_Integer (asChild T_java_lang_Integer T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Integer) true_term) (= ?t T_java_lang_Integer))) (= (PO_LT T_java_lang_Integer T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_util_FileCorrelatedReader T_javafe_util_LocationManagerCorrelatedReader) true_term) (= T_javafe_util_FileCorrelatedReader (asChild T_javafe_util_FileCorrelatedReader T_javafe_util_LocationManagerCorrelatedReader)) (= (PO_LT T_javafe_ast_VarInit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_VarInit (asChild T_javafe_ast_VarInit T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_parser_ParseType T_javafe_parser_ParseUtil) true_term) (= T_javafe_parser_ParseType (asChild T_javafe_parser_ParseType T_javafe_parser_ParseUtil)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_util_BufferedCorrelatedReader T_javafe_util_CorrelatedReader) true_term) (= T_javafe_util_BufferedCorrelatedReader (asChild T_javafe_util_BufferedCorrelatedReader T_javafe_util_CorrelatedReader)) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDecl (asChild T_javafe_ast_TypeDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_parser_Parse T_javafe_parser_ParseStmt) true_term) (= T_javafe_parser_Parse (asChild T_javafe_parser_Parse T_javafe_parser_ParseStmt)) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_java_util_List T_java_lang_Object) true_term) (= (PO_LT T_java_util_List T_java_util_Collection) true_term) (= (PO_LT T_javafe_parser_ParseUtil T_java_lang_Object) true_term) (= T_javafe_parser_ParseUtil (asChild T_javafe_parser_ParseUtil T_java_lang_Object)) (= (PO_LT T_javafe_ast_Identifier T_java_lang_Object) true_term) (= T_javafe_ast_Identifier (asChild T_javafe_ast_Identifier T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_ast_Identifier) true_term) (= ?t T_javafe_ast_Identifier))) (= (PO_LT T_javafe_util_StackVector T_java_lang_Object) true_term) (= T_javafe_util_StackVector (asChild T_javafe_util_StackVector T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_util_StackVector) true_term) (= ?t T_javafe_util_StackVector))) (= (PO_LT T_java_lang_Long T_java_lang_Number) true_term) (= T_java_lang_Long (asChild T_java_lang_Long T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Long) true_term) (= ?t T_java_lang_Long))) (= (PO_LT T_java_lang_Long T_java_lang_Comparable) true_term) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 10)) (= T_java_util_Hashtable (+ DIST_ZERO_1 11)) (= T_javafe_parser_ParseStmt (+ DIST_ZERO_1 12)) (= T_java_lang_Math (+ DIST_ZERO_1 13)) (= T_javafe_parser_Token (+ DIST_ZERO_1 14)) (= T_javafe_CountLines (+ DIST_ZERO_1 15)) (= T_java_lang_System (+ DIST_ZERO_1 16)) (= T_java_io_Serializable (+ DIST_ZERO_1 17)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 18)) (= T_javafe_ast_Stmt (+ DIST_ZERO_1 19)) (= T_java_util_Properties (+ DIST_ZERO_1 20)) (= T_javafe_parser_PunctuationPrefixTree (+ DIST_ZERO_1 21)) (= T_java_util_Collection (+ DIST_ZERO_1 22)) (= T_java_lang_Number (+ DIST_ZERO_1 23)) (= T_java_lang_Comparable (+ DIST_ZERO_1 24)) (= T_java_io_PrintStream (+ DIST_ZERO_1 25)) (= T_javafe_genericfile_NormalGenericFile (+ DIST_ZERO_1 26)) (= T_javafe_parser_Lex (+ DIST_ZERO_1 27)) (= T_javafe_parser_ParseExpr (+ DIST_ZERO_1 28)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 29)) (= T_javafe_ast_CompilationUnit (+ DIST_ZERO_1 30)) (= T_java_io_File (+ DIST_ZERO_1 31)) (= T_javafe_util_LocationManagerCorrelatedReader (+ DIST_ZERO_1 32)) (= T_java_util_Dictionary (+ DIST_ZERO_1 33)) (= T_java_util_Map (+ DIST_ZERO_1 34)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 35)) (= T_java_io_IOException (+ DIST_ZERO_1 36)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 37)) (= T_java_lang_Exception (+ DIST_ZERO_1 38)) (= T_java_util_AbstractCollection (+ DIST_ZERO_1 39)) (= T_javafe_parser_PragmaParser (+ DIST_ZERO_1 40)) (= T_javafe_util_Location (+ DIST_ZERO_1 41)) (= T_javafe_ast_Expr (+ DIST_ZERO_1 42)) (= T_javafe_genericfile_GenericFile (+ DIST_ZERO_1 43)) (= T_java_io_InputStream (+ DIST_ZERO_1 44)) (= T_java_util_AbstractList (+ DIST_ZERO_1 45)) (= T_javafe_util_CorrelatedReader (+ DIST_ZERO_1 46)) (= T_java_lang_Object (+ DIST_ZERO_1 47)) (= T_java_util_Vector (+ DIST_ZERO_1 48)) (= T_javafe_ast_TypeDeclElem (+ DIST_ZERO_1 49)) (= T_java_lang_Integer (+ DIST_ZERO_1 50)) (= T_javafe_util_FileCorrelatedReader (+ DIST_ZERO_1 51)) (= T_javafe_ast_VarInit (+ DIST_ZERO_1 52)) (= T_javafe_parser_ParseType (+ DIST_ZERO_1 53)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 54)) (= T_java_lang_String (+ DIST_ZERO_1 55)) (= T_javafe_util_BufferedCorrelatedReader (+ DIST_ZERO_1 56)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 57)) (= T_java_lang_Throwable (+ DIST_ZERO_1 58)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 59)) (= T_javafe_ast_TypeDecl (+ DIST_ZERO_1 60)) (= T_javafe_parser_Parse (+ DIST_ZERO_1 61)) (= T_java_io_OutputStream (+ DIST_ZERO_1 62)) (= T_java_util_List (+ DIST_ZERO_1 63)) (= T_javafe_parser_ParseUtil (+ DIST_ZERO_1 64)) (= T_javafe_ast_Identifier (+ DIST_ZERO_1 65)) (= T_javafe_util_StackVector (+ DIST_ZERO_1 66)) (= T_java_lang_Long (+ DIST_ZERO_1 67))) (= true_term (is out_20_83_49 T_java_io_PrintStream))))
(declare-fun ecReturn () Int)
(declare-fun L_58_4 () Int)
(declare-fun m_in_pre_12_212_46 () Int)
(declare-fun m_in_12_212_46 () Int)
(declare-fun out_pre_20_83_49 () Int)
(declare-fun value_pre_5_91_31 () Int)
(declare-fun value_5_91_31 () Int)
(declare-fun count_pre_5_99_33 () Int)
(declare-fun count_5_99_33 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun n_51_34 () Int)
(declare-fun tmp1_cor_53_30 () Int)
(declare-fun tmp1_cor_53_8 () Int)
(declare-fun tmp0_cor_54_1 () Int)
(declare-fun tmp0_cor_53_8 () Int)
(declare-fun result_52_8 () Int)
(declare-fun i_loopold_58_12 () Int)
(declare-fun result_loopold_52_8 () Int)
(declare-fun EC () Int)
(declare-fun EC_loopold () Int)
(declare-fun RES_58_4_0_58_25_58_25 () Int)
(declare-fun EC_58_4_0_58_25_58_25 () Int)
(declare-fun RES_58_4_0_59_19_59_19 () Int)
(declare-fun EC_58_4_0_59_19_59_19 () Int)
(declare-fun n_61_11_58_4_0_61_11_51_34 () Int)
(declare-fun RES_58_4_0_61_11_61_11 () Int)
(declare-fun EC_58_4_0_61_11_61_11 () Int)
(declare-fun result_58_4_0_61_1 () Int)
(declare-fun RES () Int)
(declare-fun result_52_8_1_ () Int)
(declare-fun EC_1_ () Int)
(declare-fun i_58_4_0_58_39 () Int)
(declare-fun result_52_8_2_ () Int)
(declare-fun RES_58_4_1_58_25_58_25 () Int)
(declare-fun EC_58_4_1_58_25_58_25 () Int)
(declare-fun EC_52_4 () Int)
(declare-fun result_52_8_3_ () Int)
(declare-fun EC_2_ () Int)
(assert (let ((?v_0 (not (= n_51_34 null))) (?v_1 (= true_term (is n_51_34 T_javafe_ast_TypeDecl))) (?v_2 (= true_term true_term)) (?v_4 (refNE n_51_34 null))) (let ((?v_19 (or (and ?v_1 ?v_0 ?v_2 (= tmp1_cor_53_30 true_term)) (and (not (and ?v_1 ?v_0)) (= tmp1_cor_53_8 (boolAnd (is n_51_34 T_javafe_ast_TypeDeclElem) ?v_4)) (= tmp1_cor_53_30 tmp1_cor_53_8)))) (?v_3 (= true_term tmp1_cor_53_30))) (let ((?v_20 (or (and ?v_3 ?v_2 (= tmp0_cor_54_1 true_term)) (and (not ?v_3) (= tmp0_cor_53_8 (boolAnd (is n_51_34 T_javafe_ast_Stmt) ?v_4)) (= tmp0_cor_54_1 tmp0_cor_53_8)))) (?v_5 (= true_term tmp0_cor_54_1))) (let ((?v_21 (or (and ?v_5 ?v_2 (= result_52_8 1)) (and (not ?v_5) ?v_2 (= result_52_8 0)))) (?v_22 (= 0 i_loopold_58_12)) (?v_23 (= result_52_8 result_loopold_52_8)) (?v_24 (= EC EC_loopold)) (?v_7 (not ?v_0)) (?v_10 (= true_term (is RES_58_4_0_58_25_58_25 T_int))) (?v_6 (= EC_58_4_0_58_25_58_25 ecReturn))) (let ((?v_11 (=> ?v_6 (>= RES_58_4_0_58_25_58_25 0))) (?v_12 (< 0 RES_58_4_0_58_25_58_25)) (?v_8 (<= 0 0)) (?v_13 (= true_term (is RES_58_4_0_59_19_59_19 T_java_lang_Object))) (?v_14 (= true_term (isAllocated RES_58_4_0_59_19_59_19 alloc))) (?v_15 (= EC_58_4_0_59_19_59_19 ecReturn)) (?v_9 (= true_term (is RES_58_4_0_59_19_59_19 T_javafe_ast_ASTNode))) (?v_16 (not (= RES_58_4_0_59_19_59_19 null))) (?v_17 (= n_61_11_58_4_0_61_11_51_34 (cast RES_58_4_0_59_19_59_19 T_javafe_ast_ASTNode))) (?v_18 (not (= n_61_11_58_4_0_61_11_51_34 null)))) (let ((?v_25 (or (and ?v_9 ?v_16 ?v_2 ?v_9 ?v_17 ?v_18 (= true_term (is RES_58_4_0_61_11_61_11 T_int)) (= EC_58_4_0_61_11_61_11 ecReturn) (= result_58_4_0_61_1 (+ result_52_8 RES_58_4_0_61_11_61_11)) (= RES RES_58_4_0_61_11_61_11) (= result_52_8_1_ result_58_4_0_61_1) (= EC_1_ EC_58_4_0_61_11_61_11)) (and (not (and ?v_9 ?v_16)) ?v_2 (= RES RES_58_4_0_59_19_59_19) (= result_52_8_1_ result_52_8) (= EC_1_ EC_58_4_0_59_19_59_19)))) (?v_26 (= i_58_4_0_58_39 (+ 0 1))) (?v_27 (= EC_58_4_1_58_25_58_25 ecReturn))) (let ((?v_28 (or (and ?v_2 ?v_0 ?v_10 ?v_6 ?v_11 (not ?v_12) (= result_52_8_2_ result_52_8)) (and ?v_2 ?v_0 ?v_10 ?v_6 ?v_11 ?v_12 ?v_0 ?v_8 ?v_13 ?v_14 ?v_15 ?v_25 ?v_26 ?v_2 ?v_0 (= true_term (is RES_58_4_1_58_25_58_25 T_int)) ?v_27 (=> ?v_27 (>= RES_58_4_1_58_25_58_25 0)) (not (< i_58_4_0_58_39 RES_58_4_1_58_25_58_25)) (= result_52_8_2_ result_52_8_1_)))) (?v_29 (= L_58_4 L_58_4)) (?v_30 (= EC_52_4 ecReturn))) (not (=> (distinct ecReturn L_58_4) (=> (and (= m_in_pre_12_212_46 m_in_12_212_46) (= m_in_12_212_46 (asField m_in_12_212_46 T_javafe_util_CorrelatedReader)) (< (fClosedTime m_in_12_212_46) alloc) (= out_pre_20_83_49 out_20_83_49) (= true_term (is out_20_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_20_83_49 alloc)) (not (= out_20_83_49 null)) (= value_pre_5_91_31 value_5_91_31) (= value_5_91_31 (asField value_5_91_31 (array T_char))) (< (fClosedTime value_5_91_31) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select value_5_91_31 ?s) null)))) (= count_pre_5_99_33 count_5_99_33) (= count_5_99_33 (asField count_5_99_33 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is n_51_34 T_javafe_ast_ASTNode)) (= true_term (isAllocated n_51_34 alloc)) ?v_0 (or (and ?v_19 ?v_20 ?v_21 ?v_22 ?v_23 ?v_24 (or (and ?v_2 (or ?v_7 (and ?v_0 ?v_10 ?v_6 ?v_11 ?v_12 (or ?v_7 (and ?v_0 (or (not ?v_8) (and ?v_8 ?v_13 ?v_14 ?v_15 ?v_9 ?v_16 ?v_2 (or (not ?v_9) (and ?v_9 ?v_17 (not ?v_18)))))))))) (and ?v_2 ?v_0 ?v_10 ?v_6 ?v_11 ?v_12 ?v_0 ?v_8 ?v_13 ?v_14 ?v_15 ?v_25 ?v_26 ?v_2 ?v_7))) (and ?v_19 ?v_20 ?v_21 (or (and ?v_22 ?v_23 ?v_24 ?v_28 (not ?v_29) (= EC_52_4 L_58_4)) (and ?v_22 ?v_23 ?v_24 ?v_28 ?v_29 (= result_52_8_3_ result_52_8_2_) (= EC_2_ L_58_4) ?v_2 ?v_30)) (not ?v_30))))))))))))))))
(check-sat)
(exit)
