(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_ast_StandardPrettyPrint () Int)
(declare-fun T_javafe_ast_PrettyPrint () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_javafe_reader_StandardTypeReader () Int)
(declare-fun T_javafe_reader_TypeReader () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_java_lang_RuntimeException () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_javafe_FrontEndTool () Int)
(declare-fun T_javafe_Tool () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_javafe_tc_OutsideEnv () Int)
(declare-fun T_javafe_tc_TypeCheck () Int)
(declare-fun T_javafe_reader_Reader () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_javafe_filespace_Query () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_javafe_filespace_ClassPath () Int)
(declare-fun T_javafe_util_ErrorSet () Int)
(declare-fun T_javafe_util_Info () Int)
(declare-fun T_javafe_util_FatalError () Int)
(declare-fun T_javafe_parser_PragmaParser () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun err_6_97_50 () Int)
(declare-fun usageError_4_43_28 () Int)
(declare-fun out_6_83_49 () Int)
(assert (and (= (PO_LT T_javafe_ast_StandardPrettyPrint T_javafe_ast_PrettyPrint) true_term) (= T_javafe_ast_StandardPrettyPrint (asChild T_javafe_ast_StandardPrettyPrint T_javafe_ast_PrettyPrint)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_javafe_reader_StandardTypeReader T_javafe_reader_TypeReader) true_term) (= T_javafe_reader_StandardTypeReader (asChild T_javafe_reader_StandardTypeReader T_javafe_reader_TypeReader)) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_java_lang_RuntimeException T_java_lang_Exception) true_term) (= T_java_lang_RuntimeException (asChild T_java_lang_RuntimeException T_java_lang_Exception)) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_FrontEndTool T_javafe_Tool) true_term) (= T_javafe_FrontEndTool (asChild T_javafe_FrontEndTool T_javafe_Tool)) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_tc_OutsideEnv T_java_lang_Object) true_term) (= T_javafe_tc_OutsideEnv (asChild T_javafe_tc_OutsideEnv T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_tc_OutsideEnv) true_term) (= ?t T_javafe_tc_OutsideEnv))) (= (PO_LT T_javafe_tc_TypeCheck T_java_lang_Object) true_term) (= T_javafe_tc_TypeCheck (asChild T_javafe_tc_TypeCheck T_java_lang_Object)) (= (PO_LT T_javafe_Tool T_java_lang_Object) true_term) (= T_javafe_Tool (asChild T_javafe_Tool T_java_lang_Object)) (= (PO_LT T_javafe_reader_Reader T_java_lang_Object) true_term) (= T_javafe_reader_Reader (asChild T_javafe_reader_Reader T_java_lang_Object)) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_javafe_filespace_Query T_java_lang_Object) true_term) (= T_javafe_filespace_Query (asChild T_javafe_filespace_Query T_java_lang_Object)) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_javafe_filespace_ClassPath T_java_lang_Object) true_term) (= T_javafe_filespace_ClassPath (asChild T_javafe_filespace_ClassPath T_java_lang_Object)) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_util_ErrorSet T_java_lang_Object) true_term) (= T_javafe_util_ErrorSet (asChild T_javafe_util_ErrorSet T_java_lang_Object)) (= (PO_LT T_javafe_util_Info T_java_lang_Object) true_term) (= T_javafe_util_Info (asChild T_javafe_util_Info T_java_lang_Object)) (= (PO_LT T_javafe_util_FatalError T_java_lang_RuntimeException) true_term) (= T_javafe_util_FatalError (asChild T_javafe_util_FatalError T_java_lang_RuntimeException)) (= (PO_LT T_javafe_parser_PragmaParser T_java_lang_Object) true_term) (= (PO_LT T_javafe_reader_TypeReader T_javafe_reader_Reader) true_term) (= T_javafe_reader_TypeReader (asChild T_javafe_reader_TypeReader T_javafe_reader_Reader)) (= (PO_LT T_javafe_ast_PrettyPrint T_java_lang_Object) true_term) (= T_javafe_ast_PrettyPrint (asChild T_javafe_ast_PrettyPrint T_java_lang_Object)) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_ast_StandardPrettyPrint (+ DIST_ZERO_1 10)) (= T_java_lang_String (+ DIST_ZERO_1 11)) (= T_java_io_PrintStream (+ DIST_ZERO_1 12)) (= T_javafe_reader_StandardTypeReader (+ DIST_ZERO_1 13)) (= T_java_lang_Comparable (+ DIST_ZERO_1 14)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 15)) (= T_java_lang_RuntimeException (+ DIST_ZERO_1 16)) (= T_java_util_Hashtable (+ DIST_ZERO_1 17)) (= T_java_lang_Object (+ DIST_ZERO_1 18)) (= T_java_io_Serializable (+ DIST_ZERO_1 19)) (= T_java_lang_Exception (+ DIST_ZERO_1 20)) (= T_java_util_Dictionary (+ DIST_ZERO_1 21)) (= T_javafe_FrontEndTool (+ DIST_ZERO_1 22)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 23)) (= T_java_lang_Throwable (+ DIST_ZERO_1 24)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 25)) (= T_javafe_tc_OutsideEnv (+ DIST_ZERO_1 26)) (= T_javafe_tc_TypeCheck (+ DIST_ZERO_1 27)) (= T_javafe_Tool (+ DIST_ZERO_1 28)) (= T_javafe_reader_Reader (+ DIST_ZERO_1 29)) (= T_java_util_Properties (+ DIST_ZERO_1 30)) (= T_javafe_filespace_Query (+ DIST_ZERO_1 31)) (= T_java_lang_System (+ DIST_ZERO_1 32)) (= T_javafe_filespace_ClassPath (+ DIST_ZERO_1 33)) (= T_java_util_Map (+ DIST_ZERO_1 34)) (= T_javafe_util_ErrorSet (+ DIST_ZERO_1 35)) (= T_javafe_util_Info (+ DIST_ZERO_1 36)) (= T_javafe_util_FatalError (+ DIST_ZERO_1 37)) (= T_javafe_parser_PragmaParser (+ DIST_ZERO_1 38)) (= T_javafe_reader_TypeReader (+ DIST_ZERO_1 39)) (= T_javafe_ast_PrettyPrint (+ DIST_ZERO_1 40)) (= T_java_io_OutputStream (+ DIST_ZERO_1 41))) (= true_term (is err_6_97_50 T_java_io_PrintStream)) (= true_term (is usageError_4_43_28 T_int)) (= usageError_4_43_28 1) (= true_term (is out_6_83_49 T_java_io_PrintStream))))
(declare-fun S_158_27 () Int)
(declare-fun S_159_52 () Int)
(declare-fun S_159_34 () Int)
(declare-fun S_155_30 () Int)
(declare-fun S_164_46 () Int)
(declare-fun S_164_10 () Int)
(declare-fun S_157_30 () Int)
(declare-fun warnings_pre_29_75_22 () Int)
(declare-fun warnings_29_75_22 () Int)
(declare-fun inst_pre_24_29_44 () Int)
(declare-fun inst_24_29_44 () Int)
(declare-fun err_pre_6_97_50 () Int)
(declare-fun noCautions_pre_54_26 () Int)
(declare-fun noCautions_54_26 () Int)
(declare-fun sysPath_pre_85_21 () Int)
(declare-fun sysPath_85_21 () Int)
(declare-fun cautions_pre_29_69_22 () Int)
(declare-fun cautions_29_69_22 () Int)
(declare-fun userPath_pre_84_21 () Int)
(declare-fun userPath_84_21 () Int)
(declare-fun inst_pre_25_174_26 () Int)
(declare-fun inst_25_174_26 () Int)
(declare-fun usageError_pre_4_43_28 () Int)
(declare-fun out_pre_6_83_49 () Int)
(declare-fun on_pre_18_41_26 () Int)
(declare-fun on_18_41_26 () Int)
(declare-fun errors_pre_29_81_22 () Int)
(declare-fun errors_29_81_22 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun this () Int)
(declare-fun classPath_147_1 () Int)
(declare-fun RES_150_44_150_44 () Int)
(declare-fun EC_150_44_150_44 () Int)
(declare-fun ecReturn () Int)
(declare-fun classPath_147_8 () Int)
(declare-fun RES () Int)
(declare-fun EC () Int)
(declare-fun RES_1_ () Int)
(declare-fun EC_1_ () Int)
(declare-fun sys_152_1 () Int)
(declare-fun RES_155_18_155_18 () Int)
(declare-fun EC_155_18_155_18 () Int)
(declare-fun RES_2_ () Int)
(declare-fun EC_2_ () Int)
(declare-fun sys_152_8 () Int)
(declare-fun RES_157_23_157_23 () Int)
(declare-fun EC_157_23_157_23 () Int)
(declare-fun tmp0_cand_157_5 () Int)
(declare-fun RES_3_ () Int)
(declare-fun tmp0_cand_157_15 () Int)
(declare-fun EC_3_ () Int)
(declare-fun RES_158_20_158_20 () Int)
(declare-fun EC_158_20_158_20 () Int)
(declare-fun RES_159_22_159_22 () Int)
(declare-fun EC_159_22_159_22 () Int)
(declare-fun classPath_159_2 () Int)
(declare-fun classPath_147_8_1_ () Int)
(declare-fun RES_4_ () Int)
(declare-fun EC_4_ () Int)
(declare-fun classPath_161_5 () Int)
(declare-fun classPath_147_8_2_ () Int)
(declare-fun RES_5_ () Int)
(declare-fun EC_5_ () Int)
(declare-fun msg_164_6_164_6_18_69_34 () Int)
(declare-fun EC_164_6_164_6 () Int)
(declare-fun RES_167_12_167_12 () Int)
(declare-fun EC_167_12_167_12 () Int)
(declare-fun RES_166_17_166_17 () Int)
(declare-fun EC_166_17_166_17 () Int)
(declare-fun EC_166_12_166_12 () Int)
(declare-fun RES_169_20_169_20 () Int)
(declare-fun EC_169_20_169_20 () Int)
(declare-fun RES_170_18_170_18 () Int)
(declare-fun EC_170_18_170_18 () Int)
(assert (let ((?v_14 (= S_158_27 null)) (?v_21 (not (= S_159_52 null))) (?v_16 (not (= S_159_34 null))) (?v_4 (not (= S_155_30 null))) (?v_10 (= S_157_30 null)) (?v_0 (not (= inst_25_174_26 null))) (?v_28 (= classPath_147_1 (S_select userPath_84_21 this))) (?v_1 (= classPath_147_1 null)) (?v_2 (= true_term true_term))) (let ((?v_5 (not ?v_0)) (?v_3 (= EC_150_44_150_44 ecReturn))) (let ((?v_29 (or (and ?v_1 ?v_2 ?v_0 (= true_term (is RES_150_44_150_44 T_java_lang_String)) (= true_term (isAllocated RES_150_44_150_44 alloc)) ?v_3 (=> ?v_3 (not (= RES_150_44_150_44 null))) (= classPath_147_8 RES_150_44_150_44) (= RES RES_150_44_150_44) (= EC EC_150_44_150_44)) (and (not ?v_1) ?v_2 (= classPath_147_8 classPath_147_1) (= RES RES_1_) (= EC EC_1_)))) (?v_30 (= sys_152_1 (S_select sysPath_85_21 this))) (?v_6 (= sys_152_1 null)) (?v_7 (= EC_155_18_155_18 ecReturn))) (let ((?v_31 (or (and ?v_6 ?v_2 ?v_4 ?v_0 (= true_term (is RES_155_18_155_18 T_java_lang_String)) (= true_term (isAllocated RES_155_18_155_18 alloc)) ?v_7 (=> (and ?v_7 (not (= null null))) (not (= RES_155_18_155_18 null))) (= RES_2_ RES_155_18_155_18) (= EC_2_ EC_155_18_155_18) (= sys_152_8 RES_155_18_155_18)) (and (not ?v_6) ?v_2 (= RES_2_ RES) (= EC_2_ EC) (= sys_152_8 sys_152_1)))) (?v_8 (not (= sys_152_8 null)))) (let ((?v_11 (not ?v_8)) (?v_9 (= EC_157_23_157_23 ecReturn))) (let ((?v_32 (or (and ?v_8 ?v_8 ?v_0 (= true_term (is RES_157_23_157_23 T_boolean)) ?v_9 (=> (and ?v_9 ?v_10) (not (= true_term RES_157_23_157_23))) (= tmp0_cand_157_5 (boolNot RES_157_23_157_23)) (= RES_3_ RES_157_23_157_23) (= tmp0_cand_157_15 tmp0_cand_157_5) (= EC_3_ EC_157_23_157_23)) (and ?v_11 ?v_2 (= RES_3_ RES_2_) (= tmp0_cand_157_15 false_term) (= EC_3_ EC_2_)))) (?v_17 (= true_term tmp0_cand_157_15)) (?v_12 (not (= classPath_147_8 null))) (?v_18 (= true_term (is RES_158_20_158_20 T_boolean))) (?v_13 (= EC_158_20_158_20 ecReturn)) (?v_22 (= true_term RES_158_20_158_20))) (let ((?v_15 (not ?v_22))) (let ((?v_19 (=> (and ?v_13 ?v_14) ?v_15)) (?v_20 (= EC_159_22_159_22 ecReturn))) (let ((?v_33 (or (and ?v_17 ?v_2 ?v_12 ?v_0 ?v_18 ?v_13 ?v_19 (or (and ?v_15 ?v_2 ?v_16 ?v_0 (= true_term (is RES_159_22_159_22 T_java_lang_String)) (= true_term (isAllocated RES_159_22_159_22 alloc)) ?v_20 (=> (and ?v_20 ?v_21) (not (= RES_159_22_159_22 null))) (= classPath_159_2 (stringCat classPath_147_8 RES_159_22_159_22)) (= classPath_147_8_1_ classPath_159_2) (= RES_4_ RES_159_22_159_22) (= EC_4_ EC_159_22_159_22)) (and ?v_22 ?v_2 (= classPath_147_8_1_ classPath_147_8) (= RES_4_ RES_158_20_158_20) (= EC_4_ EC_158_20_158_20))) (= classPath_161_5 (stringCat classPath_147_8_1_ sys_152_8)) (= classPath_147_8_2_ classPath_161_5) (= RES_5_ RES_4_) (= EC_5_ EC_4_)) (and (not ?v_17) ?v_2 (= classPath_147_8_2_ classPath_147_8) (= RES_5_ RES_3_) (= EC_5_ EC_3_)))) (?v_23 (= msg_164_6_164_6_18_69_34 (stringCat (stringCat S_164_10 classPath_147_8_2_) S_164_46))) (?v_34 (= EC_164_6_164_6 ecReturn)) (?v_35 (= true_term (is RES_167_12_167_12 T_javafe_parser_PragmaParser))) (?v_36 (= true_term (isAllocated RES_167_12_167_12 alloc))) (?v_37 (= EC_167_12_167_12 ecReturn)) (?v_38 (= true_term (is RES_166_17_166_17 T_javafe_reader_StandardTypeReader))) (?v_39 (= true_term (isAllocated RES_166_17_166_17 alloc))) (?v_24 (= EC_166_17_166_17 ecReturn)) (?v_25 (not (= RES_166_17_166_17 null)))) (let ((?v_40 (=> ?v_24 ?v_25)) (?v_41 (= EC_166_12_166_12 ecReturn)) (?v_42 (= true_term (is RES_169_20_169_20 T_javafe_ast_PrettyPrint))) (?v_43 (= true_term (isAllocated RES_169_20_169_20 alloc))) (?v_26 (= EC_169_20_169_20 ecReturn)) (?v_27 (not (= RES_169_20_169_20 null)))) (let ((?v_44 (=> ?v_26 ?v_27)) (?v_45 (= EC_170_18_170_18 ecReturn)) (?v_47 (not (= RES_170_18_170_18 null))) (?v_46 (= ecReturn ecReturn))) (not (=> (and true (not ?v_14) (= (typeof S_158_27) T_java_lang_String) ?v_21 (= (typeof S_159_52) T_java_lang_String) ?v_16 (= (typeof S_159_34) T_java_lang_String) ?v_4 (= (typeof S_155_30) T_java_lang_String) (not (= S_164_46 null)) (= (typeof S_164_46) T_java_lang_String) (not (= S_164_10 null)) (= (typeof S_164_10) T_java_lang_String) (not ?v_10) (= (typeof S_157_30) T_java_lang_String)) (=> (and (= warnings_pre_29_75_22 warnings_29_75_22) (= true_term (is warnings_29_75_22 T_int)) (= inst_pre_24_29_44 inst_24_29_44) (= true_term (is inst_24_29_44 T_javafe_ast_PrettyPrint)) (= true_term (isAllocated inst_24_29_44 alloc)) (not (= inst_24_29_44 null)) (= err_pre_6_97_50 err_6_97_50) (= true_term (is err_6_97_50 T_java_io_PrintStream)) (= true_term (isAllocated err_6_97_50 alloc)) (not (= err_6_97_50 null)) (= noCautions_pre_54_26 noCautions_54_26) (= true_term (is noCautions_54_26 T_boolean)) (= sysPath_pre_85_21 sysPath_85_21) (= sysPath_85_21 (asField sysPath_85_21 T_java_lang_String)) (< (fClosedTime sysPath_85_21) alloc) (= cautions_pre_29_69_22 cautions_29_69_22) (= true_term (is cautions_29_69_22 T_int)) (= userPath_pre_84_21 userPath_84_21) (= userPath_84_21 (asField userPath_84_21 T_java_lang_String)) (< (fClosedTime userPath_84_21) alloc) (= inst_pre_25_174_26 inst_25_174_26) (= true_term (is inst_25_174_26 T_javafe_tc_TypeCheck)) (= true_term (isAllocated inst_25_174_26 alloc)) (= usageError_pre_4_43_28 usageError_4_43_28) (= true_term (is usageError_4_43_28 T_int)) (= out_pre_6_83_49 out_6_83_49) (= true_term (is out_6_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_6_83_49 alloc)) (not (= out_6_83_49 null)) (= on_pre_18_41_26 on_18_41_26) (= true_term (is on_18_41_26 T_boolean)) (= errors_pre_29_81_22 errors_29_81_22) (= true_term (is errors_29_81_22 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is this T_javafe_FrontEndTool)) (= true_term (isAllocated this alloc)) (not (= this null)) ?v_0 (or (and ?v_28 (or (and ?v_1 ?v_2 ?v_5) (and ?v_29 ?v_30 (or (and ?v_6 ?v_2 (or (not ?v_4) (and ?v_4 ?v_5))) (and ?v_31 (or (and ?v_8 (or ?v_11 (and ?v_8 ?v_5))) (and ?v_32 (or (and ?v_17 ?v_2 (or (not ?v_12) (and ?v_12 (or ?v_5 (and ?v_0 ?v_18 ?v_13 ?v_19 ?v_15 ?v_2 (or (not ?v_16) (and ?v_16 ?v_5))))))) (and ?v_33 (or (and ?v_23 ?v_5) (and ?v_23 ?v_0 ?v_34 (or ?v_5 (and ?v_0 ?v_35 ?v_36 ?v_37 (or ?v_5 (and ?v_0 ?v_38 ?v_39 ?v_24 ?v_40 (or (not ?v_25) (and ?v_25 ?v_5) (and ?v_25 ?v_0 ?v_41 (or ?v_5 (and ?v_0 ?v_42 ?v_43 ?v_26 ?v_44 (or (not ?v_27) (and ?v_27 ?v_5))))))))))))))))))))) (and ?v_28 ?v_29 ?v_30 ?v_31 ?v_32 ?v_33 ?v_23 ?v_0 ?v_34 ?v_0 ?v_35 ?v_36 ?v_37 ?v_0 ?v_38 ?v_39 ?v_24 ?v_40 ?v_25 ?v_0 ?v_41 ?v_0 ?v_42 ?v_43 ?v_26 ?v_44 ?v_27 ?v_0 (= true_term (is RES_170_18_170_18 T_javafe_tc_TypeCheck)) (= true_term (isAllocated RES_170_18_170_18 alloc)) ?v_45 (=> ?v_45 ?v_47) (or (not ?v_46) (and ?v_46 (not ?v_47))))))))))))))))))))))
(check-sat)
(exit)
