(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_io_Reader () Int)
(declare-fun T_javafe_util_Assert () Int)
(declare-fun T_java_io_FileNotFoundException () Int)
(declare-fun T_java_io_IOException () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_tc_Listener () Int)
(declare-fun T_java_io_BufferedReader () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_java_util_AbstractList () Int)
(declare-fun T_java_util_AbstractCollection () Int)
(declare-fun T_java_util_List () Int)
(declare-fun T_javafe_FrontEndTool () Int)
(declare-fun T_javafe_Tool () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_javafe_ast_TypeDecl () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_javafe_ast_TypeDeclElem () Int)
(declare-fun T_java_util_Collection () Int)
(declare-fun T_java_io_InputStreamReader () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_java_io_FileReader () Int)
(declare-fun T_javafe_SrcTool () Int)
(declare-fun T_javafe_reader_Reader () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_javafe_ast_TypeDeclVec () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_javafe_reader_TypeReader () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_javafe_ast_CompilationUnit () Int)
(declare-fun T_java_util_Vector () Int)
(declare-fun T_javafe_tc_OutsideEnv () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun usageError_6_43_28 () Int)
(declare-fun err_19_97_50 () Int)
(declare-fun argumentFileNames_56_25 () Int)
(assert (and (= (PO_LT T_java_io_Reader T_java_lang_Object) true_term) (= T_java_io_Reader (asChild T_java_io_Reader T_java_lang_Object)) (= (PO_LT T_javafe_util_Assert T_java_lang_Object) true_term) (= T_javafe_util_Assert (asChild T_javafe_util_Assert T_java_lang_Object)) (= (PO_LT T_java_io_FileNotFoundException T_java_io_IOException) true_term) (= T_java_io_FileNotFoundException (asChild T_java_io_FileNotFoundException T_java_io_IOException)) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_tc_Listener T_java_lang_Object) true_term) (= (PO_LT T_java_io_BufferedReader T_java_io_Reader) true_term) (= T_java_io_BufferedReader (asChild T_java_io_BufferedReader T_java_io_Reader)) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_java_util_AbstractList T_java_util_AbstractCollection) true_term) (= T_java_util_AbstractList (asChild T_java_util_AbstractList T_java_util_AbstractCollection)) (= (PO_LT T_java_util_AbstractList T_java_util_List) true_term) (= (PO_LT T_javafe_FrontEndTool T_javafe_Tool) true_term) (= T_javafe_FrontEndTool (asChild T_javafe_FrontEndTool T_javafe_Tool)) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDecl (asChild T_javafe_ast_TypeDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_AbstractCollection T_java_lang_Object) true_term) (= T_java_util_AbstractCollection (asChild T_java_util_AbstractCollection T_java_lang_Object)) (= (PO_LT T_java_util_AbstractCollection T_java_util_Collection) true_term) (= (PO_LT T_javafe_Tool T_java_lang_Object) true_term) (= T_javafe_Tool (asChild T_javafe_Tool T_java_lang_Object)) (= (PO_LT T_javafe_ast_TypeDeclElem T_java_lang_Object) true_term) (= (PO_LT T_java_io_InputStreamReader T_java_io_Reader) true_term) (= T_java_io_InputStreamReader (asChild T_java_io_InputStreamReader T_java_io_Reader)) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_java_io_FileReader T_java_io_InputStreamReader) true_term) (= T_java_io_FileReader (asChild T_java_io_FileReader T_java_io_InputStreamReader)) (= (PO_LT T_javafe_SrcTool T_javafe_FrontEndTool) true_term) (= T_javafe_SrcTool (asChild T_javafe_SrcTool T_javafe_FrontEndTool)) (= (PO_LT T_javafe_SrcTool T_javafe_tc_Listener) true_term) (= (PO_LT T_javafe_reader_Reader T_java_lang_Object) true_term) (= T_javafe_reader_Reader (asChild T_javafe_reader_Reader T_java_lang_Object)) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_javafe_ast_TypeDeclVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeDeclVec (asChild T_javafe_ast_TypeDeclVec T_java_lang_Object)) (= (PO_LT T_java_util_List T_java_lang_Object) true_term) (= (PO_LT T_java_util_List T_java_util_Collection) true_term) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_reader_TypeReader T_javafe_reader_Reader) true_term) (= T_javafe_reader_TypeReader (asChild T_javafe_reader_TypeReader T_javafe_reader_Reader)) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_java_util_Collection T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CompilationUnit (asChild T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode)) (= (PO_LT T_java_util_Vector T_java_util_AbstractList) true_term) (= T_java_util_Vector (asChild T_java_util_Vector T_java_util_AbstractList)) (= (PO_LT T_java_util_Vector T_java_util_List) true_term) (= (PO_LT T_java_util_Vector T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Vector T_java_io_Serializable) true_term) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_tc_OutsideEnv T_java_lang_Object) true_term) (= T_javafe_tc_OutsideEnv (asChild T_javafe_tc_OutsideEnv T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_tc_OutsideEnv) true_term) (= ?t T_javafe_tc_OutsideEnv))) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_io_IOException T_java_lang_Exception) true_term) (= T_java_io_IOException (asChild T_java_io_IOException T_java_lang_Exception)) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_io_Reader (+ DIST_ZERO_1 10)) (= T_javafe_util_Assert (+ DIST_ZERO_1 11)) (= T_java_io_FileNotFoundException (+ DIST_ZERO_1 12)) (= T_java_io_PrintStream (+ DIST_ZERO_1 13)) (= T_java_lang_String (+ DIST_ZERO_1 14)) (= T_javafe_tc_Listener (+ DIST_ZERO_1 15)) (= T_java_io_BufferedReader (+ DIST_ZERO_1 16)) (= T_java_io_OutputStream (+ DIST_ZERO_1 17)) (= T_java_io_Serializable (+ DIST_ZERO_1 18)) (= T_java_util_AbstractList (+ DIST_ZERO_1 19)) (= T_javafe_FrontEndTool (+ DIST_ZERO_1 20)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 21)) (= T_java_util_Properties (+ DIST_ZERO_1 22)) (= T_javafe_ast_TypeDecl (+ DIST_ZERO_1 23)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 24)) (= T_java_util_AbstractCollection (+ DIST_ZERO_1 25)) (= T_javafe_Tool (+ DIST_ZERO_1 26)) (= T_javafe_ast_TypeDeclElem (+ DIST_ZERO_1 27)) (= T_java_io_InputStreamReader (+ DIST_ZERO_1 28)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 29)) (= T_javafe_util_Location (+ DIST_ZERO_1 30)) (= T_java_io_FileReader (+ DIST_ZERO_1 31)) (= T_javafe_SrcTool (+ DIST_ZERO_1 32)) (= T_javafe_reader_Reader (+ DIST_ZERO_1 33)) (= T_java_lang_System (+ DIST_ZERO_1 34)) (= T_javafe_ast_TypeDeclVec (+ DIST_ZERO_1 35)) (= T_java_util_List (+ DIST_ZERO_1 36)) (= T_java_util_Hashtable (+ DIST_ZERO_1 37)) (= T_java_lang_Throwable (+ DIST_ZERO_1 38)) (= T_javafe_reader_TypeReader (+ DIST_ZERO_1 39)) (= T_java_lang_Comparable (+ DIST_ZERO_1 40)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 41)) (= T_java_lang_Exception (+ DIST_ZERO_1 42)) (= T_java_util_Collection (+ DIST_ZERO_1 43)) (= T_javafe_ast_CompilationUnit (+ DIST_ZERO_1 44)) (= T_java_util_Vector (+ DIST_ZERO_1 45)) (= T_java_util_Dictionary (+ DIST_ZERO_1 46)) (= T_javafe_tc_OutsideEnv (+ DIST_ZERO_1 47)) (= T_java_lang_Object (+ DIST_ZERO_1 48)) (= T_java_util_Map (+ DIST_ZERO_1 49)) (= T_java_io_IOException (+ DIST_ZERO_1 50))) (= true_term (is usageError_6_43_28 T_int)) (= usageError_6_43_28 1) (= true_term (is err_19_97_50 T_java_io_PrintStream)) (forall ((?s Int)) (=> (not (= ?s null)) (= true_term (is (S_select argumentFileNames_56_25 ?s) T_java_util_Vector)))) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select argumentFileNames_56_25 ?s) null)))) (forall ((?s Int)) (=> (not (= ?s null)) (= (typeof (S_select argumentFileNames_56_25 ?s)) T_java_util_Vector)))))
(declare-fun elementCount_pre_13_90_35 () Int)
(declare-fun elementCount_13_90_35 () Int)
(declare-fun avoidSpec_pre_28_185_26 () Int)
(declare-fun avoidSpec_28_185_26 () Int)
(declare-fun usageError_pre_6_43_28 () Int)
(declare-fun avoidSpec_pre_106_20 () Int)
(declare-fun avoidSpec_106_20 () Int)
(declare-fun containsNull_pre_15_70_29 () Int)
(declare-fun containsNull_15_70_29 () Int)
(declare-fun count_pre_34_67_33 () Int)
(declare-fun count_34_67_33 () Int)
(declare-fun elementData_pre_13_79_35 () Int)
(declare-fun elementData_13_79_35 () Int)
(declare-fun elements_pre_34_61_37 () Int)
(declare-fun elements_34_61_37 () Int)
(declare-fun processRecursively_pre_115_19 () Int)
(declare-fun processRecursively_115_19 () Int)
(declare-fun err_pre_19_97_50 () Int)
(declare-fun elems_pre_26_27_35 () Int)
(declare-fun elems_26_27_35 () Int)
(declare-fun allowAvoidSpec_pre_44_19 () Int)
(declare-fun allowAvoidSpec_44_19 () Int)
(declare-fun allowDepend_pre_49_19 () Int)
(declare-fun allowDepend_49_19 () Int)
(declare-fun elementType_pre_15_65_27 () Int)
(declare-fun elementType_15_65_27 () Int)
(declare-fun argumentFileNames_pre_56_25 () Int)
(declare-fun loaded_pre_160_18 () Int)
(declare-fun loaded_160_18 () Int)
(declare-fun owner_pre_7_35_28 () Int)
(declare-fun owner_7_35_28 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun this () Int)
(declare-fun justLoaded_183_39 () Int)
(declare-fun tmp0_loaded_184_1 () Int)
(declare-fun elementCount_184_8_13_642_17 () Int)
(declare-fun after_184_8_184_8_13_642_17 () Int)
(declare-fun EC_184_8_184_8 () Int)
(declare-fun ecReturn () Int)
(assert (let ((?v_2 (not (= justLoaded_183_39 null))) (?v_3 (= tmp0_loaded_184_1 (S_select loaded_160_18 this))) (?v_0 (not (= tmp0_loaded_184_1 null))) (?v_1 (= (PO_LT (typeof justLoaded_183_39) (S_select elementType_15_65_27 tmp0_loaded_184_1)) true_term)) (?v_4 (= EC_184_8_184_8 ecReturn))) (not (=> true (=> (and (= elementCount_pre_13_90_35 elementCount_13_90_35) (= elementCount_13_90_35 (asField elementCount_13_90_35 T_int)) (= avoidSpec_pre_28_185_26 avoidSpec_28_185_26) (= true_term (is avoidSpec_28_185_26 T_boolean)) (= usageError_pre_6_43_28 usageError_6_43_28) (= true_term (is usageError_6_43_28 T_int)) (= avoidSpec_pre_106_20 avoidSpec_106_20) (= avoidSpec_106_20 (asField avoidSpec_106_20 T_boolean)) (= containsNull_pre_15_70_29 containsNull_15_70_29) (= containsNull_15_70_29 (asField containsNull_15_70_29 T_boolean)) (= count_pre_34_67_33 count_34_67_33) (= count_34_67_33 (asField count_34_67_33 T_int)) (= elementData_pre_13_79_35 elementData_13_79_35) (= elementData_13_79_35 (asField elementData_13_79_35 (array T_java_lang_Object))) (< (fClosedTime elementData_13_79_35) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select elementData_13_79_35 ?s) null)))) (= elements_pre_34_61_37 elements_34_61_37) (= elements_34_61_37 (asField elements_34_61_37 (array T_javafe_ast_TypeDecl))) (< (fClosedTime elements_34_61_37) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select elements_34_61_37 ?s_1_) null)))) (= processRecursively_pre_115_19 processRecursively_115_19) (= processRecursively_115_19 (asField processRecursively_115_19 T_boolean)) (= err_pre_19_97_50 err_19_97_50) (= true_term (is err_19_97_50 T_java_io_PrintStream)) (= true_term (isAllocated err_19_97_50 alloc)) (not (= err_19_97_50 null)) (= elems_pre_26_27_35 elems_26_27_35) (= elems_26_27_35 (asField elems_26_27_35 T_javafe_ast_TypeDeclVec)) (< (fClosedTime elems_26_27_35) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select elems_26_27_35 ?s_2_) null)))) (= allowAvoidSpec_pre_44_19 allowAvoidSpec_44_19) (= allowAvoidSpec_44_19 (asField allowAvoidSpec_44_19 T_boolean)) (= allowDepend_pre_49_19 allowDepend_49_19) (= allowDepend_49_19 (asField allowDepend_49_19 T_boolean)) (= elementType_pre_15_65_27 elementType_15_65_27) (= elementType_15_65_27 (asField elementType_15_65_27 T__TYPE)) (= argumentFileNames_pre_56_25 argumentFileNames_56_25) (= argumentFileNames_56_25 (asField argumentFileNames_56_25 T_java_util_Vector)) (< (fClosedTime argumentFileNames_56_25) alloc) (= loaded_pre_160_18 loaded_160_18) (= loaded_160_18 (asField loaded_160_18 T_java_util_Vector)) (< (fClosedTime loaded_160_18) alloc) (= owner_pre_7_35_28 owner_7_35_28) (= owner_7_35_28 (asField owner_7_35_28 T_java_lang_Object)) (< (fClosedTime owner_7_35_28) alloc) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is this T_javafe_SrcTool)) (= true_term (isAllocated this alloc)) (not (= this null)) (= true_term (is justLoaded_183_39 T_javafe_ast_CompilationUnit)) (= true_term (isAllocated justLoaded_183_39 alloc)) ?v_2 (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_java_util_Vector)) (not (= ?brokenObj null))) (forall ((?v_13_76_34 Int)) (let ((?v_5 (= ?v_13_76_34 null))) (=> (and (= true_term (is ?v_13_76_34 T_java_util_Vector)) (= true_term (isAllocated ?v_13_76_34 alloc)) (not ?v_5)) (or ?v_5 (= ?v_13_76_34 ?brokenObj) (not (= (S_select elementData_13_79_35 ?v_13_76_34) (S_select elementData_13_79_35 ?brokenObj))))))))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_java_util_Vector)) (not (= ?brokenObj_1_ null))) (forall ((?i_13_70_31 Int)) (let ((?v_6 (S_select (S_select elems (S_select elementData_13_79_35 ?brokenObj_1_)) ?i_13_70_31))) (=> (and (<= 0 ?i_13_70_31) (< ?i_13_70_31 (S_select elementCount_13_90_35 ?brokenObj_1_))) (or (= (PO_LT (typeof ?v_6) (S_select elementType_15_65_27 ?brokenObj_1_)) true_term) (= ?v_6 null))))))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_java_util_Vector)) (not (= ?brokenObj_2_ null))) (= (typeof (S_select elementData_13_79_35 ?brokenObj_2_)) (array T_java_lang_Object)))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_SrcTool)) (not (= ?brokenObj_3_ null))) (= (S_select elementType_15_65_27 (S_select loaded_160_18 ?brokenObj_3_)) T_javafe_ast_CompilationUnit))) (forall ((?brokenObj_4_ Int)) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_SrcTool)) (not (= ?brokenObj_4_ null))) (= (S_select owner_7_35_28 (S_select argumentFileNames_56_25 ?brokenObj_4_)) ?brokenObj_4_))) (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_SrcTool)) (not (= ?brokenObj_5_ null))) (not (= true_term (S_select containsNull_15_70_29 (S_select argumentFileNames_56_25 ?brokenObj_5_)))))) (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_javafe_SrcTool)) (not (= ?brokenObj_6_ null))) (= (S_select elementType_15_65_27 (S_select argumentFileNames_56_25 ?brokenObj_6_)) T_java_lang_String))) (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_java_util_Vector)) (not (= ?brokenObj_7_ null))) (<= 0 (S_select elementCount_13_90_35 ?brokenObj_7_)))) (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_java_util_Vector)) (not (= ?brokenObj_8_ null))) (<= (S_select elementCount_13_90_35 ?brokenObj_8_) (arrayLength (S_select elementData_13_79_35 ?brokenObj_8_))))) (forall ((?brokenObj_9_ Int)) (=> (and (= true_term (is ?brokenObj_9_ T_javafe_SrcTool)) (not (= ?brokenObj_9_ null))) (not (= true_term (S_select containsNull_15_70_29 (S_select loaded_160_18 ?brokenObj_9_)))))) (forall ((?brokenObj_10_ Int)) (=> (and (= true_term (is ?brokenObj_10_ T_javafe_SrcTool)) (not (= ?brokenObj_10_ null))) (not (= (S_select loaded_160_18 ?brokenObj_10_) null)))) (forall ((?brokenObj_11_ Int)) (=> (and (= true_term (is ?brokenObj_11_ T_javafe_SrcTool)) (not (= ?brokenObj_11_ null))) (not (= (S_select loaded_160_18 ?brokenObj_11_) (S_select argumentFileNames_56_25 ?brokenObj_11_))))) (forall ((?brokenObj_12_ Int)) (=> (and (= true_term (is ?brokenObj_12_ T_javafe_SrcTool)) (not (= ?brokenObj_12_ null))) (= (S_select owner_7_35_28 (S_select loaded_160_18 ?brokenObj_12_)) ?brokenObj_12_))) (forall ((?brokenObj_13_ Int)) (=> (and (= true_term (is ?brokenObj_13_ T_java_util_Vector)) (not (= ?brokenObj_13_ null))) (forall ((?i_13_73_31 Int)) (=> (and (<= 0 ?i_13_73_31) (< ?i_13_73_31 (S_select elementCount_13_90_35 ?brokenObj_13_)) (not (= true_term (S_select containsNull_15_70_29 ?brokenObj_13_)))) (not (= (S_select (S_select elems (S_select elementData_13_79_35 ?brokenObj_13_)) ?i_13_73_31) null)))))) (or (and ?v_3 (or (not ?v_0) (and ?v_0 (or (not ?v_1) (and ?v_1 (not (or (= true_term (S_select containsNull_15_70_29 tmp0_loaded_184_1)) ?v_2))))))) (and ?v_3 ?v_0 ?v_1 (= elementCount_184_8_13_642_17 (S_store elementCount_13_90_35 tmp0_loaded_184_1 after_184_8_184_8_13_642_17)) (= elementCount_184_8_13_642_17 (asField elementCount_184_8_13_642_17 T_int)) ?v_4 (=> ?v_4 (= (S_select elementCount_184_8_13_642_17 tmp0_loaded_184_1) (+ (S_select elementCount_13_90_35 tmp0_loaded_184_1) 1))) (forall ((?brokenObj_14_ Int)) (=> (and (= true_term (is ?brokenObj_14_ T_java_util_Vector)) (not (= ?brokenObj_14_ null)) (forall ((?i_13_70_31 Int)) (let ((?v_7 (S_select (S_select elems (S_select elementData_13_79_35 ?brokenObj_14_)) ?i_13_70_31))) (=> (and (<= 0 ?i_13_70_31) (< ?i_13_70_31 (S_select elementCount_13_90_35 ?brokenObj_14_))) (or (= (PO_LT (typeof ?v_7) (S_select elementType_15_65_27 ?brokenObj_14_)) true_term) (= ?v_7 null)))))) (forall ((?i_13_70_31 Int)) (let ((?v_8 (S_select (S_select elems (S_select elementData_13_79_35 ?brokenObj_14_)) ?i_13_70_31))) (=> (and (<= 0 ?i_13_70_31) (< ?i_13_70_31 (S_select elementCount_184_8_13_642_17 ?brokenObj_14_))) (or (= (PO_LT (typeof ?v_8) (S_select elementType_15_65_27 ?brokenObj_14_)) true_term) (= ?v_8 null))))))) (forall ((?brokenObj_15_ Int)) (=> (and (= true_term (is ?brokenObj_15_ T_java_util_Vector)) (not (= ?brokenObj_15_ null)) (<= 0 (S_select elementCount_13_90_35 ?brokenObj_15_))) (<= 0 (S_select elementCount_184_8_13_642_17 ?brokenObj_15_)))) (forall ((?brokenObj_16_ Int)) (let ((?v_9 (arrayLength (S_select elementData_13_79_35 ?brokenObj_16_)))) (=> (and (= true_term (is ?brokenObj_16_ T_java_util_Vector)) (not (= ?brokenObj_16_ null)) (<= (S_select elementCount_13_90_35 ?brokenObj_16_) ?v_9)) (<= (S_select elementCount_184_8_13_642_17 ?brokenObj_16_) ?v_9)))) (forall ((?brokenObj_17_ Int)) (=> (and (= true_term (is ?brokenObj_17_ T_java_util_Vector)) (not (= ?brokenObj_17_ null)) (forall ((?i_13_73_31 Int)) (=> (and (<= 0 ?i_13_73_31) (< ?i_13_73_31 (S_select elementCount_13_90_35 ?brokenObj_17_)) (not (= true_term (S_select containsNull_15_70_29 ?brokenObj_17_)))) (not (= (S_select (S_select elems (S_select elementData_13_79_35 ?brokenObj_17_)) ?i_13_73_31) null))))) (forall ((?i_13_73_31 Int)) (=> (and (<= 0 ?i_13_73_31) (< ?i_13_73_31 (S_select elementCount_184_8_13_642_17 ?brokenObj_17_)) (not (= true_term (S_select containsNull_15_70_29 ?brokenObj_17_)))) (not (= (S_select (S_select elems (S_select elementData_13_79_35 ?brokenObj_17_)) ?i_13_73_31) null)))))) (not (= ecReturn ecReturn)))))))))))
(check-sat)
(exit)
