(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_ast_GenericVarDecl () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_javafe_ast_Identifier () Int)
(declare-fun T_java_lang_RuntimeException () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_javafe_ast_ModifierPragmaVec () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_javafe_ast_Type () Int)
(declare-fun T_javafe_ast_ModifierPragma () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun STMTPRAGMA_25_26_26 () Int)
(declare-fun IDENT_26_25_26 () Int)
(declare-fun NULL_25_82_26 () Int)
(declare-fun FLOATLIT_26_42_26 () Int)
(declare-fun LEXICALPRAGMA_25_24_26 () Int)
(declare-fun LONGLIT_26_40_26 () Int)
(declare-fun NULL_13_60_26 () Int)
(declare-fun TYPEDECLELEMPRAGMA_25_27_26 () Int)
(declare-fun BOOLEANLIT_26_38_26 () Int)
(declare-fun LAST_KEYWORD_25_103_26 () Int)
(declare-fun DOUBLELIT_26_43_26 () Int)
(declare-fun otherCodes_25_202_27 () Int)
(declare-fun keywordStrings_25_181_30 () Int)
(declare-fun MODIFIERPRAGMA_25_25_26 () Int)
(declare-fun otherStrings_25_193_30 () Int)
(declare-fun CHARLIT_26_41_26 () Int)
(declare-fun noTokens_25_212_27 () Int)
(declare-fun punctuationStrings_25_134_22 () Int)
(declare-fun punctuationCodes_25_164_19 () Int)
(declare-fun TYPEMODIFIERPRAGMA_25_28_26 () Int)
(declare-fun INTLIT_26_39_26 () Int)
(declare-fun FIRST_KEYWORD_25_51_26 () Int)
(declare-fun STRINGLIT_26_44_26 () Int)
(assert (let ((?v_0 (array T_int)) (?v_1 (array T_java_lang_String))) (and (= (PO_LT T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_GenericVarDecl (asChild T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_Identifier T_java_lang_Object) true_term) (= T_javafe_ast_Identifier (asChild T_javafe_ast_Identifier T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_ast_Identifier) true_term) (= ?t T_javafe_ast_Identifier))) (= (PO_LT T_java_lang_RuntimeException T_java_lang_Exception) true_term) (= T_java_lang_RuntimeException (asChild T_java_lang_RuntimeException T_java_lang_Exception)) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_javafe_ast_ModifierPragmaVec T_java_lang_Object) true_term) (= T_javafe_ast_ModifierPragmaVec (asChild T_javafe_ast_ModifierPragmaVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_javafe_ast_Type T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Type (asChild T_javafe_ast_Type T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ModifierPragma (asChild T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_ast_GenericVarDecl (+ DIST_ZERO_1 10)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 11)) (= T_javafe_ast_Identifier (+ DIST_ZERO_1 12)) (= T_java_lang_RuntimeException (+ DIST_ZERO_1 13)) (= T_java_lang_Comparable (+ DIST_ZERO_1 14)) (= T_java_lang_Exception (+ DIST_ZERO_1 15)) (= T_java_lang_String (+ DIST_ZERO_1 16)) (= T_java_lang_Object (+ DIST_ZERO_1 17)) (= T_java_io_Serializable (+ DIST_ZERO_1 18)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 19)) (= T_javafe_util_Location (+ DIST_ZERO_1 20)) (= T_javafe_ast_ModifierPragmaVec (+ DIST_ZERO_1 21)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 22)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 23)) (= T_javafe_ast_Type (+ DIST_ZERO_1 24)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 25)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 26)) (= T_javafe_ast_ModifierPragma (+ DIST_ZERO_1 27)) (= T_java_lang_Throwable (+ DIST_ZERO_1 28))) (= true_term (is STMTPRAGMA_25_26_26 T_int)) (= STMTPRAGMA_25_26_26 116) (= true_term (is IDENT_26_25_26 T_int)) (= IDENT_26_25_26 93) (= true_term (is NULL_25_82_26 T_int)) (= NULL_25_82_26 163) (= true_term (is FLOATLIT_26_42_26 T_int)) (= FLOATLIT_26_42_26 108) (= true_term (is LEXICALPRAGMA_25_24_26 T_int)) (= LEXICALPRAGMA_25_24_26 114) (= true_term (is LONGLIT_26_40_26 T_int)) (= LONGLIT_26_40_26 106) (= true_term (is NULL_13_60_26 T_int)) (= NULL_13_60_26 0) (= true_term (is TYPEDECLELEMPRAGMA_25_27_26 T_int)) (= TYPEDECLELEMPRAGMA_25_27_26 117) (= true_term (is BOOLEANLIT_26_38_26 T_int)) (= BOOLEANLIT_26_38_26 104) (= true_term (is LAST_KEYWORD_25_103_26 T_int)) (= LAST_KEYWORD_25_103_26 183) (= true_term (is DOUBLELIT_26_43_26 T_int)) (= DOUBLELIT_26_43_26 109) (= true_term (is otherCodes_25_202_27 ?v_0)) (not (= otherCodes_25_202_27 null)) (= (typeof otherCodes_25_202_27) ?v_0) (= (arrayLength otherCodes_25_202_27) 15) (= true_term (is keywordStrings_25_181_30 ?v_1)) (not (= keywordStrings_25_181_30 null)) (= (typeof keywordStrings_25_181_30) ?v_1) (= (arrayLength keywordStrings_25_181_30) 51) (= true_term (is MODIFIERPRAGMA_25_25_26 T_int)) (= MODIFIERPRAGMA_25_25_26 115) (= true_term (is otherStrings_25_193_30 ?v_1)) (not (= otherStrings_25_193_30 null)) (= (typeof otherStrings_25_193_30) ?v_1) (= (arrayLength otherStrings_25_193_30) 15) (= true_term (is CHARLIT_26_41_26 T_int)) (= CHARLIT_26_41_26 107) (= true_term (is noTokens_25_212_27 T_int)) (= true_term (is punctuationStrings_25_134_22 ?v_1)) (not (= punctuationStrings_25_134_22 null)) (= (typeof punctuationStrings_25_134_22) ?v_1) (= (arrayLength punctuationStrings_25_134_22) 48) (= true_term (is punctuationCodes_25_164_19 ?v_0)) (not (= punctuationCodes_25_164_19 null)) (= (typeof punctuationCodes_25_164_19) ?v_0) (= (arrayLength punctuationCodes_25_164_19) 48) (= true_term (is TYPEMODIFIERPRAGMA_25_28_26 T_int)) (= TYPEMODIFIERPRAGMA_25_28_26 118) (= true_term (is INTLIT_26_39_26 T_int)) (= INTLIT_26_39_26 105) (= true_term (is FIRST_KEYWORD_25_51_26 T_int)) (= FIRST_KEYWORD_25_51_26 133) (= true_term (is STRINGLIT_26_44_26 T_int)) (= STRINGLIT_26_44_26 110))))
(declare-fun ecReturn () Int)
(declare-fun L_58_8 () Int)
(declare-fun ecThrow () Int)
(declare-fun pmodifiers_pre_30_27 () Int)
(declare-fun pmodifiers_30_27 () Int)
(declare-fun STMTPRAGMA_pre_25_26_26 () Int)
(declare-fun count_pre_14_67_33 () Int)
(declare-fun count_14_67_33 () Int)
(declare-fun IDENT_pre_26_25_26 () Int)
(declare-fun locId_pre_38_13 () Int)
(declare-fun locId_38_13 () Int)
(declare-fun NULL_pre_25_82_26 () Int)
(declare-fun FLOATLIT_pre_26_42_26 () Int)
(declare-fun type_pre_35_28 () Int)
(declare-fun type_35_28 () Int)
(declare-fun elements_pre_14_61_43 () Int)
(declare-fun elements_14_61_43 () Int)
(declare-fun LEXICALPRAGMA_pre_25_24_26 () Int)
(declare-fun LONGLIT_pre_26_40_26 () Int)
(declare-fun owner_pre_7_35_28 () Int)
(declare-fun owner_7_35_28 () Int)
(declare-fun NULL_pre_13_60_26 () Int)
(declare-fun TYPEDECLELEMPRAGMA_pre_25_27_26 () Int)
(declare-fun id_pre_32_34 () Int)
(declare-fun id_32_34 () Int)
(declare-fun I_will_establish_invariants_afterwards_pre_4_236_34 () Int)
(declare-fun I_will_establish_invariants_afterwards_4_236_34 () Int)
(declare-fun BOOLEANLIT_pre_26_38_26 () Int)
(declare-fun LAST_KEYWORD_pre_25_103_26 () Int)
(declare-fun DOUBLELIT_pre_26_43_26 () Int)
(declare-fun otherCodes_pre_25_202_27 () Int)
(declare-fun keywordStrings_pre_25_181_30 () Int)
(declare-fun syntax_pre_12_28_29 () Int)
(declare-fun syntax_12_28_29 () Int)
(declare-fun MODIFIERPRAGMA_pre_25_25_26 () Int)
(declare-fun tokenType_pre_16_90_8 () Int)
(declare-fun tokenType_16_90_8 () Int)
(declare-fun otherStrings_pre_25_193_30 () Int)
(declare-fun CHARLIT_pre_26_41_26 () Int)
(declare-fun noTokens_pre_25_212_27 () Int)
(declare-fun punctuationStrings_pre_25_134_22 () Int)
(declare-fun modifiers_pre_28_13 () Int)
(declare-fun modifiers_28_13 () Int)
(declare-fun punctuationCodes_pre_25_164_19 () Int)
(declare-fun TYPEMODIFIERPRAGMA_pre_25_28_26 () Int)
(declare-fun INTLIT_pre_26_39_26 () Int)
(declare-fun FIRST_KEYWORD_pre_25_51_26 () Int)
(declare-fun STRINGLIT_pre_26_44_26 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun this () Int)
(declare-fun EC_56_11_56_11 () Int)
(declare-fun i_loopold_58_16 () Int)
(declare-fun EC_loopold () Int)
(declare-fun this_58_43_58_8_0_58_43 () Int)
(declare-fun RES_58_8_0_58_43_58_43 () Int)
(declare-fun EC_58_8_0_58_43_58_43 () Int)
(declare-fun tmp1_pmodifiers_58_8_0_59_11 () Int)
(declare-fun RES_58_8_0_59_27_59_27 () Int)
(declare-fun EC_58_8_0_59_27_59_27 () Int)
(declare-fun EC_58_8_0_59_40_59_40 () Int)
(declare-fun i_58_8_0_58_51 () Int)
(declare-fun RES () Int)
(declare-fun XRES () Int)
(declare-fun XRES_58_8_0_58_43_58_43 () Int)
(declare-fun this_58_43_58_8_1_58_43 () Int)
(declare-fun RES_58_8_1_58_43_58_43 () Int)
(declare-fun EC_58_8_1_58_43_58_43 () Int)
(declare-fun XRES_58_8_1_58_43_58_43 () Int)
(declare-fun RES_1_ () Int)
(declare-fun EC () Int)
(declare-fun XRES_1_ () Int)
(declare-fun RES_2_ () Int)
(declare-fun EC_1_ () Int)
(declare-fun XRES_2_ () Int)
(declare-fun RES_56_11_56_11 () Int)
(declare-fun XRES_56_11_56_11 () Int)
(declare-fun after_60_32_60_32 () Int)
(declare-fun RES_60_32_60_32 () Int)
(declare-fun EC_60_32_60_32 () Int)
(declare-fun this_61_15_61_15 () Int)
(declare-fun EC_61_15_61_15 () Int)
(declare-fun EC_56_11 () Int)
(declare-fun EC_56_11_1_ () Int)
(assert (let ((?v_1 (array T_int)) (?v_0 (array T_java_lang_String)) (?v_2 (arrayLength keywordStrings_25_181_30)) (?v_4 (arrayLength otherStrings_25_193_30)) (?v_5 (arrayLength punctuationStrings_25_134_22)) (?v_3 (S_select owner_7_35_28 punctuationCodes_25_164_19)) (?v_28 (= EC_56_11_56_11 ecReturn)) (?v_8 (S_select pmodifiers_30_27 this))) (let ((?v_7 (not (= ?v_8 null))) (?v_6 (= true_term true_term)) (?v_22 (= 0 i_loopold_58_16)) (?v_23 (= EC_56_11_56_11 EC_loopold))) (let ((?v_21 (not ?v_7)) (?v_13 (= this_58_43_58_8_0_58_43 ?v_8)) (?v_14 (= true_term (is RES_58_8_0_58_43_58_43 T_int))) (?v_9 (= EC_58_8_0_58_43_58_43 ecReturn))) (let ((?v_15 (=> ?v_9 (= RES_58_8_0_58_43_58_43 (S_select count_14_67_33 this_58_43_58_8_0_58_43)))) (?v_16 (< 0 RES_58_8_0_58_43_58_43)) (?v_17 (= tmp1_pmodifiers_58_8_0_59_11 ?v_8)) (?v_10 (not (= tmp1_pmodifiers_58_8_0_59_11 null))) (?v_18 (= true_term (is RES_58_8_0_59_27_59_27 T_javafe_ast_ModifierPragma))) (?v_19 (= true_term (isAllocated RES_58_8_0_59_27_59_27 alloc))) (?v_11 (= EC_58_8_0_59_27_59_27 ecReturn)) (?v_12 (not (= RES_58_8_0_59_27_59_27 null)))) (let ((?v_20 (=> ?v_11 ?v_12)) (?v_24 (= EC_58_8_0_59_40_59_40 ecReturn)) (?v_25 (= i_58_8_0_58_51 (+ 0 1))) (?v_26 (= EC_58_8_1_58_43_58_43 ecReturn))) (let ((?v_31 (or (and ?v_6 ?v_7 ?v_13 ?v_14 ?v_9 ?v_15 (not ?v_16) (= RES RES_58_8_0_58_43_58_43) (= XRES XRES_58_8_0_58_43_58_43)) (and ?v_6 ?v_7 ?v_13 ?v_14 ?v_9 ?v_15 ?v_16 ?v_17 ?v_10 ?v_18 ?v_19 ?v_11 ?v_20 ?v_12 ?v_24 ?v_25 ?v_6 ?v_7 (= this_58_43_58_8_1_58_43 ?v_8) (= true_term (is RES_58_8_1_58_43_58_43 T_int)) ?v_26 (=> ?v_26 (= RES_58_8_1_58_43_58_43 (S_select count_14_67_33 this_58_43_58_8_1_58_43))) (not (< i_58_8_0_58_51 RES_58_8_1_58_43_58_43)) (= RES RES_58_8_1_58_43_58_43) (= XRES XRES_58_8_1_58_43_58_43)))) (?v_32 (= L_58_8 L_58_8))) (let ((?v_29 (or (and ?v_7 ?v_6 ?v_22 ?v_23 ?v_31 ?v_32 (= RES_1_ RES) (= EC L_58_8) (= XRES_1_ XRES) (= RES_2_ RES_1_) (= EC_1_ EC) (= XRES_2_ XRES_1_)) (and ?v_21 ?v_6 (= RES_2_ RES_56_11_56_11) (= EC_1_ EC_56_11_56_11) (= XRES_2_ XRES_56_11_56_11)))) (?v_30 (= (S_select id_32_34 this) null)) (?v_33 (< alloc after_60_32_60_32)) (?v_27 (not (= RES_60_32_60_32 null))) (?v_34 (not (= true_term (isAllocated RES_60_32_60_32 alloc)))) (?v_35 (= true_term (is RES_60_32_60_32 T_java_lang_RuntimeException))) (?v_36 (= true_term (isAllocated RES_60_32_60_32 after_60_32_60_32))) (?v_37 (= EC_60_32_60_32 ecReturn)) (?v_38 (= (S_select owner_7_35_28 RES_60_32_60_32) null)) (?v_39 (= (typeof RES_60_32_60_32) T_java_lang_RuntimeException)) (?v_40 (= EC_56_11 ecReturn))) (not (=> (distinct ecReturn L_58_8 ecThrow) (=> (and (= pmodifiers_pre_30_27 pmodifiers_30_27) (= pmodifiers_30_27 (asField pmodifiers_30_27 T_javafe_ast_ModifierPragmaVec)) (< (fClosedTime pmodifiers_30_27) alloc) (= STMTPRAGMA_pre_25_26_26 STMTPRAGMA_25_26_26) (= true_term (is STMTPRAGMA_25_26_26 T_int)) (= count_pre_14_67_33 count_14_67_33) (= count_14_67_33 (asField count_14_67_33 T_int)) (= IDENT_pre_26_25_26 IDENT_26_25_26) (= true_term (is IDENT_26_25_26 T_int)) (= locId_pre_38_13 locId_38_13) (= locId_38_13 (asField locId_38_13 T_int)) (= NULL_pre_25_82_26 NULL_25_82_26) (= true_term (is NULL_25_82_26 T_int)) (= FLOATLIT_pre_26_42_26 FLOATLIT_26_42_26) (= true_term (is FLOATLIT_26_42_26 T_int)) (= type_pre_35_28 type_35_28) (= type_35_28 (asField type_35_28 T_javafe_ast_Type)) (< (fClosedTime type_35_28) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select type_35_28 ?s) null)))) (= elements_pre_14_61_43 elements_14_61_43) (= elements_14_61_43 (asField elements_14_61_43 (array T_javafe_ast_ModifierPragma))) (< (fClosedTime elements_14_61_43) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select elements_14_61_43 ?s_1_) null)))) (= LEXICALPRAGMA_pre_25_24_26 LEXICALPRAGMA_25_24_26) (= true_term (is LEXICALPRAGMA_25_24_26 T_int)) (= LONGLIT_pre_26_40_26 LONGLIT_26_40_26) (= true_term (is LONGLIT_26_40_26 T_int)) (= owner_pre_7_35_28 owner_7_35_28) (= owner_7_35_28 (asField owner_7_35_28 T_java_lang_Object)) (< (fClosedTime owner_7_35_28) alloc) (= NULL_pre_13_60_26 NULL_13_60_26) (= true_term (is NULL_13_60_26 T_int)) (= TYPEDECLELEMPRAGMA_pre_25_27_26 TYPEDECLELEMPRAGMA_25_27_26) (= true_term (is TYPEDECLELEMPRAGMA_25_27_26 T_int)) (= id_pre_32_34 id_32_34) (= id_32_34 (asField id_32_34 T_javafe_ast_Identifier)) (< (fClosedTime id_32_34) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select id_32_34 ?s_2_) null)))) (= I_will_establish_invariants_afterwards_pre_4_236_34 I_will_establish_invariants_afterwards_4_236_34) (= true_term (is I_will_establish_invariants_afterwards_4_236_34 T_boolean)) (= BOOLEANLIT_pre_26_38_26 BOOLEANLIT_26_38_26) (= true_term (is BOOLEANLIT_26_38_26 T_int)) (= LAST_KEYWORD_pre_25_103_26 LAST_KEYWORD_25_103_26) (= true_term (is LAST_KEYWORD_25_103_26 T_int)) (= DOUBLELIT_pre_26_43_26 DOUBLELIT_26_43_26) (= true_term (is DOUBLELIT_26_43_26 T_int)) (= otherCodes_pre_25_202_27 otherCodes_25_202_27) (= true_term (is otherCodes_25_202_27 ?v_1)) (= true_term (isAllocated otherCodes_25_202_27 alloc)) (= keywordStrings_pre_25_181_30 keywordStrings_25_181_30) (= true_term (is keywordStrings_25_181_30 ?v_0)) (= true_term (isAllocated keywordStrings_25_181_30 alloc)) (= syntax_pre_12_28_29 syntax_12_28_29) (= syntax_12_28_29 (asField syntax_12_28_29 T_boolean)) (= MODIFIERPRAGMA_pre_25_25_26 MODIFIERPRAGMA_25_25_26) (= true_term (is MODIFIERPRAGMA_25_25_26 T_int)) (= tokenType_pre_16_90_8 tokenType_16_90_8) (= tokenType_16_90_8 (asField tokenType_16_90_8 T_int)) (= otherStrings_pre_25_193_30 otherStrings_25_193_30) (= true_term (is otherStrings_25_193_30 ?v_0)) (= true_term (isAllocated otherStrings_25_193_30 alloc)) (= CHARLIT_pre_26_41_26 CHARLIT_26_41_26) (= true_term (is CHARLIT_26_41_26 T_int)) (= noTokens_pre_25_212_27 noTokens_25_212_27) (= true_term (is noTokens_25_212_27 T_int)) (= punctuationStrings_pre_25_134_22 punctuationStrings_25_134_22) (= true_term (is punctuationStrings_25_134_22 ?v_0)) (= true_term (isAllocated punctuationStrings_25_134_22 alloc)) (= modifiers_pre_28_13 modifiers_28_13) (= modifiers_28_13 (asField modifiers_28_13 T_int)) (= punctuationCodes_pre_25_164_19 punctuationCodes_25_164_19) (= true_term (is punctuationCodes_25_164_19 ?v_1)) (= true_term (isAllocated punctuationCodes_25_164_19 alloc)) (= TYPEMODIFIERPRAGMA_pre_25_28_26 TYPEMODIFIERPRAGMA_25_28_26) (= true_term (is TYPEMODIFIERPRAGMA_25_28_26 T_int)) (= INTLIT_pre_26_39_26 INTLIT_26_39_26) (= true_term (is INTLIT_26_39_26 T_int)) (= FIRST_KEYWORD_pre_25_51_26 FIRST_KEYWORD_25_51_26) (= true_term (is FIRST_KEYWORD_25_51_26 T_int)) (= STRINGLIT_pre_26_44_26 STRINGLIT_26_44_26) (= true_term (is STRINGLIT_26_44_26 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is this T_javafe_ast_GenericVarDecl)) (= true_term (isAllocated this alloc)) (not (= this null)) (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_ast_ModifierPragmaVec)) (not (= ?brokenObj null))) (forall ((?i_14_62_31 Int)) (=> (and (<= 0 ?i_14_62_31) (< ?i_14_62_31 (S_select count_14_67_33 ?brokenObj))) (not (= (S_select (S_select elems (S_select elements_14_61_43 ?brokenObj)) ?i_14_62_31) null)))))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_ast_ModifierPragmaVec)) (not (= ?brokenObj_1_ null))) (<= (S_select count_14_67_33 ?brokenObj_1_) (arrayLength (S_select elements_14_61_43 ?brokenObj_1_))))) (forall ((?brokenObj_2_ Int)) (let ((?v_41 (S_select tokenType_16_90_8 ?brokenObj_2_))) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_ast_Identifier)) (not (= ?brokenObj_2_ null))) (and (not (= ?v_41 BOOLEANLIT_26_38_26)) (not (= ?v_41 INTLIT_26_39_26)) (not (= ?v_41 LONGLIT_26_40_26)) (not (= ?v_41 FLOATLIT_26_42_26)) (not (= ?v_41 DOUBLELIT_26_43_26)) (not (= ?v_41 STRINGLIT_26_44_26)) (not (= ?v_41 CHARLIT_26_41_26)) (not (= ?v_41 LEXICALPRAGMA_25_24_26)) (not (= ?v_41 MODIFIERPRAGMA_25_25_26)) (not (= ?v_41 STMTPRAGMA_25_26_26)) (not (= ?v_41 TYPEDECLELEMPRAGMA_25_27_26)) (not (= ?v_41 TYPEMODIFIERPRAGMA_25_28_26)))))) (= noTokens_25_212_27 (+ (+ ?v_2 ?v_5) ?v_4)) (= ?v_2 (- (+ 1 LAST_KEYWORD_25_103_26) FIRST_KEYWORD_25_51_26)) (= true_term (is ?v_3 T_javafe_parser_TagConstants)) (not (= ?v_3 null)) (= true_term (nonnullelements punctuationStrings_25_134_22 elems)) (forall ((?i_25_149_29 Int)) (let ((?v_42 (S_select (S_select elems punctuationCodes_25_164_19) ?i_25_149_29))) (=> (and (<= 0 ?i_25_149_29) (<= ?i_25_149_29 (arrayLength punctuationCodes_25_164_19))) (and (not (= ?v_42 IDENT_26_25_26)) (not (= ?v_42 BOOLEANLIT_26_38_26)) (not (= ?v_42 INTLIT_26_39_26)) (not (= ?v_42 LONGLIT_26_40_26)) (not (= ?v_42 FLOATLIT_26_42_26)) (not (= ?v_42 DOUBLELIT_26_43_26)) (not (= ?v_42 STRINGLIT_26_44_26)) (not (= ?v_42 CHARLIT_26_41_26)) (not (= ?v_42 LEXICALPRAGMA_25_24_26)) (not (= ?v_42 MODIFIERPRAGMA_25_25_26)) (not (= ?v_42 STMTPRAGMA_25_26_26)) (not (= ?v_42 TYPEDECLELEMPRAGMA_25_27_26)) (not (= ?v_42 TYPEMODIFIERPRAGMA_25_28_26)))))) (= true_term (nonnullelements otherStrings_25_193_30 elems)) (forall ((?i_25_147_29 Int)) (=> (and (<= 0 ?i_25_147_29) (<= ?i_25_147_29 (arrayLength punctuationCodes_25_164_19))) (not (= (S_select (S_select elems punctuationCodes_25_164_19) ?i_25_147_29) NULL_25_82_26)))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_ast_ModifierPragmaVec)) (not (= ?brokenObj_3_ null))) (= (typeof (S_select elements_14_61_43 ?brokenObj_3_)) (array T_javafe_ast_ModifierPragma)))) (= true_term (nonnullelements keywordStrings_25_181_30 elems)) (= (arrayLength otherCodes_25_202_27) ?v_4) (forall ((?brokenObj_4_ Int)) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_ast_ModifierPragmaVec)) (not (= ?brokenObj_4_ null))) (= (S_select owner_7_35_28 (S_select elements_14_61_43 ?brokenObj_4_)) ?brokenObj_4_))) (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_ast_GenericVarDecl)) (not (= ?brokenObj_5_ null))) (= true_term (S_select syntax_12_28_29 (S_select type_35_28 ?brokenObj_5_))))) (= (arrayLength punctuationCodes_25_164_19) ?v_5) (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_javafe_ast_ModifierPragmaVec)) (not (= ?brokenObj_6_ null))) (<= 0 (S_select count_14_67_33 ?brokenObj_6_)))) (or (and ?v_28 (or (and ?v_7 ?v_6 ?v_22 ?v_23 (or (and ?v_6 (or ?v_21 (and ?v_7 ?v_13 ?v_14 ?v_9 ?v_15 ?v_16 ?v_17 (or (not ?v_10) (and ?v_10 (or (not (and (<= 0 0) (< 0 (S_select count_14_67_33 tmp1_pmodifiers_58_8_0_59_11)))) (and ?v_18 ?v_19 ?v_11 ?v_20 (not ?v_12)))))))) (and ?v_6 ?v_7 ?v_13 ?v_14 ?v_9 ?v_15 ?v_16 ?v_17 ?v_10 ?v_18 ?v_19 ?v_11 ?v_20 ?v_12 ?v_24 ?v_25 ?v_6 ?v_21))) (and ?v_29 ?v_30 ?v_6 ?v_33 ?v_27 ?v_34 ?v_35 ?v_36 ?v_37 ?v_38 ?v_39 (not ?v_27)))) (and (or (and ?v_28 ?v_29 (not ?v_30) ?v_6 (= this_61_15_61_15 (S_select type_35_28 this)) (= EC_61_15_61_15 ecReturn) ?v_40) (and ?v_28 (or (and ?v_7 ?v_6 ?v_22 ?v_23 ?v_31 (not ?v_32) (= EC_56_11_1_ L_58_8)) (and ?v_29 ?v_30 ?v_6 ?v_33 ?v_27 ?v_34 ?v_35 ?v_36 ?v_37 ?v_38 ?v_39 ?v_27 ?v_6 (= EC_56_11_1_ ecThrow))) (= EC_56_11 EC_56_11_1_))) (not ?v_40))))))))))))))))
(check-sat)
(exit)
