(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_util_Assert () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_javafe_ast_IdentifierVec () Int)
(declare-fun T_javafe_ast_Type () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_javafe_ast_Identifier () Int)
(declare-fun T_javafe_ast_Name () Int)
(declare-fun T_javafe_ast_SimpleName () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_javafe_ast_CompoundName () Int)
(declare-fun T_java_lang_Math () Int)
(declare-fun T_javafe_filespace_StringUtil () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun DOUBLELIT_31_43_26 () Int)
(declare-fun NULL_14_60_26 () Int)
(declare-fun LAST_KEYWORD_30_103_26 () Int)
(declare-fun punctuationCodes_30_164_19 () Int)
(declare-fun STMTPRAGMA_30_26_26 () Int)
(declare-fun INTLIT_31_39_26 () Int)
(declare-fun FIRST_KEYWORD_30_51_26 () Int)
(declare-fun FLOATLIT_31_42_26 () Int)
(declare-fun MODIFIERPRAGMA_30_25_26 () Int)
(declare-fun NULL_30_82_26 () Int)
(declare-fun keywordStrings_30_181_30 () Int)
(declare-fun BOOLEANLIT_31_38_26 () Int)
(declare-fun TYPEMODIFIERPRAGMA_30_28_26 () Int)
(declare-fun otherCodes_30_202_27 () Int)
(declare-fun CHARLIT_31_41_26 () Int)
(declare-fun otherStrings_30_193_30 () Int)
(declare-fun STRINGLIT_31_44_26 () Int)
(declare-fun noTokens_30_212_27 () Int)
(declare-fun IDENT_31_25_26 () Int)
(declare-fun LEXICALPRAGMA_30_24_26 () Int)
(declare-fun TYPEDECLELEMPRAGMA_30_27_26 () Int)
(declare-fun punctuationStrings_30_134_22 () Int)
(declare-fun LONGLIT_31_40_26 () Int)
(assert (let ((?v_0 (array T_int)) (?v_1 (array T_java_lang_String))) (and (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_util_Assert T_java_lang_Object) true_term) (= T_javafe_util_Assert (asChild T_javafe_util_Assert T_java_lang_Object)) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_IdentifierVec T_java_lang_Object) true_term) (= T_javafe_ast_IdentifierVec (asChild T_javafe_ast_IdentifierVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_Type T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Type (asChild T_javafe_ast_Type T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_javafe_ast_Identifier T_java_lang_Object) true_term) (= T_javafe_ast_Identifier (asChild T_javafe_ast_Identifier T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_ast_Identifier) true_term) (= ?t T_javafe_ast_Identifier))) (= (PO_LT T_javafe_ast_Name T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Name (asChild T_javafe_ast_Name T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_SimpleName T_javafe_ast_Name) true_term) (= T_javafe_ast_SimpleName (asChild T_javafe_ast_SimpleName T_javafe_ast_Name)) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_javafe_ast_CompoundName T_javafe_ast_Name) true_term) (= T_javafe_ast_CompoundName (asChild T_javafe_ast_CompoundName T_javafe_ast_Name)) (= (PO_LT T_java_lang_Math T_java_lang_Object) true_term) (= T_java_lang_Math (asChild T_java_lang_Math T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Math) true_term) (= ?t T_java_lang_Math))) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_filespace_StringUtil T_java_lang_Object) true_term) (= T_javafe_filespace_StringUtil (asChild T_javafe_filespace_StringUtil T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_filespace_StringUtil) true_term) (= ?t T_javafe_filespace_StringUtil))) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_util_Location (+ DIST_ZERO_1 10)) (= T_java_lang_String (+ DIST_ZERO_1 11)) (= T_javafe_util_Assert (+ DIST_ZERO_1 12)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 13)) (= T_java_io_Serializable (+ DIST_ZERO_1 14)) (= T_javafe_ast_IdentifierVec (+ DIST_ZERO_1 15)) (= T_javafe_ast_Type (+ DIST_ZERO_1 16)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 17)) (= T_javafe_ast_Identifier (+ DIST_ZERO_1 18)) (= T_javafe_ast_Name (+ DIST_ZERO_1 19)) (= T_javafe_ast_SimpleName (+ DIST_ZERO_1 20)) (= T_java_lang_Comparable (+ DIST_ZERO_1 21)) (= T_java_lang_Object (+ DIST_ZERO_1 22)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 23)) (= T_javafe_ast_CompoundName (+ DIST_ZERO_1 24)) (= T_java_lang_Math (+ DIST_ZERO_1 25)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 26)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 27)) (= T_javafe_filespace_StringUtil (+ DIST_ZERO_1 28)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 29))) (= true_term (is DOUBLELIT_31_43_26 T_int)) (= DOUBLELIT_31_43_26 109) (= true_term (is NULL_14_60_26 T_int)) (= NULL_14_60_26 0) (= true_term (is LAST_KEYWORD_30_103_26 T_int)) (= LAST_KEYWORD_30_103_26 183) (= true_term (is punctuationCodes_30_164_19 ?v_0)) (not (= punctuationCodes_30_164_19 null)) (= (typeof punctuationCodes_30_164_19) ?v_0) (= (arrayLength punctuationCodes_30_164_19) 48) (= true_term (is STMTPRAGMA_30_26_26 T_int)) (= STMTPRAGMA_30_26_26 116) (= true_term (is INTLIT_31_39_26 T_int)) (= INTLIT_31_39_26 105) (= true_term (is FIRST_KEYWORD_30_51_26 T_int)) (= FIRST_KEYWORD_30_51_26 133) (= true_term (is FLOATLIT_31_42_26 T_int)) (= FLOATLIT_31_42_26 108) (= true_term (is MODIFIERPRAGMA_30_25_26 T_int)) (= MODIFIERPRAGMA_30_25_26 115) (= true_term (is NULL_30_82_26 T_int)) (= NULL_30_82_26 163) (= true_term (is keywordStrings_30_181_30 ?v_1)) (not (= keywordStrings_30_181_30 null)) (= (typeof keywordStrings_30_181_30) ?v_1) (= (arrayLength keywordStrings_30_181_30) 51) (= true_term (is BOOLEANLIT_31_38_26 T_int)) (= BOOLEANLIT_31_38_26 104) (= true_term (is TYPEMODIFIERPRAGMA_30_28_26 T_int)) (= TYPEMODIFIERPRAGMA_30_28_26 118) (= true_term (is otherCodes_30_202_27 ?v_0)) (not (= otherCodes_30_202_27 null)) (= (typeof otherCodes_30_202_27) ?v_0) (= (arrayLength otherCodes_30_202_27) 15) (= true_term (is CHARLIT_31_41_26 T_int)) (= CHARLIT_31_41_26 107) (= true_term (is otherStrings_30_193_30 ?v_1)) (not (= otherStrings_30_193_30 null)) (= (typeof otherStrings_30_193_30) ?v_1) (= (arrayLength otherStrings_30_193_30) 15) (= true_term (is STRINGLIT_31_44_26 T_int)) (= STRINGLIT_31_44_26 110) (= true_term (is noTokens_30_212_27 T_int)) (= true_term (is IDENT_31_25_26 T_int)) (= IDENT_31_25_26 93) (= true_term (is LEXICALPRAGMA_30_24_26 T_int)) (= LEXICALPRAGMA_30_24_26 114) (= true_term (is TYPEDECLELEMPRAGMA_30_27_26 T_int)) (= TYPEDECLELEMPRAGMA_30_27_26 117) (= true_term (is punctuationStrings_30_134_22 ?v_1)) (not (= punctuationStrings_30_134_22 null)) (= (typeof punctuationStrings_30_134_22) ?v_1) (= (arrayLength punctuationStrings_30_134_22) 48) (= true_term (is LONGLIT_31_40_26 T_int)) (= LONGLIT_31_40_26 106))))
(declare-fun count_pre_16_67_33 () Int)
(declare-fun count_16_67_33 () Int)
(declare-fun DOUBLELIT_pre_31_43_26 () Int)
(declare-fun NULL_pre_14_60_26 () Int)
(declare-fun tokenType_pre_13_90_8 () Int)
(declare-fun tokenType_13_90_8 () Int)
(declare-fun LAST_KEYWORD_pre_30_103_26 () Int)
(declare-fun punctuationCodes_pre_30_164_19 () Int)
(declare-fun STMTPRAGMA_pre_30_26_26 () Int)
(declare-fun ids_pre_19_19_37 () Int)
(declare-fun ids_19_19_37 () Int)
(declare-fun INTLIT_pre_31_39_26 () Int)
(declare-fun FIRST_KEYWORD_pre_30_51_26 () Int)
(declare-fun FLOATLIT_pre_31_42_26 () Int)
(declare-fun loc_pre_18_20_13 () Int)
(declare-fun loc_18_20_13 () Int)
(declare-fun elements_pre_16_61_39 () Int)
(declare-fun elements_16_61_39 () Int)
(declare-fun MODIFIERPRAGMA_pre_30_25_26 () Int)
(declare-fun emptyStringArray_pre_189_30 () Int)
(declare-fun emptyStringArray_189_30 () Int)
(declare-fun NULL_pre_30_82_26 () Int)
(declare-fun keywordStrings_pre_30_181_30 () Int)
(declare-fun locDots_pre_19_31_29 () Int)
(declare-fun locDots_19_31_29 () Int)
(declare-fun BOOLEANLIT_pre_31_38_26 () Int)
(declare-fun count_pre_12_99_33 () Int)
(declare-fun count_12_99_33 () Int)
(declare-fun TYPEMODIFIERPRAGMA_pre_30_28_26 () Int)
(declare-fun otherCodes_pre_30_202_27 () Int)
(declare-fun CHARLIT_pre_31_41_26 () Int)
(declare-fun otherStrings_pre_30_193_30 () Int)
(declare-fun STRINGLIT_pre_31_44_26 () Int)
(declare-fun noTokens_pre_30_212_27 () Int)
(declare-fun syntax_pre_22_28_29 () Int)
(declare-fun syntax_22_28_29 () Int)
(declare-fun IDENT_pre_31_25_26 () Int)
(declare-fun LEXICALPRAGMA_pre_30_24_26 () Int)
(declare-fun owner_pre_7_35_28 () Int)
(declare-fun owner_7_35_28 () Int)
(declare-fun TYPEDECLELEMPRAGMA_pre_30_27_26 () Int)
(declare-fun punctuationStrings_pre_30_134_22 () Int)
(declare-fun LONGLIT_pre_31_40_26 () Int)
(declare-fun locIds_pre_19_25_29 () Int)
(declare-fun locIds_19_25_29 () Int)
(declare-fun length_pre_50_25 () Int)
(declare-fun length_50_25 () Int)
(declare-fun I_will_establish_invariants_afterwards_pre_4_236_34 () Int)
(declare-fun I_will_establish_invariants_afterwards_4_236_34 () Int)
(declare-fun value_pre_12_91_31 () Int)
(declare-fun value_12_91_31 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun this () Int)
(declare-fun RES_179_21_179_21 () Int)
(declare-fun EC_179_21_179_21 () Int)
(declare-fun ecReturn () Int)
(declare-fun RES_180_19_180_19 () Int)
(declare-fun EC_180_19_180_19 () Int)
(declare-fun RES_180_31_180_31 () Int)
(declare-fun EC_180_31_180_31 () Int)
(declare-fun b_180_12_180_12_21_416_37 () Int)
(declare-fun RES_180_12_180_12 () Int)
(declare-fun EC_180_12_180_12 () Int)
(declare-fun RES_179_17_179_17 () Int)
(declare-fun EC_179_17_179_17 () Int)
(assert (let ((?v_1 (array T_int)) (?v_0 (array T_java_lang_String)) (?v_3 (not (= this null))) (?v_11 (= true_term (is RES_179_21_179_21 T_int))) (?v_2 (= EC_179_21_179_21 ecReturn)) (?v_4 (= true_term (is this T_javafe_ast_Type)))) (let ((?v_27 (not (and ?v_4 ?v_3))) (?v_5 (not (= RES_179_21_179_21 NULL_14_60_26)))) (let ((?v_12 (=> (and ?v_2 ?v_27) ?v_5)) (?v_29 (= true_term (S_select syntax_22_28_29 (cast this T_javafe_ast_Type))))) (let ((?v_13 (=> (and ?v_2 ?v_4 ?v_3 ?v_29) ?v_5)) (?v_14 (= true_term (is RES_180_19_180_19 T_java_lang_String))) (?v_15 (= true_term (isAllocated RES_180_19_180_19 alloc))) (?v_6 (= EC_180_19_180_19 ecReturn)) (?v_7 (not (= RES_180_19_180_19 null)))) (let ((?v_16 (=> ?v_6 ?v_7)) (?v_17 (= true_term (is RES_180_31_180_31 T_int))) (?v_8 (= EC_180_31_180_31 ecReturn))) (let ((?v_18 (=> ?v_8 (>= RES_180_31_180_31 0))) (?v_19 (=> ?v_8 (= RES_180_31_180_31 (S_select count_12_99_33 RES_180_19_180_19)))) (?v_20 (= b_180_12_180_12_21_416_37 (- RES_180_31_180_31 1))) (?v_21 (= true_term (is RES_180_12_180_12 T_int))) (?v_9 (= EC_180_12_180_12 ecReturn)) (?v_10 (>= RES_180_12_180_12 0))) (let ((?v_22 (=> ?v_9 ?v_10)) (?v_23 (=> ?v_9 (>= RES_180_12_180_12 b_180_12_180_12_21_416_37))) (?v_24 (=> ?v_9 (or (= RES_180_12_180_12 0) (= RES_180_12_180_12 b_180_12_180_12_21_416_37)))) (?v_25 (= EC_179_17_179_17 ecReturn)) (?v_28 (not (= RES_179_17_179_17 NULL_14_60_26))) (?v_26 (= ecReturn ecReturn))) (not (=> true (=> (and (= count_pre_16_67_33 count_16_67_33) (= count_16_67_33 (asField count_16_67_33 T_int)) (= DOUBLELIT_pre_31_43_26 DOUBLELIT_31_43_26) (= true_term (is DOUBLELIT_31_43_26 T_int)) (= NULL_pre_14_60_26 NULL_14_60_26) (= true_term (is NULL_14_60_26 T_int)) (= tokenType_pre_13_90_8 tokenType_13_90_8) (= tokenType_13_90_8 (asField tokenType_13_90_8 T_int)) (= LAST_KEYWORD_pre_30_103_26 LAST_KEYWORD_30_103_26) (= true_term (is LAST_KEYWORD_30_103_26 T_int)) (= punctuationCodes_pre_30_164_19 punctuationCodes_30_164_19) (= true_term (is punctuationCodes_30_164_19 ?v_1)) (= true_term (isAllocated punctuationCodes_30_164_19 alloc)) (= STMTPRAGMA_pre_30_26_26 STMTPRAGMA_30_26_26) (= true_term (is STMTPRAGMA_30_26_26 T_int)) (= ids_pre_19_19_37 ids_19_19_37) (= ids_19_19_37 (asField ids_19_19_37 T_javafe_ast_IdentifierVec)) (< (fClosedTime ids_19_19_37) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select ids_19_19_37 ?s) null)))) (= INTLIT_pre_31_39_26 INTLIT_31_39_26) (= true_term (is INTLIT_31_39_26 T_int)) (= FIRST_KEYWORD_pre_30_51_26 FIRST_KEYWORD_30_51_26) (= true_term (is FIRST_KEYWORD_30_51_26 T_int)) (= FLOATLIT_pre_31_42_26 FLOATLIT_31_42_26) (= true_term (is FLOATLIT_31_42_26 T_int)) (= loc_pre_18_20_13 loc_18_20_13) (= loc_18_20_13 (asField loc_18_20_13 T_int)) (= elements_pre_16_61_39 elements_16_61_39) (= elements_16_61_39 (asField elements_16_61_39 (array T_javafe_ast_Identifier))) (< (fClosedTime elements_16_61_39) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select elements_16_61_39 ?s_1_) null)))) (= MODIFIERPRAGMA_pre_30_25_26 MODIFIERPRAGMA_30_25_26) (= true_term (is MODIFIERPRAGMA_30_25_26 T_int)) (= emptyStringArray_pre_189_30 emptyStringArray_189_30) (= true_term (is emptyStringArray_189_30 ?v_0)) (= true_term (isAllocated emptyStringArray_189_30 alloc)) (= NULL_pre_30_82_26 NULL_30_82_26) (= true_term (is NULL_30_82_26 T_int)) (= keywordStrings_pre_30_181_30 keywordStrings_30_181_30) (= true_term (is keywordStrings_30_181_30 ?v_0)) (= true_term (isAllocated keywordStrings_30_181_30 alloc)) (= locDots_pre_19_31_29 locDots_19_31_29) (= locDots_19_31_29 (asField locDots_19_31_29 ?v_1)) (< (fClosedTime locDots_19_31_29) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select locDots_19_31_29 ?s_2_) null)))) (= BOOLEANLIT_pre_31_38_26 BOOLEANLIT_31_38_26) (= true_term (is BOOLEANLIT_31_38_26 T_int)) (= count_pre_12_99_33 count_12_99_33) (= count_12_99_33 (asField count_12_99_33 T_int)) (= TYPEMODIFIERPRAGMA_pre_30_28_26 TYPEMODIFIERPRAGMA_30_28_26) (= true_term (is TYPEMODIFIERPRAGMA_30_28_26 T_int)) (= otherCodes_pre_30_202_27 otherCodes_30_202_27) (= true_term (is otherCodes_30_202_27 ?v_1)) (= true_term (isAllocated otherCodes_30_202_27 alloc)) (= CHARLIT_pre_31_41_26 CHARLIT_31_41_26) (= true_term (is CHARLIT_31_41_26 T_int)) (= otherStrings_pre_30_193_30 otherStrings_30_193_30) (= true_term (is otherStrings_30_193_30 ?v_0)) (= true_term (isAllocated otherStrings_30_193_30 alloc)) (= STRINGLIT_pre_31_44_26 STRINGLIT_31_44_26) (= true_term (is STRINGLIT_31_44_26 T_int)) (= noTokens_pre_30_212_27 noTokens_30_212_27) (= true_term (is noTokens_30_212_27 T_int)) (= syntax_pre_22_28_29 syntax_22_28_29) (= syntax_22_28_29 (asField syntax_22_28_29 T_boolean)) (= IDENT_pre_31_25_26 IDENT_31_25_26) (= true_term (is IDENT_31_25_26 T_int)) (= LEXICALPRAGMA_pre_30_24_26 LEXICALPRAGMA_30_24_26) (= true_term (is LEXICALPRAGMA_30_24_26 T_int)) (= owner_pre_7_35_28 owner_7_35_28) (= owner_7_35_28 (asField owner_7_35_28 T_java_lang_Object)) (< (fClosedTime owner_7_35_28) alloc) (= TYPEDECLELEMPRAGMA_pre_30_27_26 TYPEDECLELEMPRAGMA_30_27_26) (= true_term (is TYPEDECLELEMPRAGMA_30_27_26 T_int)) (= punctuationStrings_pre_30_134_22 punctuationStrings_30_134_22) (= true_term (is punctuationStrings_30_134_22 ?v_0)) (= true_term (isAllocated punctuationStrings_30_134_22 alloc)) (= LONGLIT_pre_31_40_26 LONGLIT_31_40_26) (= true_term (is LONGLIT_31_40_26 T_int)) (= locIds_pre_19_25_29 locIds_19_25_29) (= locIds_19_25_29 (asField locIds_19_25_29 ?v_1)) (< (fClosedTime locIds_19_25_29) alloc) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (not (= (S_select locIds_19_25_29 ?s_3_) null)))) (= length_pre_50_25 length_50_25) (= length_50_25 (asField length_50_25 T_int)) (= I_will_establish_invariants_afterwards_pre_4_236_34 I_will_establish_invariants_afterwards_4_236_34) (= true_term (is I_will_establish_invariants_afterwards_4_236_34 T_boolean)) (= value_pre_12_91_31 value_12_91_31) (= value_12_91_31 (asField value_12_91_31 (array T_char))) (< (fClosedTime value_12_91_31) alloc) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (not (= (S_select value_12_91_31 ?s_4_) null)))) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is this T_javafe_ast_Name)) (= true_term (isAllocated this alloc)) ?v_3 (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_java_lang_String)) (not (= ?brokenObj null))) (>= (S_select count_12_99_33 ?brokenObj) 0))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_java_lang_String)) (not (= ?brokenObj_1_ null))) (<= (S_select count_12_99_33 ?brokenObj_1_) (arrayLength (S_select value_12_91_31 ?brokenObj_1_))))) (or (and ?v_11 ?v_2 ?v_12 ?v_13 ?v_14 ?v_15 ?v_6 ?v_16 (or (not ?v_7) (and ?v_7 ?v_17 ?v_8 ?v_18 ?v_19 ?v_20 ?v_21 ?v_9 ?v_22 ?v_23 ?v_24 (not ?v_10)))) (and ?v_11 ?v_2 ?v_12 ?v_13 ?v_14 ?v_15 ?v_6 ?v_16 ?v_7 ?v_17 ?v_8 ?v_18 ?v_19 ?v_20 ?v_21 ?v_9 ?v_22 ?v_23 ?v_24 ?v_10 (= true_term (is RES_179_17_179_17 T_int)) ?v_25 (=> (and ?v_25 ?v_5) ?v_28) (= true_term true_term) (or (not ?v_26) (and ?v_26 (or (not (=> (and ?v_26 ?v_27) ?v_28)) (not (=> (and ?v_26 ?v_4 ?v_3 ?v_29) ?v_28))))))))))))))))))))
(check-sat)
(exit)
