(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_ast_Util () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(assert (and (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_Util T_java_lang_Object) true_term) (= T_javafe_ast_Util (asChild T_javafe_ast_Util T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_lang_Object (+ DIST_ZERO_1 10)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 11)) (= T_javafe_ast_Util (+ DIST_ZERO_1 12)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 13)))))
(declare-fun C_47_4 () Int)
(declare-fun ecReturn () Int)
(declare-fun L_47_4 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun n_36_49 () Int)
(declare-fun limit_36_56 () Int)
(declare-fun limit_41_4 () Int)
(declare-fun RES_43_14_43_14 () Int)
(declare-fun EC_43_14_43_14 () Int)
(declare-fun RES_loopold () Int)
(declare-fun i_loopold_47_13 () Int)
(declare-fun limit_loopold_36_56 () Int)
(declare-fun EC_loopold () Int)
(declare-fun t_loopold_40_8 () Int)
(declare-fun RES_47_4_0_48_19_48_19 () Int)
(declare-fun EC_47_4_0_48_19_48_19 () Int)
(declare-fun n_52_5_47_4_0_52_5_36_49 () Int)
(declare-fun RES_47_4_0_52_5_52_5 () Int)
(declare-fun EC_47_4_0_52_5_52_5 () Int)
(declare-fun RES () Int)
(declare-fun s_50_10 () Int)
(declare-fun EC () Int)
(declare-fun t_47_4_0_63_6 () Int)
(declare-fun limit_47_4_0_64_6 () Int)
(declare-fun RES_48_17 () Int)
(declare-fun limit_48_17 () Int)
(declare-fun EC_48_17 () Int)
(declare-fun t_48_17 () Int)
(declare-fun RES_47_4_0 () Int)
(declare-fun RES_1_ () Int)
(declare-fun s_50_10_1_ () Int)
(declare-fun RES_47_4_0_1_ () Int)
(declare-fun s_47_4_0_50_10 () Int)
(declare-fun i_47_4_0_47_27 () Int)
(declare-fun RES_2_ () Int)
(declare-fun RES_3_ () Int)
(declare-fun limit_36_56_1_ () Int)
(declare-fun EC_1_ () Int)
(declare-fun RES_4_ () Int)
(declare-fun EC_2_ () Int)
(declare-fun RES_5_ () Int)
(declare-fun limit_36_56_2_ () Int)
(declare-fun EC_3_ () Int)
(declare-fun t_40_8 () Int)
(declare-fun RES_6_ () Int)
(declare-fun limit_36_56_3_ () Int)
(declare-fun EC_4_ () Int)
(declare-fun t_40_8_1_ () Int)
(assert (let ((?v_23 (= limit_36_56 0))) (let ((?v_24 (not ?v_23)) (?v_1 (= true_term true_term)) (?v_25 (= limit_41_4 (- limit_36_56 1))) (?v_26 (= true_term (is RES_43_14_43_14 T_int))) (?v_0 (= EC_43_14_43_14 ecReturn))) (let ((?v_27 (=> ?v_0 (>= RES_43_14_43_14 0))) (?v_28 (= RES_43_14_43_14 RES_loopold)) (?v_29 (= 0 i_loopold_47_13)) (?v_30 (= limit_41_4 limit_loopold_36_56)) (?v_31 (= EC_43_14_43_14 EC_loopold)) (?v_32 (= 1 t_loopold_40_8)) (?v_2 (<= 0 limit_41_4))) (let ((?v_7 (not ?v_2)) (?v_12 (< 0 RES_43_14_43_14)) (?v_3 (<= 0 0)) (?v_13 (= true_term (is RES_47_4_0_48_19_48_19 T_java_lang_Object))) (?v_14 (= true_term (isAllocated RES_47_4_0_48_19_48_19 alloc))) (?v_15 (= EC_47_4_0_48_19_48_19 ecReturn)) (?v_4 (= true_term (is RES_47_4_0_48_19_48_19 T_javafe_ast_ASTNode))) (?v_8 (not (= RES_47_4_0_48_19_48_19 null))) (?v_6 (cast RES_47_4_0_48_19_48_19 T_javafe_ast_ASTNode))) (let ((?v_5 (not (= ?v_6 null))) (?v_9 (= n_52_5_47_4_0_52_5_36_49 ?v_6)) (?v_18 (= true_term (is RES_47_4_0_52_5_52_5 T_int))) (?v_10 (= EC_47_4_0_52_5_52_5 ecReturn)) (?v_20 (- 0 1))) (let ((?v_11 (= RES_47_4_0_52_5_52_5 ?v_20))) (let ((?v_19 (=> ?v_10 (or ?v_11 (and (< 0 RES_47_4_0_52_5_52_5) (<= RES_47_4_0_52_5_52_5 limit_41_4))))) (?v_21 (not (and ?v_4 ?v_8))) (?v_22 (= limit_41_4 0))) (let ((?v_16 (or (and ?v_4 ?v_8 ?v_1 ?v_4 ?v_5 ?v_9 ?v_2 ?v_18 ?v_10 ?v_19 (not ?v_11) ?v_1 (= RES RES_47_4_0_52_5_52_5) (= s_50_10 RES_47_4_0_52_5_52_5) (= EC EC_47_4_0_52_5_52_5)) (and ?v_21 ?v_1 (not ?v_22) ?v_1 (= RES RES_47_4_0_48_19_48_19) (= s_50_10 1) (= EC EC_47_4_0_48_19_48_19)))) (?v_17 (<= s_50_10 limit_41_4)) (?v_33 (or (and ?v_4 ?v_8 ?v_1 ?v_4 ?v_5 ?v_9 ?v_2 ?v_18 ?v_10 ?v_19 ?v_11 ?v_1 (= RES_47_4_0 ?v_20) ?v_1 (= RES_1_ RES_47_4_0) (= s_50_10_1_ RES_47_4_0_52_5_52_5)) (and ?v_21 ?v_1 ?v_22 ?v_1 (= RES_47_4_0_1_ ?v_20) ?v_1 (= RES_1_ RES_47_4_0_1_) (= s_50_10_1_ s_47_4_0_50_10)))) (?v_34 (= ecReturn C_47_4))) (let ((?v_35 (or (and ?v_3 ?v_13 ?v_14 ?v_15 ?v_16 ?v_17 (= t_47_4_0_63_6 (+ 1 s_50_10)) (= limit_47_4_0_64_6 (- limit_41_4 s_50_10)) (= RES_48_17 RES) (= limit_48_17 limit_47_4_0_64_6) (= EC_48_17 EC) (= t_48_17 t_47_4_0_63_6)) (and ?v_3 ?v_13 ?v_14 ?v_15 ?v_33 ?v_34 (= RES_48_17 RES_1_) (= limit_48_17 limit_41_4) (= EC_48_17 ecReturn) (= t_48_17 1)))) (?v_36 (= i_47_4_0_47_27 (+ 0 1))) (?v_37 (<= 0 limit_48_17)) (?v_40 (= EC_1_ ecReturn)) (?v_38 (= EC_3_ L_47_4))) (let ((?v_39 (or (and ?v_1 ?v_2 (or (and (not ?v_12) (= RES_4_ RES_43_14_43_14) (= EC_2_ L_47_4)) (and ?v_12 ?v_3 ?v_13 ?v_14 ?v_15 ?v_33 (not ?v_34) (= RES_4_ RES_1_) (= EC_2_ ecReturn))) (= RES_5_ RES_4_) (= limit_36_56_2_ limit_41_4) (= EC_3_ EC_2_) (= t_40_8 1)) (and ?v_1 ?v_2 ?v_12 ?v_35 ?v_36 ?v_1 ?v_37 (not (< i_47_4_0_47_27 RES_43_14_43_14)) (= RES_5_ RES_48_17) (= limit_36_56_2_ limit_48_17) ?v_38 (= t_40_8 t_48_17))))) (not (=> (distinct C_47_4 ecReturn L_47_4) (=> (and (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is n_36_49 T_javafe_ast_ASTNode)) (= true_term (isAllocated n_36_49 alloc)) (not (= n_36_49 null)) (= true_term (is limit_36_56 T_int)) (<= 0 limit_36_56) (or (and ?v_24 ?v_1 ?v_25 ?v_26 ?v_0 ?v_27 ?v_28 ?v_29 ?v_30 ?v_31 ?v_32 (or (and ?v_1 (or ?v_7 (and ?v_2 ?v_12 (or (not ?v_3) (and ?v_3 ?v_13 ?v_14 ?v_15 (or (and ?v_4 ?v_8 ?v_1 (or (not ?v_4) (and ?v_4 (or (not ?v_5) (and ?v_5 ?v_9 ?v_7))))) (and ?v_16 (not ?v_17)))))))) (and ?v_1 ?v_2 ?v_12 ?v_35 ?v_36 ?v_1 (not ?v_37)))) (and (or (and ?v_23 ?v_1 (= RES_2_ ?v_20) ?v_1 (= RES_3_ RES_2_) (= limit_36_56_1_ limit_36_56) ?v_40) (and ?v_24 ?v_1 ?v_25 ?v_26 ?v_0 ?v_27 (or (and ?v_28 ?v_29 ?v_30 ?v_31 ?v_32 ?v_39 (not ?v_38) (= RES_3_ RES_5_) (= limit_36_56_1_ limit_36_56_2_) (= EC_1_ EC_3_)) (and ?v_28 ?v_29 ?v_30 ?v_31 ?v_32 ?v_39 ?v_38 (= RES_6_ RES_5_) (= limit_36_56_3_ limit_36_56_2_) (= EC_4_ EC_3_) (= t_40_8_1_ t_40_8) ?v_1 (= RES_3_ t_40_8_1_) (= limit_36_56_1_ limit_36_56_3_) ?v_40)))) (or (not ?v_40) (and ?v_40 (not (=> ?v_40 (or (= RES_3_ ?v_20) (and (< 0 RES_3_) (<= RES_3_ limit_36_56)))))))))))))))))))))))))
(check-sat)
(exit)
