(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_filespace_FilterEnum () Int)
(declare-fun T_javafe_filespace_LookAheadEnum () Int)
(declare-fun T_java_util_Enumeration () Int)
(declare-fun T_javafe_filespace_Filter () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(assert (and (= (PO_LT T_javafe_filespace_FilterEnum T_javafe_filespace_LookAheadEnum) true_term) (= T_javafe_filespace_FilterEnum (asChild T_javafe_filespace_FilterEnum T_javafe_filespace_LookAheadEnum)) (= (PO_LT T_javafe_filespace_LookAheadEnum T_java_lang_Object) true_term) (= T_javafe_filespace_LookAheadEnum (asChild T_javafe_filespace_LookAheadEnum T_java_lang_Object)) (= (PO_LT T_javafe_filespace_LookAheadEnum T_java_util_Enumeration) true_term) (= (PO_LT T_java_util_Enumeration T_java_lang_Object) true_term) (= (PO_LT T_javafe_filespace_Filter T_java_lang_Object) true_term) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_filespace_FilterEnum (+ DIST_ZERO_1 10)) (= T_java_lang_Object (+ DIST_ZERO_1 11)) (= T_javafe_filespace_LookAheadEnum (+ DIST_ZERO_1 12)) (= T_java_util_Enumeration (+ DIST_ZERO_1 13)) (= T_javafe_filespace_Filter (+ DIST_ZERO_1 14)))))
(declare-fun C_68_1 () Int)
(declare-fun ecReturn () Int)
(declare-fun L_68_1 () Int)
(declare-fun lookAheadValid_pre_4_40_20 () Int)
(declare-fun lookAheadValid_4_40_20 () Int)
(declare-fun underlyingEnum_pre_20_26 () Int)
(declare-fun underlyingEnum_20_26 () Int)
(declare-fun returnsNull_pre_5_79_29 () Int)
(declare-fun returnsNull_5_79_29 () Int)
(declare-fun filter_pre_29_18 () Int)
(declare-fun filter_29_18 () Int)
(declare-fun acceptedType_pre_12_16_27 () Int)
(declare-fun acceptedType_12_16_27 () Int)
(declare-fun lookAhead_pre_4_43_19 () Int)
(declare-fun lookAhead_4_43_19 () Int)
(declare-fun elementType_pre_5_74_27 () Int)
(declare-fun elementType_5_74_27 () Int)
(declare-fun owner_pre_6_35_28 () Int)
(declare-fun owner_6_35_28 () Int)
(declare-fun moreElements_pre_5_58_29 () Int)
(declare-fun moreElements_5_58_29 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun this () Int)
(declare-fun moreElements_loopold_5_58_29 () Int)
(declare-fun RES () Int)
(declare-fun RES_loopold () Int)
(declare-fun EC () Int)
(declare-fun EC_loopold () Int)
(declare-fun this_68_23_68_1_0_68_23 () Int)
(declare-fun RES_68_1_0_68_23_68_23 () Int)
(declare-fun EC_68_1_0_68_23_68_23 () Int)
(declare-fun this_69_34_68_1_0_69_34 () Int)
(declare-fun moreElements_68_1_0_69_34_5_89_17 () Int)
(declare-fun after_69_34_68_1_0_69_34_5_89_17 () Int)
(declare-fun RES_68_1_0_69_34_69_34 () Int)
(declare-fun EC_68_1_0_69_34_69_34 () Int)
(declare-fun tmp0_filter_68_1_0_71_9 () Int)
(declare-fun RES_68_1_0_71_16_71_16 () Int)
(declare-fun EC_68_1_0_71_16_71_16 () Int)
(declare-fun RES_69_33 () Int)
(declare-fun EC_69_33 () Int)
(declare-fun moreElements_5_58_29_1_ () Int)
(declare-fun RES_1_ () Int)
(declare-fun EC_1_ () Int)
(declare-fun RES_2_ () Int)
(declare-fun EC_2_ () Int)
(declare-fun this_68_23_68_1_1_68_23 () Int)
(declare-fun RES_68_1_1_68_23_68_23 () Int)
(declare-fun EC_68_1_1_68_23_68_23 () Int)
(declare-fun RES_3_ () Int)
(declare-fun EC_3_ () Int)
(declare-fun RES_4_ () Int)
(declare-fun EC_4_ () Int)
(assert (let ((?v_28 (= moreElements_5_58_29 moreElements_loopold_5_58_29)) (?v_29 (= RES RES_loopold)) (?v_30 (= EC EC_loopold)) (?v_12 (= true_term true_term)) (?v_1 (S_select underlyingEnum_20_26 this))) (let ((?v_0 (not (= ?v_1 null)))) (let ((?v_4 (not ?v_0)) (?v_13 (= this_68_23_68_1_0_68_23 ?v_1)) (?v_14 (= true_term (is RES_68_1_0_68_23_68_23 T_boolean))) (?v_2 (= EC_68_1_0_68_23_68_23 ecReturn)) (?v_3 (= true_term RES_68_1_0_68_23_68_23))) (let ((?v_15 (=> ?v_2 (= ?v_3 (= true_term (S_select moreElements_5_58_29 this_68_23_68_1_0_68_23))))) (?v_5 (= this_69_34_68_1_0_69_34 ?v_1)) (?v_6 (= true_term (S_select moreElements_5_58_29 this_69_34_68_1_0_69_34))) (?v_16 (= moreElements_68_1_0_69_34_5_89_17 (S_store moreElements_5_58_29 this_69_34_68_1_0_69_34 after_69_34_68_1_0_69_34_5_89_17))) (?v_17 (= moreElements_68_1_0_69_34_5_89_17 (asField moreElements_68_1_0_69_34_5_89_17 T_boolean))) (?v_18 (= true_term (is RES_68_1_0_69_34_69_34 T_java_lang_Object))) (?v_19 (= true_term (isAllocated RES_68_1_0_69_34_69_34 alloc))) (?v_7 (= EC_68_1_0_69_34_69_34 ecReturn)) (?v_11 (typeof RES_68_1_0_69_34_69_34)) (?v_8 (= RES_68_1_0_69_34_69_34 null))) (let ((?v_20 (=> ?v_7 (or (= (PO_LT ?v_11 (S_select elementType_5_74_27 this_69_34_68_1_0_69_34)) true_term) ?v_8))) (?v_10 (not ?v_8))) (let ((?v_21 (=> (and ?v_7 (not (= true_term (S_select returnsNull_5_79_29 this_69_34_68_1_0_69_34)))) ?v_10)) (?v_22 (forall ((?brokenObj_9_ Int)) (let ((?v_39 (= true_term (S_select lookAheadValid_4_40_20 ?brokenObj_9_))) (?v_40 (not (= (S_select lookAhead_4_43_19 ?brokenObj_9_) null)))) (=> (and (= true_term (is ?brokenObj_9_ T_javafe_filespace_LookAheadEnum)) (not (= ?brokenObj_9_ null)) (=> ?v_39 (= (= true_term (S_select moreElements_5_58_29 ?brokenObj_9_)) ?v_40)) ?v_39) (= (= true_term (S_select moreElements_68_1_0_69_34_5_89_17 ?brokenObj_9_)) ?v_40))))) (?v_23 (= tmp0_filter_68_1_0_71_9 (S_select filter_29_18 this))) (?v_9 (not (= tmp0_filter_68_1_0_71_9 null))) (?v_24 (= (PO_LT ?v_11 (S_select acceptedType_12_16_27 tmp0_filter_68_1_0_71_9)) true_term)) (?v_25 (= true_term (is RES_68_1_0_71_16_71_16 T_boolean))) (?v_26 (= EC_68_1_0_71_16_71_16 ecReturn)) (?v_27 (= true_term RES_68_1_0_71_16_71_16)) (?v_31 (= ecReturn C_68_1))) (let ((?v_32 (or (and ?v_0 ?v_5 ?v_6 ?v_16 ?v_17 ?v_18 ?v_19 ?v_7 ?v_20 ?v_21 ?v_22 ?v_23 ?v_9 ?v_10 ?v_24 ?v_25 ?v_26 (not ?v_27) ?v_12 (= RES_69_33 RES_68_1_0_71_16_71_16) (= EC_69_33 EC_68_1_0_71_16_71_16)) (and ?v_0 ?v_5 ?v_6 ?v_16 ?v_17 ?v_18 ?v_19 ?v_7 ?v_20 ?v_21 ?v_22 ?v_23 ?v_9 ?v_10 ?v_24 ?v_25 ?v_26 ?v_27 ?v_12 ?v_12 ?v_31 (= RES_69_33 RES_68_1_0_69_34_69_34) (= EC_69_33 ecReturn)))) (?v_33 (= EC_68_1_1_68_23_68_23 ecReturn)) (?v_34 (= true_term RES_68_1_1_68_23_68_23)) (?v_35 (= EC_2_ L_68_1))) (let ((?v_36 (or (and ?v_12 (or (and ?v_0 ?v_13 ?v_14 ?v_2 ?v_15 (not ?v_3) (= moreElements_5_58_29_1_ moreElements_5_58_29) (= RES_1_ RES_68_1_0_68_23_68_23) (= EC_1_ L_68_1)) (and ?v_0 ?v_13 ?v_14 ?v_2 ?v_15 ?v_3 ?v_0 ?v_5 ?v_6 ?v_16 ?v_17 ?v_18 ?v_19 ?v_7 ?v_20 ?v_21 ?v_22 ?v_23 ?v_9 ?v_10 ?v_24 ?v_25 ?v_26 ?v_27 ?v_12 ?v_12 (not ?v_31) (= moreElements_5_58_29_1_ moreElements_68_1_0_69_34_5_89_17) (= RES_1_ RES_68_1_0_69_34_69_34) (= EC_1_ ecReturn))) (= RES_2_ RES_1_) (= EC_2_ EC_1_)) (and ?v_12 ?v_0 ?v_13 ?v_14 ?v_2 ?v_15 ?v_3 ?v_32 ?v_12 ?v_0 (= this_68_23_68_1_1_68_23 ?v_1) (= true_term (is RES_68_1_1_68_23_68_23 T_boolean)) ?v_33 (=> ?v_33 (= ?v_34 (= true_term (S_select moreElements_68_1_0_69_34_5_89_17 this_68_23_68_1_1_68_23)))) (not ?v_34) (= RES_2_ RES_68_1_1_68_23_68_23) ?v_35))) (?v_38 (= RES_3_ null)) (?v_37 (= EC_3_ ecReturn))) (not (=> (distinct C_68_1 ecReturn L_68_1) (=> (and (= lookAheadValid_pre_4_40_20 lookAheadValid_4_40_20) (= lookAheadValid_4_40_20 (asField lookAheadValid_4_40_20 T_boolean)) (= underlyingEnum_pre_20_26 underlyingEnum_20_26) (= underlyingEnum_20_26 (asField underlyingEnum_20_26 T_java_util_Enumeration)) (< (fClosedTime underlyingEnum_20_26) alloc) (= returnsNull_pre_5_79_29 returnsNull_5_79_29) (= returnsNull_5_79_29 (asField returnsNull_5_79_29 T_boolean)) (= filter_pre_29_18 filter_29_18) (= filter_29_18 (asField filter_29_18 T_javafe_filespace_Filter)) (< (fClosedTime filter_29_18) alloc) (= acceptedType_pre_12_16_27 acceptedType_12_16_27) (= acceptedType_12_16_27 (asField acceptedType_12_16_27 T__TYPE)) (= lookAhead_pre_4_43_19 lookAhead_4_43_19) (= lookAhead_4_43_19 (asField lookAhead_4_43_19 T_java_lang_Object)) (< (fClosedTime lookAhead_4_43_19) alloc) (= elementType_pre_5_74_27 elementType_5_74_27) (= elementType_5_74_27 (asField elementType_5_74_27 T__TYPE)) (= owner_pre_6_35_28 owner_6_35_28) (= owner_6_35_28 (asField owner_6_35_28 T_java_lang_Object)) (< (fClosedTime owner_6_35_28) alloc) (= moreElements_pre_5_58_29 moreElements_5_58_29) (= moreElements_5_58_29 (asField moreElements_5_58_29 T_boolean)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is this T_javafe_filespace_FilterEnum)) (= true_term (isAllocated this alloc)) (not (= this null)) (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_filespace_FilterEnum)) (not (= ?brokenObj null))) (not (= (S_select filter_29_18 ?brokenObj) null)))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_filespace_LookAheadEnum)) (not (= ?brokenObj_1_ null)) (= true_term (S_select lookAheadValid_4_40_20 ?brokenObj_1_))) (= (= true_term (S_select moreElements_5_58_29 ?brokenObj_1_)) (not (= (S_select lookAhead_4_43_19 ?brokenObj_1_) null))))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_filespace_FilterEnum)) (not (= ?brokenObj_2_ null))) (= (S_select owner_6_35_28 (S_select underlyingEnum_20_26 ?brokenObj_2_)) ?brokenObj_2_))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_filespace_FilterEnum)) (not (= ?brokenObj_3_ null))) (not (= (S_select underlyingEnum_20_26 ?brokenObj_3_) null)))) (forall ((?brokenObj_4_ Int)) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_filespace_FilterEnum)) (not (= ?brokenObj_4_ null))) (not (= true_term (S_select returnsNull_5_79_29 (S_select underlyingEnum_20_26 ?brokenObj_4_)))))) (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_filespace_FilterEnum)) (not (= ?brokenObj_5_ null))) (= (S_select elementType_5_74_27 ?brokenObj_5_) (S_select elementType_5_74_27 (S_select underlyingEnum_20_26 ?brokenObj_5_))))) (forall ((?brokenObj_6_ Int)) (let ((?v_41 (S_select lookAhead_4_43_19 ?brokenObj_6_))) (=> (and (= true_term (is ?brokenObj_6_ T_javafe_filespace_LookAheadEnum)) (not (= ?brokenObj_6_ null))) (or (= (PO_LT (typeof ?v_41) (S_select elementType_5_74_27 ?brokenObj_6_)) true_term) (= ?v_41 null))))) (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_javafe_filespace_LookAheadEnum)) (not (= ?brokenObj_7_ null))) (not (= true_term (S_select returnsNull_5_79_29 ?brokenObj_7_))))) (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_javafe_filespace_FilterEnum)) (not (= ?brokenObj_8_ null))) (= (S_select acceptedType_12_16_27 (S_select filter_29_18 ?brokenObj_8_)) (S_select elementType_5_74_27 ?brokenObj_8_)))) (or (and ?v_28 ?v_29 ?v_30 (or (and ?v_12 (or ?v_4 (and ?v_0 ?v_13 ?v_14 ?v_2 ?v_15 ?v_3 (or ?v_4 (and ?v_0 (or (and ?v_5 (not ?v_6)) (and ?v_5 ?v_6 ?v_16 ?v_17 ?v_18 ?v_19 ?v_7 ?v_20 ?v_21 ?v_22 ?v_23 (or (not ?v_9) (and ?v_9 (or (not ?v_10) (and ?v_10 (not ?v_24)))))))))))) (and ?v_12 ?v_0 ?v_13 ?v_14 ?v_2 ?v_15 ?v_3 ?v_32 ?v_12 ?v_4))) (and (or (and ?v_28 ?v_29 ?v_30 ?v_36 (not ?v_35) (= RES_3_ RES_2_) (= EC_3_ EC_2_)) (and ?v_28 ?v_29 ?v_30 ?v_36 ?v_35 (= RES_4_ RES_2_) (= EC_4_ EC_2_) ?v_12 ?v_38 ?v_37)) (or (not ?v_37) (and ?v_37 (not (=> ?v_37 (or (= (PO_LT (typeof RES_3_) (S_select elementType_5_74_27 this)) true_term) ?v_38)))))))))))))))))))))
(check-sat)
(exit)
