(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_filespace_PreloadedTree () Int)
(declare-fun T_javafe_filespace_HashTree () Int)
(declare-fun T_javafe_filespace_TreeWalker () Int)
(declare-fun T_javafe_filespace_LookAheadEnum () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_javafe_filespace_ZipTree () Int)
(declare-fun T_javafe_filespace_ExtTree () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_java_io_IOException () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_java_io_File () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_javafe_filespace_Tree () Int)
(declare-fun T_javafe_filespace_FileTree () Int)
(declare-fun T_javafe_genericfile_UnopenableFile () Int)
(declare-fun T_javafe_genericfile_GenericFile () Int)
(declare-fun T_java_util_Enumeration () Int)
(declare-fun T_javafe_filespace_PathComponent () Int)
(declare-fun T_java_util_zip_ZipException () Int)
(declare-fun T_java_util_zip_ZipFile () Int)
(declare-fun T_java_util_zip_ZipConstants () Int)
(declare-fun T_java_util_Vector () Int)
(declare-fun T_java_util_AbstractList () Int)
(declare-fun T_java_util_List () Int)
(declare-fun T_java_io_InputStream () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_java_util_Collection () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_java_util_AbstractCollection () Int)
(declare-fun T_javafe_filespace_LeafTree () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun out_24_83_49 () Int)
(assert (and (= (PO_LT T_javafe_filespace_PreloadedTree T_javafe_filespace_HashTree) true_term) (= T_javafe_filespace_PreloadedTree (asChild T_javafe_filespace_PreloadedTree T_javafe_filespace_HashTree)) (= (PO_LT T_javafe_filespace_TreeWalker T_javafe_filespace_LookAheadEnum) true_term) (= T_javafe_filespace_TreeWalker (asChild T_javafe_filespace_TreeWalker T_javafe_filespace_LookAheadEnum)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_filespace_TreeWalker) true_term) (= ?t T_javafe_filespace_TreeWalker))) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_javafe_filespace_ZipTree T_javafe_filespace_ExtTree) true_term) (= T_javafe_filespace_ZipTree (asChild T_javafe_filespace_ZipTree T_javafe_filespace_ExtTree)) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_java_io_IOException T_java_lang_Exception) true_term) (= T_java_io_IOException (asChild T_java_io_IOException T_java_lang_Exception)) (= (PO_LT T_java_io_File T_java_lang_Object) true_term) (= T_java_io_File (asChild T_java_io_File T_java_lang_Object)) (= (PO_LT T_java_io_File T_java_io_Serializable) true_term) (= (PO_LT T_java_io_File T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_filespace_HashTree T_javafe_filespace_Tree) true_term) (= T_javafe_filespace_HashTree (asChild T_javafe_filespace_HashTree T_javafe_filespace_Tree)) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_filespace_FileTree T_javafe_filespace_PreloadedTree) true_term) (= T_javafe_filespace_FileTree (asChild T_javafe_filespace_FileTree T_javafe_filespace_PreloadedTree)) (= (PO_LT T_javafe_genericfile_UnopenableFile T_java_lang_Object) true_term) (= T_javafe_genericfile_UnopenableFile (asChild T_javafe_genericfile_UnopenableFile T_java_lang_Object)) (= (PO_LT T_javafe_genericfile_UnopenableFile T_javafe_genericfile_GenericFile) true_term) (= (PO_LT T_java_util_Enumeration T_java_lang_Object) true_term) (= (PO_LT T_javafe_filespace_PathComponent T_java_lang_Object) true_term) (= T_javafe_filespace_PathComponent (asChild T_javafe_filespace_PathComponent T_java_lang_Object)) (= (PO_LT T_javafe_filespace_ExtTree T_javafe_filespace_HashTree) true_term) (= T_javafe_filespace_ExtTree (asChild T_javafe_filespace_ExtTree T_javafe_filespace_HashTree)) (= (PO_LT T_java_util_zip_ZipException T_java_io_IOException) true_term) (= T_java_util_zip_ZipException (asChild T_java_util_zip_ZipException T_java_io_IOException)) (= (PO_LT T_java_util_zip_ZipFile T_java_lang_Object) true_term) (= T_java_util_zip_ZipFile (asChild T_java_util_zip_ZipFile T_java_lang_Object)) (= (PO_LT T_java_util_zip_ZipFile T_java_util_zip_ZipConstants) true_term) (= (PO_LT T_java_util_Vector T_java_util_AbstractList) true_term) (= T_java_util_Vector (asChild T_java_util_Vector T_java_util_AbstractList)) (= (PO_LT T_java_util_Vector T_java_util_List) true_term) (= (PO_LT T_java_util_Vector T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Vector T_java_io_Serializable) true_term) (= (PO_LT T_java_io_InputStream T_java_lang_Object) true_term) (= T_java_io_InputStream (asChild T_java_io_InputStream T_java_lang_Object)) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_java_util_List T_java_lang_Object) true_term) (= (PO_LT T_java_util_List T_java_util_Collection) true_term) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_filespace_LookAheadEnum T_java_lang_Object) true_term) (= T_javafe_filespace_LookAheadEnum (asChild T_javafe_filespace_LookAheadEnum T_java_lang_Object)) (= (PO_LT T_javafe_filespace_LookAheadEnum T_java_util_Enumeration) true_term) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_java_util_AbstractList T_java_util_AbstractCollection) true_term) (= T_java_util_AbstractList (asChild T_java_util_AbstractList T_java_util_AbstractCollection)) (= (PO_LT T_java_util_AbstractList T_java_util_List) true_term) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_genericfile_GenericFile T_java_lang_Object) true_term) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_java_util_zip_ZipConstants T_java_lang_Object) true_term) (= (PO_LT T_javafe_filespace_LeafTree T_javafe_filespace_Tree) true_term) (= T_javafe_filespace_LeafTree (asChild T_javafe_filespace_LeafTree T_javafe_filespace_Tree)) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_java_util_Collection T_java_lang_Object) true_term) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_javafe_filespace_Tree T_java_lang_Object) true_term) (= T_javafe_filespace_Tree (asChild T_javafe_filespace_Tree T_java_lang_Object)) (= (PO_LT T_java_util_AbstractCollection T_java_lang_Object) true_term) (= T_java_util_AbstractCollection (asChild T_java_util_AbstractCollection T_java_lang_Object)) (= (PO_LT T_java_util_AbstractCollection T_java_util_Collection) true_term) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_filespace_PreloadedTree (+ DIST_ZERO_1 10)) (= T_javafe_filespace_TreeWalker (+ DIST_ZERO_1 11)) (= T_java_util_Properties (+ DIST_ZERO_1 12)) (= T_javafe_filespace_ZipTree (+ DIST_ZERO_1 13)) (= T_java_util_Map (+ DIST_ZERO_1 14)) (= T_java_lang_Object (+ DIST_ZERO_1 15)) (= T_java_lang_Comparable (+ DIST_ZERO_1 16)) (= T_java_lang_System (+ DIST_ZERO_1 17)) (= T_java_io_IOException (+ DIST_ZERO_1 18)) (= T_java_io_File (+ DIST_ZERO_1 19)) (= T_javafe_filespace_HashTree (+ DIST_ZERO_1 20)) (= T_java_io_Serializable (+ DIST_ZERO_1 21)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 22)) (= T_javafe_filespace_FileTree (+ DIST_ZERO_1 23)) (= T_javafe_genericfile_UnopenableFile (+ DIST_ZERO_1 24)) (= T_java_util_Enumeration (+ DIST_ZERO_1 25)) (= T_javafe_filespace_PathComponent (+ DIST_ZERO_1 26)) (= T_javafe_filespace_ExtTree (+ DIST_ZERO_1 27)) (= T_java_util_zip_ZipException (+ DIST_ZERO_1 28)) (= T_java_util_zip_ZipFile (+ DIST_ZERO_1 29)) (= T_java_util_Vector (+ DIST_ZERO_1 30)) (= T_java_io_InputStream (+ DIST_ZERO_1 31)) (= T_java_lang_Exception (+ DIST_ZERO_1 32)) (= T_java_util_List (+ DIST_ZERO_1 33)) (= T_java_util_Hashtable (+ DIST_ZERO_1 34)) (= T_javafe_filespace_LookAheadEnum (+ DIST_ZERO_1 35)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 36)) (= T_java_io_OutputStream (+ DIST_ZERO_1 37)) (= T_java_util_AbstractList (+ DIST_ZERO_1 38)) (= T_java_util_Dictionary (+ DIST_ZERO_1 39)) (= T_javafe_genericfile_GenericFile (+ DIST_ZERO_1 40)) (= T_java_lang_String (+ DIST_ZERO_1 41)) (= T_java_util_zip_ZipConstants (+ DIST_ZERO_1 42)) (= T_javafe_filespace_LeafTree (+ DIST_ZERO_1 43)) (= T_java_lang_Throwable (+ DIST_ZERO_1 44)) (= T_java_util_Collection (+ DIST_ZERO_1 45)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 46)) (= T_java_io_PrintStream (+ DIST_ZERO_1 47)) (= T_javafe_filespace_Tree (+ DIST_ZERO_1 48)) (= T_java_util_AbstractCollection (+ DIST_ZERO_1 49))) (= true_term (is out_24_83_49 T_java_io_PrintStream))))
(declare-fun L_150_5 () Int)
(declare-fun ecReturn () Int)
(declare-fun ecThrow () Int)
(declare-fun L_161_5 () Int)
(declare-fun C_161_5 () Int)
(declare-fun L_176_1 () Int)
(declare-fun L_146_5 () Int)
(declare-fun S_137_24 () Int)
(declare-fun S_125_24 () Int)
(declare-fun S_126_4 () Int)
(declare-fun S_185_47 () Int)
(declare-fun S_181_44 () Int)
(declare-fun S_156_21 () Int)
(declare-fun S_185_19 () Int)
(declare-fun value_pre_15_91_31 () Int)
(declare-fun value_15_91_31 () Int)
(declare-fun remainingChildren_pre_29_39_26 () Int)
(declare-fun remainingChildren_29_39_26 () Int)
(declare-fun out_pre_24_83_49 () Int)
(declare-fun count_pre_15_99_33 () Int)
(declare-fun count_15_99_33 () Int)
(declare-fun lookAheadValid_pre_30_40_20 () Int)
(declare-fun lookAheadValid_30_40_20 () Int)
(declare-fun moreElements_pre_31_58_29 () Int)
(declare-fun moreElements_31_58_29 () Int)
(declare-fun lookAhead_pre_30_43_19 () Int)
(declare-fun lookAhead_30_43_19 () Int)
(declare-fun elementType_pre_31_74_27 () Int)
(declare-fun elementType_31_74_27 () Int)
(declare-fun remainingNodes_pre_29_48_26 () Int)
(declare-fun remainingNodes_29_48_26 () Int)
(declare-fun returnsNull_pre_31_79_29 () Int)
(declare-fun returnsNull_31_79_29 () Int)
(declare-fun data_pre_5_41_18 () Int)
(declare-fun data_5_41_18 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun args_122_37 () Int)
(declare-fun tmp0_cor_124_19 () Int)
(declare-fun tmp0_cor_124_5 () Int)
(declare-fun tmp2_135_18 () Int)
(declare-fun RES_135_9_135_9 () Int)
(declare-fun EC_135_9_135_9 () Int)
(declare-fun XRES_135_9_135_9 () Int)
(declare-fun pathname_143_5 () Int)
(declare-fun pathname_loopold_143_12 () Int)
(declare-fun EC_loopold () Int)
(declare-fun RES_146_5_0_146_21_146_21 () Int)
(declare-fun EC_146_5_0_146_21_146_21 () Int)
(declare-fun RES_146_5_0_146_44_146_44 () Int)
(declare-fun EC_146_5_0_146_44_146_44 () Int)
(declare-fun tmp4_cand_146_5_0_146_12 () Int)
(declare-fun tmp5_pathname_146_35 () Int)
(declare-fun XRES () Int)
(declare-fun XRES_146_5_0_146_44_146_44 () Int)
(declare-fun tmp4_cand_146_32 () Int)
(declare-fun RES () Int)
(declare-fun EC () Int)
(declare-fun tmp5_pathname_146_5_0_146_35 () Int)
(declare-fun XRES_146_5_0_146_21_146_21 () Int)
(declare-fun RES_146_5_0_147_50_147_50 () Int)
(declare-fun EC_146_5_0_147_50_147_50 () Int)
(declare-fun RES_146_5_0_147_29_147_29 () Int)
(declare-fun EC_146_5_0_147_29_147_29 () Int)
(declare-fun RES_146_5_1_146_21_146_21 () Int)
(declare-fun EC_146_5_1_146_21_146_21 () Int)
(declare-fun XRES_1_ () Int)
(declare-fun pathname_143_12 () Int)
(declare-fun RES_1_ () Int)
(declare-fun RES_146_5_1_146_44_146_44 () Int)
(declare-fun EC_146_5_1_146_44_146_44 () Int)
(declare-fun tmp4_cand_146_5_1_146_12 () Int)
(declare-fun XRES_2_ () Int)
(declare-fun XRES_146_5_1_146_44_146_44 () Int)
(declare-fun tmp4_cand_146_32_1_ () Int)
(declare-fun RES_2_ () Int)
(declare-fun EC_1_ () Int)
(declare-fun XRES_146_5_1_146_21_146_21 () Int)
(declare-fun XRES_3_ () Int)
(declare-fun pathname_143_12_1_ () Int)
(declare-fun RES_3_ () Int)
(declare-fun EC_2_ () Int)
(declare-fun pathname_loopold_143_12_1_ () Int)
(declare-fun EC_loopold_1_ () Int)
(declare-fun RES_150_5_0_150_21_150_21 () Int)
(declare-fun EC_150_5_0_150_21_150_21 () Int)
(declare-fun RES_150_5_0_151_31_151_31 () Int)
(declare-fun EC_150_5_0_151_31_151_31 () Int)
(declare-fun index_151_15_150_5_0_151_15_15_528_27 () Int)
(declare-fun RES_150_5_0_151_15_151_15 () Int)
(declare-fun EC_150_5_0_151_15_151_15 () Int)
(declare-fun tmp7_cand_150_5_0_150_12 () Int)
(declare-fun tmp7_cand_150_32 () Int)
(declare-fun XRES_4_ () Int)
(declare-fun XRES_150_5_0_151_15_151_15 () Int)
(declare-fun RES_4_ () Int)
(declare-fun EC_3_ () Int)
(declare-fun tmp8_pathname_151_6 () Int)
(declare-fun XRES_150_5_0_150_21_150_21 () Int)
(declare-fun tmp8_pathname_150_5_0_151_6 () Int)
(declare-fun RES_150_5_0_152_50_152_50 () Int)
(declare-fun EC_150_5_0_152_50_152_50 () Int)
(declare-fun endIndex_152_29_150_5_0_152_29_15_1512_48 () Int)
(declare-fun RES_150_5_0_152_29_152_29 () Int)
(declare-fun EC_150_5_0_152_29_152_29 () Int)
(declare-fun RES_150_5_1_150_21_150_21 () Int)
(declare-fun EC_150_5_1_150_21_150_21 () Int)
(declare-fun RES_150_5_1_151_31_151_31 () Int)
(declare-fun EC_150_5_1_151_31_151_31 () Int)
(declare-fun XRES_5_ () Int)
(declare-fun pathname_143_12_2_ () Int)
(declare-fun RES_5_ () Int)
(declare-fun index_151_15_150_5_1_151_15_15_528_27 () Int)
(declare-fun RES_150_5_1_151_15_151_15 () Int)
(declare-fun EC_150_5_1_151_15_151_15 () Int)
(declare-fun tmp7_cand_150_5_1_150_12 () Int)
(declare-fun tmp7_cand_150_32_1_ () Int)
(declare-fun XRES_6_ () Int)
(declare-fun XRES_150_5_1_151_15_151_15 () Int)
(declare-fun RES_6_ () Int)
(declare-fun EC_4_ () Int)
(declare-fun XRES_150_5_1_150_21_150_21 () Int)
(declare-fun XRES_7_ () Int)
(declare-fun pathname_143_12_3_ () Int)
(declare-fun RES_7_ () Int)
(declare-fun EC_5_ () Int)
(declare-fun RES_154_16_154_16 () Int)
(declare-fun EC_154_16_154_16 () Int)
(declare-fun this_160_43_160_43 () Int)
(declare-fun RES_160_43_160_43 () Int)
(declare-fun EC_160_43_160_43 () Int)
(declare-fun XRES_160_43_160_43 () Int)
(declare-fun EC_loopold_2_ () Int)
(declare-fun RES_161_5_0_162_15_162_15 () Int)
(declare-fun EC_161_5_0_162_15_162_15 () Int)
(declare-fun XRES_161_5_0_162_15_162_15 () Int)
(declare-fun EC_162_14 () Int)
(declare-fun XRES_8_ () Int)
(declare-fun RES_8_ () Int)
(declare-fun EC_6_ () Int)
(declare-fun XRES_9_ () Int)
(declare-fun RES_9_ () Int)
(declare-fun EC_7_ () Int)
(declare-fun after_175_17_175_17 () Int)
(declare-fun RES_175_17_175_17 () Int)
(declare-fun EC_175_17_175_17 () Int)
(declare-fun owner_4_35_28 () Int)
(declare-fun moreElements_loopold_31_58_29 () Int)
(declare-fun EC_loopold_3_ () Int)
(declare-fun RES_176_1_0_176_10_176_10 () Int)
(declare-fun EC_176_1_0_176_10_176_10 () Int)
(declare-fun moreElements_176_1_0_177_25_31_89_17 () Int)
(declare-fun after_177_25_176_1_0_177_25_31_89_17 () Int)
(declare-fun RES_176_1_0_177_25_177_25 () Int)
(declare-fun EC_176_1_0_177_25_177_25 () Int)
(declare-fun node_176_1_0_177_5 () Int)
(declare-fun file_176_1_0_178_5 () Int)
(declare-fun RES_176_1_0_181_27_181_27 () Int)
(declare-fun EC_176_1_0_181_27_181_27 () Int)
(declare-fun arg0_181_16_176_1_0_181_16_25__ () Int)
(declare-fun EC_176_1_0_181_16_181_16 () Int)
(declare-fun RES_176_1_0_182_14_182_14 () Int)
(declare-fun EC_176_1_0_182_14_182_14 () Int)
(declare-fun EC_176_1_0_183_13_183_13 () Int)
(declare-fun XRES_10_ () Int)
(declare-fun XRES_176_1_0_183_13_183_13 () Int)
(declare-fun RES_10_ () Int)
(declare-fun RES_176_1_0_183_13_183_13 () Int)
(declare-fun EC_8_ () Int)
(declare-fun RES_176_1_0_185_30_185_30 () Int)
(declare-fun EC_176_1_0_185_30_185_30 () Int)
(declare-fun arg0_185_13_176_1_0_185_13_25__ () Int)
(declare-fun EC_176_1_0_185_13_185_13 () Int)
(declare-fun XRES_176_1_0_185_13_185_13 () Int)
(declare-fun RES_176_1_0_185_13_185_13 () Int)
(declare-fun RES_176_1_0_186_14_186_14 () Int)
(declare-fun EC_176_1_0_186_14_186_14 () Int)
(declare-fun EC_176_1_0_187_20_187_20 () Int)
(declare-fun XRES_11_ () Int)
(declare-fun XRES_176_1_0_187_20_187_20 () Int)
(declare-fun RES_11_ () Int)
(declare-fun RES_176_1_0_187_20_187_20 () Int)
(declare-fun EC_9_ () Int)
(declare-fun XRES_176_1_0_186_14_186_14 () Int)
(declare-fun EC_176_1_0_189_23_189_23 () Int)
(declare-fun XRES_12_ () Int)
(declare-fun XRES_176_1_0_176_10_176_10 () Int)
(declare-fun RES_176_1_1_176_10_176_10 () Int)
(declare-fun EC_176_1_1_176_10_176_10 () Int)
(declare-fun XRES_176_1_1_176_10_176_10 () Int)
(declare-fun XRES_13_ () Int)
(declare-fun EC_10_ () Int)
(declare-fun XRES_124_9 () Int)
(declare-fun EC_124_9 () Int)
(declare-fun arg0_125_16_125_16_25__ () Int)
(declare-fun EC_125_16_125_16 () Int)
(declare-fun XRES_124_9_1_ () Int)
(declare-fun XRES_125_16_125_16 () Int)
(declare-fun EC_124_9_1_ () Int)
(declare-fun XRES_14_ () Int)
(declare-fun RES_12_ () Int)
(declare-fun EC_11_ () Int)
(declare-fun E_136_22 () Int)
(declare-fun arg0_137_16_137_16_25__ () Int)
(declare-fun EC_137_16_137_16 () Int)
(declare-fun XRES_15_ () Int)
(declare-fun XRES_137_16_137_16 () Int)
(declare-fun RES_13_ () Int)
(declare-fun RES_137_16_137_16 () Int)
(declare-fun EC_12_ () Int)
(declare-fun XRES_143_27 () Int)
(declare-fun RES_143_27 () Int)
(declare-fun EC_143_27 () Int)
(declare-fun arg0_156_13_156_13_25__ () Int)
(declare-fun EC_156_13_156_13 () Int)
(declare-fun XRES_156_13_156_13 () Int)
(declare-fun RES_156_13_156_13 () Int)
(assert (let ((?v_0 (not (= args_122_37 null)))) (let ((?v_1 (not ?v_0)) (?v_4 (arrayLength args_122_37))) (let ((?v_2 (< ?v_4 1))) (let ((?v_3 (not ?v_2)) (?v_5 (= true_term true_term))) (let ((?v_161 (or (and ?v_2 ?v_5 (= tmp0_cor_124_19 true_term)) (and ?v_3 ?v_0 (= tmp0_cor_124_5 (integralGT ?v_4 2)) (= tmp0_cor_124_19 tmp0_cor_124_5)))) (?v_184 (= true_term tmp0_cor_124_19))) (let ((?v_162 (not ?v_184)) (?v_6 (<= 0 0)) (?v_7 (< 0 ?v_4)) (?v_15 (S_select elems args_122_37))) (let ((?v_8 (= tmp2_135_18 (S_select ?v_15 0))) (?v_9 (not (= tmp2_135_18 null))) (?v_163 (= true_term (is RES_135_9_135_9 T_javafe_filespace_Tree))) (?v_164 (= true_term (isAllocated RES_135_9_135_9 alloc))) (?v_10 (= EC_135_9_135_9 ecThrow)) (?v_187 (= XRES_135_9_135_9 null)) (?v_11 (typeof XRES_135_9_135_9))) (let ((?v_165 (=> ?v_10 (and (not ?v_187) (= (PO_LT ?v_11 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_135_9_135_9 alloc))))) (?v_12 (= EC_135_9_135_9 ecReturn)) (?v_186 (= (PO_LT ?v_11 T_java_io_IOException) true_term))) (let ((?v_166 (or ?v_12 (and ?v_10 ?v_186))) (?v_80 (not (= RES_135_9_135_9 null)))) (let ((?v_167 (=> ?v_12 ?v_80)) (?v_92 (= ?v_4 2)) (?v_13 (<= 0 1))) (let ((?v_82 (not ?v_13)) (?v_14 (< 1 ?v_4))) (let ((?v_83 (not ?v_14)) (?v_189 (S_select ?v_15 1))) (let ((?v_93 (= pathname_143_5 ?v_189)) (?v_34 (= pathname_143_5 pathname_loopold_143_12)) (?v_35 (= EC_135_9_135_9 EC_loopold)) (?v_16 (not (= pathname_143_5 null)))) (let ((?v_18 (not ?v_16)) (?v_19 (= true_term (is RES_146_5_0_146_21_146_21 T_int))) (?v_17 (= EC_146_5_0_146_21_146_21 ecReturn))) (let ((?v_20 (=> ?v_17 (>= RES_146_5_0_146_21_146_21 0))) (?v_24 (S_select count_15_99_33 pathname_143_5))) (let ((?v_21 (=> ?v_17 (= RES_146_5_0_146_21_146_21 ?v_24))) (?v_22 (> RES_146_5_0_146_21_146_21 0))) (let ((?v_25 (or (and ?v_22 ?v_16 (= true_term (is RES_146_5_0_146_44_146_44 T_char)) (= EC_146_5_0_146_44_146_44 ecReturn) (= tmp4_cand_146_5_0_146_12 (integralEQ RES_146_5_0_146_44_146_44 47)) (= tmp5_pathname_146_35 pathname_143_5) (= XRES XRES_146_5_0_146_44_146_44) (= tmp4_cand_146_32 tmp4_cand_146_5_0_146_12) (= RES RES_146_5_0_146_44_146_44) (= EC EC_146_5_0_146_44_146_44)) (and (not ?v_22) ?v_5 (= tmp5_pathname_146_35 tmp5_pathname_146_5_0_146_35) (= XRES XRES_146_5_0_146_21_146_21) (= tmp4_cand_146_32 false_term) (= RES RES_146_5_0_146_21_146_21) (= EC EC_146_5_0_146_21_146_21)))) (?v_26 (= true_term tmp4_cand_146_32)) (?v_27 (= true_term (is RES_146_5_0_147_50_147_50 T_int))) (?v_23 (= EC_146_5_0_147_50_147_50 ecReturn))) (let ((?v_28 (=> ?v_23 (>= RES_146_5_0_147_50_147_50 0))) (?v_29 (=> ?v_23 (= RES_146_5_0_147_50_147_50 ?v_24))) (?v_36 (= true_term (is RES_146_5_0_147_29_147_29 T_java_lang_String))) (?v_37 (= true_term (isAllocated RES_146_5_0_147_29_147_29 alloc))) (?v_30 (= EC_146_5_0_147_29_147_29 ecReturn)) (?v_31 (not (= RES_146_5_0_147_29_147_29 null)))) (let ((?v_38 (=> ?v_30 ?v_31)) (?v_33 (not ?v_31)) (?v_39 (= true_term (is RES_146_5_1_146_21_146_21 T_int))) (?v_32 (= EC_146_5_1_146_21_146_21 ecReturn))) (let ((?v_40 (=> ?v_32 (>= RES_146_5_1_146_21_146_21 0))) (?v_41 (=> ?v_32 (= RES_146_5_1_146_21_146_21 (S_select count_15_99_33 RES_146_5_0_147_29_147_29)))) (?v_42 (> RES_146_5_1_146_21_146_21 0))) (let ((?v_94 (or (and ?v_5 ?v_16 ?v_19 ?v_17 ?v_20 ?v_21 ?v_25 (not ?v_26) (= XRES_1_ XRES) (= pathname_143_12 pathname_143_5) (= RES_1_ RES)) (and ?v_5 ?v_16 ?v_19 ?v_17 ?v_20 ?v_21 ?v_25 ?v_26 ?v_16 ?v_27 ?v_23 ?v_28 ?v_29 ?v_16 ?v_36 ?v_37 ?v_30 ?v_38 ?v_5 ?v_31 ?v_39 ?v_32 ?v_40 ?v_41 (or (and ?v_42 ?v_31 (= true_term (is RES_146_5_1_146_44_146_44 T_char)) (= EC_146_5_1_146_44_146_44 ecReturn) (= tmp4_cand_146_5_1_146_12 (integralEQ RES_146_5_1_146_44_146_44 47)) (= XRES_2_ XRES_146_5_1_146_44_146_44) (= tmp4_cand_146_32_1_ tmp4_cand_146_5_1_146_12) (= RES_2_ RES_146_5_1_146_44_146_44) (= EC_1_ EC_146_5_1_146_44_146_44)) (and (not ?v_42) ?v_5 (= XRES_2_ XRES_146_5_1_146_21_146_21) (= tmp4_cand_146_32_1_ false_term) (= RES_2_ RES_146_5_1_146_21_146_21) (= EC_1_ EC_146_5_1_146_21_146_21))) (not (= true_term tmp4_cand_146_32_1_)) (= XRES_1_ XRES_2_) (= pathname_143_12 RES_146_5_0_147_29_147_29) (= RES_1_ RES_2_)))) (?v_95 (= L_146_5 L_146_5)) (?v_96 (= XRES_3_ XRES_1_)) (?v_97 (= pathname_143_12_1_ pathname_143_12)) (?v_98 (= RES_3_ RES_1_)) (?v_99 (= EC_2_ L_146_5)) (?v_67 (= pathname_143_12_1_ pathname_loopold_143_12_1_)) (?v_68 (= EC_2_ EC_loopold_1_)) (?v_43 (not (= pathname_143_12_1_ null)))) (let ((?v_45 (not ?v_43)) (?v_48 (= true_term (is RES_150_5_0_150_21_150_21 T_int))) (?v_44 (= EC_150_5_0_150_21_150_21 ecReturn))) (let ((?v_49 (=> ?v_44 (>= RES_150_5_0_150_21_150_21 0))) (?v_47 (S_select count_15_99_33 pathname_143_12_1_))) (let ((?v_50 (=> ?v_44 (= RES_150_5_0_150_21_150_21 ?v_47))) (?v_51 (> RES_150_5_0_150_21_150_21 0)) (?v_52 (= true_term (is RES_150_5_0_151_31_151_31 T_int))) (?v_46 (= EC_150_5_0_151_31_151_31 ecReturn))) (let ((?v_53 (=> ?v_46 (>= RES_150_5_0_151_31_151_31 0))) (?v_54 (=> ?v_46 (= RES_150_5_0_151_31_151_31 ?v_47)))) (let ((?v_56 (or (and ?v_51 ?v_43 ?v_52 ?v_46 ?v_53 ?v_54 ?v_43 (= index_151_15_150_5_0_151_15_15_528_27 (- RES_150_5_0_151_31_151_31 1)) (= true_term (is RES_150_5_0_151_15_151_15 T_char)) (= EC_150_5_0_151_15_151_15 ecReturn) (= tmp7_cand_150_5_0_150_12 (integralEQ RES_150_5_0_151_15_151_15 47)) (= tmp7_cand_150_32 tmp7_cand_150_5_0_150_12) (= XRES_4_ XRES_150_5_0_151_15_151_15) (= RES_4_ RES_150_5_0_151_15_151_15) (= EC_3_ EC_150_5_0_151_15_151_15) (= tmp8_pathname_151_6 pathname_143_12_1_)) (and (not ?v_51) ?v_5 (= tmp7_cand_150_32 false_term) (= XRES_4_ XRES_150_5_0_150_21_150_21) (= RES_4_ RES_150_5_0_150_21_150_21) (= EC_3_ EC_150_5_0_150_21_150_21) (= tmp8_pathname_151_6 tmp8_pathname_150_5_0_151_6)))) (?v_57 (= true_term tmp7_cand_150_32)) (?v_58 (= true_term (is RES_150_5_0_152_50_152_50 T_int))) (?v_55 (= EC_150_5_0_152_50_152_50 ecReturn))) (let ((?v_59 (=> ?v_55 (>= RES_150_5_0_152_50_152_50 0))) (?v_60 (=> ?v_55 (= RES_150_5_0_152_50_152_50 ?v_47))) (?v_69 (= endIndex_152_29_150_5_0_152_29_15_1512_48 (- RES_150_5_0_152_50_152_50 1))) (?v_70 (= true_term (is RES_150_5_0_152_29_152_29 T_java_lang_String))) (?v_71 (= true_term (isAllocated RES_150_5_0_152_29_152_29 alloc))) (?v_61 (= EC_150_5_0_152_29_152_29 ecReturn)) (?v_62 (not (= RES_150_5_0_152_29_152_29 null)))) (let ((?v_72 (=> ?v_61 ?v_62)) (?v_64 (not ?v_62)) (?v_73 (= true_term (is RES_150_5_1_150_21_150_21 T_int))) (?v_63 (= EC_150_5_1_150_21_150_21 ecReturn))) (let ((?v_74 (=> ?v_63 (>= RES_150_5_1_150_21_150_21 0))) (?v_66 (S_select count_15_99_33 RES_150_5_0_152_29_152_29))) (let ((?v_75 (=> ?v_63 (= RES_150_5_1_150_21_150_21 ?v_66))) (?v_76 (> RES_150_5_1_150_21_150_21 0)) (?v_77 (= true_term (is RES_150_5_1_151_31_151_31 T_int))) (?v_65 (= EC_150_5_1_151_31_151_31 ecReturn))) (let ((?v_78 (=> ?v_65 (>= RES_150_5_1_151_31_151_31 0))) (?v_79 (=> ?v_65 (= RES_150_5_1_151_31_151_31 ?v_66)))) (let ((?v_100 (or (and ?v_5 ?v_43 ?v_48 ?v_44 ?v_49 ?v_50 ?v_56 (not ?v_57) (= XRES_5_ XRES_4_) (= pathname_143_12_2_ pathname_143_12_1_) (= RES_5_ RES_4_)) (and ?v_5 ?v_43 ?v_48 ?v_44 ?v_49 ?v_50 ?v_56 ?v_57 ?v_43 ?v_58 ?v_55 ?v_59 ?v_60 ?v_43 ?v_69 ?v_70 ?v_71 ?v_61 ?v_72 ?v_5 ?v_62 ?v_73 ?v_63 ?v_74 ?v_75 (or (and ?v_76 ?v_62 ?v_77 ?v_65 ?v_78 ?v_79 ?v_62 (= index_151_15_150_5_1_151_15_15_528_27 (- RES_150_5_1_151_31_151_31 1)) (= true_term (is RES_150_5_1_151_15_151_15 T_char)) (= EC_150_5_1_151_15_151_15 ecReturn) (= tmp7_cand_150_5_1_150_12 (integralEQ RES_150_5_1_151_15_151_15 47)) (= tmp7_cand_150_32_1_ tmp7_cand_150_5_1_150_12) (= XRES_6_ XRES_150_5_1_151_15_151_15) (= RES_6_ RES_150_5_1_151_15_151_15) (= EC_4_ EC_150_5_1_151_15_151_15)) (and (not ?v_76) ?v_5 (= tmp7_cand_150_32_1_ false_term) (= XRES_6_ XRES_150_5_1_150_21_150_21) (= RES_6_ RES_150_5_1_150_21_150_21) (= EC_4_ EC_150_5_1_150_21_150_21))) (not (= true_term tmp7_cand_150_32_1_)) (= XRES_5_ XRES_6_) (= pathname_143_12_2_ RES_150_5_0_152_29_152_29) (= RES_5_ RES_6_)))) (?v_101 (= L_150_5 L_150_5)) (?v_102 (= XRES_7_ XRES_5_)) (?v_103 (= pathname_143_12_3_ pathname_143_12_2_)) (?v_104 (= RES_7_ RES_5_)) (?v_105 (= EC_5_ L_150_5)) (?v_124 (not ?v_80)) (?v_81 (not (= pathname_143_12_3_ null))) (?v_106 (= true_term (is RES_154_16_154_16 T_javafe_filespace_Tree))) (?v_107 (= true_term (isAllocated RES_154_16_154_16 alloc))) (?v_108 (= EC_154_16_154_16 ecReturn)) (?v_84 (= RES_154_16_154_16 null))) (let ((?v_85 (not ?v_84)) (?v_86 (S_select data_5_41_18 RES_154_16_154_16))) (let ((?v_109 (= true_term (is ?v_86 T_javafe_genericfile_GenericFile))) (?v_87 (cast ?v_86 T_javafe_genericfile_GenericFile))) (let ((?v_110 (not (= ?v_87 null))) (?v_111 (= this_160_43_160_43 ?v_87)) (?v_112 (= true_term (is RES_160_43_160_43 T_java_io_InputStream))) (?v_113 (= true_term (isAllocated RES_160_43_160_43 alloc))) (?v_88 (= EC_160_43_160_43 ecThrow)) (?v_89 (typeof XRES_160_43_160_43))) (let ((?v_114 (=> ?v_88 (and (not (= XRES_160_43_160_43 null)) (= (PO_LT ?v_89 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_160_43_160_43 alloc))))) (?v_90 (= EC_160_43_160_43 ecReturn))) (let ((?v_115 (or ?v_90 (and ?v_88 (= (PO_LT ?v_89 T_java_io_IOException) true_term)))) (?v_91 (not (= RES_160_43_160_43 null)))) (let ((?v_116 (=> ?v_90 ?v_91)) (?v_117 (= EC_160_43_160_43 EC_loopold_2_)) (?v_120 (= true_term (is RES_161_5_0_162_15_162_15 T_int))) (?v_118 (= EC_161_5_0_162_15_162_15 ecThrow)) (?v_119 (typeof XRES_161_5_0_162_15_162_15))) (let ((?v_121 (=> ?v_118 (and (not (= XRES_161_5_0_162_15_162_15 null)) (= (PO_LT ?v_119 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_161_5_0_162_15_162_15 alloc))))) (?v_123 (= EC_161_5_0_162_15_162_15 ecReturn))) (let ((?v_122 (or ?v_123 (and ?v_118 (= (PO_LT ?v_119 T_java_io_IOException) true_term))))) (let ((?v_190 (or (and ?v_120 ?v_121 ?v_122 ?v_5 ?v_118 (= EC_162_14 EC_161_5_0_162_15_162_15)) (and ?v_120 ?v_121 ?v_122 ?v_123 (< RES_161_5_0_162_15_162_15 0) ?v_5 ?v_5 (= EC_162_14 ecReturn)))) (?v_191 (not (= EC_162_14 C_161_5))) (?v_192 (= EC_162_14 L_161_5))) (let ((?v_168 (or (and ?v_92 ?v_5 ?v_0 ?v_13 ?v_14 ?v_93 ?v_34 ?v_35 ?v_94 ?v_95 ?v_96 ?v_97 ?v_98 ?v_99 ?v_67 ?v_68 ?v_100 ?v_101 ?v_102 ?v_103 ?v_104 ?v_105 ?v_80 ?v_81 ?v_106 ?v_107 ?v_108 ?v_85 ?v_5 ?v_85 ?v_109 ?v_110 ?v_111 ?v_112 ?v_113 ?v_114 ?v_115 ?v_116 ?v_90 ?v_117 ?v_5 ?v_91 ?v_190 ?v_191 ?v_192 (= XRES_8_ XRES_161_5_0_162_15_162_15) (= RES_8_ RES_161_5_0_162_15_162_15) (= EC_6_ EC_162_14) (= XRES_9_ XRES_8_) (= RES_9_ RES_8_) (= EC_7_ EC_6_)) (and (not ?v_92) ?v_5 (= XRES_9_ XRES_135_9_135_9) (= RES_9_ RES_135_9_135_9) (= EC_7_ EC_135_9_135_9)))) (?v_169 (< alloc after_175_17_175_17)) (?v_125 (not (= RES_175_17_175_17 null))) (?v_170 (not (= true_term (isAllocated RES_175_17_175_17 alloc)))) (?v_171 (= true_term (is RES_175_17_175_17 T_javafe_filespace_TreeWalker))) (?v_172 (= true_term (isAllocated RES_175_17_175_17 after_175_17_175_17))) (?v_173 (= EC_175_17_175_17 ecReturn)) (?v_174 (= (S_select owner_4_35_28 RES_175_17_175_17) null)) (?v_175 (= (typeof RES_175_17_175_17) T_javafe_filespace_TreeWalker)) (?v_176 (= moreElements_31_58_29 moreElements_loopold_31_58_29)) (?v_177 (= EC_175_17_175_17 EC_loopold_3_))) (let ((?v_128 (not ?v_125)) (?v_140 (= true_term (is RES_176_1_0_176_10_176_10 T_boolean))) (?v_126 (= EC_176_1_0_176_10_176_10 ecReturn)) (?v_127 (= true_term RES_176_1_0_176_10_176_10)) (?v_129 (= true_term (S_select moreElements_31_58_29 RES_175_17_175_17)))) (let ((?v_141 (=> ?v_126 (= ?v_127 ?v_129))) (?v_142 (= moreElements_176_1_0_177_25_31_89_17 (S_store moreElements_31_58_29 RES_175_17_175_17 after_177_25_176_1_0_177_25_31_89_17))) (?v_143 (= moreElements_176_1_0_177_25_31_89_17 (asField moreElements_176_1_0_177_25_31_89_17 T_boolean))) (?v_144 (= true_term (is RES_176_1_0_177_25_177_25 T_java_lang_Object))) (?v_145 (= true_term (isAllocated RES_176_1_0_177_25_177_25 after_175_17_175_17))) (?v_130 (= EC_176_1_0_177_25_177_25 ecReturn)) (?v_131 (= RES_176_1_0_177_25_177_25 null))) (let ((?v_146 (=> ?v_130 (or (= (PO_LT (typeof RES_176_1_0_177_25_177_25) (S_select elementType_31_74_27 RES_175_17_175_17)) true_term) ?v_131))) (?v_147 (=> (and ?v_130 (not (= true_term (S_select returnsNull_31_79_29 RES_175_17_175_17)))) (not ?v_131))) (?v_148 (forall ((?brokenObj_13_ Int)) (let ((?v_196 (= true_term (S_select lookAheadValid_30_40_20 ?brokenObj_13_))) (?v_197 (not (= (S_select lookAhead_30_43_19 ?brokenObj_13_) null)))) (=> (and (= true_term (is ?brokenObj_13_ T_javafe_filespace_LookAheadEnum)) (not (= ?brokenObj_13_ null)) (=> ?v_196 (= (= true_term (S_select moreElements_31_58_29 ?brokenObj_13_)) ?v_197)) ?v_196) (= (= true_term (S_select moreElements_176_1_0_177_25_31_89_17 ?brokenObj_13_)) ?v_197))))) (?v_132 (= true_term (is RES_176_1_0_177_25_177_25 T_javafe_filespace_Tree))) (?v_149 (= node_176_1_0_177_5 (cast RES_176_1_0_177_25_177_25 T_javafe_filespace_Tree))) (?v_133 (not (= node_176_1_0_177_5 null))) (?v_134 (S_select data_5_41_18 node_176_1_0_177_5))) (let ((?v_150 (= true_term (is ?v_134 T_javafe_genericfile_GenericFile))) (?v_151 (= file_176_1_0_178_5 (cast ?v_134 T_javafe_genericfile_GenericFile))) (?v_135 (not (= file_176_1_0_178_5 null)))) (let ((?v_137 (not ?v_135)) (?v_152 (= true_term (is RES_176_1_0_181_27_181_27 T_java_lang_String))) (?v_153 (= true_term (isAllocated RES_176_1_0_181_27_181_27 after_175_17_175_17))) (?v_136 (= EC_176_1_0_181_27_181_27 ecReturn))) (let ((?v_154 (=> ?v_136 (not (= RES_176_1_0_181_27_181_27 null)))) (?v_155 (= arg0_181_16_176_1_0_181_16_25__ (stringCat RES_176_1_0_181_27_181_27 S_181_44))) (?v_156 (= EC_176_1_0_181_16_181_16 ecReturn)) (?v_157 (= true_term (is RES_176_1_0_182_14_182_14 T_long))) (?v_158 (= EC_176_1_0_182_14_182_14 ecReturn)) (?v_138 (= RES_176_1_0_182_14_182_14 0))) (let ((?v_139 (not ?v_138))) (let ((?v_159 (or (and ?v_138 ?v_5 (= EC_176_1_0_183_13_183_13 ecReturn) (= XRES_10_ XRES_176_1_0_183_13_183_13) (= RES_10_ RES_176_1_0_183_13_183_13) (= EC_8_ EC_176_1_0_183_13_183_13)) (and ?v_139 ?v_5 ?v_135 (= true_term (is RES_176_1_0_185_30_185_30 T_long)) (= EC_176_1_0_185_30_185_30 ecReturn) (= arg0_185_13_176_1_0_185_13_25__ (stringCat (stringCat S_185_19 RES_176_1_0_185_30_185_30) S_185_47)) (= EC_176_1_0_185_13_185_13 ecReturn) (= XRES_10_ XRES_176_1_0_185_13_185_13) (= RES_10_ RES_176_1_0_185_13_185_13) (= EC_8_ EC_176_1_0_185_13_185_13)))) (?v_178 (= true_term (is RES_176_1_0_186_14_186_14 T_boolean))) (?v_179 (= EC_176_1_0_186_14_186_14 ecReturn)) (?v_160 (= true_term RES_176_1_0_186_14_186_14))) (let ((?v_180 (or (and ?v_160 ?v_5 (= EC_176_1_0_187_20_187_20 ecReturn) (= XRES_11_ XRES_176_1_0_187_20_187_20) (= RES_11_ RES_176_1_0_187_20_187_20) (= EC_9_ EC_176_1_0_187_20_187_20)) (and (not ?v_160) ?v_5 (= XRES_11_ XRES_176_1_0_186_14_186_14) (= RES_11_ RES_176_1_0_186_14_186_14) (= EC_9_ EC_176_1_0_186_14_186_14)))) (?v_181 (= EC_176_1_0_189_23_189_23 ecReturn)) (?v_182 (= EC_176_1_1_176_10_176_10 ecReturn)) (?v_183 (= true_term RES_176_1_1_176_10_176_10))) (let ((?v_193 (or (and ?v_5 ?v_125 ?v_140 ?v_126 ?v_141 (not ?v_127) (= XRES_12_ XRES_176_1_0_176_10_176_10)) (and ?v_5 ?v_125 ?v_140 ?v_126 ?v_141 ?v_127 ?v_125 ?v_129 ?v_142 ?v_143 ?v_144 ?v_145 ?v_130 ?v_146 ?v_147 ?v_148 ?v_132 ?v_149 ?v_133 ?v_150 ?v_151 ?v_135 ?v_135 ?v_152 ?v_153 ?v_136 ?v_154 ?v_155 ?v_156 ?v_135 ?v_157 ?v_158 ?v_159 ?v_135 ?v_178 ?v_179 ?v_180 ?v_181 ?v_5 ?v_125 (= true_term (is RES_176_1_1_176_10_176_10 T_boolean)) ?v_182 (=> ?v_182 (= ?v_183 (= true_term (S_select moreElements_176_1_0_177_25_31_89_17 RES_175_17_175_17)))) (not ?v_183) (= XRES_12_ XRES_176_1_1_176_10_176_10)))) (?v_194 (= L_176_1 L_176_1)) (?v_195 (= EC_124_9 ecReturn)) (?v_185 (not ?v_10)) (?v_188 (or ?v_186 ?v_187))) (not (=> (and (distinct L_150_5 ecReturn ecThrow L_161_5 C_161_5 L_176_1 L_146_5) (not (= S_137_24 null)) (= (typeof S_137_24) T_java_lang_String) (not (= S_125_24 null)) (= (typeof S_125_24) T_java_lang_String) (not (= S_126_4 null)) (= (typeof S_126_4) T_java_lang_String) (not (= S_185_47 null)) (= (typeof S_185_47) T_java_lang_String) (not (= S_181_44 null)) (= (typeof S_181_44) T_java_lang_String) (not (= S_156_21 null)) (= (typeof S_156_21) T_java_lang_String) (not (= S_185_19 null)) (= (typeof S_185_19) T_java_lang_String)) (=> (and (= value_pre_15_91_31 value_15_91_31) (= value_15_91_31 (asField value_15_91_31 (array T_char))) (< (fClosedTime value_15_91_31) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select value_15_91_31 ?s) null)))) (= remainingChildren_pre_29_39_26 remainingChildren_29_39_26) (= remainingChildren_29_39_26 (asField remainingChildren_29_39_26 T_java_util_Enumeration)) (< (fClosedTime remainingChildren_29_39_26) alloc) (= out_pre_24_83_49 out_24_83_49) (= true_term (is out_24_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_24_83_49 alloc)) (not (= out_24_83_49 null)) (= count_pre_15_99_33 count_15_99_33) (= count_15_99_33 (asField count_15_99_33 T_int)) (= lookAheadValid_pre_30_40_20 lookAheadValid_30_40_20) (= lookAheadValid_30_40_20 (asField lookAheadValid_30_40_20 T_boolean)) (= moreElements_pre_31_58_29 moreElements_31_58_29) (= moreElements_31_58_29 (asField moreElements_31_58_29 T_boolean)) (= lookAhead_pre_30_43_19 lookAhead_30_43_19) (= lookAhead_30_43_19 (asField lookAhead_30_43_19 T_java_lang_Object)) (< (fClosedTime lookAhead_30_43_19) alloc) (= elementType_pre_31_74_27 elementType_31_74_27) (= elementType_31_74_27 (asField elementType_31_74_27 T__TYPE)) (= remainingNodes_pre_29_48_26 remainingNodes_29_48_26) (= remainingNodes_29_48_26 (asField remainingNodes_29_48_26 T_java_util_Enumeration)) (< (fClosedTime remainingNodes_29_48_26) alloc) (= returnsNull_pre_31_79_29 returnsNull_31_79_29) (= returnsNull_31_79_29 (asField returnsNull_31_79_29 T_boolean)) (= data_pre_5_41_18 data_5_41_18) (= data_5_41_18 (asField data_5_41_18 T_java_lang_Object)) (< (fClosedTime data_5_41_18) alloc) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is args_122_37 (array T_java_lang_String))) (= true_term (isAllocated args_122_37 alloc)) (= true_term (nonnullelements args_122_37 elems)) (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_filespace_TreeWalker)) (not (= ?brokenObj null))) (not (= true_term (S_select returnsNull_31_79_29 (S_select remainingNodes_29_48_26 ?brokenObj)))))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_filespace_TreeWalker)) (not (= ?brokenObj_1_ null))) (= (S_select elementType_31_74_27 (S_select remainingChildren_29_39_26 ?brokenObj_1_)) T_javafe_filespace_Tree))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_filespace_TreeWalker)) (not (= ?brokenObj_2_ null))) (not (= (S_select remainingChildren_29_39_26 ?brokenObj_2_) null)))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_filespace_LookAheadEnum)) (not (= ?brokenObj_3_ null))) (not (= true_term (S_select returnsNull_31_79_29 ?brokenObj_3_))))) (forall ((?brokenObj_4_ Int)) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_filespace_LookAheadEnum)) (not (= ?brokenObj_4_ null)) (= true_term (S_select lookAheadValid_30_40_20 ?brokenObj_4_))) (= (= true_term (S_select moreElements_31_58_29 ?brokenObj_4_)) (not (= (S_select lookAhead_30_43_19 ?brokenObj_4_) null))))) (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_filespace_TreeWalker)) (not (= ?brokenObj_5_ null))) (not (= true_term (S_select returnsNull_31_79_29 (S_select remainingChildren_29_39_26 ?brokenObj_5_)))))) (forall ((?brokenObj_6_ Int)) (let ((?v_198 (S_select lookAhead_30_43_19 ?brokenObj_6_))) (=> (and (= true_term (is ?brokenObj_6_ T_javafe_filespace_LookAheadEnum)) (not (= ?brokenObj_6_ null))) (or (= (PO_LT (typeof ?v_198) (S_select elementType_31_74_27 ?brokenObj_6_)) true_term) (= ?v_198 null))))) (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_java_lang_String)) (not (= ?brokenObj_7_ null))) (>= (S_select count_15_99_33 ?brokenObj_7_) 0))) (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_javafe_filespace_TreeWalker)) (not (= ?brokenObj_8_ null))) (= (S_select elementType_31_74_27 (S_select remainingNodes_29_48_26 ?brokenObj_8_)) T_javafe_filespace_Tree))) (forall ((?brokenObj_9_ Int)) (=> (and (= true_term (is ?brokenObj_9_ T_java_lang_String)) (not (= ?brokenObj_9_ null))) (<= (S_select count_15_99_33 ?brokenObj_9_) (arrayLength (S_select value_15_91_31 ?brokenObj_9_))))) (forall ((?brokenObj_10_ Int)) (=> (and (= true_term (is ?brokenObj_10_ T_javafe_filespace_TreeWalker)) (not (= ?brokenObj_10_ null))) (not (= (S_select remainingNodes_29_48_26 ?brokenObj_10_) null)))) (forall ((?brokenObj_11_ Int)) (=> (and (= true_term (is ?brokenObj_11_ T_javafe_filespace_TreeWalker)) (not (= ?brokenObj_11_ null))) (not (= true_term (S_select returnsNull_31_79_29 ?brokenObj_11_))))) (forall ((?brokenObj_12_ Int)) (=> (and (= true_term (is ?brokenObj_12_ T_javafe_filespace_TreeWalker)) (not (= ?brokenObj_12_ null))) (= (S_select elementType_31_74_27 ?brokenObj_12_) T_javafe_filespace_Tree))) (or ?v_1 (and ?v_0 (or (and ?v_3 ?v_1) (and ?v_161 ?v_162 ?v_5 (or ?v_1 (and ?v_0 (or (not ?v_6) (and ?v_6 (or (not ?v_7) (and ?v_7 ?v_8 (not ?v_9)))))) (and ?v_0 ?v_6 ?v_7 ?v_8 ?v_9 ?v_163 ?v_164 ?v_165 ?v_166 ?v_167 ?v_12 (or ?v_1 (and ?v_0 (or (and ?v_92 ?v_5 (or ?v_1 (and ?v_0 (or ?v_82 (and ?v_13 (or ?v_83 (and ?v_14 ?v_93 (or (and ?v_34 ?v_35 (or (and ?v_5 (or ?v_18 (and ?v_16 ?v_19 ?v_17 ?v_20 ?v_21 ?v_22 ?v_18) (and ?v_16 ?v_19 ?v_17 ?v_20 ?v_21 ?v_25 ?v_26 (or ?v_18 (and ?v_16 ?v_27 ?v_23 ?v_28 ?v_29 ?v_18))))) (and ?v_5 ?v_16 ?v_19 ?v_17 ?v_20 ?v_21 ?v_25 ?v_26 ?v_16 ?v_27 ?v_23 ?v_28 ?v_29 ?v_16 ?v_36 ?v_37 ?v_30 ?v_38 ?v_5 (or ?v_33 (and ?v_31 ?v_39 ?v_32 ?v_40 ?v_41 ?v_42 ?v_33))))) (and ?v_34 ?v_35 ?v_94 ?v_95 ?v_96 ?v_97 ?v_98 ?v_99 (or (and ?v_67 ?v_68 (or (and ?v_5 (or ?v_45 (and ?v_43 ?v_48 ?v_44 ?v_49 ?v_50 ?v_51 (or ?v_45 (and ?v_43 ?v_52 ?v_46 ?v_53 ?v_54 ?v_45))) (and ?v_43 ?v_48 ?v_44 ?v_49 ?v_50 ?v_56 ?v_57 (or ?v_45 (and ?v_43 ?v_58 ?v_55 ?v_59 ?v_60 ?v_45))))) (and ?v_5 ?v_43 ?v_48 ?v_44 ?v_49 ?v_50 ?v_56 ?v_57 ?v_43 ?v_58 ?v_55 ?v_59 ?v_60 ?v_43 ?v_69 ?v_70 ?v_71 ?v_61 ?v_72 ?v_5 (or ?v_64 (and ?v_62 ?v_73 ?v_63 ?v_74 ?v_75 ?v_76 (or ?v_64 (and ?v_62 ?v_77 ?v_65 ?v_78 ?v_79 ?v_64))))))) (and ?v_67 ?v_68 ?v_100 ?v_101 ?v_102 ?v_103 ?v_104 ?v_105 (or ?v_124 (and ?v_80 (or (not ?v_81) (and ?v_81 ?v_106 ?v_107 ?v_108 (or (and ?v_84 ?v_5 (or ?v_1 (and ?v_0 (or ?v_82 (and ?v_13 ?v_83))))) (and ?v_85 ?v_5 ?v_85 ?v_109 ?v_110 ?v_111 ?v_112 ?v_113 ?v_114 ?v_115 ?v_116 ?v_90 ?v_117 ?v_5 (not ?v_91)))))))))))))))))) (and ?v_168 (or ?v_124 (and ?v_80 ?v_169 ?v_125 ?v_170 ?v_171 ?v_172 ?v_173 ?v_174 ?v_175 ?v_176 ?v_177 (or (and ?v_5 (or ?v_128 (and ?v_125 ?v_140 ?v_126 ?v_141 ?v_127 (or ?v_128 (and ?v_125 (or (not ?v_129) (and ?v_129 ?v_142 ?v_143 ?v_144 ?v_145 ?v_130 ?v_146 ?v_147 ?v_148 (or (not ?v_132) (and ?v_132 ?v_149 (or (not ?v_133) (and ?v_133 ?v_150 ?v_151 ?v_135 (or ?v_137 (and ?v_135 ?v_152 ?v_153 ?v_136 ?v_154 ?v_155 ?v_156 (or ?v_137 (and ?v_135 ?v_157 ?v_158 (or (and ?v_139 ?v_5 ?v_137) (and ?v_159 ?v_137))))))))))))))))) (and ?v_5 ?v_125 ?v_140 ?v_126 ?v_141 ?v_127 ?v_125 ?v_129 ?v_142 ?v_143 ?v_144 ?v_145 ?v_130 ?v_146 ?v_147 ?v_148 ?v_132 ?v_149 ?v_133 ?v_150 ?v_151 ?v_135 ?v_135 ?v_152 ?v_153 ?v_136 ?v_154 ?v_155 ?v_156 ?v_135 ?v_157 ?v_158 ?v_159 ?v_135 ?v_178 ?v_179 ?v_180 ?v_181 ?v_5 ?v_128))))))))))))) (and (or (and ?v_0 ?v_161 ?v_162 ?v_5 ?v_0 ?v_6 ?v_7 ?v_8 ?v_9 ?v_163 ?v_164 ?v_165 ?v_166 ?v_167 ?v_12 ?v_0 ?v_168 ?v_80 ?v_169 ?v_125 ?v_170 ?v_171 ?v_172 ?v_173 ?v_174 ?v_175 ?v_176 ?v_177 ?v_193 ?v_194 (= XRES_13_ XRES_12_) (= EC_10_ L_176_1) (= XRES_124_9 XRES_13_) ?v_195) (and ?v_0 ?v_161 (or (and ?v_184 ?v_5 (= arg0_125_16_125_16_25__ (stringCat S_125_24 S_126_4)) (= EC_125_16_125_16 ecReturn) ?v_5 (= XRES_124_9_1_ XRES_125_16_125_16) (= EC_124_9_1_ ecReturn)) (and ?v_162 ?v_5 (or (and ?v_0 ?v_6 ?v_7 ?v_8 ?v_9 ?v_163 ?v_164 ?v_165 ?v_166 ?v_167 ?v_5 ?v_10 (or (and ?v_185 (= XRES_14_ XRES_135_9_135_9) (= RES_12_ RES_135_9_135_9) (= EC_11_ EC_135_9_135_9)) (and (not ?v_185) (or (and ?v_188 (= E_136_22 XRES_135_9_135_9) (= arg0_137_16_137_16_25__ (stringCat S_137_24 E_136_22)) (= EC_137_16_137_16 ecReturn) ?v_5 (= XRES_15_ XRES_137_16_137_16) (= RES_13_ RES_137_16_137_16) (= EC_12_ ecReturn)) (and (not ?v_188) (= XRES_15_ XRES_135_9_135_9) (= RES_13_ RES_135_9_135_9) (= EC_12_ EC_135_9_135_9))) (= XRES_14_ XRES_15_) (= RES_12_ RES_13_) (= EC_11_ EC_12_))) (= XRES_124_9_1_ XRES_14_) (= EC_124_9_1_ EC_11_)) (and ?v_0 ?v_6 ?v_7 ?v_8 ?v_9 ?v_163 ?v_164 ?v_165 ?v_166 ?v_167 ?v_12 ?v_0 (or (and ?v_92 ?v_5 ?v_0 ?v_13 ?v_14 ?v_93 (or (and ?v_34 ?v_35 ?v_94 (not ?v_95) (= XRES_143_27 XRES_1_) (= RES_143_27 RES_1_) (= EC_143_27 L_146_5)) (and ?v_34 ?v_35 ?v_94 ?v_95 ?v_96 ?v_97 ?v_98 ?v_99 (or (and ?v_67 ?v_68 ?v_100 (not ?v_101) (= XRES_143_27 XRES_5_) (= RES_143_27 RES_5_) (= EC_143_27 L_150_5)) (and ?v_67 ?v_68 ?v_100 ?v_101 ?v_102 ?v_103 ?v_104 ?v_105 ?v_80 ?v_81 ?v_106 ?v_107 ?v_108 (or (and ?v_84 ?v_5 ?v_0 ?v_13 ?v_14 (= arg0_156_13_156_13_25__ (stringCat S_156_21 ?v_189)) (= EC_156_13_156_13 ecReturn) ?v_5 (= XRES_143_27 XRES_156_13_156_13) (= RES_143_27 RES_156_13_156_13) (= EC_143_27 ecReturn)) (and ?v_85 ?v_5 ?v_85 ?v_109 ?v_110 (or (and ?v_111 ?v_112 ?v_113 ?v_114 ?v_115 ?v_116 ?v_5 ?v_88 (= XRES_143_27 XRES_160_43_160_43) (= RES_143_27 RES_160_43_160_43) (= EC_143_27 EC_160_43_160_43)) (and ?v_111 ?v_112 ?v_113 ?v_114 ?v_115 ?v_116 ?v_90 ?v_117 ?v_5 ?v_91 ?v_190 ?v_191 (not ?v_192) (= XRES_143_27 XRES_161_5_0_162_15_162_15) (= RES_143_27 RES_161_5_0_162_15_162_15) (= EC_143_27 EC_162_14))))))))) (= XRES_124_9_1_ XRES_143_27) (= EC_124_9_1_ EC_143_27)) (and ?v_168 ?v_80 ?v_169 ?v_125 ?v_170 ?v_171 ?v_172 ?v_173 ?v_174 ?v_175 ?v_176 ?v_177 ?v_193 (not ?v_194) (= XRES_124_9_1_ XRES_12_) (= EC_124_9_1_ L_176_1))))))) (= XRES_124_9 XRES_124_9_1_) (= EC_124_9 EC_124_9_1_))) (not (or ?v_195 (and (= EC_124_9 ecThrow) (= (PO_LT (typeof XRES_124_9) T_java_io_IOException) true_term))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
