(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_javafe_filespace_PkgTree_PackagesOnly () Int)
(declare-fun T_javafe_filespace_Filter () Int)
(declare-fun T_java_util_Enumeration () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_javafe_filespace_PathComponent () Int)
(declare-fun T_javafe_filespace_PkgTree_MatchesExtension () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_javafe_filespace_Tree () Int)
(declare-fun T_javafe_filespace_TreeWalker () Int)
(declare-fun T_javafe_filespace_LookAheadEnum () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_javafe_filespace_HashTree () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_javafe_filespace_FilterEnum () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_javafe_genericfile_GenericFile () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_io_IOException () Int)
(declare-fun T_javafe_filespace_Extension () Int)
(declare-fun T_javafe_filespace_PreloadedTree () Int)
(declare-fun T_javafe_filespace_PkgTree () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun IGNORE_84_31 () Int)
(declare-fun INCLUDE_NODE_87_31 () Int)
(declare-fun INCLUDE_TREE_90_31 () Int)
(declare-fun out_27_83_49 () Int)
(assert (and (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_filespace_PkgTree_PackagesOnly T_java_lang_Object) true_term) (= T_javafe_filespace_PkgTree_PackagesOnly (asChild T_javafe_filespace_PkgTree_PackagesOnly T_java_lang_Object)) (= (PO_LT T_javafe_filespace_PkgTree_PackagesOnly T_javafe_filespace_Filter) true_term) (= (PO_LT T_java_util_Enumeration T_java_lang_Object) true_term) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_filespace_PathComponent T_java_lang_Object) true_term) (= T_javafe_filespace_PathComponent (asChild T_javafe_filespace_PathComponent T_java_lang_Object)) (= (PO_LT T_javafe_filespace_PkgTree_MatchesExtension T_java_lang_Object) true_term) (= T_javafe_filespace_PkgTree_MatchesExtension (asChild T_javafe_filespace_PkgTree_MatchesExtension T_java_lang_Object)) (= (PO_LT T_javafe_filespace_PkgTree_MatchesExtension T_javafe_filespace_Filter) true_term) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_javafe_filespace_Tree T_java_lang_Object) true_term) (= T_javafe_filespace_Tree (asChild T_javafe_filespace_Tree T_java_lang_Object)) (= (PO_LT T_javafe_filespace_TreeWalker T_javafe_filespace_LookAheadEnum) true_term) (= T_javafe_filespace_TreeWalker (asChild T_javafe_filespace_TreeWalker T_javafe_filespace_LookAheadEnum)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_filespace_TreeWalker) true_term) (= ?t T_javafe_filespace_TreeWalker))) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_javafe_filespace_HashTree T_javafe_filespace_Tree) true_term) (= T_javafe_filespace_HashTree (asChild T_javafe_filespace_HashTree T_javafe_filespace_Tree)) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_javafe_filespace_FilterEnum T_javafe_filespace_LookAheadEnum) true_term) (= T_javafe_filespace_FilterEnum (asChild T_javafe_filespace_FilterEnum T_javafe_filespace_LookAheadEnum)) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_javafe_filespace_Filter T_java_lang_Object) true_term) (= (PO_LT T_javafe_genericfile_GenericFile T_java_lang_Object) true_term) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_java_io_IOException T_java_lang_Exception) true_term) (= T_java_io_IOException (asChild T_java_io_IOException T_java_lang_Exception)) (= (PO_LT T_javafe_filespace_Extension T_java_lang_Object) true_term) (= T_javafe_filespace_Extension (asChild T_javafe_filespace_Extension T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_filespace_PreloadedTree T_javafe_filespace_HashTree) true_term) (= T_javafe_filespace_PreloadedTree (asChild T_javafe_filespace_PreloadedTree T_javafe_filespace_HashTree)) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_filespace_PkgTree T_javafe_filespace_PreloadedTree) true_term) (= T_javafe_filespace_PkgTree (asChild T_javafe_filespace_PkgTree T_javafe_filespace_PreloadedTree)) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (= (PO_LT T_javafe_filespace_LookAheadEnum T_java_lang_Object) true_term) (= T_javafe_filespace_LookAheadEnum (asChild T_javafe_filespace_LookAheadEnum T_java_lang_Object)) (= (PO_LT T_javafe_filespace_LookAheadEnum T_java_util_Enumeration) true_term) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_io_Serializable (+ DIST_ZERO_1 10)) (= T_javafe_filespace_PkgTree_PackagesOnly (+ DIST_ZERO_1 11)) (= T_java_util_Enumeration (+ DIST_ZERO_1 12)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 13)) (= T_java_lang_Comparable (+ DIST_ZERO_1 14)) (= T_java_util_Map (+ DIST_ZERO_1 15)) (= T_javafe_filespace_PathComponent (+ DIST_ZERO_1 16)) (= T_javafe_filespace_PkgTree_MatchesExtension (+ DIST_ZERO_1 17)) (= T_java_io_PrintStream (+ DIST_ZERO_1 18)) (= T_javafe_filespace_Tree (+ DIST_ZERO_1 19)) (= T_javafe_filespace_TreeWalker (+ DIST_ZERO_1 20)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 21)) (= T_java_util_Properties (+ DIST_ZERO_1 22)) (= T_javafe_filespace_HashTree (+ DIST_ZERO_1 23)) (= T_java_lang_System (+ DIST_ZERO_1 24)) (= T_javafe_filespace_FilterEnum (+ DIST_ZERO_1 25)) (= T_java_io_OutputStream (+ DIST_ZERO_1 26)) (= T_java_lang_Exception (+ DIST_ZERO_1 27)) (= T_javafe_filespace_Filter (+ DIST_ZERO_1 28)) (= T_javafe_genericfile_GenericFile (+ DIST_ZERO_1 29)) (= T_java_lang_Object (+ DIST_ZERO_1 30)) (= T_java_util_Hashtable (+ DIST_ZERO_1 31)) (= T_java_io_IOException (+ DIST_ZERO_1 32)) (= T_javafe_filespace_Extension (+ DIST_ZERO_1 33)) (= T_java_lang_Throwable (+ DIST_ZERO_1 34)) (= T_javafe_filespace_PreloadedTree (+ DIST_ZERO_1 35)) (= T_java_util_Dictionary (+ DIST_ZERO_1 36)) (= T_javafe_filespace_PkgTree (+ DIST_ZERO_1 37)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 38)) (= T_javafe_filespace_LookAheadEnum (+ DIST_ZERO_1 39)) (= T_java_lang_String (+ DIST_ZERO_1 40))) (= true_term (is IGNORE_84_31 T_int)) (= IGNORE_84_31 0) (= true_term (is INCLUDE_NODE_87_31 T_int)) (= INCLUDE_NODE_87_31 1) (= true_term (is INCLUDE_TREE_90_31 T_int)) (= INCLUDE_TREE_90_31 2) (= true_term (is out_27_83_49 T_java_io_PrintStream))))
(declare-fun remainingChildren_pre_23_39_26 () Int)
(declare-fun remainingChildren_23_39_26 () Int)
(declare-fun acceptedType_pre_26_16_27 () Int)
(declare-fun acceptedType_26_16_27 () Int)
(declare-fun filter_pre_25_29_18 () Int)
(declare-fun filter_25_29_18 () Int)
(declare-fun data_pre_6_41_18 () Int)
(declare-fun data_6_41_18 () Int)
(declare-fun IGNORE_pre_84_31 () Int)
(declare-fun rootPackageName_pre_172_25 () Int)
(declare-fun rootPackageName_172_25 () Int)
(declare-fun INCLUDE_NODE_pre_87_31 () Int)
(declare-fun elementType_pre_20_26_25 () Int)
(declare-fun elementType_20_26_25 () Int)
(declare-fun moreElements_pre_17_58_29 () Int)
(declare-fun moreElements_17_58_29 () Int)
(declare-fun underlyingTree_pre_48_19 () Int)
(declare-fun underlyingTree_48_19 () Int)
(declare-fun INCLUDE_TREE_pre_90_31 () Int)
(declare-fun keyType_pre_20_16_25 () Int)
(declare-fun keyType_20_16_25 () Int)
(declare-fun elementType_pre_17_74_27 () Int)
(declare-fun elementType_17_74_27 () Int)
(declare-fun out_pre_27_83_49 () Int)
(declare-fun lookAhead_pre_24_43_19 () Int)
(declare-fun lookAhead_24_43_19 () Int)
(declare-fun edges_pre_5_37_24 () Int)
(declare-fun edges_5_37_24 () Int)
(declare-fun permitsNullValue_pre_20_31_27 () Int)
(declare-fun permitsNullValue_20_31_27 () Int)
(declare-fun returnsNull_pre_17_79_29 () Int)
(declare-fun returnsNull_17_79_29 () Int)
(declare-fun props_pre_27_396_44 () Int)
(declare-fun props_27_396_44 () Int)
(declare-fun permitsNullKey_pre_20_21_27 () Int)
(declare-fun permitsNullKey_20_21_27 () Int)
(declare-fun underlyingEnum_pre_25_20_26 () Int)
(declare-fun underlyingEnum_25_20_26 () Int)
(declare-fun owner_pre_7_35_28 () Int)
(declare-fun owner_7_35_28 () Int)
(declare-fun remainingNodes_pre_23_48_26 () Int)
(declare-fun remainingNodes_23_48_26 () Int)
(declare-fun lookAheadValid_pre_24_40_20 () Int)
(declare-fun lookAheadValid_24_40_20 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun P_224_46 () Int)
(declare-fun E_224_56 () Int)
(declare-fun RES_225_40_225_40 () Int)
(declare-fun EC_225_40_225_40 () Int)
(declare-fun ecReturn () Int)
(declare-fun after_228_3_228_3 () Int)
(declare-fun RES_228_3_228_3 () Int)
(declare-fun EC_228_3_228_3 () Int)
(declare-fun after_227_8_227_8 () Int)
(declare-fun RES_227_8_227_8 () Int)
(declare-fun EC_227_8_227_8 () Int)
(assert (let ((?v_0 (not (= P_224_46 null))) (?v_2 (not (= E_224_56 null))) (?v_8 (= true_term (is RES_225_40_225_40 T_java_util_Enumeration))) (?v_9 (= true_term (isAllocated RES_225_40_225_40 alloc))) (?v_1 (= EC_225_40_225_40 ecReturn)) (?v_3 (not (= RES_225_40_225_40 null)))) (let ((?v_10 (=> ?v_1 ?v_3)) (?v_5 (not (= true_term (S_select returnsNull_17_79_29 RES_225_40_225_40))))) (let ((?v_11 (=> ?v_1 ?v_5)) (?v_7 (S_select elementType_17_74_27 RES_225_40_225_40))) (let ((?v_12 (=> ?v_1 (= ?v_7 T_javafe_filespace_Tree))) (?v_13 (=> ?v_1 (= (S_select owner_7_35_28 (cast RES_225_40_225_40 T_java_lang_Object)) null))) (?v_14 (< alloc after_228_3_228_3)) (?v_4 (not (= RES_228_3_228_3 null))) (?v_15 (not (= true_term (isAllocated RES_228_3_228_3 alloc)))) (?v_16 (= true_term (is RES_228_3_228_3 T_javafe_filespace_PkgTree_MatchesExtension))) (?v_17 (= true_term (isAllocated RES_228_3_228_3 after_228_3_228_3))) (?v_18 (= EC_228_3_228_3 ecReturn)) (?v_19 (= (S_select owner_7_35_28 RES_228_3_228_3) null)) (?v_20 (= (typeof RES_228_3_228_3) T_javafe_filespace_PkgTree_MatchesExtension)) (?v_6 (= (S_select owner_7_35_28 RES_225_40_225_40) null)) (?v_21 (= ?v_7 (S_select acceptedType_26_16_27 RES_228_3_228_3))) (?v_24 (not (= RES_227_8_227_8 null))) (?v_22 (= EC_227_8_227_8 ecReturn)) (?v_27 (S_select elementType_17_74_27 RES_227_8_227_8)) (?v_23 (= ecReturn ecReturn))) (let ((?v_25 (=> ?v_23 ?v_24)) (?v_26 (=> ?v_23 (not (= true_term (S_select returnsNull_17_79_29 RES_227_8_227_8)))))) (not (=> true (=> (and (= remainingChildren_pre_23_39_26 remainingChildren_23_39_26) (= remainingChildren_23_39_26 (asField remainingChildren_23_39_26 T_java_util_Enumeration)) (< (fClosedTime remainingChildren_23_39_26) alloc) (= acceptedType_pre_26_16_27 acceptedType_26_16_27) (= acceptedType_26_16_27 (asField acceptedType_26_16_27 T__TYPE)) (= filter_pre_25_29_18 filter_25_29_18) (= filter_25_29_18 (asField filter_25_29_18 T_javafe_filespace_Filter)) (< (fClosedTime filter_25_29_18) alloc) (= data_pre_6_41_18 data_6_41_18) (= data_6_41_18 (asField data_6_41_18 T_java_lang_Object)) (< (fClosedTime data_6_41_18) alloc) (= IGNORE_pre_84_31 IGNORE_84_31) (= true_term (is IGNORE_84_31 T_int)) (= rootPackageName_pre_172_25 rootPackageName_172_25) (= true_term (is rootPackageName_172_25 T_java_lang_String)) (= true_term (isAllocated rootPackageName_172_25 alloc)) (= INCLUDE_NODE_pre_87_31 INCLUDE_NODE_87_31) (= true_term (is INCLUDE_NODE_87_31 T_int)) (= elementType_pre_20_26_25 elementType_20_26_25) (= elementType_20_26_25 (asField elementType_20_26_25 T__TYPE)) (= moreElements_pre_17_58_29 moreElements_17_58_29) (= moreElements_17_58_29 (asField moreElements_17_58_29 T_boolean)) (= underlyingTree_pre_48_19 underlyingTree_48_19) (= underlyingTree_48_19 (asField underlyingTree_48_19 T_javafe_filespace_Tree)) (< (fClosedTime underlyingTree_48_19) alloc) (= INCLUDE_TREE_pre_90_31 INCLUDE_TREE_90_31) (= true_term (is INCLUDE_TREE_90_31 T_int)) (= keyType_pre_20_16_25 keyType_20_16_25) (= keyType_20_16_25 (asField keyType_20_16_25 T__TYPE)) (= elementType_pre_17_74_27 elementType_17_74_27) (= elementType_17_74_27 (asField elementType_17_74_27 T__TYPE)) (= out_pre_27_83_49 out_27_83_49) (= true_term (is out_27_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_27_83_49 alloc)) (not (= out_27_83_49 null)) (= lookAhead_pre_24_43_19 lookAhead_24_43_19) (= lookAhead_24_43_19 (asField lookAhead_24_43_19 T_java_lang_Object)) (< (fClosedTime lookAhead_24_43_19) alloc) (= edges_pre_5_37_24 edges_5_37_24) (= edges_5_37_24 (asField edges_5_37_24 T_java_util_Hashtable)) (< (fClosedTime edges_5_37_24) alloc) (= permitsNullValue_pre_20_31_27 permitsNullValue_20_31_27) (= permitsNullValue_20_31_27 (asField permitsNullValue_20_31_27 T_boolean)) (= returnsNull_pre_17_79_29 returnsNull_17_79_29) (= returnsNull_17_79_29 (asField returnsNull_17_79_29 T_boolean)) (= props_pre_27_396_44 props_27_396_44) (= true_term (is props_27_396_44 T_java_util_Properties)) (= true_term (isAllocated props_27_396_44 alloc)) (not (= props_27_396_44 null)) (= permitsNullKey_pre_20_21_27 permitsNullKey_20_21_27) (= permitsNullKey_20_21_27 (asField permitsNullKey_20_21_27 T_boolean)) (= underlyingEnum_pre_25_20_26 underlyingEnum_25_20_26) (= underlyingEnum_25_20_26 (asField underlyingEnum_25_20_26 T_java_util_Enumeration)) (< (fClosedTime underlyingEnum_25_20_26) alloc) (= owner_pre_7_35_28 owner_7_35_28) (= owner_7_35_28 (asField owner_7_35_28 T_java_lang_Object)) (< (fClosedTime owner_7_35_28) alloc) (= remainingNodes_pre_23_48_26 remainingNodes_23_48_26) (= remainingNodes_23_48_26 (asField remainingNodes_23_48_26 T_java_util_Enumeration)) (< (fClosedTime remainingNodes_23_48_26) alloc) (= lookAheadValid_pre_24_40_20 lookAheadValid_24_40_20) (= lookAheadValid_24_40_20 (asField lookAheadValid_24_40_20 T_boolean)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is P_224_46 T_javafe_filespace_Tree)) (= true_term (isAllocated P_224_46 alloc)) (= true_term (is E_224_56 T_java_lang_String)) (= true_term (isAllocated E_224_56 alloc)) ?v_0 ?v_2 (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_filespace_FilterEnum)) (not (= ?brokenObj null))) (not (= (S_select underlyingEnum_25_20_26 ?brokenObj) null)))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_filespace_TreeWalker)) (not (= ?brokenObj_1_ null))) (not (= true_term (S_select returnsNull_17_79_29 (S_select remainingNodes_23_48_26 ?brokenObj_1_)))))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_filespace_FilterEnum)) (not (= ?brokenObj_2_ null))) (not (= (S_select filter_25_29_18 ?brokenObj_2_) null)))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_filespace_TreeWalker)) (not (= ?brokenObj_3_ null))) (not (= true_term (S_select returnsNull_17_79_29 (S_select remainingChildren_23_39_26 ?brokenObj_3_)))))) (forall ((?brokenObj_4_ Int)) (let ((?v_28 (S_select lookAhead_24_43_19 ?brokenObj_4_))) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_filespace_LookAheadEnum)) (not (= ?brokenObj_4_ null))) (or (= (PO_LT (typeof ?v_28) (S_select elementType_17_74_27 ?brokenObj_4_)) true_term) (= ?v_28 null))))) (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_filespace_TreeWalker)) (not (= ?brokenObj_5_ null))) (not (= true_term (S_select returnsNull_17_79_29 ?brokenObj_5_))))) (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_javafe_filespace_FilterEnum)) (not (= ?brokenObj_6_ null))) (= (S_select owner_7_35_28 (S_select underlyingEnum_25_20_26 ?brokenObj_6_)) ?brokenObj_6_))) (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_javafe_filespace_PkgTree_MatchesExtension)) (not (= ?brokenObj_7_ null))) (= (S_select acceptedType_26_16_27 ?brokenObj_7_) T_javafe_filespace_Tree))) (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_javafe_filespace_TreeWalker)) (not (= ?brokenObj_8_ null))) (= (S_select elementType_17_74_27 ?brokenObj_8_) T_javafe_filespace_Tree))) (forall ((?brokenObj_9_ Int)) (=> (and (= true_term (is ?brokenObj_9_ T_javafe_filespace_TreeWalker)) (not (= ?brokenObj_9_ null))) (not (= (S_select remainingNodes_23_48_26 ?brokenObj_9_) null)))) (forall ((?brokenObj_10_ Int)) (=> (and (= true_term (is ?brokenObj_10_ T_javafe_filespace_TreeWalker)) (not (= ?brokenObj_10_ null))) (= (S_select elementType_17_74_27 (S_select remainingNodes_23_48_26 ?brokenObj_10_)) T_javafe_filespace_Tree))) (forall ((?brokenObj_11_ Int)) (=> (and (= true_term (is ?brokenObj_11_ T_javafe_filespace_LookAheadEnum)) (not (= ?brokenObj_11_ null)) (= true_term (S_select lookAheadValid_24_40_20 ?brokenObj_11_))) (= (= true_term (S_select moreElements_17_58_29 ?brokenObj_11_)) (not (= (S_select lookAhead_24_43_19 ?brokenObj_11_) null))))) (forall ((?brokenObj_12_ Int)) (=> (and (= true_term (is ?brokenObj_12_ T_javafe_filespace_TreeWalker)) (not (= ?brokenObj_12_ null))) (not (= (S_select remainingChildren_23_39_26 ?brokenObj_12_) null)))) (forall ((?brokenObj_13_ Int)) (=> (and (= true_term (is ?brokenObj_13_ T_javafe_filespace_LookAheadEnum)) (not (= ?brokenObj_13_ null))) (not (= true_term (S_select returnsNull_17_79_29 ?brokenObj_13_))))) (forall ((?brokenObj_14_ Int)) (=> (and (= true_term (is ?brokenObj_14_ T_javafe_filespace_TreeWalker)) (not (= ?brokenObj_14_ null))) (= (S_select elementType_17_74_27 (S_select remainingChildren_23_39_26 ?brokenObj_14_)) T_javafe_filespace_Tree))) (forall ((?brokenObj_15_ Int)) (=> (and (= true_term (is ?brokenObj_15_ T_javafe_filespace_FilterEnum)) (not (= ?brokenObj_15_ null))) (= (S_select elementType_17_74_27 ?brokenObj_15_) (S_select elementType_17_74_27 (S_select underlyingEnum_25_20_26 ?brokenObj_15_))))) (forall ((?brokenObj_16_ Int)) (=> (and (= true_term (is ?brokenObj_16_ T_javafe_filespace_FilterEnum)) (not (= ?brokenObj_16_ null))) (= (S_select acceptedType_26_16_27 (S_select filter_25_29_18 ?brokenObj_16_)) (S_select elementType_17_74_27 ?brokenObj_16_)))) (forall ((?brokenObj_17_ Int)) (=> (and (= true_term (is ?brokenObj_17_ T_javafe_filespace_FilterEnum)) (not (= ?brokenObj_17_ null))) (not (= true_term (S_select returnsNull_17_79_29 (S_select underlyingEnum_25_20_26 ?brokenObj_17_)))))) (or (not ?v_0) (and ?v_0 ?v_8 ?v_9 ?v_1 ?v_10 ?v_11 ?v_12 ?v_13 (or (not ?v_2) (and ?v_2 ?v_14 ?v_4 ?v_15 ?v_16 ?v_17 ?v_18 ?v_19 ?v_20 (or (not (and ?v_3 ?v_4)) (not ?v_5) (and ?v_5 (or (not ?v_6) (and ?v_6 (not ?v_21)))))))) (and ?v_0 ?v_8 ?v_9 ?v_1 ?v_10 ?v_11 ?v_12 ?v_13 ?v_2 ?v_14 ?v_4 ?v_15 ?v_16 ?v_17 ?v_18 ?v_19 ?v_20 ?v_5 ?v_6 ?v_21 (< after_228_3_228_3 after_227_8_227_8) ?v_24 (not (= true_term (isAllocated RES_227_8_227_8 after_228_3_228_3))) (= true_term (is RES_227_8_227_8 T_javafe_filespace_FilterEnum)) (= true_term (isAllocated RES_227_8_227_8 after_227_8_227_8)) ?v_22 (= (S_select owner_7_35_28 RES_227_8_227_8) null) (=> ?v_22 (= ?v_27 ?v_7)) (= (typeof RES_227_8_227_8) T_javafe_filespace_FilterEnum) (= true_term true_term) (or (not ?v_23) (and ?v_23 (or (not ?v_25) (and ?v_25 (or (not ?v_26) (and ?v_26 (not (=> ?v_23 (= ?v_27 T_javafe_filespace_Tree))))))))))))))))))))))
(check-sat)
(exit)
