(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_filespace_PkgTree () Int)
(declare-fun T_javafe_filespace_PreloadedTree () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_javafe_filespace_HashTree () Int)
(declare-fun T_javafe_filespace_Tree () Int)
(declare-fun T_java_lang_StringBuffer () Int)
(declare-fun T_javafe_filespace_Resolve_AmbiguousName () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_java_io_IOException () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_javafe_filespace_Resolve_Result () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun T_javafe_filespace_StringUtil () Int)
(declare-fun T_javafe_filespace_Resolve () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_filespace_PathComponent () Int)
(declare-fun T_javafe_filespace_ClassPath () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun err_19_97_50 () Int)
(declare-fun out_19_83_49 () Int)
(assert (and (= (PO_LT T_javafe_filespace_PkgTree T_javafe_filespace_PreloadedTree) true_term) (= T_javafe_filespace_PkgTree (asChild T_javafe_filespace_PkgTree T_javafe_filespace_PreloadedTree)) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_filespace_PreloadedTree T_javafe_filespace_HashTree) true_term) (= T_javafe_filespace_PreloadedTree (asChild T_javafe_filespace_PreloadedTree T_javafe_filespace_HashTree)) (= (PO_LT T_javafe_filespace_Tree T_java_lang_Object) true_term) (= T_javafe_filespace_Tree (asChild T_javafe_filespace_Tree T_java_lang_Object)) (= (PO_LT T_java_lang_StringBuffer T_java_lang_Object) true_term) (= T_java_lang_StringBuffer (asChild T_java_lang_StringBuffer T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_StringBuffer) true_term) (= ?t T_java_lang_StringBuffer))) (= (PO_LT T_java_lang_StringBuffer T_java_io_Serializable) true_term) (= (PO_LT T_javafe_filespace_Resolve_AmbiguousName T_java_lang_Exception) true_term) (= T_javafe_filespace_Resolve_AmbiguousName (asChild T_javafe_filespace_Resolve_AmbiguousName T_java_lang_Exception)) (= (PO_LT T_java_io_IOException T_java_lang_Exception) true_term) (= T_java_io_IOException (asChild T_java_io_IOException T_java_lang_Exception)) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_javafe_filespace_Resolve_Result T_java_lang_Object) true_term) (= T_javafe_filespace_Resolve_Result (asChild T_javafe_filespace_Resolve_Result T_java_lang_Object)) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_javafe_filespace_StringUtil T_java_lang_Object) true_term) (= T_javafe_filespace_StringUtil (asChild T_javafe_filespace_StringUtil T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_filespace_StringUtil) true_term) (= ?t T_javafe_filespace_StringUtil))) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_javafe_filespace_Resolve T_java_lang_Object) true_term) (= T_javafe_filespace_Resolve (asChild T_javafe_filespace_Resolve T_java_lang_Object)) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_filespace_HashTree T_javafe_filespace_Tree) true_term) (= T_javafe_filespace_HashTree (asChild T_javafe_filespace_HashTree T_javafe_filespace_Tree)) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_filespace_PathComponent T_java_lang_Object) true_term) (= T_javafe_filespace_PathComponent (asChild T_javafe_filespace_PathComponent T_java_lang_Object)) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_filespace_ClassPath T_java_lang_Object) true_term) (= T_javafe_filespace_ClassPath (asChild T_javafe_filespace_ClassPath T_java_lang_Object)) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_filespace_PkgTree (+ DIST_ZERO_1 10)) (= T_java_lang_Object (+ DIST_ZERO_1 11)) (= T_java_lang_Throwable (+ DIST_ZERO_1 12)) (= T_javafe_filespace_PreloadedTree (+ DIST_ZERO_1 13)) (= T_javafe_filespace_Tree (+ DIST_ZERO_1 14)) (= T_java_lang_StringBuffer (+ DIST_ZERO_1 15)) (= T_javafe_filespace_Resolve_AmbiguousName (+ DIST_ZERO_1 16)) (= T_java_io_IOException (+ DIST_ZERO_1 17)) (= T_java_util_Map (+ DIST_ZERO_1 18)) (= T_java_io_OutputStream (+ DIST_ZERO_1 19)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 20)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 21)) (= T_java_util_Hashtable (+ DIST_ZERO_1 22)) (= T_java_lang_System (+ DIST_ZERO_1 23)) (= T_javafe_filespace_Resolve_Result (+ DIST_ZERO_1 24)) (= T_java_io_PrintStream (+ DIST_ZERO_1 25)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 26)) (= T_javafe_filespace_StringUtil (+ DIST_ZERO_1 27)) (= T_java_lang_Exception (+ DIST_ZERO_1 28)) (= T_javafe_filespace_Resolve (+ DIST_ZERO_1 29)) (= T_java_util_Properties (+ DIST_ZERO_1 30)) (= T_java_lang_String (+ DIST_ZERO_1 31)) (= T_javafe_filespace_HashTree (+ DIST_ZERO_1 32)) (= T_java_io_Serializable (+ DIST_ZERO_1 33)) (= T_javafe_filespace_PathComponent (+ DIST_ZERO_1 34)) (= T_java_lang_Comparable (+ DIST_ZERO_1 35)) (= T_java_util_Dictionary (+ DIST_ZERO_1 36)) (= T_javafe_filespace_ClassPath (+ DIST_ZERO_1 37))) (= true_term (is err_19_97_50 T_java_io_PrintStream)) (= true_term (is out_19_83_49 T_java_io_PrintStream))))
(declare-fun ecReturn () Int)
(declare-fun ecThrow () Int)
(declare-fun L_415_1 () Int)
(declare-fun S_402_34 () Int)
(declare-fun S_416_22 () Int)
(declare-fun S_412_24 () Int)
(declare-fun S_407_20 () Int)
(declare-fun remainder_pre_7_16_20 () Int)
(declare-fun remainder_7_16_20 () Int)
(declare-fun myPackage_pre_7_12_20 () Int)
(declare-fun myPackage_7_12_20 () Int)
(declare-fun myTypeName_pre_7_13_20 () Int)
(declare-fun myTypeName_7_13_20 () Int)
(declare-fun err_pre_19_97_50 () Int)
(declare-fun out_pre_19_83_49 () Int)
(declare-fun value_pre_6_91_31 () Int)
(declare-fun value_6_91_31 () Int)
(declare-fun count_pre_6_99_33 () Int)
(declare-fun count_6_99_33 () Int)
(declare-fun namespace_pre_230_23 () Int)
(declare-fun namespace_230_23 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun args_386_37 () Int)
(declare-fun EC_395_1_395_1 () Int)
(declare-fun identifier_398_14_398_14_270_51 () Int)
(declare-fun RES_398_14_398_14 () Int)
(declare-fun EC_398_14_398_14 () Int)
(declare-fun XRES_398_14_398_14 () Int)
(declare-fun answer_398_29 () Int)
(declare-fun answer_396_16 () Int)
(declare-fun EC_398_29 () Int)
(declare-fun name_401_32 () Int)
(declare-fun tmp2_402_24 () Int)
(declare-fun node_408_12_408_12_9_183_45 () Int)
(declare-fun RES_408_12_408_12 () Int)
(declare-fun EC_408_12_408_12 () Int)
(declare-fun arg0_407_12_407_12_20__ () Int)
(declare-fun EC_407_12_407_12 () Int)
(declare-fun EC_410_16_410_16 () Int)
(declare-fun XRES () Int)
(declare-fun XRES_410_16_410_16 () Int)
(declare-fun RES () Int)
(declare-fun RES_410_16_410_16 () Int)
(declare-fun EC () Int)
(declare-fun arg0_412_16_412_16_20__ () Int)
(declare-fun EC_412_16_412_16 () Int)
(declare-fun XRES_412_16_412_16 () Int)
(declare-fun RES_412_16_412_16 () Int)
(declare-fun EC_414_12_414_12 () Int)
(declare-fun i_loopold_415_10 () Int)
(declare-fun EC_loopold () Int)
(declare-fun arg0_416_16_415_1_0_416_16_20__ () Int)
(declare-fun EC_415_1_0_416_16_416_16 () Int)
(declare-fun i_415_1_0_415_42 () Int)
(declare-fun XRES_1_ () Int)
(declare-fun XRES_414_12_414_12 () Int)
(declare-fun RES_1_ () Int)
(declare-fun RES_414_12_414_12 () Int)
(declare-fun XRES_415_1_0_416_16_416_16 () Int)
(declare-fun RES_415_1_0_416_16_416_16 () Int)
(declare-fun XRES_2_ () Int)
(declare-fun RES_2_ () Int)
(declare-fun EC_1_ () Int)
(declare-fun EC_417_12_417_12 () Int)
(declare-fun EC_419_12_419_12 () Int)
(declare-fun EC_420_12_420_12 () Int)
(declare-fun RES_421_1_421_1 () Int)
(declare-fun EC_421_1_421_1 () Int)
(declare-fun EC_422_12_422_12 () Int)
(declare-fun RES_423_1_423_1 () Int)
(declare-fun EC_423_1_423_1 () Int)
(declare-fun XRES_390_9 () Int)
(declare-fun XRES_423_1_423_1 () Int)
(declare-fun EC_390_9 () Int)
(declare-fun EC_391_16_391_16 () Int)
(declare-fun XRES_390_9_1_ () Int)
(declare-fun XRES_391_16_391_16 () Int)
(declare-fun EC_390_9_1_ () Int)
(declare-fun XRES_3_ () Int)
(declare-fun RES_3_ () Int)
(declare-fun EC_2_ () Int)
(declare-fun RES_402_46_402_46 () Int)
(declare-fun EC_402_46_402_46 () Int)
(declare-fun arg0_402_16_402_16_20__ () Int)
(declare-fun EC_402_16_402_16 () Int)
(declare-fun XRES_4_ () Int)
(declare-fun XRES_402_16_402_16 () Int)
(declare-fun RES_4_ () Int)
(declare-fun RES_402_16_402_16 () Int)
(declare-fun EC_3_ () Int)
(assert (let ((?v_0 (array T_java_lang_String)) (?v_1 (not (= args_386_37 null))) (?v_4 (arrayLength args_386_37))) (let ((?v_2 (not ?v_1)) (?v_70 (not (= ?v_4 1)))) (let ((?v_47 (not ?v_70)) (?v_11 (= true_term true_term)) (?v_48 (= EC_395_1_395_1 ecReturn)) (?v_3 (<= 0 0))) (let ((?v_20 (not ?v_3)) (?v_5 (< 0 ?v_4))) (let ((?v_21 (not ?v_5)) (?v_22 (S_select (S_select elems args_386_37) 0))) (let ((?v_6 (= identifier_398_14_398_14_270_51 ?v_22)) (?v_7 (not (= identifier_398_14_398_14_270_51 null))) (?v_12 (= true_term (is RES_398_14_398_14 T_javafe_filespace_Resolve_Result))) (?v_13 (= true_term (isAllocated RES_398_14_398_14 alloc))) (?v_8 (= EC_398_14_398_14 ecThrow)) (?v_19 (= XRES_398_14_398_14 null)) (?v_9 (typeof XRES_398_14_398_14))) (let ((?v_14 (=> ?v_8 (and (not ?v_19) (= (PO_LT ?v_9 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_398_14_398_14 alloc))))) (?v_10 (= EC_398_14_398_14 ecReturn)) (?v_18 (= (PO_LT ?v_9 T_javafe_filespace_Resolve_AmbiguousName) true_term))) (let ((?v_15 (or ?v_10 (and ?v_8 ?v_18))) (?v_17 (= RES_398_14_398_14 null))) (let ((?v_23 (not ?v_17)) (?v_24 (S_select myPackage_7_12_20 RES_398_14_398_14))) (let ((?v_43 (not (= ?v_24 null)))) (let ((?v_16 (=> (and ?v_10 ?v_23) ?v_43))) (let ((?v_71 (or (and ?v_6 ?v_7 ?v_12 ?v_13 ?v_14 ?v_15 ?v_16 ?v_11 ?v_8 (= answer_398_29 answer_396_16) (= EC_398_29 EC_398_14_398_14)) (and ?v_6 ?v_7 ?v_12 ?v_13 ?v_14 ?v_15 ?v_16 ?v_10 ?v_17 ?v_11 ?v_11 (= answer_398_29 RES_398_14_398_14) (= EC_398_29 ecReturn)))) (?v_72 (not (= EC_398_29 ecThrow)))) (let ((?v_73 (not ?v_72)) (?v_74 (or ?v_18 ?v_19)) (?v_75 (= name_401_32 XRES_398_14_398_14)) (?v_76 (= tmp2_402_24 (stringCat ?v_22 S_402_34))) (?v_77 (not (= name_401_32 null))) (?v_27 (not ?v_23)) (?v_25 (= node_408_12_408_12_9_183_45 ?v_24)) (?v_26 (not (= node_408_12_408_12_9_183_45 null))) (?v_49 (= true_term (is RES_408_12_408_12 T_java_lang_String))) (?v_50 (= true_term (isAllocated RES_408_12_408_12 alloc))) (?v_51 (= EC_408_12_408_12 ecReturn)) (?v_52 (= arg0_407_12_407_12_20__ (stringCat S_407_20 RES_408_12_408_12))) (?v_53 (= EC_407_12_407_12 ecReturn)) (?v_30 (S_select myTypeName_7_13_20 RES_398_14_398_14))) (let ((?v_28 (= ?v_30 null))) (let ((?v_29 (not ?v_28))) (let ((?v_54 (or (and ?v_28 ?v_11 (= EC_410_16_410_16 ecReturn) (= XRES XRES_410_16_410_16) (= RES RES_410_16_410_16) (= EC EC_410_16_410_16)) (and ?v_29 ?v_11 ?v_23 (= arg0_412_16_412_16_20__ (stringCat S_412_24 ?v_30)) (= EC_412_16_412_16 ecReturn) (= XRES XRES_412_16_412_16) (= RES RES_412_16_412_16) (= EC EC_412_16_412_16)))) (?v_55 (= EC_414_12_414_12 ecReturn)) (?v_36 (= 0 i_loopold_415_10)) (?v_37 (= EC_414_12_414_12 EC_loopold)) (?v_32 (S_select remainder_7_16_20 RES_398_14_398_14))) (let ((?v_31 (not (= ?v_32 null)))) (let ((?v_33 (not ?v_31))) (let ((?v_35 (and ?v_23 ?v_33)) (?v_42 (arrayLength ?v_32))) (let ((?v_34 (< 0 ?v_42))) (let ((?v_38 (not ?v_34)) (?v_39 (= arg0_416_16_415_1_0_416_16_20__ (stringCat S_416_22 (S_select (S_select elems ?v_32) 0)))) (?v_40 (= EC_415_1_0_416_16_416_16 ecReturn)) (?v_41 (= i_415_1_0_415_42 (+ 0 1)))) (let ((?v_56 (or (and ?v_11 ?v_23 ?v_31 ?v_38 (= XRES_1_ XRES_414_12_414_12) (= RES_1_ RES_414_12_414_12)) (and ?v_11 ?v_23 ?v_31 ?v_34 ?v_23 ?v_31 ?v_3 ?v_34 ?v_39 ?v_40 ?v_41 ?v_11 ?v_23 ?v_31 (not (< i_415_1_0_415_42 ?v_42)) (= XRES_1_ XRES_415_1_0_416_16_416_16) (= RES_1_ RES_415_1_0_416_16_416_16)))) (?v_57 (= L_415_1 L_415_1)) (?v_58 (= XRES_2_ XRES_1_)) (?v_59 (= RES_2_ RES_1_)) (?v_60 (= EC_1_ L_415_1)) (?v_61 (= EC_417_12_417_12 ecReturn)) (?v_62 (= EC_419_12_419_12 ecReturn)) (?v_63 (= EC_420_12_420_12 ecReturn)) (?v_44 (=> ?v_23 ?v_43))) (let ((?v_46 (not ?v_44)) (?v_64 (= true_term (is RES_421_1_421_1 T_javafe_filespace_Resolve_Result))) (?v_65 (= true_term (isAllocated RES_421_1_421_1 alloc))) (?v_45 (= EC_421_1_421_1 ecReturn))) (let ((?v_66 (=> (and ?v_45 (not (= RES_421_1_421_1 null))) (not (= (S_select myPackage_7_12_20 RES_421_1_421_1) null)))) (?v_67 (= EC_422_12_422_12 ecReturn)) (?v_68 (= EC_423_1_423_1 ecReturn))) (let ((?v_69 (and ?v_68 (not (= RES_423_1_423_1 null)))) (?v_78 (= EC_390_9 ecReturn))) (not (=> (and (distinct ecReturn ecThrow L_415_1) (not (= S_402_34 null)) (= (typeof S_402_34) T_java_lang_String) (not (= S_416_22 null)) (= (typeof S_416_22) T_java_lang_String) (not (= S_412_24 null)) (= (typeof S_412_24) T_java_lang_String) (not (= S_407_20 null)) (= (typeof S_407_20) T_java_lang_String)) (=> (and (= remainder_pre_7_16_20 remainder_7_16_20) (= remainder_7_16_20 (asField remainder_7_16_20 ?v_0)) (< (fClosedTime remainder_7_16_20) alloc) (= myPackage_pre_7_12_20 myPackage_7_12_20) (= myPackage_7_12_20 (asField myPackage_7_12_20 T_javafe_filespace_Tree)) (< (fClosedTime myPackage_7_12_20) alloc) (= myTypeName_pre_7_13_20 myTypeName_7_13_20) (= myTypeName_7_13_20 (asField myTypeName_7_13_20 T_java_lang_String)) (< (fClosedTime myTypeName_7_13_20) alloc) (= err_pre_19_97_50 err_19_97_50) (= true_term (is err_19_97_50 T_java_io_PrintStream)) (= true_term (isAllocated err_19_97_50 alloc)) (not (= err_19_97_50 null)) (= out_pre_19_83_49 out_19_83_49) (= true_term (is out_19_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_19_83_49 alloc)) (not (= out_19_83_49 null)) (= value_pre_6_91_31 value_6_91_31) (= value_6_91_31 (asField value_6_91_31 (array T_char))) (< (fClosedTime value_6_91_31) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select value_6_91_31 ?s) null)))) (= count_pre_6_99_33 count_6_99_33) (= count_6_99_33 (asField count_6_99_33 T_int)) (= namespace_pre_230_23 namespace_230_23) (= true_term (is namespace_230_23 T_javafe_filespace_Tree)) (= true_term (isAllocated namespace_230_23 alloc)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is args_386_37 ?v_0)) (= true_term (isAllocated args_386_37 alloc)) ?v_1 (forall ((?i_384_30 Int)) (=> (and (<= 0 ?i_384_30) (< ?i_384_30 ?v_4)) (not (= (S_select (S_select elems args_386_37) ?i_384_30) null)))) (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_filespace_Resolve_Result)) (not (= ?brokenObj null))) (= true_term (nonnullelements (S_select remainder_7_16_20 ?brokenObj) elems)))) (or ?v_2 (and ?v_1 ?v_47 ?v_11 ?v_48 (or ?v_2 (and ?v_1 (or ?v_20 (and ?v_3 (or ?v_21 (and ?v_5 ?v_6 (not ?v_7)))))) (and ?v_1 ?v_3 ?v_5 ?v_71 ?v_73 ?v_74 ?v_75 (or ?v_2 (and ?v_1 (or ?v_20 (and ?v_3 (or ?v_21 (and ?v_5 ?v_76 (not ?v_77)))))))) (and ?v_1 ?v_3 ?v_5 ?v_6 ?v_7 ?v_12 ?v_13 ?v_14 ?v_15 ?v_16 ?v_10 ?v_23 ?v_11 (or ?v_27 (and ?v_23 (or (and ?v_25 (not ?v_26)) (and ?v_25 ?v_26 ?v_49 ?v_50 ?v_51 ?v_52 ?v_53 (or ?v_27 (and ?v_23 (or (and ?v_29 ?v_11 ?v_27) (and ?v_54 ?v_55 (or (and ?v_36 ?v_37 (or (and ?v_11 (or ?v_27 ?v_35 (and ?v_23 ?v_31 ?v_34 (or ?v_27 (and ?v_23 (or ?v_33 (and ?v_31 (or ?v_20 (and ?v_3 ?v_38))))))))) (and ?v_11 ?v_23 ?v_31 ?v_34 ?v_23 ?v_31 ?v_3 ?v_34 ?v_39 ?v_40 ?v_41 ?v_11 (or ?v_27 ?v_35)))) (and ?v_36 ?v_37 ?v_56 ?v_57 ?v_58 ?v_59 ?v_60 ?v_61 ?v_62 ?v_63 (or ?v_46 (and ?v_44 ?v_64 ?v_65 ?v_45 ?v_66 ?v_67 ?v_46))))))))))))))) (and (or (and ?v_1 ?v_47 ?v_11 ?v_48 ?v_1 ?v_3 ?v_5 ?v_6 ?v_7 ?v_12 ?v_13 ?v_14 ?v_15 ?v_16 ?v_10 ?v_23 ?v_11 ?v_23 ?v_25 ?v_26 ?v_49 ?v_50 ?v_51 ?v_52 ?v_53 ?v_23 ?v_54 ?v_55 ?v_36 ?v_37 ?v_56 ?v_57 ?v_58 ?v_59 ?v_60 ?v_61 ?v_62 ?v_63 ?v_44 ?v_64 ?v_65 ?v_45 ?v_66 ?v_67 ?v_44 (= true_term (is RES_423_1_423_1 T_javafe_filespace_Resolve_Result)) (= true_term (isAllocated RES_423_1_423_1 alloc)) ?v_68 (=> ?v_69 (not (= (S_select myTypeName_7_13_20 RES_423_1_423_1) null))) (=> ?v_69 (not (= (S_select myPackage_7_12_20 RES_423_1_423_1) null))) (= XRES_390_9 XRES_423_1_423_1) ?v_78) (and ?v_1 (or (and ?v_70 ?v_11 (= EC_391_16_391_16 ecReturn) ?v_11 (= XRES_390_9_1_ XRES_391_16_391_16) (= EC_390_9_1_ ecReturn)) (and ?v_47 ?v_11 ?v_48 (or (and ?v_1 ?v_3 ?v_5 ?v_71 (or (and ?v_72 (= XRES_3_ XRES_398_14_398_14) (= RES_3_ RES_398_14_398_14) (= EC_2_ EC_398_29)) (and ?v_73 (or (and ?v_74 ?v_75 ?v_1 ?v_3 ?v_5 ?v_76 ?v_77 (= true_term (is RES_402_46_402_46 T_java_lang_String)) (= true_term (isAllocated RES_402_46_402_46 alloc)) (= EC_402_46_402_46 ecReturn) (= arg0_402_16_402_16_20__ (stringCat tmp2_402_24 RES_402_46_402_46)) (= EC_402_16_402_16 ecReturn) ?v_11 (= XRES_4_ XRES_402_16_402_16) (= RES_4_ RES_402_16_402_16) (= EC_3_ ecReturn)) (and (not ?v_74) (= XRES_4_ XRES_398_14_398_14) (= RES_4_ RES_398_14_398_14) (= EC_3_ EC_398_29))) (= XRES_3_ XRES_4_) (= RES_3_ RES_4_) (= EC_2_ EC_3_))) (= XRES_390_9_1_ XRES_3_) (= EC_390_9_1_ EC_2_)) (and ?v_1 ?v_3 ?v_5 ?v_6 ?v_7 ?v_12 ?v_13 ?v_14 ?v_15 ?v_16 ?v_10 ?v_23 ?v_11 ?v_23 ?v_25 ?v_26 ?v_49 ?v_50 ?v_51 ?v_52 ?v_53 ?v_23 ?v_54 ?v_55 ?v_36 ?v_37 ?v_56 (not ?v_57) (= XRES_390_9_1_ XRES_1_) (= EC_390_9_1_ L_415_1))))) (= XRES_390_9 XRES_390_9_1_) (= EC_390_9 EC_390_9_1_))) (not (or ?v_78 (and (= EC_390_9 ecThrow) (= (PO_LT (typeof XRES_390_9) T_java_io_IOException) true_term)))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
