(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_filespace_ClassPath () Int)
(declare-fun T_java_io_IOException () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_javafe_filespace_Tree () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_javafe_filespace_Query () Int)
(declare-fun T_javafe_genericfile_GenericFile () Int)
(declare-fun T_javafe_filespace_StringUtil () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_javafe_filespace_SlowQuery () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun out_13_83_49 () Int)
(assert (and (= (PO_LT T_javafe_filespace_ClassPath T_java_lang_Object) true_term) (= T_javafe_filespace_ClassPath (asChild T_javafe_filespace_ClassPath T_java_lang_Object)) (= (PO_LT T_java_io_IOException T_java_lang_Exception) true_term) (= T_java_io_IOException (asChild T_java_io_IOException T_java_lang_Exception)) (= (PO_LT T_javafe_filespace_Tree T_java_lang_Object) true_term) (= T_javafe_filespace_Tree (asChild T_javafe_filespace_Tree T_java_lang_Object)) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (= (PO_LT T_javafe_filespace_Query T_java_lang_Object) true_term) (= T_javafe_filespace_Query (asChild T_javafe_filespace_Query T_java_lang_Object)) (= (PO_LT T_javafe_genericfile_GenericFile T_java_lang_Object) true_term) (= (PO_LT T_javafe_filespace_StringUtil T_java_lang_Object) true_term) (= T_javafe_filespace_StringUtil (asChild T_javafe_filespace_StringUtil T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_filespace_StringUtil) true_term) (= ?t T_javafe_filespace_StringUtil))) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_javafe_filespace_SlowQuery T_javafe_filespace_Query) true_term) (= T_javafe_filespace_SlowQuery (asChild T_javafe_filespace_SlowQuery T_javafe_filespace_Query)) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_filespace_ClassPath (+ DIST_ZERO_1 10)) (= T_java_lang_Object (+ DIST_ZERO_1 11)) (= T_java_io_IOException (+ DIST_ZERO_1 12)) (= T_javafe_filespace_Tree (+ DIST_ZERO_1 13)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 14)) (= T_javafe_filespace_Query (+ DIST_ZERO_1 15)) (= T_javafe_genericfile_GenericFile (+ DIST_ZERO_1 16)) (= T_javafe_filespace_StringUtil (+ DIST_ZERO_1 17)) (= T_java_util_Hashtable (+ DIST_ZERO_1 18)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 19)) (= T_java_io_Serializable (+ DIST_ZERO_1 20)) (= T_java_util_Properties (+ DIST_ZERO_1 21)) (= T_java_lang_Comparable (+ DIST_ZERO_1 22)) (= T_java_lang_System (+ DIST_ZERO_1 23)) (= T_java_lang_String (+ DIST_ZERO_1 24)) (= T_java_lang_Throwable (+ DIST_ZERO_1 25)) (= T_java_util_Map (+ DIST_ZERO_1 26)) (= T_java_lang_Exception (+ DIST_ZERO_1 27)) (= T_javafe_filespace_SlowQuery (+ DIST_ZERO_1 28)) (= T_java_io_PrintStream (+ DIST_ZERO_1 29)) (= T_java_io_OutputStream (+ DIST_ZERO_1 30)) (= T_java_util_Dictionary (+ DIST_ZERO_1 31)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 32))) (= true_term (is out_13_83_49 T_java_io_PrintStream))))
(declare-fun ecReturn () Int)
(declare-fun ecThrow () Int)
(declare-fun S_137_24 () Int)
(declare-fun out_pre_13_83_49 () Int)
(declare-fun data_pre_8_41_18 () Int)
(declare-fun data_8_41_18 () Int)
(declare-fun javaFileSpace_pre_28_17 () Int)
(declare-fun javaFileSpace_28_17 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun args_117_37 () Int)
(declare-fun after_127_11_127_11 () Int)
(declare-fun RES_127_11_127_11 () Int)
(declare-fun EC_127_11_127_11 () Int)
(declare-fun XRES_127_11_127_11 () Int)
(declare-fun owner_5_35_28 () Int)
(declare-fun tmp1_128_39 () Int)
(declare-fun RES_128_25_128_25 () Int)
(declare-fun EC_128_25_128_25 () Int)
(declare-fun RES_130_8_130_8 () Int)
(declare-fun EC_130_8_130_8 () Int)
(declare-fun EC_131_16_131_16 () Int)
(declare-fun EC () Int)
(declare-fun XRES () Int)
(declare-fun XRES_131_16_131_16 () Int)
(declare-fun RES () Int)
(declare-fun RES_131_16_131_16 () Int)
(declare-fun XRES_130_8_130_8 () Int)
(declare-fun tmp6_133_40 () Int)
(declare-fun extension_133_24_133_24_4_44_12 () Int)
(declare-fun RES_133_24_133_24 () Int)
(declare-fun EC_133_24_133_24 () Int)
(declare-fun EC_135_16_135_16 () Int)
(declare-fun EC_1_ () Int)
(declare-fun XRES_1_ () Int)
(declare-fun XRES_135_16_135_16 () Int)
(declare-fun RES_137_49_137_49 () Int)
(declare-fun EC_137_49_137_49 () Int)
(declare-fun arg0_137_16_137_16_14__ () Int)
(declare-fun EC_137_16_137_16 () Int)
(declare-fun XRES_137_16_137_16 () Int)
(declare-fun EC_121_9 () Int)
(declare-fun XRES_121_9 () Int)
(declare-fun EC_122_16_122_16 () Int)
(declare-fun EC_121_9_1_ () Int)
(declare-fun XRES_121_9_1_ () Int)
(declare-fun XRES_122_16_122_16 () Int)
(assert (let ((?v_9 (array T_java_lang_String)) (?v_0 (not (= args_117_37 null)))) (let ((?v_4 (not ?v_0)) (?v_6 (arrayLength args_117_37))) (let ((?v_46 (not (= ?v_6 3)))) (let ((?v_24 (not ?v_46)) (?v_13 (= true_term true_term)) (?v_25 (< alloc after_127_11_127_11)) (?v_11 (not (= RES_127_11_127_11 null))) (?v_26 (not (= true_term (isAllocated RES_127_11_127_11 alloc)))) (?v_27 (= true_term (is RES_127_11_127_11 T_javafe_filespace_SlowQuery))) (?v_28 (= true_term (isAllocated RES_127_11_127_11 after_127_11_127_11))) (?v_1 (= EC_127_11_127_11 ecThrow)) (?v_2 (typeof XRES_127_11_127_11))) (let ((?v_29 (=> ?v_1 (and (not (= XRES_127_11_127_11 null)) (= (PO_LT ?v_2 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_127_11_127_11 after_127_11_127_11))))) (?v_3 (= EC_127_11_127_11 ecReturn))) (let ((?v_30 (or ?v_3 (and ?v_1 (= (PO_LT ?v_2 T_java_io_IOException) true_term)))) (?v_31 (=> ?v_3 (= (S_select owner_5_35_28 RES_127_11_127_11) null))) (?v_32 (= (typeof RES_127_11_127_11) T_javafe_filespace_SlowQuery)) (?v_5 (<= 0 0)) (?v_7 (< 0 ?v_6)) (?v_17 (S_select elems args_117_37))) (let ((?v_33 (= tmp1_128_39 (S_select ?v_17 0))) (?v_8 (not (= tmp1_128_39 null))) (?v_34 (= true_term (is RES_128_25_128_25 ?v_9))) (?v_35 (= true_term (isAllocated RES_128_25_128_25 after_127_11_127_11))) (?v_10 (= EC_128_25_128_25 ecReturn)) (?v_12 (= true_term (nonnullelements RES_128_25_128_25 elems)))) (let ((?v_36 (=> ?v_10 ?v_12)) (?v_20 (not ?v_11)) (?v_21 (not ?v_12)) (?v_37 (= true_term (is RES_130_8_130_8 T_boolean))) (?v_38 (= EC_130_8_130_8 ecReturn)) (?v_14 (= true_term RES_130_8_130_8))) (let ((?v_39 (or (and (not ?v_14) ?v_13 (= EC_131_16_131_16 ecReturn) (= EC EC_131_16_131_16) (= XRES XRES_131_16_131_16) (= RES RES_131_16_131_16)) (and ?v_14 ?v_13 (= EC EC_130_8_130_8) (= XRES XRES_130_8_130_8) (= RES RES_130_8_130_8)))) (?v_15 (<= 0 1)) (?v_16 (< 1 ?v_6)) (?v_40 (= tmp6_133_40 (S_select ?v_17 1))) (?v_18 (<= 0 2)) (?v_19 (< 2 ?v_6)) (?v_22 (= extension_133_24_133_24_4_44_12 (S_select ?v_17 2))) (?v_41 (= true_term (is RES_133_24_133_24 T_javafe_genericfile_GenericFile))) (?v_42 (= true_term (isAllocated RES_133_24_133_24 after_127_11_127_11))) (?v_43 (= EC_133_24_133_24 ecReturn)) (?v_44 (= RES_133_24_133_24 null))) (let ((?v_23 (not ?v_44)) (?v_45 (= EC_137_49_137_49 ecReturn)) (?v_47 (= EC_121_9 ecReturn))) (not (=> (and (distinct ecReturn ecThrow) (not (= S_137_24 null)) (= (typeof S_137_24) T_java_lang_String)) (=> (and (= out_pre_13_83_49 out_13_83_49) (= true_term (is out_13_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_13_83_49 alloc)) (not (= out_13_83_49 null)) (= data_pre_8_41_18 data_8_41_18) (= data_8_41_18 (asField data_8_41_18 T_java_lang_Object)) (< (fClosedTime data_8_41_18) alloc) (= javaFileSpace_pre_28_17 javaFileSpace_28_17) (= javaFileSpace_28_17 (asField javaFileSpace_28_17 T_javafe_filespace_Tree)) (< (fClosedTime javaFileSpace_28_17) alloc) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is args_117_37 ?v_9)) (= true_term (isAllocated args_117_37 alloc)) (= true_term (nonnullelements args_117_37 elems)) (or ?v_4 (and ?v_0 ?v_24 ?v_13 ?v_25 ?v_11 ?v_26 ?v_27 ?v_28 ?v_29 ?v_30 ?v_31 ?v_3 ?v_32 (or ?v_4 (and ?v_0 (or (not ?v_5) (and ?v_5 (or (not ?v_7) (and ?v_7 ?v_33 (or (not ?v_8) (and ?v_8 ?v_34 ?v_35 ?v_10 ?v_36 (or ?v_20 (and ?v_11 (or ?v_21 (and ?v_12 ?v_37 ?v_38 ?v_39 (or ?v_4 (and ?v_0 (or (not ?v_15) (and ?v_15 (or (not ?v_16) (and ?v_16 ?v_40 (or ?v_4 (and ?v_0 (or (not ?v_18) (and ?v_18 (or (not ?v_19) (and ?v_19 (or ?v_20 (and ?v_11 (or (and ?v_22 ?v_21) (and ?v_22 ?v_12 ?v_41 ?v_42 ?v_43 ?v_23 ?v_13 (not ?v_23)))))))))))))))))))))))))))))) (and (or (and ?v_0 ?v_24 ?v_13 ?v_25 ?v_11 ?v_26 ?v_27 ?v_28 ?v_29 ?v_30 ?v_31 ?v_3 ?v_32 ?v_0 ?v_5 ?v_7 ?v_33 ?v_8 ?v_34 ?v_35 ?v_10 ?v_36 ?v_11 ?v_12 ?v_37 ?v_38 ?v_39 ?v_0 ?v_15 ?v_16 ?v_40 ?v_0 ?v_18 ?v_19 ?v_11 ?v_22 ?v_12 ?v_41 ?v_42 ?v_43 (or (and ?v_44 ?v_13 (= EC_135_16_135_16 ecReturn) (= EC_1_ EC_135_16_135_16) (= XRES_1_ XRES_135_16_135_16)) (and ?v_23 ?v_13 ?v_23 (= true_term (is RES_137_49_137_49 T_java_lang_String)) (= true_term (isAllocated RES_137_49_137_49 after_127_11_127_11)) ?v_45 (=> ?v_45 (not (= RES_137_49_137_49 null))) (= arg0_137_16_137_16_14__ (stringCat S_137_24 RES_137_49_137_49)) (= EC_137_16_137_16 ecReturn) (= EC_1_ EC_137_16_137_16) (= XRES_1_ XRES_137_16_137_16))) ?v_47 (= XRES_121_9 XRES_1_)) (and ?v_0 (or (and ?v_46 ?v_13 (= EC_122_16_122_16 ecReturn) ?v_13 (= EC_121_9_1_ ecReturn) (= XRES_121_9_1_ XRES_122_16_122_16)) (and ?v_24 ?v_13 ?v_25 ?v_11 ?v_26 ?v_27 ?v_28 ?v_29 ?v_30 ?v_31 ?v_13 ?v_1 (= EC_121_9_1_ EC_127_11_127_11) (= XRES_121_9_1_ XRES_127_11_127_11))) (= EC_121_9 EC_121_9_1_) (= XRES_121_9 XRES_121_9_1_))) (not (or ?v_47 (and (= EC_121_9 ecThrow) (= (PO_LT (typeof XRES_121_9) T_java_io_IOException) true_term))))))))))))))))))))))
(check-sat)
(exit)
