(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_lang_System () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun T_javafe_filespace_Tree () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_filespace_StringUtil () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_util_Enumeration () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun out_14_83_49 () Int)
(assert (and (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_javafe_filespace_Tree T_java_lang_Object) true_term) (= T_javafe_filespace_Tree (asChild T_javafe_filespace_Tree T_java_lang_Object)) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_filespace_StringUtil T_java_lang_Object) true_term) (= T_javafe_filespace_StringUtil (asChild T_javafe_filespace_StringUtil T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_filespace_StringUtil) true_term) (= ?t T_javafe_filespace_StringUtil))) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_util_Enumeration T_java_lang_Object) true_term) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_lang_System (+ DIST_ZERO_1 10)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 11)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 12)) (= T_java_io_Serializable (+ DIST_ZERO_1 13)) (= T_java_util_Properties (+ DIST_ZERO_1 14)) (= T_java_util_Dictionary (+ DIST_ZERO_1 15)) (= T_java_lang_Object (+ DIST_ZERO_1 16)) (= T_java_io_PrintStream (+ DIST_ZERO_1 17)) (= T_javafe_filespace_Tree (+ DIST_ZERO_1 18)) (= T_java_lang_Comparable (+ DIST_ZERO_1 19)) (= T_javafe_filespace_StringUtil (+ DIST_ZERO_1 20)) (= T_java_util_Hashtable (+ DIST_ZERO_1 21)) (= T_java_lang_String (+ DIST_ZERO_1 22)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 23)) (= T_java_util_Map (+ DIST_ZERO_1 24)) (= T_java_util_Enumeration (+ DIST_ZERO_1 25)) (= T_java_io_OutputStream (+ DIST_ZERO_1 26))) (= true_term (is out_14_83_49 T_java_io_PrintStream))))
(declare-fun C_217_1 () Int)
(declare-fun ecReturn () Int)
(declare-fun L_217_1 () Int)
(declare-fun elementType_pre_6_74_27 () Int)
(declare-fun elementType_6_74_27 () Int)
(declare-fun out_pre_14_83_49 () Int)
(declare-fun label_pre_33_19 () Int)
(declare-fun label_33_19 () Int)
(declare-fun moreElements_pre_6_58_29 () Int)
(declare-fun moreElements_6_58_29 () Int)
(declare-fun returnsNull_pre_6_79_29 () Int)
(declare-fun returnsNull_6_79_29 () Int)
(declare-fun data_pre_41_18 () Int)
(declare-fun data_41_18 () Int)
(declare-fun parent_pre_26_17 () Int)
(declare-fun parent_26_17 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun this () Int)
(declare-fun name_213_47 () Int)
(declare-fun separator_213_58 () Int)
(declare-fun RES_214_28_214_28 () Int)
(declare-fun EC_214_28_214_28 () Int)
(declare-fun i_loopold_217_10 () Int)
(declare-fun currentNode_loopold_216_6 () Int)
(declare-fun RES_loopold () Int)
(declare-fun EC_loopold () Int)
(declare-fun label_218_31_217_1_0_218_31_111_32 () Int)
(declare-fun RES_217_1_0_218_31_218_31 () Int)
(declare-fun EC_217_1_0_218_31_218_31 () Int)
(declare-fun EC_218_19 () Int)
(declare-fun i_217_1_0_217_30 () Int)
(declare-fun currentNode_216_6 () Int)
(declare-fun EC () Int)
(declare-fun currentNode_216_6_1_ () Int)
(declare-fun EC_1_ () Int)
(declare-fun EC_214_38 () Int)
(declare-fun currentNode_216_6_2_ () Int)
(declare-fun EC_2_ () Int)
(assert (let ((?v_6 (not (= this null))) (?v_0 (not (= name_213_47 null))) (?v_14 (= true_term (is RES_214_28_214_28 (array T_java_lang_String)))) (?v_15 (= true_term (isAllocated RES_214_28_214_28 alloc))) (?v_1 (= EC_214_28_214_28 ecReturn))) (let ((?v_16 (=> ?v_1 (= true_term (nonnullelements RES_214_28_214_28 elems)))) (?v_17 (= 0 i_loopold_217_10)) (?v_18 (= this currentNode_loopold_216_6)) (?v_19 (= RES_214_28_214_28 RES_loopold)) (?v_20 (= EC_214_28_214_28 EC_loopold)) (?v_7 (= true_term true_term)) (?v_2 (not (= RES_214_28_214_28 null)))) (let ((?v_3 (not ?v_2)) (?v_25 (arrayLength RES_214_28_214_28))) (let ((?v_5 (< 0 ?v_25)) (?v_4 (<= 0 0))) (let ((?v_21 (not ?v_5)) (?v_8 (= label_218_31_217_1_0_218_31_111_32 (S_select (S_select elems RES_214_28_214_28) 0))) (?v_9 (not (= label_218_31_217_1_0_218_31_111_32 null))) (?v_10 (= true_term (is RES_217_1_0_218_31_218_31 T_javafe_filespace_Tree))) (?v_11 (= true_term (isAllocated RES_217_1_0_218_31_218_31 alloc))) (?v_12 (= EC_217_1_0_218_31_218_31 ecReturn)) (?v_13 (= RES_217_1_0_218_31_218_31 null)) (?v_22 (= ecReturn C_217_1))) (let ((?v_23 (or (and ?v_2 ?v_4 ?v_5 ?v_6 ?v_8 ?v_9 ?v_10 ?v_11 ?v_12 (not ?v_13) ?v_7 (= EC_218_19 EC_217_1_0_218_31_218_31)) (and ?v_2 ?v_4 ?v_5 ?v_6 ?v_8 ?v_9 ?v_10 ?v_11 ?v_12 ?v_13 ?v_7 ?v_7 ?v_22 (= EC_218_19 ecReturn)))) (?v_24 (= i_217_1_0_217_30 (+ 0 1))) (?v_26 (= EC_1_ L_217_1))) (let ((?v_27 (or (and ?v_7 (or (and ?v_2 ?v_21 (= currentNode_216_6 this) (= EC L_217_1)) (and ?v_2 ?v_5 ?v_2 ?v_4 ?v_5 ?v_6 ?v_8 ?v_9 ?v_10 ?v_11 ?v_12 ?v_13 ?v_7 ?v_7 (not ?v_22) (= currentNode_216_6 RES_217_1_0_218_31_218_31) (= EC ecReturn))) (= currentNode_216_6_1_ currentNode_216_6) (= EC_1_ EC)) (and ?v_7 ?v_2 ?v_5 ?v_23 ?v_24 ?v_7 ?v_2 (not (< i_217_1_0_217_30 ?v_25)) (= currentNode_216_6_1_ RES_217_1_0_218_31_218_31) ?v_26))) (?v_28 (= EC_214_38 ecReturn))) (not (=> (distinct C_217_1 ecReturn L_217_1) (=> (and (= elementType_pre_6_74_27 elementType_6_74_27) (= elementType_6_74_27 (asField elementType_6_74_27 T__TYPE)) (= out_pre_14_83_49 out_14_83_49) (= true_term (is out_14_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_14_83_49 alloc)) (not (= out_14_83_49 null)) (= label_pre_33_19 label_33_19) (= label_33_19 (asField label_33_19 T_java_lang_String)) (< (fClosedTime label_33_19) alloc) (= moreElements_pre_6_58_29 moreElements_6_58_29) (= moreElements_6_58_29 (asField moreElements_6_58_29 T_boolean)) (= returnsNull_pre_6_79_29 returnsNull_6_79_29) (= returnsNull_6_79_29 (asField returnsNull_6_79_29 T_boolean)) (= data_pre_41_18 data_41_18) (= data_41_18 (asField data_41_18 T_java_lang_Object)) (< (fClosedTime data_41_18) alloc) (= parent_pre_26_17 parent_26_17) (= parent_26_17 (asField parent_26_17 T_javafe_filespace_Tree)) (< (fClosedTime parent_26_17) alloc) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is this T_javafe_filespace_Tree)) (= true_term (isAllocated this alloc)) ?v_6 (= true_term (is name_213_47 T_java_lang_String)) (= true_term (isAllocated name_213_47 alloc)) (= true_term (is separator_213_58 T_char)) ?v_0 (or (not ?v_0) (and ?v_0 ?v_14 ?v_15 ?v_1 ?v_16 ?v_17 ?v_18 ?v_19 ?v_20 (or (and ?v_7 (or ?v_3 (and ?v_2 ?v_5 (or ?v_3 (and ?v_2 (or (not ?v_4) (and ?v_4 (or ?v_21 (and ?v_5 (or (not ?v_6) (and ?v_6 ?v_8 (not ?v_9)))))))))))) (and ?v_7 ?v_2 ?v_5 ?v_23 ?v_24 ?v_7 ?v_3))) (and ?v_0 ?v_14 ?v_15 ?v_1 ?v_16 (or (and ?v_17 ?v_18 ?v_19 ?v_20 ?v_27 (not ?v_26) (= EC_214_38 EC_1_)) (and ?v_17 ?v_18 ?v_19 ?v_20 ?v_27 ?v_26 (= currentNode_216_6_2_ currentNode_216_6_1_) (= EC_2_ EC_1_) ?v_7 ?v_28)) (not ?v_28))))))))))))))))
(check-sat)
(exit)
