(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_javafe_filespace_StringUtil () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_java_util_zip_ZipFile () Int)
(declare-fun T_java_util_zip_ZipConstants () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_filespace_Tree () Int)
(declare-fun T_java_util_Vector () Int)
(declare-fun T_java_util_AbstractList () Int)
(declare-fun T_java_util_List () Int)
(declare-fun T_java_io_IOException () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_javafe_genericfile_ZipGenericFile () Int)
(declare-fun T_javafe_genericfile_GenericFile () Int)
(declare-fun T_java_util_zip_ZipEntry () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_java_util_Collection () Int)
(declare-fun T_java_util_Enumeration () Int)
(declare-fun T_javafe_filespace_ExtTree () Int)
(declare-fun T_javafe_filespace_HashTree () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun T_java_util_AbstractCollection () Int)
(declare-fun T_javafe_filespace_ZipTree () Int)
(declare-fun T_java_io_File () Int)
(declare-fun T_javafe_filespace_LookAheadEnum () Int)
(declare-fun T_java_util_zip_ZipException () Int)
(declare-fun T_javafe_filespace_TreeWalker () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun out_25_83_49 () Int)
(assert (and (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_javafe_filespace_StringUtil T_java_lang_Object) true_term) (= T_javafe_filespace_StringUtil (asChild T_javafe_filespace_StringUtil T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_filespace_StringUtil) true_term) (= ?t T_javafe_filespace_StringUtil))) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_java_util_zip_ZipFile T_java_lang_Object) true_term) (= T_java_util_zip_ZipFile (asChild T_java_util_zip_ZipFile T_java_lang_Object)) (= (PO_LT T_java_util_zip_ZipFile T_java_util_zip_ZipConstants) true_term) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_filespace_Tree T_java_lang_Object) true_term) (= T_javafe_filespace_Tree (asChild T_javafe_filespace_Tree T_java_lang_Object)) (= (PO_LT T_java_util_Vector T_java_util_AbstractList) true_term) (= T_java_util_Vector (asChild T_java_util_Vector T_java_util_AbstractList)) (= (PO_LT T_java_util_Vector T_java_util_List) true_term) (= (PO_LT T_java_util_Vector T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Vector T_java_io_Serializable) true_term) (= (PO_LT T_java_io_IOException T_java_lang_Exception) true_term) (= T_java_io_IOException (asChild T_java_io_IOException T_java_lang_Exception)) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (= (PO_LT T_javafe_genericfile_ZipGenericFile T_java_lang_Object) true_term) (= T_javafe_genericfile_ZipGenericFile (asChild T_javafe_genericfile_ZipGenericFile T_java_lang_Object)) (= (PO_LT T_javafe_genericfile_ZipGenericFile T_javafe_genericfile_GenericFile) true_term) (= (PO_LT T_java_util_zip_ZipEntry T_java_lang_Object) true_term) (= T_java_util_zip_ZipEntry (asChild T_java_util_zip_ZipEntry T_java_lang_Object)) (= (PO_LT T_java_util_zip_ZipEntry T_java_util_zip_ZipConstants) true_term) (= (PO_LT T_java_util_zip_ZipEntry T_java_lang_Cloneable) true_term) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_util_Collection T_java_lang_Object) true_term) (= (PO_LT T_java_util_Enumeration T_java_lang_Object) true_term) (= (PO_LT T_java_util_zip_ZipConstants T_java_lang_Object) true_term) (= (PO_LT T_javafe_filespace_ExtTree T_javafe_filespace_HashTree) true_term) (= T_javafe_filespace_ExtTree (asChild T_javafe_filespace_ExtTree T_javafe_filespace_HashTree)) (= (PO_LT T_javafe_filespace_HashTree T_javafe_filespace_Tree) true_term) (= T_javafe_filespace_HashTree (asChild T_javafe_filespace_HashTree T_javafe_filespace_Tree)) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_java_util_List T_java_lang_Object) true_term) (= (PO_LT T_java_util_List T_java_util_Collection) true_term) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_java_util_AbstractList T_java_util_AbstractCollection) true_term) (= T_java_util_AbstractList (asChild T_java_util_AbstractList T_java_util_AbstractCollection)) (= (PO_LT T_java_util_AbstractList T_java_util_List) true_term) (= (PO_LT T_java_util_AbstractCollection T_java_lang_Object) true_term) (= T_java_util_AbstractCollection (asChild T_java_util_AbstractCollection T_java_lang_Object)) (= (PO_LT T_java_util_AbstractCollection T_java_util_Collection) true_term) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_javafe_filespace_ZipTree T_javafe_filespace_ExtTree) true_term) (= T_javafe_filespace_ZipTree (asChild T_javafe_filespace_ZipTree T_javafe_filespace_ExtTree)) (= (PO_LT T_javafe_genericfile_GenericFile T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_java_io_File T_java_lang_Object) true_term) (= T_java_io_File (asChild T_java_io_File T_java_lang_Object)) (= (PO_LT T_java_io_File T_java_io_Serializable) true_term) (= (PO_LT T_java_io_File T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_filespace_LookAheadEnum T_java_lang_Object) true_term) (= T_javafe_filespace_LookAheadEnum (asChild T_javafe_filespace_LookAheadEnum T_java_lang_Object)) (= (PO_LT T_javafe_filespace_LookAheadEnum T_java_util_Enumeration) true_term) (= (PO_LT T_java_util_zip_ZipException T_java_io_IOException) true_term) (= T_java_util_zip_ZipException (asChild T_java_util_zip_ZipException T_java_io_IOException)) (= (PO_LT T_javafe_filespace_TreeWalker T_javafe_filespace_LookAheadEnum) true_term) (= T_javafe_filespace_TreeWalker (asChild T_javafe_filespace_TreeWalker T_javafe_filespace_LookAheadEnum)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_filespace_TreeWalker) true_term) (= ?t T_javafe_filespace_TreeWalker))) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_lang_Exception (+ DIST_ZERO_1 10)) (= T_javafe_filespace_StringUtil (+ DIST_ZERO_1 11)) (= T_java_lang_Object (+ DIST_ZERO_1 12)) (= T_java_util_Hashtable (+ DIST_ZERO_1 13)) (= T_java_util_Map (+ DIST_ZERO_1 14)) (= T_java_lang_Throwable (+ DIST_ZERO_1 15)) (= T_java_util_zip_ZipFile (+ DIST_ZERO_1 16)) (= T_java_io_OutputStream (+ DIST_ZERO_1 17)) (= T_java_lang_String (+ DIST_ZERO_1 18)) (= T_javafe_filespace_Tree (+ DIST_ZERO_1 19)) (= T_java_util_Vector (+ DIST_ZERO_1 20)) (= T_java_io_IOException (+ DIST_ZERO_1 21)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 22)) (= T_javafe_genericfile_ZipGenericFile (+ DIST_ZERO_1 23)) (= T_java_util_zip_ZipEntry (+ DIST_ZERO_1 24)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 25)) (= T_java_lang_System (+ DIST_ZERO_1 26)) (= T_java_util_Dictionary (+ DIST_ZERO_1 27)) (= T_java_util_Collection (+ DIST_ZERO_1 28)) (= T_java_util_Enumeration (+ DIST_ZERO_1 29)) (= T_java_util_zip_ZipConstants (+ DIST_ZERO_1 30)) (= T_javafe_filespace_ExtTree (+ DIST_ZERO_1 31)) (= T_javafe_filespace_HashTree (+ DIST_ZERO_1 32)) (= T_java_util_Properties (+ DIST_ZERO_1 33)) (= T_java_util_List (+ DIST_ZERO_1 34)) (= T_java_io_PrintStream (+ DIST_ZERO_1 35)) (= T_java_io_Serializable (+ DIST_ZERO_1 36)) (= T_java_util_AbstractList (+ DIST_ZERO_1 37)) (= T_java_util_AbstractCollection (+ DIST_ZERO_1 38)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 39)) (= T_javafe_filespace_ZipTree (+ DIST_ZERO_1 40)) (= T_javafe_genericfile_GenericFile (+ DIST_ZERO_1 41)) (= T_java_lang_Comparable (+ DIST_ZERO_1 42)) (= T_java_io_File (+ DIST_ZERO_1 43)) (= T_javafe_filespace_LookAheadEnum (+ DIST_ZERO_1 44)) (= T_java_util_zip_ZipException (+ DIST_ZERO_1 45)) (= T_javafe_filespace_TreeWalker (+ DIST_ZERO_1 46))) (= true_term (is out_25_83_49 T_java_io_PrintStream))))
(declare-fun L_138_1 () Int)
(declare-fun ecReturn () Int)
(declare-fun L_127_1 () Int)
(declare-fun L_123_1 () Int)
(declare-fun elementType_pre_23_74_27 () Int)
(declare-fun elementType_23_74_27 () Int)
(declare-fun remainingChildren_pre_29_39_26 () Int)
(declare-fun remainingChildren_29_39_26 () Int)
(declare-fun lookAhead_pre_30_43_19 () Int)
(declare-fun lookAhead_30_43_19 () Int)
(declare-fun data_pre_6_41_18 () Int)
(declare-fun data_6_41_18 () Int)
(declare-fun out_pre_25_83_49 () Int)
(declare-fun returnsNull_pre_23_79_29 () Int)
(declare-fun returnsNull_23_79_29 () Int)
(declare-fun count_pre_9_99_33 () Int)
(declare-fun count_9_99_33 () Int)
(declare-fun value_pre_9_91_31 () Int)
(declare-fun value_9_91_31 () Int)
(declare-fun zip_pre_55_22 () Int)
(declare-fun zip_55_22 () Int)
(declare-fun remainingNodes_pre_29_48_26 () Int)
(declare-fun remainingNodes_29_48_26 () Int)
(declare-fun lookAheadValid_pre_30_40_20 () Int)
(declare-fun lookAheadValid_30_40_20 () Int)
(declare-fun moreElements_pre_23_58_29 () Int)
(declare-fun moreElements_23_58_29 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun this () Int)
(declare-fun z_113_38 () Int)
(declare-fun RES_114_21_114_21 () Int)
(declare-fun EC_114_21_114_21 () Int)
(declare-fun pathname_loopold_114_8 () Int)
(declare-fun EC_loopold () Int)
(declare-fun RES_123_1_0_123_17_123_17 () Int)
(declare-fun EC_123_1_0_123_17_123_17 () Int)
(declare-fun RES_123_1_0_123_40_123_40 () Int)
(declare-fun EC_123_1_0_123_40_123_40 () Int)
(declare-fun tmp0_cand_123_1_0_123_8 () Int)
(declare-fun RES () Int)
(declare-fun tmp1_pathname_123_31 () Int)
(declare-fun EC () Int)
(declare-fun tmp0_cand_123_28 () Int)
(declare-fun tmp1_pathname_123_1_0_123_31 () Int)
(declare-fun RES_123_1_0_124_25_124_25 () Int)
(declare-fun EC_123_1_0_124_25_124_25 () Int)
(declare-fun RES_123_1_1_123_17_123_17 () Int)
(declare-fun EC_123_1_1_123_17_123_17 () Int)
(declare-fun pathname_114_8 () Int)
(declare-fun RES_1_ () Int)
(declare-fun RES_123_1_1_123_40_123_40 () Int)
(declare-fun EC_123_1_1_123_40_123_40 () Int)
(declare-fun tmp0_cand_123_1_1_123_8 () Int)
(declare-fun RES_2_ () Int)
(declare-fun EC_1_ () Int)
(declare-fun tmp0_cand_123_28_1_ () Int)
(declare-fun pathname_114_8_1_ () Int)
(declare-fun RES_3_ () Int)
(declare-fun EC_2_ () Int)
(declare-fun pathname_loopold_114_8_1_ () Int)
(declare-fun EC_loopold_1_ () Int)
(declare-fun RES_127_1_0_127_17_127_17 () Int)
(declare-fun EC_127_1_0_127_17_127_17 () Int)
(declare-fun RES_127_1_0_128_27_128_27 () Int)
(declare-fun EC_127_1_0_128_27_128_27 () Int)
(declare-fun index_128_11_127_1_0_128_11_9_528_27 () Int)
(declare-fun RES_127_1_0_128_11_128_11 () Int)
(declare-fun EC_127_1_0_128_11_128_11 () Int)
(declare-fun tmp3_cand_127_1_0_127_8 () Int)
(declare-fun tmp4_pathname_128_2 () Int)
(declare-fun RES_4_ () Int)
(declare-fun EC_3_ () Int)
(declare-fun tmp3_cand_127_28 () Int)
(declare-fun tmp4_pathname_127_1_0_128_2 () Int)
(declare-fun RES_127_1_0_129_46_129_46 () Int)
(declare-fun EC_127_1_0_129_46_129_46 () Int)
(declare-fun endIndex_129_25_127_1_0_129_25_9_1512_48 () Int)
(declare-fun RES_127_1_0_129_25_129_25 () Int)
(declare-fun EC_127_1_0_129_25_129_25 () Int)
(declare-fun RES_127_1_1_127_17_127_17 () Int)
(declare-fun EC_127_1_1_127_17_127_17 () Int)
(declare-fun RES_127_1_1_128_27_128_27 () Int)
(declare-fun EC_127_1_1_128_27_128_27 () Int)
(declare-fun pathname_114_8_2_ () Int)
(declare-fun RES_5_ () Int)
(declare-fun index_128_11_127_1_1_128_11_9_528_27 () Int)
(declare-fun RES_127_1_1_128_11_128_11 () Int)
(declare-fun EC_127_1_1_128_11_128_11 () Int)
(declare-fun tmp3_cand_127_1_1_127_8 () Int)
(declare-fun RES_6_ () Int)
(declare-fun EC_4_ () Int)
(declare-fun tmp3_cand_127_28_1_ () Int)
(declare-fun pathname_114_8_3_ () Int)
(declare-fun RES_7_ () Int)
(declare-fun EC_5_ () Int)
(declare-fun RES_132_28_132_28 () Int)
(declare-fun EC_132_28_132_28 () Int)
(declare-fun RES_133_17_133_17 () Int)
(declare-fun EC_133_17_133_17 () Int)
(declare-fun tmp8_zip_135_36 () Int)
(declare-fun after_135_17_135_17 () Int)
(declare-fun RES_135_17_135_17 () Int)
(declare-fun EC_135_17_135_17 () Int)
(declare-fun owner_7_35_28 () Int)
(declare-fun data_135_10 () Int)
(declare-fun EC_loopold_2_ () Int)
(declare-fun fileNode_loopold_133_6 () Int)
(declare-fun zip_140_2_138_1_0_140_2_64_58 () Int)
(declare-fun EC_138_1_0_140_2_140_2 () Int)
(declare-fun RES_8_ () Int)
(declare-fun RES_138_1_0_140_2_140_2 () Int)
(declare-fun EC_6_ () Int)
(declare-fun RES_138_1_0_138_44_138_44 () Int)
(declare-fun EC_138_1_0_138_44_138_44 () Int)
(declare-fun EC_7_ () Int)
(declare-fun EC_114_20 () Int)
(declare-fun EC_114_20_1_ () Int)
(assert (let ((?v_0 (not (= z_113_38 null))) (?v_70 (= true_term (is RES_114_21_114_21 T_java_lang_String))) (?v_71 (= true_term (isAllocated RES_114_21_114_21 alloc))) (?v_1 (= EC_114_21_114_21 ecReturn)) (?v_2 (not (= RES_114_21_114_21 null)))) (let ((?v_72 (=> ?v_1 ?v_2)) (?v_16 (= RES_114_21_114_21 pathname_loopold_114_8)) (?v_17 (= EC_114_21_114_21 EC_loopold)) (?v_9 (= true_term true_term)) (?v_4 (not ?v_2)) (?v_5 (= true_term (is RES_123_1_0_123_17_123_17 T_int))) (?v_3 (= EC_123_1_0_123_17_123_17 ecReturn))) (let ((?v_6 (=> ?v_3 (>= RES_123_1_0_123_17_123_17 0))) (?v_7 (=> ?v_3 (= RES_123_1_0_123_17_123_17 (S_select count_9_99_33 RES_114_21_114_21)))) (?v_8 (> RES_123_1_0_123_17_123_17 0))) (let ((?v_10 (or (and ?v_8 ?v_2 (= true_term (is RES_123_1_0_123_40_123_40 T_char)) (= EC_123_1_0_123_40_123_40 ecReturn) (= tmp0_cand_123_1_0_123_8 (integralEQ RES_123_1_0_123_40_123_40 47)) (= RES RES_123_1_0_123_40_123_40) (= tmp1_pathname_123_31 RES_114_21_114_21) (= EC EC_123_1_0_123_40_123_40) (= tmp0_cand_123_28 tmp0_cand_123_1_0_123_8)) (and (not ?v_8) ?v_9 (= RES RES_123_1_0_123_17_123_17) (= tmp1_pathname_123_31 tmp1_pathname_123_1_0_123_31) (= EC EC_123_1_0_123_17_123_17) (= tmp0_cand_123_28 false_term)))) (?v_11 (= true_term tmp0_cand_123_28)) (?v_18 (= true_term (is RES_123_1_0_124_25_124_25 T_java_lang_String))) (?v_19 (= true_term (isAllocated RES_123_1_0_124_25_124_25 alloc))) (?v_12 (= EC_123_1_0_124_25_124_25 ecReturn)) (?v_13 (not (= RES_123_1_0_124_25_124_25 null)))) (let ((?v_20 (=> ?v_12 ?v_13)) (?v_15 (not ?v_13)) (?v_21 (= true_term (is RES_123_1_1_123_17_123_17 T_int))) (?v_14 (= EC_123_1_1_123_17_123_17 ecReturn))) (let ((?v_22 (=> ?v_14 (>= RES_123_1_1_123_17_123_17 0))) (?v_23 (=> ?v_14 (= RES_123_1_1_123_17_123_17 (S_select count_9_99_33 RES_123_1_0_124_25_124_25)))) (?v_24 (> RES_123_1_1_123_17_123_17 0))) (let ((?v_73 (or (and ?v_9 ?v_2 ?v_5 ?v_3 ?v_6 ?v_7 ?v_10 (not ?v_11) (= pathname_114_8 RES_114_21_114_21) (= RES_1_ RES)) (and ?v_9 ?v_2 ?v_5 ?v_3 ?v_6 ?v_7 ?v_10 ?v_11 ?v_2 ?v_18 ?v_19 ?v_12 ?v_20 ?v_9 ?v_13 ?v_21 ?v_14 ?v_22 ?v_23 (or (and ?v_24 ?v_13 (= true_term (is RES_123_1_1_123_40_123_40 T_char)) (= EC_123_1_1_123_40_123_40 ecReturn) (= tmp0_cand_123_1_1_123_8 (integralEQ RES_123_1_1_123_40_123_40 47)) (= RES_2_ RES_123_1_1_123_40_123_40) (= EC_1_ EC_123_1_1_123_40_123_40) (= tmp0_cand_123_28_1_ tmp0_cand_123_1_1_123_8)) (and (not ?v_24) ?v_9 (= RES_2_ RES_123_1_1_123_17_123_17) (= EC_1_ EC_123_1_1_123_17_123_17) (= tmp0_cand_123_28_1_ false_term))) (not (= true_term tmp0_cand_123_28_1_)) (= pathname_114_8 RES_123_1_0_124_25_124_25) (= RES_1_ RES_2_)))) (?v_74 (= L_123_1 L_123_1)) (?v_75 (= pathname_114_8_1_ pathname_114_8)) (?v_76 (= RES_3_ RES_1_)) (?v_77 (= EC_2_ L_123_1)) (?v_49 (= pathname_114_8_1_ pathname_loopold_114_8_1_)) (?v_50 (= EC_2_ EC_loopold_1_)) (?v_25 (not (= pathname_114_8_1_ null)))) (let ((?v_27 (not ?v_25)) (?v_30 (= true_term (is RES_127_1_0_127_17_127_17 T_int))) (?v_26 (= EC_127_1_0_127_17_127_17 ecReturn))) (let ((?v_31 (=> ?v_26 (>= RES_127_1_0_127_17_127_17 0))) (?v_29 (S_select count_9_99_33 pathname_114_8_1_))) (let ((?v_32 (=> ?v_26 (= RES_127_1_0_127_17_127_17 ?v_29))) (?v_33 (> RES_127_1_0_127_17_127_17 0)) (?v_34 (= true_term (is RES_127_1_0_128_27_128_27 T_int))) (?v_28 (= EC_127_1_0_128_27_128_27 ecReturn))) (let ((?v_35 (=> ?v_28 (>= RES_127_1_0_128_27_128_27 0))) (?v_36 (=> ?v_28 (= RES_127_1_0_128_27_128_27 ?v_29)))) (let ((?v_38 (or (and ?v_33 ?v_25 ?v_34 ?v_28 ?v_35 ?v_36 ?v_25 (= index_128_11_127_1_0_128_11_9_528_27 (- RES_127_1_0_128_27_128_27 1)) (= true_term (is RES_127_1_0_128_11_128_11 T_char)) (= EC_127_1_0_128_11_128_11 ecReturn) (= tmp3_cand_127_1_0_127_8 (integralEQ RES_127_1_0_128_11_128_11 47)) (= tmp4_pathname_128_2 pathname_114_8_1_) (= RES_4_ RES_127_1_0_128_11_128_11) (= EC_3_ EC_127_1_0_128_11_128_11) (= tmp3_cand_127_28 tmp3_cand_127_1_0_127_8)) (and (not ?v_33) ?v_9 (= tmp4_pathname_128_2 tmp4_pathname_127_1_0_128_2) (= RES_4_ RES_127_1_0_127_17_127_17) (= EC_3_ EC_127_1_0_127_17_127_17) (= tmp3_cand_127_28 false_term)))) (?v_39 (= true_term tmp3_cand_127_28)) (?v_40 (= true_term (is RES_127_1_0_129_46_129_46 T_int))) (?v_37 (= EC_127_1_0_129_46_129_46 ecReturn))) (let ((?v_41 (=> ?v_37 (>= RES_127_1_0_129_46_129_46 0))) (?v_42 (=> ?v_37 (= RES_127_1_0_129_46_129_46 ?v_29))) (?v_51 (= endIndex_129_25_127_1_0_129_25_9_1512_48 (- RES_127_1_0_129_46_129_46 1))) (?v_52 (= true_term (is RES_127_1_0_129_25_129_25 T_java_lang_String))) (?v_53 (= true_term (isAllocated RES_127_1_0_129_25_129_25 alloc))) (?v_43 (= EC_127_1_0_129_25_129_25 ecReturn)) (?v_44 (not (= RES_127_1_0_129_25_129_25 null)))) (let ((?v_54 (=> ?v_43 ?v_44)) (?v_46 (not ?v_44)) (?v_55 (= true_term (is RES_127_1_1_127_17_127_17 T_int))) (?v_45 (= EC_127_1_1_127_17_127_17 ecReturn))) (let ((?v_56 (=> ?v_45 (>= RES_127_1_1_127_17_127_17 0))) (?v_48 (S_select count_9_99_33 RES_127_1_0_129_25_129_25))) (let ((?v_57 (=> ?v_45 (= RES_127_1_1_127_17_127_17 ?v_48))) (?v_58 (> RES_127_1_1_127_17_127_17 0)) (?v_59 (= true_term (is RES_127_1_1_128_27_128_27 T_int))) (?v_47 (= EC_127_1_1_128_27_128_27 ecReturn))) (let ((?v_60 (=> ?v_47 (>= RES_127_1_1_128_27_128_27 0))) (?v_61 (=> ?v_47 (= RES_127_1_1_128_27_128_27 ?v_48)))) (let ((?v_78 (or (and ?v_9 ?v_25 ?v_30 ?v_26 ?v_31 ?v_32 ?v_38 (not ?v_39) (= pathname_114_8_2_ pathname_114_8_1_) (= RES_5_ RES_4_)) (and ?v_9 ?v_25 ?v_30 ?v_26 ?v_31 ?v_32 ?v_38 ?v_39 ?v_25 ?v_40 ?v_37 ?v_41 ?v_42 ?v_25 ?v_51 ?v_52 ?v_53 ?v_43 ?v_54 ?v_9 ?v_44 ?v_55 ?v_45 ?v_56 ?v_57 (or (and ?v_58 ?v_44 ?v_59 ?v_47 ?v_60 ?v_61 ?v_44 (= index_128_11_127_1_1_128_11_9_528_27 (- RES_127_1_1_128_27_128_27 1)) (= true_term (is RES_127_1_1_128_11_128_11 T_char)) (= EC_127_1_1_128_11_128_11 ecReturn) (= tmp3_cand_127_1_1_127_8 (integralEQ RES_127_1_1_128_11_128_11 47)) (= RES_6_ RES_127_1_1_128_11_128_11) (= EC_4_ EC_127_1_1_128_11_128_11) (= tmp3_cand_127_28_1_ tmp3_cand_127_1_1_127_8)) (and (not ?v_58) ?v_9 (= RES_6_ RES_127_1_1_127_17_127_17) (= EC_4_ EC_127_1_1_127_17_127_17) (= tmp3_cand_127_28_1_ false_term))) (not (= true_term tmp3_cand_127_28_1_)) (= pathname_114_8_2_ RES_127_1_0_129_25_129_25) (= RES_5_ RES_6_)))) (?v_79 (= L_127_1 L_127_1)) (?v_80 (= pathname_114_8_3_ pathname_114_8_2_)) (?v_81 (= RES_7_ RES_5_)) (?v_82 (= EC_5_ L_127_1)) (?v_62 (not (= pathname_114_8_3_ null))) (?v_83 (= true_term (is RES_132_28_132_28 (array T_java_lang_String)))) (?v_84 (= true_term (isAllocated RES_132_28_132_28 alloc))) (?v_63 (= EC_132_28_132_28 ecReturn))) (let ((?v_85 (=> ?v_63 (= true_term (nonnullelements RES_132_28_132_28 elems)))) (?v_86 (= true_term (is RES_133_17_133_17 T_javafe_filespace_ExtTree))) (?v_87 (= true_term (isAllocated RES_133_17_133_17 alloc))) (?v_64 (= EC_133_17_133_17 ecReturn)) (?v_65 (not (= RES_133_17_133_17 null)))) (let ((?v_88 (=> ?v_64 ?v_65)) (?v_66 (not ?v_65)) (?v_67 (S_select zip_55_22 this))) (let ((?v_89 (= tmp8_zip_135_36 ?v_67)) (?v_90 (< alloc after_135_17_135_17)) (?v_91 (not (= RES_135_17_135_17 null))) (?v_92 (not (= true_term (isAllocated RES_135_17_135_17 alloc)))) (?v_93 (= true_term (is RES_135_17_135_17 T_javafe_genericfile_ZipGenericFile))) (?v_94 (= true_term (isAllocated RES_135_17_135_17 after_135_17_135_17))) (?v_95 (= EC_135_17_135_17 ecReturn)) (?v_96 (= (S_select owner_7_35_28 RES_135_17_135_17) null)) (?v_97 (= (typeof RES_135_17_135_17) T_javafe_genericfile_ZipGenericFile)) (?v_98 (= data_135_10 (S_store data_6_41_18 RES_133_17_133_17 RES_135_17_135_17))) (?v_99 (= EC_135_17_135_17 EC_loopold_2_)) (?v_100 (= RES_133_17_133_17 fileNode_loopold_133_6)) (?v_68 (= (S_select data_135_10 RES_133_17_133_17) null)) (?v_69 (= zip_140_2_138_1_0_140_2_64_58 ?v_67))) (let ((?v_101 (or (and ?v_68 ?v_9 ?v_69 (= EC_138_1_0_140_2_140_2 ecReturn) (= RES_8_ RES_138_1_0_140_2_140_2) (= EC_6_ EC_138_1_0_140_2_140_2)) (and (not ?v_68) ?v_9 (= RES_8_ RES_135_17_135_17) (= EC_6_ EC_135_17_135_17))))) (let ((?v_102 (or (and ?v_9 ?v_66) (and ?v_9 ?v_65 ?v_65 ?v_101 ?v_65 (= true_term (is RES_138_1_0_138_44_138_44 T_javafe_filespace_Tree)) (= true_term (isAllocated RES_138_1_0_138_44_138_44 after_135_17_135_17)) (= EC_138_1_0_138_44_138_44 ecReturn) ?v_9 (not (not (= RES_138_1_0_138_44_138_44 null)))))) (?v_103 (= L_138_1 L_138_1)) (?v_104 (= EC_114_20 ecReturn))) (not (=> (distinct L_138_1 ecReturn L_127_1 L_123_1) (=> (and (= elementType_pre_23_74_27 elementType_23_74_27) (= elementType_23_74_27 (asField elementType_23_74_27 T__TYPE)) (= remainingChildren_pre_29_39_26 remainingChildren_29_39_26) (= remainingChildren_29_39_26 (asField remainingChildren_29_39_26 T_java_util_Enumeration)) (< (fClosedTime remainingChildren_29_39_26) alloc) (= lookAhead_pre_30_43_19 lookAhead_30_43_19) (= lookAhead_30_43_19 (asField lookAhead_30_43_19 T_java_lang_Object)) (< (fClosedTime lookAhead_30_43_19) alloc) (= data_pre_6_41_18 data_6_41_18) (= data_6_41_18 (asField data_6_41_18 T_java_lang_Object)) (< (fClosedTime data_6_41_18) alloc) (= out_pre_25_83_49 out_25_83_49) (= true_term (is out_25_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_25_83_49 alloc)) (not (= out_25_83_49 null)) (= returnsNull_pre_23_79_29 returnsNull_23_79_29) (= returnsNull_23_79_29 (asField returnsNull_23_79_29 T_boolean)) (= count_pre_9_99_33 count_9_99_33) (= count_9_99_33 (asField count_9_99_33 T_int)) (= value_pre_9_91_31 value_9_91_31) (= value_9_91_31 (asField value_9_91_31 (array T_char))) (< (fClosedTime value_9_91_31) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select value_9_91_31 ?s) null)))) (= zip_pre_55_22 zip_55_22) (= zip_55_22 (asField zip_55_22 T_java_util_zip_ZipFile)) (< (fClosedTime zip_55_22) alloc) (= remainingNodes_pre_29_48_26 remainingNodes_29_48_26) (= remainingNodes_29_48_26 (asField remainingNodes_29_48_26 T_java_util_Enumeration)) (< (fClosedTime remainingNodes_29_48_26) alloc) (= lookAheadValid_pre_30_40_20 lookAheadValid_30_40_20) (= lookAheadValid_30_40_20 (asField lookAheadValid_30_40_20 T_boolean)) (= moreElements_pre_23_58_29 moreElements_23_58_29) (= moreElements_23_58_29 (asField moreElements_23_58_29 T_boolean)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is this T_javafe_filespace_ZipTree)) (= true_term (isAllocated this alloc)) (not (= this null)) (= true_term (is z_113_38 T_java_util_zip_ZipEntry)) (= true_term (isAllocated z_113_38 alloc)) ?v_0 (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_java_lang_String)) (not (= ?brokenObj null))) (<= (S_select count_9_99_33 ?brokenObj) (arrayLength (S_select value_9_91_31 ?brokenObj))))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_filespace_ZipTree)) (not (= ?brokenObj_1_ null))) (not (= (S_select zip_55_22 ?brokenObj_1_) null)))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_java_lang_String)) (not (= ?brokenObj_2_ null))) (>= (S_select count_9_99_33 ?brokenObj_2_) 0))) (or (not ?v_0) (and ?v_0 ?v_70 ?v_71 ?v_1 ?v_72 (or (and ?v_16 ?v_17 (or (and ?v_9 (or ?v_4 (and ?v_2 ?v_5 ?v_3 ?v_6 ?v_7 ?v_8 ?v_4) (and ?v_2 ?v_5 ?v_3 ?v_6 ?v_7 ?v_10 ?v_11 ?v_4))) (and ?v_9 ?v_2 ?v_5 ?v_3 ?v_6 ?v_7 ?v_10 ?v_11 ?v_2 ?v_18 ?v_19 ?v_12 ?v_20 ?v_9 (or ?v_15 (and ?v_13 ?v_21 ?v_14 ?v_22 ?v_23 ?v_24 ?v_15))))) (and ?v_16 ?v_17 ?v_73 ?v_74 ?v_75 ?v_76 ?v_77 (or (and ?v_49 ?v_50 (or (and ?v_9 (or ?v_27 (and ?v_25 ?v_30 ?v_26 ?v_31 ?v_32 ?v_33 (or ?v_27 (and ?v_25 ?v_34 ?v_28 ?v_35 ?v_36 ?v_27))) (and ?v_25 ?v_30 ?v_26 ?v_31 ?v_32 ?v_38 ?v_39 (or ?v_27 (and ?v_25 ?v_40 ?v_37 ?v_41 ?v_42 ?v_27))))) (and ?v_9 ?v_25 ?v_30 ?v_26 ?v_31 ?v_32 ?v_38 ?v_39 ?v_25 ?v_40 ?v_37 ?v_41 ?v_42 ?v_25 ?v_51 ?v_52 ?v_53 ?v_43 ?v_54 ?v_9 (or ?v_46 (and ?v_44 ?v_55 ?v_45 ?v_56 ?v_57 ?v_58 (or ?v_46 (and ?v_44 ?v_59 ?v_47 ?v_60 ?v_61 ?v_46))))))) (and ?v_49 ?v_50 ?v_78 ?v_79 ?v_80 ?v_81 ?v_82 (or (not ?v_62) (and ?v_62 ?v_83 ?v_84 ?v_63 ?v_85 (or (not (and (not (= RES_132_28_132_28 null)) (forall ((?i_4_77_14 Int)) (=> (and (<= 0 ?i_4_77_14) (< ?i_4_77_14 (arrayLength RES_132_28_132_28))) (not (= (S_select (S_select elems RES_132_28_132_28) ?i_4_77_14) null)))))) (and ?v_86 ?v_87 ?v_64 ?v_88 (or ?v_66 (and ?v_65 ?v_89 (or (not (and (not (= tmp8_zip_135_36 null)) ?v_0)) (and ?v_90 ?v_91 ?v_92 ?v_93 ?v_94 ?v_95 ?v_96 ?v_97 ?v_98 ?v_99 ?v_100 ?v_9 ?v_65 (or ?v_66 (and ?v_65 ?v_68 ?v_9 ?v_69 (not (and ?v_65 (not (= zip_140_2_138_1_0_140_2_64_58 null))))) (and ?v_65 ?v_101 ?v_66))))))))))))))) (and (or (and ?v_0 ?v_70 ?v_71 ?v_1 ?v_72 ?v_16 ?v_17 ?v_73 ?v_74 ?v_75 ?v_76 ?v_77 ?v_49 ?v_50 ?v_78 ?v_79 ?v_80 ?v_81 ?v_82 ?v_62 ?v_83 ?v_84 ?v_63 ?v_85 ?v_86 ?v_87 ?v_64 ?v_88 ?v_65 ?v_89 ?v_90 ?v_91 ?v_92 ?v_93 ?v_94 ?v_95 ?v_96 ?v_97 ?v_98 ?v_99 ?v_100 ?v_102 ?v_103 (= EC_7_ L_138_1) ?v_104) (and ?v_0 ?v_70 ?v_71 ?v_1 ?v_72 (or (and ?v_16 ?v_17 ?v_73 (not ?v_74) (= EC_114_20_1_ L_123_1)) (and ?v_16 ?v_17 ?v_73 ?v_74 ?v_75 ?v_76 ?v_77 (or (and ?v_49 ?v_50 ?v_78 (not ?v_79) (= EC_114_20_1_ L_127_1)) (and ?v_49 ?v_50 ?v_78 ?v_79 ?v_80 ?v_81 ?v_82 ?v_62 ?v_83 ?v_84 ?v_63 ?v_85 ?v_86 ?v_87 ?v_64 ?v_88 ?v_65 ?v_89 ?v_90 ?v_91 ?v_92 ?v_93 ?v_94 ?v_95 ?v_96 ?v_97 ?v_98 ?v_99 ?v_100 ?v_102 (not ?v_103) (= EC_114_20_1_ L_138_1))))) (= EC_114_20 EC_114_20_1_))) (not ?v_104))))))))))))))))))))))))))))))))
(check-sat)
(exit)
