(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_ast_ConstructorDecl () Int)
(declare-fun T_javafe_ast_RoutineDecl () Int)
(declare-fun T_javafe_ast_StmtPragma () Int)
(declare-fun T_javafe_ast_Stmt () Int)
(declare-fun T_javafe_parser_ParseType () Int)
(declare-fun T_javafe_parser_ParseUtil () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_javafe_parser_PunctuationPrefixTree () Int)
(declare-fun T_javafe_ast_ModifierPragmaVec () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_javafe_ast_TypeDeclElem () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_lang_Integer () Int)
(declare-fun T_java_lang_Number () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_javafe_ast_TypeDeclElemPragma () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_javafe_ast_VarInit () Int)
(declare-fun T_javafe_ast_ImportDecl () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_javafe_ast_Type () Int)
(declare-fun T_javafe_ast_FieldDecl () Int)
(declare-fun T_javafe_ast_GenericVarDecl () Int)
(declare-fun T_javafe_ast_TypeModifierPragma () Int)
(declare-fun T_javafe_ast_StmtVec () Int)
(declare-fun T_javafe_ast_MethodDecl () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_javafe_ast_ImportDeclVec () Int)
(declare-fun T_javafe_ast_CompilationUnit () Int)
(declare-fun T_javafe_util_StackVector () Int)
(declare-fun T_java_lang_Float () Int)
(declare-fun T_javafe_parser_ParseStmt () Int)
(declare-fun T_javafe_parser_ParseExpr () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_javafe_ast_LexicalPragma () Int)
(declare-fun T_javafe_parser_Parse () Int)
(declare-fun T_javafe_ast_CatchClause () Int)
(declare-fun T_javafe_ast_TypeNameVec () Int)
(declare-fun T_javafe_ast_TypeDeclElemVec () Int)
(declare-fun T_javafe_ast_TypeDeclVec () Int)
(declare-fun T_javafe_ast_LexicalPragmaVec () Int)
(declare-fun T_javafe_ast_Identifier () Int)
(declare-fun T_javafe_ast_ModifierPragma () Int)
(declare-fun T_java_lang_Long () Int)
(declare-fun T_javafe_ast_SingleTypeImportDecl () Int)
(declare-fun T_javafe_ast_TypeModifierPragmaVec () Int)
(declare-fun T_javafe_ast_OnDemandImportDecl () Int)
(declare-fun T_javafe_ast_GenericBlockStmt () Int)
(declare-fun T_javafe_ast_Expr () Int)
(declare-fun T_javafe_ast_InterfaceDecl () Int)
(declare-fun T_javafe_ast_TypeDecl () Int)
(declare-fun T_javafe_parser_Token () Int)
(declare-fun T_java_lang_Double () Int)
(declare-fun T_javafe_parser_PragmaParser () Int)
(declare-fun T_javafe_ast_FormalParaDeclVec () Int)
(declare-fun T_javafe_ast_TypeName () Int)
(declare-fun T_javafe_ast_BlockStmt () Int)
(declare-fun T_javafe_ast_Modifiers () Int)
(declare-fun T_javafe_ast_InitBlock () Int)
(declare-fun T_javafe_ast_ClassDecl () Int)
(declare-fun T_javafe_ast_Name () Int)
(declare-fun T_javafe_util_CorrelatedReader () Int)
(declare-fun T_javafe_ast_FormalParaDecl () Int)
(declare-fun T_javafe_parser_Lex () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun FLOATLIT_15_42_26 () Int)
(declare-fun seqCatchClause_4_76_46 () Int)
(declare-fun LPAREN_14_37_26 () Int)
(declare-fun seqIdentifier_6_33_46 () Int)
(declare-fun IMPLEMENTS_14_74_26 () Int)
(declare-fun TYPEMODIFIERPRAGMA_14_28_26 () Int)
(declare-fun keywordStrings_14_181_30 () Int)
(declare-fun EOF_14_17_26 () Int)
(declare-fun CHARLIT_15_41_26 () Int)
(declare-fun RBRACE_14_36_26 () Int)
(declare-fun punctuationStrings_14_134_22 () Int)
(declare-fun seqVarInit_5_1153_46 () Int)
(declare-fun seqFormalParaDecl_64_46 () Int)
(declare-fun TYPEDECLELEMPRAGMA_14_27_26 () Int)
(declare-fun seqStmt_4_70_46 () Int)
(declare-fun IDENT_15_25_26 () Int)
(declare-fun LONGLIT_15_40_26 () Int)
(declare-fun LBRACE_14_35_26 () Int)
(declare-fun EXTENDS_14_66_26 () Int)
(declare-fun STMTPRAGMA_14_26_26 () Int)
(declare-fun seqExpr_5_1145_46 () Int)
(declare-fun CLASS_14_59_26 () Int)
(declare-fun seqTypeName_56_46 () Int)
(declare-fun ASSIGN_16_40_26 () Int)
(declare-fun INTLIT_15_39_26 () Int)
(declare-fun SEMICOLON_14_34_26 () Int)
(declare-fun INTERFACE_14_78_26 () Int)
(declare-fun MODIFIERPRAGMA_14_25_26 () Int)
(declare-fun FIRST_KEYWORD_14_51_26 () Int)
(declare-fun ACC_PUBLIC_45_19_26 () Int)
(declare-fun STAR_16_37_26 () Int)
(declare-fun BOOLEANLIT_15_38_26 () Int)
(declare-fun NONE_45_18_26 () Int)
(declare-fun seqModifierPragma_7_74_32 () Int)
(declare-fun THROWS_14_96_26 () Int)
(declare-fun LEXICALPRAGMA_14_24_26 () Int)
(declare-fun seqTypeDecl_80_46 () Int)
(declare-fun LAST_KEYWORD_14_103_26 () Int)
(declare-fun otherCodes_14_202_27 () Int)
(declare-fun otherStrings_14_193_30 () Int)
(declare-fun STRINGLIT_15_44_26 () Int)
(declare-fun noTokens_14_212_27 () Int)
(declare-fun PACKAGE_14_83_26 () Int)
(declare-fun COMMA_14_33_26 () Int)
(declare-fun punctuationCodes_14_164_19 () Int)
(declare-fun DOUBLELIT_15_43_26 () Int)
(declare-fun NULL_46_60_26 () Int)
(declare-fun RPAREN_14_38_26 () Int)
(declare-fun NULL_14_82_26 () Int)
(declare-fun IMPORT_14_75_26 () Int)
(declare-fun seqTypeDeclElem_5_1161_46 () Int)
(declare-fun seqImportDecl_72_46 () Int)
(declare-fun FIELD_14_45_26 () Int)
(assert (let ((?v_0 (array T_java_lang_String)) (?v_1 (array T_int))) (and (= (PO_LT T_javafe_ast_ConstructorDecl T_javafe_ast_RoutineDecl) true_term) (= T_javafe_ast_ConstructorDecl (asChild T_javafe_ast_ConstructorDecl T_javafe_ast_RoutineDecl)) (= (PO_LT T_javafe_ast_StmtPragma T_javafe_ast_Stmt) true_term) (= T_javafe_ast_StmtPragma (asChild T_javafe_ast_StmtPragma T_javafe_ast_Stmt)) (= (PO_LT T_javafe_parser_ParseType T_javafe_parser_ParseUtil) true_term) (= T_javafe_parser_ParseType (asChild T_javafe_parser_ParseType T_javafe_parser_ParseUtil)) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_javafe_parser_PunctuationPrefixTree T_java_lang_Object) true_term) (= T_javafe_parser_PunctuationPrefixTree (asChild T_javafe_parser_PunctuationPrefixTree T_java_lang_Object)) (= (PO_LT T_javafe_ast_ModifierPragmaVec T_java_lang_Object) true_term) (= T_javafe_ast_ModifierPragmaVec (asChild T_javafe_ast_ModifierPragmaVec T_java_lang_Object)) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_TypeDeclElem T_java_lang_Object) true_term) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_lang_Integer T_java_lang_Number) true_term) (= T_java_lang_Integer (asChild T_java_lang_Integer T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Integer) true_term) (= ?t T_java_lang_Integer))) (= (PO_LT T_java_lang_Integer T_java_lang_Comparable) true_term) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_ast_TypeDeclElemPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDeclElemPragma (asChild T_javafe_ast_TypeDeclElemPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDeclElemPragma T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_VarInit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_VarInit (asChild T_javafe_ast_VarInit T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_ImportDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ImportDecl (asChild T_javafe_ast_ImportDecl T_javafe_ast_ASTNode)) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_Type T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Type (asChild T_javafe_ast_Type T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FieldDecl (asChild T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_TypeModifierPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeModifierPragma (asChild T_javafe_ast_TypeModifierPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_StmtVec T_java_lang_Object) true_term) (= T_javafe_ast_StmtVec (asChild T_javafe_ast_StmtVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl) true_term) (= T_javafe_ast_MethodDecl (asChild T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl)) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_parser_ParseUtil T_java_lang_Object) true_term) (= T_javafe_parser_ParseUtil (asChild T_javafe_parser_ParseUtil T_java_lang_Object)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_ImportDeclVec T_java_lang_Object) true_term) (= T_javafe_ast_ImportDeclVec (asChild T_javafe_ast_ImportDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CompilationUnit (asChild T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_util_StackVector T_java_lang_Object) true_term) (= T_javafe_util_StackVector (asChild T_javafe_util_StackVector T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_util_StackVector) true_term) (= ?t T_javafe_util_StackVector))) (= (PO_LT T_java_lang_Float T_java_lang_Number) true_term) (= T_java_lang_Float (asChild T_java_lang_Float T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Float) true_term) (= ?t T_java_lang_Float))) (= (PO_LT T_java_lang_Float T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_parser_ParseStmt T_javafe_parser_ParseExpr) true_term) (= T_javafe_parser_ParseStmt (asChild T_javafe_parser_ParseStmt T_javafe_parser_ParseExpr)) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_javafe_ast_LexicalPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_LexicalPragma (asChild T_javafe_ast_LexicalPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_parser_Parse T_javafe_parser_ParseStmt) true_term) (= T_javafe_parser_Parse (asChild T_javafe_parser_Parse T_javafe_parser_ParseStmt)) (= (PO_LT T_javafe_ast_CatchClause T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CatchClause (asChild T_javafe_ast_CatchClause T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeNameVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeNameVec (asChild T_javafe_ast_TypeNameVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_TypeDeclElemVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeDeclElemVec (asChild T_javafe_ast_TypeDeclElemVec T_java_lang_Object)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_GenericVarDecl (asChild T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDeclVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeDeclVec (asChild T_javafe_ast_TypeDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_LexicalPragmaVec T_java_lang_Object) true_term) (= T_javafe_ast_LexicalPragmaVec (asChild T_javafe_ast_LexicalPragmaVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_Identifier T_java_lang_Object) true_term) (= T_javafe_ast_Identifier (asChild T_javafe_ast_Identifier T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_ast_Identifier) true_term) (= ?t T_javafe_ast_Identifier))) (= (PO_LT T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ModifierPragma (asChild T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_Long T_java_lang_Number) true_term) (= T_java_lang_Long (asChild T_java_lang_Long T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Long) true_term) (= ?t T_java_lang_Long))) (= (PO_LT T_java_lang_Long T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_SingleTypeImportDecl T_javafe_ast_ImportDecl) true_term) (= T_javafe_ast_SingleTypeImportDecl (asChild T_javafe_ast_SingleTypeImportDecl T_javafe_ast_ImportDecl)) (= (PO_LT T_javafe_ast_TypeModifierPragmaVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeModifierPragmaVec (asChild T_javafe_ast_TypeModifierPragmaVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_OnDemandImportDecl T_javafe_ast_ImportDecl) true_term) (= T_javafe_ast_OnDemandImportDecl (asChild T_javafe_ast_OnDemandImportDecl T_javafe_ast_ImportDecl)) (= (PO_LT T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_GenericBlockStmt (asChild T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_Stmt T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Stmt (asChild T_javafe_ast_Stmt T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_Expr T_javafe_ast_VarInit) true_term) (= T_javafe_ast_Expr (asChild T_javafe_ast_Expr T_javafe_ast_VarInit)) (= (PO_LT T_javafe_ast_InterfaceDecl T_javafe_ast_TypeDecl) true_term) (= T_javafe_ast_InterfaceDecl (asChild T_javafe_ast_InterfaceDecl T_javafe_ast_TypeDecl)) (= (PO_LT T_java_lang_Number T_java_lang_Object) true_term) (= T_java_lang_Number (asChild T_java_lang_Number T_java_lang_Object)) (= (PO_LT T_java_lang_Number T_java_io_Serializable) true_term) (= (PO_LT T_javafe_parser_Token T_java_lang_Object) true_term) (= T_javafe_parser_Token (asChild T_javafe_parser_Token T_java_lang_Object)) (= (PO_LT T_javafe_parser_ParseExpr T_javafe_parser_ParseType) true_term) (= T_javafe_parser_ParseExpr (asChild T_javafe_parser_ParseExpr T_javafe_parser_ParseType)) (= (PO_LT T_java_lang_Double T_java_lang_Number) true_term) (= T_java_lang_Double (asChild T_java_lang_Double T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Double) true_term) (= ?t T_java_lang_Double))) (= (PO_LT T_java_lang_Double T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_parser_PragmaParser T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_FormalParaDeclVec T_java_lang_Object) true_term) (= T_javafe_ast_FormalParaDeclVec (asChild T_javafe_ast_FormalParaDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_TypeName T_javafe_ast_Type) true_term) (= T_javafe_ast_TypeName (asChild T_javafe_ast_TypeName T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt) true_term) (= T_javafe_ast_BlockStmt (asChild T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt)) (= (PO_LT T_javafe_ast_Modifiers T_java_lang_Object) true_term) (= T_javafe_ast_Modifiers (asChild T_javafe_ast_Modifiers T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_javafe_ast_InitBlock T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_InitBlock (asChild T_javafe_ast_InitBlock T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_InitBlock T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_RoutineDecl (asChild T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_ClassDecl T_javafe_ast_TypeDecl) true_term) (= T_javafe_ast_ClassDecl (asChild T_javafe_ast_ClassDecl T_javafe_ast_TypeDecl)) (= (PO_LT T_javafe_ast_Name T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Name (asChild T_javafe_ast_Name T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_util_CorrelatedReader T_java_lang_Object) true_term) (= T_javafe_util_CorrelatedReader (asChild T_javafe_util_CorrelatedReader T_java_lang_Object)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDecl (asChild T_javafe_ast_TypeDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_javafe_ast_FormalParaDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FormalParaDecl (asChild T_javafe_ast_FormalParaDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_parser_Lex T_javafe_parser_Token) true_term) (= T_javafe_parser_Lex (asChild T_javafe_parser_Lex T_javafe_parser_Token)) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_ast_ConstructorDecl (+ DIST_ZERO_1 10)) (= T_javafe_ast_StmtPragma (+ DIST_ZERO_1 11)) (= T_javafe_parser_ParseType (+ DIST_ZERO_1 12)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 13)) (= T_javafe_parser_PunctuationPrefixTree (+ DIST_ZERO_1 14)) (= T_javafe_ast_ModifierPragmaVec (+ DIST_ZERO_1 15)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 16)) (= T_javafe_ast_TypeDeclElem (+ DIST_ZERO_1 17)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 18)) (= T_java_util_Dictionary (+ DIST_ZERO_1 19)) (= T_java_lang_Integer (+ DIST_ZERO_1 20)) (= T_java_util_Map (+ DIST_ZERO_1 21)) (= T_javafe_ast_TypeDeclElemPragma (+ DIST_ZERO_1 22)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 23)) (= T_javafe_ast_VarInit (+ DIST_ZERO_1 24)) (= T_javafe_ast_ImportDecl (+ DIST_ZERO_1 25)) (= T_java_io_Serializable (+ DIST_ZERO_1 26)) (= T_javafe_ast_Type (+ DIST_ZERO_1 27)) (= T_javafe_ast_FieldDecl (+ DIST_ZERO_1 28)) (= T_javafe_ast_TypeModifierPragma (+ DIST_ZERO_1 29)) (= T_javafe_ast_StmtVec (+ DIST_ZERO_1 30)) (= T_javafe_ast_MethodDecl (+ DIST_ZERO_1 31)) (= T_java_util_Hashtable (+ DIST_ZERO_1 32)) (= T_javafe_parser_ParseUtil (+ DIST_ZERO_1 33)) (= T_java_lang_String (+ DIST_ZERO_1 34)) (= T_javafe_ast_ImportDeclVec (+ DIST_ZERO_1 35)) (= T_javafe_ast_CompilationUnit (+ DIST_ZERO_1 36)) (= T_javafe_util_StackVector (+ DIST_ZERO_1 37)) (= T_java_lang_Float (+ DIST_ZERO_1 38)) (= T_javafe_parser_ParseStmt (+ DIST_ZERO_1 39)) (= T_javafe_util_Location (+ DIST_ZERO_1 40)) (= T_javafe_ast_LexicalPragma (+ DIST_ZERO_1 41)) (= T_javafe_parser_Parse (+ DIST_ZERO_1 42)) (= T_javafe_ast_CatchClause (+ DIST_ZERO_1 43)) (= T_javafe_ast_TypeNameVec (+ DIST_ZERO_1 44)) (= T_javafe_ast_TypeDeclElemVec (+ DIST_ZERO_1 45)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 46)) (= T_javafe_ast_GenericVarDecl (+ DIST_ZERO_1 47)) (= T_javafe_ast_TypeDeclVec (+ DIST_ZERO_1 48)) (= T_javafe_ast_LexicalPragmaVec (+ DIST_ZERO_1 49)) (= T_javafe_ast_Identifier (+ DIST_ZERO_1 50)) (= T_javafe_ast_ModifierPragma (+ DIST_ZERO_1 51)) (= T_java_lang_Long (+ DIST_ZERO_1 52)) (= T_javafe_ast_SingleTypeImportDecl (+ DIST_ZERO_1 53)) (= T_javafe_ast_TypeModifierPragmaVec (+ DIST_ZERO_1 54)) (= T_javafe_ast_OnDemandImportDecl (+ DIST_ZERO_1 55)) (= T_javafe_ast_GenericBlockStmt (+ DIST_ZERO_1 56)) (= T_javafe_ast_Stmt (+ DIST_ZERO_1 57)) (= T_javafe_ast_Expr (+ DIST_ZERO_1 58)) (= T_javafe_ast_InterfaceDecl (+ DIST_ZERO_1 59)) (= T_java_lang_Number (+ DIST_ZERO_1 60)) (= T_javafe_parser_Token (+ DIST_ZERO_1 61)) (= T_javafe_parser_ParseExpr (+ DIST_ZERO_1 62)) (= T_java_lang_Double (+ DIST_ZERO_1 63)) (= T_java_lang_Comparable (+ DIST_ZERO_1 64)) (= T_javafe_parser_PragmaParser (+ DIST_ZERO_1 65)) (= T_javafe_ast_FormalParaDeclVec (+ DIST_ZERO_1 66)) (= T_javafe_ast_TypeName (+ DIST_ZERO_1 67)) (= T_javafe_ast_BlockStmt (+ DIST_ZERO_1 68)) (= T_java_lang_Object (+ DIST_ZERO_1 69)) (= T_javafe_ast_Modifiers (+ DIST_ZERO_1 70)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 71)) (= T_javafe_ast_InitBlock (+ DIST_ZERO_1 72)) (= T_javafe_ast_RoutineDecl (+ DIST_ZERO_1 73)) (= T_javafe_ast_ClassDecl (+ DIST_ZERO_1 74)) (= T_javafe_ast_Name (+ DIST_ZERO_1 75)) (= T_javafe_util_CorrelatedReader (+ DIST_ZERO_1 76)) (= T_javafe_ast_TypeDecl (+ DIST_ZERO_1 77)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 78)) (= T_javafe_ast_FormalParaDecl (+ DIST_ZERO_1 79)) (= T_javafe_parser_Lex (+ DIST_ZERO_1 80))) (= true_term (is FLOATLIT_15_42_26 T_int)) (= FLOATLIT_15_42_26 108) (forall ((?s Int)) (=> (not (= ?s null)) (= true_term (is (S_select seqCatchClause_4_76_46 ?s) T_javafe_util_StackVector)))) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select seqCatchClause_4_76_46 ?s) null)))) (forall ((?s Int)) (=> (not (= ?s null)) (= (typeof (S_select seqCatchClause_4_76_46 ?s)) T_javafe_util_StackVector))) (= true_term (is LPAREN_14_37_26 T_int)) (= LPAREN_14_37_26 124) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (= true_term (is (S_select seqIdentifier_6_33_46 ?s_1_) T_javafe_util_StackVector)))) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select seqIdentifier_6_33_46 ?s_1_) null)))) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (= (typeof (S_select seqIdentifier_6_33_46 ?s_1_)) T_javafe_util_StackVector))) (= true_term (is IMPLEMENTS_14_74_26 T_int)) (= IMPLEMENTS_14_74_26 155) (= true_term (is TYPEMODIFIERPRAGMA_14_28_26 T_int)) (= TYPEMODIFIERPRAGMA_14_28_26 118) (= true_term (is keywordStrings_14_181_30 ?v_0)) (not (= keywordStrings_14_181_30 null)) (= (typeof keywordStrings_14_181_30) ?v_0) (= (arrayLength keywordStrings_14_181_30) 51) (= true_term (is EOF_14_17_26 T_int)) (= EOF_14_17_26 111) (= true_term (is CHARLIT_15_41_26 T_int)) (= CHARLIT_15_41_26 107) (= true_term (is RBRACE_14_36_26 T_int)) (= RBRACE_14_36_26 123) (= true_term (is punctuationStrings_14_134_22 ?v_0)) (not (= punctuationStrings_14_134_22 null)) (= (typeof punctuationStrings_14_134_22) ?v_0) (= (arrayLength punctuationStrings_14_134_22) 48) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (= true_term (is (S_select seqVarInit_5_1153_46 ?s_2_) T_javafe_util_StackVector)))) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select seqVarInit_5_1153_46 ?s_2_) null)))) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (= (typeof (S_select seqVarInit_5_1153_46 ?s_2_)) T_javafe_util_StackVector))) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (= true_term (is (S_select seqFormalParaDecl_64_46 ?s_3_) T_javafe_util_StackVector)))) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (not (= (S_select seqFormalParaDecl_64_46 ?s_3_) null)))) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (= (typeof (S_select seqFormalParaDecl_64_46 ?s_3_)) T_javafe_util_StackVector))) (= true_term (is TYPEDECLELEMPRAGMA_14_27_26 T_int)) (= TYPEDECLELEMPRAGMA_14_27_26 117) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (= true_term (is (S_select seqStmt_4_70_46 ?s_4_) T_javafe_util_StackVector)))) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (not (= (S_select seqStmt_4_70_46 ?s_4_) null)))) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (= (typeof (S_select seqStmt_4_70_46 ?s_4_)) T_javafe_util_StackVector))) (= true_term (is IDENT_15_25_26 T_int)) (= IDENT_15_25_26 93) (= true_term (is LONGLIT_15_40_26 T_int)) (= LONGLIT_15_40_26 106) (= true_term (is LBRACE_14_35_26 T_int)) (= LBRACE_14_35_26 122) (= true_term (is EXTENDS_14_66_26 T_int)) (= EXTENDS_14_66_26 147) (= true_term (is STMTPRAGMA_14_26_26 T_int)) (= STMTPRAGMA_14_26_26 116) (forall ((?s_5_ Int)) (=> (not (= ?s_5_ null)) (= true_term (is (S_select seqExpr_5_1145_46 ?s_5_) T_javafe_util_StackVector)))) (forall ((?s_5_ Int)) (=> (not (= ?s_5_ null)) (not (= (S_select seqExpr_5_1145_46 ?s_5_) null)))) (forall ((?s_5_ Int)) (=> (not (= ?s_5_ null)) (= (typeof (S_select seqExpr_5_1145_46 ?s_5_)) T_javafe_util_StackVector))) (= true_term (is CLASS_14_59_26 T_int)) (= CLASS_14_59_26 140) (forall ((?s_6_ Int)) (=> (not (= ?s_6_ null)) (= true_term (is (S_select seqTypeName_56_46 ?s_6_) T_javafe_util_StackVector)))) (forall ((?s_6_ Int)) (=> (not (= ?s_6_ null)) (not (= (S_select seqTypeName_56_46 ?s_6_) null)))) (forall ((?s_6_ Int)) (=> (not (= ?s_6_ null)) (= (typeof (S_select seqTypeName_56_46 ?s_6_)) T_javafe_util_StackVector))) (= true_term (is ASSIGN_16_40_26 T_int)) (= ASSIGN_16_40_26 73) (= true_term (is INTLIT_15_39_26 T_int)) (= INTLIT_15_39_26 105) (= true_term (is SEMICOLON_14_34_26 T_int)) (= SEMICOLON_14_34_26 121) (= true_term (is INTERFACE_14_78_26 T_int)) (= INTERFACE_14_78_26 159) (= true_term (is MODIFIERPRAGMA_14_25_26 T_int)) (= MODIFIERPRAGMA_14_25_26 115) (= true_term (is FIRST_KEYWORD_14_51_26 T_int)) (= FIRST_KEYWORD_14_51_26 133) (= true_term (is ACC_PUBLIC_45_19_26 T_int)) (= ACC_PUBLIC_45_19_26 1) (= true_term (is STAR_16_37_26 T_int)) (= STAR_16_37_26 72) (= true_term (is BOOLEANLIT_15_38_26 T_int)) (= BOOLEANLIT_15_38_26 104) (= true_term (is NONE_45_18_26 T_int)) (= NONE_45_18_26 0) (forall ((?s_7_ Int)) (=> (not (= ?s_7_ null)) (= true_term (is (S_select seqModifierPragma_7_74_32 ?s_7_) T_javafe_util_StackVector)))) (forall ((?s_7_ Int)) (=> (not (= ?s_7_ null)) (not (= (S_select seqModifierPragma_7_74_32 ?s_7_) null)))) (forall ((?s_7_ Int)) (=> (not (= ?s_7_ null)) (= (typeof (S_select seqModifierPragma_7_74_32 ?s_7_)) T_javafe_util_StackVector))) (= true_term (is THROWS_14_96_26 T_int)) (= THROWS_14_96_26 177) (= true_term (is LEXICALPRAGMA_14_24_26 T_int)) (= LEXICALPRAGMA_14_24_26 114) (forall ((?s_8_ Int)) (=> (not (= ?s_8_ null)) (= true_term (is (S_select seqTypeDecl_80_46 ?s_8_) T_javafe_util_StackVector)))) (forall ((?s_8_ Int)) (=> (not (= ?s_8_ null)) (not (= (S_select seqTypeDecl_80_46 ?s_8_) null)))) (forall ((?s_8_ Int)) (=> (not (= ?s_8_ null)) (= (typeof (S_select seqTypeDecl_80_46 ?s_8_)) T_javafe_util_StackVector))) (= true_term (is LAST_KEYWORD_14_103_26 T_int)) (= LAST_KEYWORD_14_103_26 183) (= true_term (is otherCodes_14_202_27 ?v_1)) (not (= otherCodes_14_202_27 null)) (= (typeof otherCodes_14_202_27) ?v_1) (= (arrayLength otherCodes_14_202_27) 15) (= true_term (is otherStrings_14_193_30 ?v_0)) (not (= otherStrings_14_193_30 null)) (= (typeof otherStrings_14_193_30) ?v_0) (= (arrayLength otherStrings_14_193_30) 15) (= true_term (is STRINGLIT_15_44_26 T_int)) (= STRINGLIT_15_44_26 110) (= true_term (is noTokens_14_212_27 T_int)) (= true_term (is PACKAGE_14_83_26 T_int)) (= PACKAGE_14_83_26 164) (= true_term (is COMMA_14_33_26 T_int)) (= COMMA_14_33_26 120) (= true_term (is punctuationCodes_14_164_19 ?v_1)) (not (= punctuationCodes_14_164_19 null)) (= (typeof punctuationCodes_14_164_19) ?v_1) (= (arrayLength punctuationCodes_14_164_19) 48) (= true_term (is DOUBLELIT_15_43_26 T_int)) (= DOUBLELIT_15_43_26 109) (= true_term (is NULL_46_60_26 T_int)) (= NULL_46_60_26 0) (= true_term (is RPAREN_14_38_26 T_int)) (= RPAREN_14_38_26 125) (= true_term (is NULL_14_82_26 T_int)) (= NULL_14_82_26 163) (= true_term (is IMPORT_14_75_26 T_int)) (= IMPORT_14_75_26 156) (forall ((?s_9_ Int)) (=> (not (= ?s_9_ null)) (= true_term (is (S_select seqTypeDeclElem_5_1161_46 ?s_9_) T_javafe_util_StackVector)))) (forall ((?s_9_ Int)) (=> (not (= ?s_9_ null)) (not (= (S_select seqTypeDeclElem_5_1161_46 ?s_9_) null)))) (forall ((?s_9_ Int)) (=> (not (= ?s_9_ null)) (= (typeof (S_select seqTypeDeclElem_5_1161_46 ?s_9_)) T_javafe_util_StackVector))) (forall ((?s_10_ Int)) (=> (not (= ?s_10_ null)) (= true_term (is (S_select seqImportDecl_72_46 ?s_10_) T_javafe_util_StackVector)))) (forall ((?s_10_ Int)) (=> (not (= ?s_10_ null)) (not (= (S_select seqImportDecl_72_46 ?s_10_) null)))) (forall ((?s_10_ Int)) (=> (not (= ?s_10_ null)) (= (typeof (S_select seqImportDecl_72_46 ?s_10_)) T_javafe_util_StackVector))) (= true_term (is FIELD_14_45_26 T_int)) (= FIELD_14_45_26 130))))
(declare-fun ecReturn () Int)
(declare-fun L_356_4 () Int)
(declare-fun count_pre_116_67_33 () Int)
(declare-fun count_116_67_33 () Int)
(declare-fun FLOATLIT_pre_15_42_26 () Int)
(declare-fun auxVal_pre_12_127_18 () Int)
(declare-fun auxVal_12_127_18 () Int)
(declare-fun tokenType_pre_50_90_8 () Int)
(declare-fun tokenType_50_90_8 () Int)
(declare-fun seqCatchClause_pre_4_76_46 () Int)
(declare-fun LPAREN_pre_14_37_26 () Int)
(declare-fun count_pre_48_67_33 () Int)
(declare-fun count_48_67_33 () Int)
(declare-fun nameDotLocs_pre_6_65_28 () Int)
(declare-fun nameDotLocs_6_65_28 () Int)
(declare-fun seqIdentifier_pre_6_33_46 () Int)
(declare-fun loc_pre_23_18_13 () Int)
(declare-fun loc_23_18_13 () Int)
(declare-fun locOpenBrace_pre_27_51_13 () Int)
(declare-fun locOpenBrace_27_51_13 () Int)
(declare-fun IMPLEMENTS_pre_14_74_26 () Int)
(declare-fun returnType_pre_53_18_28 () Int)
(declare-fun returnType_53_18_28 () Int)
(declare-fun TYPEMODIFIERPRAGMA_pre_14_28_26 () Int)
(declare-fun keywordStrings_pre_14_181_30 () Int)
(declare-fun EOF_pre_14_17_26 () Int)
(declare-fun count_pre_98_67_33 () Int)
(declare-fun count_98_67_33 () Int)
(declare-fun CHARLIT_pre_15_41_26 () Int)
(declare-fun elements_pre_9_72_21 () Int)
(declare-fun elements_9_72_21 () Int)
(declare-fun count_pre_39_67_33 () Int)
(declare-fun count_39_67_33 () Int)
(declare-fun RBRACE_pre_14_36_26 () Int)
(declare-fun punctuationStrings_pre_14_134_22 () Int)
(declare-fun seqVarInit_pre_5_1153_46 () Int)
(declare-fun seqFormalParaDecl_pre_64_46 () Int)
(declare-fun endingLoc_pre_12_72_15 () Int)
(declare-fun endingLoc_12_72_15 () Int)
(declare-fun locId_pre_55_38_13 () Int)
(declare-fun locId_55_38_13 () Int)
(declare-fun elements_pre_29_61_37 () Int)
(declare-fun elements_29_61_37 () Int)
(declare-fun locId_pre_47_43_13 () Int)
(declare-fun locId_47_43_13 () Int)
(declare-fun TYPEDECLELEMPRAGMA_pre_14_27_26 () Int)
(declare-fun seqStmt_pre_4_70_46 () Int)
(declare-fun nameIdLocs_pre_6_62_28 () Int)
(declare-fun nameIdLocs_6_62_28 () Int)
(declare-fun parseStreamLexer_pre_104_14 () Int)
(declare-fun parseStreamLexer_104_14 () Int)
(declare-fun locOpenBrace_pre_41_22_13 () Int)
(declare-fun locOpenBrace_41_22_13 () Int)
(declare-fun IDENT_pre_15_25_26 () Int)
(declare-fun LONGLIT_pre_15_40_26 () Int)
(declare-fun currentStackBottom_pre_9_87_33 () Int)
(declare-fun currentStackBottom_9_87_33 () Int)
(declare-fun LBRACE_pre_14_35_26 () Int)
(declare-fun elements_pre_35_61_41 () Int)
(declare-fun elements_35_61_41 () Int)
(declare-fun EXTENDS_pre_14_66_26 () Int)
(declare-fun owner_pre_8_35_28 () Int)
(declare-fun owner_8_35_28 () Int)
(declare-fun loc_pre_13_30_13 () Int)
(declare-fun loc_13_30_13 () Int)
(declare-fun elems_pre_27_41_39 () Int)
(declare-fun elems_27_41_39 () Int)
(declare-fun STMTPRAGMA_pre_14_26_26 () Int)
(declare-fun seqExpr_pre_5_1145_46 () Int)
(declare-fun CLASS_pre_14_59_26 () Int)
(declare-fun seqTypeName_pre_56_46 () Int)
(declare-fun pmodifiers_pre_27_30_27 () Int)
(declare-fun pmodifiers_27_30_27 () Int)
(declare-fun locType_pre_53_21_13 () Int)
(declare-fun locType_53_21_13 () Int)
(declare-fun ASSIGN_pre_16_40_26 () Int)
(declare-fun INTLIT_pre_15_39_26 () Int)
(declare-fun elements_pre_44_61_43 () Int)
(declare-fun elements_44_61_43 () Int)
(declare-fun SEMICOLON_pre_14_34_26 () Int)
(declare-fun INTERFACE_pre_14_78_26 () Int)
(declare-fun locId_pre_27_48_13 () Int)
(declare-fun locId_27_48_13 () Int)
(declare-fun identifierVal_pre_12_80_22 () Int)
(declare-fun identifierVal_12_80_22 () Int)
(declare-fun modifiers_pre_27_28_13 () Int)
(declare-fun modifiers_27_28_13 () Int)
(declare-fun modifierPragmas_pre_7_134_29 () Int)
(declare-fun modifierPragmas_7_134_29 () Int)
(declare-fun MODIFIERPRAGMA_pre_14_25_26 () Int)
(declare-fun FIRST_KEYWORD_pre_14_51_26 () Int)
(declare-fun count_pre_29_67_33 () Int)
(declare-fun count_29_67_33 () Int)
(declare-fun elementCount_pre_9_79_33 () Int)
(declare-fun elementCount_9_79_33 () Int)
(declare-fun elements_pre_26_61_39 () Int)
(declare-fun elements_26_61_39 () Int)
(declare-fun elements_pre_43_61_37 () Int)
(declare-fun elements_43_61_37 () Int)
(declare-fun ACC_PUBLIC_pre_45_19_26 () Int)
(declare-fun syntax_pre_31_28_29 () Int)
(declare-fun syntax_31_28_29 () Int)
(declare-fun locCloseBrace_pre_27_54_13 () Int)
(declare-fun locCloseBrace_27_54_13 () Int)
(declare-fun locOpenBrace_pre_47_36_13 () Int)
(declare-fun locOpenBrace_47_36_13 () Int)
(declare-fun specOnly_pre_27_26_17 () Int)
(declare-fun specOnly_27_26_17 () Int)
(declare-fun implicit_pre_47_23_17 () Int)
(declare-fun implicit_47_23_17 () Int)
(declare-fun STAR_pre_16_37_26 () Int)
(declare-fun BOOLEANLIT_pre_15_38_26 () Int)
(declare-fun m_in_pre_11_212_46 () Int)
(declare-fun m_in_11_212_46 () Int)
(declare-fun count_pre_35_67_33 () Int)
(declare-fun count_35_67_33 () Int)
(declare-fun vectorCount_pre_9_97_33 () Int)
(declare-fun vectorCount_9_97_33 () Int)
(declare-fun body_pre_47_34_19 () Int)
(declare-fun body_47_34_19 () Int)
(declare-fun type_pre_55_35_28 () Int)
(declare-fun type_55_35_28 () Int)
(declare-fun ttype_pre_12_52_15 () Int)
(declare-fun ttype_12_52_15 () Int)
(declare-fun NONE_pre_45_18_26 () Int)
(declare-fun seqModifierPragma_pre_7_74_32 () Int)
(declare-fun THROWS_pre_14_96_26 () Int)
(declare-fun loc_pre_47_40_13 () Int)
(declare-fun loc_47_40_13 () Int)
(declare-fun LEXICALPRAGMA_pre_14_24_26 () Int)
(declare-fun seqTypeDecl_pre_80_46 () Int)
(declare-fun LAST_KEYWORD_pre_14_103_26 () Int)
(declare-fun elements_pre_116_61_47 () Int)
(declare-fun elements_116_61_47 () Int)
(declare-fun otherCodes_pre_14_202_27 () Int)
(declare-fun otherStrings_pre_14_193_30 () Int)
(declare-fun STRINGLIT_pre_15_44_26 () Int)
(declare-fun elements_pre_48_61_43 () Int)
(declare-fun elements_48_61_43 () Int)
(declare-fun noTokens_pre_14_212_27 () Int)
(declare-fun startingLoc_pre_12_65_15 () Int)
(declare-fun startingLoc_12_65_15 () Int)
(declare-fun PACKAGE_pre_14_83_26 () Int)
(declare-fun count_pre_44_67_33 () Int)
(declare-fun count_44_67_33 () Int)
(declare-fun COMMA_pre_14_33_26 () Int)
(declare-fun elements_pre_98_61_42 () Int)
(declare-fun elements_98_61_42 () Int)
(declare-fun count_pre_26_67_33 () Int)
(declare-fun count_26_67_33 () Int)
(declare-fun locCloseBrace_pre_41_25_13 () Int)
(declare-fun locCloseBrace_41_25_13 () Int)
(declare-fun count_pre_43_67_33 () Int)
(declare-fun count_43_67_33 () Int)
(declare-fun punctuationCodes_pre_14_164_19 () Int)
(declare-fun DOUBLELIT_pre_15_43_26 () Int)
(declare-fun elements_pre_39_61_33 () Int)
(declare-fun elements_39_61_33 () Int)
(declare-fun NULL_pre_46_60_26 () Int)
(declare-fun RPAREN_pre_14_38_26 () Int)
(declare-fun loc_pre_84_22_13 () Int)
(declare-fun loc_84_22_13 () Int)
(declare-fun NULL_pre_14_82_26 () Int)
(declare-fun IMPORT_pre_14_75_26 () Int)
(declare-fun loc_pre_27_45_13 () Int)
(declare-fun loc_27_45_13 () Int)
(declare-fun code_pre_11_1294_15 () Int)
(declare-fun code_11_1294_15 () Int)
(declare-fun seqTypeDeclElem_pre_5_1161_46 () Int)
(declare-fun elementType_pre_9_43_27 () Int)
(declare-fun elementType_9_43_27 () Int)
(declare-fun seqImportDecl_pre_72_46 () Int)
(declare-fun FIELD_pre_14_45_26 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun this () Int)
(declare-fun l_349_33 () Int)
(declare-fun keyword_349_40 () Int)
(declare-fun this_355_16_355_16 () Int)
(declare-fun vectorCount_355_16_9_282_17 () Int)
(declare-fun after_355_16_355_16_9_282_17 () Int)
(declare-fun currentStackBottom_355_16_9_282_30 () Int)
(declare-fun after_355_16_355_16_9_282_30 () Int)
(declare-fun EC_355_16_355_16 () Int)
(declare-fun identifierVal_loopold_12_80_22 () Int)
(declare-fun ttype_loopold_12_52_15 () Int)
(declare-fun EC_loopold () Int)
(declare-fun auxVal_loopold_12_127_18 () Int)
(declare-fun elementCount_loopold_9_79_33 () Int)
(declare-fun ttype_356_4_0_358_8_11_372_15 () Int)
(declare-fun after_358_8_356_4_0_358_8_11_372_15 () Int)
(declare-fun auxVal_356_4_0_358_8_11_372_22 () Int)
(declare-fun after_358_8_356_4_0_358_8_11_372_22 () Int)
(declare-fun identifierVal_356_4_0_358_8_11_372_30 () Int)
(declare-fun after_358_8_356_4_0_358_8_11_372_30 () Int)
(declare-fun RES_356_4_0_358_8_358_8 () Int)
(declare-fun EC_356_4_0_358_8_358_8 () Int)
(declare-fun tmp0_seqTypeName_356_4_0_359_6 () Int)
(declare-fun RES_356_4_0_359_30_359_30 () Int)
(declare-fun EC_356_4_0_359_30_359_30 () Int)
(declare-fun elementCount_356_4_0_359_18_9_195_17 () Int)
(declare-fun after_359_18_356_4_0_359_18_9_195_17 () Int)
(declare-fun EC_356_4_0_359_18_359_18 () Int)
(declare-fun EC () Int)
(declare-fun s_361_23_361_23_43_145_75 () Int)
(declare-fun RES_352_25_352_25 () Int)
(declare-fun EC_352_25_352_25 () Int)
(declare-fun EC_351_9 () Int)
(declare-fun RES_351_9 () Int)
(declare-fun RES_356_4_0_359_18_359_18 () Int)
(declare-fun vectorCount_361_23_43_137_19 () Int)
(declare-fun after_361_23_361_23_43_137_17 () Int)
(declare-fun elementCount_361_23_43_139_19 () Int)
(declare-fun after_361_23_361_23_43_139_17 () Int)
(declare-fun currentStackBottom_361_23_43_139_35 () Int)
(declare-fun after_361_23_361_23_43_139_33 () Int)
(declare-fun RES_361_23_361_23 () Int)
(declare-fun EC_361_23_361_23 () Int)
(assert (let ((?v_0 (array T_java_lang_String)) (?v_1 (array T_int)) (?v_2 (arrayLength keywordStrings_14_181_30)) (?v_4 (arrayLength punctuationStrings_14_134_22)) (?v_3 (arrayLength otherStrings_14_193_30)) (?v_6 (not (= l_349_33 null))) (?v_10 (not (= (S_select m_in_11_212_46 l_349_33) null))) (?v_5 (S_select owner_8_35_28 punctuationCodes_14_164_19))) (let ((?v_9 (not ?v_6)) (?v_46 (not (= (S_select ttype_12_52_15 l_349_33) keyword_349_40)))) (let ((?v_48 (not ?v_46)) (?v_8 (= true_term true_term)) (?v_11 (S_select seqTypeName_56_46 this))) (let ((?v_49 (= this_355_16_355_16 ?v_11)) (?v_50 (= vectorCount_355_16_9_282_17 (S_store vectorCount_9_97_33 this_355_16_355_16 after_355_16_355_16_9_282_17))) (?v_51 (= currentStackBottom_355_16_9_282_30 (S_store currentStackBottom_9_87_33 this_355_16_355_16 after_355_16_355_16_9_282_30))) (?v_52 (= vectorCount_355_16_9_282_17 (asField vectorCount_355_16_9_282_17 T_int))) (?v_53 (= currentStackBottom_355_16_9_282_30 (asField currentStackBottom_355_16_9_282_30 T_int))) (?v_7 (= EC_355_16_355_16 ecReturn))) (let ((?v_54 (=> ?v_7 (= (S_select vectorCount_355_16_9_282_17 this_355_16_355_16) (+ (S_select vectorCount_9_97_33 this_355_16_355_16) 1)))) (?v_55 (=> ?v_7 (= (S_select currentStackBottom_355_16_9_282_30 this_355_16_355_16) (S_select elementCount_9_79_33 this_355_16_355_16)))) (?v_56 (forall ((?brokenObj_46_ Int)) (=> (and (= true_term (is ?brokenObj_46_ T_javafe_util_StackVector)) (not (= ?brokenObj_46_ null)) (>= (S_select vectorCount_9_97_33 ?brokenObj_46_) 1)) (>= (S_select vectorCount_355_16_9_282_17 ?brokenObj_46_) 1)))) (?v_57 (forall ((?brokenObj_47_ Int)) (let ((?v_67 (S_select currentStackBottom_9_87_33 ?brokenObj_47_)) (?v_68 (S_select elems (S_select elements_9_72_21 ?brokenObj_47_))) (?v_69 (S_select currentStackBottom_355_16_9_282_30 ?brokenObj_47_))) (=> (and (= true_term (is ?brokenObj_47_ T_javafe_util_StackVector)) (not (= ?brokenObj_47_ null)) (or (= ?v_67 0) (= (S_select ?v_68 (- ?v_67 1)) null))) (or (= ?v_69 0) (= (S_select ?v_68 (- ?v_69 1)) null)))))) (?v_58 (forall ((?brokenObj_48_ Int)) (let ((?v_70 (S_select currentStackBottom_9_87_33 ?brokenObj_48_)) (?v_72 (S_select elementCount_9_79_33 ?brokenObj_48_)) (?v_71 (S_select currentStackBottom_355_16_9_282_30 ?brokenObj_48_))) (=> (and (= true_term (is ?brokenObj_48_ T_javafe_util_StackVector)) (not (= ?brokenObj_48_ null)) (<= 0 ?v_70) (<= ?v_70 ?v_72)) (and (<= 0 ?v_71) (<= ?v_71 ?v_72)))))) (?v_34 (= identifierVal_12_80_22 identifierVal_loopold_12_80_22)) (?v_35 (= ttype_12_52_15 ttype_loopold_12_52_15)) (?v_36 (= EC_355_16_355_16 EC_loopold)) (?v_37 (= auxVal_12_127_18 auxVal_loopold_12_127_18)) (?v_38 (= elementCount_9_79_33 elementCount_loopold_9_79_33)) (?v_14 (= ttype_356_4_0_358_8_11_372_15 (S_store ttype_12_52_15 l_349_33 after_358_8_356_4_0_358_8_11_372_15))) (?v_15 (= auxVal_356_4_0_358_8_11_372_22 (S_store auxVal_12_127_18 l_349_33 after_358_8_356_4_0_358_8_11_372_22))) (?v_16 (= identifierVal_356_4_0_358_8_11_372_30 (S_store identifierVal_12_80_22 l_349_33 after_358_8_356_4_0_358_8_11_372_30))) (?v_17 (= identifierVal_356_4_0_358_8_11_372_30 (asField identifierVal_356_4_0_358_8_11_372_30 T_javafe_ast_Identifier))) (?v_18 (< (fClosedTime identifierVal_356_4_0_358_8_11_372_30) alloc)) (?v_19 (= ttype_356_4_0_358_8_11_372_15 (asField ttype_356_4_0_358_8_11_372_15 T_int))) (?v_20 (= auxVal_356_4_0_358_8_11_372_22 (asField auxVal_356_4_0_358_8_11_372_22 T_java_lang_Object))) (?v_21 (< (fClosedTime auxVal_356_4_0_358_8_11_372_22) alloc)) (?v_22 (= true_term (is RES_356_4_0_358_8_358_8 T_int))) (?v_23 (= EC_356_4_0_358_8_358_8 ecReturn)) (?v_24 (forall ((?brokenObj_49_ Int)) (let ((?v_73 (S_select ttype_12_52_15 ?brokenObj_49_)) (?v_74 (S_select auxVal_12_127_18 ?brokenObj_49_))) (let ((?v_75 (not (= ?v_74 null)))) (let ((?v_76 (and (= true_term (is ?v_74 T_java_lang_Integer)) ?v_75)) (?v_77 (S_select ttype_356_4_0_358_8_11_372_15 ?brokenObj_49_)) (?v_78 (S_select auxVal_356_4_0_358_8_11_372_22 ?brokenObj_49_))) (let ((?v_79 (not (= ?v_78 null)))) (let ((?v_80 (and (= true_term (is ?v_78 T_java_lang_Integer)) ?v_79))) (=> (and (= true_term (is ?brokenObj_49_ T_javafe_parser_Token)) (not (= ?brokenObj_49_ null)) (not (= ?v_73 BOOLEANLIT_15_38_26)) (=> (= ?v_73 INTLIT_15_39_26) ?v_76) (=> (= ?v_73 LONGLIT_15_40_26) (and (= true_term (is ?v_74 T_java_lang_Long)) ?v_75)) (=> (= ?v_73 FLOATLIT_15_42_26) (and (= true_term (is ?v_74 T_java_lang_Float)) ?v_75)) (=> (= ?v_73 DOUBLELIT_15_43_26) (and (= true_term (is ?v_74 T_java_lang_Double)) ?v_75)) (=> (= ?v_73 STRINGLIT_15_44_26) (and (= true_term (is ?v_74 T_java_lang_String)) ?v_75)) (=> (= ?v_73 CHARLIT_15_41_26) ?v_76) (=> (= ?v_73 LEXICALPRAGMA_14_24_26) (and (= true_term (is ?v_74 T_javafe_ast_LexicalPragma)) ?v_75)) (=> (= ?v_73 MODIFIERPRAGMA_14_25_26) (and (= true_term (is ?v_74 T_javafe_ast_ModifierPragma)) ?v_75)) (=> (= ?v_73 STMTPRAGMA_14_26_26) (and (= true_term (is ?v_74 T_javafe_ast_StmtPragma)) ?v_75)) (=> (= ?v_73 TYPEDECLELEMPRAGMA_14_27_26) (and (= true_term (is ?v_74 T_javafe_ast_TypeDeclElemPragma)) ?v_75)) (=> (= ?v_73 TYPEMODIFIERPRAGMA_14_28_26) (and (= true_term (is ?v_74 T_javafe_ast_TypeModifierPragma)) ?v_75))) (and (not (= ?v_77 BOOLEANLIT_15_38_26)) (=> (= ?v_77 INTLIT_15_39_26) ?v_80) (=> (= ?v_77 LONGLIT_15_40_26) (and (= true_term (is ?v_78 T_java_lang_Long)) ?v_79)) (=> (= ?v_77 FLOATLIT_15_42_26) (and (= true_term (is ?v_78 T_java_lang_Float)) ?v_79)) (=> (= ?v_77 DOUBLELIT_15_43_26) (and (= true_term (is ?v_78 T_java_lang_Double)) ?v_79)) (=> (= ?v_77 STRINGLIT_15_44_26) (and (= true_term (is ?v_78 T_java_lang_String)) ?v_79)) (=> (= ?v_77 CHARLIT_15_41_26) ?v_80) (=> (= ?v_77 LEXICALPRAGMA_14_24_26) (and (= true_term (is ?v_78 T_javafe_ast_LexicalPragma)) ?v_79)) (=> (= ?v_77 MODIFIERPRAGMA_14_25_26) (and (= true_term (is ?v_78 T_javafe_ast_ModifierPragma)) ?v_79)) (=> (= ?v_77 STMTPRAGMA_14_26_26) (and (= true_term (is ?v_78 T_javafe_ast_StmtPragma)) ?v_79)) (=> (= ?v_77 TYPEDECLELEMPRAGMA_14_27_26) (and (= true_term (is ?v_78 T_javafe_ast_TypeDeclElemPragma)) ?v_79)) (=> (= ?v_77 TYPEMODIFIERPRAGMA_14_28_26) (and (= true_term (is ?v_78 T_javafe_ast_TypeModifierPragma)) ?v_79))))))))))) (?v_25 (forall ((?brokenObj_50_ Int)) (=> (and (= true_term (is ?brokenObj_50_ T_javafe_parser_Token)) (not (= ?brokenObj_50_ null)) (=> (= (S_select ttype_12_52_15 ?brokenObj_50_) IDENT_15_25_26) (not (= (S_select identifierVal_12_80_22 ?brokenObj_50_) null))) (= (S_select ttype_356_4_0_358_8_11_372_15 ?brokenObj_50_) IDENT_15_25_26)) (not (= (S_select identifierVal_356_4_0_358_8_11_372_30 ?brokenObj_50_) null))))) (?v_26 (= tmp0_seqTypeName_356_4_0_359_6 ?v_11)) (?v_27 (= true_term (is RES_356_4_0_359_30_359_30 T_javafe_ast_TypeName))) (?v_28 (= true_term (isAllocated RES_356_4_0_359_30_359_30 alloc))) (?v_12 (= EC_356_4_0_359_30_359_30 ecReturn)) (?v_13 (not (= RES_356_4_0_359_30_359_30 null)))) (let ((?v_29 (=> ?v_12 ?v_13)) (?v_30 (=> ?v_12 (= true_term (S_select syntax_31_28_29 RES_356_4_0_359_30_359_30)))) (?v_31 (= (PO_LT (typeof RES_356_4_0_359_30_359_30) (S_select elementType_9_43_27 tmp0_seqTypeName_356_4_0_359_6)) true_term)) (?v_39 (= elementCount_356_4_0_359_18_9_195_17 (S_store elementCount_9_79_33 tmp0_seqTypeName_356_4_0_359_6 after_359_18_356_4_0_359_18_9_195_17))) (?v_40 (= elementCount_356_4_0_359_18_9_195_17 (asField elementCount_356_4_0_359_18_9_195_17 T_int))) (?v_32 (= EC_356_4_0_359_18_359_18 ecReturn)) (?v_33 (S_select currentStackBottom_355_16_9_282_30 tmp0_seqTypeName_356_4_0_359_6))) (let ((?v_41 (=> ?v_32 (= (- (S_select elementCount_356_4_0_359_18_9_195_17 tmp0_seqTypeName_356_4_0_359_6) ?v_33) (+ (- (S_select elementCount_9_79_33 tmp0_seqTypeName_356_4_0_359_6) ?v_33) 1)))) (?v_42 (forall ((?brokenObj_51_ Int)) (=> (and (= true_term (is ?brokenObj_51_ T_javafe_util_StackVector)) (not (= ?brokenObj_51_ null)) (forall ((?i_9_76_31 Int)) (let ((?v_81 (S_select (S_select elems (S_select elements_9_72_21 ?brokenObj_51_)) ?i_9_76_31))) (=> (and (<= 0 ?i_9_76_31) (< ?i_9_76_31 (S_select elementCount_9_79_33 ?brokenObj_51_))) (or (= ?v_81 null) (= (PO_LT (typeof ?v_81) (S_select elementType_9_43_27 ?brokenObj_51_)) true_term)))))) (forall ((?i_9_76_31 Int)) (let ((?v_82 (S_select (S_select elems (S_select elements_9_72_21 ?brokenObj_51_)) ?i_9_76_31))) (=> (and (<= 0 ?i_9_76_31) (< ?i_9_76_31 (S_select elementCount_356_4_0_359_18_9_195_17 ?brokenObj_51_))) (or (= ?v_82 null) (= (PO_LT (typeof ?v_82) (S_select elementType_9_43_27 ?brokenObj_51_)) true_term)))))))) (?v_43 (forall ((?brokenObj_52_ Int)) (let ((?v_83 (S_select currentStackBottom_355_16_9_282_30 ?brokenObj_52_))) (let ((?v_84 (<= 0 ?v_83))) (=> (and (= true_term (is ?brokenObj_52_ T_javafe_util_StackVector)) (not (= ?brokenObj_52_ null)) ?v_84 (<= ?v_83 (S_select elementCount_9_79_33 ?brokenObj_52_))) (and ?v_84 (<= ?v_83 (S_select elementCount_356_4_0_359_18_9_195_17 ?brokenObj_52_)))))))) (?v_44 (forall ((?brokenObj_53_ Int)) (let ((?v_85 (S_select elementCount_9_79_33 ?brokenObj_53_)) (?v_87 (arrayLength (S_select elements_9_72_21 ?brokenObj_53_))) (?v_86 (S_select elementCount_356_4_0_359_18_9_195_17 ?brokenObj_53_))) (=> (and (= true_term (is ?brokenObj_53_ T_javafe_util_StackVector)) (not (= ?brokenObj_53_ null)) (<= 0 ?v_85) (<= ?v_85 ?v_87)) (and (<= 0 ?v_86) (<= ?v_86 ?v_87)))))) (?v_59 (not (= (S_select ttype_356_4_0_358_8_11_372_15 l_349_33) COMMA_14_33_26))) (?v_60 (= L_356_4 L_356_4)) (?v_61 (= EC L_356_4)) (?v_62 (= s_361_23_361_23_43_145_75 ?v_11)) (?v_65 (S_select vectorCount_355_16_9_282_17 s_361_23_361_23_43_145_75))) (let ((?v_45 (> ?v_65 1)) (?v_63 (= (PO_LT (S_select elementType_9_43_27 s_361_23_361_23_43_145_75) T_javafe_ast_TypeName) true_term)) (?v_47 (= EC_352_25_352_25 ecReturn)) (?v_66 (= EC_351_9 ecReturn)) (?v_64 (= EC_361_23_361_23 ecReturn))) (not (=> (distinct ecReturn L_356_4) (=> (and (= count_pre_116_67_33 count_116_67_33) (= count_116_67_33 (asField count_116_67_33 T_int)) (= FLOATLIT_pre_15_42_26 FLOATLIT_15_42_26) (= true_term (is FLOATLIT_15_42_26 T_int)) (= auxVal_pre_12_127_18 auxVal_12_127_18) (= auxVal_12_127_18 (asField auxVal_12_127_18 T_java_lang_Object)) (< (fClosedTime auxVal_12_127_18) alloc) (= tokenType_pre_50_90_8 tokenType_50_90_8) (= tokenType_50_90_8 (asField tokenType_50_90_8 T_int)) (= seqCatchClause_pre_4_76_46 seqCatchClause_4_76_46) (= seqCatchClause_4_76_46 (asField seqCatchClause_4_76_46 T_javafe_util_StackVector)) (< (fClosedTime seqCatchClause_4_76_46) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select seqCatchClause_4_76_46 ?s) null)))) (= LPAREN_pre_14_37_26 LPAREN_14_37_26) (= true_term (is LPAREN_14_37_26 T_int)) (= count_pre_48_67_33 count_48_67_33) (= count_48_67_33 (asField count_48_67_33 T_int)) (= nameDotLocs_pre_6_65_28 nameDotLocs_6_65_28) (= nameDotLocs_6_65_28 (asField nameDotLocs_6_65_28 ?v_1)) (< (fClosedTime nameDotLocs_6_65_28) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select nameDotLocs_6_65_28 ?s_1_) null)))) (= seqIdentifier_pre_6_33_46 seqIdentifier_6_33_46) (= seqIdentifier_6_33_46 (asField seqIdentifier_6_33_46 T_javafe_util_StackVector)) (< (fClosedTime seqIdentifier_6_33_46) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select seqIdentifier_6_33_46 ?s_2_) null)))) (= loc_pre_23_18_13 loc_23_18_13) (= loc_23_18_13 (asField loc_23_18_13 T_int)) (= locOpenBrace_pre_27_51_13 locOpenBrace_27_51_13) (= locOpenBrace_27_51_13 (asField locOpenBrace_27_51_13 T_int)) (= IMPLEMENTS_pre_14_74_26 IMPLEMENTS_14_74_26) (= true_term (is IMPLEMENTS_14_74_26 T_int)) (= returnType_pre_53_18_28 returnType_53_18_28) (= returnType_53_18_28 (asField returnType_53_18_28 T_javafe_ast_Type)) (< (fClosedTime returnType_53_18_28) alloc) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (not (= (S_select returnType_53_18_28 ?s_3_) null)))) (= TYPEMODIFIERPRAGMA_pre_14_28_26 TYPEMODIFIERPRAGMA_14_28_26) (= true_term (is TYPEMODIFIERPRAGMA_14_28_26 T_int)) (= keywordStrings_pre_14_181_30 keywordStrings_14_181_30) (= true_term (is keywordStrings_14_181_30 ?v_0)) (= true_term (isAllocated keywordStrings_14_181_30 alloc)) (= EOF_pre_14_17_26 EOF_14_17_26) (= true_term (is EOF_14_17_26 T_int)) (= count_pre_98_67_33 count_98_67_33) (= count_98_67_33 (asField count_98_67_33 T_int)) (= CHARLIT_pre_15_41_26 CHARLIT_15_41_26) (= true_term (is CHARLIT_15_41_26 T_int)) (= elements_pre_9_72_21 elements_9_72_21) (= elements_9_72_21 (asField elements_9_72_21 (array T_java_lang_Object))) (< (fClosedTime elements_9_72_21) alloc) (= count_pre_39_67_33 count_39_67_33) (= count_39_67_33 (asField count_39_67_33 T_int)) (= RBRACE_pre_14_36_26 RBRACE_14_36_26) (= true_term (is RBRACE_14_36_26 T_int)) (= punctuationStrings_pre_14_134_22 punctuationStrings_14_134_22) (= true_term (is punctuationStrings_14_134_22 ?v_0)) (= true_term (isAllocated punctuationStrings_14_134_22 alloc)) (= seqVarInit_pre_5_1153_46 seqVarInit_5_1153_46) (= seqVarInit_5_1153_46 (asField seqVarInit_5_1153_46 T_javafe_util_StackVector)) (< (fClosedTime seqVarInit_5_1153_46) alloc) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (not (= (S_select seqVarInit_5_1153_46 ?s_4_) null)))) (= seqFormalParaDecl_pre_64_46 seqFormalParaDecl_64_46) (= seqFormalParaDecl_64_46 (asField seqFormalParaDecl_64_46 T_javafe_util_StackVector)) (< (fClosedTime seqFormalParaDecl_64_46) alloc) (forall ((?s_5_ Int)) (=> (not (= ?s_5_ null)) (not (= (S_select seqFormalParaDecl_64_46 ?s_5_) null)))) (= endingLoc_pre_12_72_15 endingLoc_12_72_15) (= endingLoc_12_72_15 (asField endingLoc_12_72_15 T_int)) (= locId_pre_55_38_13 locId_55_38_13) (= locId_55_38_13 (asField locId_55_38_13 T_int)) (= elements_pre_29_61_37 elements_29_61_37) (= elements_29_61_37 (asField elements_29_61_37 (array T_javafe_ast_TypeDecl))) (< (fClosedTime elements_29_61_37) alloc) (forall ((?s_6_ Int)) (=> (not (= ?s_6_ null)) (not (= (S_select elements_29_61_37 ?s_6_) null)))) (= locId_pre_47_43_13 locId_47_43_13) (= locId_47_43_13 (asField locId_47_43_13 T_int)) (= TYPEDECLELEMPRAGMA_pre_14_27_26 TYPEDECLELEMPRAGMA_14_27_26) (= true_term (is TYPEDECLELEMPRAGMA_14_27_26 T_int)) (= seqStmt_pre_4_70_46 seqStmt_4_70_46) (= seqStmt_4_70_46 (asField seqStmt_4_70_46 T_javafe_util_StackVector)) (< (fClosedTime seqStmt_4_70_46) alloc) (forall ((?s_7_ Int)) (=> (not (= ?s_7_ null)) (not (= (S_select seqStmt_4_70_46 ?s_7_) null)))) (= nameIdLocs_pre_6_62_28 nameIdLocs_6_62_28) (= nameIdLocs_6_62_28 (asField nameIdLocs_6_62_28 ?v_1)) (< (fClosedTime nameIdLocs_6_62_28) alloc) (forall ((?s_8_ Int)) (=> (not (= ?s_8_ null)) (not (= (S_select nameIdLocs_6_62_28 ?s_8_) null)))) (= parseStreamLexer_pre_104_14 parseStreamLexer_104_14) (= parseStreamLexer_104_14 (asField parseStreamLexer_104_14 T_javafe_parser_Lex)) (< (fClosedTime parseStreamLexer_104_14) alloc) (= locOpenBrace_pre_41_22_13 locOpenBrace_41_22_13) (= locOpenBrace_41_22_13 (asField locOpenBrace_41_22_13 T_int)) (= IDENT_pre_15_25_26 IDENT_15_25_26) (= true_term (is IDENT_15_25_26 T_int)) (= LONGLIT_pre_15_40_26 LONGLIT_15_40_26) (= true_term (is LONGLIT_15_40_26 T_int)) (= currentStackBottom_pre_9_87_33 currentStackBottom_9_87_33) (= currentStackBottom_9_87_33 (asField currentStackBottom_9_87_33 T_int)) (= LBRACE_pre_14_35_26 LBRACE_14_35_26) (= true_term (is LBRACE_14_35_26 T_int)) (= elements_pre_35_61_41 elements_35_61_41) (= elements_35_61_41 (asField elements_35_61_41 (array T_javafe_ast_TypeDeclElem))) (< (fClosedTime elements_35_61_41) alloc) (forall ((?s_9_ Int)) (=> (not (= ?s_9_ null)) (not (= (S_select elements_35_61_41 ?s_9_) null)))) (= EXTENDS_pre_14_66_26 EXTENDS_14_66_26) (= true_term (is EXTENDS_14_66_26 T_int)) (= owner_pre_8_35_28 owner_8_35_28) (= owner_8_35_28 (asField owner_8_35_28 T_java_lang_Object)) (< (fClosedTime owner_8_35_28) alloc) (= loc_pre_13_30_13 loc_13_30_13) (= loc_13_30_13 (asField loc_13_30_13 T_int)) (= elems_pre_27_41_39 elems_27_41_39) (= elems_27_41_39 (asField elems_27_41_39 T_javafe_ast_TypeDeclElemVec)) (< (fClosedTime elems_27_41_39) alloc) (forall ((?s_10_ Int)) (=> (not (= ?s_10_ null)) (not (= (S_select elems_27_41_39 ?s_10_) null)))) (= STMTPRAGMA_pre_14_26_26 STMTPRAGMA_14_26_26) (= true_term (is STMTPRAGMA_14_26_26 T_int)) (= seqExpr_pre_5_1145_46 seqExpr_5_1145_46) (= seqExpr_5_1145_46 (asField seqExpr_5_1145_46 T_javafe_util_StackVector)) (< (fClosedTime seqExpr_5_1145_46) alloc) (forall ((?s_11_ Int)) (=> (not (= ?s_11_ null)) (not (= (S_select seqExpr_5_1145_46 ?s_11_) null)))) (= CLASS_pre_14_59_26 CLASS_14_59_26) (= true_term (is CLASS_14_59_26 T_int)) (= seqTypeName_pre_56_46 seqTypeName_56_46) (= seqTypeName_56_46 (asField seqTypeName_56_46 T_javafe_util_StackVector)) (< (fClosedTime seqTypeName_56_46) alloc) (forall ((?s_12_ Int)) (=> (not (= ?s_12_ null)) (not (= (S_select seqTypeName_56_46 ?s_12_) null)))) (= pmodifiers_pre_27_30_27 pmodifiers_27_30_27) (= pmodifiers_27_30_27 (asField pmodifiers_27_30_27 T_javafe_ast_ModifierPragmaVec)) (< (fClosedTime pmodifiers_27_30_27) alloc) (= locType_pre_53_21_13 locType_53_21_13) (= locType_53_21_13 (asField locType_53_21_13 T_int)) (= ASSIGN_pre_16_40_26 ASSIGN_16_40_26) (= true_term (is ASSIGN_16_40_26 T_int)) (= INTLIT_pre_15_39_26 INTLIT_15_39_26) (= true_term (is INTLIT_15_39_26 T_int)) (= elements_pre_44_61_43 elements_44_61_43) (= elements_44_61_43 (asField elements_44_61_43 (array T_javafe_ast_FormalParaDecl))) (< (fClosedTime elements_44_61_43) alloc) (forall ((?s_13_ Int)) (=> (not (= ?s_13_ null)) (not (= (S_select elements_44_61_43 ?s_13_) null)))) (= SEMICOLON_pre_14_34_26 SEMICOLON_14_34_26) (= true_term (is SEMICOLON_14_34_26 T_int)) (= INTERFACE_pre_14_78_26 INTERFACE_14_78_26) (= true_term (is INTERFACE_14_78_26 T_int)) (= locId_pre_27_48_13 locId_27_48_13) (= locId_27_48_13 (asField locId_27_48_13 T_int)) (= identifierVal_pre_12_80_22 identifierVal_12_80_22) (= identifierVal_12_80_22 (asField identifierVal_12_80_22 T_javafe_ast_Identifier)) (< (fClosedTime identifierVal_12_80_22) alloc) (= modifiers_pre_27_28_13 modifiers_27_28_13) (= modifiers_27_28_13 (asField modifiers_27_28_13 T_int)) (= modifierPragmas_pre_7_134_29 modifierPragmas_7_134_29) (= modifierPragmas_7_134_29 (asField modifierPragmas_7_134_29 T_javafe_ast_ModifierPragmaVec)) (< (fClosedTime modifierPragmas_7_134_29) alloc) (= MODIFIERPRAGMA_pre_14_25_26 MODIFIERPRAGMA_14_25_26) (= true_term (is MODIFIERPRAGMA_14_25_26 T_int)) (= FIRST_KEYWORD_pre_14_51_26 FIRST_KEYWORD_14_51_26) (= true_term (is FIRST_KEYWORD_14_51_26 T_int)) (= count_pre_29_67_33 count_29_67_33) (= count_29_67_33 (asField count_29_67_33 T_int)) (= elementCount_pre_9_79_33 elementCount_9_79_33) (= elementCount_9_79_33 (asField elementCount_9_79_33 T_int)) (= elements_pre_26_61_39 elements_26_61_39) (= elements_26_61_39 (asField elements_26_61_39 (array T_javafe_ast_ImportDecl))) (< (fClosedTime elements_26_61_39) alloc) (forall ((?s_14_ Int)) (=> (not (= ?s_14_ null)) (not (= (S_select elements_26_61_39 ?s_14_) null)))) (= elements_pre_43_61_37 elements_43_61_37) (= elements_43_61_37 (asField elements_43_61_37 (array T_javafe_ast_TypeName))) (< (fClosedTime elements_43_61_37) alloc) (forall ((?s_15_ Int)) (=> (not (= ?s_15_ null)) (not (= (S_select elements_43_61_37 ?s_15_) null)))) (= ACC_PUBLIC_pre_45_19_26 ACC_PUBLIC_45_19_26) (= true_term (is ACC_PUBLIC_45_19_26 T_int)) (= syntax_pre_31_28_29 syntax_31_28_29) (= syntax_31_28_29 (asField syntax_31_28_29 T_boolean)) (= locCloseBrace_pre_27_54_13 locCloseBrace_27_54_13) (= locCloseBrace_27_54_13 (asField locCloseBrace_27_54_13 T_int)) (= locOpenBrace_pre_47_36_13 locOpenBrace_47_36_13) (= locOpenBrace_47_36_13 (asField locOpenBrace_47_36_13 T_int)) (= specOnly_pre_27_26_17 specOnly_27_26_17) (= specOnly_27_26_17 (asField specOnly_27_26_17 T_boolean)) (= implicit_pre_47_23_17 implicit_47_23_17) (= implicit_47_23_17 (asField implicit_47_23_17 T_boolean)) (= STAR_pre_16_37_26 STAR_16_37_26) (= true_term (is STAR_16_37_26 T_int)) (= BOOLEANLIT_pre_15_38_26 BOOLEANLIT_15_38_26) (= true_term (is BOOLEANLIT_15_38_26 T_int)) (= m_in_pre_11_212_46 m_in_11_212_46) (= m_in_11_212_46 (asField m_in_11_212_46 T_javafe_util_CorrelatedReader)) (< (fClosedTime m_in_11_212_46) alloc) (= count_pre_35_67_33 count_35_67_33) (= count_35_67_33 (asField count_35_67_33 T_int)) (= vectorCount_pre_9_97_33 vectorCount_9_97_33) (= vectorCount_9_97_33 (asField vectorCount_9_97_33 T_int)) (= body_pre_47_34_19 body_47_34_19) (= body_47_34_19 (asField body_47_34_19 T_javafe_ast_BlockStmt)) (< (fClosedTime body_47_34_19) alloc) (= type_pre_55_35_28 type_55_35_28) (= type_55_35_28 (asField type_55_35_28 T_javafe_ast_Type)) (< (fClosedTime type_55_35_28) alloc) (forall ((?s_16_ Int)) (=> (not (= ?s_16_ null)) (not (= (S_select type_55_35_28 ?s_16_) null)))) (= ttype_pre_12_52_15 ttype_12_52_15) (= ttype_12_52_15 (asField ttype_12_52_15 T_int)) (= NONE_pre_45_18_26 NONE_45_18_26) (= true_term (is NONE_45_18_26 T_int)) (= seqModifierPragma_pre_7_74_32 seqModifierPragma_7_74_32) (= seqModifierPragma_7_74_32 (asField seqModifierPragma_7_74_32 T_javafe_util_StackVector)) (< (fClosedTime seqModifierPragma_7_74_32) alloc) (= THROWS_pre_14_96_26 THROWS_14_96_26) (= true_term (is THROWS_14_96_26 T_int)) (= loc_pre_47_40_13 loc_47_40_13) (= loc_47_40_13 (asField loc_47_40_13 T_int)) (= LEXICALPRAGMA_pre_14_24_26 LEXICALPRAGMA_14_24_26) (= true_term (is LEXICALPRAGMA_14_24_26 T_int)) (= seqTypeDecl_pre_80_46 seqTypeDecl_80_46) (= seqTypeDecl_80_46 (asField seqTypeDecl_80_46 T_javafe_util_StackVector)) (< (fClosedTime seqTypeDecl_80_46) alloc) (forall ((?s_17_ Int)) (=> (not (= ?s_17_ null)) (not (= (S_select seqTypeDecl_80_46 ?s_17_) null)))) (= LAST_KEYWORD_pre_14_103_26 LAST_KEYWORD_14_103_26) (= true_term (is LAST_KEYWORD_14_103_26 T_int)) (= elements_pre_116_61_47 elements_116_61_47) (= elements_116_61_47 (asField elements_116_61_47 (array T_javafe_ast_TypeModifierPragma))) (< (fClosedTime elements_116_61_47) alloc) (forall ((?s_18_ Int)) (=> (not (= ?s_18_ null)) (not (= (S_select elements_116_61_47 ?s_18_) null)))) (= otherCodes_pre_14_202_27 otherCodes_14_202_27) (= true_term (is otherCodes_14_202_27 ?v_1)) (= true_term (isAllocated otherCodes_14_202_27 alloc)) (= otherStrings_pre_14_193_30 otherStrings_14_193_30) (= true_term (is otherStrings_14_193_30 ?v_0)) (= true_term (isAllocated otherStrings_14_193_30 alloc)) (= STRINGLIT_pre_15_44_26 STRINGLIT_15_44_26) (= true_term (is STRINGLIT_15_44_26 T_int)) (= elements_pre_48_61_43 elements_48_61_43) (= elements_48_61_43 (asField elements_48_61_43 (array T_javafe_ast_ModifierPragma))) (< (fClosedTime elements_48_61_43) alloc) (forall ((?s_19_ Int)) (=> (not (= ?s_19_ null)) (not (= (S_select elements_48_61_43 ?s_19_) null)))) (= noTokens_pre_14_212_27 noTokens_14_212_27) (= true_term (is noTokens_14_212_27 T_int)) (= startingLoc_pre_12_65_15 startingLoc_12_65_15) (= startingLoc_12_65_15 (asField startingLoc_12_65_15 T_int)) (= PACKAGE_pre_14_83_26 PACKAGE_14_83_26) (= true_term (is PACKAGE_14_83_26 T_int)) (= count_pre_44_67_33 count_44_67_33) (= count_44_67_33 (asField count_44_67_33 T_int)) (= COMMA_pre_14_33_26 COMMA_14_33_26) (= true_term (is COMMA_14_33_26 T_int)) (= elements_pre_98_61_42 elements_98_61_42) (= elements_98_61_42 (asField elements_98_61_42 (array T_javafe_ast_LexicalPragma))) (< (fClosedTime elements_98_61_42) alloc) (forall ((?s_20_ Int)) (=> (not (= ?s_20_ null)) (not (= (S_select elements_98_61_42 ?s_20_) null)))) (= count_pre_26_67_33 count_26_67_33) (= count_26_67_33 (asField count_26_67_33 T_int)) (= locCloseBrace_pre_41_25_13 locCloseBrace_41_25_13) (= locCloseBrace_41_25_13 (asField locCloseBrace_41_25_13 T_int)) (= count_pre_43_67_33 count_43_67_33) (= count_43_67_33 (asField count_43_67_33 T_int)) (= punctuationCodes_pre_14_164_19 punctuationCodes_14_164_19) (= true_term (is punctuationCodes_14_164_19 ?v_1)) (= true_term (isAllocated punctuationCodes_14_164_19 alloc)) (= DOUBLELIT_pre_15_43_26 DOUBLELIT_15_43_26) (= true_term (is DOUBLELIT_15_43_26 T_int)) (= elements_pre_39_61_33 elements_39_61_33) (= elements_39_61_33 (asField elements_39_61_33 (array T_javafe_ast_Stmt))) (< (fClosedTime elements_39_61_33) alloc) (forall ((?s_21_ Int)) (=> (not (= ?s_21_ null)) (not (= (S_select elements_39_61_33 ?s_21_) null)))) (= NULL_pre_46_60_26 NULL_46_60_26) (= true_term (is NULL_46_60_26 T_int)) (= RPAREN_pre_14_38_26 RPAREN_14_38_26) (= true_term (is RPAREN_14_38_26 T_int)) (= loc_pre_84_22_13 loc_84_22_13) (= loc_84_22_13 (asField loc_84_22_13 T_int)) (= NULL_pre_14_82_26 NULL_14_82_26) (= true_term (is NULL_14_82_26 T_int)) (= IMPORT_pre_14_75_26 IMPORT_14_75_26) (= true_term (is IMPORT_14_75_26 T_int)) (= loc_pre_27_45_13 loc_27_45_13) (= loc_27_45_13 (asField loc_27_45_13 T_int)) (= code_pre_11_1294_15 code_11_1294_15) (= code_11_1294_15 (asField code_11_1294_15 T_int)) (= seqTypeDeclElem_pre_5_1161_46 seqTypeDeclElem_5_1161_46) (= seqTypeDeclElem_5_1161_46 (asField seqTypeDeclElem_5_1161_46 T_javafe_util_StackVector)) (< (fClosedTime seqTypeDeclElem_5_1161_46) alloc) (forall ((?s_22_ Int)) (=> (not (= ?s_22_ null)) (not (= (S_select seqTypeDeclElem_5_1161_46 ?s_22_) null)))) (= elementType_pre_9_43_27 elementType_9_43_27) (= elementType_9_43_27 (asField elementType_9_43_27 T__TYPE)) (= seqImportDecl_pre_72_46 seqImportDecl_72_46) (= seqImportDecl_72_46 (asField seqImportDecl_72_46 T_javafe_util_StackVector)) (< (fClosedTime seqImportDecl_72_46) alloc) (forall ((?s_23_ Int)) (=> (not (= ?s_23_ null)) (not (= (S_select seqImportDecl_72_46 ?s_23_) null)))) (= FIELD_pre_14_45_26 FIELD_14_45_26) (= true_term (is FIELD_14_45_26 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is this T_javafe_parser_Parse)) (= true_term (isAllocated this alloc)) (not (= this null)) (= true_term (is l_349_33 T_javafe_parser_Lex)) (= true_term (isAllocated l_349_33 alloc)) (= true_term (is keyword_349_40 T_int)) ?v_6 ?v_10 (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_parser_Parse)) (not (= ?brokenObj null))) (= (S_select elementType_9_43_27 (S_select seqImportDecl_72_46 ?brokenObj)) T_javafe_ast_ImportDecl))) (= true_term (nonnullelements punctuationStrings_14_134_22 elems)) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_parser_ParseType)) (not (= ?brokenObj_1_ null))) (= (S_select owner_8_35_28 (S_select nameIdLocs_6_62_28 ?brokenObj_1_)) ?brokenObj_1_))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_util_StackVector)) (not (= ?brokenObj_2_ null))) (forall ((?i_9_76_31 Int)) (let ((?v_88 (S_select (S_select elems (S_select elements_9_72_21 ?brokenObj_2_)) ?i_9_76_31))) (=> (and (<= 0 ?i_9_76_31) (< ?i_9_76_31 (S_select elementCount_9_79_33 ?brokenObj_2_))) (or (= ?v_88 null) (= (PO_LT (typeof ?v_88) (S_select elementType_9_43_27 ?brokenObj_2_)) true_term))))))) (forall ((?i_14_147_29 Int)) (=> (and (<= 0 ?i_14_147_29) (<= ?i_14_147_29 (arrayLength punctuationCodes_14_164_19))) (not (= (S_select (S_select elems punctuationCodes_14_164_19) ?i_14_147_29) NULL_14_82_26)))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_parser_ParseExpr)) (not (= ?brokenObj_3_ null))) (= (S_select owner_8_35_28 (S_select seqVarInit_5_1153_46 ?brokenObj_3_)) ?brokenObj_3_))) (forall ((?brokenObj_4_ Int)) (let ((?v_89 (S_select code_11_1294_15 ?brokenObj_4_))) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_parser_PunctuationPrefixTree)) (not (= ?brokenObj_4_ null))) (and (not (= ?v_89 IDENT_15_25_26)) (not (= ?v_89 BOOLEANLIT_15_38_26)) (not (= ?v_89 INTLIT_15_39_26)) (not (= ?v_89 LONGLIT_15_40_26)) (not (= ?v_89 FLOATLIT_15_42_26)) (not (= ?v_89 DOUBLELIT_15_43_26)) (not (= ?v_89 STRINGLIT_15_44_26)) (not (= ?v_89 CHARLIT_15_41_26)) (not (= ?v_89 LEXICALPRAGMA_14_24_26)) (not (= ?v_89 MODIFIERPRAGMA_14_25_26)) (not (= ?v_89 STMTPRAGMA_14_26_26)) (not (= ?v_89 TYPEDECLELEMPRAGMA_14_27_26)) (not (= ?v_89 TYPEMODIFIERPRAGMA_14_28_26)))))) (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_parser_ParseUtil)) (not (= ?brokenObj_5_ null))) (= (S_select owner_8_35_28 (S_select seqModifierPragma_7_74_32 ?brokenObj_5_)) ?brokenObj_5_))) (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_javafe_parser_ParseStmt)) (not (= ?brokenObj_6_ null))) (= (S_select elementType_9_43_27 (S_select seqStmt_4_70_46 ?brokenObj_6_)) T_javafe_ast_Stmt))) (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_javafe_util_StackVector)) (not (= ?brokenObj_7_ null))) (= (S_select owner_8_35_28 (S_select elements_9_72_21 ?brokenObj_7_)) ?brokenObj_7_))) (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_javafe_parser_Parse)) (not (= ?brokenObj_8_ null))) (= (S_select elementType_9_43_27 (S_select seqTypeName_56_46 ?brokenObj_8_)) T_javafe_ast_TypeName))) (forall ((?brokenObj_9_ Int)) (=> (and (= true_term (is ?brokenObj_9_ T_javafe_util_StackVector)) (not (= ?brokenObj_9_ null))) (>= (S_select vectorCount_9_97_33 ?brokenObj_9_) 1))) (= noTokens_14_212_27 (+ (+ ?v_2 ?v_4) ?v_3)) (forall ((?brokenObj_10_ Int)) (=> (and (= true_term (is ?brokenObj_10_ T_javafe_parser_Parse)) (not (= ?brokenObj_10_ null))) (= (S_select owner_8_35_28 (S_select seqImportDecl_72_46 ?brokenObj_10_)) ?brokenObj_10_))) (forall ((?brokenObj_11_ Int)) (=> (and (= true_term (is ?brokenObj_11_ T_javafe_parser_ParseExpr)) (not (= ?brokenObj_11_ null))) (= (S_select elementType_9_43_27 (S_select seqTypeDeclElem_5_1161_46 ?brokenObj_11_)) T_javafe_ast_TypeDeclElem))) (forall ((?brokenObj_12_ Int)) (=> (and (= true_term (is ?brokenObj_12_ T_javafe_ast_TypeNameVec)) (not (= ?brokenObj_12_ null))) (forall ((?i_43_62_31 Int)) (=> (and (<= 0 ?i_43_62_31) (< ?i_43_62_31 (S_select count_43_67_33 ?brokenObj_12_))) (not (= (S_select (S_select elems (S_select elements_43_61_37 ?brokenObj_12_)) ?i_43_62_31) null)))))) (forall ((?brokenObj_13_ Int)) (=> (and (= true_term (is ?brokenObj_13_ T_javafe_parser_ParseStmt)) (not (= ?brokenObj_13_ null))) (= (S_select owner_8_35_28 (S_select seqStmt_4_70_46 ?brokenObj_13_)) ?brokenObj_13_))) (forall ((?brokenObj_14_ Int)) (=> (and (= true_term (is ?brokenObj_14_ T_javafe_parser_ParseType)) (not (= ?brokenObj_14_ null))) (= (arrayLength (S_select nameDotLocs_6_65_28 ?brokenObj_14_)) (arrayLength (S_select nameIdLocs_6_62_28 ?brokenObj_14_))))) (forall ((?brokenObj_15_ Int)) (=> (and (= true_term (is ?brokenObj_15_ T_javafe_parser_Parse)) (not (= ?brokenObj_15_ null))) (= (S_select owner_8_35_28 (S_select seqTypeName_56_46 ?brokenObj_15_)) ?brokenObj_15_))) (forall ((?brokenObj_16_ Int)) (=> (and (= true_term (is ?brokenObj_16_ T_javafe_parser_Parse)) (not (= ?brokenObj_16_ null))) (= (S_select elementType_9_43_27 (S_select seqTypeDecl_80_46 ?brokenObj_16_)) T_javafe_ast_TypeDecl))) (forall ((?brokenObj_17_ Int)) (=> (and (= true_term (is ?brokenObj_17_ T_javafe_parser_Parse)) (not (= ?brokenObj_17_ null))) (= (S_select elementType_9_43_27 (S_select seqFormalParaDecl_64_46 ?brokenObj_17_)) T_javafe_ast_FormalParaDecl))) (forall ((?brokenObj_18_ Int)) (=> (and (= true_term (is ?brokenObj_18_ T_javafe_parser_ParseType)) (not (= ?brokenObj_18_ null))) (= (S_select elementType_9_43_27 (S_select seqIdentifier_6_33_46 ?brokenObj_18_)) T_javafe_ast_Identifier))) (forall ((?brokenObj_19_ Int)) (let ((?v_90 (S_select ttype_12_52_15 ?brokenObj_19_)) (?v_91 (S_select auxVal_12_127_18 ?brokenObj_19_))) (let ((?v_92 (not (= ?v_91 null)))) (let ((?v_93 (and (= true_term (is ?v_91 T_java_lang_Integer)) ?v_92))) (=> (and (= true_term (is ?brokenObj_19_ T_javafe_parser_Token)) (not (= ?brokenObj_19_ null))) (and (not (= ?v_90 BOOLEANLIT_15_38_26)) (=> (= ?v_90 INTLIT_15_39_26) ?v_93) (=> (= ?v_90 LONGLIT_15_40_26) (and (= true_term (is ?v_91 T_java_lang_Long)) ?v_92)) (=> (= ?v_90 FLOATLIT_15_42_26) (and (= true_term (is ?v_91 T_java_lang_Float)) ?v_92)) (=> (= ?v_90 DOUBLELIT_15_43_26) (and (= true_term (is ?v_91 T_java_lang_Double)) ?v_92)) (=> (= ?v_90 STRINGLIT_15_44_26) (and (= true_term (is ?v_91 T_java_lang_String)) ?v_92)) (=> (= ?v_90 CHARLIT_15_41_26) ?v_93) (=> (= ?v_90 LEXICALPRAGMA_14_24_26) (and (= true_term (is ?v_91 T_javafe_ast_LexicalPragma)) ?v_92)) (=> (= ?v_90 MODIFIERPRAGMA_14_25_26) (and (= true_term (is ?v_91 T_javafe_ast_ModifierPragma)) ?v_92)) (=> (= ?v_90 STMTPRAGMA_14_26_26) (and (= true_term (is ?v_91 T_javafe_ast_StmtPragma)) ?v_92)) (=> (= ?v_90 TYPEDECLELEMPRAGMA_14_27_26) (and (= true_term (is ?v_91 T_javafe_ast_TypeDeclElemPragma)) ?v_92)) (=> (= ?v_90 TYPEMODIFIERPRAGMA_14_28_26) (and (= true_term (is ?v_91 T_javafe_ast_TypeModifierPragma)) ?v_92)))))))) (forall ((?brokenObj_20_ Int)) (=> (and (= true_term (is ?brokenObj_20_ T_javafe_ast_TypeNameVec)) (not (= ?brokenObj_20_ null))) (= (typeof (S_select elements_43_61_37 ?brokenObj_20_)) (array T_javafe_ast_TypeName)))) (forall ((?brokenObj_21_ Int)) (=> (and (= true_term (is ?brokenObj_21_ T_javafe_util_StackVector)) (not (= ?brokenObj_21_ null))) (not (= (S_select elements_9_72_21 ?brokenObj_21_) null)))) (= ?v_2 (- (+ 1 LAST_KEYWORD_14_103_26) FIRST_KEYWORD_14_51_26)) (forall ((?brokenObj_22_ Int)) (let ((?v_94 (S_select tokenType_50_90_8 ?brokenObj_22_))) (=> (and (= true_term (is ?brokenObj_22_ T_javafe_ast_Identifier)) (not (= ?brokenObj_22_ null))) (and (not (= ?v_94 BOOLEANLIT_15_38_26)) (not (= ?v_94 INTLIT_15_39_26)) (not (= ?v_94 LONGLIT_15_40_26)) (not (= ?v_94 FLOATLIT_15_42_26)) (not (= ?v_94 DOUBLELIT_15_43_26)) (not (= ?v_94 STRINGLIT_15_44_26)) (not (= ?v_94 CHARLIT_15_41_26)) (not (= ?v_94 LEXICALPRAGMA_14_24_26)) (not (= ?v_94 MODIFIERPRAGMA_14_25_26)) (not (= ?v_94 STMTPRAGMA_14_26_26)) (not (= ?v_94 TYPEDECLELEMPRAGMA_14_27_26)) (not (= ?v_94 TYPEMODIFIERPRAGMA_14_28_26)))))) (forall ((?brokenObj_23_ Int)) (=> (and (= true_term (is ?brokenObj_23_ T_javafe_parser_Token)) (not (= ?brokenObj_23_ null)) (= (S_select ttype_12_52_15 ?brokenObj_23_) IDENT_15_25_26)) (not (= (S_select identifierVal_12_80_22 ?brokenObj_23_) null)))) (= (arrayLength otherCodes_14_202_27) ?v_3) (forall ((?brokenObj_24_ Int)) (let ((?v_95 (S_select currentStackBottom_9_87_33 ?brokenObj_24_))) (=> (and (= true_term (is ?brokenObj_24_ T_javafe_util_StackVector)) (not (= ?brokenObj_24_ null))) (or (= ?v_95 0) (= (S_select (S_select elems (S_select elements_9_72_21 ?brokenObj_24_)) (- ?v_95 1)) null))))) (forall ((?brokenObj_25_ Int)) (=> (and (= true_term (is ?brokenObj_25_ T_javafe_ast_TypeNameVec)) (not (= ?brokenObj_25_ null))) (<= 0 (S_select count_43_67_33 ?brokenObj_25_)))) (forall ((?brokenObj_26_ Int)) (=> (and (= true_term (is ?brokenObj_26_ T_javafe_parser_ParseExpr)) (not (= ?brokenObj_26_ null))) (= (S_select owner_8_35_28 (S_select seqTypeDeclElem_5_1161_46 ?brokenObj_26_)) ?brokenObj_26_))) (= true_term (nonnullelements otherStrings_14_193_30 elems)) (forall ((?brokenObj_27_ Int)) (let ((?v_96 (S_select currentStackBottom_9_87_33 ?brokenObj_27_))) (=> (and (= true_term (is ?brokenObj_27_ T_javafe_util_StackVector)) (not (= ?brokenObj_27_ null))) (and (<= 0 ?v_96) (<= ?v_96 (S_select elementCount_9_79_33 ?brokenObj_27_)))))) (forall ((?brokenObj_28_ Int)) (=> (and (= true_term (is ?brokenObj_28_ T_javafe_parser_ParseStmt)) (not (= ?brokenObj_28_ null))) (= (S_select elementType_9_43_27 (S_select seqCatchClause_4_76_46 ?brokenObj_28_)) T_javafe_ast_CatchClause))) (forall ((?i_14_149_29 Int)) (let ((?v_97 (S_select (S_select elems punctuationCodes_14_164_19) ?i_14_149_29))) (=> (and (<= 0 ?i_14_149_29) (<= ?i_14_149_29 (arrayLength punctuationCodes_14_164_19))) (and (not (= ?v_97 IDENT_15_25_26)) (not (= ?v_97 BOOLEANLIT_15_38_26)) (not (= ?v_97 INTLIT_15_39_26)) (not (= ?v_97 LONGLIT_15_40_26)) (not (= ?v_97 FLOATLIT_15_42_26)) (not (= ?v_97 DOUBLELIT_15_43_26)) (not (= ?v_97 STRINGLIT_15_44_26)) (not (= ?v_97 CHARLIT_15_41_26)) (not (= ?v_97 LEXICALPRAGMA_14_24_26)) (not (= ?v_97 MODIFIERPRAGMA_14_25_26)) (not (= ?v_97 STMTPRAGMA_14_26_26)) (not (= ?v_97 TYPEDECLELEMPRAGMA_14_27_26)) (not (= ?v_97 TYPEMODIFIERPRAGMA_14_28_26)))))) (forall ((?brokenObj_29_ Int)) (=> (and (= true_term (is ?brokenObj_29_ T_javafe_parser_ParseType)) (not (= ?brokenObj_29_ null))) (= (S_select owner_8_35_28 (S_select seqIdentifier_6_33_46 ?brokenObj_29_)) ?brokenObj_29_))) (= (arrayLength punctuationCodes_14_164_19) ?v_4) (forall ((?brokenObj_30_ Int)) (=> (and (= true_term (is ?brokenObj_30_ T_javafe_parser_ParseType)) (not (= ?brokenObj_30_ null))) (= (S_select owner_8_35_28 (S_select nameDotLocs_6_65_28 ?brokenObj_30_)) ?brokenObj_30_))) (forall ((?brokenObj_31_ Int)) (=> (and (= true_term (is ?brokenObj_31_ T_javafe_ast_TypeName)) (not (= ?brokenObj_31_ null))) (= true_term (S_select syntax_31_28_29 ?brokenObj_31_)))) (forall ((?brokenObj_32_ Int)) (=> (and (= true_term (is ?brokenObj_32_ T_javafe_parser_Parse)) (not (= ?brokenObj_32_ null))) (= (S_select owner_8_35_28 (S_select seqTypeDecl_80_46 ?brokenObj_32_)) ?brokenObj_32_))) (forall ((?brokenObj_33_ Int)) (=> (and (= true_term (is ?brokenObj_33_ T_javafe_ast_TypeNameVec)) (not (= ?brokenObj_33_ null))) (= (S_select owner_8_35_28 (S_select elements_43_61_37 ?brokenObj_33_)) ?brokenObj_33_))) (forall ((?brokenObj_34_ Int)) (=> (and (= true_term (is ?brokenObj_34_ T_javafe_parser_Parse)) (not (= ?brokenObj_34_ null))) (= (S_select owner_8_35_28 (S_select seqFormalParaDecl_64_46 ?brokenObj_34_)) ?brokenObj_34_))) (forall ((?brokenObj_35_ Int)) (=> (and (= true_term (is ?brokenObj_35_ T_javafe_util_StackVector)) (not (= ?brokenObj_35_ null))) (> (arrayLength (S_select elements_9_72_21 ?brokenObj_35_)) 0))) (forall ((?brokenObj_36_ Int)) (=> (and (= true_term (is ?brokenObj_36_ T_javafe_parser_ParseExpr)) (not (= ?brokenObj_36_ null))) (= (S_select elementType_9_43_27 (S_select seqVarInit_5_1153_46 ?brokenObj_36_)) T_javafe_ast_VarInit))) (forall ((?brokenObj_37_ Int)) (=> (and (= true_term (is ?brokenObj_37_ T_javafe_parser_ParseExpr)) (not (= ?brokenObj_37_ null))) (= (S_select elementType_9_43_27 (S_select seqExpr_5_1145_46 ?brokenObj_37_)) T_javafe_ast_Expr))) (forall ((?brokenObj_38_ Int)) (=> (and (= true_term (is ?brokenObj_38_ T_javafe_ast_GenericVarDecl)) (not (= ?brokenObj_38_ null))) (= true_term (S_select syntax_31_28_29 (S_select type_55_35_28 ?brokenObj_38_))))) (forall ((?brokenObj_39_ Int)) (let ((?v_98 (S_select elementCount_9_79_33 ?brokenObj_39_))) (=> (and (= true_term (is ?brokenObj_39_ T_javafe_util_StackVector)) (not (= ?brokenObj_39_ null))) (and (<= 0 ?v_98) (<= ?v_98 (arrayLength (S_select elements_9_72_21 ?brokenObj_39_))))))) (forall ((?brokenObj_40_ Int)) (=> (and (= true_term (is ?brokenObj_40_ T_javafe_parser_ParseType)) (not (= ?brokenObj_40_ null))) (>= (arrayLength (S_select nameIdLocs_6_62_28 ?brokenObj_40_)) 10))) (= true_term (nonnullelements keywordStrings_14_181_30 elems)) (forall ((?brokenObj_41_ Int)) (=> (and (= true_term (is ?brokenObj_41_ T_javafe_ast_TypeNameVec)) (not (= ?brokenObj_41_ null))) (<= (S_select count_43_67_33 ?brokenObj_41_) (arrayLength (S_select elements_43_61_37 ?brokenObj_41_))))) (forall ((?brokenObj_42_ Int)) (=> (and (= true_term (is ?brokenObj_42_ T_javafe_util_StackVector)) (not (= ?brokenObj_42_ null))) (= (typeof (S_select elements_9_72_21 ?brokenObj_42_)) (array T_java_lang_Object)))) (= true_term (is ?v_5 T_javafe_parser_TagConstants)) (not (= ?v_5 null)) (forall ((?brokenObj_43_ Int)) (=> (and (= true_term (is ?brokenObj_43_ T_javafe_parser_ParseStmt)) (not (= ?brokenObj_43_ null))) (= (S_select owner_8_35_28 (S_select seqCatchClause_4_76_46 ?brokenObj_43_)) ?brokenObj_43_))) (forall ((?brokenObj_44_ Int)) (=> (and (= true_term (is ?brokenObj_44_ T_javafe_parser_ParseExpr)) (not (= ?brokenObj_44_ null))) (= (S_select owner_8_35_28 (S_select seqExpr_5_1145_46 ?brokenObj_44_)) ?brokenObj_44_))) (forall ((?brokenObj_45_ Int)) (=> (and (= true_term (is ?brokenObj_45_ T_javafe_parser_ParseUtil)) (not (= ?brokenObj_45_ null))) (= (S_select elementType_9_43_27 (S_select seqModifierPragma_7_74_32 ?brokenObj_45_)) T_javafe_ast_ModifierPragma))) (or ?v_9 (and ?v_6 ?v_48 ?v_8 ?v_49 ?v_50 ?v_51 ?v_52 ?v_53 ?v_7 ?v_54 ?v_55 ?v_56 ?v_57 ?v_58 (or (and ?v_34 ?v_35 ?v_36 ?v_37 ?v_38 ?v_8 (or ?v_9 (and ?v_6 (or (not ?v_10) (and ?v_10 ?v_14 ?v_15 ?v_16 ?v_17 ?v_18 ?v_19 ?v_20 ?v_21 ?v_22 ?v_23 ?v_24 ?v_25 ?v_26 (or (not (and ?v_6 ?v_10)) (and ?v_27 ?v_28 ?v_12 ?v_29 ?v_30 (or (not ?v_13) (and ?v_13 (not ?v_31)))))))) (and ?v_6 ?v_10 ?v_14 ?v_15 ?v_16 ?v_17 ?v_18 ?v_19 ?v_20 ?v_21 ?v_22 ?v_23 ?v_24 ?v_25 ?v_26 ?v_27 ?v_28 ?v_12 ?v_29 ?v_30 ?v_13 ?v_31 ?v_39 ?v_40 ?v_32 ?v_41 ?v_42 ?v_43 ?v_44 ?v_9))) (and ?v_34 ?v_35 ?v_36 ?v_37 ?v_38 ?v_8 ?v_6 ?v_10 ?v_14 ?v_15 ?v_16 ?v_17 ?v_18 ?v_19 ?v_20 ?v_21 ?v_22 ?v_23 ?v_24 ?v_25 ?v_26 ?v_27 ?v_28 ?v_12 ?v_29 ?v_30 ?v_13 ?v_31 ?v_39 ?v_40 ?v_32 ?v_41 ?v_42 ?v_43 ?v_44 ?v_6 ?v_59 ?v_60 ?v_61 ?v_62 (or (not ?v_45) (and ?v_45 (not ?v_63)))))) (and ?v_6 (or (and ?v_46 ?v_8 (= true_term (is RES_352_25_352_25 T_javafe_ast_TypeNameVec)) (= true_term (isAllocated RES_352_25_352_25 alloc)) ?v_47 (=> ?v_47 (not (= RES_352_25_352_25 null))) ?v_8 ?v_66 (= RES_351_9 RES_352_25_352_25)) (and ?v_48 ?v_8 ?v_49 ?v_50 ?v_51 ?v_52 ?v_53 ?v_7 ?v_54 ?v_55 ?v_56 ?v_57 ?v_58 (or (and ?v_34 ?v_35 ?v_36 ?v_37 ?v_38 ?v_8 ?v_6 ?v_10 ?v_14 ?v_15 ?v_16 ?v_17 ?v_18 ?v_19 ?v_20 ?v_21 ?v_22 ?v_23 ?v_24 ?v_25 ?v_26 ?v_27 ?v_28 ?v_12 ?v_29 ?v_30 ?v_13 ?v_31 ?v_39 ?v_40 ?v_32 ?v_41 ?v_42 ?v_43 ?v_44 ?v_6 ?v_59 (not ?v_60) (= EC_351_9 L_356_4) (= RES_351_9 RES_356_4_0_359_18_359_18)) (and ?v_34 ?v_35 ?v_36 ?v_37 ?v_38 ?v_8 ?v_6 ?v_10 ?v_14 ?v_15 ?v_16 ?v_17 ?v_18 ?v_19 ?v_20 ?v_21 ?v_22 ?v_23 ?v_24 ?v_25 ?v_26 ?v_27 ?v_28 ?v_12 ?v_29 ?v_30 ?v_13 ?v_31 ?v_39 ?v_40 ?v_32 ?v_41 ?v_42 ?v_43 ?v_44 ?v_6 ?v_59 ?v_60 ?v_61 ?v_62 ?v_45 ?v_63 (= vectorCount_361_23_43_137_19 (S_store vectorCount_355_16_9_282_17 s_361_23_361_23_43_145_75 after_361_23_361_23_43_137_17)) (= elementCount_361_23_43_139_19 (S_store elementCount_356_4_0_359_18_9_195_17 s_361_23_361_23_43_145_75 after_361_23_361_23_43_139_17)) (= currentStackBottom_361_23_43_139_35 (S_store currentStackBottom_355_16_9_282_30 s_361_23_361_23_43_145_75 after_361_23_361_23_43_139_33)) (= vectorCount_361_23_43_137_19 (asField vectorCount_361_23_43_137_19 T_int)) (= currentStackBottom_361_23_43_139_35 (asField currentStackBottom_361_23_43_139_35 T_int)) (= elementCount_361_23_43_139_19 (asField elementCount_361_23_43_139_19 T_int)) (= true_term (is RES_361_23_361_23 T_javafe_ast_TypeNameVec)) (= true_term (isAllocated RES_361_23_361_23 alloc)) ?v_64 (=> ?v_64 (= (S_select vectorCount_361_23_43_137_19 s_361_23_361_23_43_145_75) (- ?v_65 1))) (=> ?v_64 (not (= RES_361_23_361_23 null))) (=> ?v_64 (= (S_select count_43_67_33 RES_361_23_361_23) (- (S_select elementCount_356_4_0_359_18_9_195_17 s_361_23_361_23_43_145_75) (S_select currentStackBottom_355_16_9_282_30 s_361_23_361_23_43_145_75)))) (forall ((?brokenObj_54_ Int)) (=> (and (= true_term (is ?brokenObj_54_ T_javafe_util_StackVector)) (not (= ?brokenObj_54_ null)) (forall ((?i_9_76_31 Int)) (let ((?v_99 (S_select (S_select elems (S_select elements_9_72_21 ?brokenObj_54_)) ?i_9_76_31))) (=> (and (<= 0 ?i_9_76_31) (< ?i_9_76_31 (S_select elementCount_356_4_0_359_18_9_195_17 ?brokenObj_54_))) (or (= ?v_99 null) (= (PO_LT (typeof ?v_99) (S_select elementType_9_43_27 ?brokenObj_54_)) true_term)))))) (forall ((?i_9_76_31 Int)) (let ((?v_100 (S_select (S_select elems (S_select elements_9_72_21 ?brokenObj_54_)) ?i_9_76_31))) (=> (and (<= 0 ?i_9_76_31) (< ?i_9_76_31 (S_select elementCount_361_23_43_139_19 ?brokenObj_54_))) (or (= ?v_100 null) (= (PO_LT (typeof ?v_100) (S_select elementType_9_43_27 ?brokenObj_54_)) true_term))))))) (forall ((?brokenObj_55_ Int)) (=> (and (= true_term (is ?brokenObj_55_ T_javafe_util_StackVector)) (not (= ?brokenObj_55_ null)) (>= (S_select vectorCount_355_16_9_282_17 ?brokenObj_55_) 1)) (>= (S_select vectorCount_361_23_43_137_19 ?brokenObj_55_) 1))) (forall ((?brokenObj_56_ Int)) (let ((?v_101 (S_select currentStackBottom_355_16_9_282_30 ?brokenObj_56_)) (?v_102 (S_select elems (S_select elements_9_72_21 ?brokenObj_56_))) (?v_103 (S_select currentStackBottom_361_23_43_139_35 ?brokenObj_56_))) (=> (and (= true_term (is ?brokenObj_56_ T_javafe_util_StackVector)) (not (= ?brokenObj_56_ null)) (or (= ?v_101 0) (= (S_select ?v_102 (- ?v_101 1)) null))) (or (= ?v_103 0) (= (S_select ?v_102 (- ?v_103 1)) null))))) (forall ((?brokenObj_57_ Int)) (let ((?v_104 (S_select currentStackBottom_355_16_9_282_30 ?brokenObj_57_)) (?v_105 (S_select currentStackBottom_361_23_43_139_35 ?brokenObj_57_))) (=> (and (= true_term (is ?brokenObj_57_ T_javafe_util_StackVector)) (not (= ?brokenObj_57_ null)) (<= 0 ?v_104) (<= ?v_104 (S_select elementCount_356_4_0_359_18_9_195_17 ?brokenObj_57_))) (and (<= 0 ?v_105) (<= ?v_105 (S_select elementCount_361_23_43_139_19 ?brokenObj_57_)))))) (forall ((?brokenObj_58_ Int)) (let ((?v_106 (S_select elementCount_356_4_0_359_18_9_195_17 ?brokenObj_58_)) (?v_108 (arrayLength (S_select elements_9_72_21 ?brokenObj_58_))) (?v_107 (S_select elementCount_361_23_43_139_19 ?brokenObj_58_))) (=> (and (= true_term (is ?brokenObj_58_ T_javafe_util_StackVector)) (not (= ?brokenObj_58_ null)) (<= 0 ?v_106) (<= ?v_106 ?v_108)) (and (<= 0 ?v_107) (<= ?v_107 ?v_108))))) ?v_8 ?v_66 (= RES_351_9 RES_361_23_361_23))))) (or (not ?v_66) (and ?v_66 (not (=> ?v_66 (not (= RES_351_9 null))))))))))))))))))))))
(check-sat)
(exit)
