(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_javafe_ast_TypeDeclVec () Int)
(declare-fun T_javafe_reader_BinReader () Int)
(declare-fun T_javafe_reader_Reader () Int)
(declare-fun T_javafe_ast_Type () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_javafe_ast_FieldDecl () Int)
(declare-fun T_javafe_ast_GenericVarDecl () Int)
(declare-fun T_javafe_ast_TypeDeclElem () Int)
(declare-fun T_javafe_ast_CompilationUnit () Int)
(declare-fun T_javafe_ast_Name () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_javafe_ast_TypeDeclElemVec () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_ast_GenericBlockStmt () Int)
(declare-fun T_javafe_ast_Stmt () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_java_io_File () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_javafe_ast_TypeNameVec () Int)
(declare-fun T_javafe_ast_Identifier () Int)
(declare-fun T_java_lang_Error () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_javafe_ast_LexicalPragma () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_javafe_reader_ASTClassFileParser () Int)
(declare-fun T_decsrc_util_ClassFileParser () Int)
(declare-fun T_javafe_ast_LexicalPragmaVec () Int)
(declare-fun T_javafe_ast_RoutineDecl () Int)
(declare-fun T_javafe_ast_ImportDeclVec () Int)
(declare-fun T_javafe_genericfile_GenericFile () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_javafe_ast_BlockStmt () Int)
(declare-fun T_javafe_ast_TypeDecl () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun T_javafe_genericfile_NormalGenericFile () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_decsrc_util_ClassFileConstants () Int)
(declare-fun T_javafe_util_ErrorSet () Int)
(declare-fun T_javafe_ast_TypeName () Int)
(declare-fun T_javafe_util_Info () Int)
(declare-fun T_java_lang_ClassFormatError () Int)
(declare-fun T_java_lang_LinkageError () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_java_io_IOException () Int)
(declare-fun T_javafe_ast_PrettyPrint () Int)
(declare-fun T_javafe_ast_ImportDecl () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun TYPEMODIFIERPRAGMA_46_28_26 () Int)
(declare-fun NULL_37_60_26 () Int)
(declare-fun CHARLIT_47_41_26 () Int)
(declare-fun keywordStrings_46_181_30 () Int)
(declare-fun otherCodes_46_202_27 () Int)
(declare-fun punctuationStrings_46_134_22 () Int)
(declare-fun STRINGLIT_47_44_26 () Int)
(declare-fun MODIFIERPRAGMA_46_25_26 () Int)
(declare-fun IDENT_47_25_26 () Int)
(declare-fun noTokens_46_212_27 () Int)
(declare-fun otherStrings_46_193_30 () Int)
(declare-fun LONGLIT_47_40_26 () Int)
(declare-fun err_28_97_50 () Int)
(declare-fun TYPEDECLELEMPRAGMA_46_27_26 () Int)
(declare-fun DOUBLELIT_47_43_26 () Int)
(declare-fun LEXICALPRAGMA_46_24_26 () Int)
(declare-fun FIRST_KEYWORD_46_51_26 () Int)
(declare-fun punctuationCodes_46_164_19 () Int)
(declare-fun INTLIT_47_39_26 () Int)
(declare-fun FLOATLIT_47_42_26 () Int)
(declare-fun STMTPRAGMA_46_26_26 () Int)
(declare-fun NULL_46_82_26 () Int)
(declare-fun BOOLEANLIT_47_38_26 () Int)
(declare-fun out_28_83_49 () Int)
(declare-fun LAST_KEYWORD_46_103_26 () Int)
(assert (let ((?v_0 (array T_java_lang_String)) (?v_1 (array T_int))) (and (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_ast_TypeDeclVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeDeclVec (asChild T_javafe_ast_TypeDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_reader_BinReader T_javafe_reader_Reader) true_term) (= T_javafe_reader_BinReader (asChild T_javafe_reader_BinReader T_javafe_reader_Reader)) (= (PO_LT T_javafe_ast_Type T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Type (asChild T_javafe_ast_Type T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FieldDecl (asChild T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CompilationUnit (asChild T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_Name T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Name (asChild T_javafe_ast_Name T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_javafe_ast_TypeDeclElemVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeDeclElemVec (asChild T_javafe_ast_TypeDeclElemVec T_java_lang_Object)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_GenericBlockStmt (asChild T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (= (PO_LT T_javafe_reader_Reader T_java_lang_Object) true_term) (= T_javafe_reader_Reader (asChild T_javafe_reader_Reader T_java_lang_Object)) (= (PO_LT T_java_io_File T_java_lang_Object) true_term) (= T_java_io_File (asChild T_java_io_File T_java_lang_Object)) (= (PO_LT T_java_io_File T_java_io_Serializable) true_term) (= (PO_LT T_java_io_File T_java_lang_Comparable) true_term) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_TypeNameVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeNameVec (asChild T_javafe_ast_TypeNameVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_Identifier T_java_lang_Object) true_term) (= T_javafe_ast_Identifier (asChild T_javafe_ast_Identifier T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_ast_Identifier) true_term) (= ?t T_javafe_ast_Identifier))) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Error T_java_lang_Throwable) true_term) (= T_java_lang_Error (asChild T_java_lang_Error T_java_lang_Throwable)) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_LexicalPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_LexicalPragma (asChild T_javafe_ast_LexicalPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_javafe_ast_TypeDeclElem T_java_lang_Object) true_term) (= (PO_LT T_javafe_reader_ASTClassFileParser T_decsrc_util_ClassFileParser) true_term) (= T_javafe_reader_ASTClassFileParser (asChild T_javafe_reader_ASTClassFileParser T_decsrc_util_ClassFileParser)) (= (PO_LT T_javafe_ast_LexicalPragmaVec T_java_lang_Object) true_term) (= T_javafe_ast_LexicalPragmaVec (asChild T_javafe_ast_LexicalPragmaVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_RoutineDecl (asChild T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_ImportDeclVec T_java_lang_Object) true_term) (= T_javafe_ast_ImportDeclVec (asChild T_javafe_ast_ImportDeclVec T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_genericfile_GenericFile T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt) true_term) (= T_javafe_ast_BlockStmt (asChild T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDecl (asChild T_javafe_ast_TypeDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_genericfile_NormalGenericFile T_java_io_File) true_term) (= T_javafe_genericfile_NormalGenericFile (asChild T_javafe_genericfile_NormalGenericFile T_java_io_File)) (= (PO_LT T_javafe_genericfile_NormalGenericFile T_javafe_genericfile_GenericFile) true_term) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_decsrc_util_ClassFileParser T_java_lang_Object) true_term) (= T_decsrc_util_ClassFileParser (asChild T_decsrc_util_ClassFileParser T_java_lang_Object)) (= (PO_LT T_decsrc_util_ClassFileParser T_decsrc_util_ClassFileConstants) true_term) (= (PO_LT T_javafe_util_ErrorSet T_java_lang_Object) true_term) (= T_javafe_util_ErrorSet (asChild T_javafe_util_ErrorSet T_java_lang_Object)) (= (PO_LT T_javafe_ast_Stmt T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Stmt (asChild T_javafe_ast_Stmt T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_javafe_ast_TypeName T_javafe_ast_Type) true_term) (= T_javafe_ast_TypeName (asChild T_javafe_ast_TypeName T_javafe_ast_Type)) (= (PO_LT T_javafe_util_Info T_java_lang_Object) true_term) (= T_javafe_util_Info (asChild T_javafe_util_Info T_java_lang_Object)) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_GenericVarDecl (asChild T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_ClassFormatError T_java_lang_LinkageError) true_term) (= T_java_lang_ClassFormatError (asChild T_java_lang_ClassFormatError T_java_lang_LinkageError)) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_java_io_IOException T_java_lang_Exception) true_term) (= T_java_io_IOException (asChild T_java_io_IOException T_java_lang_Exception)) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_PrettyPrint T_java_lang_Object) true_term) (= T_javafe_ast_PrettyPrint (asChild T_javafe_ast_PrettyPrint T_java_lang_Object)) (= (PO_LT T_decsrc_util_ClassFileConstants T_java_lang_Object) true_term) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_javafe_ast_ImportDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ImportDecl (asChild T_javafe_ast_ImportDecl T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_LinkageError T_java_lang_Error) true_term) (= T_java_lang_LinkageError (asChild T_java_lang_LinkageError T_java_lang_Error)) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_util_Map (+ DIST_ZERO_1 10)) (= T_javafe_ast_TypeDeclVec (+ DIST_ZERO_1 11)) (= T_javafe_reader_BinReader (+ DIST_ZERO_1 12)) (= T_javafe_ast_Type (+ DIST_ZERO_1 13)) (= T_javafe_ast_FieldDecl (+ DIST_ZERO_1 14)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 15)) (= T_javafe_ast_CompilationUnit (+ DIST_ZERO_1 16)) (= T_javafe_ast_Name (+ DIST_ZERO_1 17)) (= T_javafe_util_Location (+ DIST_ZERO_1 18)) (= T_javafe_ast_TypeDeclElemVec (+ DIST_ZERO_1 19)) (= T_java_lang_String (+ DIST_ZERO_1 20)) (= T_javafe_ast_GenericBlockStmt (+ DIST_ZERO_1 21)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 22)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 23)) (= T_javafe_reader_Reader (+ DIST_ZERO_1 24)) (= T_java_io_File (+ DIST_ZERO_1 25)) (= T_java_util_Hashtable (+ DIST_ZERO_1 26)) (= T_javafe_ast_TypeNameVec (+ DIST_ZERO_1 27)) (= T_javafe_ast_Identifier (+ DIST_ZERO_1 28)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 29)) (= T_java_lang_Error (+ DIST_ZERO_1 30)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 31)) (= T_javafe_ast_LexicalPragma (+ DIST_ZERO_1 32)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 33)) (= T_java_util_Properties (+ DIST_ZERO_1 34)) (= T_javafe_ast_TypeDeclElem (+ DIST_ZERO_1 35)) (= T_javafe_reader_ASTClassFileParser (+ DIST_ZERO_1 36)) (= T_javafe_ast_LexicalPragmaVec (+ DIST_ZERO_1 37)) (= T_javafe_ast_RoutineDecl (+ DIST_ZERO_1 38)) (= T_javafe_ast_ImportDeclVec (+ DIST_ZERO_1 39)) (= T_java_util_Dictionary (+ DIST_ZERO_1 40)) (= T_javafe_genericfile_GenericFile (+ DIST_ZERO_1 41)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 42)) (= T_javafe_ast_BlockStmt (+ DIST_ZERO_1 43)) (= T_javafe_ast_TypeDecl (+ DIST_ZERO_1 44)) (= T_java_io_PrintStream (+ DIST_ZERO_1 45)) (= T_java_lang_Throwable (+ DIST_ZERO_1 46)) (= T_java_lang_Object (+ DIST_ZERO_1 47)) (= T_javafe_genericfile_NormalGenericFile (+ DIST_ZERO_1 48)) (= T_java_lang_System (+ DIST_ZERO_1 49)) (= T_decsrc_util_ClassFileParser (+ DIST_ZERO_1 50)) (= T_javafe_util_ErrorSet (+ DIST_ZERO_1 51)) (= T_javafe_ast_Stmt (+ DIST_ZERO_1 52)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 53)) (= T_javafe_ast_TypeName (+ DIST_ZERO_1 54)) (= T_javafe_util_Info (+ DIST_ZERO_1 55)) (= T_java_lang_Comparable (+ DIST_ZERO_1 56)) (= T_javafe_ast_GenericVarDecl (+ DIST_ZERO_1 57)) (= T_java_lang_ClassFormatError (+ DIST_ZERO_1 58)) (= T_java_lang_Exception (+ DIST_ZERO_1 59)) (= T_java_io_IOException (+ DIST_ZERO_1 60)) (= T_java_io_Serializable (+ DIST_ZERO_1 61)) (= T_javafe_ast_PrettyPrint (+ DIST_ZERO_1 62)) (= T_decsrc_util_ClassFileConstants (+ DIST_ZERO_1 63)) (= T_java_io_OutputStream (+ DIST_ZERO_1 64)) (= T_javafe_ast_ImportDecl (+ DIST_ZERO_1 65)) (= T_java_lang_LinkageError (+ DIST_ZERO_1 66))) (= true_term (is TYPEMODIFIERPRAGMA_46_28_26 T_int)) (= TYPEMODIFIERPRAGMA_46_28_26 118) (= true_term (is NULL_37_60_26 T_int)) (= NULL_37_60_26 0) (= true_term (is CHARLIT_47_41_26 T_int)) (= CHARLIT_47_41_26 107) (= true_term (is keywordStrings_46_181_30 ?v_0)) (not (= keywordStrings_46_181_30 null)) (= (typeof keywordStrings_46_181_30) ?v_0) (= (arrayLength keywordStrings_46_181_30) 51) (= true_term (is otherCodes_46_202_27 ?v_1)) (not (= otherCodes_46_202_27 null)) (= (typeof otherCodes_46_202_27) ?v_1) (= (arrayLength otherCodes_46_202_27) 15) (= true_term (is punctuationStrings_46_134_22 ?v_0)) (not (= punctuationStrings_46_134_22 null)) (= (typeof punctuationStrings_46_134_22) ?v_0) (= (arrayLength punctuationStrings_46_134_22) 48) (= true_term (is STRINGLIT_47_44_26 T_int)) (= STRINGLIT_47_44_26 110) (= true_term (is MODIFIERPRAGMA_46_25_26 T_int)) (= MODIFIERPRAGMA_46_25_26 115) (= true_term (is IDENT_47_25_26 T_int)) (= IDENT_47_25_26 93) (= true_term (is noTokens_46_212_27 T_int)) (= true_term (is otherStrings_46_193_30 ?v_0)) (not (= otherStrings_46_193_30 null)) (= (typeof otherStrings_46_193_30) ?v_0) (= (arrayLength otherStrings_46_193_30) 15) (= true_term (is LONGLIT_47_40_26 T_int)) (= LONGLIT_47_40_26 106) (= true_term (is err_28_97_50 T_java_io_PrintStream)) (= true_term (is TYPEDECLELEMPRAGMA_46_27_26 T_int)) (= TYPEDECLELEMPRAGMA_46_27_26 117) (= true_term (is DOUBLELIT_47_43_26 T_int)) (= DOUBLELIT_47_43_26 109) (= true_term (is LEXICALPRAGMA_46_24_26 T_int)) (= LEXICALPRAGMA_46_24_26 114) (= true_term (is FIRST_KEYWORD_46_51_26 T_int)) (= FIRST_KEYWORD_46_51_26 133) (= true_term (is punctuationCodes_46_164_19 ?v_1)) (not (= punctuationCodes_46_164_19 null)) (= (typeof punctuationCodes_46_164_19) ?v_1) (= (arrayLength punctuationCodes_46_164_19) 48) (= true_term (is INTLIT_47_39_26 T_int)) (= INTLIT_47_39_26 105) (= true_term (is FLOATLIT_47_42_26 T_int)) (= FLOATLIT_47_42_26 108) (= true_term (is STMTPRAGMA_46_26_26 T_int)) (= STMTPRAGMA_46_26_26 116) (= true_term (is NULL_46_82_26 T_int)) (= NULL_46_82_26 163) (= true_term (is BOOLEANLIT_47_38_26 T_int)) (= BOOLEANLIT_47_38_26 104) (= true_term (is out_28_83_49 T_java_io_PrintStream)) (= true_term (is LAST_KEYWORD_46_103_26 T_int)) (= LAST_KEYWORD_46_103_26 183))))
(declare-fun ecReturn () Int)
(declare-fun ecThrow () Int)
(declare-fun S_77_30 () Int)
(declare-fun S_61_22 () Int)
(declare-fun S_61_60 () Int)
(declare-fun S_81_30 () Int)
(declare-fun locId_pre_87_43_13 () Int)
(declare-fun locId_87_43_13 () Int)
(declare-fun TYPEMODIFIERPRAGMA_pre_46_28_26 () Int)
(declare-fun NULL_pre_37_60_26 () Int)
(declare-fun tokenType_pre_83_90_8 () Int)
(declare-fun tokenType_83_90_8 () Int)
(declare-fun CHARLIT_pre_47_41_26 () Int)
(declare-fun elements_pre_21_61_37 () Int)
(declare-fun elements_21_61_37 () Int)
(declare-fun locOpenBrace_pre_73_51_13 () Int)
(declare-fun locOpenBrace_73_51_13 () Int)
(declare-fun keywordStrings_pre_46_181_30 () Int)
(declare-fun locCloseBrace_pre_73_54_13 () Int)
(declare-fun locCloseBrace_73_54_13 () Int)
(declare-fun otherCodes_pre_46_202_27 () Int)
(declare-fun punctuationStrings_pre_46_134_22 () Int)
(declare-fun STRINGLIT_pre_47_44_26 () Int)
(declare-fun elements_pre_75_61_41 () Int)
(declare-fun elements_75_61_41 () Int)
(declare-fun MODIFIERPRAGMA_pre_46_25_26 () Int)
(declare-fun IDENT_pre_47_25_26 () Int)
(declare-fun locOpenBrace_pre_89_22_13 () Int)
(declare-fun locOpenBrace_89_22_13 () Int)
(declare-fun noTokens_pre_46_212_27 () Int)
(declare-fun otherStrings_pre_46_193_30 () Int)
(declare-fun count_pre_82_67_33 () Int)
(declare-fun count_82_67_33 () Int)
(declare-fun locCloseBrace_pre_89_25_13 () Int)
(declare-fun locCloseBrace_89_25_13 () Int)
(declare-fun elements_pre_93_61_42 () Int)
(declare-fun elements_93_61_42 () Int)
(declare-fun LONGLIT_pre_47_40_26 () Int)
(declare-fun classPackage_pre_18_39_16 () Int)
(declare-fun classPackage_18_39_16 () Int)
(declare-fun err_pre_28_97_50 () Int)
(declare-fun TYPEDECLELEMPRAGMA_pre_46_27_26 () Int)
(declare-fun DOUBLELIT_pre_47_43_26 () Int)
(declare-fun owner_pre_5_35_28 () Int)
(declare-fun owner_5_35_28 () Int)
(declare-fun specOnly_pre_73_26_17 () Int)
(declare-fun specOnly_73_26_17 () Int)
(declare-fun count_pre_22_67_33 () Int)
(declare-fun count_22_67_33 () Int)
(declare-fun classLocation_pre_18_54_15 () Int)
(declare-fun classLocation_18_54_15 () Int)
(declare-fun loc_pre_23_30_13 () Int)
(declare-fun loc_23_30_13 () Int)
(declare-fun LEXICALPRAGMA_pre_46_24_26 () Int)
(declare-fun FIRST_KEYWORD_pre_46_51_26 () Int)
(declare-fun punctuationCodes_pre_46_164_19 () Int)
(declare-fun INTLIT_pre_47_39_26 () Int)
(declare-fun typeDecl_pre_18_47_20 () Int)
(declare-fun typeDecl_18_47_20 () Int)
(declare-fun inst_pre_34_29_44 () Int)
(declare-fun inst_34_29_44 () Int)
(declare-fun count_pre_21_67_33 () Int)
(declare-fun count_21_67_33 () Int)
(declare-fun elements_pre_82_61_37 () Int)
(declare-fun elements_82_61_37 () Int)
(declare-fun locOpenBrace_pre_87_36_13 () Int)
(declare-fun locOpenBrace_87_36_13 () Int)
(declare-fun count_pre_75_67_33 () Int)
(declare-fun count_75_67_33 () Int)
(declare-fun FLOATLIT_pre_47_42_26 () Int)
(declare-fun STMTPRAGMA_pre_46_26_26 () Int)
(declare-fun loc_pre_91_18_13 () Int)
(declare-fun loc_91_18_13 () Int)
(declare-fun body_pre_87_34_19 () Int)
(declare-fun body_87_34_19 () Int)
(declare-fun count_pre_93_67_33 () Int)
(declare-fun count_93_67_33 () Int)
(declare-fun locId_pre_80_38_13 () Int)
(declare-fun locId_80_38_13 () Int)
(declare-fun NULL_pre_46_82_26 () Int)
(declare-fun elements_pre_22_61_39 () Int)
(declare-fun elements_22_61_39 () Int)
(declare-fun loc_pre_87_40_13 () Int)
(declare-fun loc_87_40_13 () Int)
(declare-fun loc_pre_73_45_13 () Int)
(declare-fun loc_73_45_13 () Int)
(declare-fun BOOLEANLIT_pre_47_38_26 () Int)
(declare-fun out_pre_28_83_49 () Int)
(declare-fun locId_pre_73_48_13 () Int)
(declare-fun locId_73_48_13 () Int)
(declare-fun LAST_KEYWORD_pre_46_103_26 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun this () Int)
(declare-fun target_60_44 () Int)
(declare-fun avoidSpec_60_60 () Int)
(declare-fun RES_61_43_61_43 () Int)
(declare-fun EC_61_43_61_43 () Int)
(declare-fun msg_61_18_61_18_7_69_34 () Int)
(declare-fun EC_61_18_61_18 () Int)
(declare-fun after_63_33_63_33 () Int)
(declare-fun RES_63_33_63_33 () Int)
(declare-fun EC_63_33_63_33 () Int)
(declare-fun XRES_63_33_63_33 () Int)
(declare-fun tmp0_typeDecl_65_36 () Int)
(declare-fun tmp1_arrayinit_65_34 () Int)
(declare-fun alloc_1_ () Int)
(declare-fun RES_65_14_65_14 () Int)
(declare-fun EC_65_14_65_14 () Int)
(declare-fun RES_66_54_66_54 () Int)
(declare-fun EC_66_54_66_54 () Int)
(declare-fun tmp2_classPackage_68_23 () Int)
(declare-fun loc_68_18_68_18_23_141_158 () Int)
(declare-fun XRES_63_33 () Int)
(declare-fun RES_63_33 () Int)
(declare-fun EC_63_33 () Int)
(declare-fun alloc_63_33 () Int)
(declare-fun RES_68_18_68_18 () Int)
(declare-fun EC_68_18_68_18 () Int)
(declare-fun XRES_68_18_68_18 () Int)
(declare-fun e_75_20 () Int)
(declare-fun e_79_25 () Int)
(declare-fun EC_61_42 () Int)
(declare-fun RES_77_48_77_48 () Int)
(declare-fun EC_77_48_77_48 () Int)
(declare-fun msg_77_24_77_24_14_165_36 () Int)
(declare-fun EC_77_24_77_24 () Int)
(declare-fun EC () Int)
(declare-fun RES_81_57_81_57 () Int)
(declare-fun EC_81_57_81_57 () Int)
(declare-fun msg_81_24_81_24_14_165_36 () Int)
(declare-fun EC_81_24_81_24 () Int)
(assert (let ((?v_0 (array T_java_lang_String)) (?v_1 (array T_int)) (?v_4 (arrayLength keywordStrings_46_181_30)) (?v_2 (arrayLength punctuationStrings_46_134_22)) (?v_3 (arrayLength otherStrings_46_193_30)) (?v_13 (array T_javafe_ast_TypeDecl)) (?v_6 (not (= target_60_44 null))) (?v_5 (S_select owner_5_35_28 punctuationCodes_46_164_19))) (let ((?v_8 (not ?v_6)) (?v_51 (= true_term (is RES_61_43_61_43 T_java_lang_String))) (?v_52 (= true_term (isAllocated RES_61_43_61_43 alloc))) (?v_7 (= EC_61_43_61_43 ecReturn))) (let ((?v_53 (=> ?v_7 (not (= RES_61_43_61_43 null)))) (?v_54 (= msg_61_18_61_18_7_69_34 (stringCat (stringCat S_61_22 RES_61_43_61_43) S_61_60))) (?v_55 (= EC_61_18_61_18 ecReturn)) (?v_22 (< alloc after_63_33_63_33)) (?v_12 (not (= RES_63_33_63_33 null))) (?v_23 (not (= true_term (isAllocated RES_63_33_63_33 alloc)))) (?v_24 (= true_term (is RES_63_33_63_33 T_javafe_reader_ASTClassFileParser))) (?v_25 (= true_term (isAllocated RES_63_33_63_33 after_63_33_63_33))) (?v_9 (= EC_63_33_63_33 ecThrow)) (?v_10 (typeof XRES_63_33_63_33))) (let ((?v_26 (=> ?v_9 (and (not (= XRES_63_33_63_33 null)) (= (PO_LT ?v_10 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_63_33_63_33 after_63_33_63_33))))) (?v_11 (= EC_63_33_63_33 ecReturn))) (let ((?v_27 (or ?v_11 (and ?v_9 (or (= (PO_LT ?v_10 T_java_io_IOException) true_term) (= (PO_LT ?v_10 T_java_lang_ClassFormatError) true_term))))) (?v_28 (=> ?v_11 (= (S_select owner_5_35_28 RES_63_33_63_33) null))) (?v_29 (= (typeof RES_63_33_63_33) T_javafe_reader_ASTClassFileParser)) (?v_19 (not ?v_12)) (?v_30 (= tmp0_typeDecl_65_36 (S_select typeDecl_18_47_20 RES_63_33_63_33))) (?v_31 (not (= true_term (isAllocated tmp1_arrayinit_65_34 after_63_33_63_33)))) (?v_32 (= true_term (isAllocated tmp1_arrayinit_65_34 alloc_1_))) (?v_14 (not (= tmp1_arrayinit_65_34 null))) (?v_33 (= (typeof tmp1_arrayinit_65_34) ?v_13)) (?v_17 (arrayLength tmp1_arrayinit_65_34))) (let ((?v_34 (= ?v_17 1)) (?v_35 (= (S_select (S_select elems tmp1_arrayinit_65_34) 0) tmp0_typeDecl_65_36)) (?v_36 (forall ((?o Int)) (=> (and (not (= true_term (isAllocated ?o after_63_33_63_33))) (= true_term (isAllocated ?o alloc_1_))) (= true_term (isNewArray ?o))))) (?v_15 (= true_term (nonnullelements tmp1_arrayinit_65_34 elems))) (?v_37 (= true_term (is RES_65_14_65_14 T_javafe_ast_TypeDeclVec))) (?v_38 (= true_term (isAllocated RES_65_14_65_14 alloc_1_))) (?v_16 (= EC_65_14_65_14 ecReturn)) (?v_21 (not (= RES_65_14_65_14 null)))) (let ((?v_39 (=> ?v_16 ?v_21)) (?v_40 (=> ?v_16 (= (S_select count_21_67_33 RES_65_14_65_14) ?v_17))) (?v_41 (= true_term (is RES_66_54_66_54 T_javafe_ast_ImportDeclVec))) (?v_42 (= true_term (isAllocated RES_66_54_66_54 alloc_1_))) (?v_18 (= EC_66_54_66_54 ecReturn)) (?v_20 (not (= RES_66_54_66_54 null)))) (let ((?v_43 (=> ?v_18 ?v_20)) (?v_44 (= tmp2_classPackage_68_23 (S_select classPackage_18_39_16 RES_63_33_63_33))) (?v_45 (= loc_68_18_68_18_23_141_158 (S_select classLocation_18_54_15 RES_63_33_63_33))) (?v_46 (not (= loc_68_18_68_18_23_141_158 NULL_37_60_26))) (?v_48 (= true_term true_term)) (?v_47 (= EC_68_18_68_18 ecReturn))) (let ((?v_56 (or (and ?v_6 ?v_22 ?v_12 ?v_23 ?v_24 ?v_25 ?v_26 ?v_27 ?v_28 ?v_48 ?v_9 (= XRES_63_33 XRES_63_33_63_33) (= RES_63_33 RES_63_33_63_33) (= EC_63_33 EC_63_33_63_33) (= alloc_63_33 after_63_33_63_33)) (and ?v_6 ?v_22 ?v_12 ?v_23 ?v_24 ?v_25 ?v_26 ?v_27 ?v_28 ?v_11 ?v_29 ?v_12 ?v_30 ?v_31 ?v_32 ?v_14 ?v_33 ?v_34 ?v_35 ?v_36 ?v_14 ?v_15 ?v_37 ?v_38 ?v_16 ?v_39 ?v_40 ?v_41 ?v_42 ?v_18 ?v_43 ?v_12 ?v_44 ?v_12 ?v_20 ?v_21 ?v_45 ?v_46 (= true_term (is RES_68_18_68_18 T_javafe_ast_CompilationUnit)) (= true_term (isAllocated RES_68_18_68_18 alloc_1_)) ?v_47 (=> ?v_47 (not (= RES_68_18_68_18 null))) ?v_48 (= XRES_63_33 XRES_68_18_68_18) (= RES_63_33 RES_68_18_68_18) (= EC_63_33 ecReturn) (= alloc_63_33 alloc_1_)))) (?v_57 (not (= EC_63_33 ecThrow)))) (let ((?v_58 (not ?v_57)) (?v_50 (typeof XRES_63_33))) (let ((?v_49 (or (= (PO_LT ?v_50 T_java_io_IOException) true_term) (= XRES_63_33 null))) (?v_61 (= e_75_20 XRES_63_33)) (?v_62 (not (= e_75_20 null)))) (let ((?v_59 (not ?v_49)) (?v_60 (= (PO_LT ?v_50 T_java_lang_ClassFormatError) true_term)) (?v_63 (= e_79_25 XRES_63_33)) (?v_64 (not (= e_79_25 null))) (?v_65 (= EC_61_42 ecReturn))) (not (=> (and (distinct ecReturn ecThrow) (not (= S_77_30 null)) (= (typeof S_77_30) T_java_lang_String) (not (= S_61_22 null)) (= (typeof S_61_22) T_java_lang_String) (not (= S_61_60 null)) (= (typeof S_61_60) T_java_lang_String) (not (= S_81_30 null)) (= (typeof S_81_30) T_java_lang_String)) (=> (and (= locId_pre_87_43_13 locId_87_43_13) (= locId_87_43_13 (asField locId_87_43_13 T_int)) (= TYPEMODIFIERPRAGMA_pre_46_28_26 TYPEMODIFIERPRAGMA_46_28_26) (= true_term (is TYPEMODIFIERPRAGMA_46_28_26 T_int)) (= NULL_pre_37_60_26 NULL_37_60_26) (= true_term (is NULL_37_60_26 T_int)) (= tokenType_pre_83_90_8 tokenType_83_90_8) (= tokenType_83_90_8 (asField tokenType_83_90_8 T_int)) (= CHARLIT_pre_47_41_26 CHARLIT_47_41_26) (= true_term (is CHARLIT_47_41_26 T_int)) (= elements_pre_21_61_37 elements_21_61_37) (= elements_21_61_37 (asField elements_21_61_37 ?v_13)) (< (fClosedTime elements_21_61_37) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select elements_21_61_37 ?s) null)))) (= locOpenBrace_pre_73_51_13 locOpenBrace_73_51_13) (= locOpenBrace_73_51_13 (asField locOpenBrace_73_51_13 T_int)) (= keywordStrings_pre_46_181_30 keywordStrings_46_181_30) (= true_term (is keywordStrings_46_181_30 ?v_0)) (= true_term (isAllocated keywordStrings_46_181_30 alloc)) (= locCloseBrace_pre_73_54_13 locCloseBrace_73_54_13) (= locCloseBrace_73_54_13 (asField locCloseBrace_73_54_13 T_int)) (= otherCodes_pre_46_202_27 otherCodes_46_202_27) (= true_term (is otherCodes_46_202_27 ?v_1)) (= true_term (isAllocated otherCodes_46_202_27 alloc)) (= punctuationStrings_pre_46_134_22 punctuationStrings_46_134_22) (= true_term (is punctuationStrings_46_134_22 ?v_0)) (= true_term (isAllocated punctuationStrings_46_134_22 alloc)) (= STRINGLIT_pre_47_44_26 STRINGLIT_47_44_26) (= true_term (is STRINGLIT_47_44_26 T_int)) (= elements_pre_75_61_41 elements_75_61_41) (= elements_75_61_41 (asField elements_75_61_41 (array T_javafe_ast_TypeDeclElem))) (< (fClosedTime elements_75_61_41) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select elements_75_61_41 ?s_1_) null)))) (= MODIFIERPRAGMA_pre_46_25_26 MODIFIERPRAGMA_46_25_26) (= true_term (is MODIFIERPRAGMA_46_25_26 T_int)) (= IDENT_pre_47_25_26 IDENT_47_25_26) (= true_term (is IDENT_47_25_26 T_int)) (= locOpenBrace_pre_89_22_13 locOpenBrace_89_22_13) (= locOpenBrace_89_22_13 (asField locOpenBrace_89_22_13 T_int)) (= noTokens_pre_46_212_27 noTokens_46_212_27) (= true_term (is noTokens_46_212_27 T_int)) (= otherStrings_pre_46_193_30 otherStrings_46_193_30) (= true_term (is otherStrings_46_193_30 ?v_0)) (= true_term (isAllocated otherStrings_46_193_30 alloc)) (= count_pre_82_67_33 count_82_67_33) (= count_82_67_33 (asField count_82_67_33 T_int)) (= locCloseBrace_pre_89_25_13 locCloseBrace_89_25_13) (= locCloseBrace_89_25_13 (asField locCloseBrace_89_25_13 T_int)) (= elements_pre_93_61_42 elements_93_61_42) (= elements_93_61_42 (asField elements_93_61_42 (array T_javafe_ast_LexicalPragma))) (< (fClosedTime elements_93_61_42) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select elements_93_61_42 ?s_2_) null)))) (= LONGLIT_pre_47_40_26 LONGLIT_47_40_26) (= true_term (is LONGLIT_47_40_26 T_int)) (= classPackage_pre_18_39_16 classPackage_18_39_16) (= classPackage_18_39_16 (asField classPackage_18_39_16 T_javafe_ast_Name)) (< (fClosedTime classPackage_18_39_16) alloc) (= err_pre_28_97_50 err_28_97_50) (= true_term (is err_28_97_50 T_java_io_PrintStream)) (= true_term (isAllocated err_28_97_50 alloc)) (not (= err_28_97_50 null)) (= TYPEDECLELEMPRAGMA_pre_46_27_26 TYPEDECLELEMPRAGMA_46_27_26) (= true_term (is TYPEDECLELEMPRAGMA_46_27_26 T_int)) (= DOUBLELIT_pre_47_43_26 DOUBLELIT_47_43_26) (= true_term (is DOUBLELIT_47_43_26 T_int)) (= owner_pre_5_35_28 owner_5_35_28) (= owner_5_35_28 (asField owner_5_35_28 T_java_lang_Object)) (< (fClosedTime owner_5_35_28) alloc) (= specOnly_pre_73_26_17 specOnly_73_26_17) (= specOnly_73_26_17 (asField specOnly_73_26_17 T_boolean)) (= count_pre_22_67_33 count_22_67_33) (= count_22_67_33 (asField count_22_67_33 T_int)) (= classLocation_pre_18_54_15 classLocation_18_54_15) (= classLocation_18_54_15 (asField classLocation_18_54_15 T_int)) (= loc_pre_23_30_13 loc_23_30_13) (= loc_23_30_13 (asField loc_23_30_13 T_int)) (= LEXICALPRAGMA_pre_46_24_26 LEXICALPRAGMA_46_24_26) (= true_term (is LEXICALPRAGMA_46_24_26 T_int)) (= FIRST_KEYWORD_pre_46_51_26 FIRST_KEYWORD_46_51_26) (= true_term (is FIRST_KEYWORD_46_51_26 T_int)) (= punctuationCodes_pre_46_164_19 punctuationCodes_46_164_19) (= true_term (is punctuationCodes_46_164_19 ?v_1)) (= true_term (isAllocated punctuationCodes_46_164_19 alloc)) (= INTLIT_pre_47_39_26 INTLIT_47_39_26) (= true_term (is INTLIT_47_39_26 T_int)) (= typeDecl_pre_18_47_20 typeDecl_18_47_20) (= typeDecl_18_47_20 (asField typeDecl_18_47_20 T_javafe_ast_TypeDecl)) (< (fClosedTime typeDecl_18_47_20) alloc) (= inst_pre_34_29_44 inst_34_29_44) (= true_term (is inst_34_29_44 T_javafe_ast_PrettyPrint)) (= true_term (isAllocated inst_34_29_44 alloc)) (not (= inst_34_29_44 null)) (= count_pre_21_67_33 count_21_67_33) (= count_21_67_33 (asField count_21_67_33 T_int)) (= elements_pre_82_61_37 elements_82_61_37) (= elements_82_61_37 (asField elements_82_61_37 (array T_javafe_ast_TypeName))) (< (fClosedTime elements_82_61_37) alloc) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (not (= (S_select elements_82_61_37 ?s_3_) null)))) (= locOpenBrace_pre_87_36_13 locOpenBrace_87_36_13) (= locOpenBrace_87_36_13 (asField locOpenBrace_87_36_13 T_int)) (= count_pre_75_67_33 count_75_67_33) (= count_75_67_33 (asField count_75_67_33 T_int)) (= FLOATLIT_pre_47_42_26 FLOATLIT_47_42_26) (= true_term (is FLOATLIT_47_42_26 T_int)) (= STMTPRAGMA_pre_46_26_26 STMTPRAGMA_46_26_26) (= true_term (is STMTPRAGMA_46_26_26 T_int)) (= loc_pre_91_18_13 loc_91_18_13) (= loc_91_18_13 (asField loc_91_18_13 T_int)) (= body_pre_87_34_19 body_87_34_19) (= body_87_34_19 (asField body_87_34_19 T_javafe_ast_BlockStmt)) (< (fClosedTime body_87_34_19) alloc) (= count_pre_93_67_33 count_93_67_33) (= count_93_67_33 (asField count_93_67_33 T_int)) (= locId_pre_80_38_13 locId_80_38_13) (= locId_80_38_13 (asField locId_80_38_13 T_int)) (= NULL_pre_46_82_26 NULL_46_82_26) (= true_term (is NULL_46_82_26 T_int)) (= elements_pre_22_61_39 elements_22_61_39) (= elements_22_61_39 (asField elements_22_61_39 (array T_javafe_ast_ImportDecl))) (< (fClosedTime elements_22_61_39) alloc) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (not (= (S_select elements_22_61_39 ?s_4_) null)))) (= loc_pre_87_40_13 loc_87_40_13) (= loc_87_40_13 (asField loc_87_40_13 T_int)) (= loc_pre_73_45_13 loc_73_45_13) (= loc_73_45_13 (asField loc_73_45_13 T_int)) (= BOOLEANLIT_pre_47_38_26 BOOLEANLIT_47_38_26) (= true_term (is BOOLEANLIT_47_38_26 T_int)) (= out_pre_28_83_49 out_28_83_49) (= true_term (is out_28_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_28_83_49 alloc)) (not (= out_28_83_49 null)) (= locId_pre_73_48_13 locId_73_48_13) (= locId_73_48_13 (asField locId_73_48_13 T_int)) (= LAST_KEYWORD_pre_46_103_26 LAST_KEYWORD_46_103_26) (= true_term (is LAST_KEYWORD_46_103_26 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is this T_javafe_reader_BinReader)) (= true_term (isAllocated this alloc)) (not (= this null)) (= true_term (is target_60_44 T_javafe_genericfile_GenericFile)) (= true_term (isAllocated target_60_44 alloc)) (= true_term (is avoidSpec_60_60 T_boolean)) ?v_6 (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_ast_ImportDeclVec)) (not (= ?brokenObj null))) (<= 0 (S_select count_22_67_33 ?brokenObj)))) (= noTokens_46_212_27 (+ (+ ?v_4 ?v_2) ?v_3)) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_ast_LexicalPragmaVec)) (not (= ?brokenObj_1_ null))) (forall ((?i_93_62_31 Int)) (=> (and (<= 0 ?i_93_62_31) (< ?i_93_62_31 (S_select count_93_67_33 ?brokenObj_1_))) (not (= (S_select (S_select elems (S_select elements_93_61_42 ?brokenObj_1_)) ?i_93_62_31) null)))))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_ast_TypeNameVec)) (not (= ?brokenObj_2_ null))) (<= (S_select count_82_67_33 ?brokenObj_2_) (arrayLength (S_select elements_82_61_37 ?brokenObj_2_))))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_ast_TypeDeclElemVec)) (not (= ?brokenObj_3_ null))) (= (typeof (S_select elements_75_61_41 ?brokenObj_3_)) (array T_javafe_ast_TypeDeclElem)))) (forall ((?brokenObj_4_ Int)) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_ast_ImportDecl)) (not (= ?brokenObj_4_ null))) (not (= (S_select loc_91_18_13 ?brokenObj_4_) NULL_37_60_26)))) (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_ast_GenericVarDecl)) (not (= ?brokenObj_5_ null))) (not (= (S_select locId_80_38_13 ?brokenObj_5_) NULL_37_60_26)))) (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_javafe_ast_ImportDeclVec)) (not (= ?brokenObj_6_ null))) (= (S_select owner_5_35_28 (S_select elements_22_61_39 ?brokenObj_6_)) ?brokenObj_6_))) (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_javafe_ast_TypeDeclVec)) (not (= ?brokenObj_7_ null))) (<= 0 (S_select count_21_67_33 ?brokenObj_7_)))) (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_javafe_ast_RoutineDecl)) (not (= ?brokenObj_8_ null))) (not (= (S_select loc_87_40_13 ?brokenObj_8_) NULL_37_60_26)))) (forall ((?brokenObj_9_ Int)) (=> (and (= true_term (is ?brokenObj_9_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_9_ null))) (not (= (S_select loc_73_45_13 ?brokenObj_9_) NULL_37_60_26)))) (forall ((?brokenObj_10_ Int)) (=> (and (= true_term (is ?brokenObj_10_ T_javafe_ast_LexicalPragmaVec)) (not (= ?brokenObj_10_ null))) (= (typeof (S_select elements_93_61_42 ?brokenObj_10_)) (array T_javafe_ast_LexicalPragma)))) (= (arrayLength punctuationCodes_46_164_19) ?v_2) (forall ((?brokenObj_11_ Int)) (=> (and (= true_term (is ?brokenObj_11_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_11_ null))) (not (= (S_select locId_73_48_13 ?brokenObj_11_) NULL_37_60_26)))) (forall ((?brokenObj_12_ Int)) (=> (and (= true_term (is ?brokenObj_12_ T_javafe_ast_RoutineDecl)) (not (= ?brokenObj_12_ null))) (not (= (S_select locId_87_43_13 ?brokenObj_12_) NULL_37_60_26)))) (forall ((?brokenObj_13_ Int)) (=> (and (= true_term (is ?brokenObj_13_ T_javafe_ast_TypeDeclElemVec)) (not (= ?brokenObj_13_ null))) (<= 0 (S_select count_75_67_33 ?brokenObj_13_)))) (forall ((?brokenObj_14_ Int)) (=> (and (= true_term (is ?brokenObj_14_ T_javafe_ast_ImportDeclVec)) (not (= ?brokenObj_14_ null))) (<= (S_select count_22_67_33 ?brokenObj_14_) (arrayLength (S_select elements_22_61_39 ?brokenObj_14_))))) (forall ((?brokenObj_15_ Int)) (=> (and (= true_term (is ?brokenObj_15_ T_javafe_ast_TypeDeclVec)) (not (= ?brokenObj_15_ null))) (= (S_select owner_5_35_28 (S_select elements_21_61_37 ?brokenObj_15_)) ?brokenObj_15_))) (forall ((?brokenObj_16_ Int)) (=> (and (= true_term (is ?brokenObj_16_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_16_ null))) (not (= (S_select locOpenBrace_73_51_13 ?brokenObj_16_) NULL_37_60_26)))) (forall ((?brokenObj_17_ Int)) (=> (and (= true_term (is ?brokenObj_17_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_17_ null))) (not (= (S_select locCloseBrace_73_54_13 ?brokenObj_17_) NULL_37_60_26)))) (= (arrayLength otherCodes_46_202_27) ?v_3) (= ?v_4 (- (+ 1 LAST_KEYWORD_46_103_26) FIRST_KEYWORD_46_51_26)) (= true_term (nonnullelements otherStrings_46_193_30 elems)) (forall ((?brokenObj_18_ Int)) (=> (and (= true_term (is ?brokenObj_18_ T_javafe_ast_LexicalPragmaVec)) (not (= ?brokenObj_18_ null))) (<= 0 (S_select count_93_67_33 ?brokenObj_18_)))) (forall ((?brokenObj_19_ Int)) (=> (and (= true_term (is ?brokenObj_19_ T_javafe_ast_TypeDeclElemVec)) (not (= ?brokenObj_19_ null))) (= (S_select owner_5_35_28 (S_select elements_75_61_41 ?brokenObj_19_)) ?brokenObj_19_))) (= true_term (nonnullelements punctuationStrings_46_134_22 elems)) (forall ((?brokenObj_20_ Int)) (=> (and (= true_term (is ?brokenObj_20_ T_javafe_ast_GenericBlockStmt)) (not (= ?brokenObj_20_ null))) (not (= (S_select locOpenBrace_89_22_13 ?brokenObj_20_) NULL_37_60_26)))) (forall ((?brokenObj_21_ Int)) (let ((?v_66 (S_select tokenType_83_90_8 ?brokenObj_21_))) (=> (and (= true_term (is ?brokenObj_21_ T_javafe_ast_Identifier)) (not (= ?brokenObj_21_ null))) (and (not (= ?v_66 BOOLEANLIT_47_38_26)) (not (= ?v_66 INTLIT_47_39_26)) (not (= ?v_66 LONGLIT_47_40_26)) (not (= ?v_66 FLOATLIT_47_42_26)) (not (= ?v_66 DOUBLELIT_47_43_26)) (not (= ?v_66 STRINGLIT_47_44_26)) (not (= ?v_66 CHARLIT_47_41_26)) (not (= ?v_66 LEXICALPRAGMA_46_24_26)) (not (= ?v_66 MODIFIERPRAGMA_46_25_26)) (not (= ?v_66 STMTPRAGMA_46_26_26)) (not (= ?v_66 TYPEDECLELEMPRAGMA_46_27_26)) (not (= ?v_66 TYPEMODIFIERPRAGMA_46_28_26)))))) (forall ((?brokenObj_22_ Int)) (=> (and (= true_term (is ?brokenObj_22_ T_javafe_ast_TypeDeclVec)) (not (= ?brokenObj_22_ null))) (<= (S_select count_21_67_33 ?brokenObj_22_) (arrayLength (S_select elements_21_61_37 ?brokenObj_22_))))) (forall ((?brokenObj_23_ Int)) (=> (and (= true_term (is ?brokenObj_23_ T_javafe_ast_TypeNameVec)) (not (= ?brokenObj_23_ null))) (forall ((?i_82_62_31 Int)) (=> (and (<= 0 ?i_82_62_31) (< ?i_82_62_31 (S_select count_82_67_33 ?brokenObj_23_))) (not (= (S_select (S_select elems (S_select elements_82_61_37 ?brokenObj_23_)) ?i_82_62_31) null)))))) (forall ((?i_46_149_29 Int)) (let ((?v_67 (S_select (S_select elems punctuationCodes_46_164_19) ?i_46_149_29))) (=> (and (<= 0 ?i_46_149_29) (<= ?i_46_149_29 (arrayLength punctuationCodes_46_164_19))) (and (not (= ?v_67 IDENT_47_25_26)) (not (= ?v_67 BOOLEANLIT_47_38_26)) (not (= ?v_67 INTLIT_47_39_26)) (not (= ?v_67 LONGLIT_47_40_26)) (not (= ?v_67 FLOATLIT_47_42_26)) (not (= ?v_67 DOUBLELIT_47_43_26)) (not (= ?v_67 STRINGLIT_47_44_26)) (not (= ?v_67 CHARLIT_47_41_26)) (not (= ?v_67 LEXICALPRAGMA_46_24_26)) (not (= ?v_67 MODIFIERPRAGMA_46_25_26)) (not (= ?v_67 STMTPRAGMA_46_26_26)) (not (= ?v_67 TYPEDECLELEMPRAGMA_46_27_26)) (not (= ?v_67 TYPEMODIFIERPRAGMA_46_28_26)))))) (forall ((?brokenObj_24_ Int)) (=> (and (= true_term (is ?brokenObj_24_ T_javafe_ast_LexicalPragmaVec)) (not (= ?brokenObj_24_ null))) (= (S_select owner_5_35_28 (S_select elements_93_61_42 ?brokenObj_24_)) ?brokenObj_24_))) (forall ((?brokenObj_25_ Int)) (=> (and (= true_term (is ?brokenObj_25_ T_javafe_ast_GenericBlockStmt)) (not (= ?brokenObj_25_ null))) (not (= (S_select locCloseBrace_89_25_13 ?brokenObj_25_) NULL_37_60_26)))) (forall ((?brokenObj_26_ Int)) (=> (and (= true_term (is ?brokenObj_26_ T_javafe_ast_TypeDeclElemVec)) (not (= ?brokenObj_26_ null))) (<= (S_select count_75_67_33 ?brokenObj_26_) (arrayLength (S_select elements_75_61_41 ?brokenObj_26_))))) (forall ((?brokenObj_27_ Int)) (=> (and (= true_term (is ?brokenObj_27_ T_javafe_ast_TypeNameVec)) (not (= ?brokenObj_27_ null))) (= (typeof (S_select elements_82_61_37 ?brokenObj_27_)) (array T_javafe_ast_TypeName)))) (forall ((?i_46_147_29 Int)) (=> (and (<= 0 ?i_46_147_29) (<= ?i_46_147_29 (arrayLength punctuationCodes_46_164_19))) (not (= (S_select (S_select elems punctuationCodes_46_164_19) ?i_46_147_29) NULL_46_82_26)))) (forall ((?brokenObj_28_ Int)) (=> (and (= true_term (is ?brokenObj_28_ T_javafe_reader_ASTClassFileParser)) (not (= ?brokenObj_28_ null))) (not (= (S_select typeDecl_18_47_20 ?brokenObj_28_) null)))) (forall ((?brokenObj_29_ Int)) (=> (and (= true_term (is ?brokenObj_29_ T_javafe_ast_LexicalPragmaVec)) (not (= ?brokenObj_29_ null))) (<= (S_select count_93_67_33 ?brokenObj_29_) (arrayLength (S_select elements_93_61_42 ?brokenObj_29_))))) (forall ((?brokenObj_30_ Int)) (=> (and (= true_term (is ?brokenObj_30_ T_javafe_ast_ImportDeclVec)) (not (= ?brokenObj_30_ null))) (forall ((?i_22_62_31 Int)) (=> (and (<= 0 ?i_22_62_31) (< ?i_22_62_31 (S_select count_22_67_33 ?brokenObj_30_))) (not (= (S_select (S_select elems (S_select elements_22_61_39 ?brokenObj_30_)) ?i_22_62_31) null)))))) (= true_term (nonnullelements keywordStrings_46_181_30 elems)) (= true_term (is ?v_5 T_javafe_parser_TagConstants)) (not (= ?v_5 null)) (forall ((?brokenObj_31_ Int)) (=> (and (= true_term (is ?brokenObj_31_ T_javafe_ast_TypeNameVec)) (not (= ?brokenObj_31_ null))) (<= 0 (S_select count_82_67_33 ?brokenObj_31_)))) (forall ((?brokenObj_32_ Int)) (=> (and (= true_term (is ?brokenObj_32_ T_javafe_reader_ASTClassFileParser)) (not (= ?brokenObj_32_ null))) (not (= (S_select classLocation_18_54_15 ?brokenObj_32_) NULL_37_60_26)))) (forall ((?brokenObj_33_ Int)) (=> (and (= true_term (is ?brokenObj_33_ T_javafe_ast_CompilationUnit)) (not (= ?brokenObj_33_ null))) (not (= (S_select loc_23_30_13 ?brokenObj_33_) NULL_37_60_26)))) (forall ((?brokenObj_34_ Int)) (=> (and (= true_term (is ?brokenObj_34_ T_javafe_ast_TypeDeclVec)) (not (= ?brokenObj_34_ null))) (forall ((?i_21_62_31 Int)) (=> (and (<= 0 ?i_21_62_31) (< ?i_21_62_31 (S_select count_21_67_33 ?brokenObj_34_))) (not (= (S_select (S_select elems (S_select elements_21_61_37 ?brokenObj_34_)) ?i_21_62_31) null)))))) (forall ((?brokenObj_35_ Int)) (=> (and (= true_term (is ?brokenObj_35_ T_javafe_ast_ImportDeclVec)) (not (= ?brokenObj_35_ null))) (= (typeof (S_select elements_22_61_39 ?brokenObj_35_)) (array T_javafe_ast_ImportDecl)))) (forall ((?brokenObj_36_ Int)) (=> (and (= true_term (is ?brokenObj_36_ T_javafe_ast_RoutineDecl)) (not (= ?brokenObj_36_ null)) (not (= (S_select body_87_34_19 ?brokenObj_36_) null))) (not (= (S_select locOpenBrace_87_36_13 ?brokenObj_36_) NULL_37_60_26)))) (forall ((?brokenObj_37_ Int)) (=> (and (= true_term (is ?brokenObj_37_ T_javafe_ast_TypeNameVec)) (not (= ?brokenObj_37_ null))) (= (S_select owner_5_35_28 (S_select elements_82_61_37 ?brokenObj_37_)) ?brokenObj_37_))) (forall ((?brokenObj_38_ Int)) (=> (and (= true_term (is ?brokenObj_38_ T_javafe_ast_TypeDeclElemVec)) (not (= ?brokenObj_38_ null))) (forall ((?i_75_62_31 Int)) (=> (and (<= 0 ?i_75_62_31) (< ?i_75_62_31 (S_select count_75_67_33 ?brokenObj_38_))) (not (= (S_select (S_select elems (S_select elements_75_61_41 ?brokenObj_38_)) ?i_75_62_31) null)))))) (forall ((?brokenObj_39_ Int)) (=> (and (= true_term (is ?brokenObj_39_ T_javafe_reader_ASTClassFileParser)) (not (= ?brokenObj_39_ null))) (= true_term (S_select specOnly_73_26_17 (S_select typeDecl_18_47_20 ?brokenObj_39_))))) (forall ((?brokenObj_40_ Int)) (=> (and (= true_term (is ?brokenObj_40_ T_javafe_ast_TypeDeclVec)) (not (= ?brokenObj_40_ null))) (= (typeof (S_select elements_21_61_37 ?brokenObj_40_)) ?v_13))) (or ?v_8 (and ?v_6 ?v_51 ?v_52 ?v_7 ?v_53 ?v_54 ?v_55 (or ?v_8 (and ?v_6 ?v_22 ?v_12 ?v_23 ?v_24 ?v_25 ?v_26 ?v_27 ?v_28 ?v_11 ?v_29 (or ?v_19 (and ?v_12 ?v_30 ?v_31 ?v_32 ?v_14 ?v_33 ?v_34 ?v_35 ?v_36 (or (not ?v_14) (and ?v_14 (not ?v_15)) (and ?v_14 ?v_15 ?v_37 ?v_38 ?v_16 ?v_39 ?v_40 ?v_41 ?v_42 ?v_18 ?v_43 (or ?v_19 (and ?v_12 ?v_44 (or ?v_19 (and ?v_12 (or (not ?v_20) (and ?v_20 (or (not ?v_21) (and ?v_21 ?v_45 (not ?v_46)))))))))))))) (and ?v_56 ?v_58 (or (and ?v_49 ?v_61 (not ?v_62)) (and ?v_59 ?v_60 ?v_63 (not ?v_64)))))) (and ?v_6 ?v_51 ?v_52 ?v_7 ?v_53 ?v_54 ?v_55 (or (and ?v_56 (or ?v_57 (and ?v_58 ?v_59 (not ?v_60))) (= EC_61_42 EC_63_33)) (and ?v_56 ?v_58 (or (and ?v_49 ?v_61 ?v_62 (= true_term (is RES_77_48_77_48 T_java_lang_String)) (= true_term (isAllocated RES_77_48_77_48 alloc_63_33)) (= EC_77_48_77_48 ecReturn) (= msg_77_24_77_24_14_165_36 (stringCat S_77_30 RES_77_48_77_48)) (= EC_77_24_77_24 ecReturn) (= EC EC_77_24_77_24)) (and ?v_59 ?v_60 ?v_63 ?v_64 (= true_term (is RES_81_57_81_57 T_java_lang_String)) (= true_term (isAllocated RES_81_57_81_57 alloc_63_33)) (= EC_81_57_81_57 ecReturn) (= msg_81_24_81_24_14_165_36 (stringCat S_81_30 RES_81_57_81_57)) (= EC_81_24_81_24 ecReturn) (= EC EC_81_24_81_24))) ?v_48 ?v_65)) (not ?v_65)))))))))))))))))))))
(check-sat)
(exit)
