(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_util_Vector () Int)
(declare-fun T_java_util_AbstractList () Int)
(declare-fun T_java_util_List () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_javafe_ast_Name () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_javafe_ast_ArrayType () Int)
(declare-fun T_javafe_ast_Type () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_javafe_reader_DescriptorParser () Int)
(declare-fun T_java_util_Enumeration () Int)
(declare-fun T_javafe_ast_IdentifierVec () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_java_util_AbstractCollection () Int)
(declare-fun T_javafe_ast_TypeName () Int)
(declare-fun T_javafe_ast_PrimitiveType () Int)
(declare-fun T_java_util_Collection () Int)
(declare-fun T_java_lang_Error () Int)
(declare-fun T_java_util_StringTokenizer () Int)
(declare-fun T_java_lang_ClassFormatError () Int)
(declare-fun T_java_lang_LinkageError () Int)
(declare-fun T_javafe_util_Assert () Int)
(declare-fun T_javafe_ast_Identifier () Int)
(declare-fun T_javafe_reader_StringScanner () Int)
(declare-fun T_javafe_reader_MethodSignature () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun otherStrings_62_193_30 () Int)
(declare-fun LONGTYPE_27_29_26 () Int)
(declare-fun TYPEDECLELEMPRAGMA_62_27_26 () Int)
(declare-fun noTokens_62_212_27 () Int)
(declare-fun LONGLIT_27_40_26 () Int)
(declare-fun DOUBLETYPE_27_32_26 () Int)
(declare-fun DOUBLELIT_27_43_26 () Int)
(declare-fun FIRST_KEYWORD_62_51_26 () Int)
(declare-fun BYTETYPE_27_35_26 () Int)
(declare-fun INTTYPE_27_28_26 () Int)
(declare-fun STMTPRAGMA_62_26_26 () Int)
(declare-fun INTLIT_27_39_26 () Int)
(declare-fun FLOATTYPE_27_31_26 () Int)
(declare-fun LAST_KEYWORD_62_103_26 () Int)
(declare-fun punctuationCodes_62_164_19 () Int)
(declare-fun FLOATLIT_27_42_26 () Int)
(declare-fun NULLTYPE_27_34_26 () Int)
(declare-fun punctuationStrings_62_134_22 () Int)
(declare-fun NULL_62_82_26 () Int)
(declare-fun BOOLEANTYPE_27_27_26 () Int)
(declare-fun MODIFIERPRAGMA_62_25_26 () Int)
(declare-fun BOOLEANLIT_27_38_26 () Int)
(declare-fun CHARTYPE_27_30_26 () Int)
(declare-fun TYPEMODIFIERPRAGMA_62_28_26 () Int)
(declare-fun CHARLIT_27_41_26 () Int)
(declare-fun NULL_15_60_26 () Int)
(declare-fun keywordStrings_62_181_30 () Int)
(declare-fun VOIDTYPE_27_33_26 () Int)
(declare-fun STRINGLIT_27_44_26 () Int)
(declare-fun IDENT_27_25_26 () Int)
(declare-fun LEXICALPRAGMA_62_24_26 () Int)
(declare-fun SHORTTYPE_27_36_26 () Int)
(declare-fun otherCodes_62_202_27 () Int)
(assert (let ((?v_0 (array T_java_lang_String)) (?v_1 (array T_int))) (and (= (PO_LT T_java_util_Vector T_java_util_AbstractList) true_term) (= T_java_util_Vector (asChild T_java_util_Vector T_java_util_AbstractList)) (= (PO_LT T_java_util_Vector T_java_util_List) true_term) (= (PO_LT T_java_util_Vector T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Vector T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_Name T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Name (asChild T_javafe_ast_Name T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_javafe_ast_ArrayType T_javafe_ast_Type) true_term) (= T_javafe_ast_ArrayType (asChild T_javafe_ast_ArrayType T_javafe_ast_Type)) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_javafe_reader_DescriptorParser T_java_lang_Object) true_term) (= T_javafe_reader_DescriptorParser (asChild T_javafe_reader_DescriptorParser T_java_lang_Object)) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Enumeration T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_IdentifierVec T_java_lang_Object) true_term) (= T_javafe_ast_IdentifierVec (asChild T_javafe_ast_IdentifierVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_Type T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Type (asChild T_javafe_ast_Type T_javafe_ast_ASTNode)) (= (PO_LT T_java_util_AbstractList T_java_util_AbstractCollection) true_term) (= T_java_util_AbstractList (asChild T_java_util_AbstractList T_java_util_AbstractCollection)) (= (PO_LT T_java_util_AbstractList T_java_util_List) true_term) (= (PO_LT T_javafe_ast_TypeName T_javafe_ast_Type) true_term) (= T_javafe_ast_TypeName (asChild T_javafe_ast_TypeName T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_PrimitiveType T_javafe_ast_Type) true_term) (= T_javafe_ast_PrimitiveType (asChild T_javafe_ast_PrimitiveType T_javafe_ast_Type)) (= (PO_LT T_java_util_Collection T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Error T_java_lang_Throwable) true_term) (= T_java_lang_Error (asChild T_java_lang_Error T_java_lang_Throwable)) (= (PO_LT T_java_util_StringTokenizer T_java_lang_Object) true_term) (= T_java_util_StringTokenizer (asChild T_java_util_StringTokenizer T_java_lang_Object)) (= (PO_LT T_java_util_StringTokenizer T_java_util_Enumeration) true_term) (= (PO_LT T_java_util_List T_java_lang_Object) true_term) (= (PO_LT T_java_util_List T_java_util_Collection) true_term) (= (PO_LT T_java_lang_ClassFormatError T_java_lang_LinkageError) true_term) (= T_java_lang_ClassFormatError (asChild T_java_lang_ClassFormatError T_java_lang_LinkageError)) (= (PO_LT T_javafe_util_Assert T_java_lang_Object) true_term) (= T_javafe_util_Assert (asChild T_javafe_util_Assert T_java_lang_Object)) (= (PO_LT T_javafe_ast_Identifier T_java_lang_Object) true_term) (= T_javafe_ast_Identifier (asChild T_javafe_ast_Identifier T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_ast_Identifier) true_term) (= ?t T_javafe_ast_Identifier))) (= (PO_LT T_java_util_AbstractCollection T_java_lang_Object) true_term) (= T_java_util_AbstractCollection (asChild T_java_util_AbstractCollection T_java_lang_Object)) (= (PO_LT T_java_util_AbstractCollection T_java_util_Collection) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_reader_StringScanner T_java_lang_Object) true_term) (= T_javafe_reader_StringScanner (asChild T_javafe_reader_StringScanner T_java_lang_Object)) (= (PO_LT T_javafe_reader_MethodSignature T_java_lang_Object) true_term) (= T_javafe_reader_MethodSignature (asChild T_javafe_reader_MethodSignature T_java_lang_Object)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_LinkageError T_java_lang_Error) true_term) (= T_java_lang_LinkageError (asChild T_java_lang_LinkageError T_java_lang_Error)) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_util_Vector (+ DIST_ZERO_1 10)) (= T_javafe_ast_Name (+ DIST_ZERO_1 11)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 12)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 13)) (= T_javafe_util_Location (+ DIST_ZERO_1 14)) (= T_javafe_ast_ArrayType (+ DIST_ZERO_1 15)) (= T_java_lang_Throwable (+ DIST_ZERO_1 16)) (= T_java_lang_Object (+ DIST_ZERO_1 17)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 18)) (= T_javafe_reader_DescriptorParser (+ DIST_ZERO_1 19)) (= T_java_io_Serializable (+ DIST_ZERO_1 20)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 21)) (= T_java_util_Enumeration (+ DIST_ZERO_1 22)) (= T_javafe_ast_IdentifierVec (+ DIST_ZERO_1 23)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 24)) (= T_java_lang_String (+ DIST_ZERO_1 25)) (= T_javafe_ast_Type (+ DIST_ZERO_1 26)) (= T_java_util_AbstractList (+ DIST_ZERO_1 27)) (= T_javafe_ast_TypeName (+ DIST_ZERO_1 28)) (= T_javafe_ast_PrimitiveType (+ DIST_ZERO_1 29)) (= T_java_util_Collection (+ DIST_ZERO_1 30)) (= T_java_lang_Error (+ DIST_ZERO_1 31)) (= T_java_util_StringTokenizer (+ DIST_ZERO_1 32)) (= T_java_util_List (+ DIST_ZERO_1 33)) (= T_java_lang_ClassFormatError (+ DIST_ZERO_1 34)) (= T_javafe_util_Assert (+ DIST_ZERO_1 35)) (= T_javafe_ast_Identifier (+ DIST_ZERO_1 36)) (= T_java_util_AbstractCollection (+ DIST_ZERO_1 37)) (= T_java_lang_Comparable (+ DIST_ZERO_1 38)) (= T_javafe_reader_StringScanner (+ DIST_ZERO_1 39)) (= T_javafe_reader_MethodSignature (+ DIST_ZERO_1 40)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 41)) (= T_java_lang_LinkageError (+ DIST_ZERO_1 42))) (= true_term (is otherStrings_62_193_30 ?v_0)) (not (= otherStrings_62_193_30 null)) (= (typeof otherStrings_62_193_30) ?v_0) (= (arrayLength otherStrings_62_193_30) 15) (= true_term (is LONGTYPE_27_29_26 T_int)) (= LONGTYPE_27_29_26 96) (= true_term (is TYPEDECLELEMPRAGMA_62_27_26 T_int)) (= TYPEDECLELEMPRAGMA_62_27_26 117) (= true_term (is noTokens_62_212_27 T_int)) (= true_term (is LONGLIT_27_40_26 T_int)) (= LONGLIT_27_40_26 106) (= true_term (is DOUBLETYPE_27_32_26 T_int)) (= DOUBLETYPE_27_32_26 99) (= true_term (is DOUBLELIT_27_43_26 T_int)) (= DOUBLELIT_27_43_26 109) (= true_term (is FIRST_KEYWORD_62_51_26 T_int)) (= FIRST_KEYWORD_62_51_26 133) (= true_term (is BYTETYPE_27_35_26 T_int)) (= BYTETYPE_27_35_26 102) (= true_term (is INTTYPE_27_28_26 T_int)) (= INTTYPE_27_28_26 95) (= true_term (is STMTPRAGMA_62_26_26 T_int)) (= STMTPRAGMA_62_26_26 116) (= true_term (is INTLIT_27_39_26 T_int)) (= INTLIT_27_39_26 105) (= true_term (is FLOATTYPE_27_31_26 T_int)) (= FLOATTYPE_27_31_26 98) (= true_term (is LAST_KEYWORD_62_103_26 T_int)) (= LAST_KEYWORD_62_103_26 183) (= true_term (is punctuationCodes_62_164_19 ?v_1)) (not (= punctuationCodes_62_164_19 null)) (= (typeof punctuationCodes_62_164_19) ?v_1) (= (arrayLength punctuationCodes_62_164_19) 48) (= true_term (is FLOATLIT_27_42_26 T_int)) (= FLOATLIT_27_42_26 108) (= true_term (is NULLTYPE_27_34_26 T_int)) (= NULLTYPE_27_34_26 101) (= true_term (is punctuationStrings_62_134_22 ?v_0)) (not (= punctuationStrings_62_134_22 null)) (= (typeof punctuationStrings_62_134_22) ?v_0) (= (arrayLength punctuationStrings_62_134_22) 48) (= true_term (is NULL_62_82_26 T_int)) (= NULL_62_82_26 163) (= true_term (is BOOLEANTYPE_27_27_26 T_int)) (= BOOLEANTYPE_27_27_26 94) (= true_term (is MODIFIERPRAGMA_62_25_26 T_int)) (= MODIFIERPRAGMA_62_25_26 115) (= true_term (is BOOLEANLIT_27_38_26 T_int)) (= BOOLEANLIT_27_38_26 104) (= true_term (is CHARTYPE_27_30_26 T_int)) (= CHARTYPE_27_30_26 97) (= true_term (is TYPEMODIFIERPRAGMA_62_28_26 T_int)) (= TYPEMODIFIERPRAGMA_62_28_26 118) (= true_term (is CHARLIT_27_41_26 T_int)) (= CHARLIT_27_41_26 107) (= true_term (is NULL_15_60_26 T_int)) (= NULL_15_60_26 0) (= true_term (is keywordStrings_62_181_30 ?v_0)) (not (= keywordStrings_62_181_30 null)) (= (typeof keywordStrings_62_181_30) ?v_0) (= (arrayLength keywordStrings_62_181_30) 51) (= true_term (is VOIDTYPE_27_33_26 T_int)) (= VOIDTYPE_27_33_26 100) (= true_term (is STRINGLIT_27_44_26 T_int)) (= STRINGLIT_27_44_26 110) (= true_term (is IDENT_27_25_26 T_int)) (= IDENT_27_25_26 93) (= true_term (is LEXICALPRAGMA_62_24_26 T_int)) (= LEXICALPRAGMA_62_24_26 114) (= true_term (is SHORTTYPE_27_36_26 T_int)) (= SHORTTYPE_27_36_26 103) (= true_term (is otherCodes_62_202_27 ?v_1)) (not (= otherCodes_62_202_27 null)) (= (typeof otherCodes_62_202_27) ?v_1) (= (arrayLength otherCodes_62_202_27) 15))))
(declare-fun L_173_4 () Int)
(declare-fun ecReturn () Int)
(declare-fun ecThrow () Int)
(declare-fun otherStrings_pre_62_193_30 () Int)
(declare-fun LONGTYPE_pre_27_29_26 () Int)
(declare-fun TYPEDECLELEMPRAGMA_pre_62_27_26 () Int)
(declare-fun noTokens_pre_62_212_27 () Int)
(declare-fun index_pre_298_6 () Int)
(declare-fun index_298_6 () Int)
(declare-fun LONGLIT_pre_27_40_26 () Int)
(declare-fun DOUBLETYPE_pre_27_32_26 () Int)
(declare-fun DOUBLELIT_pre_27_43_26 () Int)
(declare-fun count_pre_16_67_33 () Int)
(declare-fun count_16_67_33 () Int)
(declare-fun FIRST_KEYWORD_pre_62_51_26 () Int)
(declare-fun BYTETYPE_pre_27_35_26 () Int)
(declare-fun classLocation_pre_148_13 () Int)
(declare-fun classLocation_148_13 () Int)
(declare-fun INTTYPE_pre_27_28_26 () Int)
(declare-fun STMTPRAGMA_pre_62_26_26 () Int)
(declare-fun INTLIT_pre_27_39_26 () Int)
(declare-fun FLOATTYPE_pre_27_31_26 () Int)
(declare-fun s_pre_293_9 () Int)
(declare-fun s_293_9 () Int)
(declare-fun count_pre_21_99_33 () Int)
(declare-fun count_21_99_33 () Int)
(declare-fun LAST_KEYWORD_pre_62_103_26 () Int)
(declare-fun punctuationCodes_pre_62_164_19 () Int)
(declare-fun tag_pre_30_30_13 () Int)
(declare-fun tag_30_30_13 () Int)
(declare-fun FLOATLIT_pre_27_42_26 () Int)
(declare-fun loc_pre_30_35_13 () Int)
(declare-fun loc_30_35_13 () Int)
(declare-fun NULLTYPE_pre_27_34_26 () Int)
(declare-fun locOpenBracket_pre_31_21_13 () Int)
(declare-fun locOpenBracket_31_21_13 () Int)
(declare-fun punctuationStrings_pre_62_134_22 () Int)
(declare-fun NULL_pre_62_82_26 () Int)
(declare-fun BOOLEANTYPE_pre_27_27_26 () Int)
(declare-fun elements_pre_16_61_39 () Int)
(declare-fun elements_16_61_39 () Int)
(declare-fun MODIFIERPRAGMA_pre_62_25_26 () Int)
(declare-fun BOOLEANLIT_pre_27_38_26 () Int)
(declare-fun return__pre_26_117_15 () Int)
(declare-fun return__26_117_15 () Int)
(declare-fun syntax_pre_20_28_29 () Int)
(declare-fun syntax_20_28_29 () Int)
(declare-fun CHARTYPE_pre_27_30_26 () Int)
(declare-fun TYPEMODIFIERPRAGMA_pre_62_28_26 () Int)
(declare-fun tokenType_pre_14_90_8 () Int)
(declare-fun tokenType_14_90_8 () Int)
(declare-fun owner_pre_4_35_28 () Int)
(declare-fun owner_4_35_28 () Int)
(declare-fun CHARLIT_pre_27_41_26 () Int)
(declare-fun NULL_pre_15_60_26 () Int)
(declare-fun keywordStrings_pre_62_181_30 () Int)
(declare-fun value_pre_21_91_31 () Int)
(declare-fun value_21_91_31 () Int)
(declare-fun VOIDTYPE_pre_27_33_26 () Int)
(declare-fun moreElements_pre_7_58_29 () Int)
(declare-fun moreElements_7_58_29 () Int)
(declare-fun STRINGLIT_pre_27_44_26 () Int)
(declare-fun IDENT_pre_27_25_26 () Int)
(declare-fun LEXICALPRAGMA_pre_62_24_26 () Int)
(declare-fun SHORTTYPE_pre_27_36_26 () Int)
(declare-fun elemType_pre_31_18_28 () Int)
(declare-fun elemType_31_18_28 () Int)
(declare-fun otherCodes_pre_62_202_27 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun scanner_161_46 () Int)
(declare-fun s_167_4 () Int)
(declare-fun index_168_4 () Int)
(declare-fun RES_170_17_170_17 () Int)
(declare-fun EC_170_17_170_17 () Int)
(declare-fun after_171_12_171_12 () Int)
(declare-fun RES_171_12_171_12 () Int)
(declare-fun EC_171_12_171_12 () Int)
(declare-fun RES_173_14_173_14 () Int)
(declare-fun EC_173_14_173_14 () Int)
(declare-fun tmp4_old_index_176_6 () Int)
(declare-fun index_176_14 () Int)
(declare-fun tmp7_old_index_180_6 () Int)
(declare-fun index_180_14 () Int)
(declare-fun tmp10_old_index_184_6 () Int)
(declare-fun index_184_14 () Int)
(declare-fun tmp13_old_index_188_6 () Int)
(declare-fun index_188_14 () Int)
(declare-fun tmp16_old_index_192_6 () Int)
(declare-fun index_192_14 () Int)
(declare-fun tmp19_old_index_196_6 () Int)
(declare-fun index_196_14 () Int)
(declare-fun start_203_1 () Int)
(declare-fun RES_203_31_203_31 () Int)
(declare-fun EC_203_31_203_31 () Int)
(declare-fun after_206_9_206_9 () Int)
(declare-fun RES_206_9_206_9 () Int)
(declare-fun EC_206_9_206_9 () Int)
(declare-fun index_208_9 () Int)
(declare-fun RES_210_21_210_21 () Int)
(declare-fun EC_210_21_210_21 () Int)
(declare-fun tmp26_old_index_214_6 () Int)
(declare-fun index_214_14 () Int)
(declare-fun tmp29_old_index_218_6 () Int)
(declare-fun index_218_14 () Int)
(declare-fun tmp32_old_index_224_6 () Int)
(declare-fun index_224_14 () Int)
(declare-fun RES_226_28_226_28 () Int)
(declare-fun EC_226_28_226_28 () Int)
(declare-fun XRES_226_28_226_28 () Int)
(declare-fun after_229_12_229_12 () Int)
(declare-fun RES_229_12_229_12 () Int)
(declare-fun EC_229_12_229_12 () Int)
(declare-fun RES_177_27_177_27 () Int)
(declare-fun EC_177_27_177_27 () Int)
(declare-fun index_298_6_1_ () Int)
(declare-fun XRES () Int)
(declare-fun XRES_177_27_177_27 () Int)
(declare-fun RES () Int)
(declare-fun RES_181_27_181_27 () Int)
(declare-fun EC_181_27_181_27 () Int)
(declare-fun XRES_181_27_181_27 () Int)
(declare-fun index_298_6_2_ () Int)
(declare-fun XRES_1_ () Int)
(declare-fun RES_1_ () Int)
(declare-fun RES_185_27_185_27 () Int)
(declare-fun EC_185_27_185_27 () Int)
(declare-fun XRES_185_27_185_27 () Int)
(declare-fun index_298_6_3_ () Int)
(declare-fun XRES_2_ () Int)
(declare-fun RES_2_ () Int)
(declare-fun RES_189_27_189_27 () Int)
(declare-fun EC_189_27_189_27 () Int)
(declare-fun XRES_189_27_189_27 () Int)
(declare-fun index_298_6_4_ () Int)
(declare-fun XRES_3_ () Int)
(declare-fun RES_3_ () Int)
(declare-fun RES_193_27_193_27 () Int)
(declare-fun EC_193_27_193_27 () Int)
(declare-fun XRES_193_27_193_27 () Int)
(declare-fun index_298_6_5_ () Int)
(declare-fun XRES_4_ () Int)
(declare-fun RES_4_ () Int)
(declare-fun RES_197_27_197_27 () Int)
(declare-fun EC_197_27_197_27 () Int)
(declare-fun XRES_197_27_197_27 () Int)
(declare-fun EC () Int)
(declare-fun alloc_1_ () Int)
(declare-fun index_298_6_6_ () Int)
(declare-fun XRES_5_ () Int)
(declare-fun RES_5_ () Int)
(declare-fun EC_203_1 () Int)
(declare-fun alloc_203_1 () Int)
(declare-fun index_203_1 () Int)
(declare-fun XRES_203_1 () Int)
(declare-fun RES_203_1 () Int)
(declare-fun RES_210_8_210_8 () Int)
(declare-fun EC_210_8_210_8 () Int)
(declare-fun XRES_210_8_210_8 () Int)
(declare-fun EC_1_ () Int)
(declare-fun alloc_2_ () Int)
(declare-fun index_298_6_7_ () Int)
(declare-fun XRES_6_ () Int)
(declare-fun RES_6_ () Int)
(declare-fun RES_215_27_215_27 () Int)
(declare-fun EC_215_27_215_27 () Int)
(declare-fun XRES_215_27_215_27 () Int)
(declare-fun EC_2_ () Int)
(declare-fun alloc_3_ () Int)
(declare-fun index_298_6_8_ () Int)
(declare-fun XRES_7_ () Int)
(declare-fun RES_7_ () Int)
(declare-fun RES_219_27_219_27 () Int)
(declare-fun EC_219_27_219_27 () Int)
(declare-fun XRES_219_27_219_27 () Int)
(declare-fun EC_3_ () Int)
(declare-fun alloc_4_ () Int)
(declare-fun XRES_8_ () Int)
(declare-fun RES_8_ () Int)
(declare-fun RES_226_23_226_23 () Int)
(declare-fun EC_226_23_226_23 () Int)
(declare-fun XRES_226_23_226_23 () Int)
(declare-fun EC_4_ () Int)
(declare-fun XRES_9_ () Int)
(declare-fun RES_9_ () Int)
(declare-fun EC_167_26 () Int)
(declare-fun XRES_167_26 () Int)
(declare-fun RES_167_26 () Int)
(declare-fun EC_167_26_1_ () Int)
(declare-fun XRES_167_26_1_ () Int)
(declare-fun RES_167_26_1_ () Int)
(assert (let ((?v_0 (array T_java_lang_String)) (?v_1 (array T_int)) (?v_2 (not (= scanner_161_46 null))) (?v_11 (not (= classLocation_148_13 NULL_15_60_26)))) (let ((?v_3 (not ?v_2)) (?v_32 (= s_167_4 (S_select s_293_9 scanner_161_46))) (?v_10 (S_select index_298_6 scanner_161_46))) (let ((?v_33 (= index_168_4 ?v_10)) (?v_4 (not (= s_167_4 null)))) (let ((?v_9 (not ?v_4)) (?v_34 (= true_term (is RES_170_17_170_17 T_int))) (?v_5 (= EC_170_17_170_17 ecReturn))) (let ((?v_35 (=> ?v_5 (>= RES_170_17_170_17 0))) (?v_36 (=> ?v_5 (= RES_170_17_170_17 (S_select count_21_99_33 s_167_4)))) (?v_7 (>= index_168_4 RES_170_17_170_17)) (?v_8 (= true_term true_term)) (?v_119 (< alloc after_171_12_171_12)) (?v_6 (not (= RES_171_12_171_12 null))) (?v_120 (not (= true_term (isAllocated RES_171_12_171_12 alloc)))) (?v_121 (= true_term (is RES_171_12_171_12 T_java_lang_ClassFormatError))) (?v_122 (= true_term (isAllocated RES_171_12_171_12 after_171_12_171_12))) (?v_123 (= EC_171_12_171_12 ecReturn)) (?v_124 (= (S_select owner_4_35_28 RES_171_12_171_12) null)) (?v_125 (= (typeof RES_171_12_171_12) T_java_lang_ClassFormatError))) (let ((?v_37 (not ?v_7)) (?v_38 (= true_term (is RES_173_14_173_14 T_char))) (?v_39 (= EC_173_14_173_14 ecReturn)) (?v_21 (= RES_173_14_173_14 66)) (?v_40 (= tmp4_old_index_176_6 ?v_10)) (?v_41 (= index_176_14 (S_store index_298_6 scanner_161_46 (+ tmp4_old_index_176_6 1)))) (?v_12 (not ?v_11)) (?v_22 (= RES_173_14_173_14 67)) (?v_43 (= tmp7_old_index_180_6 ?v_10)) (?v_44 (= index_180_14 (S_store index_298_6 scanner_161_46 (+ tmp7_old_index_180_6 1)))) (?v_23 (= RES_173_14_173_14 68)) (?v_46 (= tmp10_old_index_184_6 ?v_10)) (?v_47 (= index_184_14 (S_store index_298_6 scanner_161_46 (+ tmp10_old_index_184_6 1)))) (?v_24 (= RES_173_14_173_14 70)) (?v_49 (= tmp13_old_index_188_6 ?v_10)) (?v_50 (= index_188_14 (S_store index_298_6 scanner_161_46 (+ tmp13_old_index_188_6 1)))) (?v_25 (= RES_173_14_173_14 73)) (?v_52 (= tmp16_old_index_192_6 ?v_10)) (?v_53 (= index_192_14 (S_store index_298_6 scanner_161_46 (+ tmp16_old_index_192_6 1)))) (?v_26 (= RES_173_14_173_14 74)) (?v_55 (= tmp19_old_index_196_6 ?v_10)) (?v_56 (= index_196_14 (S_store index_298_6 scanner_161_46 (+ tmp19_old_index_196_6 1)))) (?v_27 (= RES_173_14_173_14 76)) (?v_58 (= start_203_1 (+ index_168_4 1))) (?v_59 (= true_term (is RES_203_31_203_31 T_int))) (?v_60 (= EC_203_31_203_31 ecReturn)) (?v_14 (< RES_203_31_203_31 0)) (?v_61 (< alloc after_206_9_206_9)) (?v_13 (not (= RES_206_9_206_9 null))) (?v_62 (not (= true_term (isAllocated RES_206_9_206_9 alloc)))) (?v_63 (= true_term (is RES_206_9_206_9 T_java_lang_ClassFormatError))) (?v_64 (= true_term (isAllocated RES_206_9_206_9 after_206_9_206_9))) (?v_65 (= EC_206_9_206_9 ecReturn)) (?v_66 (= (S_select owner_4_35_28 RES_206_9_206_9) null)) (?v_67 (= (typeof RES_206_9_206_9) T_java_lang_ClassFormatError))) (let ((?v_68 (not ?v_14)) (?v_69 (= index_208_9 (S_store index_298_6 scanner_161_46 (+ RES_203_31_203_31 1)))) (?v_70 (= true_term (is RES_210_21_210_21 T_java_lang_String))) (?v_71 (= true_term (isAllocated RES_210_21_210_21 alloc))) (?v_15 (= EC_210_21_210_21 ecReturn)) (?v_16 (not (= RES_210_21_210_21 null)))) (let ((?v_72 (=> ?v_15 ?v_16)) (?v_28 (= RES_173_14_173_14 83)) (?v_85 (= tmp26_old_index_214_6 ?v_10)) (?v_86 (= index_214_14 (S_store index_298_6 scanner_161_46 (+ tmp26_old_index_214_6 1)))) (?v_29 (= RES_173_14_173_14 90)) (?v_88 (= tmp29_old_index_218_6 ?v_10)) (?v_89 (= index_218_14 (S_store index_298_6 scanner_161_46 (+ tmp29_old_index_218_6 1)))) (?v_30 (= RES_173_14_173_14 91)) (?v_91 (= tmp32_old_index_224_6 ?v_10)) (?v_92 (= index_224_14 (S_store index_298_6 scanner_161_46 (+ tmp32_old_index_224_6 1)))) (?v_93 (= true_term (is RES_226_28_226_28 T_javafe_ast_Type))) (?v_94 (= true_term (isAllocated RES_226_28_226_28 alloc))) (?v_17 (= EC_226_28_226_28 ecThrow)) (?v_18 (typeof XRES_226_28_226_28))) (let ((?v_95 (=> ?v_17 (and (not (= XRES_226_28_226_28 null)) (= (PO_LT ?v_18 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_226_28_226_28 alloc))))) (?v_19 (= EC_226_28_226_28 ecReturn))) (let ((?v_96 (or ?v_19 (and ?v_17 (= (PO_LT ?v_18 T_java_lang_ClassFormatError) true_term)))) (?v_20 (not (= RES_226_28_226_28 null)))) (let ((?v_97 (=> ?v_19 ?v_20)) (?v_100 (= true_term (S_select syntax_20_28_29 RES_226_28_226_28)))) (let ((?v_98 (=> ?v_19 ?v_100)) (?v_102 (not ?v_21)) (?v_103 (not ?v_22)) (?v_104 (not ?v_23)) (?v_105 (not ?v_24)) (?v_106 (not ?v_25)) (?v_107 (not ?v_26)) (?v_108 (not ?v_27)) (?v_109 (not ?v_28)) (?v_110 (not ?v_29)) (?v_111 (not ?v_30)) (?v_112 (< alloc after_229_12_229_12)) (?v_31 (not (= RES_229_12_229_12 null))) (?v_113 (not (= true_term (isAllocated RES_229_12_229_12 alloc)))) (?v_114 (= true_term (is RES_229_12_229_12 T_java_lang_ClassFormatError))) (?v_115 (= true_term (isAllocated RES_229_12_229_12 after_229_12_229_12))) (?v_116 (= EC_229_12_229_12 ecReturn)) (?v_117 (= (S_select owner_4_35_28 RES_229_12_229_12) null)) (?v_118 (= (typeof RES_229_12_229_12) T_java_lang_ClassFormatError)) (?v_42 (= EC_177_27_177_27 ecReturn)) (?v_45 (= EC_181_27_181_27 ecReturn)) (?v_48 (= EC_185_27_185_27 ecReturn)) (?v_51 (= EC_189_27_189_27 ecReturn)) (?v_54 (= EC_193_27_193_27 ecReturn)) (?v_57 (= EC_197_27_197_27 ecReturn)) (?v_76 (= true_term (is RES_210_8_210_8 T_javafe_ast_TypeName))) (?v_77 (= true_term (isAllocated RES_210_8_210_8 alloc))) (?v_73 (= EC_210_8_210_8 ecThrow)) (?v_74 (typeof XRES_210_8_210_8))) (let ((?v_78 (=> ?v_73 (and (not (= XRES_210_8_210_8 null)) (= (PO_LT ?v_74 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_210_8_210_8 alloc))))) (?v_75 (= EC_210_8_210_8 ecReturn))) (let ((?v_79 (or ?v_75 (and ?v_73 (= (PO_LT ?v_74 T_java_lang_ClassFormatError) true_term)))) (?v_80 (=> ?v_75 (not (= RES_210_8_210_8 null)))) (?v_81 (= alloc_203_1 alloc)) (?v_82 (= index_203_1 index_208_9)) (?v_83 (= XRES_203_1 XRES_210_8_210_8)) (?v_84 (= RES_203_1 RES_210_8_210_8)) (?v_87 (= EC_215_27_215_27 ecReturn)) (?v_90 (= EC_219_27_219_27 ecReturn)) (?v_101 (= alloc_4_ alloc)) (?v_99 (= EC_226_23_226_23 ecReturn))) (let ((?v_126 (or (and (or (and (or (and (or (and (or (and (or (and (or (and (or (and (or (and (or (and ?v_8 ?v_21 ?v_2 ?v_40 ?v_41 ?v_11 (= true_term (is RES_177_27_177_27 T_javafe_ast_PrimitiveType)) (= true_term (isAllocated RES_177_27_177_27 alloc)) ?v_42 (=> ?v_42 (= true_term (S_select syntax_20_28_29 RES_177_27_177_27))) (=> ?v_42 (not (= RES_177_27_177_27 null))) ?v_8 (= index_298_6_1_ index_176_14) (= XRES XRES_177_27_177_27) (= RES RES_177_27_177_27)) (and ?v_8 ?v_22 ?v_2 ?v_43 ?v_44 ?v_11 (= true_term (is RES_181_27_181_27 T_javafe_ast_PrimitiveType)) (= true_term (isAllocated RES_181_27_181_27 alloc)) ?v_45 (=> ?v_45 (= true_term (S_select syntax_20_28_29 RES_181_27_181_27))) (=> ?v_45 (not (= RES_181_27_181_27 null))) ?v_8 (= index_298_6_1_ index_180_14) (= XRES XRES_181_27_181_27) (= RES RES_181_27_181_27))) (= index_298_6_2_ index_298_6_1_) (= XRES_1_ XRES) (= RES_1_ RES)) (and ?v_8 ?v_23 ?v_2 ?v_46 ?v_47 ?v_11 (= true_term (is RES_185_27_185_27 T_javafe_ast_PrimitiveType)) (= true_term (isAllocated RES_185_27_185_27 alloc)) ?v_48 (=> ?v_48 (= true_term (S_select syntax_20_28_29 RES_185_27_185_27))) (=> ?v_48 (not (= RES_185_27_185_27 null))) ?v_8 (= index_298_6_2_ index_184_14) (= XRES_1_ XRES_185_27_185_27) (= RES_1_ RES_185_27_185_27))) (= index_298_6_3_ index_298_6_2_) (= XRES_2_ XRES_1_) (= RES_2_ RES_1_)) (and ?v_8 ?v_24 ?v_2 ?v_49 ?v_50 ?v_11 (= true_term (is RES_189_27_189_27 T_javafe_ast_PrimitiveType)) (= true_term (isAllocated RES_189_27_189_27 alloc)) ?v_51 (=> ?v_51 (= true_term (S_select syntax_20_28_29 RES_189_27_189_27))) (=> ?v_51 (not (= RES_189_27_189_27 null))) ?v_8 (= index_298_6_3_ index_188_14) (= XRES_2_ XRES_189_27_189_27) (= RES_2_ RES_189_27_189_27))) (= index_298_6_4_ index_298_6_3_) (= XRES_3_ XRES_2_) (= RES_3_ RES_2_)) (and ?v_8 ?v_25 ?v_2 ?v_52 ?v_53 ?v_11 (= true_term (is RES_193_27_193_27 T_javafe_ast_PrimitiveType)) (= true_term (isAllocated RES_193_27_193_27 alloc)) ?v_54 (=> ?v_54 (= true_term (S_select syntax_20_28_29 RES_193_27_193_27))) (=> ?v_54 (not (= RES_193_27_193_27 null))) ?v_8 (= index_298_6_4_ index_192_14) (= XRES_3_ XRES_193_27_193_27) (= RES_3_ RES_193_27_193_27))) (= index_298_6_5_ index_298_6_4_) (= XRES_4_ XRES_3_) (= RES_4_ RES_3_)) (and ?v_8 ?v_26 ?v_2 ?v_55 ?v_56 ?v_11 (= true_term (is RES_197_27_197_27 T_javafe_ast_PrimitiveType)) (= true_term (isAllocated RES_197_27_197_27 alloc)) ?v_57 (=> ?v_57 (= true_term (S_select syntax_20_28_29 RES_197_27_197_27))) (=> ?v_57 (not (= RES_197_27_197_27 null))) ?v_8 (= index_298_6_5_ index_196_14) (= XRES_4_ XRES_197_27_197_27) (= RES_4_ RES_197_27_197_27))) (= EC ecReturn) (= alloc_1_ alloc) (= index_298_6_6_ index_298_6_5_) (= XRES_5_ XRES_4_) (= RES_5_ RES_4_)) (and ?v_8 ?v_27 ?v_58 ?v_4 ?v_59 ?v_60 (or (and ?v_14 ?v_8 ?v_61 ?v_13 ?v_62 ?v_63 ?v_64 ?v_65 ?v_66 ?v_67 ?v_13 ?v_8 (= EC_203_1 ecThrow) (= alloc_203_1 after_206_9_206_9) (= index_203_1 index_298_6) (= XRES_203_1 RES_206_9_206_9) (= RES_203_1 RES_206_9_206_9)) (and ?v_68 ?v_8 ?v_2 ?v_69 ?v_4 ?v_70 ?v_71 ?v_15 ?v_72 (or (and ?v_16 ?v_76 ?v_77 ?v_78 ?v_79 ?v_80 ?v_8 ?v_73 (= EC_203_1 EC_210_8_210_8) ?v_81 ?v_82 ?v_83 ?v_84) (and ?v_16 ?v_76 ?v_77 ?v_78 ?v_79 ?v_80 ?v_75 ?v_8 (= EC_203_1 ecReturn) ?v_81 ?v_82 ?v_83 ?v_84)))) (= EC EC_203_1) (= alloc_1_ alloc_203_1) (= index_298_6_6_ index_203_1) (= XRES_5_ XRES_203_1) (= RES_5_ RES_203_1))) (= EC_1_ EC) (= alloc_2_ alloc_1_) (= index_298_6_7_ index_298_6_6_) (= XRES_6_ XRES_5_) (= RES_6_ RES_5_)) (and ?v_8 ?v_28 ?v_2 ?v_85 ?v_86 ?v_11 (= true_term (is RES_215_27_215_27 T_javafe_ast_PrimitiveType)) (= true_term (isAllocated RES_215_27_215_27 alloc)) ?v_87 (=> ?v_87 (= true_term (S_select syntax_20_28_29 RES_215_27_215_27))) (=> ?v_87 (not (= RES_215_27_215_27 null))) ?v_8 (= EC_1_ ecReturn) (= alloc_2_ alloc) (= index_298_6_7_ index_214_14) (= XRES_6_ XRES_215_27_215_27) (= RES_6_ RES_215_27_215_27))) (= EC_2_ EC_1_) (= alloc_3_ alloc_2_) (= index_298_6_8_ index_298_6_7_) (= XRES_7_ XRES_6_) (= RES_7_ RES_6_)) (and ?v_8 ?v_29 ?v_2 ?v_88 ?v_89 ?v_11 (= true_term (is RES_219_27_219_27 T_javafe_ast_PrimitiveType)) (= true_term (isAllocated RES_219_27_219_27 alloc)) ?v_90 (=> ?v_90 (= true_term (S_select syntax_20_28_29 RES_219_27_219_27))) (=> ?v_90 (not (= RES_219_27_219_27 null))) ?v_8 (= EC_2_ ecReturn) (= alloc_3_ alloc) (= index_298_6_8_ index_218_14) (= XRES_7_ XRES_219_27_219_27) (= RES_7_ RES_219_27_219_27))) (= EC_3_ EC_2_) (= alloc_4_ alloc_3_) (= XRES_8_ XRES_7_) (= RES_8_ RES_7_)) (and ?v_8 ?v_30 ?v_2 ?v_91 ?v_92 (or (and ?v_2 ?v_93 ?v_94 ?v_95 ?v_96 ?v_97 ?v_98 ?v_8 ?v_17 (= EC_3_ EC_226_28_226_28) ?v_101 (= XRES_8_ XRES_226_28_226_28) (= RES_8_ RES_226_28_226_28)) (and ?v_2 ?v_93 ?v_94 ?v_95 ?v_96 ?v_97 ?v_98 ?v_19 ?v_20 ?v_11 (= true_term (is RES_226_23_226_23 T_javafe_ast_ArrayType)) (= true_term (isAllocated RES_226_23_226_23 alloc)) ?v_99 (=> (and ?v_99 ?v_100) (= true_term (S_select syntax_20_28_29 RES_226_23_226_23))) (=> ?v_99 (not (= RES_226_23_226_23 null))) ?v_8 (= EC_3_ ecReturn) ?v_101 (= XRES_8_ XRES_226_23_226_23) (= RES_8_ RES_226_23_226_23))))) (= EC_4_ EC_3_) (= XRES_9_ XRES_8_) (= RES_9_ RES_8_)) (and ?v_8 ?v_102 ?v_103 ?v_104 ?v_105 ?v_106 ?v_107 ?v_108 ?v_109 ?v_110 ?v_111 ?v_112 ?v_31 ?v_113 ?v_114 ?v_115 ?v_116 ?v_117 ?v_118 ?v_31 ?v_8 (= EC_4_ ecThrow) (= XRES_9_ RES_229_12_229_12) (= RES_9_ RES_229_12_229_12)))) (?v_127 (= EC_4_ L_173_4)) (?v_128 (= EC_167_26 ecReturn))) (let ((?v_129 (=> ?v_128 (not (= RES_167_26 null))))) (not (=> (distinct L_173_4 ecReturn ecThrow) (=> (and (= otherStrings_pre_62_193_30 otherStrings_62_193_30) (= true_term (is otherStrings_62_193_30 ?v_0)) (= true_term (isAllocated otherStrings_62_193_30 alloc)) (= LONGTYPE_pre_27_29_26 LONGTYPE_27_29_26) (= true_term (is LONGTYPE_27_29_26 T_int)) (= TYPEDECLELEMPRAGMA_pre_62_27_26 TYPEDECLELEMPRAGMA_62_27_26) (= true_term (is TYPEDECLELEMPRAGMA_62_27_26 T_int)) (= noTokens_pre_62_212_27 noTokens_62_212_27) (= true_term (is noTokens_62_212_27 T_int)) (= index_pre_298_6 index_298_6) (= index_298_6 (asField index_298_6 T_int)) (= LONGLIT_pre_27_40_26 LONGLIT_27_40_26) (= true_term (is LONGLIT_27_40_26 T_int)) (= DOUBLETYPE_pre_27_32_26 DOUBLETYPE_27_32_26) (= true_term (is DOUBLETYPE_27_32_26 T_int)) (= DOUBLELIT_pre_27_43_26 DOUBLELIT_27_43_26) (= true_term (is DOUBLELIT_27_43_26 T_int)) (= count_pre_16_67_33 count_16_67_33) (= count_16_67_33 (asField count_16_67_33 T_int)) (= FIRST_KEYWORD_pre_62_51_26 FIRST_KEYWORD_62_51_26) (= true_term (is FIRST_KEYWORD_62_51_26 T_int)) (= BYTETYPE_pre_27_35_26 BYTETYPE_27_35_26) (= true_term (is BYTETYPE_27_35_26 T_int)) (= classLocation_pre_148_13 classLocation_148_13) (= true_term (is classLocation_148_13 T_int)) (= INTTYPE_pre_27_28_26 INTTYPE_27_28_26) (= true_term (is INTTYPE_27_28_26 T_int)) (= STMTPRAGMA_pre_62_26_26 STMTPRAGMA_62_26_26) (= true_term (is STMTPRAGMA_62_26_26 T_int)) (= INTLIT_pre_27_39_26 INTLIT_27_39_26) (= true_term (is INTLIT_27_39_26 T_int)) (= FLOATTYPE_pre_27_31_26 FLOATTYPE_27_31_26) (= true_term (is FLOATTYPE_27_31_26 T_int)) (= s_pre_293_9 s_293_9) (= s_293_9 (asField s_293_9 T_java_lang_String)) (< (fClosedTime s_293_9) alloc) (= count_pre_21_99_33 count_21_99_33) (= count_21_99_33 (asField count_21_99_33 T_int)) (= LAST_KEYWORD_pre_62_103_26 LAST_KEYWORD_62_103_26) (= true_term (is LAST_KEYWORD_62_103_26 T_int)) (= punctuationCodes_pre_62_164_19 punctuationCodes_62_164_19) (= true_term (is punctuationCodes_62_164_19 ?v_1)) (= true_term (isAllocated punctuationCodes_62_164_19 alloc)) (= tag_pre_30_30_13 tag_30_30_13) (= tag_30_30_13 (asField tag_30_30_13 T_int)) (= FLOATLIT_pre_27_42_26 FLOATLIT_27_42_26) (= true_term (is FLOATLIT_27_42_26 T_int)) (= loc_pre_30_35_13 loc_30_35_13) (= loc_30_35_13 (asField loc_30_35_13 T_int)) (= NULLTYPE_pre_27_34_26 NULLTYPE_27_34_26) (= true_term (is NULLTYPE_27_34_26 T_int)) (= locOpenBracket_pre_31_21_13 locOpenBracket_31_21_13) (= locOpenBracket_31_21_13 (asField locOpenBracket_31_21_13 T_int)) (= punctuationStrings_pre_62_134_22 punctuationStrings_62_134_22) (= true_term (is punctuationStrings_62_134_22 ?v_0)) (= true_term (isAllocated punctuationStrings_62_134_22 alloc)) (= NULL_pre_62_82_26 NULL_62_82_26) (= true_term (is NULL_62_82_26 T_int)) (= BOOLEANTYPE_pre_27_27_26 BOOLEANTYPE_27_27_26) (= true_term (is BOOLEANTYPE_27_27_26 T_int)) (= elements_pre_16_61_39 elements_16_61_39) (= elements_16_61_39 (asField elements_16_61_39 (array T_javafe_ast_Identifier))) (< (fClosedTime elements_16_61_39) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select elements_16_61_39 ?s) null)))) (= MODIFIERPRAGMA_pre_62_25_26 MODIFIERPRAGMA_62_25_26) (= true_term (is MODIFIERPRAGMA_62_25_26 T_int)) (= BOOLEANLIT_pre_27_38_26 BOOLEANLIT_27_38_26) (= true_term (is BOOLEANLIT_27_38_26 T_int)) (= return__pre_26_117_15 return__26_117_15) (= return__26_117_15 (asField return__26_117_15 T_javafe_ast_Type)) (< (fClosedTime return__26_117_15) alloc) (= syntax_pre_20_28_29 syntax_20_28_29) (= syntax_20_28_29 (asField syntax_20_28_29 T_boolean)) (= CHARTYPE_pre_27_30_26 CHARTYPE_27_30_26) (= true_term (is CHARTYPE_27_30_26 T_int)) (= TYPEMODIFIERPRAGMA_pre_62_28_26 TYPEMODIFIERPRAGMA_62_28_26) (= true_term (is TYPEMODIFIERPRAGMA_62_28_26 T_int)) (= tokenType_pre_14_90_8 tokenType_14_90_8) (= tokenType_14_90_8 (asField tokenType_14_90_8 T_int)) (= owner_pre_4_35_28 owner_4_35_28) (= owner_4_35_28 (asField owner_4_35_28 T_java_lang_Object)) (< (fClosedTime owner_4_35_28) alloc) (= CHARLIT_pre_27_41_26 CHARLIT_27_41_26) (= true_term (is CHARLIT_27_41_26 T_int)) (= NULL_pre_15_60_26 NULL_15_60_26) (= true_term (is NULL_15_60_26 T_int)) (= keywordStrings_pre_62_181_30 keywordStrings_62_181_30) (= true_term (is keywordStrings_62_181_30 ?v_0)) (= true_term (isAllocated keywordStrings_62_181_30 alloc)) (= value_pre_21_91_31 value_21_91_31) (= value_21_91_31 (asField value_21_91_31 (array T_char))) (< (fClosedTime value_21_91_31) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select value_21_91_31 ?s_1_) null)))) (= VOIDTYPE_pre_27_33_26 VOIDTYPE_27_33_26) (= true_term (is VOIDTYPE_27_33_26 T_int)) (= moreElements_pre_7_58_29 moreElements_7_58_29) (= moreElements_7_58_29 (asField moreElements_7_58_29 T_boolean)) (= STRINGLIT_pre_27_44_26 STRINGLIT_27_44_26) (= true_term (is STRINGLIT_27_44_26 T_int)) (= IDENT_pre_27_25_26 IDENT_27_25_26) (= true_term (is IDENT_27_25_26 T_int)) (= LEXICALPRAGMA_pre_62_24_26 LEXICALPRAGMA_62_24_26) (= true_term (is LEXICALPRAGMA_62_24_26 T_int)) (= SHORTTYPE_pre_27_36_26 SHORTTYPE_27_36_26) (= true_term (is SHORTTYPE_27_36_26 T_int)) (= elemType_pre_31_18_28 elemType_31_18_28) (= elemType_31_18_28 (asField elemType_31_18_28 T_javafe_ast_Type)) (< (fClosedTime elemType_31_18_28) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select elemType_31_18_28 ?s_2_) null)))) (= otherCodes_pre_62_202_27 otherCodes_62_202_27) (= true_term (is otherCodes_62_202_27 ?v_1)) (= true_term (isAllocated otherCodes_62_202_27 alloc)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is scanner_161_46 T_javafe_reader_StringScanner)) (= true_term (isAllocated scanner_161_46 alloc)) ?v_2 (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_reader_StringScanner)) (not (= ?brokenObj null))) (not (= (S_select s_293_9 ?brokenObj) null)))) (forall ((?brokenObj_1_ Int)) (let ((?v_130 (S_select tag_30_30_13 ?brokenObj_1_))) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_ast_PrimitiveType)) (not (= ?brokenObj_1_ null))) (or (= ?v_130 BOOLEANTYPE_27_27_26) (= ?v_130 INTTYPE_27_28_26) (= ?v_130 LONGTYPE_27_29_26) (= ?v_130 CHARTYPE_27_30_26) (= ?v_130 FLOATTYPE_27_31_26) (= ?v_130 DOUBLETYPE_27_32_26) (= ?v_130 VOIDTYPE_27_33_26) (= ?v_130 NULLTYPE_27_34_26) (= ?v_130 BYTETYPE_27_35_26) (= ?v_130 SHORTTYPE_27_36_26))))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_ast_PrimitiveType)) (not (= ?brokenObj_2_ null)) (= true_term (S_select syntax_20_28_29 ?brokenObj_2_))) (not (= (S_select loc_30_35_13 ?brokenObj_2_) NULL_15_60_26)))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_ast_ArrayType)) (not (= ?brokenObj_3_ null))) (= (= true_term (S_select syntax_20_28_29 (S_select elemType_31_18_28 ?brokenObj_3_))) (= true_term (S_select syntax_20_28_29 ?brokenObj_3_))))) (forall ((?brokenObj_4_ Int)) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_ast_TypeName)) (not (= ?brokenObj_4_ null))) (= true_term (S_select syntax_20_28_29 ?brokenObj_4_)))) (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_java_lang_String)) (not (= ?brokenObj_5_ null))) (>= (S_select count_21_99_33 ?brokenObj_5_) 0))) (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_javafe_ast_ArrayType)) (not (= ?brokenObj_6_ null))) (not (= (S_select locOpenBracket_31_21_13 ?brokenObj_6_) NULL_15_60_26)))) ?v_11 (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_java_lang_String)) (not (= ?brokenObj_7_ null))) (<= (S_select count_21_99_33 ?brokenObj_7_) (arrayLength (S_select value_21_91_31 ?brokenObj_7_))))) (or ?v_3 (and ?v_2 ?v_32 (or ?v_3 (and ?v_2 ?v_33 (or ?v_9 (and ?v_4 ?v_34 ?v_5 ?v_35 ?v_36 (or (and ?v_7 ?v_8 ?v_119 ?v_6 ?v_120 ?v_121 ?v_122 ?v_123 ?v_124 ?v_125 (not ?v_6)) (and ?v_37 ?v_8 (or ?v_9 (and ?v_4 ?v_38 ?v_39 (or (and ?v_8 ?v_21 (or ?v_3 (and ?v_2 ?v_40 ?v_41 (or (not (or (= BYTETYPE_27_35_26 BOOLEANTYPE_27_27_26) (= BYTETYPE_27_35_26 INTTYPE_27_28_26) (= BYTETYPE_27_35_26 LONGTYPE_27_29_26) (= BYTETYPE_27_35_26 CHARTYPE_27_30_26) (= BYTETYPE_27_35_26 FLOATTYPE_27_31_26) (= BYTETYPE_27_35_26 DOUBLETYPE_27_32_26) (= BYTETYPE_27_35_26 VOIDTYPE_27_33_26) (= BYTETYPE_27_35_26 NULLTYPE_27_34_26) (= BYTETYPE_27_35_26 BYTETYPE_27_35_26) (= BYTETYPE_27_35_26 SHORTTYPE_27_36_26))) ?v_12)))) (and ?v_8 ?v_22 (or ?v_3 (and ?v_2 ?v_43 ?v_44 (or (not (or (= CHARTYPE_27_30_26 BOOLEANTYPE_27_27_26) (= CHARTYPE_27_30_26 INTTYPE_27_28_26) (= CHARTYPE_27_30_26 LONGTYPE_27_29_26) (= CHARTYPE_27_30_26 CHARTYPE_27_30_26) (= CHARTYPE_27_30_26 FLOATTYPE_27_31_26) (= CHARTYPE_27_30_26 DOUBLETYPE_27_32_26) (= CHARTYPE_27_30_26 VOIDTYPE_27_33_26) (= CHARTYPE_27_30_26 NULLTYPE_27_34_26) (= CHARTYPE_27_30_26 BYTETYPE_27_35_26) (= CHARTYPE_27_30_26 SHORTTYPE_27_36_26))) ?v_12)))) (and ?v_8 ?v_23 (or ?v_3 (and ?v_2 ?v_46 ?v_47 (or (not (or (= DOUBLETYPE_27_32_26 BOOLEANTYPE_27_27_26) (= DOUBLETYPE_27_32_26 INTTYPE_27_28_26) (= DOUBLETYPE_27_32_26 LONGTYPE_27_29_26) (= DOUBLETYPE_27_32_26 CHARTYPE_27_30_26) (= DOUBLETYPE_27_32_26 FLOATTYPE_27_31_26) (= DOUBLETYPE_27_32_26 DOUBLETYPE_27_32_26) (= DOUBLETYPE_27_32_26 VOIDTYPE_27_33_26) (= DOUBLETYPE_27_32_26 NULLTYPE_27_34_26) (= DOUBLETYPE_27_32_26 BYTETYPE_27_35_26) (= DOUBLETYPE_27_32_26 SHORTTYPE_27_36_26))) ?v_12)))) (and ?v_8 ?v_24 (or ?v_3 (and ?v_2 ?v_49 ?v_50 (or (not (or (= FLOATTYPE_27_31_26 BOOLEANTYPE_27_27_26) (= FLOATTYPE_27_31_26 INTTYPE_27_28_26) (= FLOATTYPE_27_31_26 LONGTYPE_27_29_26) (= FLOATTYPE_27_31_26 CHARTYPE_27_30_26) (= FLOATTYPE_27_31_26 FLOATTYPE_27_31_26) (= FLOATTYPE_27_31_26 DOUBLETYPE_27_32_26) (= FLOATTYPE_27_31_26 VOIDTYPE_27_33_26) (= FLOATTYPE_27_31_26 NULLTYPE_27_34_26) (= FLOATTYPE_27_31_26 BYTETYPE_27_35_26) (= FLOATTYPE_27_31_26 SHORTTYPE_27_36_26))) ?v_12)))) (and ?v_8 ?v_25 (or ?v_3 (and ?v_2 ?v_52 ?v_53 (or (not (or (= INTTYPE_27_28_26 BOOLEANTYPE_27_27_26) (= INTTYPE_27_28_26 INTTYPE_27_28_26) (= INTTYPE_27_28_26 LONGTYPE_27_29_26) (= INTTYPE_27_28_26 CHARTYPE_27_30_26) (= INTTYPE_27_28_26 FLOATTYPE_27_31_26) (= INTTYPE_27_28_26 DOUBLETYPE_27_32_26) (= INTTYPE_27_28_26 VOIDTYPE_27_33_26) (= INTTYPE_27_28_26 NULLTYPE_27_34_26) (= INTTYPE_27_28_26 BYTETYPE_27_35_26) (= INTTYPE_27_28_26 SHORTTYPE_27_36_26))) ?v_12)))) (and ?v_8 ?v_26 (or ?v_3 (and ?v_2 ?v_55 ?v_56 (or (not (or (= LONGTYPE_27_29_26 BOOLEANTYPE_27_27_26) (= LONGTYPE_27_29_26 INTTYPE_27_28_26) (= LONGTYPE_27_29_26 LONGTYPE_27_29_26) (= LONGTYPE_27_29_26 CHARTYPE_27_30_26) (= LONGTYPE_27_29_26 FLOATTYPE_27_31_26) (= LONGTYPE_27_29_26 DOUBLETYPE_27_32_26) (= LONGTYPE_27_29_26 VOIDTYPE_27_33_26) (= LONGTYPE_27_29_26 NULLTYPE_27_34_26) (= LONGTYPE_27_29_26 BYTETYPE_27_35_26) (= LONGTYPE_27_29_26 SHORTTYPE_27_36_26))) ?v_12)))) (and ?v_8 ?v_27 ?v_58 (or ?v_9 (and ?v_4 ?v_59 ?v_60 (or (and ?v_14 ?v_8 ?v_61 ?v_13 ?v_62 ?v_63 ?v_64 ?v_65 ?v_66 ?v_67 (not ?v_13)) (and ?v_68 ?v_8 (or ?v_3 (and ?v_2 ?v_69 (or ?v_9 (and ?v_4 ?v_70 ?v_71 ?v_15 ?v_72 (not ?v_16)))))))))) (and ?v_8 ?v_28 (or ?v_3 (and ?v_2 ?v_85 ?v_86 (or (not (or (= SHORTTYPE_27_36_26 BOOLEANTYPE_27_27_26) (= SHORTTYPE_27_36_26 INTTYPE_27_28_26) (= SHORTTYPE_27_36_26 LONGTYPE_27_29_26) (= SHORTTYPE_27_36_26 CHARTYPE_27_30_26) (= SHORTTYPE_27_36_26 FLOATTYPE_27_31_26) (= SHORTTYPE_27_36_26 DOUBLETYPE_27_32_26) (= SHORTTYPE_27_36_26 VOIDTYPE_27_33_26) (= SHORTTYPE_27_36_26 NULLTYPE_27_34_26) (= SHORTTYPE_27_36_26 BYTETYPE_27_35_26) (= SHORTTYPE_27_36_26 SHORTTYPE_27_36_26))) ?v_12)))) (and ?v_8 ?v_29 (or ?v_3 (and ?v_2 ?v_88 ?v_89 (or (not (or (= BOOLEANTYPE_27_27_26 BOOLEANTYPE_27_27_26) (= BOOLEANTYPE_27_27_26 INTTYPE_27_28_26) (= BOOLEANTYPE_27_27_26 LONGTYPE_27_29_26) (= BOOLEANTYPE_27_27_26 CHARTYPE_27_30_26) (= BOOLEANTYPE_27_27_26 FLOATTYPE_27_31_26) (= BOOLEANTYPE_27_27_26 DOUBLETYPE_27_32_26) (= BOOLEANTYPE_27_27_26 VOIDTYPE_27_33_26) (= BOOLEANTYPE_27_27_26 NULLTYPE_27_34_26) (= BOOLEANTYPE_27_27_26 BYTETYPE_27_35_26) (= BOOLEANTYPE_27_27_26 SHORTTYPE_27_36_26))) ?v_12)))) (and ?v_8 ?v_30 (or ?v_3 (and ?v_2 ?v_91 ?v_92 (or ?v_3 (and ?v_2 ?v_93 ?v_94 ?v_95 ?v_96 ?v_97 ?v_98 ?v_19 (or (not ?v_20) (and ?v_20 ?v_12))))))) (and ?v_8 ?v_102 ?v_103 ?v_104 ?v_105 ?v_106 ?v_107 ?v_108 ?v_109 ?v_110 ?v_111 ?v_112 ?v_31 ?v_113 ?v_114 ?v_115 ?v_116 ?v_117 ?v_118 (not ?v_31)))))))))))) (and (or (and ?v_2 ?v_32 ?v_2 ?v_33 ?v_4 ?v_34 ?v_5 ?v_35 ?v_36 ?v_37 ?v_8 ?v_4 ?v_38 ?v_39 ?v_126 ?v_127 ?v_128 (= XRES_167_26 XRES_9_) (= RES_167_26 RES_9_)) (and ?v_2 ?v_32 ?v_2 ?v_33 ?v_4 ?v_34 ?v_5 ?v_35 ?v_36 (or (and ?v_7 ?v_8 ?v_119 ?v_6 ?v_120 ?v_121 ?v_122 ?v_123 ?v_124 ?v_125 ?v_6 ?v_8 (= EC_167_26_1_ ecThrow) (= XRES_167_26_1_ RES_171_12_171_12) (= RES_167_26_1_ RES_171_12_171_12)) (and ?v_37 ?v_8 ?v_4 ?v_38 ?v_39 ?v_126 (not ?v_127) (= EC_167_26_1_ EC_4_) (= XRES_167_26_1_ XRES_9_) (= RES_167_26_1_ RES_9_))) (= EC_167_26 EC_167_26_1_) (= XRES_167_26 XRES_167_26_1_) (= RES_167_26 RES_167_26_1_))) (or (not (or ?v_128 (and (= EC_167_26 ecThrow) (= (PO_LT (typeof XRES_167_26) T_java_lang_ClassFormatError) true_term)))) (not ?v_129) (and ?v_129 (not (=> ?v_128 (= true_term (S_select syntax_20_28_29 RES_167_26))))))))))))))))))))))))))))))
(check-sat)
(exit)
