(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_parser_PunctuationPrefixTree () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_java_util_Vector () Int)
(declare-fun T_java_util_AbstractList () Int)
(declare-fun T_java_util_List () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_util_AbstractCollection () Int)
(declare-fun T_java_util_Collection () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_ast_Expr () Int)
(declare-fun T_javafe_ast_VarInit () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_javafe_ast_PrettyPrint () Int)
(declare-fun T_javafe_genericfile_GenericFile () Int)
(declare-fun T_javafe_util_Info () Int)
(declare-fun T_javafe_parser_ParseExpr () Int)
(declare-fun T_javafe_parser_ParseType () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_java_io_File () Int)
(declare-fun T_javafe_util_StackVector () Int)
(declare-fun T_javafe_parser_ParseUtil () Int)
(declare-fun T_java_io_IOException () Int)
(declare-fun T_javafe_util_BufferedCorrelatedReader () Int)
(declare-fun T_javafe_util_CorrelatedReader () Int)
(declare-fun T_javafe_parser_PragmaParser () Int)
(declare-fun T_javafe_reader_SrcReader () Int)
(declare-fun T_javafe_reader_Reader () Int)
(declare-fun T_javafe_parser_Lex () Int)
(declare-fun T_javafe_parser_Token () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun T_javafe_util_ErrorSet () Int)
(declare-fun T_javafe_parser_ParseStmt () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_javafe_ast_Identifier () Int)
(declare-fun T_javafe_ast_CompilationUnit () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_javafe_genericfile_NormalGenericFile () Int)
(declare-fun T_javafe_parser_Parse () Int)
(declare-fun T_java_io_InputStream () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun T_javafe_util_LocationManagerCorrelatedReader () Int)
(declare-fun T_javafe_util_FileCorrelatedReader () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun out_30_83_49 () Int)
(declare-fun err_30_97_50 () Int)
(assert (and (= (PO_LT T_javafe_parser_PunctuationPrefixTree T_java_lang_Object) true_term) (= T_javafe_parser_PunctuationPrefixTree (asChild T_javafe_parser_PunctuationPrefixTree T_java_lang_Object)) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_java_util_Vector T_java_util_AbstractList) true_term) (= T_java_util_Vector (asChild T_java_util_Vector T_java_util_AbstractList)) (= (PO_LT T_java_util_Vector T_java_util_List) true_term) (= (PO_LT T_java_util_Vector T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Vector T_java_io_Serializable) true_term) (= (PO_LT T_java_util_AbstractCollection T_java_lang_Object) true_term) (= T_java_util_AbstractCollection (asChild T_java_util_AbstractCollection T_java_lang_Object)) (= (PO_LT T_java_util_AbstractCollection T_java_util_Collection) true_term) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_Expr T_javafe_ast_VarInit) true_term) (= T_javafe_ast_Expr (asChild T_javafe_ast_Expr T_javafe_ast_VarInit)) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (= (PO_LT T_javafe_ast_PrettyPrint T_java_lang_Object) true_term) (= T_javafe_ast_PrettyPrint (asChild T_javafe_ast_PrettyPrint T_java_lang_Object)) (= (PO_LT T_javafe_genericfile_GenericFile T_java_lang_Object) true_term) (= (PO_LT T_javafe_util_Info T_java_lang_Object) true_term) (= T_javafe_util_Info (asChild T_javafe_util_Info T_java_lang_Object)) (= (PO_LT T_javafe_parser_ParseExpr T_javafe_parser_ParseType) true_term) (= T_javafe_parser_ParseExpr (asChild T_javafe_parser_ParseExpr T_javafe_parser_ParseType)) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_java_io_File T_java_lang_Object) true_term) (= T_java_io_File (asChild T_java_io_File T_java_lang_Object)) (= (PO_LT T_java_io_File T_java_io_Serializable) true_term) (= (PO_LT T_java_io_File T_java_lang_Comparable) true_term) (= (PO_LT T_java_util_List T_java_lang_Object) true_term) (= (PO_LT T_java_util_List T_java_util_Collection) true_term) (= (PO_LT T_javafe_util_StackVector T_java_lang_Object) true_term) (= T_javafe_util_StackVector (asChild T_javafe_util_StackVector T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_util_StackVector) true_term) (= ?t T_javafe_util_StackVector))) (= (PO_LT T_javafe_parser_ParseType T_javafe_parser_ParseUtil) true_term) (= T_javafe_parser_ParseType (asChild T_javafe_parser_ParseType T_javafe_parser_ParseUtil)) (= (PO_LT T_java_io_IOException T_java_lang_Exception) true_term) (= T_java_io_IOException (asChild T_java_io_IOException T_java_lang_Exception)) (= (PO_LT T_javafe_util_BufferedCorrelatedReader T_javafe_util_CorrelatedReader) true_term) (= T_javafe_util_BufferedCorrelatedReader (asChild T_javafe_util_BufferedCorrelatedReader T_javafe_util_CorrelatedReader)) (= (PO_LT T_javafe_parser_PragmaParser T_java_lang_Object) true_term) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_util_AbstractList T_java_util_AbstractCollection) true_term) (= T_java_util_AbstractList (asChild T_java_util_AbstractList T_java_util_AbstractCollection)) (= (PO_LT T_java_util_AbstractList T_java_util_List) true_term) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_reader_SrcReader T_javafe_reader_Reader) true_term) (= T_javafe_reader_SrcReader (asChild T_javafe_reader_SrcReader T_javafe_reader_Reader)) (= (PO_LT T_javafe_parser_Lex T_javafe_parser_Token) true_term) (= T_javafe_parser_Lex (asChild T_javafe_parser_Lex T_javafe_parser_Token)) (= (PO_LT T_javafe_parser_Token T_java_lang_Object) true_term) (= T_javafe_parser_Token (asChild T_javafe_parser_Token T_java_lang_Object)) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_javafe_util_ErrorSet T_java_lang_Object) true_term) (= T_javafe_util_ErrorSet (asChild T_javafe_util_ErrorSet T_java_lang_Object)) (= (PO_LT T_javafe_parser_ParseStmt T_javafe_parser_ParseExpr) true_term) (= T_javafe_parser_ParseStmt (asChild T_javafe_parser_ParseStmt T_javafe_parser_ParseExpr)) (= (PO_LT T_javafe_util_CorrelatedReader T_java_lang_Object) true_term) (= T_javafe_util_CorrelatedReader (asChild T_javafe_util_CorrelatedReader T_java_lang_Object)) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_javafe_ast_Identifier T_java_lang_Object) true_term) (= T_javafe_ast_Identifier (asChild T_javafe_ast_Identifier T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_ast_Identifier) true_term) (= ?t T_javafe_ast_Identifier))) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CompilationUnit (asChild T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_javafe_genericfile_NormalGenericFile T_java_io_File) true_term) (= T_javafe_genericfile_NormalGenericFile (asChild T_javafe_genericfile_NormalGenericFile T_java_io_File)) (= (PO_LT T_javafe_genericfile_NormalGenericFile T_javafe_genericfile_GenericFile) true_term) (= (PO_LT T_javafe_parser_Parse T_javafe_parser_ParseStmt) true_term) (= T_javafe_parser_Parse (asChild T_javafe_parser_Parse T_javafe_parser_ParseStmt)) (= (PO_LT T_java_util_Collection T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_VarInit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_VarInit (asChild T_javafe_ast_VarInit T_javafe_ast_ASTNode)) (= (PO_LT T_java_io_InputStream T_java_lang_Object) true_term) (= T_java_io_InputStream (asChild T_java_io_InputStream T_java_lang_Object)) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_javafe_util_LocationManagerCorrelatedReader T_javafe_util_BufferedCorrelatedReader) true_term) (= T_javafe_util_LocationManagerCorrelatedReader (asChild T_javafe_util_LocationManagerCorrelatedReader T_javafe_util_BufferedCorrelatedReader)) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_javafe_reader_Reader T_java_lang_Object) true_term) (= T_javafe_reader_Reader (asChild T_javafe_reader_Reader T_java_lang_Object)) (= (PO_LT T_javafe_parser_ParseUtil T_java_lang_Object) true_term) (= T_javafe_parser_ParseUtil (asChild T_javafe_parser_ParseUtil T_java_lang_Object)) (= (PO_LT T_javafe_util_FileCorrelatedReader T_javafe_util_LocationManagerCorrelatedReader) true_term) (= T_javafe_util_FileCorrelatedReader (asChild T_javafe_util_FileCorrelatedReader T_javafe_util_LocationManagerCorrelatedReader)) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_parser_PunctuationPrefixTree (+ DIST_ZERO_1 10)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 11)) (= T_java_util_Vector (+ DIST_ZERO_1 12)) (= T_java_util_AbstractCollection (+ DIST_ZERO_1 13)) (= T_java_lang_String (+ DIST_ZERO_1 14)) (= T_javafe_ast_Expr (+ DIST_ZERO_1 15)) (= T_java_util_Hashtable (+ DIST_ZERO_1 16)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 17)) (= T_javafe_ast_PrettyPrint (+ DIST_ZERO_1 18)) (= T_javafe_genericfile_GenericFile (+ DIST_ZERO_1 19)) (= T_javafe_util_Info (+ DIST_ZERO_1 20)) (= T_javafe_parser_ParseExpr (+ DIST_ZERO_1 21)) (= T_java_lang_Exception (+ DIST_ZERO_1 22)) (= T_java_io_File (+ DIST_ZERO_1 23)) (= T_java_util_List (+ DIST_ZERO_1 24)) (= T_javafe_util_StackVector (+ DIST_ZERO_1 25)) (= T_javafe_parser_ParseType (+ DIST_ZERO_1 26)) (= T_java_io_IOException (+ DIST_ZERO_1 27)) (= T_javafe_util_BufferedCorrelatedReader (+ DIST_ZERO_1 28)) (= T_javafe_parser_PragmaParser (+ DIST_ZERO_1 29)) (= T_java_util_Dictionary (+ DIST_ZERO_1 30)) (= T_java_util_AbstractList (+ DIST_ZERO_1 31)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 32)) (= T_javafe_reader_SrcReader (+ DIST_ZERO_1 33)) (= T_javafe_parser_Lex (+ DIST_ZERO_1 34)) (= T_javafe_parser_Token (+ DIST_ZERO_1 35)) (= T_java_lang_Object (+ DIST_ZERO_1 36)) (= T_javafe_util_Location (+ DIST_ZERO_1 37)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 38)) (= T_java_io_PrintStream (+ DIST_ZERO_1 39)) (= T_javafe_util_ErrorSet (+ DIST_ZERO_1 40)) (= T_javafe_parser_ParseStmt (+ DIST_ZERO_1 41)) (= T_javafe_util_CorrelatedReader (+ DIST_ZERO_1 42)) (= T_java_lang_System (+ DIST_ZERO_1 43)) (= T_javafe_ast_Identifier (+ DIST_ZERO_1 44)) (= T_java_io_Serializable (+ DIST_ZERO_1 45)) (= T_javafe_ast_CompilationUnit (+ DIST_ZERO_1 46)) (= T_java_lang_Comparable (+ DIST_ZERO_1 47)) (= T_java_util_Map (+ DIST_ZERO_1 48)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 49)) (= T_java_util_Properties (+ DIST_ZERO_1 50)) (= T_javafe_genericfile_NormalGenericFile (+ DIST_ZERO_1 51)) (= T_javafe_parser_Parse (+ DIST_ZERO_1 52)) (= T_java_util_Collection (+ DIST_ZERO_1 53)) (= T_javafe_ast_VarInit (+ DIST_ZERO_1 54)) (= T_java_io_InputStream (+ DIST_ZERO_1 55)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 56)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 57)) (= T_javafe_util_LocationManagerCorrelatedReader (+ DIST_ZERO_1 58)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 59)) (= T_javafe_reader_Reader (+ DIST_ZERO_1 60)) (= T_javafe_parser_ParseUtil (+ DIST_ZERO_1 61)) (= T_javafe_util_FileCorrelatedReader (+ DIST_ZERO_1 62)) (= T_java_lang_Throwable (+ DIST_ZERO_1 63)) (= T_java_io_OutputStream (+ DIST_ZERO_1 64))) (= true_term (is out_30_83_49 T_java_io_PrintStream)) (= true_term (is err_30_97_50 T_java_io_PrintStream))))
(declare-fun ecReturn () Int)
(declare-fun ecThrow () Int)
(declare-fun S_75_28 () Int)
(declare-fun S_75_23 () Int)
(declare-fun S_81_32 () Int)
(declare-fun S_74_22 () Int)
(declare-fun S_76_34 () Int)
(declare-fun readParser_pre_40_18 () Int)
(declare-fun readParser_40_18 () Int)
(declare-fun inst_pre_37_29_44 () Int)
(declare-fun inst_37_29_44 () Int)
(declare-fun m_in_pre_6_212_46 () Int)
(declare-fun m_in_6_212_46 () Int)
(declare-fun out_pre_30_83_49 () Int)
(declare-fun err_pre_30_97_50 () Int)
(declare-fun readLex_pre_37_16 () Int)
(declare-fun readLex_37_16 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun this () Int)
(declare-fun target_73_44 () Int)
(declare-fun avoidSpec_73_60 () Int)
(declare-fun tmp0_cond_75_21 () Int)
(declare-fun tmp1_74_22 () Int)
(declare-fun RES_76_17_76_17 () Int)
(declare-fun EC_76_17_76_17 () Int)
(declare-fun msg_74_18_74_18_14_69_34 () Int)
(declare-fun EC_74_18_74_18 () Int)
(declare-fun after_78_34_78_34 () Int)
(declare-fun RES_78_34_78_34 () Int)
(declare-fun EC_78_34_78_34 () Int)
(declare-fun XRES_78_34_78_34 () Int)
(declare-fun owner_5_35_28 () Int)
(declare-fun tmp2_readLex_79_5 () Int)
(declare-fun e_80_29 () Int)
(declare-fun m_in_79_13_6_323_17 () Int)
(declare-fun after_79_13_79_13_6_323_17 () Int)
(declare-fun RES_79_13_79_13 () Int)
(declare-fun EC_79_13_79_13 () Int)
(declare-fun tmp3_readParser_85_5 () Int)
(declare-fun tmp4_readLex_85_37 () Int)
(declare-fun specOnly_85_16_85_16_7_117_61 () Int)
(declare-fun RES_85_16_85_16 () Int)
(declare-fun EC_85_16_85_16 () Int)
(declare-fun RES () Int)
(declare-fun EC () Int)
(declare-fun RES_81_50_81_50 () Int)
(declare-fun EC_81_50_81_50 () Int)
(declare-fun msg_81_26_81_26_21_165_36 () Int)
(declare-fun EC_81_26_81_26 () Int)
(declare-fun RES_1_ () Int)
(declare-fun EC_1_ () Int)
(declare-fun EC_2_ () Int)
(declare-fun this_86_9_86_9 () Int)
(declare-fun m_in_86_9_6_346_17 () Int)
(declare-fun after_86_9_86_9_6_346_17 () Int)
(declare-fun EC_86_9_86_9 () Int)
(assert (let ((?v_2 (not (= target_73_44 null))) (?v_0 (= true_term avoidSpec_73_60)) (?v_1 (= true_term true_term))) (let ((?v_26 (or (and ?v_0 ?v_1 (= tmp0_cond_75_21 S_75_23)) (and (not ?v_0) ?v_1 (= tmp0_cond_75_21 S_75_28)))) (?v_27 (= tmp1_74_22 (stringCat S_74_22 tmp0_cond_75_21))) (?v_4 (not ?v_2)) (?v_28 (= true_term (is RES_76_17_76_17 T_java_lang_String))) (?v_29 (= true_term (isAllocated RES_76_17_76_17 alloc))) (?v_3 (= EC_76_17_76_17 ecReturn))) (let ((?v_30 (=> ?v_3 (not (= RES_76_17_76_17 null)))) (?v_31 (= msg_74_18_74_18_14_69_34 (stringCat (stringCat tmp1_74_22 RES_76_17_76_17) S_76_34))) (?v_32 (= EC_74_18_74_18 ecReturn)) (?v_10 (< alloc after_78_34_78_34)) (?v_9 (not (= RES_78_34_78_34 null))) (?v_11 (not (= true_term (isAllocated RES_78_34_78_34 alloc)))) (?v_12 (= true_term (is RES_78_34_78_34 T_javafe_util_FileCorrelatedReader))) (?v_13 (= true_term (isAllocated RES_78_34_78_34 after_78_34_78_34))) (?v_5 (= EC_78_34_78_34 ecThrow)) (?v_18 (= XRES_78_34_78_34 null)) (?v_6 (typeof XRES_78_34_78_34))) (let ((?v_14 (=> ?v_5 (and (not ?v_18) (= (PO_LT ?v_6 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_78_34_78_34 after_78_34_78_34))))) (?v_7 (= EC_78_34_78_34 ecReturn)) (?v_17 (= (PO_LT ?v_6 T_java_io_IOException) true_term))) (let ((?v_15 (or ?v_7 (and ?v_5 ?v_17))) (?v_16 (=> ?v_7 (= (S_select owner_5_35_28 RES_78_34_78_34) null))) (?v_19 (= (typeof RES_78_34_78_34) T_javafe_util_FileCorrelatedReader)) (?v_22 (S_select readLex_37_16 this))) (let ((?v_20 (= tmp2_readLex_79_5 ?v_22)) (?v_8 (not (= tmp2_readLex_79_5 null))) (?v_33 (not ?v_5))) (let ((?v_34 (not ?v_33)) (?v_35 (or ?v_17 ?v_18)) (?v_36 (= e_80_29 XRES_78_34_78_34)) (?v_37 (not (= e_80_29 null))) (?v_38 (= m_in_79_13_6_323_17 (S_store m_in_6_212_46 tmp2_readLex_79_5 after_79_13_79_13_6_323_17))) (?v_39 (= m_in_79_13_6_323_17 (asField m_in_79_13_6_323_17 T_javafe_util_CorrelatedReader))) (?v_40 (< (fClosedTime m_in_79_13_6_323_17) after_78_34_78_34)) (?v_41 (= true_term (is RES_79_13_79_13 T_int))) (?v_21 (= EC_79_13_79_13 ecReturn))) (let ((?v_42 (=> ?v_21 (not (= (S_select m_in_79_13_6_323_17 tmp2_readLex_79_5) null)))) (?v_43 (= tmp3_readParser_85_5 (S_select readParser_40_18 this))) (?v_44 (= tmp4_readLex_85_37 ?v_22)) (?v_23 (not (= tmp3_readParser_85_5 null))) (?v_24 (= specOnly_85_16_85_16_7_117_61 (boolNot avoidSpec_73_60))) (?v_45 (= true_term (is RES_85_16_85_16 T_javafe_ast_CompilationUnit))) (?v_46 (= true_term (isAllocated RES_85_16_85_16 after_78_34_78_34))) (?v_25 (= EC_85_16_85_16 ecReturn))) (let ((?v_47 (=> ?v_25 (not (= RES_85_16_85_16 null)))) (?v_48 (not (= ?v_22 null))) (?v_49 (= EC_86_9_86_9 ecReturn)) (?v_50 (= EC_2_ ecReturn))) (not (=> (and (distinct ecReturn ecThrow) (not (= S_75_28 null)) (= (typeof S_75_28) T_java_lang_String) (not (= S_75_23 null)) (= (typeof S_75_23) T_java_lang_String) (not (= S_81_32 null)) (= (typeof S_81_32) T_java_lang_String) (not (= S_74_22 null)) (= (typeof S_74_22) T_java_lang_String) (not (= S_76_34 null)) (= (typeof S_76_34) T_java_lang_String)) (=> (and (= readParser_pre_40_18 readParser_40_18) (= readParser_40_18 (asField readParser_40_18 T_javafe_parser_Parse)) (< (fClosedTime readParser_40_18) alloc) (= inst_pre_37_29_44 inst_37_29_44) (= true_term (is inst_37_29_44 T_javafe_ast_PrettyPrint)) (= true_term (isAllocated inst_37_29_44 alloc)) (not (= inst_37_29_44 null)) (= m_in_pre_6_212_46 m_in_6_212_46) (= m_in_6_212_46 (asField m_in_6_212_46 T_javafe_util_CorrelatedReader)) (< (fClosedTime m_in_6_212_46) alloc) (= out_pre_30_83_49 out_30_83_49) (= true_term (is out_30_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_30_83_49 alloc)) (not (= out_30_83_49 null)) (= err_pre_30_97_50 err_30_97_50) (= true_term (is err_30_97_50 T_java_io_PrintStream)) (= true_term (isAllocated err_30_97_50 alloc)) (not (= err_30_97_50 null)) (= readLex_pre_37_16 readLex_37_16) (= readLex_37_16 (asField readLex_37_16 T_javafe_parser_Lex)) (< (fClosedTime readLex_37_16) alloc) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is this T_javafe_reader_SrcReader)) (= true_term (isAllocated this alloc)) (not (= this null)) (= true_term (is target_73_44 T_javafe_genericfile_GenericFile)) (= true_term (isAllocated target_73_44 alloc)) (= true_term (is avoidSpec_73_60 T_boolean)) ?v_2 (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_reader_SrcReader)) (not (= ?brokenObj null))) (not (= (S_select readLex_37_16 ?brokenObj) null)))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_reader_SrcReader)) (not (= ?brokenObj_1_ null))) (not (= (S_select readParser_40_18 ?brokenObj_1_) null)))) (or (and ?v_26 ?v_27 (or ?v_4 (and ?v_2 ?v_28 ?v_29 ?v_3 ?v_30 ?v_31 ?v_32 (or ?v_4 (and ?v_2 ?v_10 ?v_9 ?v_11 ?v_12 ?v_13 ?v_14 ?v_15 ?v_16 ?v_7 ?v_19 ?v_20 (or (not ?v_8) (and ?v_8 (not ?v_9)))) (and ?v_2 ?v_10 ?v_9 ?v_11 ?v_12 ?v_13 ?v_14 ?v_15 ?v_16 ?v_1 ?v_5 ?v_34 ?v_35 ?v_36 (not ?v_37)) (and ?v_2 ?v_10 ?v_9 ?v_11 ?v_12 ?v_13 ?v_14 ?v_15 ?v_16 ?v_7 ?v_19 ?v_20 ?v_8 ?v_9 ?v_38 ?v_39 ?v_40 ?v_41 ?v_21 ?v_42 ?v_43 ?v_44 (or (not ?v_23) (and ?v_23 (or (and ?v_24 (not (and (not (= tmp4_readLex_85_37 null)) (not (= (S_select m_in_79_13_6_323_17 tmp4_readLex_85_37) null))))) (and ?v_24 ?v_45 ?v_46 ?v_25 ?v_47 (not ?v_48)))))))))) (and ?v_26 ?v_27 ?v_2 ?v_28 ?v_29 ?v_3 ?v_30 ?v_31 ?v_32 (or (and ?v_2 ?v_10 ?v_9 ?v_11 ?v_12 ?v_13 ?v_14 ?v_15 ?v_16 ?v_1 ?v_5 (or (and ?v_33 (= RES RES_78_34_78_34) (= EC EC_78_34_78_34)) (and ?v_34 (or (and ?v_35 ?v_36 ?v_37 (= true_term (is RES_81_50_81_50 T_java_lang_String)) (= true_term (isAllocated RES_81_50_81_50 after_78_34_78_34)) (= EC_81_50_81_50 ecReturn) (= msg_81_26_81_26_21_165_36 (stringCat S_81_32 RES_81_50_81_50)) (= EC_81_26_81_26 ecReturn) ?v_1 (= RES_1_ null) (= EC_1_ ecReturn)) (and (not ?v_35) (= RES_1_ RES_78_34_78_34) (= EC_1_ EC_78_34_78_34))) (= RES RES_1_) (= EC EC_1_))) (= EC_2_ EC)) (and ?v_2 ?v_10 ?v_9 ?v_11 ?v_12 ?v_13 ?v_14 ?v_15 ?v_16 ?v_7 ?v_19 ?v_20 ?v_8 ?v_9 ?v_38 ?v_39 ?v_40 ?v_41 ?v_21 ?v_42 ?v_43 ?v_44 ?v_23 ?v_24 ?v_45 ?v_46 ?v_25 ?v_47 ?v_48 (= this_86_9_86_9 ?v_22) (= m_in_86_9_6_346_17 (S_store m_in_79_13_6_323_17 this_86_9_86_9 after_86_9_86_9_6_346_17)) (= m_in_86_9_6_346_17 (asField m_in_86_9_6_346_17 T_javafe_util_CorrelatedReader)) (< (fClosedTime m_in_86_9_6_346_17) after_78_34_78_34) ?v_49 (=> ?v_49 (= (S_select m_in_86_9_6_346_17 this_86_9_86_9) null)) ?v_1 ?v_50)) (not ?v_50))))))))))))))))))
(check-sat)
(exit)
