(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_ast_ImportDecl () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_javafe_ast_Type () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_javafe_ast_GenericVarDecl () Int)
(declare-fun T_javafe_tc_MethodDeclVec () Int)
(declare-fun T_javafe_genericfile_GenericFile () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_javafe_ast_BlockStmt () Int)
(declare-fun T_javafe_ast_GenericBlockStmt () Int)
(declare-fun T_javafe_ast_Name () Int)
(declare-fun T_javafe_ast_Stmt () Int)
(declare-fun T_javafe_ast_TypeName () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_javafe_ast_CompilationUnit () Int)
(declare-fun T_javafe_ast_RoutineDecl () Int)
(declare-fun T_javafe_ast_TypeDeclElem () Int)
(declare-fun T_javafe_ast_ImportDeclVec () Int)
(declare-fun T_java_lang_Boolean () Int)
(declare-fun T_javafe_ast_PrettyPrint () Int)
(declare-fun T_javafe_tc_CheckCompilationUnit () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_javafe_util_ErrorSet () Int)
(declare-fun T_javafe_util_Info () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_ast_Modifiers () Int)
(declare-fun T_javafe_filespace_Extension () Int)
(declare-fun T_javafe_ast_TypeDeclVec () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_javafe_ast_ASTDecoration () Int)
(declare-fun T_javafe_tc_Env () Int)
(declare-fun T_javafe_ast_FieldDecl () Int)
(declare-fun T_javafe_ast_Identifier () Int)
(declare-fun T_javafe_ast_MethodDecl () Int)
(declare-fun T_javafe_ast_TypeDecl () Int)
(declare-fun T_javafe_tc_TypeSig () Int)
(declare-fun T_javafe_tc_FieldDeclVec () Int)
(declare-fun T_javafe_tc_EnvForCU () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_javafe_ast_SingleTypeImportDecl () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun NULL_56_82_26 () Int)
(declare-fun TYPEMODIFIERPRAGMA_56_28_26 () Int)
(declare-fun STRINGLIT_57_44_26 () Int)
(declare-fun IDENT_57_25_26 () Int)
(declare-fun otherCodes_56_202_27 () Int)
(declare-fun LAST_KEYWORD_56_103_26 () Int)
(declare-fun punctuationStrings_56_134_22 () Int)
(declare-fun punctuationCodes_56_164_19 () Int)
(declare-fun whereDecoration_35_597_41 () Int)
(declare-fun noTokens_56_212_27 () Int)
(declare-fun LEXICALPRAGMA_56_24_26 () Int)
(declare-fun LONGLIT_57_40_26 () Int)
(declare-fun sigDecoration_33_104_38 () Int)
(declare-fun TYPEDECLELEMPRAGMA_56_27_26 () Int)
(declare-fun NULL_15_60_26 () Int)
(declare-fun DOUBLELIT_57_43_26 () Int)
(declare-fun FIRST_KEYWORD_56_51_26 () Int)
(declare-fun INTLIT_57_39_26 () Int)
(declare-fun STMTPRAGMA_56_26_26 () Int)
(declare-fun keywordStrings_56_181_30 () Int)
(declare-fun FLOATLIT_57_42_26 () Int)
(declare-fun BOOLEANLIT_57_38_26 () Int)
(declare-fun otherStrings_56_193_30 () Int)
(declare-fun MODIFIERPRAGMA_56_25_26 () Int)
(declare-fun CHARLIT_57_41_26 () Int)
(assert (let ((?v_0 (array T_int)) (?v_1 (array T_java_lang_String))) (and (= (PO_LT T_javafe_ast_ImportDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ImportDecl (asChild T_javafe_ast_ImportDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_Type T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Type (asChild T_javafe_ast_Type T_javafe_ast_ASTNode)) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_GenericVarDecl (asChild T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_tc_MethodDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_MethodDeclVec (asChild T_javafe_tc_MethodDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_genericfile_GenericFile T_java_lang_Object) true_term) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt) true_term) (= T_javafe_ast_BlockStmt (asChild T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt)) (= (PO_LT T_javafe_ast_Name T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Name (asChild T_javafe_ast_Name T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_GenericBlockStmt (asChild T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_TypeName T_javafe_ast_Type) true_term) (= T_javafe_ast_TypeName (asChild T_javafe_ast_TypeName T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CompilationUnit (asChild T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_RoutineDecl (asChild T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_ImportDeclVec T_java_lang_Object) true_term) (= T_javafe_ast_ImportDeclVec (asChild T_javafe_ast_ImportDeclVec T_java_lang_Object)) (= (PO_LT T_java_lang_Boolean T_java_lang_Object) true_term) (= T_java_lang_Boolean (asChild T_java_lang_Boolean T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Boolean) true_term) (= ?t T_java_lang_Boolean))) (= (PO_LT T_java_lang_Boolean T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_PrettyPrint T_java_lang_Object) true_term) (= T_javafe_ast_PrettyPrint (asChild T_javafe_ast_PrettyPrint T_java_lang_Object)) (= (PO_LT T_javafe_tc_CheckCompilationUnit T_java_lang_Object) true_term) (= T_javafe_tc_CheckCompilationUnit (asChild T_javafe_tc_CheckCompilationUnit T_java_lang_Object)) (= (PO_LT T_javafe_ast_Stmt T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Stmt (asChild T_javafe_ast_Stmt T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_util_ErrorSet T_java_lang_Object) true_term) (= T_javafe_util_ErrorSet (asChild T_javafe_util_ErrorSet T_java_lang_Object)) (= (PO_LT T_javafe_util_Info T_java_lang_Object) true_term) (= T_javafe_util_Info (asChild T_javafe_util_Info T_java_lang_Object)) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_TypeDeclElem T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_Modifiers T_java_lang_Object) true_term) (= T_javafe_ast_Modifiers (asChild T_javafe_ast_Modifiers T_java_lang_Object)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_filespace_Extension T_java_lang_Object) true_term) (= T_javafe_filespace_Extension (asChild T_javafe_filespace_Extension T_java_lang_Object)) (= (PO_LT T_javafe_ast_TypeDeclVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeDeclVec (asChild T_javafe_ast_TypeDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_javafe_ast_ASTDecoration T_java_lang_Object) true_term) (= T_javafe_ast_ASTDecoration (asChild T_javafe_ast_ASTDecoration T_java_lang_Object)) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_tc_Env T_java_lang_Object) true_term) (= T_javafe_tc_Env (asChild T_javafe_tc_Env T_java_lang_Object)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FieldDecl (asChild T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_javafe_ast_Identifier T_java_lang_Object) true_term) (= T_javafe_ast_Identifier (asChild T_javafe_ast_Identifier T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_ast_Identifier) true_term) (= ?t T_javafe_ast_Identifier))) (= (PO_LT T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl) true_term) (= T_javafe_ast_MethodDecl (asChild T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDecl (asChild T_javafe_ast_TypeDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_tc_TypeSig T_javafe_ast_Type) true_term) (= T_javafe_tc_TypeSig (asChild T_javafe_tc_TypeSig T_javafe_ast_Type)) (= (PO_LT T_javafe_tc_FieldDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_FieldDeclVec (asChild T_javafe_tc_FieldDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_tc_EnvForCU T_javafe_tc_Env) true_term) (= T_javafe_tc_EnvForCU (asChild T_javafe_tc_EnvForCU T_javafe_tc_Env)) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_javafe_ast_SingleTypeImportDecl T_javafe_ast_ImportDecl) true_term) (= T_javafe_ast_SingleTypeImportDecl (asChild T_javafe_ast_SingleTypeImportDecl T_javafe_ast_ImportDecl)) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_ast_ImportDecl (+ DIST_ZERO_1 10)) (= T_javafe_ast_Type (+ DIST_ZERO_1 11)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 12)) (= T_javafe_ast_GenericVarDecl (+ DIST_ZERO_1 13)) (= T_javafe_tc_MethodDeclVec (+ DIST_ZERO_1 14)) (= T_javafe_genericfile_GenericFile (+ DIST_ZERO_1 15)) (= T_java_io_Serializable (+ DIST_ZERO_1 16)) (= T_javafe_ast_BlockStmt (+ DIST_ZERO_1 17)) (= T_javafe_ast_Name (+ DIST_ZERO_1 18)) (= T_javafe_ast_GenericBlockStmt (+ DIST_ZERO_1 19)) (= T_javafe_ast_TypeName (+ DIST_ZERO_1 20)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 21)) (= T_javafe_ast_CompilationUnit (+ DIST_ZERO_1 22)) (= T_javafe_ast_RoutineDecl (+ DIST_ZERO_1 23)) (= T_javafe_ast_ImportDeclVec (+ DIST_ZERO_1 24)) (= T_java_lang_Boolean (+ DIST_ZERO_1 25)) (= T_javafe_ast_PrettyPrint (+ DIST_ZERO_1 26)) (= T_javafe_tc_CheckCompilationUnit (+ DIST_ZERO_1 27)) (= T_javafe_ast_Stmt (+ DIST_ZERO_1 28)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 29)) (= T_java_util_Hashtable (+ DIST_ZERO_1 30)) (= T_javafe_util_ErrorSet (+ DIST_ZERO_1 31)) (= T_javafe_util_Info (+ DIST_ZERO_1 32)) (= T_java_lang_Comparable (+ DIST_ZERO_1 33)) (= T_javafe_ast_TypeDeclElem (+ DIST_ZERO_1 34)) (= T_javafe_ast_Modifiers (+ DIST_ZERO_1 35)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 36)) (= T_javafe_filespace_Extension (+ DIST_ZERO_1 37)) (= T_javafe_ast_TypeDeclVec (+ DIST_ZERO_1 38)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 39)) (= T_javafe_ast_ASTDecoration (+ DIST_ZERO_1 40)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 41)) (= T_java_lang_String (+ DIST_ZERO_1 42)) (= T_javafe_tc_Env (+ DIST_ZERO_1 43)) (= T_javafe_ast_FieldDecl (+ DIST_ZERO_1 44)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 45)) (= T_javafe_ast_Identifier (+ DIST_ZERO_1 46)) (= T_javafe_ast_MethodDecl (+ DIST_ZERO_1 47)) (= T_javafe_ast_TypeDecl (+ DIST_ZERO_1 48)) (= T_java_util_Map (+ DIST_ZERO_1 49)) (= T_javafe_tc_TypeSig (+ DIST_ZERO_1 50)) (= T_javafe_tc_FieldDeclVec (+ DIST_ZERO_1 51)) (= T_javafe_tc_EnvForCU (+ DIST_ZERO_1 52)) (= T_javafe_util_Location (+ DIST_ZERO_1 53)) (= T_java_lang_Object (+ DIST_ZERO_1 54)) (= T_javafe_ast_SingleTypeImportDecl (+ DIST_ZERO_1 55)) (= T_java_util_Dictionary (+ DIST_ZERO_1 56))) (= true_term (is NULL_56_82_26 T_int)) (= NULL_56_82_26 163) (= true_term (is TYPEMODIFIERPRAGMA_56_28_26 T_int)) (= TYPEMODIFIERPRAGMA_56_28_26 118) (= true_term (is STRINGLIT_57_44_26 T_int)) (= STRINGLIT_57_44_26 110) (= true_term (is IDENT_57_25_26 T_int)) (= IDENT_57_25_26 93) (= true_term (is otherCodes_56_202_27 ?v_0)) (not (= otherCodes_56_202_27 null)) (= (typeof otherCodes_56_202_27) ?v_0) (= (arrayLength otherCodes_56_202_27) 15) (= true_term (is LAST_KEYWORD_56_103_26 T_int)) (= LAST_KEYWORD_56_103_26 183) (= true_term (is punctuationStrings_56_134_22 ?v_1)) (not (= punctuationStrings_56_134_22 null)) (= (typeof punctuationStrings_56_134_22) ?v_1) (= (arrayLength punctuationStrings_56_134_22) 48) (= true_term (is punctuationCodes_56_164_19 ?v_0)) (not (= punctuationCodes_56_164_19 null)) (= (typeof punctuationCodes_56_164_19) ?v_0) (= (arrayLength punctuationCodes_56_164_19) 48) (= true_term (is whereDecoration_35_597_41 T_javafe_ast_ASTDecoration)) (not (= whereDecoration_35_597_41 null)) (= (typeof whereDecoration_35_597_41) T_javafe_ast_ASTDecoration) (= true_term (is noTokens_56_212_27 T_int)) (= true_term (is LEXICALPRAGMA_56_24_26 T_int)) (= LEXICALPRAGMA_56_24_26 114) (= true_term (is LONGLIT_57_40_26 T_int)) (= LONGLIT_57_40_26 106) (= true_term (is sigDecoration_33_104_38 T_javafe_ast_ASTDecoration)) (not (= sigDecoration_33_104_38 null)) (= (typeof sigDecoration_33_104_38) T_javafe_ast_ASTDecoration) (= true_term (is TYPEDECLELEMPRAGMA_56_27_26 T_int)) (= TYPEDECLELEMPRAGMA_56_27_26 117) (= true_term (is NULL_15_60_26 T_int)) (= NULL_15_60_26 0) (= true_term (is DOUBLELIT_57_43_26 T_int)) (= DOUBLELIT_57_43_26 109) (= true_term (is FIRST_KEYWORD_56_51_26 T_int)) (= FIRST_KEYWORD_56_51_26 133) (= true_term (is INTLIT_57_39_26 T_int)) (= INTLIT_57_39_26 105) (= true_term (is STMTPRAGMA_56_26_26 T_int)) (= STMTPRAGMA_56_26_26 116) (= true_term (is keywordStrings_56_181_30 ?v_1)) (not (= keywordStrings_56_181_30 null)) (= (typeof keywordStrings_56_181_30) ?v_1) (= (arrayLength keywordStrings_56_181_30) 51) (= true_term (is FLOATLIT_57_42_26 T_int)) (= FLOATLIT_57_42_26 108) (= true_term (is BOOLEANLIT_57_38_26 T_int)) (= BOOLEANLIT_57_38_26 104) (= true_term (is otherStrings_56_193_30 ?v_1)) (not (= otherStrings_56_193_30 null)) (= (typeof otherStrings_56_193_30) ?v_1) (= (arrayLength otherStrings_56_193_30) 15) (= true_term (is MODIFIERPRAGMA_56_25_26 T_int)) (= MODIFIERPRAGMA_56_25_26 115) (= true_term (is CHARLIT_57_41_26 T_int)) (= CHARLIT_57_41_26 107))))
(declare-fun ecReturn () Int)
(declare-fun L_203_1 () Int)
(declare-fun S_215_7 () Int)
(declare-fun NULL_pre_56_82_26 () Int)
(declare-fun name_pre_20_18_28 () Int)
(declare-fun name_20_18_28 () Int)
(declare-fun loc_pre_18_18_13 () Int)
(declare-fun loc_18_18_13 () Int)
(declare-fun TYPEMODIFIERPRAGMA_pre_56_28_26 () Int)
(declare-fun locId_pre_86_38_13 () Int)
(declare-fun locId_86_38_13 () Int)
(declare-fun locId_pre_88_43_13 () Int)
(declare-fun locId_88_43_13 () Int)
(declare-fun pkgName_pre_6_21_14 () Int)
(declare-fun pkgName_6_21_14 () Int)
(declare-fun STRINGLIT_pre_57_44_26 () Int)
(declare-fun IDENT_pre_57_25_26 () Int)
(declare-fun imports_pre_6_25_37 () Int)
(declare-fun imports_6_25_37 () Int)
(declare-fun elements_pre_83_61_39 () Int)
(declare-fun elements_83_61_39 () Int)
(declare-fun count_pre_17_67_33 () Int)
(declare-fun count_17_67_33 () Int)
(declare-fun otherCodes_pre_56_202_27 () Int)
(declare-fun LAST_KEYWORD_pre_56_103_26 () Int)
(declare-fun locType_pre_87_21_13 () Int)
(declare-fun locType_87_21_13 () Int)
(declare-fun punctuationStrings_pre_56_134_22 () Int)
(declare-fun punctuationCodes_pre_56_164_19 () Int)
(declare-fun loc_pre_26_45_13 () Int)
(declare-fun loc_26_45_13 () Int)
(declare-fun whereDecoration_pre_35_597_41 () Int)
(declare-fun noTokens_pre_56_212_27 () Int)
(declare-fun LEXICALPRAGMA_pre_56_24_26 () Int)
(declare-fun syntax_pre_21_28_29 () Int)
(declare-fun syntax_21_28_29 () Int)
(declare-fun locOpenBrace_pre_97_22_13 () Int)
(declare-fun locOpenBrace_97_22_13 () Int)
(declare-fun LONGLIT_pre_57_40_26 () Int)
(declare-fun tokenType_pre_23_90_8 () Int)
(declare-fun tokenType_23_90_8 () Int)
(declare-fun sigDecoration_pre_33_104_38 () Int)
(declare-fun locId_pre_26_48_13 () Int)
(declare-fun locId_26_48_13 () Int)
(declare-fun locOpenBrace_pre_26_51_13 () Int)
(declare-fun locOpenBrace_26_51_13 () Int)
(declare-fun elements_pre_82_61_38 () Int)
(declare-fun elements_82_61_38 () Int)
(declare-fun locCloseBrace_pre_26_54_13 () Int)
(declare-fun locCloseBrace_26_54_13 () Int)
(declare-fun TYPEDECLELEMPRAGMA_pre_56_27_26 () Int)
(declare-fun locCloseBrace_pre_97_25_13 () Int)
(declare-fun locCloseBrace_97_25_13 () Int)
(declare-fun NULL_pre_15_60_26 () Int)
(declare-fun DOUBLELIT_pre_57_43_26 () Int)
(declare-fun typeName_pre_19_15_32 () Int)
(declare-fun typeName_19_15_32 () Int)
(declare-fun FIRST_KEYWORD_pre_56_51_26 () Int)
(declare-fun count_pre_25_67_33 () Int)
(declare-fun count_25_67_33 () Int)
(declare-fun length_pre_22_50_25 () Int)
(declare-fun length_22_50_25 () Int)
(declare-fun loc_pre_6_30_13 () Int)
(declare-fun loc_6_30_13 () Int)
(declare-fun elems_pre_6_27_35 () Int)
(declare-fun elems_6_27_35 () Int)
(declare-fun INTLIT_pre_57_39_26 () Int)
(declare-fun STMTPRAGMA_pre_56_26_26 () Int)
(declare-fun returnType_pre_87_18_28 () Int)
(declare-fun returnType_87_18_28 () Int)
(declare-fun keywordStrings_pre_56_181_30 () Int)
(declare-fun elements_pre_17_61_39 () Int)
(declare-fun elements_17_61_39 () Int)
(declare-fun FLOATLIT_pre_57_42_26 () Int)
(declare-fun owner_pre_4_35_28 () Int)
(declare-fun owner_4_35_28 () Int)
(declare-fun count_pre_83_67_33 () Int)
(declare-fun count_83_67_33 () Int)
(declare-fun typeEnv_pre_35_323_32 () Int)
(declare-fun typeEnv_35_323_32 () Int)
(declare-fun checkedField_pre_30_33 () Int)
(declare-fun checkedField_30_33 () Int)
(declare-fun locOpenBrace_pre_88_36_13 () Int)
(declare-fun locOpenBrace_88_36_13 () Int)
(declare-fun BOOLEANLIT_pre_57_38_26 () Int)
(declare-fun inst_pre_36_29_44 () Int)
(declare-fun inst_36_29_44 () Int)
(declare-fun elements_pre_25_61_37 () Int)
(declare-fun elements_25_61_37 () Int)
(declare-fun body_pre_88_34_19 () Int)
(declare-fun body_88_34_19 () Int)
(declare-fun modifiers_pre_26_28_13 () Int)
(declare-fun modifiers_26_28_13 () Int)
(declare-fun count_pre_82_67_33 () Int)
(declare-fun count_82_67_33 () Int)
(declare-fun id_pre_26_32_34 () Int)
(declare-fun id_26_32_34 () Int)
(declare-fun otherStrings_pre_56_193_30 () Int)
(declare-fun MODIFIERPRAGMA_pre_56_25_26 () Int)
(declare-fun decorationType_pre_5_48_27 () Int)
(declare-fun decorationType_5_48_27 () Int)
(declare-fun type_pre_86_35_28 () Int)
(declare-fun type_86_35_28 () Int)
(declare-fun loc_pre_88_40_13 () Int)
(declare-fun loc_88_40_13 () Int)
(declare-fun CHARLIT_pre_57_41_26 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun cu_200_53 () Int)
(declare-fun imports_201_1 () Int)
(declare-fun i_loopold_203_10 () Int)
(declare-fun EC () Int)
(declare-fun EC_loopold () Int)
(declare-fun RES_203_1_0_203_29_203_29 () Int)
(declare-fun EC_203_1_0_203_29_203_29 () Int)
(declare-fun RES_203_1_0_204_32_204_32 () Int)
(declare-fun EC_203_1_0_204_32_204_32 () Int)
(declare-fun N_203_1_0_207_2 () Int)
(declare-fun RES_203_1_0_208_13_208_13 () Int)
(declare-fun EC_203_1_0_208_13_208_13 () Int)
(declare-fun len_209_17_203_1_0_209_17_22_88_43 () Int)
(declare-fun RES_203_1_0_209_17_209_17 () Int)
(declare-fun EC_203_1_0_209_17_209_17 () Int)
(declare-fun i_210_19_203_1_0_210_19_22_62_48 () Int)
(declare-fun RES_203_1_0_210_19_210_19 () Int)
(declare-fun EC_203_1_0_210_19_210_19 () Int)
(declare-fun RES_203_1_0_212_53_212_53 () Int)
(declare-fun EC_203_1_0_212_53_212_53 () Int)
(declare-fun RES_203_1_0_212_23_212_23 () Int)
(declare-fun EC_203_1_0_212_23_212_23 () Int)
(declare-fun RES_203_1_0_214_23_214_23 () Int)
(declare-fun EC_203_1_0_214_23_214_23 () Int)
(declare-fun RES_203_1_0_216_24_216_24 () Int)
(declare-fun EC_203_1_0_216_24_216_24 () Int)
(declare-fun msg_214_15_203_1_0_214_15_24_180_45 () Int)
(declare-fun EC_203_1_0_214_15_214_15 () Int)
(declare-fun RES () Int)
(declare-fun RES_203_1_0_214_15_214_15 () Int)
(declare-fun EC_1_ () Int)
(declare-fun RES_1_ () Int)
(declare-fun EC_2_ () Int)
(declare-fun i_203_1_0_203_37 () Int)
(declare-fun RES_203_1_1_203_29_203_29 () Int)
(declare-fun EC_203_1_1_203_29_203_29 () Int)
(declare-fun EC_3_ () Int)
(declare-fun EC_201_27 () Int)
(assert (let ((?v_0 (array T_int)) (?v_1 (array T_java_lang_String)) (?v_3 (arrayLength punctuationStrings_56_134_22)) (?v_5 (arrayLength keywordStrings_56_181_30)) (?v_2 (arrayLength otherStrings_56_193_30)) (?v_6 (not (= cu_200_53 null))) (?v_4 (S_select owner_4_35_28 punctuationCodes_56_164_19)) (?v_64 (= imports_201_1 (S_select imports_6_25_37 cu_200_53))) (?v_65 (= 0 i_loopold_203_10)) (?v_66 (= EC EC_loopold)) (?v_13 (= true_term true_term)) (?v_7 (not (= imports_201_1 null)))) (let ((?v_9 (not ?v_7)) (?v_34 (= true_term (is RES_203_1_0_203_29_203_29 T_int))) (?v_8 (= EC_203_1_0_203_29_203_29 ecReturn)) (?v_10 (S_select count_17_67_33 imports_201_1))) (let ((?v_35 (=> ?v_8 (= RES_203_1_0_203_29_203_29 ?v_10))) (?v_36 (< 0 RES_203_1_0_203_29_203_29)) (?v_37 (= true_term (is RES_203_1_0_204_32_204_32 T_javafe_ast_ImportDecl))) (?v_38 (= true_term (isAllocated RES_203_1_0_204_32_204_32 alloc))) (?v_11 (= EC_203_1_0_204_32_204_32 ecReturn)) (?v_12 (not (= RES_203_1_0_204_32_204_32 null)))) (let ((?v_39 (=> ?v_11 ?v_12)) (?v_14 (= true_term (is RES_203_1_0_204_32_204_32 T_javafe_ast_SingleTypeImportDecl))) (?v_16 (cast RES_203_1_0_204_32_204_32 T_javafe_ast_SingleTypeImportDecl))) (let ((?v_15 (not (= ?v_16 null))) (?v_40 (= N_203_1_0_207_2 (S_select name_20_18_28 (S_select typeName_19_15_32 ?v_16)))) (?v_17 (not (= N_203_1_0_207_2 null)))) (let ((?v_19 (not ?v_17)) (?v_41 (= true_term (is RES_203_1_0_208_13_208_13 T_int))) (?v_18 (= EC_203_1_0_208_13_208_13 ecReturn)) (?v_20 (S_select length_22_50_25 N_203_1_0_207_2))) (let ((?v_42 (=> ?v_18 (= RES_203_1_0_208_13_208_13 ?v_20))) (?v_23 (- RES_203_1_0_208_13_208_13 1))) (let ((?v_21 (= len_209_17_203_1_0_209_17_22_88_43 ?v_23)) (?v_43 (= true_term (is RES_203_1_0_209_17_209_17 ?v_1))) (?v_44 (= true_term (isAllocated RES_203_1_0_209_17_209_17 alloc))) (?v_22 (= EC_203_1_0_209_17_209_17 ecReturn)) (?v_29 (= true_term (nonnullelements RES_203_1_0_209_17_209_17 elems)))) (let ((?v_45 (=> ?v_22 ?v_29)) (?v_46 (=> ?v_22 (= (arrayLength RES_203_1_0_209_17_209_17) len_209_17_203_1_0_209_17_22_88_43))) (?v_24 (= i_210_19_203_1_0_210_19_22_62_48 ?v_23)) (?v_47 (= true_term (is RES_203_1_0_210_19_210_19 T_javafe_ast_Identifier))) (?v_48 (= true_term (isAllocated RES_203_1_0_210_19_210_19 alloc))) (?v_25 (= EC_203_1_0_210_19_210_19 ecReturn)) (?v_26 (not (= RES_203_1_0_210_19_210_19 null)))) (let ((?v_49 (=> ?v_25 ?v_26)) (?v_50 (= true_term (is RES_203_1_0_212_53_212_53 T_java_lang_String))) (?v_51 (= true_term (isAllocated RES_203_1_0_212_53_212_53 alloc))) (?v_27 (= EC_203_1_0_212_53_212_53 ecReturn)) (?v_28 (not (= RES_203_1_0_212_53_212_53 null)))) (let ((?v_52 (=> ?v_27 ?v_28)) (?v_53 (= true_term (is RES_203_1_0_212_23_212_23 T_javafe_tc_TypeSig))) (?v_54 (= true_term (isAllocated RES_203_1_0_212_23_212_23 alloc))) (?v_55 (= EC_203_1_0_212_23_212_23 ecReturn)) (?v_56 (= RES_203_1_0_212_23_212_23 null)) (?v_57 (= true_term (is RES_203_1_0_214_23_214_23 T_int))) (?v_30 (= EC_203_1_0_214_23_214_23 ecReturn)) (?v_31 (= true_term (is N_203_1_0_207_2 T_javafe_ast_Type))) (?v_32 (not (= RES_203_1_0_214_23_214_23 NULL_15_60_26)))) (let ((?v_58 (=> (and ?v_30 (not (and ?v_31 ?v_17))) ?v_32)) (?v_59 (=> (and ?v_30 ?v_31 ?v_17 (= true_term (S_select syntax_21_28_29 (cast N_203_1_0_207_2 T_javafe_ast_Type)))) ?v_32)) (?v_60 (= true_term (is RES_203_1_0_216_24_216_24 T_java_lang_String))) (?v_61 (= true_term (isAllocated RES_203_1_0_216_24_216_24 alloc))) (?v_33 (= EC_203_1_0_216_24_216_24 ecReturn))) (let ((?v_62 (=> ?v_33 (not (= RES_203_1_0_216_24_216_24 null)))) (?v_63 (= msg_214_15_203_1_0_214_15_24_180_45 (stringCat S_215_7 RES_203_1_0_216_24_216_24)))) (let ((?v_67 (or (and ?v_14 ?v_12 ?v_13 ?v_14 ?v_15 ?v_40 ?v_17 ?v_41 ?v_18 ?v_42 ?v_17 ?v_21 ?v_43 ?v_44 ?v_22 ?v_45 ?v_46 ?v_17 ?v_24 ?v_47 ?v_48 ?v_25 ?v_49 ?v_26 ?v_50 ?v_51 ?v_27 ?v_52 ?v_28 ?v_29 ?v_53 ?v_54 ?v_55 (or (and ?v_56 ?v_13 ?v_17 ?v_57 ?v_30 ?v_58 ?v_59 ?v_60 ?v_61 ?v_33 ?v_62 ?v_63 ?v_32 (= EC_203_1_0_214_15_214_15 ecReturn) (= RES RES_203_1_0_214_15_214_15) (= EC_1_ EC_203_1_0_214_15_214_15)) (and (not ?v_56) ?v_13 (= RES RES_203_1_0_212_23_212_23) (= EC_1_ EC_203_1_0_212_23_212_23))) (= RES_1_ RES) (= EC_2_ EC_1_)) (and (not (and ?v_14 ?v_12)) ?v_13 (= RES_1_ RES_203_1_0_204_32_204_32) (= EC_2_ EC_203_1_0_204_32_204_32)))) (?v_68 (= i_203_1_0_203_37 (+ 0 1))) (?v_69 (= EC_203_1_1_203_29_203_29 ecReturn))) (let ((?v_70 (or (and ?v_13 ?v_7 ?v_34 ?v_8 ?v_35 (not ?v_36)) (and ?v_13 ?v_7 ?v_34 ?v_8 ?v_35 ?v_36 ?v_7 ?v_37 ?v_38 ?v_11 ?v_39 ?v_67 ?v_68 ?v_13 ?v_7 (= true_term (is RES_203_1_1_203_29_203_29 T_int)) ?v_69 (=> ?v_69 (= RES_203_1_1_203_29_203_29 ?v_10)) (not (< i_203_1_0_203_37 RES_203_1_1_203_29_203_29))))) (?v_71 (= L_203_1 L_203_1)) (?v_72 (= EC_201_27 ecReturn))) (not (=> (and (distinct ecReturn L_203_1) (not (= S_215_7 null)) (= (typeof S_215_7) T_java_lang_String)) (=> (and (= NULL_pre_56_82_26 NULL_56_82_26) (= true_term (is NULL_56_82_26 T_int)) (= name_pre_20_18_28 name_20_18_28) (= name_20_18_28 (asField name_20_18_28 T_javafe_ast_Name)) (< (fClosedTime name_20_18_28) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select name_20_18_28 ?s) null)))) (= loc_pre_18_18_13 loc_18_18_13) (= loc_18_18_13 (asField loc_18_18_13 T_int)) (= TYPEMODIFIERPRAGMA_pre_56_28_26 TYPEMODIFIERPRAGMA_56_28_26) (= true_term (is TYPEMODIFIERPRAGMA_56_28_26 T_int)) (= locId_pre_86_38_13 locId_86_38_13) (= locId_86_38_13 (asField locId_86_38_13 T_int)) (= locId_pre_88_43_13 locId_88_43_13) (= locId_88_43_13 (asField locId_88_43_13 T_int)) (= pkgName_pre_6_21_14 pkgName_6_21_14) (= pkgName_6_21_14 (asField pkgName_6_21_14 T_javafe_ast_Name)) (< (fClosedTime pkgName_6_21_14) alloc) (= STRINGLIT_pre_57_44_26 STRINGLIT_57_44_26) (= true_term (is STRINGLIT_57_44_26 T_int)) (= IDENT_pre_57_25_26 IDENT_57_25_26) (= true_term (is IDENT_57_25_26 T_int)) (= imports_pre_6_25_37 imports_6_25_37) (= imports_6_25_37 (asField imports_6_25_37 T_javafe_ast_ImportDeclVec)) (< (fClosedTime imports_6_25_37) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select imports_6_25_37 ?s_1_) null)))) (= elements_pre_83_61_39 elements_83_61_39) (= elements_83_61_39 (asField elements_83_61_39 (array T_javafe_ast_MethodDecl))) (< (fClosedTime elements_83_61_39) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select elements_83_61_39 ?s_2_) null)))) (= count_pre_17_67_33 count_17_67_33) (= count_17_67_33 (asField count_17_67_33 T_int)) (= otherCodes_pre_56_202_27 otherCodes_56_202_27) (= true_term (is otherCodes_56_202_27 ?v_0)) (= true_term (isAllocated otherCodes_56_202_27 alloc)) (= LAST_KEYWORD_pre_56_103_26 LAST_KEYWORD_56_103_26) (= true_term (is LAST_KEYWORD_56_103_26 T_int)) (= locType_pre_87_21_13 locType_87_21_13) (= locType_87_21_13 (asField locType_87_21_13 T_int)) (= punctuationStrings_pre_56_134_22 punctuationStrings_56_134_22) (= true_term (is punctuationStrings_56_134_22 ?v_1)) (= true_term (isAllocated punctuationStrings_56_134_22 alloc)) (= punctuationCodes_pre_56_164_19 punctuationCodes_56_164_19) (= true_term (is punctuationCodes_56_164_19 ?v_0)) (= true_term (isAllocated punctuationCodes_56_164_19 alloc)) (= loc_pre_26_45_13 loc_26_45_13) (= loc_26_45_13 (asField loc_26_45_13 T_int)) (= whereDecoration_pre_35_597_41 whereDecoration_35_597_41) (= true_term (is whereDecoration_35_597_41 T_javafe_ast_ASTDecoration)) (= true_term (isAllocated whereDecoration_35_597_41 alloc)) (= noTokens_pre_56_212_27 noTokens_56_212_27) (= true_term (is noTokens_56_212_27 T_int)) (= LEXICALPRAGMA_pre_56_24_26 LEXICALPRAGMA_56_24_26) (= true_term (is LEXICALPRAGMA_56_24_26 T_int)) (= syntax_pre_21_28_29 syntax_21_28_29) (= syntax_21_28_29 (asField syntax_21_28_29 T_boolean)) (= locOpenBrace_pre_97_22_13 locOpenBrace_97_22_13) (= locOpenBrace_97_22_13 (asField locOpenBrace_97_22_13 T_int)) (= LONGLIT_pre_57_40_26 LONGLIT_57_40_26) (= true_term (is LONGLIT_57_40_26 T_int)) (= tokenType_pre_23_90_8 tokenType_23_90_8) (= tokenType_23_90_8 (asField tokenType_23_90_8 T_int)) (= sigDecoration_pre_33_104_38 sigDecoration_33_104_38) (= true_term (is sigDecoration_33_104_38 T_javafe_ast_ASTDecoration)) (= true_term (isAllocated sigDecoration_33_104_38 alloc)) (= locId_pre_26_48_13 locId_26_48_13) (= locId_26_48_13 (asField locId_26_48_13 T_int)) (= locOpenBrace_pre_26_51_13 locOpenBrace_26_51_13) (= locOpenBrace_26_51_13 (asField locOpenBrace_26_51_13 T_int)) (= elements_pre_82_61_38 elements_82_61_38) (= elements_82_61_38 (asField elements_82_61_38 (array T_javafe_ast_FieldDecl))) (< (fClosedTime elements_82_61_38) alloc) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (not (= (S_select elements_82_61_38 ?s_3_) null)))) (= locCloseBrace_pre_26_54_13 locCloseBrace_26_54_13) (= locCloseBrace_26_54_13 (asField locCloseBrace_26_54_13 T_int)) (= TYPEDECLELEMPRAGMA_pre_56_27_26 TYPEDECLELEMPRAGMA_56_27_26) (= true_term (is TYPEDECLELEMPRAGMA_56_27_26 T_int)) (= locCloseBrace_pre_97_25_13 locCloseBrace_97_25_13) (= locCloseBrace_97_25_13 (asField locCloseBrace_97_25_13 T_int)) (= NULL_pre_15_60_26 NULL_15_60_26) (= true_term (is NULL_15_60_26 T_int)) (= DOUBLELIT_pre_57_43_26 DOUBLELIT_57_43_26) (= true_term (is DOUBLELIT_57_43_26 T_int)) (= typeName_pre_19_15_32 typeName_19_15_32) (= typeName_19_15_32 (asField typeName_19_15_32 T_javafe_ast_TypeName)) (< (fClosedTime typeName_19_15_32) alloc) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (not (= (S_select typeName_19_15_32 ?s_4_) null)))) (= FIRST_KEYWORD_pre_56_51_26 FIRST_KEYWORD_56_51_26) (= true_term (is FIRST_KEYWORD_56_51_26 T_int)) (= count_pre_25_67_33 count_25_67_33) (= count_25_67_33 (asField count_25_67_33 T_int)) (= length_pre_22_50_25 length_22_50_25) (= length_22_50_25 (asField length_22_50_25 T_int)) (= loc_pre_6_30_13 loc_6_30_13) (= loc_6_30_13 (asField loc_6_30_13 T_int)) (= elems_pre_6_27_35 elems_6_27_35) (= elems_6_27_35 (asField elems_6_27_35 T_javafe_ast_TypeDeclVec)) (< (fClosedTime elems_6_27_35) alloc) (forall ((?s_5_ Int)) (=> (not (= ?s_5_ null)) (not (= (S_select elems_6_27_35 ?s_5_) null)))) (= INTLIT_pre_57_39_26 INTLIT_57_39_26) (= true_term (is INTLIT_57_39_26 T_int)) (= STMTPRAGMA_pre_56_26_26 STMTPRAGMA_56_26_26) (= true_term (is STMTPRAGMA_56_26_26 T_int)) (= returnType_pre_87_18_28 returnType_87_18_28) (= returnType_87_18_28 (asField returnType_87_18_28 T_javafe_ast_Type)) (< (fClosedTime returnType_87_18_28) alloc) (forall ((?s_6_ Int)) (=> (not (= ?s_6_ null)) (not (= (S_select returnType_87_18_28 ?s_6_) null)))) (= keywordStrings_pre_56_181_30 keywordStrings_56_181_30) (= true_term (is keywordStrings_56_181_30 ?v_1)) (= true_term (isAllocated keywordStrings_56_181_30 alloc)) (= elements_pre_17_61_39 elements_17_61_39) (= elements_17_61_39 (asField elements_17_61_39 (array T_javafe_ast_ImportDecl))) (< (fClosedTime elements_17_61_39) alloc) (forall ((?s_7_ Int)) (=> (not (= ?s_7_ null)) (not (= (S_select elements_17_61_39 ?s_7_) null)))) (= FLOATLIT_pre_57_42_26 FLOATLIT_57_42_26) (= true_term (is FLOATLIT_57_42_26 T_int)) (= owner_pre_4_35_28 owner_4_35_28) (= owner_4_35_28 (asField owner_4_35_28 T_java_lang_Object)) (< (fClosedTime owner_4_35_28) alloc) (= count_pre_83_67_33 count_83_67_33) (= count_83_67_33 (asField count_83_67_33 T_int)) (= typeEnv_pre_35_323_32 typeEnv_35_323_32) (= true_term (is typeEnv_35_323_32 T_javafe_ast_ASTDecoration)) (= true_term (isAllocated typeEnv_35_323_32 alloc)) (= checkedField_pre_30_33 checkedField_30_33) (= true_term (is checkedField_30_33 T_javafe_ast_ASTDecoration)) (= true_term (isAllocated checkedField_30_33 alloc)) (= locOpenBrace_pre_88_36_13 locOpenBrace_88_36_13) (= locOpenBrace_88_36_13 (asField locOpenBrace_88_36_13 T_int)) (= BOOLEANLIT_pre_57_38_26 BOOLEANLIT_57_38_26) (= true_term (is BOOLEANLIT_57_38_26 T_int)) (= inst_pre_36_29_44 inst_36_29_44) (= true_term (is inst_36_29_44 T_javafe_ast_PrettyPrint)) (= true_term (isAllocated inst_36_29_44 alloc)) (not (= inst_36_29_44 null)) (= elements_pre_25_61_37 elements_25_61_37) (= elements_25_61_37 (asField elements_25_61_37 (array T_javafe_ast_TypeDecl))) (< (fClosedTime elements_25_61_37) alloc) (forall ((?s_8_ Int)) (=> (not (= ?s_8_ null)) (not (= (S_select elements_25_61_37 ?s_8_) null)))) (= body_pre_88_34_19 body_88_34_19) (= body_88_34_19 (asField body_88_34_19 T_javafe_ast_BlockStmt)) (< (fClosedTime body_88_34_19) alloc) (= modifiers_pre_26_28_13 modifiers_26_28_13) (= modifiers_26_28_13 (asField modifiers_26_28_13 T_int)) (= count_pre_82_67_33 count_82_67_33) (= count_82_67_33 (asField count_82_67_33 T_int)) (= id_pre_26_32_34 id_26_32_34) (= id_26_32_34 (asField id_26_32_34 T_javafe_ast_Identifier)) (< (fClosedTime id_26_32_34) alloc) (forall ((?s_9_ Int)) (=> (not (= ?s_9_ null)) (not (= (S_select id_26_32_34 ?s_9_) null)))) (= otherStrings_pre_56_193_30 otherStrings_56_193_30) (= true_term (is otherStrings_56_193_30 ?v_1)) (= true_term (isAllocated otherStrings_56_193_30 alloc)) (= MODIFIERPRAGMA_pre_56_25_26 MODIFIERPRAGMA_56_25_26) (= true_term (is MODIFIERPRAGMA_56_25_26 T_int)) (= decorationType_pre_5_48_27 decorationType_5_48_27) (= decorationType_5_48_27 (asField decorationType_5_48_27 T__TYPE)) (= type_pre_86_35_28 type_86_35_28) (= type_86_35_28 (asField type_86_35_28 T_javafe_ast_Type)) (< (fClosedTime type_86_35_28) alloc) (forall ((?s_10_ Int)) (=> (not (= ?s_10_ null)) (not (= (S_select type_86_35_28 ?s_10_) null)))) (= loc_pre_88_40_13 loc_88_40_13) (= loc_88_40_13 (asField loc_88_40_13 T_int)) (= CHARLIT_pre_57_41_26 CHARLIT_57_41_26) (= true_term (is CHARLIT_57_41_26 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is cu_200_53 T_javafe_ast_CompilationUnit)) (= true_term (isAllocated cu_200_53 alloc)) ?v_6 (= noTokens_56_212_27 (+ (+ ?v_5 ?v_3) ?v_2)) (= true_term (nonnullelements otherStrings_56_193_30 elems)) (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj null))) (= (typeof (S_select elements_83_61_39 ?brokenObj)) (array T_javafe_ast_MethodDecl)))) (forall ((?i_56_149_29 Int)) (let ((?v_73 (S_select (S_select elems punctuationCodes_56_164_19) ?i_56_149_29))) (=> (and (<= 0 ?i_56_149_29) (<= ?i_56_149_29 (arrayLength punctuationCodes_56_164_19))) (and (not (= ?v_73 IDENT_57_25_26)) (not (= ?v_73 BOOLEANLIT_57_38_26)) (not (= ?v_73 INTLIT_57_39_26)) (not (= ?v_73 LONGLIT_57_40_26)) (not (= ?v_73 FLOATLIT_57_42_26)) (not (= ?v_73 DOUBLELIT_57_43_26)) (not (= ?v_73 STRINGLIT_57_44_26)) (not (= ?v_73 CHARLIT_57_41_26)) (not (= ?v_73 LEXICALPRAGMA_56_24_26)) (not (= ?v_73 MODIFIERPRAGMA_56_25_26)) (not (= ?v_73 STMTPRAGMA_56_26_26)) (not (= ?v_73 TYPEDECLELEMPRAGMA_56_27_26)) (not (= ?v_73 TYPEMODIFIERPRAGMA_56_28_26)))))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_1_ null))) (forall ((?i_82_62_31 Int)) (=> (and (<= 0 ?i_82_62_31) (< ?i_82_62_31 (S_select count_82_67_33 ?brokenObj_1_))) (not (= (S_select (S_select elems (S_select elements_82_61_38 ?brokenObj_1_)) ?i_82_62_31) null)))))) (= (arrayLength otherCodes_56_202_27) ?v_2) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_ast_Name)) (not (= ?brokenObj_2_ null))) (>= (S_select length_22_50_25 ?brokenObj_2_) 1))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_ast_RoutineDecl)) (not (= ?brokenObj_3_ null))) (not (= (S_select loc_88_40_13 ?brokenObj_3_) NULL_15_60_26)))) (= (arrayLength punctuationCodes_56_164_19) ?v_3) (forall ((?brokenObj_4_ Int)) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_4_ null))) (<= 0 (S_select count_83_67_33 ?brokenObj_4_)))) (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_5_ null))) (= (typeof (S_select elements_82_61_38 ?brokenObj_5_)) (array T_javafe_ast_FieldDecl)))) (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_javafe_ast_ImportDecl)) (not (= ?brokenObj_6_ null))) (not (= (S_select loc_18_18_13 ?brokenObj_6_) NULL_15_60_26)))) (= true_term (nonnullelements keywordStrings_56_181_30 elems)) (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_javafe_ast_ImportDeclVec)) (not (= ?brokenObj_7_ null))) (forall ((?i_17_62_31 Int)) (=> (and (<= 0 ?i_17_62_31) (< ?i_17_62_31 (S_select count_17_67_33 ?brokenObj_7_))) (not (= (S_select (S_select elems (S_select elements_17_61_39 ?brokenObj_7_)) ?i_17_62_31) null)))))) (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_javafe_ast_GenericVarDecl)) (not (= ?brokenObj_8_ null))) (not (= (S_select locId_86_38_13 ?brokenObj_8_) NULL_15_60_26)))) (forall ((?brokenObj_9_ Int)) (=> (and (= true_term (is ?brokenObj_9_ T_javafe_ast_RoutineDecl)) (not (= ?brokenObj_9_ null))) (not (= (S_select locId_88_43_13 ?brokenObj_9_) NULL_15_60_26)))) (forall ((?brokenObj_10_ Int)) (=> (and (= true_term (is ?brokenObj_10_ T_javafe_ast_MethodDecl)) (not (= ?brokenObj_10_ null))) (= true_term (S_select syntax_21_28_29 (S_select returnType_87_18_28 ?brokenObj_10_))))) (= true_term (is ?v_4 T_javafe_parser_TagConstants)) (not (= ?v_4 null)) (forall ((?brokenObj_11_ Int)) (=> (and (= true_term (is ?brokenObj_11_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_11_ null))) (= (S_select owner_4_35_28 (S_select elements_83_61_39 ?brokenObj_11_)) ?brokenObj_11_))) (forall ((?brokenObj_12_ Int)) (=> (and (= true_term (is ?brokenObj_12_ T_javafe_ast_MethodDecl)) (not (= ?brokenObj_12_ null))) (not (= (S_select locType_87_21_13 ?brokenObj_12_) NULL_15_60_26)))) (forall ((?brokenObj_13_ Int)) (=> (and (= true_term (is ?brokenObj_13_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_13_ null))) (<= 0 (S_select count_82_67_33 ?brokenObj_13_)))) (= true_term (nonnullelements punctuationStrings_56_134_22 elems)) (forall ((?brokenObj_14_ Int)) (=> (and (= true_term (is ?brokenObj_14_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_14_ null))) (not (= (S_select loc_26_45_13 ?brokenObj_14_) NULL_15_60_26)))) (forall ((?brokenObj_15_ Int)) (=> (and (= true_term (is ?brokenObj_15_ T_javafe_ast_ImportDeclVec)) (not (= ?brokenObj_15_ null))) (= (typeof (S_select elements_17_61_39 ?brokenObj_15_)) (array T_javafe_ast_ImportDecl)))) (forall ((?brokenObj_16_ Int)) (=> (and (= true_term (is ?brokenObj_16_ T_javafe_ast_GenericBlockStmt)) (not (= ?brokenObj_16_ null))) (not (= (S_select locOpenBrace_97_22_13 ?brokenObj_16_) NULL_15_60_26)))) (forall ((?brokenObj_17_ Int)) (=> (and (= true_term (is ?brokenObj_17_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_17_ null))) (<= (S_select count_83_67_33 ?brokenObj_17_) (arrayLength (S_select elements_83_61_39 ?brokenObj_17_))))) (forall ((?brokenObj_18_ Int)) (=> (and (= true_term (is ?brokenObj_18_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_18_ null))) (not (= (S_select locId_26_48_13 ?brokenObj_18_) NULL_15_60_26)))) (forall ((?brokenObj_19_ Int)) (=> (and (= true_term (is ?brokenObj_19_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_19_ null))) (not (= (S_select locOpenBrace_26_51_13 ?brokenObj_19_) NULL_15_60_26)))) (forall ((?brokenObj_20_ Int)) (=> (and (= true_term (is ?brokenObj_20_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_20_ null))) (not (= (S_select locCloseBrace_26_54_13 ?brokenObj_20_) NULL_15_60_26)))) (forall ((?brokenObj_21_ Int)) (=> (and (= true_term (is ?brokenObj_21_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_21_ null))) (= (S_select owner_4_35_28 (S_select elements_82_61_38 ?brokenObj_21_)) ?brokenObj_21_))) (forall ((?brokenObj_22_ Int)) (=> (and (= true_term (is ?brokenObj_22_ T_javafe_ast_GenericBlockStmt)) (not (= ?brokenObj_22_ null))) (not (= (S_select locCloseBrace_97_25_13 ?brokenObj_22_) NULL_15_60_26)))) (forall ((?brokenObj_23_ Int)) (=> (and (= true_term (is ?brokenObj_23_ T_javafe_ast_GenericVarDecl)) (not (= ?brokenObj_23_ null))) (= true_term (S_select syntax_21_28_29 (S_select type_86_35_28 ?brokenObj_23_))))) (forall ((?brokenObj_24_ Int)) (=> (and (= true_term (is ?brokenObj_24_ T_javafe_ast_ImportDeclVec)) (not (= ?brokenObj_24_ null))) (<= 0 (S_select count_17_67_33 ?brokenObj_24_)))) (forall ((?i_56_147_29 Int)) (=> (and (<= 0 ?i_56_147_29) (<= ?i_56_147_29 (arrayLength punctuationCodes_56_164_19))) (not (= (S_select (S_select elems punctuationCodes_56_164_19) ?i_56_147_29) NULL_56_82_26)))) (forall ((?brokenObj_25_ Int)) (=> (and (= true_term (is ?brokenObj_25_ T_javafe_ast_TypeName)) (not (= ?brokenObj_25_ null))) (= true_term (S_select syntax_21_28_29 ?brokenObj_25_)))) (forall ((?brokenObj_26_ Int)) (=> (and (= true_term (is ?brokenObj_26_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_26_ null))) (<= (S_select count_82_67_33 ?brokenObj_26_) (arrayLength (S_select elements_82_61_38 ?brokenObj_26_))))) (forall ((?brokenObj_27_ Int)) (let ((?v_74 (S_select tokenType_23_90_8 ?brokenObj_27_))) (=> (and (= true_term (is ?brokenObj_27_ T_javafe_ast_Identifier)) (not (= ?brokenObj_27_ null))) (and (not (= ?v_74 BOOLEANLIT_57_38_26)) (not (= ?v_74 INTLIT_57_39_26)) (not (= ?v_74 LONGLIT_57_40_26)) (not (= ?v_74 FLOATLIT_57_42_26)) (not (= ?v_74 DOUBLELIT_57_43_26)) (not (= ?v_74 STRINGLIT_57_44_26)) (not (= ?v_74 CHARLIT_57_41_26)) (not (= ?v_74 LEXICALPRAGMA_56_24_26)) (not (= ?v_74 MODIFIERPRAGMA_56_25_26)) (not (= ?v_74 STMTPRAGMA_56_26_26)) (not (= ?v_74 TYPEDECLELEMPRAGMA_56_27_26)) (not (= ?v_74 TYPEMODIFIERPRAGMA_56_28_26)))))) (forall ((?brokenObj_28_ Int)) (=> (and (= true_term (is ?brokenObj_28_ T_javafe_ast_CompilationUnit)) (not (= ?brokenObj_28_ null))) (not (= (S_select loc_6_30_13 ?brokenObj_28_) NULL_15_60_26)))) (forall ((?brokenObj_29_ Int)) (=> (and (= true_term (is ?brokenObj_29_ T_javafe_ast_ImportDeclVec)) (not (= ?brokenObj_29_ null))) (= (S_select owner_4_35_28 (S_select elements_17_61_39 ?brokenObj_29_)) ?brokenObj_29_))) (forall ((?brokenObj_30_ Int)) (=> (and (= true_term (is ?brokenObj_30_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_30_ null))) (not (= true_term (S_select syntax_21_28_29 ?brokenObj_30_))))) (forall ((?brokenObj_31_ Int)) (=> (and (= true_term (is ?brokenObj_31_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_31_ null))) (forall ((?i_83_62_31 Int)) (=> (and (<= 0 ?i_83_62_31) (< ?i_83_62_31 (S_select count_83_67_33 ?brokenObj_31_))) (not (= (S_select (S_select elems (S_select elements_83_61_39 ?brokenObj_31_)) ?i_83_62_31) null)))))) (forall ((?brokenObj_32_ Int)) (=> (and (= true_term (is ?brokenObj_32_ T_javafe_ast_ImportDeclVec)) (not (= ?brokenObj_32_ null))) (<= (S_select count_17_67_33 ?brokenObj_32_) (arrayLength (S_select elements_17_61_39 ?brokenObj_32_))))) (= ?v_5 (- (+ 1 LAST_KEYWORD_56_103_26) FIRST_KEYWORD_56_51_26)) (forall ((?brokenObj_33_ Int)) (=> (and (= true_term (is ?brokenObj_33_ T_javafe_ast_RoutineDecl)) (not (= ?brokenObj_33_ null)) (not (= (S_select body_88_34_19 ?brokenObj_33_) null))) (not (= (S_select locOpenBrace_88_36_13 ?brokenObj_33_) NULL_15_60_26)))) (or (not ?v_6) (and ?v_6 ?v_64 ?v_65 ?v_66 (or (and ?v_13 (or ?v_9 (and ?v_7 ?v_34 ?v_8 ?v_35 ?v_36 (or ?v_9 (and ?v_7 (or (not (and (<= 0 0) (< 0 ?v_10))) (and ?v_37 ?v_38 ?v_11 ?v_39 ?v_14 ?v_12 ?v_13 (or (not ?v_14) (and ?v_14 (or (not ?v_15) (and ?v_15 ?v_40 (or ?v_19 (and ?v_17 ?v_41 ?v_18 ?v_42 (or ?v_19 (and ?v_17 (or (and ?v_21 (not (and (<= 0 len_209_17_203_1_0_209_17_22_88_43) (<= len_209_17_203_1_0_209_17_22_88_43 ?v_20)))) (and ?v_21 ?v_43 ?v_44 ?v_22 ?v_45 ?v_46 (or ?v_19 (and ?v_17 (or (and ?v_24 (not (and (<= 0 i_210_19_203_1_0_210_19_22_62_48) (< i_210_19_203_1_0_210_19_22_62_48 ?v_20)))) (and ?v_24 ?v_47 ?v_48 ?v_25 ?v_49 (or (not ?v_26) (and ?v_26 ?v_50 ?v_51 ?v_27 ?v_52 (or (not ?v_28) (and ?v_28 (not ?v_29)) (and ?v_28 ?v_29 ?v_53 ?v_54 ?v_55 ?v_56 ?v_13 (or ?v_19 (and ?v_17 ?v_57 ?v_30 ?v_58 ?v_59 ?v_60 ?v_61 ?v_33 ?v_62 ?v_63 (not ?v_32)))))))))))))))))))))))))))) (and ?v_13 ?v_7 ?v_34 ?v_8 ?v_35 ?v_36 ?v_7 ?v_37 ?v_38 ?v_11 ?v_39 ?v_67 ?v_68 ?v_13 ?v_9))) (and (or (and ?v_6 ?v_64 ?v_65 ?v_66 ?v_70 ?v_71 (= EC_3_ L_203_1) ?v_72) (and ?v_6 ?v_64 ?v_65 ?v_66 ?v_70 (not ?v_71) (= EC_201_27 L_203_1))) (not ?v_72))))))))))))))))))))))))
(check-sat)
(exit)
