(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_javafe_tc_FieldDeclVec () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_javafe_tc_MethodDeclVec () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_javafe_ast_Stmt () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_javafe_ast_Type () Int)
(declare-fun T_javafe_tc_Listener () Int)
(declare-fun T_java_util_Vector () Int)
(declare-fun T_java_util_AbstractList () Int)
(declare-fun T_java_util_List () Int)
(declare-fun T_java_util_Collection () Int)
(declare-fun T_javafe_ast_CompilationUnit () Int)
(declare-fun T_javafe_ast_TypeDecl () Int)
(declare-fun T_javafe_ast_TypeDeclElem () Int)
(declare-fun T_javafe_ast_RoutineDecl () Int)
(declare-fun T_javafe_ast_MethodDecl () Int)
(declare-fun T_javafe_test_SuperlinksTest () Int)
(declare-fun T_javafe_SrcTool () Int)
(declare-fun T_java_util_AbstractCollection () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_Tool () Int)
(declare-fun T_javafe_tc_TypeSig () Int)
(declare-fun T_javafe_tc_TypeCheck () Int)
(declare-fun T_javafe_ast_FieldDecl () Int)
(declare-fun T_javafe_ast_GenericVarDecl () Int)
(declare-fun T_javafe_FrontEndTool () Int)
(declare-fun T_javafe_ast_BlockStmt () Int)
(declare-fun T_javafe_ast_GenericBlockStmt () Int)
(declare-fun T_javafe_ast_ASTDecoration () Int)
(declare-fun T_javafe_tc_Env () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun LINKSRESOLVED_26_774_28 () Int)
(declare-fun PARSED_26_772_28 () Int)
(declare-fun PREPPED_26_775_28 () Int)
(declare-fun argumentFileNames_4_56_25 () Int)
(assert (and (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_tc_FieldDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_FieldDeclVec (asChild T_javafe_tc_FieldDeclVec T_java_lang_Object)) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_tc_MethodDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_MethodDeclVec (asChild T_javafe_tc_MethodDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_javafe_ast_Stmt T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Stmt (asChild T_javafe_ast_Stmt T_javafe_ast_ASTNode)) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_Type T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Type (asChild T_javafe_ast_Type T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_tc_Listener T_java_lang_Object) true_term) (= (PO_LT T_java_util_Vector T_java_util_AbstractList) true_term) (= T_java_util_Vector (asChild T_java_util_Vector T_java_util_AbstractList)) (= (PO_LT T_java_util_Vector T_java_util_List) true_term) (= (PO_LT T_java_util_Vector T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Vector T_java_io_Serializable) true_term) (= (PO_LT T_java_util_Collection T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CompilationUnit (asChild T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDecl (asChild T_javafe_ast_TypeDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_RoutineDecl (asChild T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl) true_term) (= T_javafe_ast_MethodDecl (asChild T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl)) (= (PO_LT T_javafe_test_SuperlinksTest T_javafe_SrcTool) true_term) (= T_javafe_test_SuperlinksTest (asChild T_javafe_test_SuperlinksTest T_javafe_SrcTool)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_java_util_AbstractCollection T_java_lang_Object) true_term) (= T_java_util_AbstractCollection (asChild T_java_util_AbstractCollection T_java_lang_Object)) (= (PO_LT T_java_util_AbstractCollection T_java_util_Collection) true_term) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_Tool T_java_lang_Object) true_term) (= T_javafe_Tool (asChild T_javafe_Tool T_java_lang_Object)) (= (PO_LT T_javafe_tc_TypeSig T_javafe_ast_Type) true_term) (= T_javafe_tc_TypeSig (asChild T_javafe_tc_TypeSig T_javafe_ast_Type)) (= (PO_LT T_javafe_tc_TypeCheck T_java_lang_Object) true_term) (= T_javafe_tc_TypeCheck (asChild T_javafe_tc_TypeCheck T_java_lang_Object)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FieldDecl (asChild T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_GenericVarDecl (asChild T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_FrontEndTool T_javafe_Tool) true_term) (= T_javafe_FrontEndTool (asChild T_javafe_FrontEndTool T_javafe_Tool)) (= (PO_LT T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt) true_term) (= T_javafe_ast_BlockStmt (asChild T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt)) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_ASTDecoration T_java_lang_Object) true_term) (= T_javafe_ast_ASTDecoration (asChild T_javafe_ast_ASTDecoration T_java_lang_Object)) (= (PO_LT T_javafe_tc_Env T_java_lang_Object) true_term) (= T_javafe_tc_Env (asChild T_javafe_tc_Env T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_List T_java_lang_Object) true_term) (= (PO_LT T_java_util_List T_java_util_Collection) true_term) (= (PO_LT T_javafe_SrcTool T_javafe_FrontEndTool) true_term) (= T_javafe_SrcTool (asChild T_javafe_SrcTool T_javafe_FrontEndTool)) (= (PO_LT T_javafe_SrcTool T_javafe_tc_Listener) true_term) (= (PO_LT T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_GenericBlockStmt (asChild T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt)) (= (PO_LT T_java_util_AbstractList T_java_util_AbstractCollection) true_term) (= T_java_util_AbstractList (asChild T_java_util_AbstractList T_java_util_AbstractCollection)) (= (PO_LT T_java_util_AbstractList T_java_util_List) true_term) (= (PO_LT T_javafe_ast_TypeDeclElem T_java_lang_Object) true_term) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_io_Serializable (+ DIST_ZERO_1 10)) (= T_javafe_tc_FieldDeclVec (+ DIST_ZERO_1 11)) (= T_java_util_Map (+ DIST_ZERO_1 12)) (= T_javafe_tc_MethodDeclVec (+ DIST_ZERO_1 13)) (= T_javafe_util_Location (+ DIST_ZERO_1 14)) (= T_javafe_ast_Stmt (+ DIST_ZERO_1 15)) (= T_java_util_Hashtable (+ DIST_ZERO_1 16)) (= T_javafe_ast_Type (+ DIST_ZERO_1 17)) (= T_javafe_tc_Listener (+ DIST_ZERO_1 18)) (= T_java_util_Vector (+ DIST_ZERO_1 19)) (= T_java_util_Collection (+ DIST_ZERO_1 20)) (= T_java_lang_Object (+ DIST_ZERO_1 21)) (= T_javafe_ast_CompilationUnit (+ DIST_ZERO_1 22)) (= T_javafe_ast_TypeDecl (+ DIST_ZERO_1 23)) (= T_java_util_Dictionary (+ DIST_ZERO_1 24)) (= T_javafe_ast_RoutineDecl (+ DIST_ZERO_1 25)) (= T_javafe_ast_MethodDecl (+ DIST_ZERO_1 26)) (= T_javafe_test_SuperlinksTest (+ DIST_ZERO_1 27)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 28)) (= T_java_util_AbstractCollection (+ DIST_ZERO_1 29)) (= T_java_lang_String (+ DIST_ZERO_1 30)) (= T_javafe_Tool (+ DIST_ZERO_1 31)) (= T_javafe_tc_TypeSig (+ DIST_ZERO_1 32)) (= T_javafe_tc_TypeCheck (+ DIST_ZERO_1 33)) (= T_javafe_ast_FieldDecl (+ DIST_ZERO_1 34)) (= T_javafe_ast_GenericVarDecl (+ DIST_ZERO_1 35)) (= T_javafe_FrontEndTool (+ DIST_ZERO_1 36)) (= T_javafe_ast_BlockStmt (+ DIST_ZERO_1 37)) (= T_java_lang_Comparable (+ DIST_ZERO_1 38)) (= T_javafe_ast_ASTDecoration (+ DIST_ZERO_1 39)) (= T_javafe_tc_Env (+ DIST_ZERO_1 40)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 41)) (= T_java_util_List (+ DIST_ZERO_1 42)) (= T_javafe_SrcTool (+ DIST_ZERO_1 43)) (= T_javafe_ast_GenericBlockStmt (+ DIST_ZERO_1 44)) (= T_java_util_AbstractList (+ DIST_ZERO_1 45)) (= T_javafe_ast_TypeDeclElem (+ DIST_ZERO_1 46)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 47))) (= true_term (is LINKSRESOLVED_26_774_28 T_int)) (= LINKSRESOLVED_26_774_28 4) (= true_term (is PARSED_26_772_28 T_int)) (= PARSED_26_772_28 2) (= true_term (is PREPPED_26_775_28 T_int)) (= PREPPED_26_775_28 5) (forall ((?s Int)) (=> (not (= ?s null)) (= true_term (is (S_select argumentFileNames_4_56_25 ?s) T_java_util_Vector)))) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select argumentFileNames_4_56_25 ?s) null)))) (forall ((?s Int)) (=> (not (= ?s null)) (= (typeof (S_select argumentFileNames_4_56_25 ?s)) T_java_util_Vector)))))
(declare-fun ecReturn () Int)
(declare-fun L_86_1 () Int)
(declare-fun containsNull_pre_18_70_29 () Int)
(declare-fun containsNull_18_70_29 () Int)
(declare-fun elements_pre_76_61_39 () Int)
(declare-fun elements_76_61_39 () Int)
(declare-fun elementType_pre_18_65_27 () Int)
(declare-fun elementType_18_65_27 () Int)
(declare-fun loaded_pre_4_160_18 () Int)
(declare-fun loaded_4_160_18 () Int)
(declare-fun LINKSRESOLVED_pre_26_774_28 () Int)
(declare-fun decls_pre_77_11 () Int)
(declare-fun decls_77_11 () Int)
(declare-fun count_pre_76_67_33 () Int)
(declare-fun count_76_67_33 () Int)
(declare-fun elements_pre_75_61_38 () Int)
(declare-fun elements_75_61_38 () Int)
(declare-fun fields_pre_26_875_27 () Int)
(declare-fun fields_26_875_27 () Int)
(declare-fun simpleName_pre_26_37_38 () Int)
(declare-fun simpleName_26_37_38 () Int)
(declare-fun enclosingType_pre_26_32_39 () Int)
(declare-fun enclosingType_26_32_39 () Int)
(declare-fun PARSED_pre_26_772_28 () Int)
(declare-fun inst_pre_25_174_26 () Int)
(declare-fun inst_25_174_26 () Int)
(declare-fun member_pre_26_44_39 () Int)
(declare-fun member_26_44_39 () Int)
(declare-fun count_pre_75_67_33 () Int)
(declare-fun count_75_67_33 () Int)
(declare-fun elementData_pre_16_79_35 () Int)
(declare-fun elementData_16_79_35 () Int)
(declare-fun methods_pre_26_883_26 () Int)
(declare-fun methods_26_883_26 () Int)
(declare-fun state_pre_26_787_15 () Int)
(declare-fun state_26_787_15 () Int)
(declare-fun PREPPED_pre_26_775_28 () Int)
(declare-fun argumentFileNames_pre_4_56_25 () Int)
(declare-fun myTypeDecl_pre_26_63_40 () Int)
(declare-fun myTypeDecl_26_63_40 () Int)
(declare-fun owner_pre_8_35_28 () Int)
(declare-fun owner_8_35_28 () Int)
(declare-fun enclosingEnv_pre_26_52_36 () Int)
(declare-fun enclosingEnv_26_52_36 () Int)
(declare-fun elementCount_pre_16_90_35 () Int)
(declare-fun elementCount_16_90_35 () Int)
(declare-fun CU_pre_26_71_30 () Int)
(declare-fun CU_26_71_30 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun this () Int)
(declare-fun EC () Int)
(declare-fun EC_loopold () Int)
(declare-fun k_loopold_86_10 () Int)
(declare-fun this_86_23_86_1_0_86_23 () Int)
(declare-fun RES_86_1_0_86_23_86_23 () Int)
(declare-fun EC_86_1_0_86_23_86_23 () Int)
(declare-fun tmp1_decls_86_1_0_87_31 () Int)
(declare-fun RES_86_1_0_87_37_87_37 () Int)
(declare-fun EC_86_1_0_87_37_87_37 () Int)
(declare-fun decl_86_1_0_87_5 () Int)
(declare-fun RES_86_1_0_89_20_89_20 () Int)
(declare-fun EC_86_1_0_89_20_89_20 () Int)
(declare-fun EC_86_1_0_89_33_89_33 () Int)
(declare-fun k_86_1_0_86_31 () Int)
(declare-fun this_86_23_86_1_1_86_23 () Int)
(declare-fun RES_86_1_1_86_23_86_23 () Int)
(declare-fun EC_86_1_1_86_23_86_23 () Int)
(declare-fun EC_1_ () Int)
(declare-fun EC_86_6 () Int)
(assert (let ((?v_9 (not (= inst_25_174_26 null))) (?v_29 (= EC EC_loopold)) (?v_30 (= 0 k_loopold_86_10)) (?v_13 (= true_term true_term)) (?v_1 (S_select decls_77_11 this))) (let ((?v_0 (not (= ?v_1 null)))) (let ((?v_28 (not ?v_0)) (?v_14 (= this_86_23_86_1_0_86_23 ?v_1)) (?v_15 (= true_term (is RES_86_1_0_86_23_86_23 T_int))) (?v_2 (= EC_86_1_0_86_23_86_23 ecReturn))) (let ((?v_16 (=> ?v_2 (= RES_86_1_0_86_23_86_23 (S_select elementCount_16_90_35 this_86_23_86_1_0_86_23)))) (?v_17 (=> ?v_2 (>= RES_86_1_0_86_23_86_23 0))) (?v_18 (< 0 RES_86_1_0_86_23_86_23)) (?v_19 (= tmp1_decls_86_1_0_87_31 ?v_1)) (?v_3 (not (= tmp1_decls_86_1_0_87_31 null))) (?v_4 (<= 0 0)) (?v_5 (< 0 (S_select elementCount_16_90_35 tmp1_decls_86_1_0_87_31))) (?v_20 (= true_term (is RES_86_1_0_87_37_87_37 T_java_lang_Object))) (?v_21 (= true_term (isAllocated RES_86_1_0_87_37_87_37 alloc))) (?v_6 (= EC_86_1_0_87_37_87_37 ecReturn)) (?v_7 (= RES_86_1_0_87_37_87_37 null))) (let ((?v_22 (=> ?v_6 (or (= (PO_LT (typeof RES_86_1_0_87_37_87_37) (S_select elementType_18_65_27 tmp1_decls_86_1_0_87_31)) true_term) ?v_7))) (?v_23 (=> (and ?v_6 (not (= true_term (S_select containsNull_18_70_29 tmp1_decls_86_1_0_87_31)))) (not ?v_7))) (?v_8 (= true_term (is RES_86_1_0_87_37_87_37 T_javafe_ast_TypeDecl))) (?v_24 (= decl_86_1_0_87_5 (cast RES_86_1_0_87_37_87_37 T_javafe_ast_TypeDecl))) (?v_10 (not (= decl_86_1_0_87_5 null))) (?v_25 (= true_term (is RES_86_1_0_89_20_89_20 T_javafe_tc_TypeSig))) (?v_26 (= true_term (isAllocated RES_86_1_0_89_20_89_20 alloc))) (?v_11 (= EC_86_1_0_89_20_89_20 ecReturn)) (?v_12 (not (= RES_86_1_0_89_20_89_20 null)))) (let ((?v_27 (=> ?v_11 ?v_12)) (?v_31 (= EC_86_1_0_89_33_89_33 ecReturn)) (?v_32 (= k_86_1_0_86_31 (+ 0 1))) (?v_33 (= EC_86_1_1_86_23_86_23 ecReturn))) (let ((?v_34 (or (and ?v_13 ?v_0 ?v_14 ?v_15 ?v_2 ?v_16 ?v_17 (not ?v_18)) (and ?v_13 ?v_0 ?v_14 ?v_15 ?v_2 ?v_16 ?v_17 ?v_18 ?v_19 ?v_3 ?v_4 ?v_5 ?v_20 ?v_21 ?v_6 ?v_22 ?v_23 ?v_8 ?v_24 ?v_9 ?v_10 ?v_25 ?v_26 ?v_11 ?v_27 ?v_12 ?v_31 ?v_32 ?v_13 ?v_0 (= this_86_23_86_1_1_86_23 ?v_1) (= true_term (is RES_86_1_1_86_23_86_23 T_int)) ?v_33 (=> ?v_33 (= RES_86_1_1_86_23_86_23 (S_select elementCount_16_90_35 this_86_23_86_1_1_86_23))) (=> ?v_33 (>= RES_86_1_1_86_23_86_23 0)) (not (< k_86_1_0_86_31 RES_86_1_1_86_23_86_23))))) (?v_35 (= L_86_1 L_86_1)) (?v_36 (= EC_86_6 ecReturn))) (not (=> (distinct ecReturn L_86_1) (=> (and (= containsNull_pre_18_70_29 containsNull_18_70_29) (= containsNull_18_70_29 (asField containsNull_18_70_29 T_boolean)) (= elements_pre_76_61_39 elements_76_61_39) (= elements_76_61_39 (asField elements_76_61_39 (array T_javafe_ast_MethodDecl))) (< (fClosedTime elements_76_61_39) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select elements_76_61_39 ?s) null)))) (= elementType_pre_18_65_27 elementType_18_65_27) (= elementType_18_65_27 (asField elementType_18_65_27 T__TYPE)) (= loaded_pre_4_160_18 loaded_4_160_18) (= loaded_4_160_18 (asField loaded_4_160_18 T_java_util_Vector)) (< (fClosedTime loaded_4_160_18) alloc) (= LINKSRESOLVED_pre_26_774_28 LINKSRESOLVED_26_774_28) (= true_term (is LINKSRESOLVED_26_774_28 T_int)) (= decls_pre_77_11 decls_77_11) (= decls_77_11 (asField decls_77_11 T_java_util_Vector)) (< (fClosedTime decls_77_11) alloc) (= count_pre_76_67_33 count_76_67_33) (= count_76_67_33 (asField count_76_67_33 T_int)) (= elements_pre_75_61_38 elements_75_61_38) (= elements_75_61_38 (asField elements_75_61_38 (array T_javafe_ast_FieldDecl))) (< (fClosedTime elements_75_61_38) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select elements_75_61_38 ?s_1_) null)))) (= fields_pre_26_875_27 fields_26_875_27) (= fields_26_875_27 (asField fields_26_875_27 T_javafe_tc_FieldDeclVec)) (< (fClosedTime fields_26_875_27) alloc) (= simpleName_pre_26_37_38 simpleName_26_37_38) (= simpleName_26_37_38 (asField simpleName_26_37_38 T_java_lang_String)) (< (fClosedTime simpleName_26_37_38) alloc) (= enclosingType_pre_26_32_39 enclosingType_26_32_39) (= enclosingType_26_32_39 (asField enclosingType_26_32_39 T_javafe_tc_TypeSig)) (< (fClosedTime enclosingType_26_32_39) alloc) (= PARSED_pre_26_772_28 PARSED_26_772_28) (= true_term (is PARSED_26_772_28 T_int)) (= inst_pre_25_174_26 inst_25_174_26) (= true_term (is inst_25_174_26 T_javafe_tc_TypeCheck)) (= true_term (isAllocated inst_25_174_26 alloc)) (= member_pre_26_44_39 member_26_44_39) (= member_26_44_39 (asField member_26_44_39 T_boolean)) (= count_pre_75_67_33 count_75_67_33) (= count_75_67_33 (asField count_75_67_33 T_int)) (= elementData_pre_16_79_35 elementData_16_79_35) (= elementData_16_79_35 (asField elementData_16_79_35 (array T_java_lang_Object))) (< (fClosedTime elementData_16_79_35) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select elementData_16_79_35 ?s_2_) null)))) (= methods_pre_26_883_26 methods_26_883_26) (= methods_26_883_26 (asField methods_26_883_26 T_javafe_tc_MethodDeclVec)) (< (fClosedTime methods_26_883_26) alloc) (= state_pre_26_787_15 state_26_787_15) (= state_26_787_15 (asField state_26_787_15 T_int)) (= PREPPED_pre_26_775_28 PREPPED_26_775_28) (= true_term (is PREPPED_26_775_28 T_int)) (= argumentFileNames_pre_4_56_25 argumentFileNames_4_56_25) (= argumentFileNames_4_56_25 (asField argumentFileNames_4_56_25 T_java_util_Vector)) (< (fClosedTime argumentFileNames_4_56_25) alloc) (= myTypeDecl_pre_26_63_40 myTypeDecl_26_63_40) (= myTypeDecl_26_63_40 (asField myTypeDecl_26_63_40 T_javafe_ast_TypeDecl)) (< (fClosedTime myTypeDecl_26_63_40) alloc) (= owner_pre_8_35_28 owner_8_35_28) (= owner_8_35_28 (asField owner_8_35_28 T_java_lang_Object)) (< (fClosedTime owner_8_35_28) alloc) (= enclosingEnv_pre_26_52_36 enclosingEnv_26_52_36) (= enclosingEnv_26_52_36 (asField enclosingEnv_26_52_36 T_javafe_tc_Env)) (< (fClosedTime enclosingEnv_26_52_36) alloc) (= elementCount_pre_16_90_35 elementCount_16_90_35) (= elementCount_16_90_35 (asField elementCount_16_90_35 T_int)) (= CU_pre_26_71_30 CU_26_71_30) (= CU_26_71_30 (asField CU_26_71_30 T_javafe_ast_CompilationUnit)) (< (fClosedTime CU_26_71_30) alloc) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is this T_javafe_test_SuperlinksTest)) (= true_term (isAllocated this alloc)) (not (= this null)) (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_java_util_Vector)) (not (= ?brokenObj null))) (<= (S_select elementCount_16_90_35 ?brokenObj) (arrayLength (S_select elementData_16_79_35 ?brokenObj))))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_test_SuperlinksTest)) (not (= ?brokenObj_1_ null))) (= (S_select owner_8_35_28 (S_select decls_77_11 ?brokenObj_1_)) ?brokenObj_1_))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_SrcTool)) (not (= ?brokenObj_2_ null))) (= (S_select elementType_18_65_27 (S_select argumentFileNames_4_56_25 ?brokenObj_2_)) T_java_lang_String))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_3_ null))) (<= 0 (S_select count_76_67_33 ?brokenObj_3_)))) (forall ((?brokenObj_4_ Int)) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_4_ null))) (<= 0 (S_select count_75_67_33 ?brokenObj_4_)))) (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_SrcTool)) (not (= ?brokenObj_5_ null))) (not (= true_term (S_select containsNull_18_70_29 (S_select loaded_4_160_18 ?brokenObj_5_)))))) (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_java_util_Vector)) (not (= ?brokenObj_6_ null))) (= (typeof (S_select elementData_16_79_35 ?brokenObj_6_)) (array T_java_lang_Object)))) (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_javafe_SrcTool)) (not (= ?brokenObj_7_ null))) (= (S_select owner_8_35_28 (S_select argumentFileNames_4_56_25 ?brokenObj_7_)) ?brokenObj_7_))) (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_java_util_Vector)) (not (= ?brokenObj_8_ null))) (forall ((?i_16_73_31 Int)) (=> (and (<= 0 ?i_16_73_31) (< ?i_16_73_31 (S_select elementCount_16_90_35 ?brokenObj_8_)) (not (= true_term (S_select containsNull_18_70_29 ?brokenObj_8_)))) (not (= (S_select (S_select elems (S_select elementData_16_79_35 ?brokenObj_8_)) ?i_16_73_31) null)))))) (forall ((?brokenObj_9_ Int)) (=> (and (= true_term (is ?brokenObj_9_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_9_ null))) (= (S_select owner_8_35_28 (S_select elements_76_61_39 ?brokenObj_9_)) ?brokenObj_9_))) (forall ((?brokenObj_10_ Int)) (=> (and (= true_term (is ?brokenObj_10_ T_javafe_test_SuperlinksTest)) (not (= ?brokenObj_10_ null))) (not (= true_term (S_select containsNull_18_70_29 (S_select decls_77_11 ?brokenObj_10_)))))) (forall ((?brokenObj_11_ Int)) (=> (and (= true_term (is ?brokenObj_11_ T_java_util_Vector)) (not (= ?brokenObj_11_ null))) (forall ((?i_16_70_31 Int)) (let ((?v_37 (S_select (S_select elems (S_select elementData_16_79_35 ?brokenObj_11_)) ?i_16_70_31))) (=> (and (<= 0 ?i_16_70_31) (< ?i_16_70_31 (S_select elementCount_16_90_35 ?brokenObj_11_))) (or (= (PO_LT (typeof ?v_37) (S_select elementType_18_65_27 ?brokenObj_11_)) true_term) (= ?v_37 null))))))) (forall ((?brokenObj_12_ Int)) (=> (and (= true_term (is ?brokenObj_12_ T_java_util_Vector)) (not (= ?brokenObj_12_ null))) (<= 0 (S_select elementCount_16_90_35 ?brokenObj_12_)))) (forall ((?brokenObj_13_ Int)) (=> (and (= true_term (is ?brokenObj_13_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_13_ null))) (forall ((?i_76_62_31 Int)) (=> (and (<= 0 ?i_76_62_31) (< ?i_76_62_31 (S_select count_76_67_33 ?brokenObj_13_))) (not (= (S_select (S_select elems (S_select elements_76_61_39 ?brokenObj_13_)) ?i_76_62_31) null)))))) (forall ((?brokenObj_14_ Int)) (=> (and (= true_term (is ?brokenObj_14_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_14_ null))) (= (S_select owner_8_35_28 (S_select elements_75_61_38 ?brokenObj_14_)) ?brokenObj_14_))) (forall ((?brokenObj_15_ Int)) (=> (and (= true_term (is ?brokenObj_15_ T_javafe_test_SuperlinksTest)) (not (= ?brokenObj_15_ null))) (not (= (S_select decls_77_11 ?brokenObj_15_) null)))) (forall ((?brokenObj_16_ Int)) (=> (and (= true_term (is ?brokenObj_16_ T_javafe_SrcTool)) (not (= ?brokenObj_16_ null))) (= (S_select elementType_18_65_27 (S_select loaded_4_160_18 ?brokenObj_16_)) T_javafe_ast_CompilationUnit))) (forall ((?brokenObj_17_ Int)) (=> (and (= true_term (is ?brokenObj_17_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_17_ null))) (forall ((?i_75_62_31 Int)) (=> (and (<= 0 ?i_75_62_31) (< ?i_75_62_31 (S_select count_75_67_33 ?brokenObj_17_))) (not (= (S_select (S_select elems (S_select elements_75_61_38 ?brokenObj_17_)) ?i_75_62_31) null)))))) (forall ((?brokenObj_18_ Int)) (=> (and (= true_term (is ?brokenObj_18_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_18_ null))) (<= (S_select count_76_67_33 ?brokenObj_18_) (arrayLength (S_select elements_76_61_39 ?brokenObj_18_))))) (forall ((?brokenObj_19_ Int)) (=> (and (= true_term (is ?brokenObj_19_ T_java_util_Vector)) (not (= ?brokenObj_19_ null))) (forall ((?v_16_76_34 Int)) (let ((?v_38 (= ?v_16_76_34 null))) (=> (and (= true_term (is ?v_16_76_34 T_java_util_Vector)) (= true_term (isAllocated ?v_16_76_34 alloc)) (not ?v_38)) (or ?v_38 (= ?v_16_76_34 ?brokenObj_19_) (not (= (S_select elementData_16_79_35 ?v_16_76_34) (S_select elementData_16_79_35 ?brokenObj_19_))))))))) (forall ((?brokenObj_20_ Int)) (=> (and (= true_term (is ?brokenObj_20_ T_javafe_test_SuperlinksTest)) (not (= ?brokenObj_20_ null))) (= (S_select elementType_18_65_27 (S_select decls_77_11 ?brokenObj_20_)) T_javafe_ast_TypeDecl))) ?v_9 (forall ((?brokenObj_21_ Int)) (=> (and (= true_term (is ?brokenObj_21_ T_javafe_SrcTool)) (not (= ?brokenObj_21_ null))) (not (= true_term (S_select containsNull_18_70_29 (S_select argumentFileNames_4_56_25 ?brokenObj_21_)))))) (forall ((?brokenObj_22_ Int)) (=> (and (= true_term (is ?brokenObj_22_ T_javafe_SrcTool)) (not (= ?brokenObj_22_ null))) (not (= (S_select loaded_4_160_18 ?brokenObj_22_) null)))) (forall ((?brokenObj_23_ Int)) (=> (and (= true_term (is ?brokenObj_23_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_23_ null))) (= (typeof (S_select elements_76_61_39 ?brokenObj_23_)) (array T_javafe_ast_MethodDecl)))) (forall ((?brokenObj_24_ Int)) (=> (and (= true_term (is ?brokenObj_24_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_24_ null))) (<= (S_select count_75_67_33 ?brokenObj_24_) (arrayLength (S_select elements_75_61_38 ?brokenObj_24_))))) (forall ((?brokenObj_25_ Int)) (=> (and (= true_term (is ?brokenObj_25_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_25_ null))) (= (typeof (S_select elements_75_61_38 ?brokenObj_25_)) (array T_javafe_ast_FieldDecl)))) (forall ((?brokenObj_26_ Int)) (=> (and (= true_term (is ?brokenObj_26_ T_javafe_SrcTool)) (not (= ?brokenObj_26_ null))) (= (S_select owner_8_35_28 (S_select loaded_4_160_18 ?brokenObj_26_)) ?brokenObj_26_))) (forall ((?brokenObj_27_ Int)) (=> (and (= true_term (is ?brokenObj_27_ T_javafe_SrcTool)) (not (= ?brokenObj_27_ null))) (not (= (S_select loaded_4_160_18 ?brokenObj_27_) (S_select argumentFileNames_4_56_25 ?brokenObj_27_))))) (or (and ?v_29 ?v_30 (or (and ?v_13 (or ?v_28 (and ?v_0 ?v_14 ?v_15 ?v_2 ?v_16 ?v_17 ?v_18 ?v_19 (or (not ?v_3) (and ?v_3 (or (not ?v_4) (and ?v_4 (not ?v_5)) (and ?v_4 ?v_5 ?v_20 ?v_21 ?v_6 ?v_22 ?v_23 (or (not ?v_8) (and ?v_8 ?v_24 (or (not ?v_9) (and ?v_9 (or (not ?v_10) (and ?v_10 ?v_25 ?v_26 ?v_11 ?v_27 (not ?v_12)))))))))))))) (and ?v_13 ?v_0 ?v_14 ?v_15 ?v_2 ?v_16 ?v_17 ?v_18 ?v_19 ?v_3 ?v_4 ?v_5 ?v_20 ?v_21 ?v_6 ?v_22 ?v_23 ?v_8 ?v_24 ?v_9 ?v_10 ?v_25 ?v_26 ?v_11 ?v_27 ?v_12 ?v_31 ?v_32 ?v_13 ?v_28))) (and (or (and ?v_29 ?v_30 ?v_34 ?v_35 (= EC_1_ L_86_1) ?v_36) (and ?v_29 ?v_30 ?v_34 (not ?v_35) (= EC_86_6 L_86_1))) (not ?v_36))))))))))))))))
(check-sat)
(exit)
