(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_lang_RuntimeException () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_java_util_List () Int)
(declare-fun T_java_util_Collection () Int)
(declare-fun T_javafe_util_FileCorrelatedReader () Int)
(declare-fun T_javafe_util_LocationManagerCorrelatedReader () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_java_util_AbstractCollection () Int)
(declare-fun T_java_lang_Math () Int)
(declare-fun T_java_lang_Integer () Int)
(declare-fun T_java_lang_Number () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_io_StringBufferInputStream () Int)
(declare-fun T_java_io_InputStream () Int)
(declare-fun T_javafe_util_Assert () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_javafe_genericfile_UnopenableFile () Int)
(declare-fun T_javafe_genericfile_GenericFile () Int)
(declare-fun T_javafe_util_CorrelatedReader () Int)
(declare-fun T_java_util_AbstractList () Int)
(declare-fun T_javafe_util_BufferedCorrelatedReader () Int)
(declare-fun T_java_lang_IllegalArgumentException () Int)
(declare-fun T_java_util_Vector () Int)
(declare-fun T_java_io_IOException () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_lang_NumberFormatException () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_java_lang_Character () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun STARTFREELOC_5_18_38 () Int)
(declare-fun NLOA_DEFAULT_SIZE_4_70_27 () Int)
(declare-fun NULL_19_60_26 () Int)
(declare-fun READBLOCKSIZE_34_27 () Int)
(declare-fun DEFAULTBUFSIZE_38_27 () Int)
(assert (and (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_RuntimeException T_java_lang_Exception) true_term) (= T_java_lang_RuntimeException (asChild T_java_lang_RuntimeException T_java_lang_Exception)) (= (PO_LT T_java_util_List T_java_lang_Object) true_term) (= (PO_LT T_java_util_List T_java_util_Collection) true_term) (= (PO_LT T_javafe_util_FileCorrelatedReader T_javafe_util_LocationManagerCorrelatedReader) true_term) (= T_javafe_util_FileCorrelatedReader (asChild T_javafe_util_FileCorrelatedReader T_javafe_util_LocationManagerCorrelatedReader)) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_java_util_AbstractCollection T_java_lang_Object) true_term) (= T_java_util_AbstractCollection (asChild T_java_util_AbstractCollection T_java_lang_Object)) (= (PO_LT T_java_util_AbstractCollection T_java_util_Collection) true_term) (= (PO_LT T_java_lang_Math T_java_lang_Object) true_term) (= T_java_lang_Math (asChild T_java_lang_Math T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Math) true_term) (= ?t T_java_lang_Math))) (= (PO_LT T_java_lang_Integer T_java_lang_Number) true_term) (= T_java_lang_Integer (asChild T_java_lang_Integer T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Integer) true_term) (= ?t T_java_lang_Integer))) (= (PO_LT T_java_lang_Integer T_java_lang_Comparable) true_term) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_io_StringBufferInputStream T_java_io_InputStream) true_term) (= T_java_io_StringBufferInputStream (asChild T_java_io_StringBufferInputStream T_java_io_InputStream)) (= (PO_LT T_javafe_util_Assert T_java_lang_Object) true_term) (= T_javafe_util_Assert (asChild T_javafe_util_Assert T_java_lang_Object)) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_genericfile_UnopenableFile T_java_lang_Object) true_term) (= T_javafe_genericfile_UnopenableFile (asChild T_javafe_genericfile_UnopenableFile T_java_lang_Object)) (= (PO_LT T_javafe_genericfile_UnopenableFile T_javafe_genericfile_GenericFile) true_term) (= (PO_LT T_javafe_util_CorrelatedReader T_java_lang_Object) true_term) (= T_javafe_util_CorrelatedReader (asChild T_javafe_util_CorrelatedReader T_java_lang_Object)) (= (PO_LT T_java_util_Collection T_java_lang_Object) true_term) (= (PO_LT T_java_util_AbstractList T_java_util_AbstractCollection) true_term) (= T_java_util_AbstractList (asChild T_java_util_AbstractList T_java_util_AbstractCollection)) (= (PO_LT T_java_util_AbstractList T_java_util_List) true_term) (= (PO_LT T_javafe_util_BufferedCorrelatedReader T_javafe_util_CorrelatedReader) true_term) (= T_javafe_util_BufferedCorrelatedReader (asChild T_javafe_util_BufferedCorrelatedReader T_javafe_util_CorrelatedReader)) (= (PO_LT T_java_lang_Number T_java_lang_Object) true_term) (= T_java_lang_Number (asChild T_java_lang_Number T_java_lang_Object)) (= (PO_LT T_java_lang_Number T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_IllegalArgumentException T_java_lang_RuntimeException) true_term) (= T_java_lang_IllegalArgumentException (asChild T_java_lang_IllegalArgumentException T_java_lang_RuntimeException)) (= (PO_LT T_java_util_Vector T_java_util_AbstractList) true_term) (= T_java_util_Vector (asChild T_java_util_Vector T_java_util_AbstractList)) (= (PO_LT T_java_util_Vector T_java_util_List) true_term) (= (PO_LT T_java_util_Vector T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Vector T_java_io_Serializable) true_term) (= (PO_LT T_java_io_IOException T_java_lang_Exception) true_term) (= T_java_io_IOException (asChild T_java_io_IOException T_java_lang_Exception)) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_util_LocationManagerCorrelatedReader T_javafe_util_BufferedCorrelatedReader) true_term) (= T_javafe_util_LocationManagerCorrelatedReader (asChild T_javafe_util_LocationManagerCorrelatedReader T_javafe_util_BufferedCorrelatedReader)) (= (PO_LT T_java_lang_NumberFormatException T_java_lang_IllegalArgumentException) true_term) (= T_java_lang_NumberFormatException (asChild T_java_lang_NumberFormatException T_java_lang_IllegalArgumentException)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_javafe_genericfile_GenericFile T_java_lang_Object) true_term) (= (PO_LT T_java_io_InputStream T_java_lang_Object) true_term) (= T_java_io_InputStream (asChild T_java_io_InputStream T_java_lang_Object)) (= (PO_LT T_java_lang_Character T_java_lang_Object) true_term) (= T_java_lang_Character (asChild T_java_lang_Character T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Character) true_term) (= ?t T_java_lang_Character))) (= (PO_LT T_java_lang_Character T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_Character T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_io_Serializable (+ DIST_ZERO_1 10)) (= T_java_lang_RuntimeException (+ DIST_ZERO_1 11)) (= T_java_util_List (+ DIST_ZERO_1 12)) (= T_javafe_util_FileCorrelatedReader (+ DIST_ZERO_1 13)) (= T_java_lang_Exception (+ DIST_ZERO_1 14)) (= T_java_lang_Object (+ DIST_ZERO_1 15)) (= T_java_util_AbstractCollection (+ DIST_ZERO_1 16)) (= T_java_lang_Math (+ DIST_ZERO_1 17)) (= T_java_lang_Integer (+ DIST_ZERO_1 18)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 19)) (= T_java_lang_String (+ DIST_ZERO_1 20)) (= T_java_lang_Throwable (+ DIST_ZERO_1 21)) (= T_java_util_Dictionary (+ DIST_ZERO_1 22)) (= T_java_io_StringBufferInputStream (+ DIST_ZERO_1 23)) (= T_javafe_util_Assert (+ DIST_ZERO_1 24)) (= T_java_util_Map (+ DIST_ZERO_1 25)) (= T_javafe_genericfile_UnopenableFile (+ DIST_ZERO_1 26)) (= T_javafe_util_CorrelatedReader (+ DIST_ZERO_1 27)) (= T_java_util_Collection (+ DIST_ZERO_1 28)) (= T_java_util_AbstractList (+ DIST_ZERO_1 29)) (= T_javafe_util_BufferedCorrelatedReader (+ DIST_ZERO_1 30)) (= T_java_lang_Number (+ DIST_ZERO_1 31)) (= T_java_lang_Comparable (+ DIST_ZERO_1 32)) (= T_java_lang_IllegalArgumentException (+ DIST_ZERO_1 33)) (= T_java_util_Vector (+ DIST_ZERO_1 34)) (= T_java_io_IOException (+ DIST_ZERO_1 35)) (= T_java_util_Properties (+ DIST_ZERO_1 36)) (= T_java_util_Hashtable (+ DIST_ZERO_1 37)) (= T_javafe_util_LocationManagerCorrelatedReader (+ DIST_ZERO_1 38)) (= T_java_lang_NumberFormatException (+ DIST_ZERO_1 39)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 40)) (= T_javafe_util_Location (+ DIST_ZERO_1 41)) (= T_javafe_genericfile_GenericFile (+ DIST_ZERO_1 42)) (= T_java_io_InputStream (+ DIST_ZERO_1 43)) (= T_java_lang_Character (+ DIST_ZERO_1 44)) (= T_java_lang_System (+ DIST_ZERO_1 45))) (= true_term (is STARTFREELOC_5_18_38 T_int)) (= STARTFREELOC_5_18_38 1000000) (= true_term (is NLOA_DEFAULT_SIZE_4_70_27 T_int)) (= NLOA_DEFAULT_SIZE_4_70_27 200) (= true_term (is NULL_19_60_26 T_int)) (= NULL_19_60_26 0) (= true_term (is READBLOCKSIZE_34_27 T_int)) (= READBLOCKSIZE_34_27 256) (= true_term (is DEFAULTBUFSIZE_38_27 T_int)) (= DEFAULTBUFSIZE_38_27 256)))
(declare-fun ecReturn () Int)
(declare-fun ecThrow () Int)
(declare-fun L_260_4 () Int)
(declare-fun C_260_4 () Int)
(declare-fun markLineNo_pre_4_453_14 () Int)
(declare-fun markLineNo_4_453_14 () Int)
(declare-fun totalLinesRead_pre_4_429_20 () Int)
(declare-fun totalLinesRead_4_429_20 () Int)
(declare-fun endBufNdx_pre_5_60_16 () Int)
(declare-fun endBufNdx_5_60_16 () Int)
(declare-fun stream_pre_55_22 () Int)
(declare-fun stream_55_22 () Int)
(declare-fun STARTFREELOC_pre_5_18_38 () Int)
(declare-fun buf_pre_5_42_36 () Int)
(declare-fun buf_5_42_36 () Int)
(declare-fun file_pre_61_36 () Int)
(declare-fun file_61_36 () Int)
(declare-fun minLoc_pre_5_32_16 () Int)
(declare-fun minLoc_5_32_16 () Int)
(declare-fun NLOA_DEFAULT_SIZE_pre_4_70_27 () Int)
(declare-fun marked_pre_6_92_41 () Int)
(declare-fun marked_6_92_41 () Int)
(declare-fun oddSlashLoc_pre_5_91_16 () Int)
(declare-fun oddSlashLoc_5_91_16 () Int)
(declare-fun NULL_pre_19_60_26 () Int)
(declare-fun freeLoc_pre_4_35_21 () Int)
(declare-fun freeLoc_4_35_21 () Int)
(declare-fun isWholeFile_pre_4_410_37 () Int)
(declare-fun isWholeFile_4_410_37 () Int)
(declare-fun NLOA_pre_4_65_51 () Int)
(declare-fun NLOA_4_65_51 () Int)
(declare-fun beforeBufLoc_pre_5_52_16 () Int)
(declare-fun beforeBufLoc_5_52_16 () Int)
(declare-fun curNdx_pre_5_69_16 () Int)
(declare-fun curNdx_5_69_16 () Int)
(declare-fun READBLOCKSIZE_pre_34_27 () Int)
(declare-fun lastCharNdx_pre_5_82_16 () Int)
(declare-fun lastCharNdx_5_82_16 () Int)
(declare-fun curLineNo_pre_4_439_16 () Int)
(declare-fun curLineNo_4_439_16 () Int)
(declare-fun markNdx_pre_5_213_16 () Int)
(declare-fun markNdx_5_213_16 () Int)
(declare-fun DEFAULTBUFSIZE_pre_38_27 () Int)
(declare-fun maxLoc_pre_5_33_16 () Int)
(declare-fun maxLoc_5_33_16 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun this () Int)
(declare-fun b_238_11_238_11_20_20_40 () Int)
(declare-fun EC_238_11_238_11 () Int)
(declare-fun tmp1_lastCharNdx_241_36 () Int)
(declare-fun b_241_31_241_31_29_485_37 () Int)
(declare-fun RES_241_31_241_31 () Int)
(declare-fun EC_241_31_241_31 () Int)
(declare-fun XRES () Int)
(declare-fun XRES_241_31_241_31 () Int)
(declare-fun RES () Int)
(declare-fun tmp0_cond_241_24 () Int)
(declare-fun EC () Int)
(declare-fun tmp0_cond_241_17 () Int)
(declare-fun XRES_238_11_238_11 () Int)
(declare-fun RES_238_11_238_11 () Int)
(declare-fun tmp2_new_byte___245_22 () Int)
(declare-fun alloc_1_ () Int)
(declare-fun owner_7_35_28 () Int)
(declare-fun tmp3_buf_246_24 () Int)
(declare-fun length_246_13_246_13_30_360_44 () Int)
(declare-fun tmp6_buf_249_24 () Int)
(declare-fun tmp8_buf_249_37 () Int)
(declare-fun length_249_13_249_13_30_360_44 () Int)
(declare-fun elems_246_13_30_342_17 () Int)
(declare-fun after_246_13_246_13_30_342_17 () Int)
(declare-fun EC_246_13_246_13 () Int)
(declare-fun buf_247_6 () Int)
(declare-fun alloc_2_ () Int)
(declare-fun XRES_1_ () Int)
(declare-fun XRES_246_13_246_13 () Int)
(declare-fun RES_1_ () Int)
(declare-fun RES_246_13_246_13 () Int)
(declare-fun buf_5_42_36_1_ () Int)
(declare-fun EC_1_ () Int)
(declare-fun elems_249_13_30_342_17 () Int)
(declare-fun after_249_13_249_13_30_342_17 () Int)
(declare-fun EC_249_13_249_13 () Int)
(declare-fun XRES_249_13_249_13 () Int)
(declare-fun RES_249_13_249_13 () Int)
(declare-fun curNdx_251_4 () Int)
(declare-fun markNdx_252_4 () Int)
(declare-fun lastCharNdx_253_4 () Int)
(declare-fun beforeBufLoc_254_4 () Int)
(declare-fun endBufNdx_255_4 () Int)
(declare-fun b_257_11_257_11_20_20_40 () Int)
(declare-fun EC_257_11_257_11 () Int)
(declare-fun got_loopold_259_8 () Int)
(declare-fun EC_loopold () Int)
(declare-fun tmp9_stream_260_4_0_261_12 () Int)
(declare-fun tmp10_buf_260_4_0_261_25 () Int)
(declare-fun tmp11_endBufNdx_260_4_0_261_30 () Int)
(declare-fun RES_260_4_0_261_19_261_19 () Int)
(declare-fun EC_260_4_0_261_19_261_19 () Int)
(declare-fun XRES_260_4_0_261_19_261_19 () Int)
(declare-fun got_261_12 () Int)
(declare-fun EC_261_12 () Int)
(declare-fun got_261_12_1_ () Int)
(declare-fun got_259_8 () Int)
(declare-fun EC_2_ () Int)
(declare-fun b_267_13_267_13_20_20_40 () Int)
(declare-fun EC_267_13_267_13 () Int)
(declare-fun endBufNdx_268_6 () Int)
(declare-fun b_269_13_269_13_20_20_40 () Int)
(declare-fun EC_269_13_269_13 () Int)
(declare-fun b_270_13_270_13_20_20_40 () Int)
(declare-fun XRES_238_11 () Int)
(declare-fun RES_238_11 () Int)
(declare-fun endBufNdx_238_11 () Int)
(declare-fun EC_238_11 () Int)
(declare-fun XRES_2_ () Int)
(declare-fun RES_2_ () Int)
(declare-fun endBufNdx_5_60_16_1_ () Int)
(declare-fun EC_270_13_270_13 () Int)
(declare-fun XRES_270_13_270_13 () Int)
(assert (let ((?v_15 (array T_byte)) (?v_11 (S_select buf_5_42_36 this))) (let ((?v_10 (not (= ?v_11 null))) (?v_0 (S_select curNdx_5_69_16 this)) (?v_1 (S_select endBufNdx_5_60_16 this))) (let ((?v_2 (= b_238_11_238_11_20_20_40 (integralEQ ?v_0 ?v_1))) (?v_3 (= true_term b_238_11_238_11_20_20_40)) (?v_75 (= EC_238_11_238_11 ecReturn)) (?v_4 (= true_term (S_select marked_6_92_41 this))) (?v_5 (= true_term true_term)) (?v_9 (S_select lastCharNdx_5_82_16 this))) (let ((?v_6 (= tmp1_lastCharNdx_241_36 ?v_9)) (?v_8 (not ?v_4)) (?v_38 (S_select markNdx_5_213_16 this)) (?v_7 (= EC_241_31_241_31 ecReturn))) (let ((?v_76 (or (and ?v_4 ?v_5 ?v_6 ?v_4 (= b_241_31_241_31_29_485_37 ?v_38) (= true_term (is RES_241_31_241_31 T_int)) ?v_7 (=> ?v_7 (<= RES_241_31_241_31 tmp1_lastCharNdx_241_36)) (=> ?v_7 (<= RES_241_31_241_31 b_241_31_241_31_29_485_37)) (=> ?v_7 (or (= RES_241_31_241_31 tmp1_lastCharNdx_241_36) (= RES_241_31_241_31 b_241_31_241_31_29_485_37))) (= XRES XRES_241_31_241_31) (= RES RES_241_31_241_31) (= tmp0_cond_241_24 RES_241_31_241_31) (= EC EC_241_31_241_31)) (and ?v_8 ?v_5 (= tmp0_cond_241_17 ?v_9) (= XRES XRES_238_11_238_11) (= RES RES_238_11_238_11) (= tmp0_cond_241_24 tmp0_cond_241_17) (= EC EC_238_11_238_11)))) (?v_12 (- ?v_0 tmp0_cond_241_24))) (let ((?v_21 (< (- (arrayLength ?v_11) ?v_12) READBLOCKSIZE_34_27)) (?v_14 (+ ?v_12 READBLOCKSIZE_34_27))) (let ((?v_13 (<= 0 ?v_14)) (?v_27 (= true_term (arrayFresh tmp2_new_byte___245_22 alloc alloc_1_ elems (arrayShapeOne ?v_14) ?v_15 0))) (?v_28 (forall ((?o Int)) (=> (and (not (= true_term (isAllocated ?o alloc))) (= true_term (isAllocated ?o alloc_1_))) (= true_term (isNewArray ?o))))) (?v_29 (forall ((?o_1_ Int)) (=> (and (not (= true_term (isAllocated ?o_1_ alloc))) (= true_term (isAllocated ?o_1_ alloc_1_))) (= (S_select owner_7_35_28 tmp2_new_byte___245_22) null)))) (?v_30 (= tmp3_buf_246_24 ?v_11)) (?v_31 (= length_246_13_246_13_30_360_44 ?v_12)) (?v_16 (not (= tmp3_buf_246_24 null))) (?v_17 (not (= tmp2_new_byte___245_22 null))) (?v_18 (>= length_246_13_246_13_30_360_44 0)) (?v_19 (<= 0 tmp0_cond_241_24))) (let ((?v_25 (not ?v_19)) (?v_20 (<= 0 0))) (let ((?v_26 (not ?v_20)) (?v_33 (not ?v_21)) (?v_34 (= tmp6_buf_249_24 ?v_11)) (?v_35 (= tmp8_buf_249_37 ?v_11)) (?v_36 (= length_249_13_249_13_30_360_44 ?v_12)) (?v_22 (not (= tmp6_buf_249_24 null))) (?v_23 (not (= tmp8_buf_249_37 null))) (?v_24 (>= length_249_13_249_13_30_360_44 0)) (?v_32 (= EC_246_13_246_13 ecReturn)) (?v_37 (= EC_249_13_249_13 ecReturn))) (let ((?v_77 (or (and ?v_21 ?v_5 ?v_13 ?v_27 ?v_28 ?v_29 ?v_30 ?v_31 ?v_16 ?v_17 ?v_18 ?v_19 ?v_20 (= elems_246_13_30_342_17 (S_store elems tmp2_new_byte___245_22 after_246_13_246_13_30_342_17)) (= elems_246_13_30_342_17 (asElems elems_246_13_30_342_17)) (< (eClosedTime elems_246_13_30_342_17) alloc_1_) ?v_32 (=> ?v_32 (forall ((?i_30_344_21 Int)) (let ((?v_95 (- ?i_30_344_21 0))) (=> (and (<= 0 ?v_95) (< ?v_95 length_246_13_246_13_30_360_44)) (= (S_select (S_select elems_246_13_30_342_17 tmp2_new_byte___245_22) ?i_30_344_21) (S_select (S_select elems tmp3_buf_246_24) (- (+ tmp0_cond_241_24 ?i_30_344_21) 0))))))) (=> ?v_32 (forall ((?i_30_351_21 Int)) (let ((?v_96 (- ?i_30_351_21 0))) (=> (or (> 0 ?v_96) (>= ?v_96 length_246_13_246_13_30_360_44)) (= (S_select (S_select elems_246_13_30_342_17 tmp2_new_byte___245_22) ?i_30_351_21) (S_select (S_select elems tmp2_new_byte___245_22) ?i_30_351_21)))))) (forall ((?brokenObj_34_ Int)) (=> (and (= true_term (is ?brokenObj_34_ T_javafe_util_LocationManagerCorrelatedReader)) (not (= ?brokenObj_34_ null)) (forall ((?i_4_63_29 Int)) (=> (and (<= 0 ?i_4_63_29) (< ?i_4_63_29 (S_select curLineNo_4_439_16 ?brokenObj_34_))) (<= 0 (S_select (S_select elems (S_select NLOA_4_65_51 ?brokenObj_34_)) ?i_4_63_29))))) (forall ((?i_4_63_29 Int)) (=> (and (<= 0 ?i_4_63_29) (< ?i_4_63_29 (S_select curLineNo_4_439_16 ?brokenObj_34_))) (<= 0 (S_select (S_select elems_246_13_30_342_17 (S_select NLOA_4_65_51 ?brokenObj_34_)) ?i_4_63_29)))))) (= buf_247_6 (S_store buf_5_42_36 this tmp2_new_byte___245_22)) (= alloc_2_ alloc_1_) (= XRES_1_ XRES_246_13_246_13) (= RES_1_ RES_246_13_246_13) (= buf_5_42_36_1_ buf_247_6) (= EC_1_ EC_246_13_246_13)) (and ?v_33 ?v_5 ?v_34 ?v_35 ?v_36 ?v_22 ?v_23 ?v_24 ?v_19 ?v_20 (= elems_249_13_30_342_17 (S_store elems tmp8_buf_249_37 after_249_13_249_13_30_342_17)) (= elems_249_13_30_342_17 (asElems elems_249_13_30_342_17)) (< (eClosedTime elems_249_13_30_342_17) alloc) ?v_37 (=> ?v_37 (forall ((?i_30_344_21 Int)) (let ((?v_97 (- ?i_30_344_21 0))) (=> (and (<= 0 ?v_97) (< ?v_97 length_249_13_249_13_30_360_44)) (= (S_select (S_select elems_249_13_30_342_17 tmp8_buf_249_37) ?i_30_344_21) (S_select (S_select elems tmp6_buf_249_24) (- (+ tmp0_cond_241_24 ?i_30_344_21) 0))))))) (=> ?v_37 (forall ((?i_30_351_21 Int)) (let ((?v_98 (- ?i_30_351_21 0))) (=> (or (> 0 ?v_98) (>= ?v_98 length_249_13_249_13_30_360_44)) (= (S_select (S_select elems_249_13_30_342_17 tmp8_buf_249_37) ?i_30_351_21) (S_select (S_select elems tmp8_buf_249_37) ?i_30_351_21)))))) (forall ((?brokenObj_35_ Int)) (=> (and (= true_term (is ?brokenObj_35_ T_javafe_util_LocationManagerCorrelatedReader)) (not (= ?brokenObj_35_ null)) (forall ((?i_4_63_29 Int)) (=> (and (<= 0 ?i_4_63_29) (< ?i_4_63_29 (S_select curLineNo_4_439_16 ?brokenObj_35_))) (<= 0 (S_select (S_select elems (S_select NLOA_4_65_51 ?brokenObj_35_)) ?i_4_63_29))))) (forall ((?i_4_63_29 Int)) (=> (and (<= 0 ?i_4_63_29) (< ?i_4_63_29 (S_select curLineNo_4_439_16 ?brokenObj_35_))) (<= 0 (S_select (S_select elems_249_13_30_342_17 (S_select NLOA_4_65_51 ?brokenObj_35_)) ?i_4_63_29)))))) (= alloc_2_ alloc) (= XRES_1_ XRES_249_13_249_13) (= RES_1_ RES_249_13_249_13) (= buf_5_42_36_1_ buf_5_42_36) (= EC_1_ EC_249_13_249_13)))) (?v_78 (= curNdx_251_4 (S_store curNdx_5_69_16 this ?v_12))) (?v_79 (= markNdx_252_4 (S_store markNdx_5_213_16 this (- ?v_38 tmp0_cond_241_24)))) (?v_80 (= lastCharNdx_253_4 (S_store lastCharNdx_5_82_16 this (- ?v_9 tmp0_cond_241_24)))) (?v_81 (= beforeBufLoc_254_4 (S_store beforeBufLoc_5_52_16 this (+ (S_select beforeBufLoc_5_52_16 this) tmp0_cond_241_24)))) (?v_67 (S_select curNdx_251_4 this))) (let ((?v_82 (= endBufNdx_255_4 (S_store endBufNdx_5_60_16 this ?v_67))) (?v_40 (S_select buf_5_42_36_1_ this))) (let ((?v_39 (not (= ?v_40 null)))) (let ((?v_70 (not ?v_39)) (?v_43 (S_select endBufNdx_255_4 this)) (?v_71 (arrayLength ?v_40))) (let ((?v_41 (= b_257_11_257_11_20_20_40 (integralLE (+ ?v_43 READBLOCKSIZE_34_27) ?v_71))) (?v_42 (= true_term b_257_11_257_11_20_20_40)) (?v_83 (= EC_257_11_257_11 ecReturn)) (?v_48 (= 0 got_loopold_259_8)) (?v_49 (= EC_257_11_257_11 EC_loopold)) (?v_50 (= tmp9_stream_260_4_0_261_12 (S_select stream_55_22 this))) (?v_51 (= tmp10_buf_260_4_0_261_25 ?v_40)) (?v_52 (= tmp11_endBufNdx_260_4_0_261_30 ?v_43)) (?v_44 (not (= tmp9_stream_260_4_0_261_12 null))) (?v_45 (not (= tmp10_buf_260_4_0_261_25 null))) (?v_46 (>= READBLOCKSIZE_34_27 0)) (?v_47 (<= 0 tmp11_endBufNdx_260_4_0_261_30)) (?v_53 (<= (+ tmp11_endBufNdx_260_4_0_261_30 READBLOCKSIZE_34_27) (arrayLength tmp10_buf_260_4_0_261_25))) (?v_57 (= true_term (is RES_260_4_0_261_19_261_19 T_int))) (?v_54 (= EC_260_4_0_261_19_261_19 ecThrow)) (?v_55 (typeof XRES_260_4_0_261_19_261_19))) (let ((?v_58 (=> ?v_54 (and (not (= XRES_260_4_0_261_19_261_19 null)) (= (PO_LT ?v_55 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_260_4_0_261_19_261_19 alloc_2_))))) (?v_56 (= EC_260_4_0_261_19_261_19 ecReturn))) (let ((?v_59 (or ?v_56 (and ?v_54 (= (PO_LT ?v_55 T_java_io_IOException) true_term)))) (?v_66 (- 0 1))) (let ((?v_60 (=> ?v_56 (>= RES_260_4_0_261_19_261_19 ?v_66))) (?v_61 (=> ?v_56 (<= RES_260_4_0_261_19_261_19 READBLOCKSIZE_34_27))) (?v_62 (=> ?v_56 (= (= RES_260_4_0_261_19_261_19 0) (= READBLOCKSIZE_34_27 0)))) (?v_63 (= EC_260_4_0_261_19_261_19 C_260_4)) (?v_64 (= got_261_12_1_ 0)) (?v_65 (= EC_261_12 L_260_4))) (let ((?v_84 (or (and ?v_50 ?v_51 ?v_52 ?v_44 ?v_45 ?v_46 ?v_47 ?v_53 ?v_57 ?v_58 ?v_59 ?v_60 ?v_61 ?v_62 ?v_5 ?v_54 (not ?v_63) (= got_261_12 0) (= EC_261_12 EC_260_4_0_261_19_261_19)) (and (or (and ?v_50 ?v_51 ?v_52 ?v_44 ?v_45 ?v_46 ?v_47 ?v_53 ?v_57 ?v_58 ?v_59 ?v_60 ?v_61 ?v_62 ?v_56 (= got_261_12_1_ RES_260_4_0_261_19_261_19)) (and ?v_50 ?v_51 ?v_52 ?v_44 ?v_45 ?v_46 ?v_47 ?v_53 ?v_57 ?v_58 ?v_59 ?v_60 ?v_61 ?v_62 ?v_5 ?v_54 ?v_63 ?v_64)) (not ?v_64) (= got_261_12 got_261_12_1_) ?v_65))) (?v_85 (= got_259_8 got_261_12)) (?v_86 (= EC_2_ EC_261_12)) (?v_87 (= got_259_8 ?v_66))) (let ((?v_88 (not ?v_87)) (?v_68 (= b_267_13_267_13_20_20_40 (integralEQ ?v_67 ?v_43))) (?v_69 (= true_term b_267_13_267_13_20_20_40)) (?v_89 (= EC_267_13_267_13 ecReturn)) (?v_90 (= endBufNdx_268_6 (S_store endBufNdx_255_4 this (+ ?v_43 got_259_8)))) (?v_74 (S_select endBufNdx_268_6 this))) (let ((?v_72 (= b_269_13_269_13_20_20_40 (integralLE ?v_74 ?v_71))) (?v_73 (= true_term b_269_13_269_13_20_20_40)) (?v_91 (= EC_269_13_269_13 ecReturn)) (?v_92 (= b_270_13_270_13_20_20_40 (integralLT ?v_67 ?v_74))) (?v_93 (= true_term b_270_13_270_13_20_20_40)) (?v_94 (= EC_238_11 ecReturn))) (not (=> (distinct ecReturn ecThrow L_260_4 C_260_4) (=> (and (= markLineNo_pre_4_453_14 markLineNo_4_453_14) (= markLineNo_4_453_14 (asField markLineNo_4_453_14 T_int)) (= totalLinesRead_pre_4_429_20 totalLinesRead_4_429_20) (= true_term (is totalLinesRead_4_429_20 T_int)) (= endBufNdx_pre_5_60_16 endBufNdx_5_60_16) (= endBufNdx_5_60_16 (asField endBufNdx_5_60_16 T_int)) (= stream_pre_55_22 stream_55_22) (= stream_55_22 (asField stream_55_22 T_java_io_InputStream)) (< (fClosedTime stream_55_22) alloc) (= STARTFREELOC_pre_5_18_38 STARTFREELOC_5_18_38) (= true_term (is STARTFREELOC_5_18_38 T_int)) (= buf_pre_5_42_36 buf_5_42_36) (= buf_5_42_36 (asField buf_5_42_36 ?v_15)) (< (fClosedTime buf_5_42_36) alloc) (= file_pre_61_36 file_61_36) (= file_61_36 (asField file_61_36 T_javafe_genericfile_GenericFile)) (< (fClosedTime file_61_36) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select file_61_36 ?s) null)))) (= minLoc_pre_5_32_16 minLoc_5_32_16) (= minLoc_5_32_16 (asField minLoc_5_32_16 T_int)) (= NLOA_DEFAULT_SIZE_pre_4_70_27 NLOA_DEFAULT_SIZE_4_70_27) (= true_term (is NLOA_DEFAULT_SIZE_4_70_27 T_int)) (= marked_pre_6_92_41 marked_6_92_41) (= marked_6_92_41 (asField marked_6_92_41 T_boolean)) (= oddSlashLoc_pre_5_91_16 oddSlashLoc_5_91_16) (= oddSlashLoc_5_91_16 (asField oddSlashLoc_5_91_16 T_int)) (= NULL_pre_19_60_26 NULL_19_60_26) (= true_term (is NULL_19_60_26 T_int)) (= freeLoc_pre_4_35_21 freeLoc_4_35_21) (= true_term (is freeLoc_4_35_21 T_int)) (= isWholeFile_pre_4_410_37 isWholeFile_4_410_37) (= isWholeFile_4_410_37 (asField isWholeFile_4_410_37 T_boolean)) (= NLOA_pre_4_65_51 NLOA_4_65_51) (= NLOA_4_65_51 (asField NLOA_4_65_51 (array T_int))) (< (fClosedTime NLOA_4_65_51) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select NLOA_4_65_51 ?s_1_) null)))) (= beforeBufLoc_pre_5_52_16 beforeBufLoc_5_52_16) (= beforeBufLoc_5_52_16 (asField beforeBufLoc_5_52_16 T_int)) (= curNdx_pre_5_69_16 curNdx_5_69_16) (= curNdx_5_69_16 (asField curNdx_5_69_16 T_int)) (= READBLOCKSIZE_pre_34_27 READBLOCKSIZE_34_27) (= true_term (is READBLOCKSIZE_34_27 T_int)) (= lastCharNdx_pre_5_82_16 lastCharNdx_5_82_16) (= lastCharNdx_5_82_16 (asField lastCharNdx_5_82_16 T_int)) (= curLineNo_pre_4_439_16 curLineNo_4_439_16) (= curLineNo_4_439_16 (asField curLineNo_4_439_16 T_int)) (= markNdx_pre_5_213_16 markNdx_5_213_16) (= markNdx_5_213_16 (asField markNdx_5_213_16 T_int)) (= DEFAULTBUFSIZE_pre_38_27 DEFAULTBUFSIZE_38_27) (= true_term (is DEFAULTBUFSIZE_38_27 T_int)) (= maxLoc_pre_5_33_16 maxLoc_5_33_16) (= maxLoc_5_33_16 (asField maxLoc_5_33_16 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is this T_javafe_util_FileCorrelatedReader)) (= true_term (isAllocated this alloc)) (not (= this null)) ?v_10 (= ?v_0 ?v_1) (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_util_BufferedCorrelatedReader)) (not (= ?brokenObj null))) (<= (S_select curNdx_5_69_16 ?brokenObj) (S_select endBufNdx_5_60_16 ?brokenObj)))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_util_BufferedCorrelatedReader)) (not (= ?brokenObj_1_ null))) (<= (- (S_select minLoc_5_32_16 ?brokenObj_1_) 1) (S_select beforeBufLoc_5_52_16 ?brokenObj_1_)))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_util_BufferedCorrelatedReader)) (not (= ?brokenObj_2_ null))) (<= (S_select lastCharNdx_5_82_16 ?brokenObj_2_) (S_select curNdx_5_69_16 ?brokenObj_2_)))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_util_BufferedCorrelatedReader)) (not (= ?brokenObj_3_ null))) (<= (S_select minLoc_5_32_16 ?brokenObj_3_) (S_select maxLoc_5_33_16 ?brokenObj_3_)))) (forall ((?brokenObj_4_ Int)) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_util_LocationManagerCorrelatedReader)) (not (= ?brokenObj_4_ null))) (<= NLOA_DEFAULT_SIZE_4_70_27 (arrayLength (S_select NLOA_4_65_51 ?brokenObj_4_))))) (forall ((?brokenObj_5_ Int)) (let ((?v_99 (S_select markLineNo_4_453_14 ?brokenObj_5_))) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_util_LocationManagerCorrelatedReader)) (not (= ?brokenObj_5_ null)) (= true_term (S_select marked_6_92_41 ?brokenObj_5_))) (and (< 0 ?v_99) (<= ?v_99 (S_select curLineNo_4_439_16 ?brokenObj_5_)))))) (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_javafe_util_FileCorrelatedReader)) (not (= ?brokenObj_6_ null))) (= (not (= (S_select buf_5_42_36 ?brokenObj_6_) null)) (not (= (S_select stream_55_22 ?brokenObj_6_) null))))) (forall ((?brokenObj_7_ Int)) (let ((?v_100 (S_select markNdx_5_213_16 ?brokenObj_7_))) (=> (and (= true_term (is ?brokenObj_7_ T_javafe_util_BufferedCorrelatedReader)) (not (= ?brokenObj_7_ null)) (= true_term (S_select marked_6_92_41 ?brokenObj_7_))) (and (<= 0 ?v_100) (<= ?v_100 (S_select curNdx_5_69_16 ?brokenObj_7_)))))) (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_javafe_util_BufferedCorrelatedReader)) (not (= ?brokenObj_8_ null))) (<= 0 (S_select curNdx_5_69_16 ?brokenObj_8_)))) (forall ((?brokenObj_9_ Int)) (=> (and (= true_term (is ?brokenObj_9_ T_javafe_util_BufferedCorrelatedReader)) (not (= ?brokenObj_9_ null))) (<= 0 (S_select lastCharNdx_5_82_16 ?brokenObj_9_)))) (forall ((?brokenObj_10_ Int)) (=> (and (= true_term (is ?brokenObj_10_ T_javafe_util_LocationManagerCorrelatedReader)) (not (= ?brokenObj_10_ null))) (forall ((?i_4_63_29 Int)) (=> (and (<= 0 ?i_4_63_29) (< ?i_4_63_29 (S_select curLineNo_4_439_16 ?brokenObj_10_))) (<= 0 (S_select (S_select elems (S_select NLOA_4_65_51 ?brokenObj_10_)) ?i_4_63_29)))))) (forall ((?brokenObj_11_ Int)) (=> (and (= true_term (is ?brokenObj_11_ T_javafe_util_BufferedCorrelatedReader)) (not (= ?brokenObj_11_ null))) (<= STARTFREELOC_5_18_38 (S_select minLoc_5_32_16 ?brokenObj_11_)))) (forall ((?brokenObj_12_ Int)) (=> (and (= true_term (is ?brokenObj_12_ T_javafe_util_LocationManagerCorrelatedReader)) (not (= ?brokenObj_12_ null)) (= true_term (S_select isWholeFile_4_410_37 ?brokenObj_12_))) (= (S_select buf_5_42_36 ?brokenObj_12_) null))) (forall ((?brokenObj_13_ Int)) (=> (and (= true_term (is ?brokenObj_13_ T_javafe_util_LocationManagerCorrelatedReader)) (not (= ?brokenObj_13_ null))) (<= 1 (S_select curLineNo_4_439_16 ?brokenObj_13_)))) (forall ((?brokenObj_14_ Int)) (let ((?v_101 (S_select buf_5_42_36 ?brokenObj_14_))) (=> (and (= true_term (is ?brokenObj_14_ T_javafe_util_BufferedCorrelatedReader)) (not (= ?brokenObj_14_ null)) (not (= ?v_101 null))) (<= (S_select endBufNdx_5_60_16 ?brokenObj_14_) (arrayLength ?v_101))))) (<= STARTFREELOC_5_18_38 freeLoc_4_35_21) (forall ((?brokenObj_15_ Int)) (=> (and (= true_term (is ?brokenObj_15_ T_javafe_util_LocationManagerCorrelatedReader)) (not (= ?brokenObj_15_ null))) (<= (S_select curLineNo_4_439_16 ?brokenObj_15_) (arrayLength (S_select NLOA_4_65_51 ?brokenObj_15_))))) (or (and ?v_2 (not ?v_3)) (and ?v_2 ?v_3 ?v_75 (or (and ?v_4 ?v_5 ?v_6 ?v_8) (and ?v_76 (or (not ?v_10) (and ?v_10 (or (and ?v_21 ?v_5 (or (not ?v_13) (and ?v_13 ?v_27 ?v_28 ?v_29 ?v_30 ?v_31 (or (not ?v_16) (and ?v_16 (or (not ?v_17) (and ?v_17 (or (not ?v_18) (and ?v_18 (or ?v_25 (and ?v_19 (or ?v_26 (and ?v_20 (or (not (<= (+ tmp0_cond_241_24 length_246_13_246_13_30_360_44) (arrayLength tmp3_buf_246_24))) (not (<= (+ 0 length_246_13_246_13_30_360_44) (arrayLength tmp2_new_byte___245_22))) (not (forall ((?brokenObj_16_ Int)) (=> (or (= ?brokenObj_16_ tmp3_buf_246_24) (= ?brokenObj_16_ tmp2_new_byte___245_22)) (or (= ?brokenObj_16_ null) (not (= true_term (is ?brokenObj_16_ T_javafe_util_BufferedCorrelatedReader))) (<= (S_select curNdx_5_69_16 ?brokenObj_16_) (S_select endBufNdx_5_60_16 ?brokenObj_16_)))))) (not (forall ((?brokenObj_17_ Int)) (=> (or (= ?brokenObj_17_ tmp3_buf_246_24) (= ?brokenObj_17_ tmp2_new_byte___245_22)) (or (= ?brokenObj_17_ null) (not (= true_term (is ?brokenObj_17_ T_javafe_util_BufferedCorrelatedReader))) (<= (- (S_select minLoc_5_32_16 ?brokenObj_17_) 1) (S_select beforeBufLoc_5_52_16 ?brokenObj_17_)))))) (not (forall ((?brokenObj_18_ Int)) (=> (or (= ?brokenObj_18_ tmp3_buf_246_24) (= ?brokenObj_18_ tmp2_new_byte___245_22)) (or (= ?brokenObj_18_ null) (not (= true_term (is ?brokenObj_18_ T_javafe_util_BufferedCorrelatedReader))) (<= (S_select lastCharNdx_5_82_16 ?brokenObj_18_) (S_select curNdx_5_69_16 ?brokenObj_18_)))))) (not (forall ((?brokenObj_19_ Int)) (=> (or (= ?brokenObj_19_ tmp3_buf_246_24) (= ?brokenObj_19_ tmp2_new_byte___245_22)) (or (= ?brokenObj_19_ null) (not (= true_term (is ?brokenObj_19_ T_javafe_util_FileCorrelatedReader))) (= (not (= (S_select buf_5_42_36 ?brokenObj_19_) null)) (not (= (S_select stream_55_22 ?brokenObj_19_) null))))))) (not (forall ((?brokenObj_20_ Int)) (let ((?v_102 (S_select markNdx_5_213_16 ?brokenObj_20_))) (=> (or (= ?brokenObj_20_ tmp3_buf_246_24) (= ?brokenObj_20_ tmp2_new_byte___245_22)) (or (= ?brokenObj_20_ null) (not (= true_term (is ?brokenObj_20_ T_javafe_util_BufferedCorrelatedReader))) (=> (= true_term (S_select marked_6_92_41 ?brokenObj_20_)) (and (<= 0 ?v_102) (<= ?v_102 (S_select curNdx_5_69_16 ?brokenObj_20_))))))))) (not (forall ((?brokenObj_21_ Int)) (=> (or (= ?brokenObj_21_ tmp3_buf_246_24) (= ?brokenObj_21_ tmp2_new_byte___245_22)) (or (= ?brokenObj_21_ null) (not (= true_term (is ?brokenObj_21_ T_javafe_util_BufferedCorrelatedReader))) (<= 0 (S_select curNdx_5_69_16 ?brokenObj_21_)))))) (not (forall ((?brokenObj_22_ Int)) (=> (or (= ?brokenObj_22_ tmp3_buf_246_24) (= ?brokenObj_22_ tmp2_new_byte___245_22)) (or (= ?brokenObj_22_ null) (not (= true_term (is ?brokenObj_22_ T_javafe_util_BufferedCorrelatedReader))) (<= 0 (S_select lastCharNdx_5_82_16 ?brokenObj_22_)))))) (not (forall ((?brokenObj_23_ Int)) (=> (or (= ?brokenObj_23_ tmp3_buf_246_24) (= ?brokenObj_23_ tmp2_new_byte___245_22)) (or (= ?brokenObj_23_ null) (not (= true_term (is ?brokenObj_23_ T_javafe_util_LocationManagerCorrelatedReader))) (=> (= true_term (S_select isWholeFile_4_410_37 ?brokenObj_23_)) (= (S_select buf_5_42_36 ?brokenObj_23_) null)))))) (not (forall ((?brokenObj_24_ Int)) (let ((?v_103 (S_select buf_5_42_36 ?brokenObj_24_))) (=> (or (= ?brokenObj_24_ tmp3_buf_246_24) (= ?brokenObj_24_ tmp2_new_byte___245_22)) (or (= ?brokenObj_24_ null) (not (= true_term (is ?brokenObj_24_ T_javafe_util_BufferedCorrelatedReader))) (=> (not (= ?v_103 null)) (<= (S_select endBufNdx_5_60_16 ?brokenObj_24_) (arrayLength ?v_103)))))))))))))))))))))) (and ?v_33 ?v_5 ?v_34 ?v_35 ?v_36 (or (not ?v_22) (and ?v_22 (or (not ?v_23) (and ?v_23 (or (not ?v_24) (and ?v_24 (or ?v_25 (and ?v_19 (or ?v_26 (and ?v_20 (or (not (<= (+ tmp0_cond_241_24 length_249_13_249_13_30_360_44) (arrayLength tmp6_buf_249_24))) (not (<= (+ 0 length_249_13_249_13_30_360_44) (arrayLength tmp8_buf_249_37))) (not (forall ((?brokenObj_25_ Int)) (=> (or (= ?brokenObj_25_ tmp6_buf_249_24) (= ?brokenObj_25_ tmp8_buf_249_37)) (or (= ?brokenObj_25_ null) (not (= true_term (is ?brokenObj_25_ T_javafe_util_BufferedCorrelatedReader))) (<= (S_select curNdx_5_69_16 ?brokenObj_25_) (S_select endBufNdx_5_60_16 ?brokenObj_25_)))))) (not (forall ((?brokenObj_26_ Int)) (=> (or (= ?brokenObj_26_ tmp6_buf_249_24) (= ?brokenObj_26_ tmp8_buf_249_37)) (or (= ?brokenObj_26_ null) (not (= true_term (is ?brokenObj_26_ T_javafe_util_BufferedCorrelatedReader))) (<= (- (S_select minLoc_5_32_16 ?brokenObj_26_) 1) (S_select beforeBufLoc_5_52_16 ?brokenObj_26_)))))) (not (forall ((?brokenObj_27_ Int)) (=> (or (= ?brokenObj_27_ tmp6_buf_249_24) (= ?brokenObj_27_ tmp8_buf_249_37)) (or (= ?brokenObj_27_ null) (not (= true_term (is ?brokenObj_27_ T_javafe_util_BufferedCorrelatedReader))) (<= (S_select lastCharNdx_5_82_16 ?brokenObj_27_) (S_select curNdx_5_69_16 ?brokenObj_27_)))))) (not (forall ((?brokenObj_28_ Int)) (=> (or (= ?brokenObj_28_ tmp6_buf_249_24) (= ?brokenObj_28_ tmp8_buf_249_37)) (or (= ?brokenObj_28_ null) (not (= true_term (is ?brokenObj_28_ T_javafe_util_FileCorrelatedReader))) (= (not (= (S_select buf_5_42_36 ?brokenObj_28_) null)) (not (= (S_select stream_55_22 ?brokenObj_28_) null))))))) (not (forall ((?brokenObj_29_ Int)) (let ((?v_104 (S_select markNdx_5_213_16 ?brokenObj_29_))) (=> (or (= ?brokenObj_29_ tmp6_buf_249_24) (= ?brokenObj_29_ tmp8_buf_249_37)) (or (= ?brokenObj_29_ null) (not (= true_term (is ?brokenObj_29_ T_javafe_util_BufferedCorrelatedReader))) (=> (= true_term (S_select marked_6_92_41 ?brokenObj_29_)) (and (<= 0 ?v_104) (<= ?v_104 (S_select curNdx_5_69_16 ?brokenObj_29_))))))))) (not (forall ((?brokenObj_30_ Int)) (=> (or (= ?brokenObj_30_ tmp6_buf_249_24) (= ?brokenObj_30_ tmp8_buf_249_37)) (or (= ?brokenObj_30_ null) (not (= true_term (is ?brokenObj_30_ T_javafe_util_BufferedCorrelatedReader))) (<= 0 (S_select curNdx_5_69_16 ?brokenObj_30_)))))) (not (forall ((?brokenObj_31_ Int)) (=> (or (= ?brokenObj_31_ tmp6_buf_249_24) (= ?brokenObj_31_ tmp8_buf_249_37)) (or (= ?brokenObj_31_ null) (not (= true_term (is ?brokenObj_31_ T_javafe_util_BufferedCorrelatedReader))) (<= 0 (S_select lastCharNdx_5_82_16 ?brokenObj_31_)))))) (not (forall ((?brokenObj_32_ Int)) (=> (or (= ?brokenObj_32_ tmp6_buf_249_24) (= ?brokenObj_32_ tmp8_buf_249_37)) (or (= ?brokenObj_32_ null) (not (= true_term (is ?brokenObj_32_ T_javafe_util_LocationManagerCorrelatedReader))) (=> (= true_term (S_select isWholeFile_4_410_37 ?brokenObj_32_)) (= (S_select buf_5_42_36 ?brokenObj_32_) null)))))) (not (forall ((?brokenObj_33_ Int)) (let ((?v_105 (S_select buf_5_42_36 ?brokenObj_33_))) (=> (or (= ?brokenObj_33_ tmp6_buf_249_24) (= ?brokenObj_33_ tmp8_buf_249_37)) (or (= ?brokenObj_33_ null) (not (= true_term (is ?brokenObj_33_ T_javafe_util_BufferedCorrelatedReader))) (=> (not (= ?v_105 null)) (<= (S_select endBufNdx_5_60_16 ?brokenObj_33_) (arrayLength ?v_105)))))))))))))))))))) (and ?v_77 ?v_78 ?v_4 ?v_79 ?v_80 ?v_81 ?v_82 (or ?v_70 (and ?v_39 (or (and ?v_41 (not ?v_42)) (and ?v_41 ?v_42 ?v_83 (or (and ?v_48 ?v_49 ?v_5 ?v_50 ?v_51 ?v_52 (or (not ?v_44) (and ?v_44 (or (not ?v_45) (and ?v_45 (or (not ?v_46) (and ?v_46 (or (not ?v_47) (and ?v_47 (not ?v_53)))))))))) (and ?v_48 ?v_49 ?v_5 ?v_84 ?v_65 ?v_85 ?v_86 ?v_88 ?v_5 (or (and ?v_68 (not ?v_69)) (and ?v_68 ?v_69 ?v_89 ?v_90 (or ?v_70 (and ?v_39 (or (and ?v_72 (not ?v_73)) (and ?v_72 ?v_73 ?v_91 ?v_92 (not ?v_93)))))))))))))))))))) (and ?v_2 ?v_3 ?v_75 ?v_76 ?v_10 ?v_77 ?v_78 ?v_4 ?v_79 ?v_80 ?v_81 ?v_82 ?v_39 ?v_41 ?v_42 ?v_83 (or (and ?v_48 ?v_49 ?v_5 ?v_84 (not ?v_65) (= XRES_238_11 XRES_260_4_0_261_19_261_19) (= RES_238_11 RES_260_4_0_261_19_261_19) (= endBufNdx_238_11 endBufNdx_255_4) (= EC_238_11 EC_261_12)) (and ?v_48 ?v_49 ?v_5 ?v_84 ?v_65 ?v_85 ?v_86 (or (and ?v_87 ?v_5 ?v_5 (= XRES_2_ XRES_260_4_0_261_19_261_19) (= RES_2_ false_term) (= endBufNdx_5_60_16_1_ endBufNdx_255_4)) (and ?v_88 ?v_5 ?v_68 ?v_69 ?v_89 ?v_90 ?v_39 ?v_72 ?v_73 ?v_91 ?v_92 ?v_93 (= EC_270_13_270_13 ecReturn) ?v_5 (= XRES_2_ XRES_270_13_270_13) (= RES_2_ true_term) (= endBufNdx_5_60_16_1_ endBufNdx_268_6))) (= XRES_238_11 XRES_2_) (= RES_238_11 RES_2_) (= endBufNdx_238_11 endBufNdx_5_60_16_1_) ?v_94)) (or (not (or ?v_94 (and (= EC_238_11 ecThrow) (= (PO_LT (typeof XRES_238_11) T_java_io_IOException) true_term)))) (not (=> (and ?v_94 (= true_term RES_238_11)) (< ?v_67 (S_select endBufNdx_238_11 this)))) (not (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_util_BufferedCorrelatedReader)) (= true_term (isAllocated ?brokenObj alloc_2_)) (not (= ?brokenObj null))) (<= (S_select curNdx_251_4 ?brokenObj) (S_select endBufNdx_238_11 ?brokenObj))))) (not (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_util_BufferedCorrelatedReader)) (= true_term (isAllocated ?brokenObj_1_ alloc_2_)) (not (= ?brokenObj_1_ null))) (<= (- (S_select minLoc_5_32_16 ?brokenObj_1_) 1) (S_select beforeBufLoc_254_4 ?brokenObj_1_))))) (not (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_util_BufferedCorrelatedReader)) (= true_term (isAllocated ?brokenObj_2_ alloc_2_)) (not (= ?brokenObj_2_ null))) (<= (S_select lastCharNdx_253_4 ?brokenObj_2_) (S_select curNdx_251_4 ?brokenObj_2_))))) (not (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_javafe_util_FileCorrelatedReader)) (= true_term (isAllocated ?brokenObj_6_ alloc_2_)) (not (= ?brokenObj_6_ null))) (= (not (= (S_select buf_5_42_36_1_ ?brokenObj_6_) null)) (not (= (S_select stream_55_22 ?brokenObj_6_) null)))))) (not (forall ((?brokenObj_7_ Int)) (let ((?v_106 (S_select markNdx_252_4 ?brokenObj_7_))) (=> (and (= true_term (is ?brokenObj_7_ T_javafe_util_BufferedCorrelatedReader)) (= true_term (isAllocated ?brokenObj_7_ alloc_2_)) (not (= ?brokenObj_7_ null)) (= true_term (S_select marked_6_92_41 ?brokenObj_7_))) (and (<= 0 ?v_106) (<= ?v_106 (S_select curNdx_251_4 ?brokenObj_7_))))))) (not (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_javafe_util_BufferedCorrelatedReader)) (= true_term (isAllocated ?brokenObj_8_ alloc_2_)) (not (= ?brokenObj_8_ null))) (<= 0 (S_select curNdx_251_4 ?brokenObj_8_))))) (not (forall ((?brokenObj_9_ Int)) (=> (and (= true_term (is ?brokenObj_9_ T_javafe_util_BufferedCorrelatedReader)) (= true_term (isAllocated ?brokenObj_9_ alloc_2_)) (not (= ?brokenObj_9_ null))) (<= 0 (S_select lastCharNdx_253_4 ?brokenObj_9_))))) (not (forall ((?brokenObj_12_ Int)) (=> (and (= true_term (is ?brokenObj_12_ T_javafe_util_LocationManagerCorrelatedReader)) (= true_term (isAllocated ?brokenObj_12_ alloc_2_)) (not (= ?brokenObj_12_ null)) (= true_term (S_select isWholeFile_4_410_37 ?brokenObj_12_))) (= (S_select buf_5_42_36_1_ ?brokenObj_12_) null)))) (not (forall ((?brokenObj_14_ Int)) (let ((?v_107 (S_select buf_5_42_36_1_ ?brokenObj_14_))) (=> (and (= true_term (is ?brokenObj_14_ T_javafe_util_BufferedCorrelatedReader)) (= true_term (isAllocated ?brokenObj_14_ alloc_2_)) (not (= ?brokenObj_14_ null)) (not (= ?v_107 null))) (<= (S_select endBufNdx_238_11 ?brokenObj_14_) (arrayLength ?v_107)))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
