(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_genericfile_GenericFile () Int)
(declare-fun T_javafe_util_FilterCorrelatedReader () Int)
(declare-fun T_javafe_util_CorrelatedReader () Int)
(declare-fun T_java_io_IOException () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_lang_IndexOutOfBoundsException () Int)
(declare-fun T_java_lang_RuntimeException () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun NULL_14_60_26 () Int)
(assert (and (= (PO_LT T_javafe_genericfile_GenericFile T_java_lang_Object) true_term) (= (PO_LT T_javafe_util_FilterCorrelatedReader T_javafe_util_CorrelatedReader) true_term) (= T_javafe_util_FilterCorrelatedReader (asChild T_javafe_util_FilterCorrelatedReader T_javafe_util_CorrelatedReader)) (= (PO_LT T_java_io_IOException T_java_lang_Exception) true_term) (= T_java_io_IOException (asChild T_java_io_IOException T_java_lang_Exception)) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_IndexOutOfBoundsException T_java_lang_RuntimeException) true_term) (= T_java_lang_IndexOutOfBoundsException (asChild T_java_lang_IndexOutOfBoundsException T_java_lang_RuntimeException)) (= (PO_LT T_java_lang_RuntimeException T_java_lang_Exception) true_term) (= T_java_lang_RuntimeException (asChild T_java_lang_RuntimeException T_java_lang_Exception)) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_util_CorrelatedReader T_java_lang_Object) true_term) (= T_javafe_util_CorrelatedReader (asChild T_javafe_util_CorrelatedReader T_java_lang_Object)) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_lang_Object (+ DIST_ZERO_1 10)) (= T_javafe_genericfile_GenericFile (+ DIST_ZERO_1 11)) (= T_javafe_util_FilterCorrelatedReader (+ DIST_ZERO_1 12)) (= T_java_io_IOException (+ DIST_ZERO_1 13)) (= T_java_lang_Throwable (+ DIST_ZERO_1 14)) (= T_java_lang_IndexOutOfBoundsException (+ DIST_ZERO_1 15)) (= T_java_lang_RuntimeException (+ DIST_ZERO_1 16)) (= T_java_io_Serializable (+ DIST_ZERO_1 17)) (= T_javafe_util_CorrelatedReader (+ DIST_ZERO_1 18)) (= T_java_lang_Exception (+ DIST_ZERO_1 19)) (= T_javafe_util_Location (+ DIST_ZERO_1 20))) (= true_term (is NULL_14_60_26 T_int)) (= NULL_14_60_26 0)))
(declare-fun child_pre_26_45 () Int)
(declare-fun child_26_45 () Int)
(declare-fun NULL_pre_14_60_26 () Int)
(declare-fun marked_pre_4_92_41 () Int)
(declare-fun marked_4_92_41 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun child_42_68 () Int)
(declare-fun objectToBeConstructed () Int)
(declare-fun after_42_75_42_75 () Int)
(declare-fun RES_42_75_42_75 () Int)
(declare-fun EC_42_75_42_75 () Int)
(declare-fun ecReturn () Int)
(declare-fun owner_5_35_28 () Int)
(declare-fun child_26_45_1_ () Int)
(declare-fun child_zero () Int)
(declare-fun marked_43_10_4_117_17 () Int)
(declare-fun after_43_10_43_10_4_117_17 () Int)
(declare-fun EC_43_10_43_10 () Int)
(declare-fun child_44_9 () Int)
(assert (let ((?v_1 (not (= true_term (isAllocated objectToBeConstructed alloc)))) (?v_2 (< alloc after_42_75_42_75)) (?v_3 (not (= RES_42_75_42_75 null))) (?v_4 (not (= true_term (isAllocated RES_42_75_42_75 alloc)))) (?v_5 (= true_term (is RES_42_75_42_75 T_javafe_util_CorrelatedReader))) (?v_6 (= true_term (isAllocated RES_42_75_42_75 after_42_75_42_75))) (?v_0 (= EC_42_75_42_75 ecReturn)) (?v_7 (= (S_select owner_5_35_28 RES_42_75_42_75) null))) (let ((?v_8 (=> ?v_0 (not (= true_term (S_select marked_4_92_41 RES_42_75_42_75))))) (?v_9 (= (PO_LT (typeof RES_42_75_42_75) T_javafe_util_FilterCorrelatedReader) true_term)) (?v_10 (= objectToBeConstructed RES_42_75_42_75)) (?v_11 (= child_26_45_1_ (S_store child_26_45 RES_42_75_42_75 child_zero))) (?v_12 (= EC_43_10_43_10 ecReturn)) (?v_13 (= ecReturn ecReturn))) (let ((?v_14 (=> ?v_13 (not (= (S_select child_44_9 RES_42_75_42_75) null))))) (not (=> true (=> (and (= child_pre_26_45 child_26_45) (= child_26_45 (asField child_26_45 T_javafe_util_CorrelatedReader)) (< (fClosedTime child_26_45) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select child_26_45 ?s) null)))) (= NULL_pre_14_60_26 NULL_14_60_26) (= true_term (is NULL_14_60_26 T_int)) (= marked_pre_4_92_41 marked_4_92_41) (= marked_4_92_41 (asField marked_4_92_41 T_boolean)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is child_42_68 T_javafe_util_CorrelatedReader)) (= true_term (isAllocated child_42_68 alloc)) (not (= child_42_68 null)) (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_util_FilterCorrelatedReader)) (not (= ?brokenObj null)) (not (= ?brokenObj objectToBeConstructed))) (= (= true_term (S_select marked_4_92_41 ?brokenObj)) (= true_term (S_select marked_4_92_41 (S_select child_26_45 ?brokenObj)))))) (or (and ?v_1 ?v_2 ?v_3 ?v_4 ?v_5 ?v_6 ?v_0 ?v_7 ?v_8 ?v_9 ?v_10 ?v_11 (not (or (not (= true_term (is child_42_68 T_javafe_util_FilterCorrelatedReader))) (= (= true_term (S_select marked_4_92_41 child_42_68)) (= true_term (S_select marked_4_92_41 (S_select child_26_45_1_ child_42_68))))))) (and ?v_1 ?v_2 ?v_3 ?v_4 ?v_5 ?v_6 ?v_0 ?v_7 ?v_8 ?v_9 ?v_10 ?v_11 (= marked_43_10_4_117_17 (S_store marked_4_92_41 child_42_68 after_43_10_43_10_4_117_17)) (= marked_43_10_4_117_17 (asField marked_43_10_4_117_17 T_boolean)) ?v_12 (=> ?v_12 (not (= true_term (S_select marked_43_10_4_117_17 child_42_68)))) (forall ((?brokenObj_1_ Int)) (let ((?v_15 (S_select child_26_45_1_ ?brokenObj_1_))) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_util_FilterCorrelatedReader)) (not (= ?brokenObj_1_ null)) (= (= true_term (S_select marked_4_92_41 ?brokenObj_1_)) (= true_term (S_select marked_4_92_41 ?v_15)))) (= (= true_term (S_select marked_43_10_4_117_17 ?brokenObj_1_)) (= true_term (S_select marked_43_10_4_117_17 ?v_15)))))) (= child_44_9 (S_store child_26_45_1_ RES_42_75_42_75 child_42_68)) (or (not ?v_13) (and ?v_13 (or (not ?v_7) (and ?v_7 (or (not ?v_14) (and ?v_14 (not (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_util_FilterCorrelatedReader)) (= true_term (isAllocated ?brokenObj after_42_75_42_75)) (not (= ?brokenObj null))) (= (= true_term (S_select marked_43_10_4_117_17 ?brokenObj)) (= true_term (S_select marked_43_10_4_117_17 (S_select child_44_9 ?brokenObj))))))))))))))))))))))))
(check-sat)
(exit)
