(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_javafe_util_Set () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_lang_CloneNotSupportedException () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_util_Assert () Int)
(declare-fun T_java_util_Enumeration () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(assert (and (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_util_Set T_java_lang_Object) true_term) (= T_javafe_util_Set (asChild T_javafe_util_Set T_java_lang_Object)) (= (PO_LT T_javafe_util_Set T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_CloneNotSupportedException T_java_lang_Exception) true_term) (= T_java_lang_CloneNotSupportedException (asChild T_java_lang_CloneNotSupportedException T_java_lang_Exception)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_util_Assert T_java_lang_Object) true_term) (= T_javafe_util_Assert (asChild T_javafe_util_Assert T_java_lang_Object)) (= (PO_LT T_java_util_Enumeration T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_lang_Exception (+ DIST_ZERO_1 10)) (= T_java_util_Map (+ DIST_ZERO_1 11)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 12)) (= T_java_lang_Throwable (+ DIST_ZERO_1 13)) (= T_java_io_Serializable (+ DIST_ZERO_1 14)) (= T_javafe_util_Set (+ DIST_ZERO_1 15)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 16)) (= T_java_util_Hashtable (+ DIST_ZERO_1 17)) (= T_java_lang_Object (+ DIST_ZERO_1 18)) (= T_java_lang_CloneNotSupportedException (+ DIST_ZERO_1 19)) (= T_java_lang_String (+ DIST_ZERO_1 20)) (= T_javafe_util_Assert (+ DIST_ZERO_1 21)) (= T_java_util_Enumeration (+ DIST_ZERO_1 22)) (= T_java_lang_Comparable (+ DIST_ZERO_1 23)) (= T_java_util_Dictionary (+ DIST_ZERO_1 24)))))
(declare-fun permitsNullKey_pre_13_21_27 () Int)
(declare-fun permitsNullKey_13_21_27 () Int)
(declare-fun returnsNull_pre_15_79_29 () Int)
(declare-fun returnsNull_15_79_29 () Int)
(declare-fun keyType_pre_13_16_25 () Int)
(declare-fun keyType_13_16_25 () Int)
(declare-fun elementType_pre_22_27 () Int)
(declare-fun elementType_22_27 () Int)
(declare-fun elementType_pre_15_74_27 () Int)
(declare-fun elementType_15_74_27 () Int)
(declare-fun owner_pre_6_35_28 () Int)
(declare-fun owner_6_35_28 () Int)
(declare-fun ht_pre_33_36 () Int)
(declare-fun ht_33_36 () Int)
(declare-fun moreElements_pre_15_58_29 () Int)
(declare-fun moreElements_15_58_29 () Int)
(declare-fun permitsNullValue_pre_13_31_27 () Int)
(declare-fun permitsNullValue_13_31_27 () Int)
(declare-fun elementType_pre_13_26_25 () Int)
(declare-fun elementType_13_26_25 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun objectToBeConstructed () Int)
(declare-fun after_45_17_45_17 () Int)
(declare-fun RES_45_17_45_17 () Int)
(declare-fun EC_45_17_45_17 () Int)
(declare-fun ecReturn () Int)
(declare-fun elementType_22_27_1_ () Int)
(declare-fun elementType_zero () Int)
(declare-fun ht_33_36_1_ () Int)
(declare-fun ht_zero () Int)
(declare-fun after_47_6_47_6 () Int)
(declare-fun RES_47_6_47_6 () Int)
(declare-fun EC_47_6_47_6 () Int)
(declare-fun ht_47_1 () Int)
(declare-fun tmp0_ht_48_9 () Int)
(declare-fun keyType_48_12 () Int)
(declare-fun tmp1_ht_49_9 () Int)
(declare-fun elementType_49_12 () Int)
(declare-fun tmp2_ht_50_9 () Int)
(declare-fun owner_50_12 () Int)
(assert (let ((?v_7 (not (= true_term (isAllocated objectToBeConstructed alloc)))) (?v_8 (< alloc after_45_17_45_17)) (?v_9 (not (= RES_45_17_45_17 null))) (?v_10 (not (= true_term (isAllocated RES_45_17_45_17 alloc)))) (?v_11 (= true_term (is RES_45_17_45_17 T_java_lang_Object))) (?v_12 (= true_term (isAllocated RES_45_17_45_17 after_45_17_45_17))) (?v_13 (= EC_45_17_45_17 ecReturn)) (?v_14 (= (S_select owner_6_35_28 RES_45_17_45_17) null)) (?v_15 (= (PO_LT (typeof RES_45_17_45_17) T_javafe_util_Set) true_term)) (?v_16 (= objectToBeConstructed RES_45_17_45_17)) (?v_17 (= elementType_22_27_1_ (S_store elementType_22_27 RES_45_17_45_17 elementType_zero))) (?v_18 (= ht_33_36_1_ (S_store ht_33_36 RES_45_17_45_17 ht_zero))) (?v_0 (>= 5 0)) (?v_19 (< after_45_17_45_17 after_47_6_47_6)) (?v_2 (not (= RES_47_6_47_6 null))) (?v_20 (not (= true_term (isAllocated RES_47_6_47_6 after_45_17_45_17)))) (?v_21 (= true_term (is RES_47_6_47_6 T_java_util_Hashtable))) (?v_22 (= true_term (isAllocated RES_47_6_47_6 after_47_6_47_6))) (?v_1 (= EC_47_6_47_6 ecReturn)) (?v_23 (= (S_select owner_6_35_28 RES_47_6_47_6) null))) (let ((?v_24 (=> ?v_1 (and (= (S_select keyType_13_16_25 RES_47_6_47_6) T_java_lang_Object) (= (S_select elementType_13_26_25 RES_47_6_47_6) T_java_lang_Object)))) (?v_25 (= (typeof RES_47_6_47_6) T_java_util_Hashtable)) (?v_26 (= ht_47_1 (S_store ht_33_36_1_ RES_45_17_45_17 RES_47_6_47_6))) (?v_4 (S_select ht_47_1 RES_45_17_45_17))) (let ((?v_27 (= tmp0_ht_48_9 ?v_4)) (?v_3 (not (= tmp0_ht_48_9 null))) (?v_6 (S_select elementType_22_27_1_ RES_45_17_45_17))) (let ((?v_28 (= keyType_48_12 (S_store keyType_13_16_25 ?v_4 ?v_6))) (?v_29 (= tmp1_ht_49_9 ?v_4)) (?v_5 (not (= tmp1_ht_49_9 null))) (?v_30 (= elementType_49_12 (S_store elementType_13_26_25 ?v_4 ?v_6))) (?v_31 (= tmp2_ht_50_9 ?v_4)) (?v_32 (not (= tmp2_ht_50_9 null))) (?v_33 (= ecReturn ecReturn)) (?v_34 (= (S_select owner_50_12 RES_45_17_45_17) null))) (let ((?v_35 (=> ?v_33 (not (= ?v_4 null))))) (not (=> true (=> (and (= permitsNullKey_pre_13_21_27 permitsNullKey_13_21_27) (= permitsNullKey_13_21_27 (asField permitsNullKey_13_21_27 T_boolean)) (= returnsNull_pre_15_79_29 returnsNull_15_79_29) (= returnsNull_15_79_29 (asField returnsNull_15_79_29 T_boolean)) (= keyType_pre_13_16_25 keyType_13_16_25) (= keyType_13_16_25 (asField keyType_13_16_25 T__TYPE)) (= elementType_pre_22_27 elementType_22_27) (= elementType_22_27 (asField elementType_22_27 T__TYPE)) (= elementType_pre_15_74_27 elementType_15_74_27) (= elementType_15_74_27 (asField elementType_15_74_27 T__TYPE)) (= owner_pre_6_35_28 owner_6_35_28) (= owner_6_35_28 (asField owner_6_35_28 T_java_lang_Object)) (< (fClosedTime owner_6_35_28) alloc) (= ht_pre_33_36 ht_33_36) (= ht_33_36 (asField ht_33_36 T_java_util_Hashtable)) (< (fClosedTime ht_33_36) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select ht_33_36 ?s) null)))) (= moreElements_pre_15_58_29 moreElements_15_58_29) (= moreElements_15_58_29 (asField moreElements_15_58_29 T_boolean)) (= permitsNullValue_pre_13_31_27 permitsNullValue_13_31_27) (= permitsNullValue_13_31_27 (asField permitsNullValue_13_31_27 T_boolean)) (= elementType_pre_13_26_25 elementType_13_26_25) (= elementType_13_26_25 (asField elementType_13_26_25 T__TYPE)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_util_Set)) (not (= ?brokenObj null)) (not (= ?brokenObj objectToBeConstructed))) (= (S_select owner_6_35_28 (S_select ht_33_36 ?brokenObj)) ?brokenObj))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_util_Set)) (not (= ?brokenObj_1_ null)) (not (= ?brokenObj_1_ objectToBeConstructed))) (= (S_select keyType_13_16_25 (S_select ht_33_36 ?brokenObj_1_)) (S_select elementType_22_27 ?brokenObj_1_)))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_util_Set)) (not (= ?brokenObj_2_ null)) (not (= ?brokenObj_2_ objectToBeConstructed))) (= (S_select elementType_13_26_25 (S_select ht_33_36 ?brokenObj_2_)) (S_select elementType_22_27 ?brokenObj_2_)))) (or (and ?v_7 ?v_8 ?v_9 ?v_10 ?v_11 ?v_12 ?v_13 ?v_14 ?v_15 ?v_16 ?v_17 ?v_18 (or (not ?v_0) (and ?v_0 ?v_19 ?v_2 ?v_20 ?v_21 ?v_22 ?v_1 ?v_23 ?v_24 ?v_25 (or (not ?v_2) (and ?v_2 ?v_26 ?v_27 (or (not ?v_3) (and ?v_3 ?v_28 ?v_29 (or (not ?v_5) (and ?v_5 ?v_30 ?v_31 (not ?v_32)))))))))) (and ?v_7 ?v_8 ?v_9 ?v_10 ?v_11 ?v_12 ?v_13 ?v_14 ?v_15 ?v_16 ?v_17 ?v_18 ?v_0 ?v_19 ?v_2 ?v_20 ?v_21 ?v_22 ?v_1 ?v_23 ?v_24 ?v_25 ?v_2 ?v_26 ?v_27 ?v_3 ?v_28 ?v_29 ?v_5 ?v_30 ?v_31 ?v_32 (= owner_50_12 (S_store owner_6_35_28 ?v_4 RES_45_17_45_17)) (or (not ?v_33) (and ?v_33 (or (not ?v_34) (and ?v_34 (or (not ?v_35) (and ?v_35 (or (not (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_util_Set)) (= true_term (isAllocated ?brokenObj after_47_6_47_6)) (not (= ?brokenObj null))) (= (S_select owner_50_12 (S_select ht_47_1 ?brokenObj)) ?brokenObj)))) (not (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_util_Set)) (= true_term (isAllocated ?brokenObj_1_ after_47_6_47_6)) (not (= ?brokenObj_1_ null))) (= (S_select keyType_48_12 (S_select ht_47_1 ?brokenObj_1_)) (S_select elementType_22_27_1_ ?brokenObj_1_))))) (not (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_util_Set)) (= true_term (isAllocated ?brokenObj_2_ after_47_6_47_6)) (not (= ?brokenObj_2_ null))) (= (S_select elementType_49_12 (S_select ht_47_1 ?brokenObj_2_)) (S_select elementType_22_27_1_ ?brokenObj_2_)))))))))))))))))))))))))
(check-sat)
(exit)
