(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_io_Writer () Int)
(declare-fun T_java_io_OutputStreamWriter () Int)
(declare-fun T_java_lang_RuntimeException () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_java_io_InputStreamReader () Int)
(declare-fun T_java_io_Reader () Int)
(declare-fun T_tohtml_Package () Int)
(declare-fun T_tohtml_VectorSorter () Int)
(declare-fun T_java_io_InputStream () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_java_io_FileOutputStream () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_io_FileNotFoundException () Int)
(declare-fun T_java_io_IOException () Int)
(declare-fun T_java_lang_NumberFormatException () Int)
(declare-fun T_java_lang_IllegalArgumentException () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_io_BufferedReader () Int)
(declare-fun T_java_io_PrintWriter () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_util_Collection () Int)
(declare-fun T_java_lang_Number () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_java_util_AbstractList () Int)
(declare-fun T_java_util_AbstractCollection () Int)
(declare-fun T_java_util_List () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_tohtml_Java2Html () Int)
(declare-fun T_java_io_BufferedWriter () Int)
(declare-fun T_tohtml_JFile () Int)
(declare-fun T_java_io_File () Int)
(declare-fun T_java_util_Vector () Int)
(declare-fun T_java_lang_StringBuffer () Int)
(declare-fun T_java_io_FileInputStream () Int)
(declare-fun T_java_util_Enumeration () Int)
(declare-fun T_java_lang_Long () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun out_20_83_49 () Int)
(declare-fun separator_16_143_31 () Int)
(assert (and (= (PO_LT T_java_io_Writer T_java_lang_Object) true_term) (= T_java_io_Writer (asChild T_java_io_Writer T_java_lang_Object)) (= (PO_LT T_java_io_OutputStreamWriter T_java_io_Writer) true_term) (= T_java_io_OutputStreamWriter (asChild T_java_io_OutputStreamWriter T_java_io_Writer)) (= (PO_LT T_java_lang_RuntimeException T_java_lang_Exception) true_term) (= T_java_lang_RuntimeException (asChild T_java_lang_RuntimeException T_java_lang_Exception)) (= (PO_LT T_java_io_InputStreamReader T_java_io_Reader) true_term) (= T_java_io_InputStreamReader (asChild T_java_io_InputStreamReader T_java_io_Reader)) (= (PO_LT T_tohtml_Package T_java_lang_Object) true_term) (= T_tohtml_Package (asChild T_tohtml_Package T_java_lang_Object)) (= (PO_LT T_tohtml_VectorSorter T_java_lang_Object) true_term) (= T_tohtml_VectorSorter (asChild T_tohtml_VectorSorter T_java_lang_Object)) (= (PO_LT T_java_io_InputStream T_java_lang_Object) true_term) (= T_java_io_InputStream (asChild T_java_io_InputStream T_java_lang_Object)) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_java_io_FileOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FileOutputStream (asChild T_java_io_FileOutputStream T_java_io_OutputStream)) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_java_io_FileNotFoundException T_java_io_IOException) true_term) (= T_java_io_FileNotFoundException (asChild T_java_io_FileNotFoundException T_java_io_IOException)) (= (PO_LT T_java_io_IOException T_java_lang_Exception) true_term) (= T_java_io_IOException (asChild T_java_io_IOException T_java_lang_Exception)) (= (PO_LT T_java_lang_NumberFormatException T_java_lang_IllegalArgumentException) true_term) (= T_java_lang_NumberFormatException (asChild T_java_lang_NumberFormatException T_java_lang_IllegalArgumentException)) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_java_io_BufferedReader T_java_io_Reader) true_term) (= T_java_io_BufferedReader (asChild T_java_io_BufferedReader T_java_io_Reader)) (= (PO_LT T_java_io_PrintWriter T_java_io_Writer) true_term) (= T_java_io_PrintWriter (asChild T_java_io_PrintWriter T_java_io_Writer)) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_java_util_Collection T_java_lang_Object) true_term) (= (PO_LT T_java_lang_IllegalArgumentException T_java_lang_RuntimeException) true_term) (= T_java_lang_IllegalArgumentException (asChild T_java_lang_IllegalArgumentException T_java_lang_RuntimeException)) (= (PO_LT T_java_lang_Number T_java_lang_Object) true_term) (= T_java_lang_Number (asChild T_java_lang_Number T_java_lang_Object)) (= (PO_LT T_java_lang_Number T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_java_util_AbstractList T_java_util_AbstractCollection) true_term) (= T_java_util_AbstractList (asChild T_java_util_AbstractList T_java_util_AbstractCollection)) (= (PO_LT T_java_util_AbstractList T_java_util_List) true_term) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_util_List T_java_lang_Object) true_term) (= (PO_LT T_java_util_List T_java_util_Collection) true_term) (= (PO_LT T_tohtml_Java2Html T_java_lang_Object) true_term) (= T_tohtml_Java2Html (asChild T_tohtml_Java2Html T_java_lang_Object)) (= (PO_LT T_java_io_BufferedWriter T_java_io_Writer) true_term) (= T_java_io_BufferedWriter (asChild T_java_io_BufferedWriter T_java_io_Writer)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_tohtml_JFile T_java_lang_Object) true_term) (= T_tohtml_JFile (asChild T_tohtml_JFile T_java_lang_Object)) (= (PO_LT T_java_io_File T_java_lang_Object) true_term) (= T_java_io_File (asChild T_java_io_File T_java_lang_Object)) (= (PO_LT T_java_io_File T_java_io_Serializable) true_term) (= (PO_LT T_java_io_File T_java_lang_Comparable) true_term) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_java_util_Vector T_java_util_AbstractList) true_term) (= T_java_util_Vector (asChild T_java_util_Vector T_java_util_AbstractList)) (= (PO_LT T_java_util_Vector T_java_util_List) true_term) (= (PO_LT T_java_util_Vector T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Vector T_java_io_Serializable) true_term) (= (PO_LT T_java_util_AbstractCollection T_java_lang_Object) true_term) (= T_java_util_AbstractCollection (asChild T_java_util_AbstractCollection T_java_lang_Object)) (= (PO_LT T_java_util_AbstractCollection T_java_util_Collection) true_term) (= (PO_LT T_java_lang_StringBuffer T_java_lang_Object) true_term) (= T_java_lang_StringBuffer (asChild T_java_lang_StringBuffer T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_StringBuffer) true_term) (= ?t T_java_lang_StringBuffer))) (= (PO_LT T_java_lang_StringBuffer T_java_io_Serializable) true_term) (= (PO_LT T_java_io_FileInputStream T_java_io_InputStream) true_term) (= T_java_io_FileInputStream (asChild T_java_io_FileInputStream T_java_io_InputStream)) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_java_util_Enumeration T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Long T_java_lang_Number) true_term) (= T_java_lang_Long (asChild T_java_lang_Long T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Long) true_term) (= ?t T_java_lang_Long))) (= (PO_LT T_java_lang_Long T_java_lang_Comparable) true_term) (= (PO_LT T_java_io_Reader T_java_lang_Object) true_term) (= T_java_io_Reader (asChild T_java_io_Reader T_java_lang_Object)) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_io_Writer (+ DIST_ZERO_1 10)) (= T_java_io_OutputStreamWriter (+ DIST_ZERO_1 11)) (= T_java_lang_RuntimeException (+ DIST_ZERO_1 12)) (= T_java_io_InputStreamReader (+ DIST_ZERO_1 13)) (= T_tohtml_Package (+ DIST_ZERO_1 14)) (= T_tohtml_VectorSorter (+ DIST_ZERO_1 15)) (= T_java_io_InputStream (+ DIST_ZERO_1 16)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 17)) (= T_java_lang_Comparable (+ DIST_ZERO_1 18)) (= T_java_io_FileOutputStream (+ DIST_ZERO_1 19)) (= T_java_lang_Throwable (+ DIST_ZERO_1 20)) (= T_java_io_FileNotFoundException (+ DIST_ZERO_1 21)) (= T_java_lang_Object (+ DIST_ZERO_1 22)) (= T_java_io_IOException (+ DIST_ZERO_1 23)) (= T_java_lang_NumberFormatException (+ DIST_ZERO_1 24)) (= T_java_util_Properties (+ DIST_ZERO_1 25)) (= T_java_io_BufferedReader (+ DIST_ZERO_1 26)) (= T_java_io_PrintWriter (+ DIST_ZERO_1 27)) (= T_java_util_Dictionary (+ DIST_ZERO_1 28)) (= T_java_lang_String (+ DIST_ZERO_1 29)) (= T_java_util_Collection (+ DIST_ZERO_1 30)) (= T_java_lang_IllegalArgumentException (+ DIST_ZERO_1 31)) (= T_java_lang_Number (+ DIST_ZERO_1 32)) (= T_java_lang_System (+ DIST_ZERO_1 33)) (= T_java_util_AbstractList (+ DIST_ZERO_1 34)) (= T_java_util_Map (+ DIST_ZERO_1 35)) (= T_java_util_List (+ DIST_ZERO_1 36)) (= T_tohtml_Java2Html (+ DIST_ZERO_1 37)) (= T_java_io_BufferedWriter (+ DIST_ZERO_1 38)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 39)) (= T_tohtml_JFile (+ DIST_ZERO_1 40)) (= T_java_io_File (+ DIST_ZERO_1 41)) (= T_java_util_Hashtable (+ DIST_ZERO_1 42)) (= T_java_util_Vector (+ DIST_ZERO_1 43)) (= T_java_util_AbstractCollection (+ DIST_ZERO_1 44)) (= T_java_lang_StringBuffer (+ DIST_ZERO_1 45)) (= T_java_io_FileInputStream (+ DIST_ZERO_1 46)) (= T_java_io_OutputStream (+ DIST_ZERO_1 47)) (= T_java_lang_Exception (+ DIST_ZERO_1 48)) (= T_java_util_Enumeration (+ DIST_ZERO_1 49)) (= T_java_lang_Long (+ DIST_ZERO_1 50)) (= T_java_io_Reader (+ DIST_ZERO_1 51)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 52)) (= T_java_io_PrintStream (+ DIST_ZERO_1 53)) (= T_java_io_Serializable (+ DIST_ZERO_1 54))) (= true_term (is out_20_83_49 T_java_io_PrintStream)) (= true_term (is separator_16_143_31 T_java_lang_String)) (not (= separator_16_143_31 null))))
(declare-fun ecReturn () Int)
(declare-fun L_74_8 () Int)
(declare-fun S_76_50 () Int)
(declare-fun S_85_42 () Int)
(declare-fun S_76_27 () Int)
(declare-fun S_82_36 () Int)
(declare-fun subpackages_pre_209_27 () Int)
(declare-fun subpackages_209_27 () Int)
(declare-fun out_pre_20_83_49 () Int)
(declare-fun permitsNullValue_pre_32_31_27 () Int)
(declare-fun permitsNullValue_32_31_27 () Int)
(declare-fun moreElements_pre_29_58_29 () Int)
(declare-fun moreElements_29_58_29 () Int)
(declare-fun permitsNullKey_pre_32_21_27 () Int)
(declare-fun permitsNullKey_32_21_27 () Int)
(declare-fun declLinks_pre_118_37 () Int)
(declare-fun declLinks_118_37 () Int)
(declare-fun lines_pre_46_16 () Int)
(declare-fun lines_46_16 () Int)
(declare-fun props_pre_20_396_44 () Int)
(declare-fun props_20_396_44 () Int)
(declare-fun destination_pre_42_25 () Int)
(declare-fun destination_42_25 () Int)
(declare-fun owner_pre_4_35_28 () Int)
(declare-fun owner_4_35_28 () Int)
(declare-fun separator_pre_16_143_31 () Int)
(declare-fun elementData_pre_5_79_35 () Int)
(declare-fun elementData_5_79_35 () Int)
(declare-fun containsNull_pre_7_70_29 () Int)
(declare-fun containsNull_7_70_29 () Int)
(declare-fun elementType_pre_29_74_27 () Int)
(declare-fun elementType_29_74_27 () Int)
(declare-fun packages_pre_43_34 () Int)
(declare-fun packages_43_34 () Int)
(declare-fun files_pre_204_26 () Int)
(declare-fun files_204_26 () Int)
(declare-fun name_pre_201_27 () Int)
(declare-fun name_201_27 () Int)
(declare-fun annotationChar_pre_48_16 () Int)
(declare-fun annotationChar_48_16 () Int)
(declare-fun elementType_pre_7_65_27 () Int)
(declare-fun elementType_7_65_27 () Int)
(declare-fun elementType_pre_32_26_25 () Int)
(declare-fun elementType_32_26_25 () Int)
(declare-fun keywords_pre_555_37 () Int)
(declare-fun keywords_555_37 () Int)
(declare-fun declLinks_pre_299_30 () Int)
(declare-fun declLinks_299_30 () Int)
(declare-fun returnsNull_pre_29_79_29 () Int)
(declare-fun returnsNull_29_79_29 () Int)
(declare-fun keyType_pre_32_16_25 () Int)
(declare-fun keyType_32_16_25 () Int)
(declare-fun elementCount_pre_5_90_35 () Int)
(declare-fun elementCount_5_90_35 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun parent_65_39 () Int)
(declare-fun name_66_33 () Int)
(declare-fun srcdir_67_33 () Int)
(declare-fun after_68_20_68_20 () Int)
(declare-fun RES_68_20_68_20 () Int)
(declare-fun EC_68_20_68_20 () Int)
(declare-fun elementCount_69_17_5_642_17 () Int)
(declare-fun after_69_17_69_17_5_642_17 () Int)
(declare-fun EC_69_17_69_17 () Int)
(declare-fun after_71_17_71_17 () Int)
(declare-fun RES_71_17_71_17 () Int)
(declare-fun EC_71_17_71_17 () Int)
(declare-fun RES_72_26_72_26 () Int)
(declare-fun EC_72_26_72_26 () Int)
(declare-fun EC_loopold () Int)
(declare-fun i_loopold_74_16 () Int)
(declare-fun alloc_loopold () Int)
(declare-fun f_74_8_0_75_12 () Int)
(declare-fun RES_74_8_0_76_18_76_18 () Int)
(declare-fun EC_74_8_0_76_18_76_18 () Int)
(declare-fun RES () Int)
(declare-fun EC () Int)
(declare-fun tmp3_cor_76_36 () Int)
(declare-fun RES_74_8_0_76_41_76_41 () Int)
(declare-fun EC_74_8_0_76_41_76_41 () Int)
(declare-fun dirname_74_8_0_79_16 () Int)
(declare-fun after_80_25_74_8_0_80_25 () Int)
(declare-fun RES_74_8_0_80_25_80_25 () Int)
(declare-fun EC_74_8_0_80_25_80_25 () Int)
(declare-fun RES_74_8_0_81_22_81_22 () Int)
(declare-fun EC_74_8_0_81_22_81_22 () Int)
(declare-fun RES_74_8_0_82_29_82_29 () Int)
(declare-fun EC_74_8_0_82_29_82_29 () Int)
(declare-fun tmp11_74_8_0_85_35 () Int)
(declare-fun EC_74_8_0_77_18_77_18 () Int)
(declare-fun EC_1_ () Int)
(declare-fun EC_74_8_0_83_24_83_24 () Int)
(declare-fun RES_1_ () Int)
(declare-fun RES_74_8_0_83_24_83_24 () Int)
(declare-fun EC_2_ () Int)
(declare-fun EC_74_8_0_85_24_85_24 () Int)
(declare-fun RES_74_8_0_85_24_85_24 () Int)
(declare-fun EC_3_ () Int)
(declare-fun i_74_8_0_74_40 () Int)
(declare-fun EC_4_ () Int)
(declare-fun EC_68_32 () Int)
(assert (let ((?v_14 (not (= S_76_50 null))) (?v_12 (not (= S_76_27 null))) (?v_22 (= S_82_36 null)) (?v_3 (= true_term (S_select containsNull_7_70_29 packages_43_34))) (?v_1 (S_select elementType_7_65_27 packages_43_34)) (?v_47 (< alloc after_68_20_68_20)) (?v_4 (not (= RES_68_20_68_20 null))) (?v_48 (not (= true_term (isAllocated RES_68_20_68_20 alloc)))) (?v_49 (= true_term (is RES_68_20_68_20 T_tohtml_Package))) (?v_50 (= true_term (isAllocated RES_68_20_68_20 after_68_20_68_20))) (?v_51 (= EC_68_20_68_20 ecReturn)) (?v_52 (= (S_select owner_4_35_28 RES_68_20_68_20) null)) (?v_53 (forall ((?brokenObj_13_ Int)) (=> (and (= true_term (is ?brokenObj_13_ T_java_util_Vector)) (not (= ?brokenObj_13_ null)) (forall ((?v_5_76_34 Int)) (let ((?v_84 (= ?v_5_76_34 null))) (=> (and (= true_term (is ?v_5_76_34 T_java_util_Vector)) (= true_term (isAllocated ?v_5_76_34 alloc)) (not ?v_84)) (or ?v_84 (= ?v_5_76_34 ?brokenObj_13_) (not (= (S_select elementData_5_79_35 ?v_5_76_34) (S_select elementData_5_79_35 ?brokenObj_13_)))))))) (forall ((?v_5_76_34 Int)) (let ((?v_85 (= ?v_5_76_34 null))) (=> (and (= true_term (is ?v_5_76_34 T_java_util_Vector)) (= true_term (isAllocated ?v_5_76_34 after_68_20_68_20)) (not ?v_85)) (or ?v_85 (= ?v_5_76_34 ?brokenObj_13_) (not (= (S_select elementData_5_79_35 ?v_5_76_34) (S_select elementData_5_79_35 ?brokenObj_13_)))))))))) (?v_0 (typeof RES_68_20_68_20))) (let ((?v_54 (= ?v_0 T_tohtml_Package)) (?v_2 (= (PO_LT ?v_0 ?v_1) true_term)) (?v_55 (= elementCount_69_17_5_642_17 (S_store elementCount_5_90_35 packages_43_34 after_69_17_69_17_5_642_17))) (?v_56 (= elementCount_69_17_5_642_17 (asField elementCount_69_17_5_642_17 T_int))) (?v_5 (= EC_69_17_69_17 ecReturn))) (let ((?v_57 (=> ?v_5 (= (S_select elementCount_69_17_5_642_17 packages_43_34) (+ (S_select elementCount_5_90_35 packages_43_34) 1)))) (?v_58 (forall ((?brokenObj_14_ Int)) (=> (and (= true_term (is ?brokenObj_14_ T_java_util_Vector)) (not (= ?brokenObj_14_ null)) (<= 0 (S_select elementCount_5_90_35 ?brokenObj_14_))) (<= 0 (S_select elementCount_69_17_5_642_17 ?brokenObj_14_))))) (?v_59 (forall ((?brokenObj_15_ Int)) (let ((?v_86 (arrayLength (S_select elementData_5_79_35 ?brokenObj_15_)))) (=> (and (= true_term (is ?brokenObj_15_ T_java_util_Vector)) (not (= ?brokenObj_15_ null)) (<= (S_select elementCount_5_90_35 ?brokenObj_15_) ?v_86)) (<= (S_select elementCount_69_17_5_642_17 ?brokenObj_15_) ?v_86))))) (?v_60 (forall ((?brokenObj_16_ Int)) (=> (and (= true_term (is ?brokenObj_16_ T_java_util_Vector)) (not (= ?brokenObj_16_ null)) (forall ((?i_5_73_31 Int)) (=> (and (<= 0 ?i_5_73_31) (< ?i_5_73_31 (S_select elementCount_5_90_35 ?brokenObj_16_)) (not (= true_term (S_select containsNull_7_70_29 ?brokenObj_16_)))) (not (= (S_select (S_select elems (S_select elementData_5_79_35 ?brokenObj_16_)) ?i_5_73_31) null))))) (forall ((?i_5_73_31 Int)) (=> (and (<= 0 ?i_5_73_31) (< ?i_5_73_31 (S_select elementCount_69_17_5_642_17 ?brokenObj_16_)) (not (= true_term (S_select containsNull_7_70_29 ?brokenObj_16_)))) (not (= (S_select (S_select elems (S_select elementData_5_79_35 ?brokenObj_16_)) ?i_5_73_31) null))))))) (?v_61 (forall ((?brokenObj_17_ Int)) (=> (and (= true_term (is ?brokenObj_17_ T_java_util_Vector)) (not (= ?brokenObj_17_ null)) (forall ((?i_5_70_31 Int)) (let ((?v_87 (S_select (S_select elems (S_select elementData_5_79_35 ?brokenObj_17_)) ?i_5_70_31))) (=> (and (<= 0 ?i_5_70_31) (< ?i_5_70_31 (S_select elementCount_5_90_35 ?brokenObj_17_))) (or (= (PO_LT (typeof ?v_87) (S_select elementType_7_65_27 ?brokenObj_17_)) true_term) (= ?v_87 null)))))) (forall ((?i_5_70_31 Int)) (let ((?v_88 (S_select (S_select elems (S_select elementData_5_79_35 ?brokenObj_17_)) ?i_5_70_31))) (=> (and (<= 0 ?i_5_70_31) (< ?i_5_70_31 (S_select elementCount_69_17_5_642_17 ?brokenObj_17_))) (or (= (PO_LT (typeof ?v_88) (S_select elementType_7_65_27 ?brokenObj_17_)) true_term) (= ?v_88 null)))))))) (?v_62 (< after_68_20_68_20 after_71_17_71_17)) (?v_6 (not (= RES_71_17_71_17 null))) (?v_63 (not (= true_term (isAllocated RES_71_17_71_17 after_68_20_68_20)))) (?v_64 (= true_term (is RES_71_17_71_17 T_java_io_File))) (?v_65 (= true_term (isAllocated RES_71_17_71_17 after_71_17_71_17))) (?v_66 (= EC_71_17_71_17 ecReturn)) (?v_67 (= (S_select owner_4_35_28 RES_71_17_71_17) null)) (?v_68 (forall ((?brokenObj_18_ Int)) (=> (and (= true_term (is ?brokenObj_18_ T_java_util_Vector)) (not (= ?brokenObj_18_ null)) (forall ((?v_5_76_34 Int)) (let ((?v_89 (= ?v_5_76_34 null))) (=> (and (= true_term (is ?v_5_76_34 T_java_util_Vector)) (= true_term (isAllocated ?v_5_76_34 after_68_20_68_20)) (not ?v_89)) (or ?v_89 (= ?v_5_76_34 ?brokenObj_18_) (not (= (S_select elementData_5_79_35 ?v_5_76_34) (S_select elementData_5_79_35 ?brokenObj_18_)))))))) (forall ((?v_5_76_34 Int)) (let ((?v_90 (= ?v_5_76_34 null))) (=> (and (= true_term (is ?v_5_76_34 T_java_util_Vector)) (= true_term (isAllocated ?v_5_76_34 after_71_17_71_17)) (not ?v_90)) (or ?v_90 (= ?v_5_76_34 ?brokenObj_18_) (not (= (S_select elementData_5_79_35 ?v_5_76_34) (S_select elementData_5_79_35 ?brokenObj_18_)))))))))) (?v_69 (= (typeof RES_71_17_71_17) T_java_io_File)) (?v_70 (= true_term (is RES_72_26_72_26 (array T_java_lang_String)))) (?v_71 (= true_term (isAllocated RES_72_26_72_26 after_71_17_71_17))) (?v_72 (= EC_72_26_72_26 ecReturn)) (?v_73 (= true_term (nonnullelements RES_72_26_72_26 elems))) (?v_74 (= EC_72_26_72_26 EC_loopold)) (?v_75 (= 0 i_loopold_74_16)) (?v_76 (= after_71_17_71_17 alloc_loopold)) (?v_16 (= true_term true_term)) (?v_7 (not (= RES_72_26_72_26 null)))) (let ((?v_8 (not ?v_7)) (?v_80 (arrayLength RES_72_26_72_26))) (let ((?v_10 (< 0 ?v_80)) (?v_9 (<= 0 0))) (let ((?v_77 (not ?v_10)) (?v_27 (= f_74_8_0_75_12 (S_select (S_select elems RES_72_26_72_26) 0))) (?v_11 (not (= f_74_8_0_75_12 null)))) (let ((?v_13 (not ?v_11)) (?v_28 (= true_term (is RES_74_8_0_76_18_76_18 T_boolean))) (?v_29 (= EC_74_8_0_76_18_76_18 ecReturn)) (?v_15 (= true_term RES_74_8_0_76_18_76_18))) (let ((?v_17 (not ?v_15))) (let ((?v_30 (or (and ?v_15 ?v_16 (= RES RES_74_8_0_76_18_76_18) (= EC EC_74_8_0_76_18_76_18) (= tmp3_cor_76_36 true_term)) (and ?v_17 ?v_11 ?v_14 (= true_term (is RES_74_8_0_76_41_76_41 T_boolean)) (= EC_74_8_0_76_41_76_41 ecReturn) (= RES RES_74_8_0_76_41_76_41) (= EC EC_74_8_0_76_41_76_41) (= tmp3_cor_76_36 RES_74_8_0_76_41_76_41)))) (?v_18 (= true_term tmp3_cor_76_36))) (let ((?v_31 (not ?v_18)) (?v_32 (= dirname_74_8_0_79_16 (stringCat (stringCat srcdir_67_33 separator_16_143_31) f_74_8_0_75_12))) (?v_19 (not (= dirname_74_8_0_79_16 null)))) (let ((?v_24 (not ?v_19)) (?v_33 (< after_71_17_71_17 after_80_25_74_8_0_80_25)) (?v_20 (not (= RES_74_8_0_80_25_80_25 null))) (?v_34 (not (= true_term (isAllocated RES_74_8_0_80_25_80_25 after_71_17_71_17)))) (?v_35 (= true_term (is RES_74_8_0_80_25_80_25 T_java_io_File))) (?v_36 (= true_term (isAllocated RES_74_8_0_80_25_80_25 after_80_25_74_8_0_80_25))) (?v_37 (= EC_74_8_0_80_25_80_25 ecReturn)) (?v_38 (= (S_select owner_4_35_28 RES_74_8_0_80_25_80_25) null)) (?v_39 (forall ((?brokenObj_19_ Int)) (=> (and (= true_term (is ?brokenObj_19_ T_java_util_Vector)) (not (= ?brokenObj_19_ null)) (forall ((?v_5_76_34 Int)) (let ((?v_91 (= ?v_5_76_34 null))) (=> (and (= true_term (is ?v_5_76_34 T_java_util_Vector)) (= true_term (isAllocated ?v_5_76_34 after_71_17_71_17)) (not ?v_91)) (or ?v_91 (= ?v_5_76_34 ?brokenObj_19_) (not (= (S_select elementData_5_79_35 ?v_5_76_34) (S_select elementData_5_79_35 ?brokenObj_19_)))))))) (forall ((?v_5_76_34 Int)) (let ((?v_92 (= ?v_5_76_34 null))) (=> (and (= true_term (is ?v_5_76_34 T_java_util_Vector)) (= true_term (isAllocated ?v_5_76_34 after_80_25_74_8_0_80_25)) (not ?v_92)) (or ?v_92 (= ?v_5_76_34 ?brokenObj_19_) (not (= (S_select elementData_5_79_35 ?v_5_76_34) (S_select elementData_5_79_35 ?brokenObj_19_)))))))))) (?v_40 (= (typeof RES_74_8_0_80_25_80_25) T_java_io_File)) (?v_41 (= true_term (is RES_74_8_0_81_22_81_22 T_boolean))) (?v_42 (= EC_74_8_0_81_22_81_22 ecReturn)) (?v_43 (= true_term RES_74_8_0_81_22_81_22)) (?v_44 (= true_term (is RES_74_8_0_82_29_82_29 T_boolean))) (?v_21 (= EC_74_8_0_82_29_82_29 ecReturn)) (?v_23 (= true_term RES_74_8_0_82_29_82_29))) (let ((?v_25 (not ?v_23))) (let ((?v_45 (=> (and ?v_21 ?v_22) ?v_25)) (?v_46 (= tmp11_74_8_0_85_35 (stringCat (stringCat name_66_33 S_85_42) f_74_8_0_75_12))) (?v_26 (not (= tmp11_74_8_0_85_35 null)))) (let ((?v_78 (or (and ?v_18 ?v_16 ?v_4 ?v_11 (= EC_74_8_0_77_18_77_18 ecReturn) (= EC_1_ EC_74_8_0_77_18_77_18)) (and ?v_31 ?v_16 ?v_32 ?v_19 ?v_33 ?v_20 ?v_34 ?v_35 ?v_36 ?v_37 ?v_38 ?v_39 ?v_40 ?v_20 ?v_41 ?v_42 (or (and ?v_43 ?v_16 ?v_44 ?v_21 ?v_45 (or (and ?v_23 ?v_16 ?v_11 ?v_19 (= EC_74_8_0_83_24_83_24 ecReturn) (= RES_1_ RES_74_8_0_83_24_83_24) (= EC_2_ EC_74_8_0_83_24_83_24)) (and ?v_25 ?v_16 ?v_46 ?v_26 ?v_19 (= EC_74_8_0_85_24_85_24 ecReturn) (= RES_1_ RES_74_8_0_85_24_85_24) (= EC_2_ EC_74_8_0_85_24_85_24))) (= EC_3_ EC_2_)) (and (not ?v_43) ?v_16 (= EC_3_ EC_74_8_0_81_22_81_22))) (= EC_1_ EC_3_)))) (?v_79 (= i_74_8_0_74_40 (+ 0 1)))) (let ((?v_81 (or (and ?v_16 ?v_7 ?v_77) (and ?v_16 ?v_7 ?v_10 ?v_7 ?v_9 ?v_10 ?v_27 ?v_11 ?v_12 ?v_28 ?v_29 ?v_30 ?v_78 ?v_79 ?v_16 ?v_7 (not (< i_74_8_0_74_40 ?v_80))))) (?v_82 (= L_74_8 L_74_8)) (?v_83 (= EC_68_32 ecReturn))) (not (=> (and (distinct ecReturn L_74_8) ?v_14 (= (typeof S_76_50) T_java_lang_String) (not (= S_85_42 null)) (= (typeof S_85_42) T_java_lang_String) ?v_12 (= (typeof S_76_27) T_java_lang_String) (not ?v_22) (= (typeof S_82_36) T_java_lang_String)) (=> (and (= subpackages_pre_209_27 subpackages_209_27) (= subpackages_209_27 (asField subpackages_209_27 T_java_util_Vector)) (< (fClosedTime subpackages_209_27) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select subpackages_209_27 ?s) null)))) (= out_pre_20_83_49 out_20_83_49) (= true_term (is out_20_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_20_83_49 alloc)) (not (= out_20_83_49 null)) (= permitsNullValue_pre_32_31_27 permitsNullValue_32_31_27) (= permitsNullValue_32_31_27 (asField permitsNullValue_32_31_27 T_boolean)) (= moreElements_pre_29_58_29 moreElements_29_58_29) (= moreElements_29_58_29 (asField moreElements_29_58_29 T_boolean)) (= permitsNullKey_pre_32_21_27 permitsNullKey_32_21_27) (= permitsNullKey_32_21_27 (asField permitsNullKey_32_21_27 T_boolean)) (= declLinks_pre_118_37 declLinks_118_37) (= true_term (is declLinks_118_37 T_java_util_Hashtable)) (= true_term (isAllocated declLinks_118_37 alloc)) (not (= declLinks_118_37 null)) (= lines_pre_46_16 lines_46_16) (= true_term (is lines_46_16 T_long)) (= props_pre_20_396_44 props_20_396_44) (= true_term (is props_20_396_44 T_java_util_Properties)) (= true_term (isAllocated props_20_396_44 alloc)) (not (= props_20_396_44 null)) (= destination_pre_42_25 destination_42_25) (= true_term (is destination_42_25 T_java_lang_String)) (= true_term (isAllocated destination_42_25 alloc)) (= owner_pre_4_35_28 owner_4_35_28) (= owner_4_35_28 (asField owner_4_35_28 T_java_lang_Object)) (< (fClosedTime owner_4_35_28) alloc) (= separator_pre_16_143_31 separator_16_143_31) (= true_term (is separator_16_143_31 T_java_lang_String)) (= true_term (isAllocated separator_16_143_31 alloc)) (= elementData_pre_5_79_35 elementData_5_79_35) (= elementData_5_79_35 (asField elementData_5_79_35 (array T_java_lang_Object))) (< (fClosedTime elementData_5_79_35) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select elementData_5_79_35 ?s_1_) null)))) (= containsNull_pre_7_70_29 containsNull_7_70_29) (= containsNull_7_70_29 (asField containsNull_7_70_29 T_boolean)) (= elementType_pre_29_74_27 elementType_29_74_27) (= elementType_29_74_27 (asField elementType_29_74_27 T__TYPE)) (= packages_pre_43_34 packages_43_34) (= true_term (is packages_43_34 T_java_util_Vector)) (= true_term (isAllocated packages_43_34 alloc)) (not (= packages_43_34 null)) (= files_pre_204_26 files_204_26) (= files_204_26 (asField files_204_26 T_java_util_Vector)) (< (fClosedTime files_204_26) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select files_204_26 ?s_2_) null)))) (= name_pre_201_27 name_201_27) (= name_201_27 (asField name_201_27 T_java_lang_String)) (< (fClosedTime name_201_27) alloc) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (not (= (S_select name_201_27 ?s_3_) null)))) (= annotationChar_pre_48_16 annotationChar_48_16) (= true_term (is annotationChar_48_16 T_char)) (= elementType_pre_7_65_27 elementType_7_65_27) (= elementType_7_65_27 (asField elementType_7_65_27 T__TYPE)) (= elementType_pre_32_26_25 elementType_32_26_25) (= elementType_32_26_25 (asField elementType_32_26_25 T__TYPE)) (= keywords_pre_555_37 keywords_555_37) (= true_term (is keywords_555_37 T_java_util_Hashtable)) (= true_term (isAllocated keywords_555_37 alloc)) (not (= keywords_555_37 null)) (= declLinks_pre_299_30 declLinks_299_30) (= declLinks_299_30 (asField declLinks_299_30 T_java_util_Hashtable)) (< (fClosedTime declLinks_299_30) alloc) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (not (= (S_select declLinks_299_30 ?s_4_) null)))) (= returnsNull_pre_29_79_29 returnsNull_29_79_29) (= returnsNull_29_79_29 (asField returnsNull_29_79_29 T_boolean)) (= keyType_pre_32_16_25 keyType_32_16_25) (= keyType_32_16_25 (asField keyType_32_16_25 T__TYPE)) (= elementCount_pre_5_90_35 elementCount_5_90_35) (= elementCount_5_90_35 (asField elementCount_5_90_35 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is parent_65_39 T_tohtml_Package)) (= true_term (isAllocated parent_65_39 alloc)) (= true_term (is name_66_33 T_java_lang_String)) (= true_term (isAllocated name_66_33 alloc)) (not (= name_66_33 null)) (= true_term (is srcdir_67_33 T_java_lang_String)) (= true_term (isAllocated srcdir_67_33 alloc)) (not (= srcdir_67_33 null)) (not ?v_3) (= ?v_1 T_tohtml_Package) (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_java_util_Vector)) (not (= ?brokenObj null))) (<= 0 (S_select elementCount_5_90_35 ?brokenObj)))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_java_util_Vector)) (not (= ?brokenObj_1_ null))) (<= (S_select elementCount_5_90_35 ?brokenObj_1_) (arrayLength (S_select elementData_5_79_35 ?brokenObj_1_))))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_tohtml_Package)) (not (= ?brokenObj_2_ null))) (not (= true_term (S_select containsNull_7_70_29 (S_select files_204_26 ?brokenObj_2_)))))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_tohtml_Package)) (not (= ?brokenObj_3_ null))) (not (= (S_select files_204_26 ?brokenObj_3_) (S_select subpackages_209_27 ?brokenObj_3_))))) (forall ((?brokenObj_4_ Int)) (=> (and (= true_term (is ?brokenObj_4_ T_java_util_Vector)) (not (= ?brokenObj_4_ null))) (= (typeof (S_select elementData_5_79_35 ?brokenObj_4_)) (array T_java_lang_Object)))) (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_tohtml_Package)) (not (= ?brokenObj_5_ null))) (= (S_select elementType_7_65_27 (S_select subpackages_209_27 ?brokenObj_5_)) T_tohtml_Package))) (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_java_util_Vector)) (not (= ?brokenObj_6_ null))) (forall ((?i_5_73_31 Int)) (=> (and (<= 0 ?i_5_73_31) (< ?i_5_73_31 (S_select elementCount_5_90_35 ?brokenObj_6_)) (not (= true_term (S_select containsNull_7_70_29 ?brokenObj_6_)))) (not (= (S_select (S_select elems (S_select elementData_5_79_35 ?brokenObj_6_)) ?i_5_73_31) null)))))) (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_tohtml_Package)) (not (= ?brokenObj_7_ null))) (= (S_select owner_4_35_28 (S_select files_204_26 ?brokenObj_7_)) ?brokenObj_7_))) (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_tohtml_Package)) (not (= ?brokenObj_8_ null))) (not (= true_term (S_select containsNull_7_70_29 (S_select subpackages_209_27 ?brokenObj_8_)))))) (forall ((?brokenObj_9_ Int)) (=> (and (= true_term (is ?brokenObj_9_ T_tohtml_Package)) (not (= ?brokenObj_9_ null))) (= (S_select owner_4_35_28 (S_select subpackages_209_27 ?brokenObj_9_)) ?brokenObj_9_))) (forall ((?brokenObj_10_ Int)) (=> (and (= true_term (is ?brokenObj_10_ T_java_util_Vector)) (not (= ?brokenObj_10_ null))) (forall ((?v_5_76_34 Int)) (let ((?v_93 (= ?v_5_76_34 null))) (=> (and (= true_term (is ?v_5_76_34 T_java_util_Vector)) (= true_term (isAllocated ?v_5_76_34 alloc)) (not ?v_93)) (or ?v_93 (= ?v_5_76_34 ?brokenObj_10_) (not (= (S_select elementData_5_79_35 ?v_5_76_34) (S_select elementData_5_79_35 ?brokenObj_10_))))))))) (forall ((?brokenObj_11_ Int)) (=> (and (= true_term (is ?brokenObj_11_ T_java_util_Vector)) (not (= ?brokenObj_11_ null))) (forall ((?i_5_70_31 Int)) (let ((?v_94 (S_select (S_select elems (S_select elementData_5_79_35 ?brokenObj_11_)) ?i_5_70_31))) (=> (and (<= 0 ?i_5_70_31) (< ?i_5_70_31 (S_select elementCount_5_90_35 ?brokenObj_11_))) (or (= (PO_LT (typeof ?v_94) (S_select elementType_7_65_27 ?brokenObj_11_)) true_term) (= ?v_94 null))))))) (forall ((?brokenObj_12_ Int)) (=> (and (= true_term (is ?brokenObj_12_ T_tohtml_Package)) (not (= ?brokenObj_12_ null))) (= (S_select elementType_7_65_27 (S_select files_204_26 ?brokenObj_12_)) T_tohtml_JFile))) (or (and ?v_47 ?v_4 ?v_48 ?v_49 ?v_50 ?v_51 ?v_52 ?v_53 ?v_54 (or (not ?v_2) (and ?v_2 (not (or ?v_3 ?v_4))) (and ?v_2 ?v_55 ?v_56 ?v_5 ?v_57 ?v_58 ?v_59 ?v_60 ?v_61 ?v_62 ?v_6 ?v_63 ?v_64 ?v_65 ?v_66 ?v_67 ?v_68 ?v_69 (or (not ?v_6) (and ?v_6 ?v_70 ?v_71 ?v_72 ?v_73 ?v_74 ?v_75 ?v_76 (or (and ?v_16 (or ?v_8 (and ?v_7 ?v_10 (or ?v_8 (and ?v_7 (or (not ?v_9) (and ?v_9 (or ?v_77 (and ?v_10 ?v_27 (or ?v_13 (and ?v_11 (or (not ?v_12) (and ?v_12 ?v_28 ?v_29 (or (and ?v_17 (or ?v_13 (and ?v_11 (not ?v_14)))) (and ?v_30 (or (and ?v_18 ?v_16 (or (not ?v_4) (and ?v_4 ?v_13))) (and ?v_31 ?v_16 ?v_32 (or ?v_24 (and ?v_19 ?v_33 ?v_20 ?v_34 ?v_35 ?v_36 ?v_37 ?v_38 ?v_39 ?v_40 (or (not ?v_20) (and ?v_20 ?v_41 ?v_42 ?v_43 ?v_16 ?v_44 ?v_21 ?v_45 (or (and ?v_23 ?v_16 (or ?v_13 (and ?v_11 ?v_24))) (and ?v_25 ?v_16 ?v_46 (or (not ?v_26) (and ?v_26 ?v_24))))))))))))))))))))))))) (and ?v_16 ?v_7 ?v_10 ?v_7 ?v_9 ?v_10 ?v_27 ?v_11 ?v_12 ?v_28 ?v_29 ?v_30 ?v_78 ?v_79 ?v_16 ?v_8))))))) (and (or (and ?v_47 ?v_4 ?v_48 ?v_49 ?v_50 ?v_51 ?v_52 ?v_53 ?v_54 ?v_2 ?v_55 ?v_56 ?v_5 ?v_57 ?v_58 ?v_59 ?v_60 ?v_61 ?v_62 ?v_6 ?v_63 ?v_64 ?v_65 ?v_66 ?v_67 ?v_68 ?v_69 ?v_6 ?v_70 ?v_71 ?v_72 ?v_73 ?v_74 ?v_75 ?v_76 ?v_81 ?v_82 (= EC_4_ L_74_8) ?v_83) (and ?v_47 ?v_4 ?v_48 ?v_49 ?v_50 ?v_51 ?v_52 ?v_53 ?v_54 ?v_2 ?v_55 ?v_56 ?v_5 ?v_57 ?v_58 ?v_59 ?v_60 ?v_61 ?v_62 ?v_6 ?v_63 ?v_64 ?v_65 ?v_66 ?v_67 ?v_68 ?v_69 ?v_6 ?v_70 ?v_71 ?v_72 ?v_73 ?v_74 ?v_75 ?v_76 ?v_81 (not ?v_82) (= EC_68_32 L_74_8))) (not ?v_83))))))))))))))))))))))))
(check-sat)
(exit)
