(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_io_Writer () Int)
(declare-fun T_java_io_OutputStreamWriter () Int)
(declare-fun T_java_lang_RuntimeException () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_java_io_InputStreamReader () Int)
(declare-fun T_java_io_Reader () Int)
(declare-fun T_tohtml_Package () Int)
(declare-fun T_tohtml_VectorSorter () Int)
(declare-fun T_java_io_InputStream () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_java_io_FileOutputStream () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_io_FileNotFoundException () Int)
(declare-fun T_java_io_IOException () Int)
(declare-fun T_java_lang_NumberFormatException () Int)
(declare-fun T_java_lang_IllegalArgumentException () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_io_BufferedReader () Int)
(declare-fun T_java_io_PrintWriter () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_util_Collection () Int)
(declare-fun T_java_lang_Number () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_java_util_AbstractList () Int)
(declare-fun T_java_util_AbstractCollection () Int)
(declare-fun T_java_util_List () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_tohtml_Java2Html () Int)
(declare-fun T_java_io_BufferedWriter () Int)
(declare-fun T_tohtml_JFile () Int)
(declare-fun T_java_io_File () Int)
(declare-fun T_java_util_Vector () Int)
(declare-fun T_java_lang_StringBuffer () Int)
(declare-fun T_java_io_FileInputStream () Int)
(declare-fun T_java_util_Enumeration () Int)
(declare-fun T_java_lang_Long () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun out_20_83_49 () Int)
(declare-fun separator_16_143_31 () Int)
(assert (and (= (PO_LT T_java_io_Writer T_java_lang_Object) true_term) (= T_java_io_Writer (asChild T_java_io_Writer T_java_lang_Object)) (= (PO_LT T_java_io_OutputStreamWriter T_java_io_Writer) true_term) (= T_java_io_OutputStreamWriter (asChild T_java_io_OutputStreamWriter T_java_io_Writer)) (= (PO_LT T_java_lang_RuntimeException T_java_lang_Exception) true_term) (= T_java_lang_RuntimeException (asChild T_java_lang_RuntimeException T_java_lang_Exception)) (= (PO_LT T_java_io_InputStreamReader T_java_io_Reader) true_term) (= T_java_io_InputStreamReader (asChild T_java_io_InputStreamReader T_java_io_Reader)) (= (PO_LT T_tohtml_Package T_java_lang_Object) true_term) (= T_tohtml_Package (asChild T_tohtml_Package T_java_lang_Object)) (= (PO_LT T_tohtml_VectorSorter T_java_lang_Object) true_term) (= T_tohtml_VectorSorter (asChild T_tohtml_VectorSorter T_java_lang_Object)) (= (PO_LT T_java_io_InputStream T_java_lang_Object) true_term) (= T_java_io_InputStream (asChild T_java_io_InputStream T_java_lang_Object)) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_java_io_FileOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FileOutputStream (asChild T_java_io_FileOutputStream T_java_io_OutputStream)) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_java_io_FileNotFoundException T_java_io_IOException) true_term) (= T_java_io_FileNotFoundException (asChild T_java_io_FileNotFoundException T_java_io_IOException)) (= (PO_LT T_java_io_IOException T_java_lang_Exception) true_term) (= T_java_io_IOException (asChild T_java_io_IOException T_java_lang_Exception)) (= (PO_LT T_java_lang_NumberFormatException T_java_lang_IllegalArgumentException) true_term) (= T_java_lang_NumberFormatException (asChild T_java_lang_NumberFormatException T_java_lang_IllegalArgumentException)) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_java_io_BufferedReader T_java_io_Reader) true_term) (= T_java_io_BufferedReader (asChild T_java_io_BufferedReader T_java_io_Reader)) (= (PO_LT T_java_io_PrintWriter T_java_io_Writer) true_term) (= T_java_io_PrintWriter (asChild T_java_io_PrintWriter T_java_io_Writer)) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_java_util_Collection T_java_lang_Object) true_term) (= (PO_LT T_java_lang_IllegalArgumentException T_java_lang_RuntimeException) true_term) (= T_java_lang_IllegalArgumentException (asChild T_java_lang_IllegalArgumentException T_java_lang_RuntimeException)) (= (PO_LT T_java_lang_Number T_java_lang_Object) true_term) (= T_java_lang_Number (asChild T_java_lang_Number T_java_lang_Object)) (= (PO_LT T_java_lang_Number T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_java_util_AbstractList T_java_util_AbstractCollection) true_term) (= T_java_util_AbstractList (asChild T_java_util_AbstractList T_java_util_AbstractCollection)) (= (PO_LT T_java_util_AbstractList T_java_util_List) true_term) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_util_List T_java_lang_Object) true_term) (= (PO_LT T_java_util_List T_java_util_Collection) true_term) (= (PO_LT T_tohtml_Java2Html T_java_lang_Object) true_term) (= T_tohtml_Java2Html (asChild T_tohtml_Java2Html T_java_lang_Object)) (= (PO_LT T_java_io_BufferedWriter T_java_io_Writer) true_term) (= T_java_io_BufferedWriter (asChild T_java_io_BufferedWriter T_java_io_Writer)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_tohtml_JFile T_java_lang_Object) true_term) (= T_tohtml_JFile (asChild T_tohtml_JFile T_java_lang_Object)) (= (PO_LT T_java_io_File T_java_lang_Object) true_term) (= T_java_io_File (asChild T_java_io_File T_java_lang_Object)) (= (PO_LT T_java_io_File T_java_io_Serializable) true_term) (= (PO_LT T_java_io_File T_java_lang_Comparable) true_term) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_java_util_Vector T_java_util_AbstractList) true_term) (= T_java_util_Vector (asChild T_java_util_Vector T_java_util_AbstractList)) (= (PO_LT T_java_util_Vector T_java_util_List) true_term) (= (PO_LT T_java_util_Vector T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Vector T_java_io_Serializable) true_term) (= (PO_LT T_java_util_AbstractCollection T_java_lang_Object) true_term) (= T_java_util_AbstractCollection (asChild T_java_util_AbstractCollection T_java_lang_Object)) (= (PO_LT T_java_util_AbstractCollection T_java_util_Collection) true_term) (= (PO_LT T_java_lang_StringBuffer T_java_lang_Object) true_term) (= T_java_lang_StringBuffer (asChild T_java_lang_StringBuffer T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_StringBuffer) true_term) (= ?t T_java_lang_StringBuffer))) (= (PO_LT T_java_lang_StringBuffer T_java_io_Serializable) true_term) (= (PO_LT T_java_io_FileInputStream T_java_io_InputStream) true_term) (= T_java_io_FileInputStream (asChild T_java_io_FileInputStream T_java_io_InputStream)) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_java_util_Enumeration T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Long T_java_lang_Number) true_term) (= T_java_lang_Long (asChild T_java_lang_Long T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Long) true_term) (= ?t T_java_lang_Long))) (= (PO_LT T_java_lang_Long T_java_lang_Comparable) true_term) (= (PO_LT T_java_io_Reader T_java_lang_Object) true_term) (= T_java_io_Reader (asChild T_java_io_Reader T_java_lang_Object)) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_io_Writer (+ DIST_ZERO_1 10)) (= T_java_io_OutputStreamWriter (+ DIST_ZERO_1 11)) (= T_java_lang_RuntimeException (+ DIST_ZERO_1 12)) (= T_java_io_InputStreamReader (+ DIST_ZERO_1 13)) (= T_tohtml_Package (+ DIST_ZERO_1 14)) (= T_tohtml_VectorSorter (+ DIST_ZERO_1 15)) (= T_java_io_InputStream (+ DIST_ZERO_1 16)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 17)) (= T_java_lang_Comparable (+ DIST_ZERO_1 18)) (= T_java_io_FileOutputStream (+ DIST_ZERO_1 19)) (= T_java_lang_Throwable (+ DIST_ZERO_1 20)) (= T_java_io_FileNotFoundException (+ DIST_ZERO_1 21)) (= T_java_lang_Object (+ DIST_ZERO_1 22)) (= T_java_io_IOException (+ DIST_ZERO_1 23)) (= T_java_lang_NumberFormatException (+ DIST_ZERO_1 24)) (= T_java_util_Properties (+ DIST_ZERO_1 25)) (= T_java_io_BufferedReader (+ DIST_ZERO_1 26)) (= T_java_io_PrintWriter (+ DIST_ZERO_1 27)) (= T_java_util_Dictionary (+ DIST_ZERO_1 28)) (= T_java_lang_String (+ DIST_ZERO_1 29)) (= T_java_util_Collection (+ DIST_ZERO_1 30)) (= T_java_lang_IllegalArgumentException (+ DIST_ZERO_1 31)) (= T_java_lang_Number (+ DIST_ZERO_1 32)) (= T_java_lang_System (+ DIST_ZERO_1 33)) (= T_java_util_AbstractList (+ DIST_ZERO_1 34)) (= T_java_util_Map (+ DIST_ZERO_1 35)) (= T_java_util_List (+ DIST_ZERO_1 36)) (= T_tohtml_Java2Html (+ DIST_ZERO_1 37)) (= T_java_io_BufferedWriter (+ DIST_ZERO_1 38)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 39)) (= T_tohtml_JFile (+ DIST_ZERO_1 40)) (= T_java_io_File (+ DIST_ZERO_1 41)) (= T_java_util_Hashtable (+ DIST_ZERO_1 42)) (= T_java_util_Vector (+ DIST_ZERO_1 43)) (= T_java_util_AbstractCollection (+ DIST_ZERO_1 44)) (= T_java_lang_StringBuffer (+ DIST_ZERO_1 45)) (= T_java_io_FileInputStream (+ DIST_ZERO_1 46)) (= T_java_io_OutputStream (+ DIST_ZERO_1 47)) (= T_java_lang_Exception (+ DIST_ZERO_1 48)) (= T_java_util_Enumeration (+ DIST_ZERO_1 49)) (= T_java_lang_Long (+ DIST_ZERO_1 50)) (= T_java_io_Reader (+ DIST_ZERO_1 51)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 52)) (= T_java_io_PrintStream (+ DIST_ZERO_1 53)) (= T_java_io_Serializable (+ DIST_ZERO_1 54))) (= true_term (is out_20_83_49 T_java_io_PrintStream)) (= true_term (is separator_16_143_31 T_java_lang_String)) (not (= separator_16_143_31 null))))
(declare-fun ecReturn () Int)
(declare-fun ecThrow () Int)
(declare-fun L_100_12 () Int)
(declare-fun S_107_34 () Int)
(declare-fun S_92_64 () Int)
(declare-fun S_113_24 () Int)
(declare-fun S_104_38 () Int)
(declare-fun S_107_81 () Int)
(declare-fun S_105_63 () Int)
(declare-fun S_107_63 () Int)
(declare-fun S_105_34 () Int)
(declare-fun subpackages_pre_209_27 () Int)
(declare-fun subpackages_209_27 () Int)
(declare-fun out_pre_20_83_49 () Int)
(declare-fun permitsNullValue_pre_32_31_27 () Int)
(declare-fun permitsNullValue_32_31_27 () Int)
(declare-fun moreElements_pre_29_58_29 () Int)
(declare-fun moreElements_29_58_29 () Int)
(declare-fun permitsNullKey_pre_32_21_27 () Int)
(declare-fun permitsNullKey_32_21_27 () Int)
(declare-fun declLinks_pre_118_37 () Int)
(declare-fun declLinks_118_37 () Int)
(declare-fun lines_pre_46_16 () Int)
(declare-fun lines_46_16 () Int)
(declare-fun props_pre_20_396_44 () Int)
(declare-fun props_20_396_44 () Int)
(declare-fun destination_pre_42_25 () Int)
(declare-fun destination_42_25 () Int)
(declare-fun owner_pre_4_35_28 () Int)
(declare-fun owner_4_35_28 () Int)
(declare-fun separator_pre_16_143_31 () Int)
(declare-fun elementData_pre_5_79_35 () Int)
(declare-fun elementData_5_79_35 () Int)
(declare-fun containsNull_pre_7_70_29 () Int)
(declare-fun containsNull_7_70_29 () Int)
(declare-fun elementType_pre_29_74_27 () Int)
(declare-fun elementType_29_74_27 () Int)
(declare-fun packages_pre_43_34 () Int)
(declare-fun packages_43_34 () Int)
(declare-fun files_pre_204_26 () Int)
(declare-fun files_204_26 () Int)
(declare-fun name_pre_201_27 () Int)
(declare-fun name_201_27 () Int)
(declare-fun annotationChar_pre_48_16 () Int)
(declare-fun annotationChar_48_16 () Int)
(declare-fun elementType_pre_7_65_27 () Int)
(declare-fun elementType_7_65_27 () Int)
(declare-fun elementType_pre_32_26_25 () Int)
(declare-fun elementType_32_26_25 () Int)
(declare-fun keywords_pre_555_37 () Int)
(declare-fun keywords_555_37 () Int)
(declare-fun declLinks_pre_299_30 () Int)
(declare-fun declLinks_299_30 () Int)
(declare-fun returnsNull_pre_29_79_29 () Int)
(declare-fun returnsNull_29_79_29 () Int)
(declare-fun keyType_pre_32_16_25 () Int)
(declare-fun keyType_32_16_25 () Int)
(declare-fun elementCount_pre_5_90_35 () Int)
(declare-fun elementCount_5_90_35 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun fname_92_8 () Int)
(declare-fun after_95_86_95_86 () Int)
(declare-fun RES_95_86_95_86 () Int)
(declare-fun EC_95_86_95_86 () Int)
(declare-fun XRES_95_86_95_86 () Int)
(declare-fun after_95_63_95_63 () Int)
(declare-fun RES_95_63_95_63 () Int)
(declare-fun EC_95_63_95_63 () Int)
(declare-fun after_95_44_95_44 () Int)
(declare-fun RES_95_44_95_44 () Int)
(declare-fun EC_95_44_95_44 () Int)
(declare-fun after_95_28_95_28 () Int)
(declare-fun RES_95_28_95_28 () Int)
(declare-fun EC_95_28_95_28 () Int)
(declare-fun EC_96_14_96_14 () Int)
(declare-fun EC_97_14_97_14 () Int)
(declare-fun RES_99_37_99_37 () Int)
(declare-fun EC_99_37_99_37 () Int)
(declare-fun EC_loopold () Int)
(declare-fun alloc_loopold () Int)
(declare-fun moreElements_loopold_29_58_29 () Int)
(declare-fun RES_100_12_0_100_20_100_20 () Int)
(declare-fun EC_100_12_0_100_20_100_20 () Int)
(declare-fun moreElements_100_12_0_101_39_29_89_17 () Int)
(declare-fun after_101_39_100_12_0_101_39_29_89_17 () Int)
(declare-fun RES_100_12_0_101_39_101_39 () Int)
(declare-fun EC_100_12_0_101_39_101_39 () Int)
(declare-fun p_100_12_0_101_16 () Int)
(declare-fun tmp2_100_12_0_102_34 () Int)
(declare-fun RES_100_12_0_102_77_102_77 () Int)
(declare-fun EC_100_12_0_102_77_102_77 () Int)
(declare-fun pathname_102_25_100_12_0_102_25_16_184_37 () Int)
(declare-fun after_102_25_100_12_0_102_25 () Int)
(declare-fun RES_100_12_0_102_25_102_25 () Int)
(declare-fun EC_100_12_0_102_25_102_25 () Int)
(declare-fun RES_100_12_0_103_22_103_22 () Int)
(declare-fun EC_100_12_0_103_22_103_22 () Int)
(declare-fun tmp3_name_100_12_0_104_24 () Int)
(declare-fun RES_100_12_0_104_31_104_31 () Int)
(declare-fun EC_100_12_0_104_31_104_31 () Int)
(declare-fun RES_100_12_0_105_49_105_49 () Int)
(declare-fun EC_100_12_0_105_49_105_49 () Int)
(declare-fun RES_100_12_0_107_49_107_49 () Int)
(declare-fun EC_100_12_0_107_49_107_49 () Int)
(declare-fun arg0_105_26_100_12_0_105_26_24__ () Int)
(declare-fun EC_100_12_0_105_26_105_26 () Int)
(declare-fun RES () Int)
(declare-fun RES_100_12_0_105_26_105_26 () Int)
(declare-fun EC () Int)
(declare-fun XRES () Int)
(declare-fun XRES_100_12_0_105_26_105_26 () Int)
(declare-fun arg0_107_26_100_12_0_107_26_24__ () Int)
(declare-fun EC_100_12_0_107_26_107_26 () Int)
(declare-fun RES_100_12_0_107_26_107_26 () Int)
(declare-fun XRES_100_12_0_107_26_107_26 () Int)
(declare-fun RES_1_ () Int)
(declare-fun EC_1_ () Int)
(declare-fun XRES_1_ () Int)
(declare-fun XRES_100_12_0_103_22_103_22 () Int)
(declare-fun XRES_2_ () Int)
(declare-fun XRES_100_12_0_100_20_100_20 () Int)
(declare-fun RES_100_12_1_100_20_100_20 () Int)
(declare-fun EC_100_12_1_100_20_100_20 () Int)
(declare-fun XRES_100_12_1_100_20_100_20 () Int)
(declare-fun EC_2_ () Int)
(declare-fun XRES_3_ () Int)
(declare-fun EC_110_14_110_14 () Int)
(declare-fun EC_111_14_111_14 () Int)
(declare-fun EC_95_86 () Int)
(declare-fun EC_95_86_1_ () Int)
(declare-fun XRES_95_86 () Int)
(declare-fun e_112_29 () Int)
(declare-fun arg0_113_16_113_16_21__ () Int)
(declare-fun EC_113_16_113_16 () Int)
(declare-fun EC_92_8 () Int)
(assert (let ((?v_27 (= S_104_38 null)) (?v_8 (= true_term (S_select containsNull_7_70_29 packages_43_34))) (?v_7 (S_select elementType_7_65_27 packages_43_34)) (?v_19 (stringCat destination_42_25 separator_16_143_31))) (let ((?v_71 (= fname_92_8 (stringCat ?v_19 S_92_64))) (?v_72 (< alloc after_95_86_95_86)) (?v_73 (not (= RES_95_86_95_86 null))) (?v_74 (not (= true_term (isAllocated RES_95_86_95_86 alloc)))) (?v_75 (= true_term (is RES_95_86_95_86 T_java_io_FileOutputStream))) (?v_76 (= true_term (isAllocated RES_95_86_95_86 after_95_86_95_86))) (?v_0 (= EC_95_86_95_86 ecThrow)) (?v_1 (typeof XRES_95_86_95_86))) (let ((?v_77 (=> ?v_0 (and (not (= XRES_95_86_95_86 null)) (= (PO_LT ?v_1 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_95_86_95_86 after_95_86_95_86))))) (?v_2 (= EC_95_86_95_86 ecReturn))) (let ((?v_78 (or ?v_2 (and ?v_0 (= (PO_LT ?v_1 T_java_io_FileNotFoundException) true_term)))) (?v_79 (=> ?v_2 (= (S_select owner_4_35_28 RES_95_86_95_86) null))) (?v_80 (forall ((?brokenObj_13_ Int)) (=> (and (= true_term (is ?brokenObj_13_ T_java_util_Vector)) (not (= ?brokenObj_13_ null)) (forall ((?v_5_76_34 Int)) (let ((?v_124 (= ?v_5_76_34 null))) (=> (and (= true_term (is ?v_5_76_34 T_java_util_Vector)) (= true_term (isAllocated ?v_5_76_34 alloc)) (not ?v_124)) (or ?v_124 (= ?v_5_76_34 ?brokenObj_13_) (not (= (S_select elementData_5_79_35 ?v_5_76_34) (S_select elementData_5_79_35 ?brokenObj_13_)))))))) (forall ((?v_5_76_34 Int)) (let ((?v_125 (= ?v_5_76_34 null))) (=> (and (= true_term (is ?v_5_76_34 T_java_util_Vector)) (= true_term (isAllocated ?v_5_76_34 after_95_86_95_86)) (not ?v_125)) (or ?v_125 (= ?v_5_76_34 ?brokenObj_13_) (not (= (S_select elementData_5_79_35 ?v_5_76_34) (S_select elementData_5_79_35 ?brokenObj_13_)))))))))) (?v_81 (= (typeof RES_95_86_95_86) T_java_io_FileOutputStream)) (?v_82 (< after_95_86_95_86 after_95_63_95_63)) (?v_83 (not (= RES_95_63_95_63 null))) (?v_84 (not (= true_term (isAllocated RES_95_63_95_63 after_95_86_95_86)))) (?v_85 (= true_term (is RES_95_63_95_63 T_java_io_OutputStreamWriter))) (?v_86 (= true_term (isAllocated RES_95_63_95_63 after_95_63_95_63))) (?v_87 (= EC_95_63_95_63 ecReturn)) (?v_88 (= (S_select owner_4_35_28 RES_95_63_95_63) null)) (?v_89 (forall ((?brokenObj_14_ Int)) (=> (and (= true_term (is ?brokenObj_14_ T_java_util_Vector)) (not (= ?brokenObj_14_ null)) (forall ((?v_5_76_34 Int)) (let ((?v_126 (= ?v_5_76_34 null))) (=> (and (= true_term (is ?v_5_76_34 T_java_util_Vector)) (= true_term (isAllocated ?v_5_76_34 after_95_86_95_86)) (not ?v_126)) (or ?v_126 (= ?v_5_76_34 ?brokenObj_14_) (not (= (S_select elementData_5_79_35 ?v_5_76_34) (S_select elementData_5_79_35 ?brokenObj_14_)))))))) (forall ((?v_5_76_34 Int)) (let ((?v_127 (= ?v_5_76_34 null))) (=> (and (= true_term (is ?v_5_76_34 T_java_util_Vector)) (= true_term (isAllocated ?v_5_76_34 after_95_63_95_63)) (not ?v_127)) (or ?v_127 (= ?v_5_76_34 ?brokenObj_14_) (not (= (S_select elementData_5_79_35 ?v_5_76_34) (S_select elementData_5_79_35 ?brokenObj_14_)))))))))) (?v_90 (= (typeof RES_95_63_95_63) T_java_io_OutputStreamWriter)) (?v_91 (< after_95_63_95_63 after_95_44_95_44)) (?v_92 (not (= RES_95_44_95_44 null))) (?v_93 (not (= true_term (isAllocated RES_95_44_95_44 after_95_63_95_63)))) (?v_94 (= true_term (is RES_95_44_95_44 T_java_io_BufferedWriter))) (?v_95 (= true_term (isAllocated RES_95_44_95_44 after_95_44_95_44))) (?v_96 (= EC_95_44_95_44 ecReturn)) (?v_97 (= (S_select owner_4_35_28 RES_95_44_95_44) null)) (?v_98 (forall ((?brokenObj_15_ Int)) (=> (and (= true_term (is ?brokenObj_15_ T_java_util_Vector)) (not (= ?brokenObj_15_ null)) (forall ((?v_5_76_34 Int)) (let ((?v_128 (= ?v_5_76_34 null))) (=> (and (= true_term (is ?v_5_76_34 T_java_util_Vector)) (= true_term (isAllocated ?v_5_76_34 after_95_63_95_63)) (not ?v_128)) (or ?v_128 (= ?v_5_76_34 ?brokenObj_15_) (not (= (S_select elementData_5_79_35 ?v_5_76_34) (S_select elementData_5_79_35 ?brokenObj_15_)))))))) (forall ((?v_5_76_34 Int)) (let ((?v_129 (= ?v_5_76_34 null))) (=> (and (= true_term (is ?v_5_76_34 T_java_util_Vector)) (= true_term (isAllocated ?v_5_76_34 after_95_44_95_44)) (not ?v_129)) (or ?v_129 (= ?v_5_76_34 ?brokenObj_15_) (not (= (S_select elementData_5_79_35 ?v_5_76_34) (S_select elementData_5_79_35 ?brokenObj_15_)))))))))) (?v_99 (= (typeof RES_95_44_95_44) T_java_io_BufferedWriter)) (?v_100 (< after_95_44_95_44 after_95_28_95_28)) (?v_3 (not (= RES_95_28_95_28 null))) (?v_101 (not (= true_term (isAllocated RES_95_28_95_28 after_95_44_95_44)))) (?v_102 (= true_term (is RES_95_28_95_28 T_java_io_PrintWriter))) (?v_103 (= true_term (isAllocated RES_95_28_95_28 after_95_28_95_28))) (?v_104 (= EC_95_28_95_28 ecReturn)) (?v_105 (= (S_select owner_4_35_28 RES_95_28_95_28) null)) (?v_106 (forall ((?brokenObj_16_ Int)) (=> (and (= true_term (is ?brokenObj_16_ T_java_util_Vector)) (not (= ?brokenObj_16_ null)) (forall ((?v_5_76_34 Int)) (let ((?v_130 (= ?v_5_76_34 null))) (=> (and (= true_term (is ?v_5_76_34 T_java_util_Vector)) (= true_term (isAllocated ?v_5_76_34 after_95_44_95_44)) (not ?v_130)) (or ?v_130 (= ?v_5_76_34 ?brokenObj_16_) (not (= (S_select elementData_5_79_35 ?v_5_76_34) (S_select elementData_5_79_35 ?brokenObj_16_)))))))) (forall ((?v_5_76_34 Int)) (let ((?v_131 (= ?v_5_76_34 null))) (=> (and (= true_term (is ?v_5_76_34 T_java_util_Vector)) (= true_term (isAllocated ?v_5_76_34 after_95_28_95_28)) (not ?v_131)) (or ?v_131 (= ?v_5_76_34 ?brokenObj_16_) (not (= (S_select elementData_5_79_35 ?v_5_76_34) (S_select elementData_5_79_35 ?brokenObj_16_)))))))))) (?v_107 (= (typeof RES_95_28_95_28) T_java_io_PrintWriter))) (let ((?v_4 (not ?v_3)) (?v_108 (= EC_96_14_96_14 ecReturn)) (?v_109 (= EC_97_14_97_14 ecReturn)) (?v_110 (= true_term (is RES_99_37_99_37 T_java_util_Enumeration))) (?v_111 (= true_term (isAllocated RES_99_37_99_37 after_95_28_95_28))) (?v_5 (= EC_99_37_99_37 ecReturn)) (?v_9 (not (= RES_99_37_99_37 null)))) (let ((?v_6 (=> ?v_5 ?v_9)) (?v_15 (S_select elementType_29_74_27 RES_99_37_99_37))) (let ((?v_112 (=> ?v_5 (= ?v_15 ?v_7))) (?v_16 (= true_term (S_select returnsNull_29_79_29 RES_99_37_99_37)))) (let ((?v_113 (=> ?v_5 (= ?v_16 ?v_8))) (?v_65 (= EC_99_37_99_37 EC_loopold)) (?v_66 (= after_95_28_95_28 alloc_loopold)) (?v_67 (= moreElements_29_58_29 moreElements_loopold_29_58_29)) (?v_24 (= true_term true_term)) (?v_12 (not ?v_9)) (?v_30 (= true_term (is RES_100_12_0_100_20_100_20 T_boolean))) (?v_10 (= EC_100_12_0_100_20_100_20 ecReturn)) (?v_11 (= true_term RES_100_12_0_100_20_100_20)) (?v_13 (= true_term (S_select moreElements_29_58_29 RES_99_37_99_37)))) (let ((?v_31 (=> ?v_10 (= ?v_11 ?v_13))) (?v_32 (= moreElements_100_12_0_101_39_29_89_17 (S_store moreElements_29_58_29 RES_99_37_99_37 after_101_39_100_12_0_101_39_29_89_17))) (?v_33 (= moreElements_100_12_0_101_39_29_89_17 (asField moreElements_100_12_0_101_39_29_89_17 T_boolean))) (?v_34 (= true_term (is RES_100_12_0_101_39_101_39 T_java_lang_Object))) (?v_35 (= true_term (isAllocated RES_100_12_0_101_39_101_39 after_95_28_95_28))) (?v_14 (= EC_100_12_0_101_39_101_39 ecReturn)) (?v_17 (= RES_100_12_0_101_39_101_39 null))) (let ((?v_36 (=> ?v_14 (or (= (PO_LT (typeof RES_100_12_0_101_39_101_39) ?v_15) true_term) ?v_17))) (?v_37 (=> (and ?v_14 (not ?v_16)) (not ?v_17))) (?v_18 (= true_term (is RES_100_12_0_101_39_101_39 T_tohtml_Package))) (?v_38 (= p_100_12_0_101_16 (cast RES_100_12_0_101_39_101_39 T_tohtml_Package))) (?v_39 (= tmp2_100_12_0_102_34 ?v_19)) (?v_20 (not (= p_100_12_0_101_16 null)))) (let ((?v_25 (not ?v_20)) (?v_40 (= true_term (is RES_100_12_0_102_77_102_77 T_java_lang_String))) (?v_41 (= true_term (isAllocated RES_100_12_0_102_77_102_77 after_95_28_95_28))) (?v_42 (= EC_100_12_0_102_77_102_77 ecReturn)) (?v_22 (stringCat tmp2_100_12_0_102_34 RES_100_12_0_102_77_102_77))) (let ((?v_21 (not (= ?v_22 null))) (?v_43 (= pathname_102_25_100_12_0_102_25_16_184_37 ?v_22)) (?v_44 (< after_95_28_95_28 after_102_25_100_12_0_102_25)) (?v_23 (not (= RES_100_12_0_102_25_102_25 null))) (?v_45 (not (= true_term (isAllocated RES_100_12_0_102_25_102_25 after_95_28_95_28)))) (?v_46 (= true_term (is RES_100_12_0_102_25_102_25 T_java_io_File))) (?v_47 (= true_term (isAllocated RES_100_12_0_102_25_102_25 after_102_25_100_12_0_102_25))) (?v_48 (= EC_100_12_0_102_25_102_25 ecReturn)) (?v_49 (= (S_select owner_4_35_28 RES_100_12_0_102_25_102_25) null)) (?v_50 (forall ((?brokenObj_17_ Int)) (=> (and (= true_term (is ?brokenObj_17_ T_java_util_Vector)) (not (= ?brokenObj_17_ null)) (forall ((?v_5_76_34 Int)) (let ((?v_132 (= ?v_5_76_34 null))) (=> (and (= true_term (is ?v_5_76_34 T_java_util_Vector)) (= true_term (isAllocated ?v_5_76_34 after_95_28_95_28)) (not ?v_132)) (or ?v_132 (= ?v_5_76_34 ?brokenObj_17_) (not (= (S_select elementData_5_79_35 ?v_5_76_34) (S_select elementData_5_79_35 ?brokenObj_17_)))))))) (forall ((?v_5_76_34 Int)) (let ((?v_133 (= ?v_5_76_34 null))) (=> (and (= true_term (is ?v_5_76_34 T_java_util_Vector)) (= true_term (isAllocated ?v_5_76_34 after_102_25_100_12_0_102_25)) (not ?v_133)) (or ?v_133 (= ?v_5_76_34 ?brokenObj_17_) (not (= (S_select elementData_5_79_35 ?v_5_76_34) (S_select elementData_5_79_35 ?brokenObj_17_)))))))))) (?v_51 (= (typeof RES_100_12_0_102_25_102_25) T_java_io_File)) (?v_52 (= true_term (is RES_100_12_0_103_22_103_22 T_boolean))) (?v_53 (= EC_100_12_0_103_22_103_22 ecReturn)) (?v_54 (= true_term RES_100_12_0_103_22_103_22)) (?v_64 (S_select name_201_27 p_100_12_0_101_16))) (let ((?v_55 (= tmp3_name_100_12_0_104_24 ?v_64)) (?v_56 (= true_term (is RES_100_12_0_104_31_104_31 T_boolean))) (?v_26 (= EC_100_12_0_104_31_104_31 ecReturn)) (?v_28 (= true_term RES_100_12_0_104_31_104_31))) (let ((?v_29 (not ?v_28))) (let ((?v_57 (=> (and ?v_26 ?v_27) ?v_29)) (?v_58 (= true_term (is RES_100_12_0_105_49_105_49 T_java_lang_String))) (?v_59 (= true_term (isAllocated RES_100_12_0_105_49_105_49 after_102_25_100_12_0_102_25))) (?v_60 (= EC_100_12_0_105_49_105_49 ecReturn)) (?v_61 (= true_term (is RES_100_12_0_107_49_107_49 T_java_lang_String))) (?v_62 (= true_term (isAllocated RES_100_12_0_107_49_107_49 after_102_25_100_12_0_102_25))) (?v_63 (= EC_100_12_0_107_49_107_49 ecReturn))) (let ((?v_68 (or (and ?v_54 ?v_24 ?v_20 ?v_55 ?v_56 ?v_26 ?v_57 (or (and ?v_28 ?v_24 ?v_20 ?v_58 ?v_59 ?v_60 ?v_3 (= arg0_105_26_100_12_0_105_26_24__ (stringCat (stringCat S_105_34 RES_100_12_0_105_49_105_49) S_105_63)) (= EC_100_12_0_105_26_105_26 ecReturn) (= RES RES_100_12_0_105_26_105_26) (= EC EC_100_12_0_105_26_105_26) (= XRES XRES_100_12_0_105_26_105_26)) (and ?v_29 ?v_24 ?v_20 ?v_61 ?v_62 ?v_63 ?v_20 ?v_3 (= arg0_107_26_100_12_0_107_26_24__ (stringCat (stringCat (stringCat (stringCat S_107_34 RES_100_12_0_107_49_107_49) S_107_63) ?v_64) S_107_81)) (= EC_100_12_0_107_26_107_26 ecReturn) (= RES RES_100_12_0_107_26_107_26) (= EC EC_100_12_0_107_26_107_26) (= XRES XRES_100_12_0_107_26_107_26))) (= RES_1_ RES) (= EC_1_ EC) (= XRES_1_ XRES)) (and (not ?v_54) ?v_24 (= RES_1_ RES_100_12_0_103_22_103_22) (= EC_1_ EC_100_12_0_103_22_103_22) (= XRES_1_ XRES_100_12_0_103_22_103_22)))) (?v_69 (= EC_100_12_1_100_20_100_20 ecReturn)) (?v_70 (= true_term RES_100_12_1_100_20_100_20))) (let ((?v_114 (or (and ?v_24 ?v_9 ?v_30 ?v_10 ?v_31 (not ?v_11) (= XRES_2_ XRES_100_12_0_100_20_100_20)) (and ?v_24 ?v_9 ?v_30 ?v_10 ?v_31 ?v_11 ?v_9 ?v_13 ?v_32 ?v_33 ?v_34 ?v_35 ?v_14 ?v_36 ?v_37 ?v_18 ?v_38 ?v_39 ?v_20 ?v_40 ?v_41 ?v_42 ?v_21 ?v_43 ?v_44 ?v_23 ?v_45 ?v_46 ?v_47 ?v_48 ?v_49 ?v_50 ?v_51 ?v_23 ?v_52 ?v_53 ?v_68 ?v_24 ?v_9 (= true_term (is RES_100_12_1_100_20_100_20 T_boolean)) ?v_69 (=> ?v_69 (= ?v_70 (= true_term (S_select moreElements_100_12_0_101_39_29_89_17 RES_99_37_99_37)))) (not ?v_70) (= XRES_2_ XRES_100_12_1_100_20_100_20)))) (?v_115 (= L_100_12 L_100_12)) (?v_116 (= EC_2_ L_100_12)) (?v_117 (= XRES_3_ XRES_2_)) (?v_118 (= EC_110_14_110_14 ecReturn))) (let ((?v_119 (or (and ?v_72 ?v_73 ?v_74 ?v_75 ?v_76 ?v_77 ?v_78 ?v_79 ?v_80 ?v_24 ?v_0 (= EC_95_86_1_ EC_95_86_95_86) (= XRES_95_86 XRES_95_86_95_86)) (and ?v_72 ?v_73 ?v_74 ?v_75 ?v_76 ?v_77 ?v_78 ?v_79 ?v_80 ?v_2 ?v_81 ?v_82 ?v_83 ?v_84 ?v_85 ?v_86 ?v_87 ?v_88 ?v_89 ?v_90 ?v_91 ?v_92 ?v_93 ?v_94 ?v_95 ?v_96 ?v_97 ?v_98 ?v_99 ?v_100 ?v_3 ?v_101 ?v_102 ?v_103 ?v_104 ?v_105 ?v_106 ?v_107 ?v_3 ?v_108 ?v_3 ?v_109 ?v_110 ?v_111 ?v_5 ?v_6 ?v_6 ?v_112 ?v_113 ?v_65 ?v_66 ?v_67 ?v_114 (not ?v_115) (= EC_95_86_1_ L_100_12) (= XRES_95_86 XRES_2_)))) (?v_120 (not (= EC_95_86_1_ ecThrow)))) (let ((?v_121 (not ?v_120)) (?v_122 (or (= (PO_LT (typeof XRES_95_86) T_java_io_IOException) true_term) (= XRES_95_86 null))) (?v_123 (= EC_92_8 ecReturn))) (not (=> (and (distinct ecReturn ecThrow L_100_12) (not (= S_107_34 null)) (= (typeof S_107_34) T_java_lang_String) (not (= S_92_64 null)) (= (typeof S_92_64) T_java_lang_String) (not (= S_113_24 null)) (= (typeof S_113_24) T_java_lang_String) (not ?v_27) (= (typeof S_104_38) T_java_lang_String) (not (= S_107_81 null)) (= (typeof S_107_81) T_java_lang_String) (not (= S_105_63 null)) (= (typeof S_105_63) T_java_lang_String) (not (= S_107_63 null)) (= (typeof S_107_63) T_java_lang_String) (not (= S_105_34 null)) (= (typeof S_105_34) T_java_lang_String)) (=> (and (= subpackages_pre_209_27 subpackages_209_27) (= subpackages_209_27 (asField subpackages_209_27 T_java_util_Vector)) (< (fClosedTime subpackages_209_27) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select subpackages_209_27 ?s) null)))) (= out_pre_20_83_49 out_20_83_49) (= true_term (is out_20_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_20_83_49 alloc)) (not (= out_20_83_49 null)) (= permitsNullValue_pre_32_31_27 permitsNullValue_32_31_27) (= permitsNullValue_32_31_27 (asField permitsNullValue_32_31_27 T_boolean)) (= moreElements_pre_29_58_29 moreElements_29_58_29) (= moreElements_29_58_29 (asField moreElements_29_58_29 T_boolean)) (= permitsNullKey_pre_32_21_27 permitsNullKey_32_21_27) (= permitsNullKey_32_21_27 (asField permitsNullKey_32_21_27 T_boolean)) (= declLinks_pre_118_37 declLinks_118_37) (= true_term (is declLinks_118_37 T_java_util_Hashtable)) (= true_term (isAllocated declLinks_118_37 alloc)) (not (= declLinks_118_37 null)) (= lines_pre_46_16 lines_46_16) (= true_term (is lines_46_16 T_long)) (= props_pre_20_396_44 props_20_396_44) (= true_term (is props_20_396_44 T_java_util_Properties)) (= true_term (isAllocated props_20_396_44 alloc)) (not (= props_20_396_44 null)) (= destination_pre_42_25 destination_42_25) (= true_term (is destination_42_25 T_java_lang_String)) (= true_term (isAllocated destination_42_25 alloc)) (= owner_pre_4_35_28 owner_4_35_28) (= owner_4_35_28 (asField owner_4_35_28 T_java_lang_Object)) (< (fClosedTime owner_4_35_28) alloc) (= separator_pre_16_143_31 separator_16_143_31) (= true_term (is separator_16_143_31 T_java_lang_String)) (= true_term (isAllocated separator_16_143_31 alloc)) (= elementData_pre_5_79_35 elementData_5_79_35) (= elementData_5_79_35 (asField elementData_5_79_35 (array T_java_lang_Object))) (< (fClosedTime elementData_5_79_35) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select elementData_5_79_35 ?s_1_) null)))) (= containsNull_pre_7_70_29 containsNull_7_70_29) (= containsNull_7_70_29 (asField containsNull_7_70_29 T_boolean)) (= elementType_pre_29_74_27 elementType_29_74_27) (= elementType_29_74_27 (asField elementType_29_74_27 T__TYPE)) (= packages_pre_43_34 packages_43_34) (= true_term (is packages_43_34 T_java_util_Vector)) (= true_term (isAllocated packages_43_34 alloc)) (not (= packages_43_34 null)) (= files_pre_204_26 files_204_26) (= files_204_26 (asField files_204_26 T_java_util_Vector)) (< (fClosedTime files_204_26) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select files_204_26 ?s_2_) null)))) (= name_pre_201_27 name_201_27) (= name_201_27 (asField name_201_27 T_java_lang_String)) (< (fClosedTime name_201_27) alloc) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (not (= (S_select name_201_27 ?s_3_) null)))) (= annotationChar_pre_48_16 annotationChar_48_16) (= true_term (is annotationChar_48_16 T_char)) (= elementType_pre_7_65_27 elementType_7_65_27) (= elementType_7_65_27 (asField elementType_7_65_27 T__TYPE)) (= elementType_pre_32_26_25 elementType_32_26_25) (= elementType_32_26_25 (asField elementType_32_26_25 T__TYPE)) (= keywords_pre_555_37 keywords_555_37) (= true_term (is keywords_555_37 T_java_util_Hashtable)) (= true_term (isAllocated keywords_555_37 alloc)) (not (= keywords_555_37 null)) (= declLinks_pre_299_30 declLinks_299_30) (= declLinks_299_30 (asField declLinks_299_30 T_java_util_Hashtable)) (< (fClosedTime declLinks_299_30) alloc) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (not (= (S_select declLinks_299_30 ?s_4_) null)))) (= returnsNull_pre_29_79_29 returnsNull_29_79_29) (= returnsNull_29_79_29 (asField returnsNull_29_79_29 T_boolean)) (= keyType_pre_32_16_25 keyType_32_16_25) (= keyType_32_16_25 (asField keyType_32_16_25 T__TYPE)) (= elementCount_pre_5_90_35 elementCount_5_90_35) (= elementCount_5_90_35 (asField elementCount_5_90_35 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (not ?v_8) (= ?v_7 T_tohtml_Package) (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_java_util_Vector)) (not (= ?brokenObj null))) (<= 0 (S_select elementCount_5_90_35 ?brokenObj)))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_java_util_Vector)) (not (= ?brokenObj_1_ null))) (<= (S_select elementCount_5_90_35 ?brokenObj_1_) (arrayLength (S_select elementData_5_79_35 ?brokenObj_1_))))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_tohtml_Package)) (not (= ?brokenObj_2_ null))) (not (= true_term (S_select containsNull_7_70_29 (S_select files_204_26 ?brokenObj_2_)))))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_tohtml_Package)) (not (= ?brokenObj_3_ null))) (not (= (S_select files_204_26 ?brokenObj_3_) (S_select subpackages_209_27 ?brokenObj_3_))))) (forall ((?brokenObj_4_ Int)) (=> (and (= true_term (is ?brokenObj_4_ T_java_util_Vector)) (not (= ?brokenObj_4_ null))) (= (typeof (S_select elementData_5_79_35 ?brokenObj_4_)) (array T_java_lang_Object)))) (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_tohtml_Package)) (not (= ?brokenObj_5_ null))) (= (S_select elementType_7_65_27 (S_select subpackages_209_27 ?brokenObj_5_)) T_tohtml_Package))) (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_java_util_Vector)) (not (= ?brokenObj_6_ null))) (forall ((?i_5_73_31 Int)) (=> (and (<= 0 ?i_5_73_31) (< ?i_5_73_31 (S_select elementCount_5_90_35 ?brokenObj_6_)) (not (= true_term (S_select containsNull_7_70_29 ?brokenObj_6_)))) (not (= (S_select (S_select elems (S_select elementData_5_79_35 ?brokenObj_6_)) ?i_5_73_31) null)))))) (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_tohtml_Package)) (not (= ?brokenObj_7_ null))) (= (S_select owner_4_35_28 (S_select files_204_26 ?brokenObj_7_)) ?brokenObj_7_))) (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_tohtml_Package)) (not (= ?brokenObj_8_ null))) (not (= true_term (S_select containsNull_7_70_29 (S_select subpackages_209_27 ?brokenObj_8_)))))) (forall ((?brokenObj_9_ Int)) (=> (and (= true_term (is ?brokenObj_9_ T_tohtml_Package)) (not (= ?brokenObj_9_ null))) (= (S_select owner_4_35_28 (S_select subpackages_209_27 ?brokenObj_9_)) ?brokenObj_9_))) (forall ((?brokenObj_10_ Int)) (=> (and (= true_term (is ?brokenObj_10_ T_java_util_Vector)) (not (= ?brokenObj_10_ null))) (forall ((?v_5_76_34 Int)) (let ((?v_134 (= ?v_5_76_34 null))) (=> (and (= true_term (is ?v_5_76_34 T_java_util_Vector)) (= true_term (isAllocated ?v_5_76_34 alloc)) (not ?v_134)) (or ?v_134 (= ?v_5_76_34 ?brokenObj_10_) (not (= (S_select elementData_5_79_35 ?v_5_76_34) (S_select elementData_5_79_35 ?brokenObj_10_))))))))) (forall ((?brokenObj_11_ Int)) (=> (and (= true_term (is ?brokenObj_11_ T_java_util_Vector)) (not (= ?brokenObj_11_ null))) (forall ((?i_5_70_31 Int)) (let ((?v_135 (S_select (S_select elems (S_select elementData_5_79_35 ?brokenObj_11_)) ?i_5_70_31))) (=> (and (<= 0 ?i_5_70_31) (< ?i_5_70_31 (S_select elementCount_5_90_35 ?brokenObj_11_))) (or (= (PO_LT (typeof ?v_135) (S_select elementType_7_65_27 ?brokenObj_11_)) true_term) (= ?v_135 null))))))) (forall ((?brokenObj_12_ Int)) (=> (and (= true_term (is ?brokenObj_12_ T_tohtml_Package)) (not (= ?brokenObj_12_ null))) (= (S_select elementType_7_65_27 (S_select files_204_26 ?brokenObj_12_)) T_tohtml_JFile))) (or (and ?v_71 ?v_72 ?v_73 ?v_74 ?v_75 ?v_76 ?v_77 ?v_78 ?v_79 ?v_80 ?v_2 ?v_81 ?v_82 ?v_83 ?v_84 ?v_85 ?v_86 ?v_87 ?v_88 ?v_89 ?v_90 ?v_91 ?v_92 ?v_93 ?v_94 ?v_95 ?v_96 ?v_97 ?v_98 ?v_99 ?v_100 ?v_3 ?v_101 ?v_102 ?v_103 ?v_104 ?v_105 ?v_106 ?v_107 (or ?v_4 (and ?v_3 ?v_108 (or ?v_4 (and ?v_3 ?v_109 ?v_110 ?v_111 ?v_5 ?v_6 ?v_6 ?v_112 ?v_113 (or (and ?v_65 ?v_66 ?v_67 (or (and ?v_24 (or ?v_12 (and ?v_9 ?v_30 ?v_10 ?v_31 ?v_11 (or ?v_12 (and ?v_9 (or (not ?v_13) (and ?v_13 ?v_32 ?v_33 ?v_34 ?v_35 ?v_14 ?v_36 ?v_37 (or (not ?v_18) (and ?v_18 ?v_38 ?v_39 (or ?v_25 (and ?v_20 ?v_40 ?v_41 ?v_42 (or (not ?v_21) (and ?v_21 ?v_43 ?v_44 ?v_23 ?v_45 ?v_46 ?v_47 ?v_48 ?v_49 ?v_50 ?v_51 (or (not ?v_23) (and ?v_23 ?v_52 ?v_53 ?v_54 ?v_24 (or ?v_25 (and ?v_20 ?v_55 ?v_56 ?v_26 ?v_57 (or (and ?v_28 ?v_24 (or ?v_25 (and ?v_20 ?v_58 ?v_59 ?v_60 ?v_4))) (and ?v_29 ?v_24 (or ?v_25 (and ?v_20 ?v_61 ?v_62 ?v_63 (or ?v_25 (and ?v_20 ?v_4))))))))))))))))))))))) (and ?v_24 ?v_9 ?v_30 ?v_10 ?v_31 ?v_11 ?v_9 ?v_13 ?v_32 ?v_33 ?v_34 ?v_35 ?v_14 ?v_36 ?v_37 ?v_18 ?v_38 ?v_39 ?v_20 ?v_40 ?v_41 ?v_42 ?v_21 ?v_43 ?v_44 ?v_23 ?v_45 ?v_46 ?v_47 ?v_48 ?v_49 ?v_50 ?v_51 ?v_23 ?v_52 ?v_53 ?v_68 ?v_24 ?v_12))) (and ?v_65 ?v_66 ?v_67 ?v_114 ?v_115 ?v_116 ?v_117 (or ?v_4 (and ?v_3 ?v_118 ?v_4))))))))) (and (or (and ?v_71 (or (and ?v_72 ?v_73 ?v_74 ?v_75 ?v_76 ?v_77 ?v_78 ?v_79 ?v_80 ?v_2 ?v_81 ?v_82 ?v_83 ?v_84 ?v_85 ?v_86 ?v_87 ?v_88 ?v_89 ?v_90 ?v_91 ?v_92 ?v_93 ?v_94 ?v_95 ?v_96 ?v_97 ?v_98 ?v_99 ?v_100 ?v_3 ?v_101 ?v_102 ?v_103 ?v_104 ?v_105 ?v_106 ?v_107 ?v_3 ?v_108 ?v_3 ?v_109 ?v_110 ?v_111 ?v_5 ?v_6 ?v_6 ?v_112 ?v_113 ?v_65 ?v_66 ?v_67 ?v_114 ?v_115 ?v_116 ?v_117 ?v_3 ?v_118 ?v_3 (= EC_111_14_111_14 ecReturn) (= EC_95_86 EC_111_14_111_14)) (and ?v_119 ?v_121 ?v_122 (= e_112_29 XRES_95_86) (= arg0_113_16_113_16_21__ (stringCat S_113_24 e_112_29)) (= EC_113_16_113_16 ecReturn) (= EC_95_86 EC_113_16_113_16))) ?v_123) (and ?v_71 ?v_119 (or ?v_120 (and ?v_121 (not ?v_122))) (= EC_92_8 EC_95_86_1_))) (not ?v_123))))))))))))))))))))))))))))
(check-sat)
(exit)
