(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_io_Writer () Int)
(declare-fun T_java_io_OutputStreamWriter () Int)
(declare-fun T_java_lang_RuntimeException () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_java_io_InputStreamReader () Int)
(declare-fun T_java_io_Reader () Int)
(declare-fun T_tohtml_Package () Int)
(declare-fun T_tohtml_VectorSorter () Int)
(declare-fun T_java_io_InputStream () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_java_io_FileOutputStream () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_io_FileNotFoundException () Int)
(declare-fun T_java_io_IOException () Int)
(declare-fun T_java_lang_NumberFormatException () Int)
(declare-fun T_java_lang_IllegalArgumentException () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_io_BufferedReader () Int)
(declare-fun T_java_io_PrintWriter () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_util_Collection () Int)
(declare-fun T_java_lang_Number () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_java_util_AbstractList () Int)
(declare-fun T_java_util_AbstractCollection () Int)
(declare-fun T_java_util_List () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_tohtml_Java2Html () Int)
(declare-fun T_java_io_BufferedWriter () Int)
(declare-fun T_tohtml_JFile () Int)
(declare-fun T_java_io_File () Int)
(declare-fun T_java_util_Vector () Int)
(declare-fun T_java_lang_StringBuffer () Int)
(declare-fun T_java_io_FileInputStream () Int)
(declare-fun T_java_util_Enumeration () Int)
(declare-fun T_java_lang_Long () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun out_20_83_49 () Int)
(declare-fun separator_16_143_31 () Int)
(assert (and (= (PO_LT T_java_io_Writer T_java_lang_Object) true_term) (= T_java_io_Writer (asChild T_java_io_Writer T_java_lang_Object)) (= (PO_LT T_java_io_OutputStreamWriter T_java_io_Writer) true_term) (= T_java_io_OutputStreamWriter (asChild T_java_io_OutputStreamWriter T_java_io_Writer)) (= (PO_LT T_java_lang_RuntimeException T_java_lang_Exception) true_term) (= T_java_lang_RuntimeException (asChild T_java_lang_RuntimeException T_java_lang_Exception)) (= (PO_LT T_java_io_InputStreamReader T_java_io_Reader) true_term) (= T_java_io_InputStreamReader (asChild T_java_io_InputStreamReader T_java_io_Reader)) (= (PO_LT T_tohtml_Package T_java_lang_Object) true_term) (= T_tohtml_Package (asChild T_tohtml_Package T_java_lang_Object)) (= (PO_LT T_tohtml_VectorSorter T_java_lang_Object) true_term) (= T_tohtml_VectorSorter (asChild T_tohtml_VectorSorter T_java_lang_Object)) (= (PO_LT T_java_io_InputStream T_java_lang_Object) true_term) (= T_java_io_InputStream (asChild T_java_io_InputStream T_java_lang_Object)) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_java_io_FileOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FileOutputStream (asChild T_java_io_FileOutputStream T_java_io_OutputStream)) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_java_io_FileNotFoundException T_java_io_IOException) true_term) (= T_java_io_FileNotFoundException (asChild T_java_io_FileNotFoundException T_java_io_IOException)) (= (PO_LT T_java_io_IOException T_java_lang_Exception) true_term) (= T_java_io_IOException (asChild T_java_io_IOException T_java_lang_Exception)) (= (PO_LT T_java_lang_NumberFormatException T_java_lang_IllegalArgumentException) true_term) (= T_java_lang_NumberFormatException (asChild T_java_lang_NumberFormatException T_java_lang_IllegalArgumentException)) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_java_io_BufferedReader T_java_io_Reader) true_term) (= T_java_io_BufferedReader (asChild T_java_io_BufferedReader T_java_io_Reader)) (= (PO_LT T_java_io_PrintWriter T_java_io_Writer) true_term) (= T_java_io_PrintWriter (asChild T_java_io_PrintWriter T_java_io_Writer)) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_java_util_Collection T_java_lang_Object) true_term) (= (PO_LT T_java_lang_IllegalArgumentException T_java_lang_RuntimeException) true_term) (= T_java_lang_IllegalArgumentException (asChild T_java_lang_IllegalArgumentException T_java_lang_RuntimeException)) (= (PO_LT T_java_lang_Number T_java_lang_Object) true_term) (= T_java_lang_Number (asChild T_java_lang_Number T_java_lang_Object)) (= (PO_LT T_java_lang_Number T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_java_util_AbstractList T_java_util_AbstractCollection) true_term) (= T_java_util_AbstractList (asChild T_java_util_AbstractList T_java_util_AbstractCollection)) (= (PO_LT T_java_util_AbstractList T_java_util_List) true_term) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_util_List T_java_lang_Object) true_term) (= (PO_LT T_java_util_List T_java_util_Collection) true_term) (= (PO_LT T_tohtml_Java2Html T_java_lang_Object) true_term) (= T_tohtml_Java2Html (asChild T_tohtml_Java2Html T_java_lang_Object)) (= (PO_LT T_java_io_BufferedWriter T_java_io_Writer) true_term) (= T_java_io_BufferedWriter (asChild T_java_io_BufferedWriter T_java_io_Writer)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_tohtml_JFile T_java_lang_Object) true_term) (= T_tohtml_JFile (asChild T_tohtml_JFile T_java_lang_Object)) (= (PO_LT T_java_io_File T_java_lang_Object) true_term) (= T_java_io_File (asChild T_java_io_File T_java_lang_Object)) (= (PO_LT T_java_io_File T_java_io_Serializable) true_term) (= (PO_LT T_java_io_File T_java_lang_Comparable) true_term) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_java_util_Vector T_java_util_AbstractList) true_term) (= T_java_util_Vector (asChild T_java_util_Vector T_java_util_AbstractList)) (= (PO_LT T_java_util_Vector T_java_util_List) true_term) (= (PO_LT T_java_util_Vector T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Vector T_java_io_Serializable) true_term) (= (PO_LT T_java_util_AbstractCollection T_java_lang_Object) true_term) (= T_java_util_AbstractCollection (asChild T_java_util_AbstractCollection T_java_lang_Object)) (= (PO_LT T_java_util_AbstractCollection T_java_util_Collection) true_term) (= (PO_LT T_java_lang_StringBuffer T_java_lang_Object) true_term) (= T_java_lang_StringBuffer (asChild T_java_lang_StringBuffer T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_StringBuffer) true_term) (= ?t T_java_lang_StringBuffer))) (= (PO_LT T_java_lang_StringBuffer T_java_io_Serializable) true_term) (= (PO_LT T_java_io_FileInputStream T_java_io_InputStream) true_term) (= T_java_io_FileInputStream (asChild T_java_io_FileInputStream T_java_io_InputStream)) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_java_util_Enumeration T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Long T_java_lang_Number) true_term) (= T_java_lang_Long (asChild T_java_lang_Long T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Long) true_term) (= ?t T_java_lang_Long))) (= (PO_LT T_java_lang_Long T_java_lang_Comparable) true_term) (= (PO_LT T_java_io_Reader T_java_lang_Object) true_term) (= T_java_io_Reader (asChild T_java_io_Reader T_java_lang_Object)) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_io_Writer (+ DIST_ZERO_1 10)) (= T_java_io_OutputStreamWriter (+ DIST_ZERO_1 11)) (= T_java_lang_RuntimeException (+ DIST_ZERO_1 12)) (= T_java_io_InputStreamReader (+ DIST_ZERO_1 13)) (= T_tohtml_Package (+ DIST_ZERO_1 14)) (= T_tohtml_VectorSorter (+ DIST_ZERO_1 15)) (= T_java_io_InputStream (+ DIST_ZERO_1 16)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 17)) (= T_java_lang_Comparable (+ DIST_ZERO_1 18)) (= T_java_io_FileOutputStream (+ DIST_ZERO_1 19)) (= T_java_lang_Throwable (+ DIST_ZERO_1 20)) (= T_java_io_FileNotFoundException (+ DIST_ZERO_1 21)) (= T_java_lang_Object (+ DIST_ZERO_1 22)) (= T_java_io_IOException (+ DIST_ZERO_1 23)) (= T_java_lang_NumberFormatException (+ DIST_ZERO_1 24)) (= T_java_util_Properties (+ DIST_ZERO_1 25)) (= T_java_io_BufferedReader (+ DIST_ZERO_1 26)) (= T_java_io_PrintWriter (+ DIST_ZERO_1 27)) (= T_java_util_Dictionary (+ DIST_ZERO_1 28)) (= T_java_lang_String (+ DIST_ZERO_1 29)) (= T_java_util_Collection (+ DIST_ZERO_1 30)) (= T_java_lang_IllegalArgumentException (+ DIST_ZERO_1 31)) (= T_java_lang_Number (+ DIST_ZERO_1 32)) (= T_java_lang_System (+ DIST_ZERO_1 33)) (= T_java_util_AbstractList (+ DIST_ZERO_1 34)) (= T_java_util_Map (+ DIST_ZERO_1 35)) (= T_java_util_List (+ DIST_ZERO_1 36)) (= T_tohtml_Java2Html (+ DIST_ZERO_1 37)) (= T_java_io_BufferedWriter (+ DIST_ZERO_1 38)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 39)) (= T_tohtml_JFile (+ DIST_ZERO_1 40)) (= T_java_io_File (+ DIST_ZERO_1 41)) (= T_java_util_Hashtable (+ DIST_ZERO_1 42)) (= T_java_util_Vector (+ DIST_ZERO_1 43)) (= T_java_util_AbstractCollection (+ DIST_ZERO_1 44)) (= T_java_lang_StringBuffer (+ DIST_ZERO_1 45)) (= T_java_io_FileInputStream (+ DIST_ZERO_1 46)) (= T_java_io_OutputStream (+ DIST_ZERO_1 47)) (= T_java_lang_Exception (+ DIST_ZERO_1 48)) (= T_java_util_Enumeration (+ DIST_ZERO_1 49)) (= T_java_lang_Long (+ DIST_ZERO_1 50)) (= T_java_io_Reader (+ DIST_ZERO_1 51)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 52)) (= T_java_io_PrintStream (+ DIST_ZERO_1 53)) (= T_java_io_Serializable (+ DIST_ZERO_1 54))) (= true_term (is out_20_83_49 T_java_io_PrintStream)) (= true_term (is separator_16_143_31 T_java_lang_String)) (not (= separator_16_143_31 null))))
(declare-fun C_161_2 () Int)
(declare-fun L_157_5 () Int)
(declare-fun ecReturn () Int)
(declare-fun ecThrow () Int)
(declare-fun C_157_5 () Int)
(declare-fun L_161_2 () Int)
(declare-fun S_177_16 () Int)
(declare-fun S_177_90 () Int)
(declare-fun S_177_66 () Int)
(declare-fun S_190_24 () Int)
(declare-fun S_192_24 () Int)
(declare-fun subpackages_pre_209_27 () Int)
(declare-fun subpackages_209_27 () Int)
(declare-fun out_pre_20_83_49 () Int)
(declare-fun permitsNullValue_pre_32_31_27 () Int)
(declare-fun permitsNullValue_32_31_27 () Int)
(declare-fun moreElements_pre_29_58_29 () Int)
(declare-fun moreElements_29_58_29 () Int)
(declare-fun permitsNullKey_pre_32_21_27 () Int)
(declare-fun permitsNullKey_32_21_27 () Int)
(declare-fun declLinks_pre_118_37 () Int)
(declare-fun declLinks_118_37 () Int)
(declare-fun lines_pre_46_16 () Int)
(declare-fun lines_46_16 () Int)
(declare-fun props_pre_20_396_44 () Int)
(declare-fun props_20_396_44 () Int)
(declare-fun destination_pre_42_25 () Int)
(declare-fun destination_42_25 () Int)
(declare-fun owner_pre_4_35_28 () Int)
(declare-fun owner_4_35_28 () Int)
(declare-fun separator_pre_16_143_31 () Int)
(declare-fun elementData_pre_5_79_35 () Int)
(declare-fun elementData_5_79_35 () Int)
(declare-fun containsNull_pre_7_70_29 () Int)
(declare-fun containsNull_7_70_29 () Int)
(declare-fun elementType_pre_29_74_27 () Int)
(declare-fun elementType_29_74_27 () Int)
(declare-fun packages_pre_43_34 () Int)
(declare-fun packages_43_34 () Int)
(declare-fun files_pre_204_26 () Int)
(declare-fun files_204_26 () Int)
(declare-fun name_pre_201_27 () Int)
(declare-fun name_201_27 () Int)
(declare-fun annotationChar_pre_48_16 () Int)
(declare-fun annotationChar_48_16 () Int)
(declare-fun elementType_pre_7_65_27 () Int)
(declare-fun elementType_7_65_27 () Int)
(declare-fun elementType_pre_32_26_25 () Int)
(declare-fun elementType_32_26_25 () Int)
(declare-fun keywords_pre_555_37 () Int)
(declare-fun keywords_555_37 () Int)
(declare-fun declLinks_pre_299_30 () Int)
(declare-fun declLinks_299_30 () Int)
(declare-fun returnsNull_pre_29_79_29 () Int)
(declare-fun returnsNull_29_79_29 () Int)
(declare-fun keyType_pre_32_16_25 () Int)
(declare-fun keyType_32_16_25 () Int)
(declare-fun elementCount_pre_5_90_35 () Int)
(declare-fun elementCount_5_90_35 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun filename_152_61 () Int)
(declare-fun after_154_24_154_24 () Int)
(declare-fun RES_154_24_154_24 () Int)
(declare-fun EC_154_24_154_24 () Int)
(declare-fun after_155_57_155_57 () Int)
(declare-fun RES_155_57_155_57 () Int)
(declare-fun EC_155_57_155_57 () Int)
(declare-fun XRES_155_57_155_57 () Int)
(declare-fun after_155_35_155_35 () Int)
(declare-fun RES_155_35_155_35 () Int)
(declare-fun EC_155_35_155_35 () Int)
(declare-fun after_155_16_155_16 () Int)
(declare-fun RES_155_16_155_16 () Int)
(declare-fun EC_155_16_155_16 () Int)
(declare-fun EC_loopold () Int)
(declare-fun alloc_loopold () Int)
(declare-fun RES_157_5_0_158_13_158_13 () Int)
(declare-fun EC_157_5_0_158_13_158_13 () Int)
(declare-fun XRES_157_5_0_158_13_158_13 () Int)
(declare-fun EC_157_5_0_159_6_159_6 () Int)
(declare-fun EC_loopold_157_5_0 () Int)
(declare-fun ch_loopold_157_5_0_158_6 () Int)
(declare-fun tmp1_cand_157_5_0_161_2_0_161_9 () Int)
(declare-fun tmp1_cand_161_18 () Int)
(declare-fun arg0_162_10_157_5_0_161_2_0_162_10_34__ () Int)
(declare-fun RES_157_5_0_161_2_0_162_10_162_10 () Int)
(declare-fun EC_157_5_0_161_2_0_162_10_162_10 () Int)
(declare-fun RES () Int)
(declare-fun RES_157_5_0_159_6_159_6 () Int)
(declare-fun EC () Int)
(declare-fun XRES () Int)
(declare-fun XRES_157_5_0_159_6_159_6 () Int)
(declare-fun RES_157_5_0_161_2_0_163_13_163_13 () Int)
(declare-fun EC_157_5_0_161_2_0_163_13_163_13 () Int)
(declare-fun XRES_157_5_0_161_2_0_163_13_163_13 () Int)
(declare-fun RES_1_ () Int)
(declare-fun EC_1_ () Int)
(declare-fun ch_158_6 () Int)
(declare-fun XRES_1_ () Int)
(declare-fun ch_162_6 () Int)
(declare-fun tmp1_cand_157_5_0_161_2_1_161_9 () Int)
(declare-fun tmp1_cand_161_18_1_ () Int)
(declare-fun RES_2_ () Int)
(declare-fun EC_2_ () Int)
(declare-fun ch_158_6_1_ () Int)
(declare-fun XRES_2_ () Int)
(declare-fun RES_157_5_0_168_17_168_17 () Int)
(declare-fun EC_157_5_0_168_17_168_17 () Int)
(declare-fun RES_157_5_0_169_11_169_11 () Int)
(declare-fun EC_157_5_0_169_11_169_11 () Int)
(declare-fun fromIndex_170_11_157_5_0_170_11_18_1199_35 () Int)
(declare-fun RES_157_5_0_170_11_170_11 () Int)
(declare-fun EC_157_5_0_170_11_170_11 () Int)
(declare-fun fromIndex_171_11_157_5_0_171_11_18_1199_35 () Int)
(declare-fun RES_157_5_0_171_11_171_11 () Int)
(declare-fun EC_157_5_0_171_11_171_11 () Int)
(declare-fun RES_157_5_0_173_23_173_23 () Int)
(declare-fun EC_157_5_0_173_23_173_23 () Int)
(declare-fun tmp8_157_5_0_174_37 () Int)
(declare-fun RES_157_5_0_174_27_174_27 () Int)
(declare-fun EC_157_5_0_174_27_174_27 () Int)
(declare-fun after_174_16_157_5_0_174_16 () Int)
(declare-fun RES_157_5_0_174_16_174_16 () Int)
(declare-fun EC_157_5_0_174_16_174_16 () Int)
(declare-fun XRES_157_5_0_174_16_174_16 () Int)
(declare-fun tmp10_157_5_0_175_33 () Int)
(declare-fun RES_157_5_0_175_23_175_23 () Int)
(declare-fun EC_157_5_0_175_23_175_23 () Int)
(declare-fun beginIndex_176_31_157_5_0_176_31_18_1485_32 () Int)
(declare-fun RES_157_5_0_176_31_176_31 () Int)
(declare-fun EC_157_5_0_176_31_176_31 () Int)
(declare-fun after_176_20_157_5_0_176_20 () Int)
(declare-fun RES_157_5_0_176_20_176_20 () Int)
(declare-fun EC_157_5_0_176_20_176_20 () Int)
(declare-fun XRES_157_5_0_176_20_176_20 () Int)
(declare-fun RES_157_5_0_177_37_177_37 () Int)
(declare-fun EC_157_5_0_177_37_177_37 () Int)
(declare-fun href_157_5_0_177_2 () Int)
(declare-fun RES_157_5_0_180_37_180_37 () Int)
(declare-fun EC_157_5_0_180_37_180_37 () Int)
(declare-fun h_157_5_0_180_2 () Int)
(declare-fun after_182_10_157_5_0_182_10 () Int)
(declare-fun RES_157_5_0_182_10_182_10 () Int)
(declare-fun EC_157_5_0_182_10_182_10 () Int)
(declare-fun RES_157_5_0_183_16_183_16 () Int)
(declare-fun EC_157_5_0_183_16_183_16 () Int)
(declare-fun RES_3_ () Int)
(declare-fun EC_3_ () Int)
(declare-fun alloc_1_ () Int)
(declare-fun XRES_3_ () Int)
(declare-fun XRES_157_5_0_183_16_183_16 () Int)
(declare-fun h_180_12 () Int)
(declare-fun XRES_157_5_0_180_37_180_37 () Int)
(declare-fun EC_158_12 () Int)
(declare-fun XRES_158_12 () Int)
(declare-fun EC_4_ () Int)
(declare-fun XRES_4_ () Int)
(declare-fun EC_154_24 () Int)
(declare-fun EC_154_24_1_ () Int)
(declare-fun XRES_154_24 () Int)
(declare-fun e_189_28 () Int)
(declare-fun arg0_190_16_190_16_21__ () Int)
(declare-fun EC_190_16_190_16 () Int)
(declare-fun EC_5_ () Int)
(declare-fun e_191_27 () Int)
(declare-fun arg0_192_16_192_16_21__ () Int)
(declare-fun EC_192_16_192_16 () Int)
(declare-fun EC_154_24_2_ () Int)
(assert (let ((?v_47 (S_select keyType_32_16_25 declLinks_118_37)) (?v_51 (S_select elementType_32_26_25 declLinks_118_37)) (?v_81 (< alloc after_154_24_154_24)) (?v_7 (not (= RES_154_24_154_24 null))) (?v_82 (not (= true_term (isAllocated RES_154_24_154_24 alloc)))) (?v_83 (= true_term (is RES_154_24_154_24 T_java_lang_StringBuffer))) (?v_84 (= true_term (isAllocated RES_154_24_154_24 after_154_24_154_24))) (?v_85 (= EC_154_24_154_24 ecReturn)) (?v_86 (= (S_select owner_4_35_28 RES_154_24_154_24) null)) (?v_87 (= (typeof RES_154_24_154_24) T_java_lang_StringBuffer)) (?v_88 (< after_154_24_154_24 after_155_57_155_57)) (?v_89 (not (= RES_155_57_155_57 null))) (?v_90 (not (= true_term (isAllocated RES_155_57_155_57 after_154_24_154_24)))) (?v_91 (= true_term (is RES_155_57_155_57 T_java_io_FileInputStream))) (?v_92 (= true_term (isAllocated RES_155_57_155_57 after_155_57_155_57))) (?v_0 (= EC_155_57_155_57 ecThrow)) (?v_1 (typeof XRES_155_57_155_57))) (let ((?v_93 (=> ?v_0 (and (not (= XRES_155_57_155_57 null)) (= (PO_LT ?v_1 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_155_57_155_57 after_155_57_155_57))))) (?v_2 (= EC_155_57_155_57 ecReturn))) (let ((?v_94 (or ?v_2 (and ?v_0 (= (PO_LT ?v_1 T_java_io_FileNotFoundException) true_term)))) (?v_95 (=> ?v_2 (= (S_select owner_4_35_28 RES_155_57_155_57) null))) (?v_96 (= (typeof RES_155_57_155_57) T_java_io_FileInputStream)) (?v_97 (< after_155_57_155_57 after_155_35_155_35)) (?v_98 (not (= RES_155_35_155_35 null))) (?v_99 (not (= true_term (isAllocated RES_155_35_155_35 after_155_57_155_57)))) (?v_100 (= true_term (is RES_155_35_155_35 T_java_io_InputStreamReader))) (?v_101 (= true_term (isAllocated RES_155_35_155_35 after_155_35_155_35))) (?v_102 (= EC_155_35_155_35 ecReturn)) (?v_103 (= (S_select owner_4_35_28 RES_155_35_155_35) null)) (?v_104 (= (typeof RES_155_35_155_35) T_java_io_InputStreamReader)) (?v_105 (< after_155_35_155_35 after_155_16_155_16)) (?v_3 (not (= RES_155_16_155_16 null))) (?v_106 (not (= true_term (isAllocated RES_155_16_155_16 after_155_35_155_35)))) (?v_107 (= true_term (is RES_155_16_155_16 T_java_io_BufferedReader))) (?v_108 (= true_term (isAllocated RES_155_16_155_16 after_155_16_155_16))) (?v_109 (= EC_155_16_155_16 ecReturn)) (?v_110 (= (S_select owner_4_35_28 RES_155_16_155_16) null)) (?v_111 (= (typeof RES_155_16_155_16) T_java_io_BufferedReader)) (?v_112 (= EC_155_16_155_16 EC_loopold)) (?v_113 (= after_155_16_155_16 alloc_loopold)) (?v_8 (= true_term true_term))) (let ((?v_11 (not ?v_3)) (?v_114 (= true_term (is RES_157_5_0_158_13_158_13 T_int))) (?v_4 (= EC_157_5_0_158_13_158_13 ecThrow)) (?v_5 (typeof XRES_157_5_0_158_13_158_13))) (let ((?v_115 (=> ?v_4 (and (not (= XRES_157_5_0_158_13_158_13 null)) (= (PO_LT ?v_5 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_157_5_0_158_13_158_13 after_155_16_155_16))))) (?v_6 (= EC_157_5_0_158_13_158_13 ecReturn))) (let ((?v_116 (or ?v_6 (and ?v_4 (= (PO_LT ?v_5 T_java_io_IOException) true_term)))) (?v_10 (not ?v_7)) (?v_117 (= EC_157_5_0_159_6_159_6 ecReturn)) (?v_12 (= EC_157_5_0_159_6_159_6 EC_loopold_157_5_0)) (?v_13 (= RES_157_5_0_158_13_158_13 ch_loopold_157_5_0_158_6)) (?v_27 (- 0 1))) (let ((?v_9 (not (= RES_157_5_0_158_13_158_13 ?v_27)))) (let ((?v_14 (or (and ?v_9 (= tmp1_cand_157_5_0_161_2_0_161_9 (integralNE RES_157_5_0_158_13_158_13 10)) (= tmp1_cand_161_18 tmp1_cand_157_5_0_161_2_0_161_9)) (and (not ?v_9) ?v_8 (= tmp1_cand_161_18 false_term)))) (?v_15 (= true_term tmp1_cand_161_18)) (?v_16 (= arg0_162_10_157_5_0_161_2_0_162_10_34__ (cast RES_157_5_0_158_13_158_13 T_char))) (?v_17 (= true_term (is RES_157_5_0_161_2_0_162_10_162_10 T_java_lang_StringBuffer))) (?v_18 (= true_term (isAllocated RES_157_5_0_161_2_0_162_10_162_10 after_155_16_155_16))) (?v_19 (= EC_157_5_0_161_2_0_162_10_162_10 ecReturn)) (?v_22 (= true_term (is RES_157_5_0_161_2_0_163_13_163_13 T_int))) (?v_20 (= EC_157_5_0_161_2_0_163_13_163_13 ecThrow)) (?v_21 (typeof XRES_157_5_0_161_2_0_163_13_163_13))) (let ((?v_23 (=> ?v_20 (and (not (= XRES_157_5_0_161_2_0_163_13_163_13 null)) (= (PO_LT ?v_21 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_157_5_0_161_2_0_163_13_163_13 after_155_16_155_16))))) (?v_25 (= EC_157_5_0_161_2_0_163_13_163_13 ecReturn))) (let ((?v_24 (or ?v_25 (and ?v_20 (= (PO_LT ?v_21 T_java_io_IOException) true_term)))) (?v_26 (= EC_157_5_0_161_2_0_163_13_163_13 C_161_2)) (?v_28 (not (= ch_162_6 ?v_27))) (?v_29 (= EC_1_ L_161_2))) (let ((?v_118 (or (and ?v_8 (or (and ?v_14 (not ?v_15) (= RES RES_157_5_0_159_6_159_6) (= EC L_161_2) (= XRES XRES_157_5_0_159_6_159_6)) (and ?v_14 ?v_15 ?v_7 ?v_16 ?v_17 ?v_18 ?v_19 ?v_3 ?v_22 ?v_23 ?v_24 ?v_8 ?v_20 (not ?v_26) (= RES RES_157_5_0_161_2_0_163_13_163_13) (= EC EC_157_5_0_161_2_0_163_13_163_13) (= XRES XRES_157_5_0_161_2_0_163_13_163_13))) (= RES_1_ RES) (= EC_1_ EC) (= ch_158_6 RES_157_5_0_158_13_158_13) (= XRES_1_ XRES)) (and ?v_8 ?v_14 ?v_15 (or (and ?v_7 ?v_16 ?v_17 ?v_18 ?v_19 ?v_3 ?v_22 ?v_23 ?v_24 ?v_25 (= ch_162_6 RES_157_5_0_161_2_0_163_13_163_13)) (and ?v_7 ?v_16 ?v_17 ?v_18 ?v_19 ?v_3 ?v_22 ?v_23 ?v_24 ?v_8 ?v_20 ?v_26 (= ch_162_6 RES_157_5_0_158_13_158_13))) ?v_8 (or (and ?v_28 (= tmp1_cand_157_5_0_161_2_1_161_9 (integralNE ch_162_6 10)) (= tmp1_cand_161_18_1_ tmp1_cand_157_5_0_161_2_1_161_9)) (and (not ?v_28) ?v_8 (= tmp1_cand_161_18_1_ false_term))) (not (= true_term tmp1_cand_161_18_1_)) (= RES_1_ RES_157_5_0_161_2_0_163_13_163_13) ?v_29 (= ch_158_6 ch_162_6) (= XRES_1_ XRES_157_5_0_161_2_0_163_13_163_13)))) (?v_119 (= RES_2_ RES_1_)) (?v_120 (= EC_2_ EC_1_)) (?v_121 (= ch_158_6_1_ ch_158_6)) (?v_122 (= XRES_2_ XRES_1_)) (?v_123 (= ch_158_6_1_ ?v_27))) (let ((?v_124 (not ?v_123)) (?v_125 (= true_term (is RES_157_5_0_168_17_168_17 T_java_lang_String))) (?v_126 (= true_term (isAllocated RES_157_5_0_168_17_168_17 after_155_16_155_16))) (?v_30 (= EC_157_5_0_168_17_168_17 ecReturn)) (?v_31 (not (= RES_157_5_0_168_17_168_17 null)))) (let ((?v_127 (=> ?v_30 ?v_31)) (?v_32 (not ?v_31)) (?v_128 (= true_term (is RES_157_5_0_169_11_169_11 T_int))) (?v_129 (= EC_157_5_0_169_11_169_11 ecReturn)) (?v_34 (+ RES_157_5_0_169_11_169_11 1))) (let ((?v_130 (= fromIndex_170_11_157_5_0_170_11_18_1199_35 ?v_34)) (?v_131 (= true_term (is RES_157_5_0_170_11_170_11 T_int))) (?v_132 (= EC_157_5_0_170_11_170_11 ecReturn)) (?v_39 (+ RES_157_5_0_170_11_170_11 1))) (let ((?v_133 (= fromIndex_171_11_157_5_0_171_11_18_1199_35 ?v_39)) (?v_134 (= true_term (is RES_157_5_0_171_11_171_11 T_int))) (?v_135 (= EC_157_5_0_171_11_171_11 ecReturn)) (?v_136 (= true_term (is RES_157_5_0_173_23_173_23 T_java_lang_String))) (?v_137 (= true_term (isAllocated RES_157_5_0_173_23_173_23 after_155_16_155_16))) (?v_33 (= EC_157_5_0_173_23_173_23 ecReturn)) (?v_46 (not (= RES_157_5_0_173_23_173_23 null)))) (let ((?v_138 (=> ?v_33 ?v_46)) (?v_139 (= tmp8_157_5_0_174_37 ?v_34)) (?v_140 (= true_term (is RES_157_5_0_174_27_174_27 T_java_lang_String))) (?v_141 (= true_term (isAllocated RES_157_5_0_174_27_174_27 after_155_16_155_16))) (?v_35 (= EC_157_5_0_174_27_174_27 ecReturn))) (let ((?v_142 (=> ?v_35 (not (= RES_157_5_0_174_27_174_27 null)))) (?v_143 (< after_155_16_155_16 after_174_16_157_5_0_174_16)) (?v_72 (not (= RES_157_5_0_174_16_174_16 null))) (?v_144 (not (= true_term (isAllocated RES_157_5_0_174_16_174_16 after_155_16_155_16)))) (?v_145 (= true_term (is RES_157_5_0_174_16_174_16 T_java_lang_Long))) (?v_146 (= true_term (isAllocated RES_157_5_0_174_16_174_16 after_174_16_157_5_0_174_16))) (?v_36 (= EC_157_5_0_174_16_174_16 ecThrow)) (?v_37 (typeof XRES_157_5_0_174_16_174_16))) (let ((?v_147 (=> ?v_36 (and (not (= XRES_157_5_0_174_16_174_16 null)) (= (PO_LT ?v_37 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_157_5_0_174_16_174_16 after_174_16_157_5_0_174_16))))) (?v_38 (= EC_157_5_0_174_16_174_16 ecReturn))) (let ((?v_148 (or ?v_38 (and ?v_36 (= (PO_LT ?v_37 T_java_lang_NumberFormatException) true_term)))) (?v_149 (=> ?v_38 (= (S_select owner_4_35_28 RES_157_5_0_174_16_174_16) null))) (?v_74 (typeof RES_157_5_0_174_16_174_16))) (let ((?v_150 (= ?v_74 T_java_lang_Long)) (?v_151 (= tmp10_157_5_0_175_33 ?v_39)) (?v_152 (= true_term (is RES_157_5_0_175_23_175_23 T_java_lang_String))) (?v_153 (= true_term (isAllocated RES_157_5_0_175_23_175_23 after_174_16_157_5_0_174_16))) (?v_40 (= EC_157_5_0_175_23_175_23 ecReturn)) (?v_45 (not (= RES_157_5_0_175_23_175_23 null)))) (let ((?v_154 (=> ?v_40 ?v_45)) (?v_155 (= beginIndex_176_31_157_5_0_176_31_18_1485_32 (+ RES_157_5_0_171_11_171_11 1))) (?v_156 (= true_term (is RES_157_5_0_176_31_176_31 T_java_lang_String))) (?v_157 (= true_term (isAllocated RES_157_5_0_176_31_176_31 after_174_16_157_5_0_174_16))) (?v_41 (= EC_157_5_0_176_31_176_31 ecReturn))) (let ((?v_158 (=> ?v_41 (not (= RES_157_5_0_176_31_176_31 null)))) (?v_159 (< after_174_16_157_5_0_174_16 after_176_20_157_5_0_176_20)) (?v_160 (not (= RES_157_5_0_176_20_176_20 null))) (?v_161 (not (= true_term (isAllocated RES_157_5_0_176_20_176_20 after_174_16_157_5_0_174_16)))) (?v_162 (= true_term (is RES_157_5_0_176_20_176_20 T_java_lang_Long))) (?v_163 (= true_term (isAllocated RES_157_5_0_176_20_176_20 after_176_20_157_5_0_176_20))) (?v_42 (= EC_157_5_0_176_20_176_20 ecThrow)) (?v_43 (typeof XRES_157_5_0_176_20_176_20))) (let ((?v_164 (=> ?v_42 (and (not (= XRES_157_5_0_176_20_176_20 null)) (= (PO_LT ?v_43 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_157_5_0_176_20_176_20 after_176_20_157_5_0_176_20))))) (?v_44 (= EC_157_5_0_176_20_176_20 ecReturn))) (let ((?v_165 (or ?v_44 (and ?v_42 (= (PO_LT ?v_43 T_java_lang_NumberFormatException) true_term)))) (?v_166 (=> ?v_44 (= (S_select owner_4_35_28 RES_157_5_0_176_20_176_20) null))) (?v_54 (not ?v_46)) (?v_48 (= (PO_LT (typeof RES_157_5_0_173_23_173_23) ?v_47) true_term))) (let ((?v_60 (not ?v_48)) (?v_56 (not (or (= true_term (S_select permitsNullKey_32_21_27 declLinks_118_37)) ?v_46))) (?v_49 (=> ?v_46 ?v_48))) (let ((?v_57 (not ?v_49)) (?v_50 (= EC_157_5_0_180_37_180_37 ecReturn)) (?v_52 (= true_term (is RES_157_5_0_180_37_180_37 T_java_util_Hashtable))) (?v_62 (= h_157_5_0_180_2 null)) (?v_63 (< after_176_20_157_5_0_176_20 after_182_10_157_5_0_182_10)) (?v_55 (not (= RES_157_5_0_182_10_182_10 null))) (?v_64 (not (= true_term (isAllocated RES_157_5_0_182_10_182_10 after_176_20_157_5_0_176_20)))) (?v_65 (= true_term (is RES_157_5_0_182_10_182_10 T_java_util_Hashtable))) (?v_66 (= true_term (isAllocated RES_157_5_0_182_10_182_10 after_182_10_157_5_0_182_10))) (?v_53 (= EC_157_5_0_182_10_182_10 ecReturn)) (?v_67 (= (S_select owner_4_35_28 RES_157_5_0_182_10_182_10) null))) (let ((?v_68 (=> ?v_53 (and (= (S_select keyType_32_16_25 RES_157_5_0_182_10_182_10) T_java_lang_Object) (= (S_select elementType_32_26_25 RES_157_5_0_182_10_182_10) T_java_lang_Object)))) (?v_58 (typeof RES_157_5_0_182_10_182_10))) (let ((?v_69 (= ?v_58 T_java_util_Hashtable)) (?v_61 (= (PO_LT ?v_58 ?v_51) true_term))) (let ((?v_59 (=> ?v_55 ?v_61)) (?v_70 (= EC_157_5_0_183_16_183_16 ecReturn)) (?v_77 (S_select elementType_32_26_25 h_180_12)) (?v_75 (S_select keyType_32_16_25 h_180_12)) (?v_71 (not (= h_180_12 null))) (?v_73 (not (= href_157_5_0_177_2 null)))) (let ((?v_79 (= (PO_LT ?v_74 ?v_75) true_term))) (let ((?v_76 (=> ?v_72 ?v_79)) (?v_80 (= (PO_LT (typeof href_157_5_0_177_2) ?v_77) true_term))) (let ((?v_78 (=> ?v_73 ?v_80)) (?v_167 (= EC_158_12 L_157_5))) (let ((?v_168 (or (and ?v_114 ?v_115 ?v_116 ?v_8 ?v_4 (= EC_158_12 EC_157_5_0_158_13_158_13) (= XRES_158_12 XRES_157_5_0_158_13_158_13)) (and ?v_114 ?v_115 ?v_116 ?v_6 ?v_7 ?v_117 (or (and ?v_12 ?v_13 ?v_118 (not ?v_29) (= EC_158_12 EC_1_) (= XRES_158_12 XRES_1_)) (and ?v_12 ?v_13 ?v_118 ?v_29 ?v_119 ?v_120 ?v_121 ?v_122 (or (and ?v_123 ?v_8 ?v_8 ?v_167 (= XRES_158_12 XRES_2_)) (and ?v_124 ?v_8 ?v_7 ?v_125 ?v_126 ?v_30 ?v_127 ?v_31 ?v_128 ?v_129 ?v_31 ?v_130 ?v_131 ?v_132 ?v_31 ?v_133 ?v_134 ?v_135 ?v_31 ?v_136 ?v_137 ?v_33 ?v_138 ?v_139 ?v_31 ?v_140 ?v_141 ?v_35 ?v_142 (or (and ?v_143 ?v_72 ?v_144 ?v_145 ?v_146 ?v_147 ?v_148 ?v_149 ?v_8 ?v_36 (= EC_158_12 EC_157_5_0_174_16_174_16) (= XRES_158_12 XRES_157_5_0_174_16_174_16)) (and ?v_143 ?v_72 ?v_144 ?v_145 ?v_146 ?v_147 ?v_148 ?v_149 ?v_38 ?v_150 ?v_151 ?v_31 ?v_152 ?v_153 ?v_40 ?v_154 ?v_31 ?v_155 ?v_156 ?v_157 ?v_41 ?v_158 ?v_159 ?v_160 ?v_161 ?v_162 ?v_163 ?v_164 ?v_165 ?v_166 ?v_8 ?v_42 (= EC_158_12 EC_157_5_0_176_20_176_20) (= XRES_158_12 XRES_157_5_0_176_20_176_20)))))))))) (?v_169 (not (= EC_158_12 C_157_5)))) (let ((?v_172 (or (and ?v_88 ?v_89 ?v_90 ?v_91 ?v_92 ?v_93 ?v_94 ?v_95 ?v_8 ?v_0 (= EC_154_24_1_ EC_155_57_155_57) (= XRES_154_24 XRES_155_57_155_57)) (and ?v_88 ?v_89 ?v_90 ?v_91 ?v_92 ?v_93 ?v_94 ?v_95 ?v_2 ?v_96 ?v_97 ?v_98 ?v_99 ?v_100 ?v_101 ?v_102 ?v_103 ?v_104 ?v_105 ?v_3 ?v_106 ?v_107 ?v_108 ?v_109 ?v_110 ?v_111 ?v_112 ?v_113 ?v_8 ?v_3 ?v_168 ?v_169 (not ?v_167) (= EC_154_24_1_ EC_158_12) (= XRES_154_24 XRES_158_12)))) (?v_173 (not (= EC_154_24_1_ ecThrow)))) (let ((?v_174 (not ?v_173)) (?v_171 (typeof XRES_154_24))) (let ((?v_170 (or (= (PO_LT ?v_171 T_java_io_IOException) true_term) (= XRES_154_24 null)))) (let ((?v_175 (not ?v_170)) (?v_176 (= (PO_LT ?v_171 T_java_lang_Exception) true_term)) (?v_177 (= EC_154_24_2_ ecReturn))) (not (=> (and (distinct C_161_2 L_157_5 ecReturn ecThrow C_157_5 L_161_2) (not (= S_177_16 null)) (= (typeof S_177_16) T_java_lang_String) (not (= S_177_90 null)) (= (typeof S_177_90) T_java_lang_String) (not (= S_177_66 null)) (= (typeof S_177_66) T_java_lang_String) (not (= S_190_24 null)) (= (typeof S_190_24) T_java_lang_String) (not (= S_192_24 null)) (= (typeof S_192_24) T_java_lang_String)) (=> (and (= subpackages_pre_209_27 subpackages_209_27) (= subpackages_209_27 (asField subpackages_209_27 T_java_util_Vector)) (< (fClosedTime subpackages_209_27) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select subpackages_209_27 ?s) null)))) (= out_pre_20_83_49 out_20_83_49) (= true_term (is out_20_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_20_83_49 alloc)) (not (= out_20_83_49 null)) (= permitsNullValue_pre_32_31_27 permitsNullValue_32_31_27) (= permitsNullValue_32_31_27 (asField permitsNullValue_32_31_27 T_boolean)) (= moreElements_pre_29_58_29 moreElements_29_58_29) (= moreElements_29_58_29 (asField moreElements_29_58_29 T_boolean)) (= permitsNullKey_pre_32_21_27 permitsNullKey_32_21_27) (= permitsNullKey_32_21_27 (asField permitsNullKey_32_21_27 T_boolean)) (= declLinks_pre_118_37 declLinks_118_37) (= true_term (is declLinks_118_37 T_java_util_Hashtable)) (= true_term (isAllocated declLinks_118_37 alloc)) (not (= declLinks_118_37 null)) (= lines_pre_46_16 lines_46_16) (= true_term (is lines_46_16 T_long)) (= props_pre_20_396_44 props_20_396_44) (= true_term (is props_20_396_44 T_java_util_Properties)) (= true_term (isAllocated props_20_396_44 alloc)) (not (= props_20_396_44 null)) (= destination_pre_42_25 destination_42_25) (= true_term (is destination_42_25 T_java_lang_String)) (= true_term (isAllocated destination_42_25 alloc)) (= owner_pre_4_35_28 owner_4_35_28) (= owner_4_35_28 (asField owner_4_35_28 T_java_lang_Object)) (< (fClosedTime owner_4_35_28) alloc) (= separator_pre_16_143_31 separator_16_143_31) (= true_term (is separator_16_143_31 T_java_lang_String)) (= true_term (isAllocated separator_16_143_31 alloc)) (= elementData_pre_5_79_35 elementData_5_79_35) (= elementData_5_79_35 (asField elementData_5_79_35 (array T_java_lang_Object))) (< (fClosedTime elementData_5_79_35) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select elementData_5_79_35 ?s_1_) null)))) (= containsNull_pre_7_70_29 containsNull_7_70_29) (= containsNull_7_70_29 (asField containsNull_7_70_29 T_boolean)) (= elementType_pre_29_74_27 elementType_29_74_27) (= elementType_29_74_27 (asField elementType_29_74_27 T__TYPE)) (= packages_pre_43_34 packages_43_34) (= true_term (is packages_43_34 T_java_util_Vector)) (= true_term (isAllocated packages_43_34 alloc)) (not (= packages_43_34 null)) (= files_pre_204_26 files_204_26) (= files_204_26 (asField files_204_26 T_java_util_Vector)) (< (fClosedTime files_204_26) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select files_204_26 ?s_2_) null)))) (= name_pre_201_27 name_201_27) (= name_201_27 (asField name_201_27 T_java_lang_String)) (< (fClosedTime name_201_27) alloc) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (not (= (S_select name_201_27 ?s_3_) null)))) (= annotationChar_pre_48_16 annotationChar_48_16) (= true_term (is annotationChar_48_16 T_char)) (= elementType_pre_7_65_27 elementType_7_65_27) (= elementType_7_65_27 (asField elementType_7_65_27 T__TYPE)) (= elementType_pre_32_26_25 elementType_32_26_25) (= elementType_32_26_25 (asField elementType_32_26_25 T__TYPE)) (= keywords_pre_555_37 keywords_555_37) (= true_term (is keywords_555_37 T_java_util_Hashtable)) (= true_term (isAllocated keywords_555_37 alloc)) (not (= keywords_555_37 null)) (= declLinks_pre_299_30 declLinks_299_30) (= declLinks_299_30 (asField declLinks_299_30 T_java_util_Hashtable)) (< (fClosedTime declLinks_299_30) alloc) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (not (= (S_select declLinks_299_30 ?s_4_) null)))) (= returnsNull_pre_29_79_29 returnsNull_29_79_29) (= returnsNull_29_79_29 (asField returnsNull_29_79_29 T_boolean)) (= keyType_pre_32_16_25 keyType_32_16_25) (= keyType_32_16_25 (asField keyType_32_16_25 T__TYPE)) (= elementCount_pre_5_90_35 elementCount_5_90_35) (= elementCount_5_90_35 (asField elementCount_5_90_35 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is filename_152_61 T_java_lang_String)) (= true_term (isAllocated filename_152_61 alloc)) (not (= filename_152_61 null)) (= (S_select keyType_32_16_25 props_20_396_44) T_java_lang_String) (= ?v_47 T_java_lang_String) (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_tohtml_JFile)) (not (= ?brokenObj null))) (= (S_select elementType_32_26_25 (S_select declLinks_299_30 ?brokenObj)) T_java_lang_String))) (= (S_select elementType_32_26_25 props_20_396_44) T_java_lang_String) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_java_util_Properties)) (not (= ?brokenObj_1_ null))) (= (S_select keyType_32_16_25 ?brokenObj_1_) T_java_lang_String))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_java_util_Properties)) (not (= ?brokenObj_2_ null))) (= (S_select elementType_32_26_25 ?brokenObj_2_) T_java_lang_String))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_java_util_Dictionary)) (not (= ?brokenObj_3_ null))) (and (not (= true_term (S_select permitsNullKey_32_21_27 ?brokenObj_3_))) (not (= true_term (S_select permitsNullValue_32_31_27 ?brokenObj_3_)))))) (= ?v_51 T_java_util_Hashtable) (= (S_select keyType_32_16_25 keywords_555_37) T_java_lang_String) (forall ((?brokenObj_4_ Int)) (=> (and (= true_term (is ?brokenObj_4_ T_tohtml_JFile)) (not (= ?brokenObj_4_ null))) (= (S_select keyType_32_16_25 (S_select declLinks_299_30 ?brokenObj_4_)) T_java_lang_Long))) (or (and ?v_81 ?v_7 ?v_82 ?v_83 ?v_84 ?v_85 ?v_86 ?v_87 ?v_88 ?v_89 ?v_90 ?v_91 ?v_92 ?v_93 ?v_94 ?v_95 ?v_2 ?v_96 ?v_97 ?v_98 ?v_99 ?v_100 ?v_101 ?v_102 ?v_103 ?v_104 ?v_105 ?v_3 ?v_106 ?v_107 ?v_108 ?v_109 ?v_110 ?v_111 ?v_112 ?v_113 ?v_8 (or ?v_11 (and ?v_3 ?v_114 ?v_115 ?v_116 ?v_6 (or ?v_10 (and ?v_7 ?v_117 (or (and ?v_12 ?v_13 ?v_8 ?v_14 ?v_15 (or ?v_10 (and ?v_7 ?v_16 ?v_17 ?v_18 ?v_19 ?v_11))) (and ?v_12 ?v_13 ?v_118 ?v_29 ?v_119 ?v_120 ?v_121 ?v_122 ?v_124 ?v_8 (or ?v_10 (and ?v_7 ?v_125 ?v_126 ?v_30 ?v_127 (or ?v_32 (and ?v_31 ?v_128 ?v_129 (or ?v_32 (and ?v_31 ?v_130 ?v_131 ?v_132 (or ?v_32 (and ?v_31 ?v_133 ?v_134 ?v_135 (or ?v_32 (and ?v_31 ?v_136 ?v_137 ?v_33 ?v_138 ?v_139 (or ?v_32 (and ?v_31 ?v_140 ?v_141 ?v_35 ?v_142 ?v_143 ?v_72 ?v_144 ?v_145 ?v_146 ?v_147 ?v_148 ?v_149 ?v_38 ?v_150 ?v_151 (or ?v_32 (and ?v_31 ?v_152 ?v_153 ?v_40 ?v_154 (or ?v_32 (and ?v_31 ?v_155 ?v_156 ?v_157 ?v_41 ?v_158 ?v_159 ?v_160 ?v_161 ?v_162 ?v_163 ?v_164 ?v_165 ?v_166 ?v_44 (= (typeof RES_157_5_0_176_20_176_20) T_java_lang_Long) (or (not ?v_45) (and ?v_45 (= true_term (is RES_157_5_0_177_37_177_37 T_java_lang_String)) (= true_term (isAllocated RES_157_5_0_177_37_177_37 after_176_20_157_5_0_176_20)) (= EC_157_5_0_177_37_177_37 ecReturn) (= href_157_5_0_177_2 (stringCat (stringCat (stringCat (stringCat S_177_16 RES_157_5_0_177_37_177_37) S_177_66) RES_157_5_0_176_20_176_20) S_177_90)) ?v_46 (or ?v_54 (and ?v_46 (or ?v_60 (and ?v_48 (or ?v_56 ?v_57)))) (and ?v_46 ?v_48 ?v_49 (= true_term (is RES_157_5_0_180_37_180_37 T_java_lang_Object)) (= true_term (isAllocated RES_157_5_0_180_37_180_37 after_176_20_157_5_0_176_20)) ?v_50 (=> ?v_50 (or (= RES_157_5_0_180_37_180_37 null) (= (PO_LT (typeof RES_157_5_0_180_37_180_37) ?v_51) true_term))) (or (not ?v_52) (and ?v_52 (= h_157_5_0_180_2 (cast RES_157_5_0_180_37_180_37 T_java_util_Hashtable)) (or (and ?v_62 ?v_8 ?v_63 ?v_55 ?v_64 ?v_65 ?v_66 ?v_53 ?v_67 ?v_68 ?v_69 (or ?v_54 (and ?v_46 (or (not ?v_55) (and ?v_55 (or ?v_56 ?v_57 (and ?v_49 (or (not (or (= true_term (S_select permitsNullValue_32_31_27 declLinks_118_37)) ?v_55)) (not ?v_59) (and ?v_59 (or ?v_60 (and ?v_48 (not ?v_61)))))))))))) (and (or (and ?v_62 ?v_8 ?v_63 ?v_55 ?v_64 ?v_65 ?v_66 ?v_53 ?v_67 ?v_68 ?v_69 ?v_46 ?v_55 ?v_49 ?v_59 ?v_48 ?v_61 (= true_term (is RES_157_5_0_183_16_183_16 T_java_lang_Object)) (= true_term (isAllocated RES_157_5_0_183_16_183_16 after_182_10_157_5_0_182_10)) ?v_70 (=> ?v_70 (or (= RES_157_5_0_183_16_183_16 null) (= (PO_LT (typeof RES_157_5_0_183_16_183_16) ?v_51) true_term))) (= RES_3_ RES_157_5_0_183_16_183_16) (= EC_3_ EC_157_5_0_183_16_183_16) (= alloc_1_ after_182_10_157_5_0_182_10) (= XRES_3_ XRES_157_5_0_183_16_183_16) (= h_180_12 RES_157_5_0_182_10_182_10)) (and (not ?v_62) ?v_8 (= RES_3_ RES_157_5_0_180_37_180_37) (= EC_3_ EC_157_5_0_180_37_180_37) (= alloc_1_ after_176_20_157_5_0_176_20) (= XRES_3_ XRES_157_5_0_180_37_180_37) (= h_180_12 h_157_5_0_180_2))) (= ?v_77 T_java_lang_String) (= ?v_75 T_java_lang_Long) (or (not ?v_71) (and ?v_71 (or (not ?v_72) (and ?v_72 (or (not ?v_73) (and ?v_73 (or (not (or (= true_term (S_select permitsNullKey_32_21_27 h_180_12)) ?v_72)) (not ?v_76) (and ?v_76 (or (not (or (= true_term (S_select permitsNullValue_32_31_27 h_180_12)) ?v_73)) (not ?v_78) (and ?v_78 (or (not ?v_79) (and ?v_79 (not ?v_80)))))))))))))))))))))))))))))))))))))))))))) (and (or (and (or (and ?v_81 ?v_7 ?v_82 ?v_83 ?v_84 ?v_85 ?v_86 ?v_87 ?v_88 ?v_89 ?v_90 ?v_91 ?v_92 ?v_93 ?v_94 ?v_95 ?v_2 ?v_96 ?v_97 ?v_98 ?v_99 ?v_100 ?v_101 ?v_102 ?v_103 ?v_104 ?v_105 ?v_3 ?v_106 ?v_107 ?v_108 ?v_109 ?v_110 ?v_111 ?v_112 ?v_113 ?v_8 ?v_3 ?v_168 ?v_169 ?v_167 (= EC_4_ EC_158_12) (= XRES_4_ XRES_158_12) (= EC_154_24 EC_4_)) (and ?v_81 ?v_7 ?v_82 ?v_83 ?v_84 ?v_85 ?v_86 ?v_87 ?v_172 ?v_174 (or (and ?v_170 (= e_189_28 XRES_154_24) (= arg0_190_16_190_16_21__ (stringCat S_190_24 e_189_28)) (= EC_190_16_190_16 ecReturn) (= EC_5_ EC_190_16_190_16)) (and ?v_175 ?v_176 (= e_191_27 XRES_154_24) (= arg0_192_16_192_16_21__ (stringCat S_192_24 e_191_27)) (= EC_192_16_192_16 ecReturn) (= EC_5_ EC_192_16_192_16))) (= EC_154_24 EC_5_))) ?v_177) (and ?v_81 ?v_7 ?v_82 ?v_83 ?v_84 ?v_85 ?v_86 ?v_87 ?v_172 (or ?v_173 (and ?v_174 ?v_175 (not ?v_176))) (= EC_154_24_2_ EC_154_24_1_))) (not ?v_177))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
