(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_ast_Name () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_javafe_ast_VarInit () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_javafe_ast_NewInstanceExpr () Int)
(declare-fun T_javafe_ast_Expr () Int)
(declare-fun T_javafe_ast_VarDeclStmt () Int)
(declare-fun T_javafe_ast_Stmt () Int)
(declare-fun T_java_lang_Float () Int)
(declare-fun T_java_lang_Number () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_java_io_InputStream () Int)
(declare-fun T_java_util_Vector () Int)
(declare-fun T_java_util_AbstractList () Int)
(declare-fun T_java_util_List () Int)
(declare-fun T_javafe_parser_Token () Int)
(declare-fun T_javafe_ast_ImportDecl () Int)
(declare-fun T_java_lang_Double () Int)
(declare-fun T_javafe_ast_IdentifierVec () Int)
(declare-fun T_javafe_ast_BlockStmt () Int)
(declare-fun T_javafe_ast_GenericBlockStmt () Int)
(declare-fun T_javafe_ast_TypeDeclElemPragma () Int)
(declare-fun T_javafe_ast_TypeDeclElem () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_javafe_ast_FormalParaDecl () Int)
(declare-fun T_javafe_ast_GenericVarDecl () Int)
(declare-fun T_javafe_parser_Lex () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_javafe_ast_ConstructorDecl () Int)
(declare-fun T_javafe_ast_RoutineDecl () Int)
(declare-fun T_javafe_ast_SkipStmt () Int)
(declare-fun T_javafe_ast_SwitchStmt () Int)
(declare-fun T_javafe_util_BufferedCorrelatedReader () Int)
(declare-fun T_javafe_util_CorrelatedReader () Int)
(declare-fun T_javafe_ast_CondExpr () Int)
(declare-fun T_javafe_parser_ParseExpr () Int)
(declare-fun T_javafe_parser_ParseType () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_javafe_ast_ThrowStmt () Int)
(declare-fun T_javafe_ast_WhileStmt () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_javafe_parser_ParseUtil () Int)
(declare-fun T_javafe_ast_ClassLiteral () Int)
(declare-fun T_javafe_ast_ClassDecl () Int)
(declare-fun T_javafe_ast_TypeDecl () Int)
(declare-fun T_java_util_Collection () Int)
(declare-fun T_java_util_AbstractCollection () Int)
(declare-fun T_javafe_tc_TypeSig () Int)
(declare-fun T_javafe_ast_Type () Int)
(declare-fun T_javafe_ast_AmbiguousMethodInvocation () Int)
(declare-fun T_javafe_ast_Identifier () Int)
(declare-fun T_javafe_ast_ConstructorInvocation () Int)
(declare-fun T_javafe_ast_TryFinallyStmt () Int)
(declare-fun T_javafe_ast_InitBlock () Int)
(declare-fun T_javafe_ast_VariableAccess () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_javafe_tc_Env () Int)
(declare-fun T_javafe_ast_ContinueStmt () Int)
(declare-fun T_javafe_ast_BranchStmt () Int)
(declare-fun T_javafe_ast_ParenExpr () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_javafe_ast_CastExpr () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_javafe_ast_BinaryExpr () Int)
(declare-fun T_javafe_ast_ArrayType () Int)
(declare-fun T_javafe_ast_SynchronizeStmt () Int)
(declare-fun T_javafe_parser_PunctuationPrefixTree () Int)
(declare-fun T_javafe_ast_ArrayRefExpr () Int)
(declare-fun T_java_lang_RuntimeException () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_javafe_ast_CatchClause () Int)
(declare-fun T_javafe_tc_TagConstants () Int)
(declare-fun T_javafe_ast_ASTDecoration () Int)
(declare-fun T_javafe_util_StackVector () Int)
(declare-fun T_javafe_ast_FieldDecl () Int)
(declare-fun T_javafe_ast_StmtPragma () Int)
(declare-fun T_javafe_ast_ObjectDesignator () Int)
(declare-fun T_javafe_ast_IfStmt () Int)
(declare-fun T_javafe_ast_InterfaceDecl () Int)
(declare-fun T_javafe_ast_CompoundName () Int)
(declare-fun T_javafe_ast_ReturnStmt () Int)
(declare-fun T_javafe_ast_NewArrayExpr () Int)
(declare-fun T_javafe_tc_FieldDeclVec () Int)
(declare-fun T_javafe_ast_ExprObjectDesignator () Int)
(declare-fun T_javafe_ast_ClassDeclStmt () Int)
(declare-fun T_javafe_ast_MethodInvocation () Int)
(declare-fun T_javafe_ast_OnDemandImportDecl () Int)
(declare-fun T_javafe_ast_PrimitiveType () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_javafe_util_ErrorSet () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_javafe_ast_TypeName () Int)
(declare-fun T_javafe_ast_ExprVec () Int)
(declare-fun T_javafe_ast_TypeModifierPragma () Int)
(declare-fun T_javafe_tc_MethodDeclVec () Int)
(declare-fun T_javafe_util_LocationManagerCorrelatedReader () Int)
(declare-fun T_javafe_ast_UnaryExpr () Int)
(declare-fun T_javafe_ast_MethodDecl () Int)
(declare-fun T_java_lang_Long () Int)
(declare-fun T_javafe_ast_SwitchLabel () Int)
(declare-fun T_javafe_ast_LexicalPragma () Int)
(declare-fun T_javafe_parser_ParseStmt () Int)
(declare-fun T_javafe_ast_AmbiguousVariableAccess () Int)
(declare-fun T_java_lang_Boolean () Int)
(declare-fun T_javafe_ast_InstanceOfExpr () Int)
(declare-fun T_javafe_ast_BreakStmt () Int)
(declare-fun T_java_lang_Integer () Int)
(declare-fun T_javafe_ast_ModifierPragma () Int)
(declare-fun T_javafe_ast_SuperObjectDesignator () Int)
(declare-fun T_javafe_ast_DoStmt () Int)
(declare-fun T_javafe_ast_SingleTypeImportDecl () Int)
(declare-fun T_javafe_ast_CompilationUnit () Int)
(declare-fun T_javafe_ast_ThisExpr () Int)
(declare-fun T_javafe_ast_LiteralExpr () Int)
(declare-fun T_javafe_parser_Parse () Int)
(declare-fun T_javafe_ast_TryCatchStmt () Int)
(declare-fun T_javafe_util_FileCorrelatedReader () Int)
(declare-fun T_javafe_parser_test_TestExpr () Int)
(declare-fun T_javafe_ast_LocalVarDecl () Int)
(declare-fun T_javafe_ast_FieldAccess () Int)
(declare-fun T_java_lang_IndexOutOfBoundsException () Int)
(declare-fun T_javafe_ast_ArrayInit () Int)
(declare-fun T_javafe_ast_ForStmt () Int)
(declare-fun T_javafe_ast_LabelStmt () Int)
(declare-fun T_javafe_parser_PragmaParser () Int)
(declare-fun T_javafe_ast_SimpleName () Int)
(declare-fun T_javafe_ast_EvalStmt () Int)
(declare-fun T_javafe_ast_TypeObjectDesignator () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun IFSTMT_37_38_7 () Int)
(declare-fun TYPEDECLELEMPRAGMA_34_27_26 () Int)
(declare-fun INTTYPE_35_28_26 () Int)
(declare-fun POSTFIXDEC_36_63_26 () Int)
(declare-fun ARRAYTYPE_37_65_7 () Int)
(declare-fun FORMALPARADECL_37_24_7 () Int)
(declare-fun ASGSUB_36_45_26 () Int)
(declare-fun CONDEXPR_37_51_7 () Int)
(declare-fun keywordStrings_34_181_30 () Int)
(declare-fun FLOATLIT_35_42_26 () Int)
(declare-fun LT_36_29_26 () Int)
(declare-fun LABELSTMT_37_37_7 () Int)
(declare-fun STMTPRAGMA_34_26_26 () Int)
(declare-fun BOOLEANTYPE_35_27_26 () Int)
(declare-fun POSTFIXINC_36_62_26 () Int)
(declare-fun TYPENAME_37_64_7 () Int)
(declare-fun FIELDDECL_37_23_7 () Int)
(declare-fun NULL_66_60_26 () Int)
(declare-fun ASGADD_36_44_26 () Int)
(declare-fun NEWARRAYEXPR_37_50_7 () Int)
(declare-fun CHARLIT_35_41_26 () Int)
(declare-fun LE_36_28_26 () Int)
(declare-fun CONTINUESTMT_37_36_7 () Int)
(declare-fun IDENT_35_25_26 () Int)
(declare-fun DEC_36_59_26 () Int)
(declare-fun SUPEROBJECTDESIGNATOR_37_63_7 () Int)
(declare-fun MODIFIERPRAGMA_34_25_26 () Int)
(declare-fun LOCALVARDECL_37_22_7 () Int)
(declare-fun seqFormalParaDecl_25_64_46 () Int)
(declare-fun err_5_97_50 () Int)
(declare-fun in_5_56_50 () Int)
(declare-fun ASGREM_36_43_26 () Int)
(declare-fun NEWINSTANCEEXPR_37_49_7 () Int)
(declare-fun LONGLIT_35_40_26 () Int)
(declare-fun GT_36_27_26 () Int)
(declare-fun BREAKSTMT_37_35_7 () Int)
(declare-fun INC_36_58_26 () Int)
(declare-fun TYPEOBJECTDESIGNATOR_37_62_7 () Int)
(declare-fun LEXICALPRAGMA_34_24_26 () Int)
(declare-fun INITBLOCK_37_21_7 () Int)
(declare-fun ASGDIV_36_42_26 () Int)
(declare-fun seqModifierPragma_29_74_32 () Int)
(declare-fun ARRAYREFEXPR_37_48_7 () Int)
(declare-fun INTLIT_35_39_26 () Int)
(declare-fun GE_36_26_26 () Int)
(declare-fun THROWSTMT_37_34_7 () Int)
(declare-fun BITNOT_36_57_26 () Int)
(declare-fun seqTypeDeclElem_27_1161_46 () Int)
(declare-fun EXPROBJECTDESIGNATOR_37_61_7 () Int)
(declare-fun otherCodes_34_202_27 () Int)
(declare-fun METHODDECL_37_20_7 () Int)
(declare-fun ASGMUL_36_41_26 () Int)
(declare-fun THISEXPR_37_47_7 () Int)
(declare-fun BOOLEANLIT_35_38_26 () Int)
(declare-fun EQ_36_25_26 () Int)
(declare-fun RETURNSTMT_37_33_7 () Int)
(declare-fun NOT_36_56_26 () Int)
(declare-fun CLASSLITERAL_37_60_7 () Int)
(declare-fun NULL_34_82_26 () Int)
(declare-fun CONSTRUCTORDECL_37_19_7 () Int)
(declare-fun ASSIGN_36_40_26 () Int)
(declare-fun ARRAYINIT_37_46_7 () Int)
(declare-fun SHORTTYPE_35_36_26 () Int)
(declare-fun NE_36_24_26 () Int)
(declare-fun EVALSTMT_37_32_7 () Int)
(declare-fun UNARYSUB_36_55_26 () Int)
(declare-fun METHODINVOCATION_37_59_7 () Int)
(declare-fun EOF_34_17_26 () Int)
(declare-fun INTERFACEDECL_37_18_7 () Int)
(declare-fun TYPESIG_107_6_28 () Int)
(declare-fun STAR_36_37_26 () Int)
(declare-fun CATCHCLAUSE_37_45_7 () Int)
(declare-fun BYTETYPE_35_35_26 () Int)
(declare-fun seqStmt_26_70_46 () Int)
(declare-fun BITAND_36_23_26 () Int)
(declare-fun SYNCHRONIZESTMT_37_31_7 () Int)
(declare-fun seqExpr_27_1145_46 () Int)
(declare-fun UNARYADD_36_54_26 () Int)
(declare-fun AMBIGUOUSMETHODINVOCATION_37_58_7 () Int)
(declare-fun CLASSDECL_37_17_7 () Int)
(declare-fun MOD_36_36_26 () Int)
(declare-fun CONSTRUCTORINVOCATION_37_44_7 () Int)
(declare-fun punctuationStrings_34_134_22 () Int)
(declare-fun seqImportDecl_25_72_46 () Int)
(declare-fun NULLTYPE_35_34_26 () Int)
(declare-fun BITXOR_36_22_26 () Int)
(declare-fun DOSTMT_37_30_7 () Int)
(declare-fun out_5_83_49 () Int)
(declare-fun ASGBITXOR_36_51_26 () Int)
(declare-fun FIELDACCESS_37_57_7 () Int)
(declare-fun ONDEMANDIMPORTDECL_37_16_7 () Int)
(declare-fun DIV_36_35_26 () Int)
(declare-fun TRYCATCHSTMT_37_43_7 () Int)
(declare-fun VOIDTYPE_35_33_26 () Int)
(declare-fun BITOR_36_21_26 () Int)
(declare-fun WHILESTMT_37_29_7 () Int)
(declare-fun FIRST_KEYWORD_34_51_26 () Int)
(declare-fun ASGBITOR_36_50_26 () Int)
(declare-fun VARIABLEACCESS_37_56_7 () Int)
(declare-fun SINGLETYPEIMPORTDECL_37_15_7 () Int)
(declare-fun SUB_36_34_26 () Int)
(declare-fun TRYFINALLYSTMT_37_42_7 () Int)
(declare-fun DOUBLETYPE_35_32_26 () Int)
(declare-fun CLASSDECLSTMT_37_28_7 () Int)
(declare-fun ASGBITAND_36_49_26 () Int)
(declare-fun AMBIGUOUSVARIABLEACCESS_37_55_7 () Int)
(declare-fun COMPILATIONUNIT_37_14_7 () Int)
(declare-fun ADD_36_33_26 () Int)
(declare-fun SWITCHLABEL_37_41_7 () Int)
(declare-fun LAST_KEYWORD_34_103_26 () Int)
(declare-fun seqTypeName_25_56_46 () Int)
(declare-fun COMMA_34_33_26 () Int)
(declare-fun FLOATTYPE_35_31_26 () Int)
(declare-fun VARDECLSTMT_37_27_7 () Int)
(declare-fun AND_36_20_26 () Int)
(declare-fun ASGURSHIFT_36_48_26 () Int)
(declare-fun PARENEXPR_37_54_7 () Int)
(declare-fun seqIdentifier_28_33_46 () Int)
(declare-fun NULLLIT_35_45_26 () Int)
(declare-fun otherStrings_34_193_30 () Int)
(declare-fun noTokens_34_212_27 () Int)
(declare-fun URSHIFT_36_32_26 () Int)
(declare-fun SKIPSTMT_37_40_7 () Int)
(declare-fun CHARTYPE_35_30_26 () Int)
(declare-fun COMPOUNDNAME_37_67_7 () Int)
(declare-fun SWITCHSTMT_37_26_7 () Int)
(declare-fun OR_36_19_26 () Int)
(declare-fun ASGRSHIFT_36_47_26 () Int)
(declare-fun CASTEXPR_37_53_7 () Int)
(declare-fun seqCatchClause_26_76_46 () Int)
(declare-fun STRINGLIT_35_44_26 () Int)
(declare-fun punctuationCodes_34_164_19 () Int)
(declare-fun RSHIFT_36_31_26 () Int)
(declare-fun FORSTMT_37_39_7 () Int)
(declare-fun seqVarInit_27_1153_46 () Int)
(declare-fun TYPEMODIFIERPRAGMA_34_28_26 () Int)
(declare-fun LONGTYPE_35_29_26 () Int)
(declare-fun SIMPLENAME_37_66_7 () Int)
(declare-fun BLOCKSTMT_37_25_7 () Int)
(declare-fun seqTypeDecl_25_80_46 () Int)
(declare-fun ASGLSHIFT_36_46_26 () Int)
(declare-fun INSTANCEOFEXPR_37_52_7 () Int)
(declare-fun DOUBLELIT_35_43_26 () Int)
(declare-fun LSHIFT_36_30_26 () Int)
(assert (let ((?v_0 (array T_java_lang_String)) (?v_1 (array T_int))) (and (= (PO_LT T_javafe_ast_Name T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Name (asChild T_javafe_ast_Name T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_VarInit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_VarInit (asChild T_javafe_ast_VarInit T_javafe_ast_ASTNode)) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_NewInstanceExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_NewInstanceExpr (asChild T_javafe_ast_NewInstanceExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_VarDeclStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_VarDeclStmt (asChild T_javafe_ast_VarDeclStmt T_javafe_ast_Stmt)) (= (PO_LT T_java_lang_Float T_java_lang_Number) true_term) (= T_java_lang_Float (asChild T_java_lang_Float T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Float) true_term) (= ?t T_java_lang_Float))) (= (PO_LT T_java_lang_Float T_java_lang_Comparable) true_term) (= (PO_LT T_java_io_InputStream T_java_lang_Object) true_term) (= T_java_io_InputStream (asChild T_java_io_InputStream T_java_lang_Object)) (= (PO_LT T_java_util_Vector T_java_util_AbstractList) true_term) (= T_java_util_Vector (asChild T_java_util_Vector T_java_util_AbstractList)) (= (PO_LT T_java_util_Vector T_java_util_List) true_term) (= (PO_LT T_java_util_Vector T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Vector T_java_io_Serializable) true_term) (= (PO_LT T_javafe_parser_Token T_java_lang_Object) true_term) (= T_javafe_parser_Token (asChild T_javafe_parser_Token T_java_lang_Object)) (= (PO_LT T_javafe_ast_ImportDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ImportDecl (asChild T_javafe_ast_ImportDecl T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_Double T_java_lang_Number) true_term) (= T_java_lang_Double (asChild T_java_lang_Double T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Double) true_term) (= ?t T_java_lang_Double))) (= (PO_LT T_java_lang_Double T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_IdentifierVec T_java_lang_Object) true_term) (= T_javafe_ast_IdentifierVec (asChild T_javafe_ast_IdentifierVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt) true_term) (= T_javafe_ast_BlockStmt (asChild T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt)) (= (PO_LT T_javafe_ast_TypeDeclElemPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDeclElemPragma (asChild T_javafe_ast_TypeDeclElemPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDeclElemPragma T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (= (PO_LT T_javafe_ast_FormalParaDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FormalParaDecl (asChild T_javafe_ast_FormalParaDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_parser_Lex T_javafe_parser_Token) true_term) (= T_javafe_parser_Lex (asChild T_javafe_parser_Lex T_javafe_parser_Token)) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_javafe_ast_ConstructorDecl T_javafe_ast_RoutineDecl) true_term) (= T_javafe_ast_ConstructorDecl (asChild T_javafe_ast_ConstructorDecl T_javafe_ast_RoutineDecl)) (= (PO_LT T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_GenericBlockStmt (asChild T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_SkipStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_SkipStmt (asChild T_javafe_ast_SkipStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_SwitchStmt T_javafe_ast_GenericBlockStmt) true_term) (= T_javafe_ast_SwitchStmt (asChild T_javafe_ast_SwitchStmt T_javafe_ast_GenericBlockStmt)) (= (PO_LT T_javafe_util_BufferedCorrelatedReader T_javafe_util_CorrelatedReader) true_term) (= T_javafe_util_BufferedCorrelatedReader (asChild T_javafe_util_BufferedCorrelatedReader T_javafe_util_CorrelatedReader)) (= (PO_LT T_java_lang_Number T_java_lang_Object) true_term) (= T_java_lang_Number (asChild T_java_lang_Number T_java_lang_Object)) (= (PO_LT T_java_lang_Number T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_CondExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_CondExpr (asChild T_javafe_ast_CondExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_parser_ParseExpr T_javafe_parser_ParseType) true_term) (= T_javafe_parser_ParseExpr (asChild T_javafe_parser_ParseExpr T_javafe_parser_ParseType)) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_ThrowStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ThrowStmt (asChild T_javafe_ast_ThrowStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_WhileStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_WhileStmt (asChild T_javafe_ast_WhileStmt T_javafe_ast_Stmt)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_TypeDeclElem T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_javafe_parser_ParseType T_javafe_parser_ParseUtil) true_term) (= T_javafe_parser_ParseType (asChild T_javafe_parser_ParseType T_javafe_parser_ParseUtil)) (= (PO_LT T_javafe_ast_ClassLiteral T_javafe_ast_Expr) true_term) (= T_javafe_ast_ClassLiteral (asChild T_javafe_ast_ClassLiteral T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_ClassDecl T_javafe_ast_TypeDecl) true_term) (= T_javafe_ast_ClassDecl (asChild T_javafe_ast_ClassDecl T_javafe_ast_TypeDecl)) (= (PO_LT T_javafe_ast_Stmt T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Stmt (asChild T_javafe_ast_Stmt T_javafe_ast_ASTNode)) (= (PO_LT T_java_util_List T_java_lang_Object) true_term) (= (PO_LT T_java_util_List T_java_util_Collection) true_term) (= (PO_LT T_java_util_AbstractList T_java_util_AbstractCollection) true_term) (= T_java_util_AbstractList (asChild T_java_util_AbstractList T_java_util_AbstractCollection)) (= (PO_LT T_java_util_AbstractList T_java_util_List) true_term) (= (PO_LT T_javafe_tc_TypeSig T_javafe_ast_Type) true_term) (= T_javafe_tc_TypeSig (asChild T_javafe_tc_TypeSig T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDecl (asChild T_javafe_ast_TypeDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_AmbiguousMethodInvocation T_javafe_ast_Expr) true_term) (= T_javafe_ast_AmbiguousMethodInvocation (asChild T_javafe_ast_AmbiguousMethodInvocation T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_Identifier T_java_lang_Object) true_term) (= T_javafe_ast_Identifier (asChild T_javafe_ast_Identifier T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_ast_Identifier) true_term) (= ?t T_javafe_ast_Identifier))) (= (PO_LT T_javafe_ast_ConstructorInvocation T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ConstructorInvocation (asChild T_javafe_ast_ConstructorInvocation T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_RoutineDecl (asChild T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_TryFinallyStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_TryFinallyStmt (asChild T_javafe_ast_TryFinallyStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_InitBlock T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_InitBlock (asChild T_javafe_ast_InitBlock T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_InitBlock T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_VariableAccess T_javafe_ast_Expr) true_term) (= T_javafe_ast_VariableAccess (asChild T_javafe_ast_VariableAccess T_javafe_ast_Expr)) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_javafe_parser_ParseUtil T_java_lang_Object) true_term) (= T_javafe_parser_ParseUtil (asChild T_javafe_parser_ParseUtil T_java_lang_Object)) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_tc_Env T_java_lang_Object) true_term) (= T_javafe_tc_Env (asChild T_javafe_tc_Env T_java_lang_Object)) (= (PO_LT T_javafe_ast_Expr T_javafe_ast_VarInit) true_term) (= T_javafe_ast_Expr (asChild T_javafe_ast_Expr T_javafe_ast_VarInit)) (= (PO_LT T_javafe_ast_ContinueStmt T_javafe_ast_BranchStmt) true_term) (= T_javafe_ast_ContinueStmt (asChild T_javafe_ast_ContinueStmt T_javafe_ast_BranchStmt)) (= (PO_LT T_javafe_ast_ParenExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_ParenExpr (asChild T_javafe_ast_ParenExpr T_javafe_ast_Expr)) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_javafe_ast_CastExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_CastExpr (asChild T_javafe_ast_CastExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_javafe_ast_BinaryExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_BinaryExpr (asChild T_javafe_ast_BinaryExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_ArrayType T_javafe_ast_Type) true_term) (= T_javafe_ast_ArrayType (asChild T_javafe_ast_ArrayType T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_SynchronizeStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_SynchronizeStmt (asChild T_javafe_ast_SynchronizeStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_parser_PunctuationPrefixTree T_java_lang_Object) true_term) (= T_javafe_parser_PunctuationPrefixTree (asChild T_javafe_parser_PunctuationPrefixTree T_java_lang_Object)) (= (PO_LT T_javafe_ast_ArrayRefExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_ArrayRefExpr (asChild T_javafe_ast_ArrayRefExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_GenericVarDecl (asChild T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_RuntimeException T_java_lang_Exception) true_term) (= T_java_lang_RuntimeException (asChild T_java_lang_RuntimeException T_java_lang_Exception)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_javafe_ast_CatchClause T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CatchClause (asChild T_javafe_ast_CatchClause T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_tc_TagConstants T_javafe_parser_TagConstants) true_term) (= T_javafe_tc_TagConstants (asChild T_javafe_tc_TagConstants T_javafe_parser_TagConstants)) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_ast_ASTDecoration T_java_lang_Object) true_term) (= T_javafe_ast_ASTDecoration (asChild T_javafe_ast_ASTDecoration T_java_lang_Object)) (= (PO_LT T_javafe_util_StackVector T_java_lang_Object) true_term) (= T_javafe_util_StackVector (asChild T_javafe_util_StackVector T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_util_StackVector) true_term) (= ?t T_javafe_util_StackVector))) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FieldDecl (asChild T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_StmtPragma T_javafe_ast_Stmt) true_term) (= T_javafe_ast_StmtPragma (asChild T_javafe_ast_StmtPragma T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_ObjectDesignator T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ObjectDesignator (asChild T_javafe_ast_ObjectDesignator T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_IfStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_IfStmt (asChild T_javafe_ast_IfStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_InterfaceDecl T_javafe_ast_TypeDecl) true_term) (= T_javafe_ast_InterfaceDecl (asChild T_javafe_ast_InterfaceDecl T_javafe_ast_TypeDecl)) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_ast_CompoundName T_javafe_ast_Name) true_term) (= T_javafe_ast_CompoundName (asChild T_javafe_ast_CompoundName T_javafe_ast_Name)) (= (PO_LT T_javafe_ast_ReturnStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ReturnStmt (asChild T_javafe_ast_ReturnStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_NewArrayExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_NewArrayExpr (asChild T_javafe_ast_NewArrayExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_tc_FieldDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_FieldDeclVec (asChild T_javafe_tc_FieldDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_ExprObjectDesignator T_javafe_ast_ObjectDesignator) true_term) (= T_javafe_ast_ExprObjectDesignator (asChild T_javafe_ast_ExprObjectDesignator T_javafe_ast_ObjectDesignator)) (= (PO_LT T_javafe_ast_ClassDeclStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ClassDeclStmt (asChild T_javafe_ast_ClassDeclStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_Type T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Type (asChild T_javafe_ast_Type T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_MethodInvocation T_javafe_ast_Expr) true_term) (= T_javafe_ast_MethodInvocation (asChild T_javafe_ast_MethodInvocation T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_OnDemandImportDecl T_javafe_ast_ImportDecl) true_term) (= T_javafe_ast_OnDemandImportDecl (asChild T_javafe_ast_OnDemandImportDecl T_javafe_ast_ImportDecl)) (= (PO_LT T_javafe_ast_PrimitiveType T_javafe_ast_Type) true_term) (= T_javafe_ast_PrimitiveType (asChild T_javafe_ast_PrimitiveType T_javafe_ast_Type)) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_javafe_util_ErrorSet T_java_lang_Object) true_term) (= T_javafe_util_ErrorSet (asChild T_javafe_util_ErrorSet T_java_lang_Object)) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_javafe_ast_TypeName T_javafe_ast_Type) true_term) (= T_javafe_ast_TypeName (asChild T_javafe_ast_TypeName T_javafe_ast_Type)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_util_CorrelatedReader T_java_lang_Object) true_term) (= T_javafe_util_CorrelatedReader (asChild T_javafe_util_CorrelatedReader T_java_lang_Object)) (= (PO_LT T_javafe_ast_ExprVec T_java_lang_Object) true_term) (= T_javafe_ast_ExprVec (asChild T_javafe_ast_ExprVec T_java_lang_Object)) (= (PO_LT T_java_util_AbstractCollection T_java_lang_Object) true_term) (= T_java_util_AbstractCollection (asChild T_java_util_AbstractCollection T_java_lang_Object)) (= (PO_LT T_java_util_AbstractCollection T_java_util_Collection) true_term) (= (PO_LT T_javafe_ast_TypeModifierPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeModifierPragma (asChild T_javafe_ast_TypeModifierPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_tc_MethodDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_MethodDeclVec (asChild T_javafe_tc_MethodDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_util_LocationManagerCorrelatedReader T_javafe_util_BufferedCorrelatedReader) true_term) (= T_javafe_util_LocationManagerCorrelatedReader (asChild T_javafe_util_LocationManagerCorrelatedReader T_javafe_util_BufferedCorrelatedReader)) (= (PO_LT T_javafe_ast_UnaryExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_UnaryExpr (asChild T_javafe_ast_UnaryExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_BranchStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_BranchStmt (asChild T_javafe_ast_BranchStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl) true_term) (= T_javafe_ast_MethodDecl (asChild T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl)) (= (PO_LT T_java_lang_Long T_java_lang_Number) true_term) (= T_java_lang_Long (asChild T_java_lang_Long T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Long) true_term) (= ?t T_java_lang_Long))) (= (PO_LT T_java_lang_Long T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_SwitchLabel T_javafe_ast_Stmt) true_term) (= T_javafe_ast_SwitchLabel (asChild T_javafe_ast_SwitchLabel T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_LexicalPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_LexicalPragma (asChild T_javafe_ast_LexicalPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_parser_ParseStmt T_javafe_parser_ParseExpr) true_term) (= T_javafe_parser_ParseStmt (asChild T_javafe_parser_ParseStmt T_javafe_parser_ParseExpr)) (= (PO_LT T_javafe_ast_AmbiguousVariableAccess T_javafe_ast_Expr) true_term) (= T_javafe_ast_AmbiguousVariableAccess (asChild T_javafe_ast_AmbiguousVariableAccess T_javafe_ast_Expr)) (= (PO_LT T_java_lang_Boolean T_java_lang_Object) true_term) (= T_java_lang_Boolean (asChild T_java_lang_Boolean T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Boolean) true_term) (= ?t T_java_lang_Boolean))) (= (PO_LT T_java_lang_Boolean T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_javafe_ast_InstanceOfExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_InstanceOfExpr (asChild T_javafe_ast_InstanceOfExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_BreakStmt T_javafe_ast_BranchStmt) true_term) (= T_javafe_ast_BreakStmt (asChild T_javafe_ast_BreakStmt T_javafe_ast_BranchStmt)) (= (PO_LT T_java_lang_Integer T_java_lang_Number) true_term) (= T_java_lang_Integer (asChild T_java_lang_Integer T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Integer) true_term) (= ?t T_java_lang_Integer))) (= (PO_LT T_java_lang_Integer T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ModifierPragma (asChild T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_SuperObjectDesignator T_javafe_ast_ObjectDesignator) true_term) (= T_javafe_ast_SuperObjectDesignator (asChild T_javafe_ast_SuperObjectDesignator T_javafe_ast_ObjectDesignator)) (= (PO_LT T_javafe_ast_DoStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_DoStmt (asChild T_javafe_ast_DoStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_SingleTypeImportDecl T_javafe_ast_ImportDecl) true_term) (= T_javafe_ast_SingleTypeImportDecl (asChild T_javafe_ast_SingleTypeImportDecl T_javafe_ast_ImportDecl)) (= (PO_LT T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CompilationUnit (asChild T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_ThisExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_ThisExpr (asChild T_javafe_ast_ThisExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_LiteralExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_LiteralExpr (asChild T_javafe_ast_LiteralExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_parser_Parse T_javafe_parser_ParseStmt) true_term) (= T_javafe_parser_Parse (asChild T_javafe_parser_Parse T_javafe_parser_ParseStmt)) (= (PO_LT T_javafe_ast_TryCatchStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_TryCatchStmt (asChild T_javafe_ast_TryCatchStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_util_FileCorrelatedReader T_javafe_util_LocationManagerCorrelatedReader) true_term) (= T_javafe_util_FileCorrelatedReader (asChild T_javafe_util_FileCorrelatedReader T_javafe_util_LocationManagerCorrelatedReader)) (= (PO_LT T_javafe_parser_test_TestExpr T_java_lang_Object) true_term) (= T_javafe_parser_test_TestExpr (asChild T_javafe_parser_test_TestExpr T_java_lang_Object)) (= (PO_LT T_javafe_ast_LocalVarDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_LocalVarDecl (asChild T_javafe_ast_LocalVarDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_FieldAccess T_javafe_ast_Expr) true_term) (= T_javafe_ast_FieldAccess (asChild T_javafe_ast_FieldAccess T_javafe_ast_Expr)) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_java_lang_IndexOutOfBoundsException T_java_lang_RuntimeException) true_term) (= T_java_lang_IndexOutOfBoundsException (asChild T_java_lang_IndexOutOfBoundsException T_java_lang_RuntimeException)) (= (PO_LT T_javafe_ast_ArrayInit T_javafe_ast_VarInit) true_term) (= T_javafe_ast_ArrayInit (asChild T_javafe_ast_ArrayInit T_javafe_ast_VarInit)) (= (PO_LT T_javafe_ast_ForStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ForStmt (asChild T_javafe_ast_ForStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_LabelStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_LabelStmt (asChild T_javafe_ast_LabelStmt T_javafe_ast_Stmt)) (= (PO_LT T_java_util_Collection T_java_lang_Object) true_term) (= (PO_LT T_javafe_parser_PragmaParser T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_SimpleName T_javafe_ast_Name) true_term) (= T_javafe_ast_SimpleName (asChild T_javafe_ast_SimpleName T_javafe_ast_Name)) (= (PO_LT T_javafe_ast_EvalStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_EvalStmt (asChild T_javafe_ast_EvalStmt T_javafe_ast_Stmt)) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_TypeObjectDesignator T_javafe_ast_ObjectDesignator) true_term) (= T_javafe_ast_TypeObjectDesignator (asChild T_javafe_ast_TypeObjectDesignator T_javafe_ast_ObjectDesignator)) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_ast_Name (+ DIST_ZERO_1 10)) (= T_javafe_ast_VarInit (+ DIST_ZERO_1 11)) (= T_java_io_Serializable (+ DIST_ZERO_1 12)) (= T_javafe_ast_NewInstanceExpr (+ DIST_ZERO_1 13)) (= T_javafe_ast_VarDeclStmt (+ DIST_ZERO_1 14)) (= T_java_lang_Float (+ DIST_ZERO_1 15)) (= T_java_io_InputStream (+ DIST_ZERO_1 16)) (= T_java_util_Vector (+ DIST_ZERO_1 17)) (= T_javafe_parser_Token (+ DIST_ZERO_1 18)) (= T_javafe_ast_ImportDecl (+ DIST_ZERO_1 19)) (= T_java_lang_Double (+ DIST_ZERO_1 20)) (= T_javafe_ast_IdentifierVec (+ DIST_ZERO_1 21)) (= T_javafe_ast_BlockStmt (+ DIST_ZERO_1 22)) (= T_javafe_ast_TypeDeclElemPragma (+ DIST_ZERO_1 23)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 24)) (= T_javafe_ast_FormalParaDecl (+ DIST_ZERO_1 25)) (= T_javafe_parser_Lex (+ DIST_ZERO_1 26)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 27)) (= T_javafe_ast_ConstructorDecl (+ DIST_ZERO_1 28)) (= T_javafe_ast_GenericBlockStmt (+ DIST_ZERO_1 29)) (= T_javafe_ast_SkipStmt (+ DIST_ZERO_1 30)) (= T_javafe_ast_SwitchStmt (+ DIST_ZERO_1 31)) (= T_javafe_util_BufferedCorrelatedReader (+ DIST_ZERO_1 32)) (= T_java_lang_Number (+ DIST_ZERO_1 33)) (= T_java_lang_Object (+ DIST_ZERO_1 34)) (= T_javafe_ast_CondExpr (+ DIST_ZERO_1 35)) (= T_javafe_parser_ParseExpr (+ DIST_ZERO_1 36)) (= T_java_lang_Throwable (+ DIST_ZERO_1 37)) (= T_javafe_ast_ThrowStmt (+ DIST_ZERO_1 38)) (= T_javafe_ast_WhileStmt (+ DIST_ZERO_1 39)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 40)) (= T_javafe_ast_TypeDeclElem (+ DIST_ZERO_1 41)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 42)) (= T_javafe_parser_ParseType (+ DIST_ZERO_1 43)) (= T_javafe_ast_ClassLiteral (+ DIST_ZERO_1 44)) (= T_javafe_ast_ClassDecl (+ DIST_ZERO_1 45)) (= T_javafe_ast_Stmt (+ DIST_ZERO_1 46)) (= T_java_util_List (+ DIST_ZERO_1 47)) (= T_java_util_AbstractList (+ DIST_ZERO_1 48)) (= T_javafe_tc_TypeSig (+ DIST_ZERO_1 49)) (= T_javafe_ast_TypeDecl (+ DIST_ZERO_1 50)) (= T_javafe_ast_AmbiguousMethodInvocation (+ DIST_ZERO_1 51)) (= T_javafe_ast_Identifier (+ DIST_ZERO_1 52)) (= T_javafe_ast_ConstructorInvocation (+ DIST_ZERO_1 53)) (= T_javafe_ast_RoutineDecl (+ DIST_ZERO_1 54)) (= T_javafe_ast_TryFinallyStmt (+ DIST_ZERO_1 55)) (= T_javafe_ast_InitBlock (+ DIST_ZERO_1 56)) (= T_javafe_ast_VariableAccess (+ DIST_ZERO_1 57)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 58)) (= T_javafe_parser_ParseUtil (+ DIST_ZERO_1 59)) (= T_java_util_Hashtable (+ DIST_ZERO_1 60)) (= T_javafe_tc_Env (+ DIST_ZERO_1 61)) (= T_javafe_ast_Expr (+ DIST_ZERO_1 62)) (= T_javafe_ast_ContinueStmt (+ DIST_ZERO_1 63)) (= T_javafe_ast_ParenExpr (+ DIST_ZERO_1 64)) (= T_java_io_OutputStream (+ DIST_ZERO_1 65)) (= T_javafe_ast_CastExpr (+ DIST_ZERO_1 66)) (= T_javafe_util_Location (+ DIST_ZERO_1 67)) (= T_javafe_ast_BinaryExpr (+ DIST_ZERO_1 68)) (= T_javafe_ast_ArrayType (+ DIST_ZERO_1 69)) (= T_javafe_ast_SynchronizeStmt (+ DIST_ZERO_1 70)) (= T_javafe_parser_PunctuationPrefixTree (+ DIST_ZERO_1 71)) (= T_javafe_ast_ArrayRefExpr (+ DIST_ZERO_1 72)) (= T_javafe_ast_GenericVarDecl (+ DIST_ZERO_1 73)) (= T_java_lang_RuntimeException (+ DIST_ZERO_1 74)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 75)) (= T_java_lang_System (+ DIST_ZERO_1 76)) (= T_javafe_ast_CatchClause (+ DIST_ZERO_1 77)) (= T_javafe_tc_TagConstants (+ DIST_ZERO_1 78)) (= T_java_util_Map (+ DIST_ZERO_1 79)) (= T_javafe_ast_ASTDecoration (+ DIST_ZERO_1 80)) (= T_javafe_util_StackVector (+ DIST_ZERO_1 81)) (= T_javafe_ast_FieldDecl (+ DIST_ZERO_1 82)) (= T_javafe_ast_StmtPragma (+ DIST_ZERO_1 83)) (= T_javafe_ast_ObjectDesignator (+ DIST_ZERO_1 84)) (= T_javafe_ast_IfStmt (+ DIST_ZERO_1 85)) (= T_javafe_ast_InterfaceDecl (+ DIST_ZERO_1 86)) (= T_java_util_Dictionary (+ DIST_ZERO_1 87)) (= T_javafe_ast_CompoundName (+ DIST_ZERO_1 88)) (= T_javafe_ast_ReturnStmt (+ DIST_ZERO_1 89)) (= T_javafe_ast_NewArrayExpr (+ DIST_ZERO_1 90)) (= T_javafe_tc_FieldDeclVec (+ DIST_ZERO_1 91)) (= T_javafe_ast_ExprObjectDesignator (+ DIST_ZERO_1 92)) (= T_javafe_ast_ClassDeclStmt (+ DIST_ZERO_1 93)) (= T_javafe_ast_Type (+ DIST_ZERO_1 94)) (= T_javafe_ast_MethodInvocation (+ DIST_ZERO_1 95)) (= T_javafe_ast_OnDemandImportDecl (+ DIST_ZERO_1 96)) (= T_javafe_ast_PrimitiveType (+ DIST_ZERO_1 97)) (= T_java_io_PrintStream (+ DIST_ZERO_1 98)) (= T_javafe_util_ErrorSet (+ DIST_ZERO_1 99)) (= T_java_util_Properties (+ DIST_ZERO_1 100)) (= T_javafe_ast_TypeName (+ DIST_ZERO_1 101)) (= T_java_lang_String (+ DIST_ZERO_1 102)) (= T_javafe_util_CorrelatedReader (+ DIST_ZERO_1 103)) (= T_javafe_ast_ExprVec (+ DIST_ZERO_1 104)) (= T_java_util_AbstractCollection (+ DIST_ZERO_1 105)) (= T_javafe_ast_TypeModifierPragma (+ DIST_ZERO_1 106)) (= T_javafe_tc_MethodDeclVec (+ DIST_ZERO_1 107)) (= T_javafe_util_LocationManagerCorrelatedReader (+ DIST_ZERO_1 108)) (= T_javafe_ast_UnaryExpr (+ DIST_ZERO_1 109)) (= T_javafe_ast_BranchStmt (+ DIST_ZERO_1 110)) (= T_javafe_ast_MethodDecl (+ DIST_ZERO_1 111)) (= T_java_lang_Long (+ DIST_ZERO_1 112)) (= T_javafe_ast_SwitchLabel (+ DIST_ZERO_1 113)) (= T_javafe_ast_LexicalPragma (+ DIST_ZERO_1 114)) (= T_javafe_parser_ParseStmt (+ DIST_ZERO_1 115)) (= T_javafe_ast_AmbiguousVariableAccess (+ DIST_ZERO_1 116)) (= T_java_lang_Boolean (+ DIST_ZERO_1 117)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 118)) (= T_javafe_ast_InstanceOfExpr (+ DIST_ZERO_1 119)) (= T_javafe_ast_BreakStmt (+ DIST_ZERO_1 120)) (= T_java_lang_Integer (+ DIST_ZERO_1 121)) (= T_javafe_ast_ModifierPragma (+ DIST_ZERO_1 122)) (= T_javafe_ast_SuperObjectDesignator (+ DIST_ZERO_1 123)) (= T_javafe_ast_DoStmt (+ DIST_ZERO_1 124)) (= T_javafe_ast_SingleTypeImportDecl (+ DIST_ZERO_1 125)) (= T_javafe_ast_CompilationUnit (+ DIST_ZERO_1 126)) (= T_javafe_ast_ThisExpr (+ DIST_ZERO_1 127)) (= T_javafe_ast_LiteralExpr (+ DIST_ZERO_1 128)) (= T_javafe_parser_Parse (+ DIST_ZERO_1 129)) (= T_javafe_ast_TryCatchStmt (+ DIST_ZERO_1 130)) (= T_javafe_util_FileCorrelatedReader (+ DIST_ZERO_1 131)) (= T_javafe_parser_test_TestExpr (+ DIST_ZERO_1 132)) (= T_javafe_ast_LocalVarDecl (+ DIST_ZERO_1 133)) (= T_javafe_ast_FieldAccess (+ DIST_ZERO_1 134)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 135)) (= T_java_lang_Exception (+ DIST_ZERO_1 136)) (= T_java_lang_IndexOutOfBoundsException (+ DIST_ZERO_1 137)) (= T_javafe_ast_ArrayInit (+ DIST_ZERO_1 138)) (= T_javafe_ast_ForStmt (+ DIST_ZERO_1 139)) (= T_javafe_ast_LabelStmt (+ DIST_ZERO_1 140)) (= T_java_util_Collection (+ DIST_ZERO_1 141)) (= T_javafe_parser_PragmaParser (+ DIST_ZERO_1 142)) (= T_javafe_ast_SimpleName (+ DIST_ZERO_1 143)) (= T_javafe_ast_EvalStmt (+ DIST_ZERO_1 144)) (= T_java_lang_Comparable (+ DIST_ZERO_1 145)) (= T_javafe_ast_TypeObjectDesignator (+ DIST_ZERO_1 146))) (= true_term (is IFSTMT_37_38_7 T_int)) (= IFSTMT_37_38_7 24) (= true_term (is TYPEDECLELEMPRAGMA_34_27_26 T_int)) (= TYPEDECLELEMPRAGMA_34_27_26 117) (= true_term (is INTTYPE_35_28_26 T_int)) (= INTTYPE_35_28_26 95) (= true_term (is POSTFIXDEC_36_63_26 T_int)) (= POSTFIXDEC_36_63_26 92) (= true_term (is ARRAYTYPE_37_65_7 T_int)) (= ARRAYTYPE_37_65_7 51) (= true_term (is FORMALPARADECL_37_24_7 T_int)) (= FORMALPARADECL_37_24_7 10) (= true_term (is ASGSUB_36_45_26 T_int)) (= ASGSUB_36_45_26 78) (= true_term (is CONDEXPR_37_51_7 T_int)) (= CONDEXPR_37_51_7 37) (= true_term (is keywordStrings_34_181_30 ?v_0)) (not (= keywordStrings_34_181_30 null)) (= (typeof keywordStrings_34_181_30) ?v_0) (= (arrayLength keywordStrings_34_181_30) 51) (= true_term (is FLOATLIT_35_42_26 T_int)) (= FLOATLIT_35_42_26 108) (= true_term (is LT_36_29_26 T_int)) (= LT_36_29_26 64) (= true_term (is LABELSTMT_37_37_7 T_int)) (= LABELSTMT_37_37_7 23) (= true_term (is STMTPRAGMA_34_26_26 T_int)) (= STMTPRAGMA_34_26_26 116) (= true_term (is BOOLEANTYPE_35_27_26 T_int)) (= BOOLEANTYPE_35_27_26 94) (= true_term (is POSTFIXINC_36_62_26 T_int)) (= POSTFIXINC_36_62_26 91) (= true_term (is TYPENAME_37_64_7 T_int)) (= TYPENAME_37_64_7 50) (= true_term (is FIELDDECL_37_23_7 T_int)) (= FIELDDECL_37_23_7 9) (= true_term (is NULL_66_60_26 T_int)) (= NULL_66_60_26 0) (= true_term (is ASGADD_36_44_26 T_int)) (= ASGADD_36_44_26 77) (= true_term (is NEWARRAYEXPR_37_50_7 T_int)) (= NEWARRAYEXPR_37_50_7 36) (= true_term (is CHARLIT_35_41_26 T_int)) (= CHARLIT_35_41_26 107) (= true_term (is LE_36_28_26 T_int)) (= LE_36_28_26 63) (= true_term (is CONTINUESTMT_37_36_7 T_int)) (= CONTINUESTMT_37_36_7 22) (= true_term (is IDENT_35_25_26 T_int)) (= IDENT_35_25_26 93) (= true_term (is DEC_36_59_26 T_int)) (= DEC_36_59_26 90) (= true_term (is SUPEROBJECTDESIGNATOR_37_63_7 T_int)) (= SUPEROBJECTDESIGNATOR_37_63_7 49) (= true_term (is MODIFIERPRAGMA_34_25_26 T_int)) (= MODIFIERPRAGMA_34_25_26 115) (= true_term (is LOCALVARDECL_37_22_7 T_int)) (= LOCALVARDECL_37_22_7 8) (forall ((?s Int)) (=> (not (= ?s null)) (= true_term (is (S_select seqFormalParaDecl_25_64_46 ?s) T_javafe_util_StackVector)))) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select seqFormalParaDecl_25_64_46 ?s) null)))) (forall ((?s Int)) (=> (not (= ?s null)) (= (typeof (S_select seqFormalParaDecl_25_64_46 ?s)) T_javafe_util_StackVector))) (= true_term (is err_5_97_50 T_java_io_PrintStream)) (= true_term (is in_5_56_50 T_java_io_InputStream)) (= true_term (is ASGREM_36_43_26 T_int)) (= ASGREM_36_43_26 76) (= true_term (is NEWINSTANCEEXPR_37_49_7 T_int)) (= NEWINSTANCEEXPR_37_49_7 35) (= true_term (is LONGLIT_35_40_26 T_int)) (= LONGLIT_35_40_26 106) (= true_term (is GT_36_27_26 T_int)) (= GT_36_27_26 62) (= true_term (is BREAKSTMT_37_35_7 T_int)) (= BREAKSTMT_37_35_7 21) (= true_term (is INC_36_58_26 T_int)) (= INC_36_58_26 89) (= true_term (is TYPEOBJECTDESIGNATOR_37_62_7 T_int)) (= TYPEOBJECTDESIGNATOR_37_62_7 48) (= true_term (is LEXICALPRAGMA_34_24_26 T_int)) (= LEXICALPRAGMA_34_24_26 114) (= true_term (is INITBLOCK_37_21_7 T_int)) (= INITBLOCK_37_21_7 7) (= true_term (is ASGDIV_36_42_26 T_int)) (= ASGDIV_36_42_26 75) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (= true_term (is (S_select seqModifierPragma_29_74_32 ?s_1_) T_javafe_util_StackVector)))) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select seqModifierPragma_29_74_32 ?s_1_) null)))) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (= (typeof (S_select seqModifierPragma_29_74_32 ?s_1_)) T_javafe_util_StackVector))) (= true_term (is ARRAYREFEXPR_37_48_7 T_int)) (= ARRAYREFEXPR_37_48_7 34) (= true_term (is INTLIT_35_39_26 T_int)) (= INTLIT_35_39_26 105) (= true_term (is GE_36_26_26 T_int)) (= GE_36_26_26 61) (= true_term (is THROWSTMT_37_34_7 T_int)) (= THROWSTMT_37_34_7 20) (= true_term (is BITNOT_36_57_26 T_int)) (= BITNOT_36_57_26 88) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (= true_term (is (S_select seqTypeDeclElem_27_1161_46 ?s_2_) T_javafe_util_StackVector)))) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select seqTypeDeclElem_27_1161_46 ?s_2_) null)))) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (= (typeof (S_select seqTypeDeclElem_27_1161_46 ?s_2_)) T_javafe_util_StackVector))) (= true_term (is EXPROBJECTDESIGNATOR_37_61_7 T_int)) (= EXPROBJECTDESIGNATOR_37_61_7 47) (= true_term (is otherCodes_34_202_27 ?v_1)) (not (= otherCodes_34_202_27 null)) (= (typeof otherCodes_34_202_27) ?v_1) (= (arrayLength otherCodes_34_202_27) 15) (= true_term (is METHODDECL_37_20_7 T_int)) (= METHODDECL_37_20_7 6) (= true_term (is ASGMUL_36_41_26 T_int)) (= ASGMUL_36_41_26 74) (= true_term (is THISEXPR_37_47_7 T_int)) (= THISEXPR_37_47_7 33) (= true_term (is BOOLEANLIT_35_38_26 T_int)) (= BOOLEANLIT_35_38_26 104) (= true_term (is EQ_36_25_26 T_int)) (= EQ_36_25_26 60) (= true_term (is RETURNSTMT_37_33_7 T_int)) (= RETURNSTMT_37_33_7 19) (= true_term (is NOT_36_56_26 T_int)) (= NOT_36_56_26 87) (= true_term (is CLASSLITERAL_37_60_7 T_int)) (= CLASSLITERAL_37_60_7 46) (= true_term (is NULL_34_82_26 T_int)) (= NULL_34_82_26 163) (= true_term (is CONSTRUCTORDECL_37_19_7 T_int)) (= CONSTRUCTORDECL_37_19_7 5) (= true_term (is ASSIGN_36_40_26 T_int)) (= ASSIGN_36_40_26 73) (= true_term (is ARRAYINIT_37_46_7 T_int)) (= ARRAYINIT_37_46_7 32) (= true_term (is SHORTTYPE_35_36_26 T_int)) (= SHORTTYPE_35_36_26 103) (= true_term (is NE_36_24_26 T_int)) (= NE_36_24_26 59) (= true_term (is EVALSTMT_37_32_7 T_int)) (= EVALSTMT_37_32_7 18) (= true_term (is UNARYSUB_36_55_26 T_int)) (= UNARYSUB_36_55_26 86) (= true_term (is METHODINVOCATION_37_59_7 T_int)) (= METHODINVOCATION_37_59_7 45) (= true_term (is EOF_34_17_26 T_int)) (= EOF_34_17_26 111) (= true_term (is INTERFACEDECL_37_18_7 T_int)) (= INTERFACEDECL_37_18_7 4) (= true_term (is TYPESIG_107_6_28 T_int)) (= TYPESIG_107_6_28 184) (= true_term (is STAR_36_37_26 T_int)) (= STAR_36_37_26 72) (= true_term (is CATCHCLAUSE_37_45_7 T_int)) (= CATCHCLAUSE_37_45_7 31) (= true_term (is BYTETYPE_35_35_26 T_int)) (= BYTETYPE_35_35_26 102) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (= true_term (is (S_select seqStmt_26_70_46 ?s_3_) T_javafe_util_StackVector)))) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (not (= (S_select seqStmt_26_70_46 ?s_3_) null)))) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (= (typeof (S_select seqStmt_26_70_46 ?s_3_)) T_javafe_util_StackVector))) (= true_term (is BITAND_36_23_26 T_int)) (= BITAND_36_23_26 58) (= true_term (is SYNCHRONIZESTMT_37_31_7 T_int)) (= SYNCHRONIZESTMT_37_31_7 17) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (= true_term (is (S_select seqExpr_27_1145_46 ?s_4_) T_javafe_util_StackVector)))) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (not (= (S_select seqExpr_27_1145_46 ?s_4_) null)))) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (= (typeof (S_select seqExpr_27_1145_46 ?s_4_)) T_javafe_util_StackVector))) (= true_term (is UNARYADD_36_54_26 T_int)) (= UNARYADD_36_54_26 85) (= true_term (is AMBIGUOUSMETHODINVOCATION_37_58_7 T_int)) (= AMBIGUOUSMETHODINVOCATION_37_58_7 44) (= true_term (is CLASSDECL_37_17_7 T_int)) (= CLASSDECL_37_17_7 3) (= true_term (is MOD_36_36_26 T_int)) (= MOD_36_36_26 71) (= true_term (is CONSTRUCTORINVOCATION_37_44_7 T_int)) (= CONSTRUCTORINVOCATION_37_44_7 30) (= true_term (is punctuationStrings_34_134_22 ?v_0)) (not (= punctuationStrings_34_134_22 null)) (= (typeof punctuationStrings_34_134_22) ?v_0) (= (arrayLength punctuationStrings_34_134_22) 48) (forall ((?s_5_ Int)) (=> (not (= ?s_5_ null)) (= true_term (is (S_select seqImportDecl_25_72_46 ?s_5_) T_javafe_util_StackVector)))) (forall ((?s_5_ Int)) (=> (not (= ?s_5_ null)) (not (= (S_select seqImportDecl_25_72_46 ?s_5_) null)))) (forall ((?s_5_ Int)) (=> (not (= ?s_5_ null)) (= (typeof (S_select seqImportDecl_25_72_46 ?s_5_)) T_javafe_util_StackVector))) (= true_term (is NULLTYPE_35_34_26 T_int)) (= NULLTYPE_35_34_26 101) (= true_term (is BITXOR_36_22_26 T_int)) (= BITXOR_36_22_26 57) (= true_term (is DOSTMT_37_30_7 T_int)) (= DOSTMT_37_30_7 16) (= true_term (is out_5_83_49 T_java_io_PrintStream)) (= true_term (is ASGBITXOR_36_51_26 T_int)) (= ASGBITXOR_36_51_26 84) (= true_term (is FIELDACCESS_37_57_7 T_int)) (= FIELDACCESS_37_57_7 43) (= true_term (is ONDEMANDIMPORTDECL_37_16_7 T_int)) (= ONDEMANDIMPORTDECL_37_16_7 2) (= true_term (is DIV_36_35_26 T_int)) (= DIV_36_35_26 70) (= true_term (is TRYCATCHSTMT_37_43_7 T_int)) (= TRYCATCHSTMT_37_43_7 29) (= true_term (is VOIDTYPE_35_33_26 T_int)) (= VOIDTYPE_35_33_26 100) (= true_term (is BITOR_36_21_26 T_int)) (= BITOR_36_21_26 56) (= true_term (is WHILESTMT_37_29_7 T_int)) (= WHILESTMT_37_29_7 15) (= true_term (is FIRST_KEYWORD_34_51_26 T_int)) (= FIRST_KEYWORD_34_51_26 133) (= true_term (is ASGBITOR_36_50_26 T_int)) (= ASGBITOR_36_50_26 83) (= true_term (is VARIABLEACCESS_37_56_7 T_int)) (= VARIABLEACCESS_37_56_7 42) (= true_term (is SINGLETYPEIMPORTDECL_37_15_7 T_int)) (= SINGLETYPEIMPORTDECL_37_15_7 1) (= true_term (is SUB_36_34_26 T_int)) (= SUB_36_34_26 69) (= true_term (is TRYFINALLYSTMT_37_42_7 T_int)) (= TRYFINALLYSTMT_37_42_7 28) (= true_term (is DOUBLETYPE_35_32_26 T_int)) (= DOUBLETYPE_35_32_26 99) (= true_term (is CLASSDECLSTMT_37_28_7 T_int)) (= CLASSDECLSTMT_37_28_7 14) (= true_term (is ASGBITAND_36_49_26 T_int)) (= ASGBITAND_36_49_26 82) (= true_term (is AMBIGUOUSVARIABLEACCESS_37_55_7 T_int)) (= AMBIGUOUSVARIABLEACCESS_37_55_7 41) (= true_term (is COMPILATIONUNIT_37_14_7 T_int)) (= COMPILATIONUNIT_37_14_7 0) (= true_term (is ADD_36_33_26 T_int)) (= ADD_36_33_26 68) (= true_term (is SWITCHLABEL_37_41_7 T_int)) (= SWITCHLABEL_37_41_7 27) (= true_term (is LAST_KEYWORD_34_103_26 T_int)) (= LAST_KEYWORD_34_103_26 183) (forall ((?s_6_ Int)) (=> (not (= ?s_6_ null)) (= true_term (is (S_select seqTypeName_25_56_46 ?s_6_) T_javafe_util_StackVector)))) (forall ((?s_6_ Int)) (=> (not (= ?s_6_ null)) (not (= (S_select seqTypeName_25_56_46 ?s_6_) null)))) (forall ((?s_6_ Int)) (=> (not (= ?s_6_ null)) (= (typeof (S_select seqTypeName_25_56_46 ?s_6_)) T_javafe_util_StackVector))) (= true_term (is COMMA_34_33_26 T_int)) (= COMMA_34_33_26 120) (= true_term (is FLOATTYPE_35_31_26 T_int)) (= FLOATTYPE_35_31_26 98) (= true_term (is VARDECLSTMT_37_27_7 T_int)) (= VARDECLSTMT_37_27_7 13) (= true_term (is AND_36_20_26 T_int)) (= AND_36_20_26 55) (= true_term (is ASGURSHIFT_36_48_26 T_int)) (= ASGURSHIFT_36_48_26 81) (= true_term (is PARENEXPR_37_54_7 T_int)) (= PARENEXPR_37_54_7 40) (forall ((?s_7_ Int)) (=> (not (= ?s_7_ null)) (= true_term (is (S_select seqIdentifier_28_33_46 ?s_7_) T_javafe_util_StackVector)))) (forall ((?s_7_ Int)) (=> (not (= ?s_7_ null)) (not (= (S_select seqIdentifier_28_33_46 ?s_7_) null)))) (forall ((?s_7_ Int)) (=> (not (= ?s_7_ null)) (= (typeof (S_select seqIdentifier_28_33_46 ?s_7_)) T_javafe_util_StackVector))) (= true_term (is NULLLIT_35_45_26 T_int)) (= NULLLIT_35_45_26 111) (= true_term (is otherStrings_34_193_30 ?v_0)) (not (= otherStrings_34_193_30 null)) (= (typeof otherStrings_34_193_30) ?v_0) (= (arrayLength otherStrings_34_193_30) 15) (= true_term (is noTokens_34_212_27 T_int)) (= true_term (is URSHIFT_36_32_26 T_int)) (= URSHIFT_36_32_26 67) (= true_term (is SKIPSTMT_37_40_7 T_int)) (= SKIPSTMT_37_40_7 26) (= true_term (is CHARTYPE_35_30_26 T_int)) (= CHARTYPE_35_30_26 97) (= true_term (is COMPOUNDNAME_37_67_7 T_int)) (= COMPOUNDNAME_37_67_7 53) (= true_term (is SWITCHSTMT_37_26_7 T_int)) (= SWITCHSTMT_37_26_7 12) (= true_term (is OR_36_19_26 T_int)) (= OR_36_19_26 54) (= true_term (is ASGRSHIFT_36_47_26 T_int)) (= ASGRSHIFT_36_47_26 80) (= true_term (is CASTEXPR_37_53_7 T_int)) (= CASTEXPR_37_53_7 39) (forall ((?s_8_ Int)) (=> (not (= ?s_8_ null)) (= true_term (is (S_select seqCatchClause_26_76_46 ?s_8_) T_javafe_util_StackVector)))) (forall ((?s_8_ Int)) (=> (not (= ?s_8_ null)) (not (= (S_select seqCatchClause_26_76_46 ?s_8_) null)))) (forall ((?s_8_ Int)) (=> (not (= ?s_8_ null)) (= (typeof (S_select seqCatchClause_26_76_46 ?s_8_)) T_javafe_util_StackVector))) (= true_term (is STRINGLIT_35_44_26 T_int)) (= STRINGLIT_35_44_26 110) (= true_term (is punctuationCodes_34_164_19 ?v_1)) (not (= punctuationCodes_34_164_19 null)) (= (typeof punctuationCodes_34_164_19) ?v_1) (= (arrayLength punctuationCodes_34_164_19) 48) (= true_term (is RSHIFT_36_31_26 T_int)) (= RSHIFT_36_31_26 66) (= true_term (is FORSTMT_37_39_7 T_int)) (= FORSTMT_37_39_7 25) (forall ((?s_9_ Int)) (=> (not (= ?s_9_ null)) (= true_term (is (S_select seqVarInit_27_1153_46 ?s_9_) T_javafe_util_StackVector)))) (forall ((?s_9_ Int)) (=> (not (= ?s_9_ null)) (not (= (S_select seqVarInit_27_1153_46 ?s_9_) null)))) (forall ((?s_9_ Int)) (=> (not (= ?s_9_ null)) (= (typeof (S_select seqVarInit_27_1153_46 ?s_9_)) T_javafe_util_StackVector))) (= true_term (is TYPEMODIFIERPRAGMA_34_28_26 T_int)) (= TYPEMODIFIERPRAGMA_34_28_26 118) (= true_term (is LONGTYPE_35_29_26 T_int)) (= LONGTYPE_35_29_26 96) (= true_term (is SIMPLENAME_37_66_7 T_int)) (= SIMPLENAME_37_66_7 52) (= true_term (is BLOCKSTMT_37_25_7 T_int)) (= BLOCKSTMT_37_25_7 11) (forall ((?s_10_ Int)) (=> (not (= ?s_10_ null)) (= true_term (is (S_select seqTypeDecl_25_80_46 ?s_10_) T_javafe_util_StackVector)))) (forall ((?s_10_ Int)) (=> (not (= ?s_10_ null)) (not (= (S_select seqTypeDecl_25_80_46 ?s_10_) null)))) (forall ((?s_10_ Int)) (=> (not (= ?s_10_ null)) (= (typeof (S_select seqTypeDecl_25_80_46 ?s_10_)) T_javafe_util_StackVector))) (= true_term (is ASGLSHIFT_36_46_26 T_int)) (= ASGLSHIFT_36_46_26 79) (= true_term (is INSTANCEOFEXPR_37_52_7 T_int)) (= INSTANCEOFEXPR_37_52_7 38) (= true_term (is DOUBLELIT_35_43_26 T_int)) (= DOUBLELIT_35_43_26 109) (= true_term (is LSHIFT_36_30_26 T_int)) (= LSHIFT_36_30_26 65))))
(declare-fun ecReturn () Int)
(declare-fun ecThrow () Int)
(declare-fun C_77_8 () Int)
(declare-fun L_77_8 () Int)
(declare-fun S_84_33 () Int)
(declare-fun S_85_55 () Int)
(declare-fun S_71_25 () Int)
(declare-fun S_85_34 () Int)
(declare-fun S_71_53 () Int)
(declare-fun IFSTMT_pre_37_38_7 () Int)
(declare-fun loc_pre_157_22_13 () Int)
(declare-fun loc_157_22_13 () Int)
(declare-fun TYPEDECLELEMPRAGMA_pre_34_27_26 () Int)
(declare-fun INTTYPE_pre_35_28_26 () Int)
(declare-fun locOpenParen_pre_156_21_13 () Int)
(declare-fun locOpenParen_156_21_13 () Int)
(declare-fun POSTFIXDEC_pre_36_63_26 () Int)
(declare-fun ARRAYTYPE_pre_37_65_7 () Int)
(declare-fun locCloseBrace_pre_89_54_13 () Int)
(declare-fun locCloseBrace_89_54_13 () Int)
(declare-fun FORMALPARADECL_pre_37_24_7 () Int)
(declare-fun value_pre_104_45_16 () Int)
(declare-fun value_104_45_16 () Int)
(declare-fun locOpenParen_pre_159_30_13 () Int)
(declare-fun locOpenParen_159_30_13 () Int)
(declare-fun code_pre_17_1294_15 () Int)
(declare-fun code_17_1294_15 () Int)
(declare-fun locDot_pre_150_41_13 () Int)
(declare-fun locDot_150_41_13 () Int)
(declare-fun ASGSUB_pre_36_45_26 () Int)
(declare-fun CONDEXPR_pre_37_51_7 () Int)
(declare-fun keywordStrings_pre_34_181_30 () Int)
(declare-fun locGuardOpenParen_pre_135_23_13 () Int)
(declare-fun locGuardOpenParen_135_23_13 () Int)
(declare-fun FLOATLIT_pre_35_42_26 () Int)
(declare-fun LT_pre_36_29_26 () Int)
(declare-fun LABELSTMT_pre_37_37_7 () Int)
(declare-fun STMTPRAGMA_pre_34_26_26 () Int)
(declare-fun loc_pre_137_20_13 () Int)
(declare-fun loc_137_20_13 () Int)
(declare-fun BOOLEANTYPE_pre_35_27_26 () Int)
(declare-fun POSTFIXINC_pre_36_62_26 () Int)
(declare-fun TYPENAME_pre_37_64_7 () Int)
(declare-fun owner_pre_4_35_28 () Int)
(declare-fun owner_4_35_28 () Int)
(declare-fun locDot_pre_161_23_13 () Int)
(declare-fun locDot_161_23_13 () Int)
(declare-fun FIELDDECL_pre_37_23_7 () Int)
(declare-fun tag_pre_103_30_13 () Int)
(declare-fun tag_103_30_13 () Int)
(declare-fun NULL_pre_66_60_26 () Int)
(declare-fun ASGADD_pre_36_44_26 () Int)
(declare-fun NEWARRAYEXPR_pre_37_50_7 () Int)
(declare-fun loc_pre_142_18_13 () Int)
(declare-fun loc_142_18_13 () Int)
(declare-fun loc_pre_123_40_13 () Int)
(declare-fun loc_123_40_13 () Int)
(declare-fun CHARLIT_pre_35_41_26 () Int)
(declare-fun LE_pre_36_28_26 () Int)
(declare-fun CONTINUESTMT_pre_37_36_7 () Int)
(declare-fun loc_pre_166_20_13 () Int)
(declare-fun loc_166_20_13 () Int)
(declare-fun loc_pre_110_22_13 () Int)
(declare-fun loc_110_22_13 () Int)
(declare-fun IDENT_pre_35_25_26 () Int)
(declare-fun expr_pre_39_15_28 () Int)
(declare-fun expr_39_15_28 () Int)
(declare-fun DEC_pre_36_59_26 () Int)
(declare-fun SUPEROBJECTDESIGNATOR_pre_37_63_7 () Int)
(declare-fun MODIFIERPRAGMA_pre_34_25_26 () Int)
(declare-fun locCloseBracket_pre_151_23_13 () Int)
(declare-fun locCloseBracket_151_23_13 () Int)
(declare-fun LOCALVARDECL_pre_37_22_7 () Int)
(declare-fun startingLoc_pre_18_65_15 () Int)
(declare-fun startingLoc_18_65_15 () Int)
(declare-fun loc_pre_155_21_13 () Int)
(declare-fun loc_155_21_13 () Int)
(declare-fun seqFormalParaDecl_pre_25_64_46 () Int)
(declare-fun err_pre_5_97_50 () Int)
(declare-fun locId_pre_111_38_13 () Int)
(declare-fun locId_111_38_13 () Int)
(declare-fun in_pre_5_56_50 () Int)
(declare-fun ASGREM_pre_36_43_26 () Int)
(declare-fun NEWINSTANCEEXPR_pre_37_49_7 () Int)
(declare-fun LONGLIT_pre_35_40_26 () Int)
(declare-fun GT_pre_36_27_26 () Int)
(declare-fun BREAKSTMT_pre_37_35_7 () Int)
(declare-fun elements_pre_118_61_38 () Int)
(declare-fun elements_118_61_38 () Int)
(declare-fun INC_pre_36_58_26 () Int)
(declare-fun TYPEOBJECTDESIGNATOR_pre_37_62_7 () Int)
(declare-fun type_pre_156_18_28 () Int)
(declare-fun type_156_18_28 () Int)
(declare-fun LEXICALPRAGMA_pre_34_24_26 () Int)
(declare-fun INITBLOCK_pre_37_21_7 () Int)
(declare-fun locOpenBrace_pre_89_51_13 () Int)
(declare-fun locOpenBrace_89_51_13 () Int)
(declare-fun ASGDIV_pre_36_42_26 () Int)
(declare-fun seqModifierPragma_pre_29_74_32 () Int)
(declare-fun ARRAYREFEXPR_pre_37_48_7 () Int)
(declare-fun locFirstSemi_pre_94_36_13 () Int)
(declare-fun locFirstSemi_94_36_13 () Int)
(declare-fun tokenType_pre_67_90_8 () Int)
(declare-fun tokenType_67_90_8 () Int)
(declare-fun INTLIT_pre_35_39_26 () Int)
(declare-fun GE_pre_36_26_26 () Int)
(declare-fun THROWSTMT_pre_37_34_7 () Int)
(declare-fun elements_pre_86_72_21 () Int)
(declare-fun elements_86_72_21 () Int)
(declare-fun locSuper_pre_164_20_13 () Int)
(declare-fun locSuper_164_20_13 () Int)
(declare-fun locType_pre_122_21_13 () Int)
(declare-fun locType_122_21_13 () Int)
(declare-fun BITNOT_pre_36_57_26 () Int)
(declare-fun seqTypeDeclElem_pre_27_1161_46 () Int)
(declare-fun EXPROBJECTDESIGNATOR_pre_37_61_7 () Int)
(declare-fun otherCodes_pre_34_202_27 () Int)
(declare-fun METHODDECL_pre_37_20_7 () Int)
(declare-fun op_pre_106_26_13 () Int)
(declare-fun op_106_26_13 () Int)
(declare-fun length_pre_101_50_25 () Int)
(declare-fun length_101_50_25 () Int)
(declare-fun enclosingInstance_pre_150_37_14 () Int)
(declare-fun enclosingInstance_150_37_14 () Int)
(declare-fun ASGMUL_pre_36_41_26 () Int)
(declare-fun locOpenBracket_pre_165_21_13 () Int)
(declare-fun locOpenBracket_165_21_13 () Int)
(declare-fun THISEXPR_pre_37_47_7 () Int)
(declare-fun locFinally_pre_148_25_13 () Int)
(declare-fun locFinally_148_25_13 () Int)
(declare-fun ids_pre_168_19_37 () Int)
(declare-fun ids_168_19_37 () Int)
(declare-fun loc_pre_153_49_13 () Int)
(declare-fun loc_153_49_13 () Int)
(declare-fun BOOLEANLIT_pre_35_38_26 () Int)
(declare-fun type_pre_153_24_28 () Int)
(declare-fun type_153_24_28 () Int)
(declare-fun EQ_pre_36_25_26 () Int)
(declare-fun RETURNSTMT_pre_37_33_7 () Int)
(declare-fun loc_pre_145_22_13 () Int)
(declare-fun loc_145_22_13 () Int)
(declare-fun locColon_pre_154_25_13 () Int)
(declare-fun locColon_154_25_13 () Int)
(declare-fun NOT_pre_36_56_26 () Int)
(declare-fun CLASSLITERAL_pre_37_60_7 () Int)
(declare-fun NULL_pre_34_82_26 () Int)
(declare-fun loc_pre_135_20_13 () Int)
(declare-fun loc_135_20_13 () Int)
(declare-fun count_pre_118_67_33 () Int)
(declare-fun count_118_67_33 () Int)
(declare-fun CONSTRUCTORDECL_pre_37_19_7 () Int)
(declare-fun locOp_pre_105_43_13 () Int)
(declare-fun locOp_105_43_13 () Int)
(declare-fun type_pre_155_18_28 () Int)
(declare-fun type_155_18_28 () Int)
(declare-fun type_pre_111_35_28 () Int)
(declare-fun type_111_35_28 () Int)
(declare-fun ASSIGN_pre_36_40_26 () Int)
(declare-fun ARRAYINIT_pre_37_46_7 () Int)
(declare-fun loc_pre_87_30_13 () Int)
(declare-fun loc_87_30_13 () Int)
(declare-fun locDot_pre_152_29_13 () Int)
(declare-fun locDot_152_29_13 () Int)
(declare-fun locOpenBracket_pre_151_20_13 () Int)
(declare-fun locOpenBracket_151_20_13 () Int)
(declare-fun locCloseBrace_pre_100_24_13 () Int)
(declare-fun locCloseBrace_100_24_13 () Int)
(declare-fun type_pre_161_20_28 () Int)
(declare-fun type_161_20_28 () Int)
(declare-fun SHORTTYPE_pre_35_36_26 () Int)
(declare-fun elements_pre_99_61_33 () Int)
(declare-fun elements_99_61_33 () Int)
(declare-fun NE_pre_36_24_26 () Int)
(declare-fun EVALSTMT_pre_37_32_7 () Int)
(declare-fun nameIdLocs_pre_28_62_28 () Int)
(declare-fun nameIdLocs_28_62_28 () Int)
(declare-fun loc_pre_95_18_13 () Int)
(declare-fun loc_95_18_13 () Int)
(declare-fun loc_pre_140_18_13 () Int)
(declare-fun loc_140_18_13 () Int)
(declare-fun UNARYSUB_pre_36_55_26 () Int)
(declare-fun METHODINVOCATION_pre_37_59_7 () Int)
(declare-fun EOF_pre_34_17_26 () Int)
(declare-fun locOpenBrackets_pre_153_65_29 () Int)
(declare-fun locOpenBrackets_153_65_29 () Int)
(declare-fun INTERFACEDECL_pre_37_18_7 () Int)
(declare-fun elementCount_pre_86_79_33 () Int)
(declare-fun elementCount_86_79_33 () Int)
(declare-fun locId_pre_89_48_13 () Int)
(declare-fun locId_89_48_13 () Int)
(declare-fun elements_pre_167_61_39 () Int)
(declare-fun elements_167_61_39 () Int)
(declare-fun locOpenParen_pre_152_52_13 () Int)
(declare-fun locOpenParen_152_52_13 () Int)
(declare-fun elementType_pre_86_43_27 () Int)
(declare-fun elementType_86_43_27 () Int)
(declare-fun TYPESIG_pre_107_6_28 () Int)
(declare-fun STAR_pre_36_37_26 () Int)
(declare-fun CATCHCLAUSE_pre_37_45_7 () Int)
(declare-fun loc_pre_94_33_13 () Int)
(declare-fun loc_94_33_13 () Int)
(declare-fun locCloseBrace_pre_127_25_13 () Int)
(declare-fun locCloseBrace_127_25_13 () Int)
(declare-fun BYTETYPE_pre_35_35_26 () Int)
(declare-fun seqStmt_pre_26_70_46 () Int)
(declare-fun BITAND_pre_36_23_26 () Int)
(declare-fun SYNCHRONIZESTMT_pre_37_31_7 () Int)
(declare-fun identifierVal_pre_18_80_22 () Int)
(declare-fun identifierVal_18_80_22 () Int)
(declare-fun loc_pre_136_20_13 () Int)
(declare-fun loc_136_20_13 () Int)
(declare-fun seqExpr_pre_27_1145_46 () Int)
(declare-fun UNARYADD_pre_36_54_26 () Int)
(declare-fun AMBIGUOUSMETHODINVOCATION_pre_37_58_7 () Int)
(declare-fun loc_pre_146_16_13 () Int)
(declare-fun loc_146_16_13 () Int)
(declare-fun locIds_pre_168_25_29 () Int)
(declare-fun locIds_168_25_29 () Int)
(declare-fun CLASSDECL_pre_37_17_7 () Int)
(declare-fun MOD_pre_36_36_26 () Int)
(declare-fun CONSTRUCTORINVOCATION_pre_37_44_7 () Int)
(declare-fun punctuationStrings_pre_34_134_22 () Int)
(declare-fun locOpenBrace_pre_123_36_13 () Int)
(declare-fun locOpenBrace_123_36_13 () Int)
(declare-fun dims_pre_153_45_31 () Int)
(declare-fun dims_153_45_31 () Int)
(declare-fun seqImportDecl_pre_25_72_46 () Int)
(declare-fun locOpenParen_pre_150_48_13 () Int)
(declare-fun locOpenParen_150_48_13 () Int)
(declare-fun NULLTYPE_pre_35_34_26 () Int)
(declare-fun BITXOR_pre_36_22_26 () Int)
(declare-fun loc_pre_148_22_13 () Int)
(declare-fun loc_148_22_13 () Int)
(declare-fun DOSTMT_pre_37_30_7 () Int)
(declare-fun out_pre_5_83_49 () Int)
(declare-fun count_pre_99_67_33 () Int)
(declare-fun count_99_67_33 () Int)
(declare-fun locQuestion_pre_154_22_13 () Int)
(declare-fun locQuestion_154_22_13 () Int)
(declare-fun ASGBITXOR_pre_36_51_26 () Int)
(declare-fun FIELDACCESS_pre_37_57_7 () Int)
(declare-fun body_pre_123_34_19 () Int)
(declare-fun body_123_34_19 () Int)
(declare-fun locCloseParen_pre_39_21_13 () Int)
(declare-fun locCloseParen_39_21_13 () Int)
(declare-fun ONDEMANDIMPORTDECL_pre_37_16_7 () Int)
(declare-fun ttype_pre_18_52_15 () Int)
(declare-fun ttype_18_52_15 () Int)
(declare-fun DIV_pre_36_35_26 () Int)
(declare-fun count_pre_167_67_33 () Int)
(declare-fun count_167_67_33 () Int)
(declare-fun TRYCATCHSTMT_pre_37_43_7 () Int)
(declare-fun VOIDTYPE_pre_35_33_26 () Int)
(declare-fun locOpenBrace_pre_100_21_13 () Int)
(declare-fun locOpenBrace_100_21_13 () Int)
(declare-fun BITOR_pre_36_21_26 () Int)
(declare-fun WHILESTMT_pre_37_29_7 () Int)
(declare-fun FIRST_KEYWORD_pre_34_51_26 () Int)
(declare-fun elemType_pre_165_18_28 () Int)
(declare-fun elemType_165_18_28 () Int)
(declare-fun ASGBITOR_pre_36_50_26 () Int)
(declare-fun VARIABLEACCESS_pre_37_56_7 () Int)
(declare-fun SINGLETYPEIMPORTDECL_pre_37_15_7 () Int)
(declare-fun locDots_pre_168_31_29 () Int)
(declare-fun locDots_168_31_29 () Int)
(declare-fun loc_pre_125_29_13 () Int)
(declare-fun loc_125_29_13 () Int)
(declare-fun loc_pre_89_45_13 () Int)
(declare-fun loc_89_45_13 () Int)
(declare-fun syntax_pre_96_28_29 () Int)
(declare-fun syntax_96_28_29 () Int)
(declare-fun enclosingInstance_pre_152_25_14 () Int)
(declare-fun enclosingInstance_152_25_14 () Int)
(declare-fun SUB_pre_36_34_26 () Int)
(declare-fun loc_pre_152_49_13 () Int)
(declare-fun loc_152_49_13 () Int)
(declare-fun TRYFINALLYSTMT_pre_37_42_7 () Int)
(declare-fun tag_pre_104_32_13 () Int)
(declare-fun tag_104_32_13 () Int)
(declare-fun locDot_pre_126_21_13 () Int)
(declare-fun locDot_126_21_13 () Int)
(declare-fun returnType_pre_122_18_28 () Int)
(declare-fun returnType_122_18_28 () Int)
(declare-fun locOpenBrace_pre_127_22_13 () Int)
(declare-fun locOpenBrace_127_22_13 () Int)
(declare-fun DOUBLETYPE_pre_35_32_26 () Int)
(declare-fun locOpenParen_pre_160_28_13 () Int)
(declare-fun locOpenParen_160_28_13 () Int)
(declare-fun auxVal_pre_18_127_18 () Int)
(declare-fun auxVal_18_127_18 () Int)
(declare-fun CLASSDECLSTMT_pre_37_28_7 () Int)
(declare-fun ASGBITAND_pre_36_49_26 () Int)
(declare-fun AMBIGUOUSVARIABLEACCESS_pre_37_55_7 () Int)
(declare-fun COMPILATIONUNIT_pre_37_14_7 () Int)
(declare-fun locOpenParen_pre_137_23_13 () Int)
(declare-fun locOpenParen_137_23_13 () Int)
(declare-fun ADD_pre_36_33_26 () Int)
(declare-fun SWITCHLABEL_pre_37_41_7 () Int)
(declare-fun LAST_KEYWORD_pre_34_103_26 () Int)
(declare-fun seqTypeName_pre_25_56_46 () Int)
(declare-fun locCloseParen_pre_156_24_13 () Int)
(declare-fun locCloseParen_156_24_13 () Int)
(declare-fun m_in_pre_17_212_46 () Int)
(declare-fun m_in_17_212_46 () Int)
(declare-fun COMMA_pre_34_33_26 () Int)
(declare-fun FLOATTYPE_pre_35_31_26 () Int)
(declare-fun loc_pre_149_23_13 () Int)
(declare-fun loc_149_23_13 () Int)
(declare-fun locKeyword_pre_150_45_13 () Int)
(declare-fun locKeyword_150_45_13 () Int)
(declare-fun loc_pre_104_50_13 () Int)
(declare-fun loc_104_50_13 () Int)
(declare-fun VARDECLSTMT_pre_37_27_7 () Int)
(declare-fun elements_pre_119_61_39 () Int)
(declare-fun elements_119_61_39 () Int)
(declare-fun AND_pre_36_20_26 () Int)
(declare-fun loc_pre_147_29_13 () Int)
(declare-fun loc_147_29_13 () Int)
(declare-fun ASGURSHIFT_pre_36_48_26 () Int)
(declare-fun PARENEXPR_pre_37_54_7 () Int)
(declare-fun loc_pre_139_18_13 () Int)
(declare-fun loc_139_18_13 () Int)
(declare-fun seqIdentifier_pre_28_33_46 () Int)
(declare-fun nameDotLocs_pre_28_65_28 () Int)
(declare-fun nameDotLocs_28_65_28 () Int)
(declare-fun NULLLIT_pre_35_45_26 () Int)
(declare-fun otherStrings_pre_34_193_30 () Int)
(declare-fun noTokens_pre_34_212_27 () Int)
(declare-fun URSHIFT_pre_36_32_26 () Int)
(declare-fun SKIPSTMT_pre_37_40_7 () Int)
(declare-fun currentStackBottom_pre_86_87_33 () Int)
(declare-fun currentStackBottom_86_87_33 () Int)
(declare-fun locId_pre_144_20_13 () Int)
(declare-fun locId_144_20_13 () Int)
(declare-fun superCall_pre_150_24_17 () Int)
(declare-fun superCall_150_24_17 () Int)
(declare-fun CHARTYPE_pre_35_30_26 () Int)
(declare-fun COMPOUNDNAME_pre_37_67_7 () Int)
(declare-fun loc_pre_103_35_13 () Int)
(declare-fun loc_103_35_13 () Int)
(declare-fun SWITCHSTMT_pre_37_26_7 () Int)
(declare-fun OR_pre_36_19_26 () Int)
(declare-fun ASGRSHIFT_pre_36_47_26 () Int)
(declare-fun CASTEXPR_pre_37_53_7 () Int)
(declare-fun endingLoc_pre_18_72_15 () Int)
(declare-fun endingLoc_18_72_15 () Int)
(declare-fun seqCatchClause_pre_26_76_46 () Int)
(declare-fun locId_pre_123_43_13 () Int)
(declare-fun locId_123_43_13 () Int)
(declare-fun STRINGLIT_pre_35_44_26 () Int)
(declare-fun punctuationCodes_pre_34_164_19 () Int)
(declare-fun RSHIFT_pre_36_31_26 () Int)
(declare-fun FORSTMT_pre_37_39_7 () Int)
(declare-fun seqVarInit_pre_27_1153_46 () Int)
(declare-fun op_pre_105_35_13 () Int)
(declare-fun op_105_35_13 () Int)
(declare-fun loc_pre_88_18_13 () Int)
(declare-fun loc_88_18_13 () Int)
(declare-fun locOpenParen_pre_39_18_13 () Int)
(declare-fun locOpenParen_39_18_13 () Int)
(declare-fun TYPEMODIFIERPRAGMA_pre_34_28_26 () Int)
(declare-fun LONGTYPE_pre_35_29_26 () Int)
(declare-fun SIMPLENAME_pre_37_66_7 () Int)
(declare-fun locId_pre_160_25_13 () Int)
(declare-fun locId_160_25_13 () Int)
(declare-fun locId_pre_158_24_13 () Int)
(declare-fun locId_158_24_13 () Int)
(declare-fun BLOCKSTMT_pre_37_25_7 () Int)
(declare-fun locOp_pre_106_32_13 () Int)
(declare-fun locOp_106_32_13 () Int)
(declare-fun count_pre_119_67_33 () Int)
(declare-fun count_119_67_33 () Int)
(declare-fun seqTypeDecl_pre_25_80_46 () Int)
(declare-fun ASGLSHIFT_pre_36_46_26 () Int)
(declare-fun INSTANCEOFEXPR_pre_37_52_7 () Int)
(declare-fun init_pre_153_35_19 () Int)
(declare-fun init_153_35_19 () Int)
(declare-fun DOUBLELIT_pre_35_43_26 () Int)
(declare-fun LSHIFT_pre_36_30_26 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun n1_60_42 () Int)
(declare-fun n2_60_54 () Int)
(declare-fun tmp0_expr_65_22 () Int)
(declare-fun n2_68_13_68_13_60_54 () Int)
(declare-fun RES_70_16_70_16 () Int)
(declare-fun EC_70_16_70_16 () Int)
(declare-fun RES_70_31_70_31 () Int)
(declare-fun EC_70_31_70_31 () Int)
(declare-fun RES_71_44_71_44 () Int)
(declare-fun EC_71_44_71_44 () Int)
(declare-fun tmp4_71_25 () Int)
(declare-fun RES_loopold () Int)
(declare-fun EC_loopold () Int)
(declare-fun i_loopold_77_16 () Int)
(declare-fun RES_77_8_0_78_25_78_25 () Int)
(declare-fun EC_77_8_0_78_25_78_25 () Int)
(declare-fun RES_77_8_0_79_25_79_25 () Int)
(declare-fun EC_77_8_0_79_25_79_25 () Int)
(declare-fun tmp7_cand_77_8_0_81_14 () Int)
(declare-fun tmp7_cand_81_38 () Int)
(declare-fun n1_83_17_77_8_0_83_17_60_42 () Int)
(declare-fun n2_83_17_77_8_0_83_17_60_54 () Int)
(declare-fun RES_77_8_0_83_17_83_17 () Int)
(declare-fun EC_77_8_0_83_17_83_17 () Int)
(declare-fun RES_77_8_0_84_43_84_43 () Int)
(declare-fun EC_77_8_0_84_43_84_43 () Int)
(declare-fun arg0_84_25_77_8_0_84_25_6__ () Int)
(declare-fun EC_77_8_0_84_25_84_25 () Int)
(declare-fun EC () Int)
(declare-fun XRES () Int)
(declare-fun XRES_77_8_0_84_25_84_25 () Int)
(declare-fun RES_65_13_65_13 () Int)
(declare-fun EC_65_13_65_13 () Int)
(declare-fun RES_68_13_68_13 () Int)
(declare-fun EC_68_13_68_13 () Int)
(declare-fun RES_71_60_71_60 () Int)
(declare-fun EC_71_60_71_60 () Int)
(declare-fun arg0_71_17_71_17_6__ () Int)
(declare-fun EC_71_17_71_17 () Int)
(declare-fun e_90_41 () Int)
(assert (let ((?v_1 (array T_java_lang_String)) (?v_0 (array T_int)) (?v_2 (arrayLength keywordStrings_34_181_30)) (?v_4 (arrayLength punctuationStrings_34_134_22)) (?v_3 (arrayLength otherStrings_34_193_30)) (?v_6 (not (= n1_60_42 null))) (?v_10 (not (= n2_60_54 null))) (?v_5 (S_select owner_4_35_28 punctuationCodes_34_164_19)) (?v_7 (= true_term (is n1_60_42 T_javafe_ast_ParenExpr))) (?v_11 (= true_term true_term)) (?v_9 (cast n1_60_42 T_javafe_ast_ParenExpr))) (let ((?v_8 (not (= ?v_9 null))) (?v_354 (= tmp0_expr_65_22 (S_select expr_39_15_28 ?v_9))) (?v_102 (not (and ?v_7 ?v_6))) (?v_12 (= true_term (is n2_60_54 T_javafe_ast_ParenExpr))) (?v_14 (cast n2_60_54 T_javafe_ast_ParenExpr))) (let ((?v_13 (not (= ?v_14 null))) (?v_355 (= n2_68_13_68_13_60_54 (S_select expr_39_15_28 ?v_14))) (?v_103 (not (and ?v_12 ?v_10))) (?v_27 (not ?v_6)) (?v_104 (= true_term (is RES_70_16_70_16 T_int))) (?v_15 (= EC_70_16_70_16 ecReturn)) (?v_29 (= true_term (is n1_60_42 T_javafe_ast_LiteralExpr))) (?v_30 (S_select tag_104_32_13 (cast n1_60_42 T_javafe_ast_LiteralExpr)))) (let ((?v_105 (=> (and ?v_15 ?v_29 ?v_6) (= RES_70_16_70_16 ?v_30))) (?v_31 (= true_term (is n1_60_42 T_javafe_ast_BinaryExpr))) (?v_32 (S_select op_105_35_13 (cast n1_60_42 T_javafe_ast_BinaryExpr)))) (let ((?v_106 (=> (and ?v_15 ?v_31 ?v_6) (= RES_70_16_70_16 ?v_32))) (?v_33 (= true_term (is n1_60_42 T_javafe_ast_UnaryExpr))) (?v_34 (S_select op_106_26_13 (cast n1_60_42 T_javafe_ast_UnaryExpr)))) (let ((?v_107 (=> (and ?v_15 ?v_33 ?v_6) (= RES_70_16_70_16 ?v_34))) (?v_35 (= true_term (is n1_60_42 T_javafe_ast_PrimitiveType))) (?v_36 (S_select tag_103_30_13 (cast n1_60_42 T_javafe_ast_PrimitiveType)))) (let ((?v_108 (=> (and ?v_15 ?v_35 ?v_6) (= RES_70_16_70_16 ?v_36))) (?v_16 (typeof n1_60_42))) (let ((?v_37 (= (PO_LT ?v_16 T_javafe_tc_TypeSig) true_term))) (let ((?v_109 (=> (and ?v_15 (= RES_70_16_70_16 TYPESIG_107_6_28)) ?v_37)) (?v_38 (= (PO_LT ?v_16 T_javafe_ast_CompilationUnit) true_term))) (let ((?v_110 (=> (and ?v_15 (= RES_70_16_70_16 COMPILATIONUNIT_37_14_7)) ?v_38)) (?v_39 (= (PO_LT ?v_16 T_javafe_ast_SingleTypeImportDecl) true_term))) (let ((?v_111 (=> (and ?v_15 (= RES_70_16_70_16 SINGLETYPEIMPORTDECL_37_15_7)) ?v_39)) (?v_40 (= (PO_LT ?v_16 T_javafe_ast_OnDemandImportDecl) true_term))) (let ((?v_112 (=> (and ?v_15 (= RES_70_16_70_16 ONDEMANDIMPORTDECL_37_16_7)) ?v_40)) (?v_41 (= (PO_LT ?v_16 T_javafe_ast_ClassDecl) true_term))) (let ((?v_113 (=> (and ?v_15 (= RES_70_16_70_16 CLASSDECL_37_17_7)) ?v_41)) (?v_42 (= (PO_LT ?v_16 T_javafe_ast_InterfaceDecl) true_term))) (let ((?v_114 (=> (and ?v_15 (= RES_70_16_70_16 INTERFACEDECL_37_18_7)) ?v_42)) (?v_43 (= (PO_LT ?v_16 T_javafe_ast_ConstructorDecl) true_term))) (let ((?v_115 (=> (and ?v_15 (= RES_70_16_70_16 CONSTRUCTORDECL_37_19_7)) ?v_43)) (?v_44 (= (PO_LT ?v_16 T_javafe_ast_MethodDecl) true_term))) (let ((?v_116 (=> (and ?v_15 (= RES_70_16_70_16 METHODDECL_37_20_7)) ?v_44)) (?v_45 (= (PO_LT ?v_16 T_javafe_ast_InitBlock) true_term))) (let ((?v_117 (=> (and ?v_15 (= RES_70_16_70_16 INITBLOCK_37_21_7)) ?v_45)) (?v_46 (= (PO_LT ?v_16 T_javafe_ast_LocalVarDecl) true_term))) (let ((?v_118 (=> (and ?v_15 (= RES_70_16_70_16 LOCALVARDECL_37_22_7)) ?v_46)) (?v_47 (= (PO_LT ?v_16 T_javafe_ast_FieldDecl) true_term))) (let ((?v_119 (=> (and ?v_15 (= RES_70_16_70_16 FIELDDECL_37_23_7)) ?v_47)) (?v_48 (= (PO_LT ?v_16 T_javafe_ast_FormalParaDecl) true_term))) (let ((?v_120 (=> (and ?v_15 (= RES_70_16_70_16 FORMALPARADECL_37_24_7)) ?v_48)) (?v_49 (= (PO_LT ?v_16 T_javafe_ast_BlockStmt) true_term))) (let ((?v_121 (=> (and ?v_15 (= RES_70_16_70_16 BLOCKSTMT_37_25_7)) ?v_49)) (?v_50 (= (PO_LT ?v_16 T_javafe_ast_SwitchStmt) true_term))) (let ((?v_122 (=> (and ?v_15 (= RES_70_16_70_16 SWITCHSTMT_37_26_7)) ?v_50)) (?v_51 (= (PO_LT ?v_16 T_javafe_ast_VarDeclStmt) true_term))) (let ((?v_123 (=> (and ?v_15 (= RES_70_16_70_16 VARDECLSTMT_37_27_7)) ?v_51)) (?v_52 (= (PO_LT ?v_16 T_javafe_ast_ClassDeclStmt) true_term))) (let ((?v_124 (=> (and ?v_15 (= RES_70_16_70_16 CLASSDECLSTMT_37_28_7)) ?v_52)) (?v_53 (= (PO_LT ?v_16 T_javafe_ast_WhileStmt) true_term))) (let ((?v_125 (=> (and ?v_15 (= RES_70_16_70_16 WHILESTMT_37_29_7)) ?v_53)) (?v_54 (= (PO_LT ?v_16 T_javafe_ast_DoStmt) true_term))) (let ((?v_126 (=> (and ?v_15 (= RES_70_16_70_16 DOSTMT_37_30_7)) ?v_54)) (?v_55 (= (PO_LT ?v_16 T_javafe_ast_SynchronizeStmt) true_term))) (let ((?v_127 (=> (and ?v_15 (= RES_70_16_70_16 SYNCHRONIZESTMT_37_31_7)) ?v_55)) (?v_56 (= (PO_LT ?v_16 T_javafe_ast_EvalStmt) true_term))) (let ((?v_128 (=> (and ?v_15 (= RES_70_16_70_16 EVALSTMT_37_32_7)) ?v_56)) (?v_57 (= (PO_LT ?v_16 T_javafe_ast_ReturnStmt) true_term))) (let ((?v_129 (=> (and ?v_15 (= RES_70_16_70_16 RETURNSTMT_37_33_7)) ?v_57)) (?v_58 (= (PO_LT ?v_16 T_javafe_ast_ThrowStmt) true_term))) (let ((?v_130 (=> (and ?v_15 (= RES_70_16_70_16 THROWSTMT_37_34_7)) ?v_58)) (?v_59 (= (PO_LT ?v_16 T_javafe_ast_BreakStmt) true_term))) (let ((?v_131 (=> (and ?v_15 (= RES_70_16_70_16 BREAKSTMT_37_35_7)) ?v_59)) (?v_60 (= (PO_LT ?v_16 T_javafe_ast_ContinueStmt) true_term))) (let ((?v_132 (=> (and ?v_15 (= RES_70_16_70_16 CONTINUESTMT_37_36_7)) ?v_60)) (?v_61 (= (PO_LT ?v_16 T_javafe_ast_LabelStmt) true_term))) (let ((?v_133 (=> (and ?v_15 (= RES_70_16_70_16 LABELSTMT_37_37_7)) ?v_61)) (?v_62 (= (PO_LT ?v_16 T_javafe_ast_IfStmt) true_term))) (let ((?v_134 (=> (and ?v_15 (= RES_70_16_70_16 IFSTMT_37_38_7)) ?v_62)) (?v_63 (= (PO_LT ?v_16 T_javafe_ast_ForStmt) true_term))) (let ((?v_135 (=> (and ?v_15 (= RES_70_16_70_16 FORSTMT_37_39_7)) ?v_63)) (?v_64 (= (PO_LT ?v_16 T_javafe_ast_SkipStmt) true_term))) (let ((?v_136 (=> (and ?v_15 (= RES_70_16_70_16 SKIPSTMT_37_40_7)) ?v_64)) (?v_65 (= (PO_LT ?v_16 T_javafe_ast_SwitchLabel) true_term))) (let ((?v_137 (=> (and ?v_15 (= RES_70_16_70_16 SWITCHLABEL_37_41_7)) ?v_65)) (?v_66 (= (PO_LT ?v_16 T_javafe_ast_TryFinallyStmt) true_term))) (let ((?v_138 (=> (and ?v_15 (= RES_70_16_70_16 TRYFINALLYSTMT_37_42_7)) ?v_66)) (?v_67 (= (PO_LT ?v_16 T_javafe_ast_TryCatchStmt) true_term))) (let ((?v_139 (=> (and ?v_15 (= RES_70_16_70_16 TRYCATCHSTMT_37_43_7)) ?v_67)) (?v_68 (= (PO_LT ?v_16 T_javafe_ast_ConstructorInvocation) true_term))) (let ((?v_140 (=> (and ?v_15 (= RES_70_16_70_16 CONSTRUCTORINVOCATION_37_44_7)) ?v_68)) (?v_69 (= (PO_LT ?v_16 T_javafe_ast_CatchClause) true_term))) (let ((?v_141 (=> (and ?v_15 (= RES_70_16_70_16 CATCHCLAUSE_37_45_7)) ?v_69)) (?v_70 (= (PO_LT ?v_16 T_javafe_ast_ArrayInit) true_term))) (let ((?v_142 (=> (and ?v_15 (= RES_70_16_70_16 ARRAYINIT_37_46_7)) ?v_70)) (?v_71 (= (PO_LT ?v_16 T_javafe_ast_ThisExpr) true_term))) (let ((?v_143 (=> (and ?v_15 (= RES_70_16_70_16 THISEXPR_37_47_7)) ?v_71)) (?v_72 (= (PO_LT ?v_16 T_javafe_ast_ArrayRefExpr) true_term))) (let ((?v_144 (=> (and ?v_15 (= RES_70_16_70_16 ARRAYREFEXPR_37_48_7)) ?v_72)) (?v_73 (= (PO_LT ?v_16 T_javafe_ast_NewInstanceExpr) true_term))) (let ((?v_145 (=> (and ?v_15 (= RES_70_16_70_16 NEWINSTANCEEXPR_37_49_7)) ?v_73)) (?v_74 (= (PO_LT ?v_16 T_javafe_ast_NewArrayExpr) true_term))) (let ((?v_146 (=> (and ?v_15 (= RES_70_16_70_16 NEWARRAYEXPR_37_50_7)) ?v_74)) (?v_75 (= (PO_LT ?v_16 T_javafe_ast_CondExpr) true_term))) (let ((?v_147 (=> (and ?v_15 (= RES_70_16_70_16 CONDEXPR_37_51_7)) ?v_75)) (?v_76 (= (PO_LT ?v_16 T_javafe_ast_InstanceOfExpr) true_term))) (let ((?v_148 (=> (and ?v_15 (= RES_70_16_70_16 INSTANCEOFEXPR_37_52_7)) ?v_76)) (?v_77 (= (PO_LT ?v_16 T_javafe_ast_CastExpr) true_term))) (let ((?v_149 (=> (and ?v_15 (= RES_70_16_70_16 CASTEXPR_37_53_7)) ?v_77)) (?v_78 (= (PO_LT ?v_16 T_javafe_ast_ParenExpr) true_term))) (let ((?v_150 (=> (and ?v_15 (= RES_70_16_70_16 PARENEXPR_37_54_7)) ?v_78)) (?v_79 (= (PO_LT ?v_16 T_javafe_ast_AmbiguousVariableAccess) true_term))) (let ((?v_151 (=> (and ?v_15 (= RES_70_16_70_16 AMBIGUOUSVARIABLEACCESS_37_55_7)) ?v_79)) (?v_80 (= (PO_LT ?v_16 T_javafe_ast_VariableAccess) true_term))) (let ((?v_152 (=> (and ?v_15 (= RES_70_16_70_16 VARIABLEACCESS_37_56_7)) ?v_80)) (?v_81 (= (PO_LT ?v_16 T_javafe_ast_FieldAccess) true_term))) (let ((?v_153 (=> (and ?v_15 (= RES_70_16_70_16 FIELDACCESS_37_57_7)) ?v_81)) (?v_82 (= (PO_LT ?v_16 T_javafe_ast_AmbiguousMethodInvocation) true_term))) (let ((?v_154 (=> (and ?v_15 (= RES_70_16_70_16 AMBIGUOUSMETHODINVOCATION_37_58_7)) ?v_82)) (?v_83 (= (PO_LT ?v_16 T_javafe_ast_MethodInvocation) true_term))) (let ((?v_155 (=> (and ?v_15 (= RES_70_16_70_16 METHODINVOCATION_37_59_7)) ?v_83)) (?v_84 (= (PO_LT ?v_16 T_javafe_ast_ClassLiteral) true_term))) (let ((?v_156 (=> (and ?v_15 (= RES_70_16_70_16 CLASSLITERAL_37_60_7)) ?v_84)) (?v_85 (= (PO_LT ?v_16 T_javafe_ast_ExprObjectDesignator) true_term))) (let ((?v_157 (=> (and ?v_15 (= RES_70_16_70_16 EXPROBJECTDESIGNATOR_37_61_7)) ?v_85)) (?v_86 (= (PO_LT ?v_16 T_javafe_ast_TypeObjectDesignator) true_term))) (let ((?v_158 (=> (and ?v_15 (= RES_70_16_70_16 TYPEOBJECTDESIGNATOR_37_62_7)) ?v_86)) (?v_87 (= (PO_LT ?v_16 T_javafe_ast_SuperObjectDesignator) true_term))) (let ((?v_159 (=> (and ?v_15 (= RES_70_16_70_16 SUPEROBJECTDESIGNATOR_37_63_7)) ?v_87)) (?v_88 (= (PO_LT ?v_16 T_javafe_ast_TypeName) true_term))) (let ((?v_160 (=> (and ?v_15 (= RES_70_16_70_16 TYPENAME_37_64_7)) ?v_88)) (?v_89 (= (PO_LT ?v_16 T_javafe_ast_ArrayType) true_term))) (let ((?v_161 (=> (and ?v_15 (= RES_70_16_70_16 ARRAYTYPE_37_65_7)) ?v_89)) (?v_90 (= (PO_LT ?v_16 T_javafe_ast_SimpleName) true_term))) (let ((?v_162 (=> (and ?v_15 (= RES_70_16_70_16 SIMPLENAME_37_66_7)) ?v_90)) (?v_91 (= (PO_LT ?v_16 T_javafe_ast_CompoundName) true_term))) (let ((?v_163 (=> (and ?v_15 (= RES_70_16_70_16 COMPOUNDNAME_37_67_7)) ?v_91)) (?v_17 (= (PO_LT ?v_16 T_javafe_ast_BinaryExpr) true_term))) (let ((?v_164 (=> (and ?v_15 (= RES_70_16_70_16 OR_36_19_26)) ?v_17)) (?v_165 (=> (and ?v_15 (= RES_70_16_70_16 AND_36_20_26)) ?v_17)) (?v_166 (=> (and ?v_15 (= RES_70_16_70_16 BITOR_36_21_26)) ?v_17)) (?v_167 (=> (and ?v_15 (= RES_70_16_70_16 BITXOR_36_22_26)) ?v_17)) (?v_168 (=> (and ?v_15 (= RES_70_16_70_16 BITAND_36_23_26)) ?v_17)) (?v_169 (=> (and ?v_15 (= RES_70_16_70_16 NE_36_24_26)) ?v_17)) (?v_170 (=> (and ?v_15 (= RES_70_16_70_16 EQ_36_25_26)) ?v_17)) (?v_171 (=> (and ?v_15 (= RES_70_16_70_16 GE_36_26_26)) ?v_17)) (?v_172 (=> (and ?v_15 (= RES_70_16_70_16 GT_36_27_26)) ?v_17)) (?v_173 (=> (and ?v_15 (= RES_70_16_70_16 LE_36_28_26)) ?v_17)) (?v_174 (=> (and ?v_15 (= RES_70_16_70_16 LT_36_29_26)) ?v_17)) (?v_175 (=> (and ?v_15 (= RES_70_16_70_16 LSHIFT_36_30_26)) ?v_17)) (?v_176 (=> (and ?v_15 (= RES_70_16_70_16 RSHIFT_36_31_26)) ?v_17)) (?v_177 (=> (and ?v_15 (= RES_70_16_70_16 URSHIFT_36_32_26)) ?v_17)) (?v_178 (=> (and ?v_15 (= RES_70_16_70_16 ADD_36_33_26)) ?v_17)) (?v_179 (=> (and ?v_15 (= RES_70_16_70_16 SUB_36_34_26)) ?v_17)) (?v_180 (=> (and ?v_15 (= RES_70_16_70_16 DIV_36_35_26)) ?v_17)) (?v_181 (=> (and ?v_15 (= RES_70_16_70_16 MOD_36_36_26)) ?v_17)) (?v_182 (=> (and ?v_15 (= RES_70_16_70_16 STAR_36_37_26)) ?v_17)) (?v_183 (=> (and ?v_15 (= RES_70_16_70_16 ASSIGN_36_40_26)) ?v_17)) (?v_184 (=> (and ?v_15 (= RES_70_16_70_16 ASGMUL_36_41_26)) ?v_17)) (?v_185 (=> (and ?v_15 (= RES_70_16_70_16 ASGDIV_36_42_26)) ?v_17)) (?v_186 (=> (and ?v_15 (= RES_70_16_70_16 ASGREM_36_43_26)) ?v_17)) (?v_187 (=> (and ?v_15 (= RES_70_16_70_16 ASGADD_36_44_26)) ?v_17)) (?v_188 (=> (and ?v_15 (= RES_70_16_70_16 ASGSUB_36_45_26)) ?v_17)) (?v_189 (=> (and ?v_15 (= RES_70_16_70_16 ASGLSHIFT_36_46_26)) ?v_17)) (?v_190 (=> (and ?v_15 (= RES_70_16_70_16 ASGRSHIFT_36_47_26)) ?v_17)) (?v_191 (=> (and ?v_15 (= RES_70_16_70_16 ASGURSHIFT_36_48_26)) ?v_17)) (?v_192 (=> (and ?v_15 (= RES_70_16_70_16 ASGBITAND_36_49_26)) ?v_17)) (?v_193 (=> (and ?v_15 (= RES_70_16_70_16 ASGBITOR_36_50_26)) ?v_17)) (?v_194 (=> (and ?v_15 (= RES_70_16_70_16 ASGBITXOR_36_51_26)) ?v_17)) (?v_18 (= (PO_LT ?v_16 T_javafe_ast_UnaryExpr) true_term))) (let ((?v_195 (=> (and ?v_15 (= RES_70_16_70_16 UNARYADD_36_54_26)) ?v_18)) (?v_196 (=> (and ?v_15 (= RES_70_16_70_16 UNARYSUB_36_55_26)) ?v_18)) (?v_197 (=> (and ?v_15 (= RES_70_16_70_16 NOT_36_56_26)) ?v_18)) (?v_198 (=> (and ?v_15 (= RES_70_16_70_16 BITNOT_36_57_26)) ?v_18)) (?v_199 (=> (and ?v_15 (= RES_70_16_70_16 INC_36_58_26)) ?v_18)) (?v_200 (=> (and ?v_15 (= RES_70_16_70_16 DEC_36_59_26)) ?v_18)) (?v_201 (=> (and ?v_15 (= RES_70_16_70_16 POSTFIXINC_36_62_26)) ?v_18)) (?v_202 (=> (and ?v_15 (= RES_70_16_70_16 POSTFIXDEC_36_63_26)) ?v_18)) (?v_19 (= (PO_LT ?v_16 T_javafe_ast_PrimitiveType) true_term))) (let ((?v_203 (=> (and ?v_15 (= RES_70_16_70_16 BOOLEANTYPE_35_27_26)) ?v_19)) (?v_204 (=> (and ?v_15 (= RES_70_16_70_16 INTTYPE_35_28_26)) ?v_19)) (?v_205 (=> (and ?v_15 (= RES_70_16_70_16 LONGTYPE_35_29_26)) ?v_19)) (?v_206 (=> (and ?v_15 (= RES_70_16_70_16 CHARTYPE_35_30_26)) ?v_19)) (?v_207 (=> (and ?v_15 (= RES_70_16_70_16 FLOATTYPE_35_31_26)) ?v_19)) (?v_208 (=> (and ?v_15 (= RES_70_16_70_16 DOUBLETYPE_35_32_26)) ?v_19)) (?v_209 (=> (and ?v_15 (= RES_70_16_70_16 VOIDTYPE_35_33_26)) ?v_19)) (?v_210 (=> (and ?v_15 (= RES_70_16_70_16 NULLTYPE_35_34_26)) ?v_19)) (?v_211 (=> (and ?v_15 (= RES_70_16_70_16 BYTETYPE_35_35_26)) ?v_19)) (?v_212 (=> (and ?v_15 (= RES_70_16_70_16 SHORTTYPE_35_36_26)) ?v_19)) (?v_20 (= (PO_LT ?v_16 T_javafe_ast_LiteralExpr) true_term))) (let ((?v_213 (=> (and ?v_15 (= RES_70_16_70_16 BOOLEANLIT_35_38_26)) ?v_20)) (?v_214 (=> (and ?v_15 (= RES_70_16_70_16 INTLIT_35_39_26)) ?v_20)) (?v_215 (=> (and ?v_15 (= RES_70_16_70_16 LONGLIT_35_40_26)) ?v_20)) (?v_216 (=> (and ?v_15 (= RES_70_16_70_16 CHARLIT_35_41_26)) ?v_20)) (?v_217 (=> (and ?v_15 (= RES_70_16_70_16 FLOATLIT_35_42_26)) ?v_20)) (?v_218 (=> (and ?v_15 (= RES_70_16_70_16 DOUBLELIT_35_43_26)) ?v_20)) (?v_219 (=> (and ?v_15 (= RES_70_16_70_16 STRINGLIT_35_44_26)) ?v_20)) (?v_220 (=> (and ?v_15 (= RES_70_16_70_16 NULLLIT_35_45_26)) ?v_20)) (?v_92 (not ?v_10)) (?v_221 (= true_term (is RES_70_31_70_31 T_int))) (?v_21 (= EC_70_31_70_31 ecReturn)) (?v_475 (= true_term (is n2_60_54 T_javafe_ast_LiteralExpr))) (?v_476 (S_select tag_104_32_13 (cast n2_60_54 T_javafe_ast_LiteralExpr)))) (let ((?v_222 (=> (and ?v_21 ?v_475 ?v_10) (= RES_70_31_70_31 ?v_476))) (?v_477 (= true_term (is n2_60_54 T_javafe_ast_BinaryExpr))) (?v_478 (S_select op_105_35_13 (cast n2_60_54 T_javafe_ast_BinaryExpr)))) (let ((?v_223 (=> (and ?v_21 ?v_477 ?v_10) (= RES_70_31_70_31 ?v_478))) (?v_479 (= true_term (is n2_60_54 T_javafe_ast_UnaryExpr))) (?v_480 (S_select op_106_26_13 (cast n2_60_54 T_javafe_ast_UnaryExpr)))) (let ((?v_224 (=> (and ?v_21 ?v_479 ?v_10) (= RES_70_31_70_31 ?v_480))) (?v_481 (= true_term (is n2_60_54 T_javafe_ast_PrimitiveType))) (?v_482 (S_select tag_103_30_13 (cast n2_60_54 T_javafe_ast_PrimitiveType)))) (let ((?v_225 (=> (and ?v_21 ?v_481 ?v_10) (= RES_70_31_70_31 ?v_482))) (?v_22 (typeof n2_60_54))) (let ((?v_483 (= (PO_LT ?v_22 T_javafe_tc_TypeSig) true_term))) (let ((?v_226 (=> (and ?v_21 (= RES_70_31_70_31 TYPESIG_107_6_28)) ?v_483)) (?v_484 (= (PO_LT ?v_22 T_javafe_ast_CompilationUnit) true_term))) (let ((?v_227 (=> (and ?v_21 (= RES_70_31_70_31 COMPILATIONUNIT_37_14_7)) ?v_484)) (?v_485 (= (PO_LT ?v_22 T_javafe_ast_SingleTypeImportDecl) true_term))) (let ((?v_228 (=> (and ?v_21 (= RES_70_31_70_31 SINGLETYPEIMPORTDECL_37_15_7)) ?v_485)) (?v_486 (= (PO_LT ?v_22 T_javafe_ast_OnDemandImportDecl) true_term))) (let ((?v_229 (=> (and ?v_21 (= RES_70_31_70_31 ONDEMANDIMPORTDECL_37_16_7)) ?v_486)) (?v_487 (= (PO_LT ?v_22 T_javafe_ast_ClassDecl) true_term))) (let ((?v_230 (=> (and ?v_21 (= RES_70_31_70_31 CLASSDECL_37_17_7)) ?v_487)) (?v_488 (= (PO_LT ?v_22 T_javafe_ast_InterfaceDecl) true_term))) (let ((?v_231 (=> (and ?v_21 (= RES_70_31_70_31 INTERFACEDECL_37_18_7)) ?v_488)) (?v_489 (= (PO_LT ?v_22 T_javafe_ast_ConstructorDecl) true_term))) (let ((?v_232 (=> (and ?v_21 (= RES_70_31_70_31 CONSTRUCTORDECL_37_19_7)) ?v_489)) (?v_490 (= (PO_LT ?v_22 T_javafe_ast_MethodDecl) true_term))) (let ((?v_233 (=> (and ?v_21 (= RES_70_31_70_31 METHODDECL_37_20_7)) ?v_490)) (?v_491 (= (PO_LT ?v_22 T_javafe_ast_InitBlock) true_term))) (let ((?v_234 (=> (and ?v_21 (= RES_70_31_70_31 INITBLOCK_37_21_7)) ?v_491)) (?v_492 (= (PO_LT ?v_22 T_javafe_ast_LocalVarDecl) true_term))) (let ((?v_235 (=> (and ?v_21 (= RES_70_31_70_31 LOCALVARDECL_37_22_7)) ?v_492)) (?v_493 (= (PO_LT ?v_22 T_javafe_ast_FieldDecl) true_term))) (let ((?v_236 (=> (and ?v_21 (= RES_70_31_70_31 FIELDDECL_37_23_7)) ?v_493)) (?v_494 (= (PO_LT ?v_22 T_javafe_ast_FormalParaDecl) true_term))) (let ((?v_237 (=> (and ?v_21 (= RES_70_31_70_31 FORMALPARADECL_37_24_7)) ?v_494)) (?v_495 (= (PO_LT ?v_22 T_javafe_ast_BlockStmt) true_term))) (let ((?v_238 (=> (and ?v_21 (= RES_70_31_70_31 BLOCKSTMT_37_25_7)) ?v_495)) (?v_496 (= (PO_LT ?v_22 T_javafe_ast_SwitchStmt) true_term))) (let ((?v_239 (=> (and ?v_21 (= RES_70_31_70_31 SWITCHSTMT_37_26_7)) ?v_496)) (?v_497 (= (PO_LT ?v_22 T_javafe_ast_VarDeclStmt) true_term))) (let ((?v_240 (=> (and ?v_21 (= RES_70_31_70_31 VARDECLSTMT_37_27_7)) ?v_497)) (?v_498 (= (PO_LT ?v_22 T_javafe_ast_ClassDeclStmt) true_term))) (let ((?v_241 (=> (and ?v_21 (= RES_70_31_70_31 CLASSDECLSTMT_37_28_7)) ?v_498)) (?v_499 (= (PO_LT ?v_22 T_javafe_ast_WhileStmt) true_term))) (let ((?v_242 (=> (and ?v_21 (= RES_70_31_70_31 WHILESTMT_37_29_7)) ?v_499)) (?v_500 (= (PO_LT ?v_22 T_javafe_ast_DoStmt) true_term))) (let ((?v_243 (=> (and ?v_21 (= RES_70_31_70_31 DOSTMT_37_30_7)) ?v_500)) (?v_501 (= (PO_LT ?v_22 T_javafe_ast_SynchronizeStmt) true_term))) (let ((?v_244 (=> (and ?v_21 (= RES_70_31_70_31 SYNCHRONIZESTMT_37_31_7)) ?v_501)) (?v_502 (= (PO_LT ?v_22 T_javafe_ast_EvalStmt) true_term))) (let ((?v_245 (=> (and ?v_21 (= RES_70_31_70_31 EVALSTMT_37_32_7)) ?v_502)) (?v_503 (= (PO_LT ?v_22 T_javafe_ast_ReturnStmt) true_term))) (let ((?v_246 (=> (and ?v_21 (= RES_70_31_70_31 RETURNSTMT_37_33_7)) ?v_503)) (?v_504 (= (PO_LT ?v_22 T_javafe_ast_ThrowStmt) true_term))) (let ((?v_247 (=> (and ?v_21 (= RES_70_31_70_31 THROWSTMT_37_34_7)) ?v_504)) (?v_505 (= (PO_LT ?v_22 T_javafe_ast_BreakStmt) true_term))) (let ((?v_248 (=> (and ?v_21 (= RES_70_31_70_31 BREAKSTMT_37_35_7)) ?v_505)) (?v_506 (= (PO_LT ?v_22 T_javafe_ast_ContinueStmt) true_term))) (let ((?v_249 (=> (and ?v_21 (= RES_70_31_70_31 CONTINUESTMT_37_36_7)) ?v_506)) (?v_507 (= (PO_LT ?v_22 T_javafe_ast_LabelStmt) true_term))) (let ((?v_250 (=> (and ?v_21 (= RES_70_31_70_31 LABELSTMT_37_37_7)) ?v_507)) (?v_508 (= (PO_LT ?v_22 T_javafe_ast_IfStmt) true_term))) (let ((?v_251 (=> (and ?v_21 (= RES_70_31_70_31 IFSTMT_37_38_7)) ?v_508)) (?v_509 (= (PO_LT ?v_22 T_javafe_ast_ForStmt) true_term))) (let ((?v_252 (=> (and ?v_21 (= RES_70_31_70_31 FORSTMT_37_39_7)) ?v_509)) (?v_510 (= (PO_LT ?v_22 T_javafe_ast_SkipStmt) true_term))) (let ((?v_253 (=> (and ?v_21 (= RES_70_31_70_31 SKIPSTMT_37_40_7)) ?v_510)) (?v_511 (= (PO_LT ?v_22 T_javafe_ast_SwitchLabel) true_term))) (let ((?v_254 (=> (and ?v_21 (= RES_70_31_70_31 SWITCHLABEL_37_41_7)) ?v_511)) (?v_512 (= (PO_LT ?v_22 T_javafe_ast_TryFinallyStmt) true_term))) (let ((?v_255 (=> (and ?v_21 (= RES_70_31_70_31 TRYFINALLYSTMT_37_42_7)) ?v_512)) (?v_513 (= (PO_LT ?v_22 T_javafe_ast_TryCatchStmt) true_term))) (let ((?v_256 (=> (and ?v_21 (= RES_70_31_70_31 TRYCATCHSTMT_37_43_7)) ?v_513)) (?v_514 (= (PO_LT ?v_22 T_javafe_ast_ConstructorInvocation) true_term))) (let ((?v_257 (=> (and ?v_21 (= RES_70_31_70_31 CONSTRUCTORINVOCATION_37_44_7)) ?v_514)) (?v_515 (= (PO_LT ?v_22 T_javafe_ast_CatchClause) true_term))) (let ((?v_258 (=> (and ?v_21 (= RES_70_31_70_31 CATCHCLAUSE_37_45_7)) ?v_515)) (?v_516 (= (PO_LT ?v_22 T_javafe_ast_ArrayInit) true_term))) (let ((?v_259 (=> (and ?v_21 (= RES_70_31_70_31 ARRAYINIT_37_46_7)) ?v_516)) (?v_517 (= (PO_LT ?v_22 T_javafe_ast_ThisExpr) true_term))) (let ((?v_260 (=> (and ?v_21 (= RES_70_31_70_31 THISEXPR_37_47_7)) ?v_517)) (?v_518 (= (PO_LT ?v_22 T_javafe_ast_ArrayRefExpr) true_term))) (let ((?v_261 (=> (and ?v_21 (= RES_70_31_70_31 ARRAYREFEXPR_37_48_7)) ?v_518)) (?v_519 (= (PO_LT ?v_22 T_javafe_ast_NewInstanceExpr) true_term))) (let ((?v_262 (=> (and ?v_21 (= RES_70_31_70_31 NEWINSTANCEEXPR_37_49_7)) ?v_519)) (?v_520 (= (PO_LT ?v_22 T_javafe_ast_NewArrayExpr) true_term))) (let ((?v_263 (=> (and ?v_21 (= RES_70_31_70_31 NEWARRAYEXPR_37_50_7)) ?v_520)) (?v_521 (= (PO_LT ?v_22 T_javafe_ast_CondExpr) true_term))) (let ((?v_264 (=> (and ?v_21 (= RES_70_31_70_31 CONDEXPR_37_51_7)) ?v_521)) (?v_522 (= (PO_LT ?v_22 T_javafe_ast_InstanceOfExpr) true_term))) (let ((?v_265 (=> (and ?v_21 (= RES_70_31_70_31 INSTANCEOFEXPR_37_52_7)) ?v_522)) (?v_523 (= (PO_LT ?v_22 T_javafe_ast_CastExpr) true_term))) (let ((?v_266 (=> (and ?v_21 (= RES_70_31_70_31 CASTEXPR_37_53_7)) ?v_523)) (?v_524 (= (PO_LT ?v_22 T_javafe_ast_ParenExpr) true_term))) (let ((?v_267 (=> (and ?v_21 (= RES_70_31_70_31 PARENEXPR_37_54_7)) ?v_524)) (?v_525 (= (PO_LT ?v_22 T_javafe_ast_AmbiguousVariableAccess) true_term))) (let ((?v_268 (=> (and ?v_21 (= RES_70_31_70_31 AMBIGUOUSVARIABLEACCESS_37_55_7)) ?v_525)) (?v_526 (= (PO_LT ?v_22 T_javafe_ast_VariableAccess) true_term))) (let ((?v_269 (=> (and ?v_21 (= RES_70_31_70_31 VARIABLEACCESS_37_56_7)) ?v_526)) (?v_527 (= (PO_LT ?v_22 T_javafe_ast_FieldAccess) true_term))) (let ((?v_270 (=> (and ?v_21 (= RES_70_31_70_31 FIELDACCESS_37_57_7)) ?v_527)) (?v_528 (= (PO_LT ?v_22 T_javafe_ast_AmbiguousMethodInvocation) true_term))) (let ((?v_271 (=> (and ?v_21 (= RES_70_31_70_31 AMBIGUOUSMETHODINVOCATION_37_58_7)) ?v_528)) (?v_529 (= (PO_LT ?v_22 T_javafe_ast_MethodInvocation) true_term))) (let ((?v_272 (=> (and ?v_21 (= RES_70_31_70_31 METHODINVOCATION_37_59_7)) ?v_529)) (?v_530 (= (PO_LT ?v_22 T_javafe_ast_ClassLiteral) true_term))) (let ((?v_273 (=> (and ?v_21 (= RES_70_31_70_31 CLASSLITERAL_37_60_7)) ?v_530)) (?v_531 (= (PO_LT ?v_22 T_javafe_ast_ExprObjectDesignator) true_term))) (let ((?v_274 (=> (and ?v_21 (= RES_70_31_70_31 EXPROBJECTDESIGNATOR_37_61_7)) ?v_531)) (?v_532 (= (PO_LT ?v_22 T_javafe_ast_TypeObjectDesignator) true_term))) (let ((?v_275 (=> (and ?v_21 (= RES_70_31_70_31 TYPEOBJECTDESIGNATOR_37_62_7)) ?v_532)) (?v_533 (= (PO_LT ?v_22 T_javafe_ast_SuperObjectDesignator) true_term))) (let ((?v_276 (=> (and ?v_21 (= RES_70_31_70_31 SUPEROBJECTDESIGNATOR_37_63_7)) ?v_533)) (?v_534 (= (PO_LT ?v_22 T_javafe_ast_TypeName) true_term))) (let ((?v_277 (=> (and ?v_21 (= RES_70_31_70_31 TYPENAME_37_64_7)) ?v_534)) (?v_535 (= (PO_LT ?v_22 T_javafe_ast_ArrayType) true_term))) (let ((?v_278 (=> (and ?v_21 (= RES_70_31_70_31 ARRAYTYPE_37_65_7)) ?v_535)) (?v_536 (= (PO_LT ?v_22 T_javafe_ast_SimpleName) true_term))) (let ((?v_279 (=> (and ?v_21 (= RES_70_31_70_31 SIMPLENAME_37_66_7)) ?v_536)) (?v_537 (= (PO_LT ?v_22 T_javafe_ast_CompoundName) true_term))) (let ((?v_280 (=> (and ?v_21 (= RES_70_31_70_31 COMPOUNDNAME_37_67_7)) ?v_537)) (?v_23 (= (PO_LT ?v_22 T_javafe_ast_BinaryExpr) true_term))) (let ((?v_281 (=> (and ?v_21 (= RES_70_31_70_31 OR_36_19_26)) ?v_23)) (?v_282 (=> (and ?v_21 (= RES_70_31_70_31 AND_36_20_26)) ?v_23)) (?v_283 (=> (and ?v_21 (= RES_70_31_70_31 BITOR_36_21_26)) ?v_23)) (?v_284 (=> (and ?v_21 (= RES_70_31_70_31 BITXOR_36_22_26)) ?v_23)) (?v_285 (=> (and ?v_21 (= RES_70_31_70_31 BITAND_36_23_26)) ?v_23)) (?v_286 (=> (and ?v_21 (= RES_70_31_70_31 NE_36_24_26)) ?v_23)) (?v_287 (=> (and ?v_21 (= RES_70_31_70_31 EQ_36_25_26)) ?v_23)) (?v_288 (=> (and ?v_21 (= RES_70_31_70_31 GE_36_26_26)) ?v_23)) (?v_289 (=> (and ?v_21 (= RES_70_31_70_31 GT_36_27_26)) ?v_23)) (?v_290 (=> (and ?v_21 (= RES_70_31_70_31 LE_36_28_26)) ?v_23)) (?v_291 (=> (and ?v_21 (= RES_70_31_70_31 LT_36_29_26)) ?v_23)) (?v_292 (=> (and ?v_21 (= RES_70_31_70_31 LSHIFT_36_30_26)) ?v_23)) (?v_293 (=> (and ?v_21 (= RES_70_31_70_31 RSHIFT_36_31_26)) ?v_23)) (?v_294 (=> (and ?v_21 (= RES_70_31_70_31 URSHIFT_36_32_26)) ?v_23)) (?v_295 (=> (and ?v_21 (= RES_70_31_70_31 ADD_36_33_26)) ?v_23)) (?v_296 (=> (and ?v_21 (= RES_70_31_70_31 SUB_36_34_26)) ?v_23)) (?v_297 (=> (and ?v_21 (= RES_70_31_70_31 DIV_36_35_26)) ?v_23)) (?v_298 (=> (and ?v_21 (= RES_70_31_70_31 MOD_36_36_26)) ?v_23)) (?v_299 (=> (and ?v_21 (= RES_70_31_70_31 STAR_36_37_26)) ?v_23)) (?v_300 (=> (and ?v_21 (= RES_70_31_70_31 ASSIGN_36_40_26)) ?v_23)) (?v_301 (=> (and ?v_21 (= RES_70_31_70_31 ASGMUL_36_41_26)) ?v_23)) (?v_302 (=> (and ?v_21 (= RES_70_31_70_31 ASGDIV_36_42_26)) ?v_23)) (?v_303 (=> (and ?v_21 (= RES_70_31_70_31 ASGREM_36_43_26)) ?v_23)) (?v_304 (=> (and ?v_21 (= RES_70_31_70_31 ASGADD_36_44_26)) ?v_23)) (?v_305 (=> (and ?v_21 (= RES_70_31_70_31 ASGSUB_36_45_26)) ?v_23)) (?v_306 (=> (and ?v_21 (= RES_70_31_70_31 ASGLSHIFT_36_46_26)) ?v_23)) (?v_307 (=> (and ?v_21 (= RES_70_31_70_31 ASGRSHIFT_36_47_26)) ?v_23)) (?v_308 (=> (and ?v_21 (= RES_70_31_70_31 ASGURSHIFT_36_48_26)) ?v_23)) (?v_309 (=> (and ?v_21 (= RES_70_31_70_31 ASGBITAND_36_49_26)) ?v_23)) (?v_310 (=> (and ?v_21 (= RES_70_31_70_31 ASGBITOR_36_50_26)) ?v_23)) (?v_311 (=> (and ?v_21 (= RES_70_31_70_31 ASGBITXOR_36_51_26)) ?v_23)) (?v_24 (= (PO_LT ?v_22 T_javafe_ast_UnaryExpr) true_term))) (let ((?v_312 (=> (and ?v_21 (= RES_70_31_70_31 UNARYADD_36_54_26)) ?v_24)) (?v_313 (=> (and ?v_21 (= RES_70_31_70_31 UNARYSUB_36_55_26)) ?v_24)) (?v_314 (=> (and ?v_21 (= RES_70_31_70_31 NOT_36_56_26)) ?v_24)) (?v_315 (=> (and ?v_21 (= RES_70_31_70_31 BITNOT_36_57_26)) ?v_24)) (?v_316 (=> (and ?v_21 (= RES_70_31_70_31 INC_36_58_26)) ?v_24)) (?v_317 (=> (and ?v_21 (= RES_70_31_70_31 DEC_36_59_26)) ?v_24)) (?v_318 (=> (and ?v_21 (= RES_70_31_70_31 POSTFIXINC_36_62_26)) ?v_24)) (?v_319 (=> (and ?v_21 (= RES_70_31_70_31 POSTFIXDEC_36_63_26)) ?v_24)) (?v_25 (= (PO_LT ?v_22 T_javafe_ast_PrimitiveType) true_term))) (let ((?v_320 (=> (and ?v_21 (= RES_70_31_70_31 BOOLEANTYPE_35_27_26)) ?v_25)) (?v_321 (=> (and ?v_21 (= RES_70_31_70_31 INTTYPE_35_28_26)) ?v_25)) (?v_322 (=> (and ?v_21 (= RES_70_31_70_31 LONGTYPE_35_29_26)) ?v_25)) (?v_323 (=> (and ?v_21 (= RES_70_31_70_31 CHARTYPE_35_30_26)) ?v_25)) (?v_324 (=> (and ?v_21 (= RES_70_31_70_31 FLOATTYPE_35_31_26)) ?v_25)) (?v_325 (=> (and ?v_21 (= RES_70_31_70_31 DOUBLETYPE_35_32_26)) ?v_25)) (?v_326 (=> (and ?v_21 (= RES_70_31_70_31 VOIDTYPE_35_33_26)) ?v_25)) (?v_327 (=> (and ?v_21 (= RES_70_31_70_31 NULLTYPE_35_34_26)) ?v_25)) (?v_328 (=> (and ?v_21 (= RES_70_31_70_31 BYTETYPE_35_35_26)) ?v_25)) (?v_329 (=> (and ?v_21 (= RES_70_31_70_31 SHORTTYPE_35_36_26)) ?v_25)) (?v_26 (= (PO_LT ?v_22 T_javafe_ast_LiteralExpr) true_term))) (let ((?v_330 (=> (and ?v_21 (= RES_70_31_70_31 BOOLEANLIT_35_38_26)) ?v_26)) (?v_331 (=> (and ?v_21 (= RES_70_31_70_31 INTLIT_35_39_26)) ?v_26)) (?v_332 (=> (and ?v_21 (= RES_70_31_70_31 LONGLIT_35_40_26)) ?v_26)) (?v_333 (=> (and ?v_21 (= RES_70_31_70_31 CHARLIT_35_41_26)) ?v_26)) (?v_334 (=> (and ?v_21 (= RES_70_31_70_31 FLOATLIT_35_42_26)) ?v_26)) (?v_335 (=> (and ?v_21 (= RES_70_31_70_31 DOUBLELIT_35_43_26)) ?v_26)) (?v_336 (=> (and ?v_21 (= RES_70_31_70_31 STRINGLIT_35_44_26)) ?v_26)) (?v_337 (=> (and ?v_21 (= RES_70_31_70_31 NULLLIT_35_45_26)) ?v_26)) (?v_93 (not (= RES_70_16_70_16 RES_70_31_70_31))) (?v_356 (= true_term (is RES_71_44_71_44 T_int))) (?v_28 (= EC_71_44_71_44 ecReturn))) (let ((?v_357 (=> (and ?v_28 ?v_29 ?v_6) (= RES_71_44_71_44 ?v_30))) (?v_358 (=> (and ?v_28 ?v_31 ?v_6) (= RES_71_44_71_44 ?v_32))) (?v_359 (=> (and ?v_28 ?v_33 ?v_6) (= RES_71_44_71_44 ?v_34))) (?v_360 (=> (and ?v_28 ?v_35 ?v_6) (= RES_71_44_71_44 ?v_36))) (?v_361 (=> (and ?v_28 (= RES_71_44_71_44 TYPESIG_107_6_28)) ?v_37)) (?v_362 (=> (and ?v_28 (= RES_71_44_71_44 COMPILATIONUNIT_37_14_7)) ?v_38)) (?v_363 (=> (and ?v_28 (= RES_71_44_71_44 SINGLETYPEIMPORTDECL_37_15_7)) ?v_39)) (?v_364 (=> (and ?v_28 (= RES_71_44_71_44 ONDEMANDIMPORTDECL_37_16_7)) ?v_40)) (?v_365 (=> (and ?v_28 (= RES_71_44_71_44 CLASSDECL_37_17_7)) ?v_41)) (?v_366 (=> (and ?v_28 (= RES_71_44_71_44 INTERFACEDECL_37_18_7)) ?v_42)) (?v_367 (=> (and ?v_28 (= RES_71_44_71_44 CONSTRUCTORDECL_37_19_7)) ?v_43)) (?v_368 (=> (and ?v_28 (= RES_71_44_71_44 METHODDECL_37_20_7)) ?v_44)) (?v_369 (=> (and ?v_28 (= RES_71_44_71_44 INITBLOCK_37_21_7)) ?v_45)) (?v_370 (=> (and ?v_28 (= RES_71_44_71_44 LOCALVARDECL_37_22_7)) ?v_46)) (?v_371 (=> (and ?v_28 (= RES_71_44_71_44 FIELDDECL_37_23_7)) ?v_47)) (?v_372 (=> (and ?v_28 (= RES_71_44_71_44 FORMALPARADECL_37_24_7)) ?v_48)) (?v_373 (=> (and ?v_28 (= RES_71_44_71_44 BLOCKSTMT_37_25_7)) ?v_49)) (?v_374 (=> (and ?v_28 (= RES_71_44_71_44 SWITCHSTMT_37_26_7)) ?v_50)) (?v_375 (=> (and ?v_28 (= RES_71_44_71_44 VARDECLSTMT_37_27_7)) ?v_51)) (?v_376 (=> (and ?v_28 (= RES_71_44_71_44 CLASSDECLSTMT_37_28_7)) ?v_52)) (?v_377 (=> (and ?v_28 (= RES_71_44_71_44 WHILESTMT_37_29_7)) ?v_53)) (?v_378 (=> (and ?v_28 (= RES_71_44_71_44 DOSTMT_37_30_7)) ?v_54)) (?v_379 (=> (and ?v_28 (= RES_71_44_71_44 SYNCHRONIZESTMT_37_31_7)) ?v_55)) (?v_380 (=> (and ?v_28 (= RES_71_44_71_44 EVALSTMT_37_32_7)) ?v_56)) (?v_381 (=> (and ?v_28 (= RES_71_44_71_44 RETURNSTMT_37_33_7)) ?v_57)) (?v_382 (=> (and ?v_28 (= RES_71_44_71_44 THROWSTMT_37_34_7)) ?v_58)) (?v_383 (=> (and ?v_28 (= RES_71_44_71_44 BREAKSTMT_37_35_7)) ?v_59)) (?v_384 (=> (and ?v_28 (= RES_71_44_71_44 CONTINUESTMT_37_36_7)) ?v_60)) (?v_385 (=> (and ?v_28 (= RES_71_44_71_44 LABELSTMT_37_37_7)) ?v_61)) (?v_386 (=> (and ?v_28 (= RES_71_44_71_44 IFSTMT_37_38_7)) ?v_62)) (?v_387 (=> (and ?v_28 (= RES_71_44_71_44 FORSTMT_37_39_7)) ?v_63)) (?v_388 (=> (and ?v_28 (= RES_71_44_71_44 SKIPSTMT_37_40_7)) ?v_64)) (?v_389 (=> (and ?v_28 (= RES_71_44_71_44 SWITCHLABEL_37_41_7)) ?v_65)) (?v_390 (=> (and ?v_28 (= RES_71_44_71_44 TRYFINALLYSTMT_37_42_7)) ?v_66)) (?v_391 (=> (and ?v_28 (= RES_71_44_71_44 TRYCATCHSTMT_37_43_7)) ?v_67)) (?v_392 (=> (and ?v_28 (= RES_71_44_71_44 CONSTRUCTORINVOCATION_37_44_7)) ?v_68)) (?v_393 (=> (and ?v_28 (= RES_71_44_71_44 CATCHCLAUSE_37_45_7)) ?v_69)) (?v_394 (=> (and ?v_28 (= RES_71_44_71_44 ARRAYINIT_37_46_7)) ?v_70)) (?v_395 (=> (and ?v_28 (= RES_71_44_71_44 THISEXPR_37_47_7)) ?v_71)) (?v_396 (=> (and ?v_28 (= RES_71_44_71_44 ARRAYREFEXPR_37_48_7)) ?v_72)) (?v_397 (=> (and ?v_28 (= RES_71_44_71_44 NEWINSTANCEEXPR_37_49_7)) ?v_73)) (?v_398 (=> (and ?v_28 (= RES_71_44_71_44 NEWARRAYEXPR_37_50_7)) ?v_74)) (?v_399 (=> (and ?v_28 (= RES_71_44_71_44 CONDEXPR_37_51_7)) ?v_75)) (?v_400 (=> (and ?v_28 (= RES_71_44_71_44 INSTANCEOFEXPR_37_52_7)) ?v_76)) (?v_401 (=> (and ?v_28 (= RES_71_44_71_44 CASTEXPR_37_53_7)) ?v_77)) (?v_402 (=> (and ?v_28 (= RES_71_44_71_44 PARENEXPR_37_54_7)) ?v_78)) (?v_403 (=> (and ?v_28 (= RES_71_44_71_44 AMBIGUOUSVARIABLEACCESS_37_55_7)) ?v_79)) (?v_404 (=> (and ?v_28 (= RES_71_44_71_44 VARIABLEACCESS_37_56_7)) ?v_80)) (?v_405 (=> (and ?v_28 (= RES_71_44_71_44 FIELDACCESS_37_57_7)) ?v_81)) (?v_406 (=> (and ?v_28 (= RES_71_44_71_44 AMBIGUOUSMETHODINVOCATION_37_58_7)) ?v_82)) (?v_407 (=> (and ?v_28 (= RES_71_44_71_44 METHODINVOCATION_37_59_7)) ?v_83)) (?v_408 (=> (and ?v_28 (= RES_71_44_71_44 CLASSLITERAL_37_60_7)) ?v_84)) (?v_409 (=> (and ?v_28 (= RES_71_44_71_44 EXPROBJECTDESIGNATOR_37_61_7)) ?v_85)) (?v_410 (=> (and ?v_28 (= RES_71_44_71_44 TYPEOBJECTDESIGNATOR_37_62_7)) ?v_86)) (?v_411 (=> (and ?v_28 (= RES_71_44_71_44 SUPEROBJECTDESIGNATOR_37_63_7)) ?v_87)) (?v_412 (=> (and ?v_28 (= RES_71_44_71_44 TYPENAME_37_64_7)) ?v_88)) (?v_413 (=> (and ?v_28 (= RES_71_44_71_44 ARRAYTYPE_37_65_7)) ?v_89)) (?v_414 (=> (and ?v_28 (= RES_71_44_71_44 SIMPLENAME_37_66_7)) ?v_90)) (?v_415 (=> (and ?v_28 (= RES_71_44_71_44 COMPOUNDNAME_37_67_7)) ?v_91)) (?v_416 (=> (and ?v_28 (= RES_71_44_71_44 OR_36_19_26)) ?v_17)) (?v_417 (=> (and ?v_28 (= RES_71_44_71_44 AND_36_20_26)) ?v_17)) (?v_418 (=> (and ?v_28 (= RES_71_44_71_44 BITOR_36_21_26)) ?v_17)) (?v_419 (=> (and ?v_28 (= RES_71_44_71_44 BITXOR_36_22_26)) ?v_17)) (?v_420 (=> (and ?v_28 (= RES_71_44_71_44 BITAND_36_23_26)) ?v_17)) (?v_421 (=> (and ?v_28 (= RES_71_44_71_44 NE_36_24_26)) ?v_17)) (?v_422 (=> (and ?v_28 (= RES_71_44_71_44 EQ_36_25_26)) ?v_17)) (?v_423 (=> (and ?v_28 (= RES_71_44_71_44 GE_36_26_26)) ?v_17)) (?v_424 (=> (and ?v_28 (= RES_71_44_71_44 GT_36_27_26)) ?v_17)) (?v_425 (=> (and ?v_28 (= RES_71_44_71_44 LE_36_28_26)) ?v_17)) (?v_426 (=> (and ?v_28 (= RES_71_44_71_44 LT_36_29_26)) ?v_17)) (?v_427 (=> (and ?v_28 (= RES_71_44_71_44 LSHIFT_36_30_26)) ?v_17)) (?v_428 (=> (and ?v_28 (= RES_71_44_71_44 RSHIFT_36_31_26)) ?v_17)) (?v_429 (=> (and ?v_28 (= RES_71_44_71_44 URSHIFT_36_32_26)) ?v_17)) (?v_430 (=> (and ?v_28 (= RES_71_44_71_44 ADD_36_33_26)) ?v_17)) (?v_431 (=> (and ?v_28 (= RES_71_44_71_44 SUB_36_34_26)) ?v_17)) (?v_432 (=> (and ?v_28 (= RES_71_44_71_44 DIV_36_35_26)) ?v_17)) (?v_433 (=> (and ?v_28 (= RES_71_44_71_44 MOD_36_36_26)) ?v_17)) (?v_434 (=> (and ?v_28 (= RES_71_44_71_44 STAR_36_37_26)) ?v_17)) (?v_435 (=> (and ?v_28 (= RES_71_44_71_44 ASSIGN_36_40_26)) ?v_17)) (?v_436 (=> (and ?v_28 (= RES_71_44_71_44 ASGMUL_36_41_26)) ?v_17)) (?v_437 (=> (and ?v_28 (= RES_71_44_71_44 ASGDIV_36_42_26)) ?v_17)) (?v_438 (=> (and ?v_28 (= RES_71_44_71_44 ASGREM_36_43_26)) ?v_17)) (?v_439 (=> (and ?v_28 (= RES_71_44_71_44 ASGADD_36_44_26)) ?v_17)) (?v_440 (=> (and ?v_28 (= RES_71_44_71_44 ASGSUB_36_45_26)) ?v_17)) (?v_441 (=> (and ?v_28 (= RES_71_44_71_44 ASGLSHIFT_36_46_26)) ?v_17)) (?v_442 (=> (and ?v_28 (= RES_71_44_71_44 ASGRSHIFT_36_47_26)) ?v_17)) (?v_443 (=> (and ?v_28 (= RES_71_44_71_44 ASGURSHIFT_36_48_26)) ?v_17)) (?v_444 (=> (and ?v_28 (= RES_71_44_71_44 ASGBITAND_36_49_26)) ?v_17)) (?v_445 (=> (and ?v_28 (= RES_71_44_71_44 ASGBITOR_36_50_26)) ?v_17)) (?v_446 (=> (and ?v_28 (= RES_71_44_71_44 ASGBITXOR_36_51_26)) ?v_17)) (?v_447 (=> (and ?v_28 (= RES_71_44_71_44 UNARYADD_36_54_26)) ?v_18)) (?v_448 (=> (and ?v_28 (= RES_71_44_71_44 UNARYSUB_36_55_26)) ?v_18)) (?v_449 (=> (and ?v_28 (= RES_71_44_71_44 NOT_36_56_26)) ?v_18)) (?v_450 (=> (and ?v_28 (= RES_71_44_71_44 BITNOT_36_57_26)) ?v_18)) (?v_451 (=> (and ?v_28 (= RES_71_44_71_44 INC_36_58_26)) ?v_18)) (?v_452 (=> (and ?v_28 (= RES_71_44_71_44 DEC_36_59_26)) ?v_18)) (?v_453 (=> (and ?v_28 (= RES_71_44_71_44 POSTFIXINC_36_62_26)) ?v_18)) (?v_454 (=> (and ?v_28 (= RES_71_44_71_44 POSTFIXDEC_36_63_26)) ?v_18)) (?v_455 (=> (and ?v_28 (= RES_71_44_71_44 BOOLEANTYPE_35_27_26)) ?v_19)) (?v_456 (=> (and ?v_28 (= RES_71_44_71_44 INTTYPE_35_28_26)) ?v_19)) (?v_457 (=> (and ?v_28 (= RES_71_44_71_44 LONGTYPE_35_29_26)) ?v_19)) (?v_458 (=> (and ?v_28 (= RES_71_44_71_44 CHARTYPE_35_30_26)) ?v_19)) (?v_459 (=> (and ?v_28 (= RES_71_44_71_44 FLOATTYPE_35_31_26)) ?v_19)) (?v_460 (=> (and ?v_28 (= RES_71_44_71_44 DOUBLETYPE_35_32_26)) ?v_19)) (?v_461 (=> (and ?v_28 (= RES_71_44_71_44 VOIDTYPE_35_33_26)) ?v_19)) (?v_462 (=> (and ?v_28 (= RES_71_44_71_44 NULLTYPE_35_34_26)) ?v_19)) (?v_463 (=> (and ?v_28 (= RES_71_44_71_44 BYTETYPE_35_35_26)) ?v_19)) (?v_464 (=> (and ?v_28 (= RES_71_44_71_44 SHORTTYPE_35_36_26)) ?v_19)) (?v_465 (=> (and ?v_28 (= RES_71_44_71_44 BOOLEANLIT_35_38_26)) ?v_20)) (?v_466 (=> (and ?v_28 (= RES_71_44_71_44 INTLIT_35_39_26)) ?v_20)) (?v_467 (=> (and ?v_28 (= RES_71_44_71_44 LONGLIT_35_40_26)) ?v_20)) (?v_468 (=> (and ?v_28 (= RES_71_44_71_44 CHARLIT_35_41_26)) ?v_20)) (?v_469 (=> (and ?v_28 (= RES_71_44_71_44 FLOATLIT_35_42_26)) ?v_20)) (?v_470 (=> (and ?v_28 (= RES_71_44_71_44 DOUBLELIT_35_43_26)) ?v_20)) (?v_471 (=> (and ?v_28 (= RES_71_44_71_44 STRINGLIT_35_44_26)) ?v_20)) (?v_472 (=> (and ?v_28 (= RES_71_44_71_44 NULLLIT_35_45_26)) ?v_20)) (?v_473 (= tmp4_71_25 (stringCat (stringCat S_71_25 RES_71_44_71_44) S_71_53))) (?v_338 (not ?v_93)) (?v_339 (= RES_70_31_70_31 RES_loopold)) (?v_340 (= EC_70_31_70_31 EC_loopold)) (?v_341 (= 0 i_loopold_77_16)) (?v_94 (<= 0 0))) (let ((?v_95 (not ?v_94)) (?v_342 (= true_term (is RES_77_8_0_78_25_78_25 T_java_lang_Object))) (?v_343 (= true_term (isAllocated RES_77_8_0_78_25_78_25 alloc))) (?v_344 (= EC_77_8_0_78_25_78_25 ecReturn)) (?v_345 (= true_term (is RES_77_8_0_79_25_79_25 T_java_lang_Object))) (?v_346 (= true_term (isAllocated RES_77_8_0_79_25_79_25 alloc))) (?v_347 (= EC_77_8_0_79_25_79_25 ecReturn)) (?v_96 (= true_term (is RES_77_8_0_78_25_78_25 T_javafe_ast_ASTNode))) (?v_97 (not (= RES_77_8_0_78_25_78_25 null))) (?v_98 (is RES_77_8_0_79_25_79_25 T_javafe_ast_ASTNode))) (let ((?v_348 (or (and ?v_96 ?v_97 (= tmp7_cand_77_8_0_81_14 (boolAnd ?v_98 (refNE RES_77_8_0_79_25_79_25 null))) (= tmp7_cand_81_38 tmp7_cand_77_8_0_81_14)) (and (not (and ?v_96 ?v_97)) ?v_11 (= tmp7_cand_81_38 false_term)))) (?v_349 (= true_term tmp7_cand_81_38)) (?v_99 (= true_term ?v_98)) (?v_100 (= n1_83_17_77_8_0_83_17_60_42 (cast RES_77_8_0_78_25_78_25 T_javafe_ast_ASTNode))) (?v_101 (= n2_83_17_77_8_0_83_17_60_54 (cast RES_77_8_0_79_25_79_25 T_javafe_ast_ASTNode))) (?v_350 (= true_term (is RES_77_8_0_83_17_83_17 T_boolean))) (?v_351 (= EC_77_8_0_83_17_83_17 ecReturn)) (?v_352 (not (= true_term RES_77_8_0_83_17_83_17))) (?v_538 (= true_term (is RES_77_8_0_84_43_84_43 T_int))) (?v_353 (= EC_77_8_0_84_43_84_43 ecReturn))) (let ((?v_539 (=> (and ?v_353 ?v_29 ?v_6) (= RES_77_8_0_84_43_84_43 ?v_30))) (?v_540 (=> (and ?v_353 ?v_31 ?v_6) (= RES_77_8_0_84_43_84_43 ?v_32))) (?v_541 (=> (and ?v_353 ?v_33 ?v_6) (= RES_77_8_0_84_43_84_43 ?v_34))) (?v_542 (=> (and ?v_353 ?v_35 ?v_6) (= RES_77_8_0_84_43_84_43 ?v_36))) (?v_543 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 TYPESIG_107_6_28)) ?v_37)) (?v_544 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 COMPILATIONUNIT_37_14_7)) ?v_38)) (?v_545 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 SINGLETYPEIMPORTDECL_37_15_7)) ?v_39)) (?v_546 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 ONDEMANDIMPORTDECL_37_16_7)) ?v_40)) (?v_547 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 CLASSDECL_37_17_7)) ?v_41)) (?v_548 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 INTERFACEDECL_37_18_7)) ?v_42)) (?v_549 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 CONSTRUCTORDECL_37_19_7)) ?v_43)) (?v_550 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 METHODDECL_37_20_7)) ?v_44)) (?v_551 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 INITBLOCK_37_21_7)) ?v_45)) (?v_552 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 LOCALVARDECL_37_22_7)) ?v_46)) (?v_553 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 FIELDDECL_37_23_7)) ?v_47)) (?v_554 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 FORMALPARADECL_37_24_7)) ?v_48)) (?v_555 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 BLOCKSTMT_37_25_7)) ?v_49)) (?v_556 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 SWITCHSTMT_37_26_7)) ?v_50)) (?v_557 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 VARDECLSTMT_37_27_7)) ?v_51)) (?v_558 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 CLASSDECLSTMT_37_28_7)) ?v_52)) (?v_559 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 WHILESTMT_37_29_7)) ?v_53)) (?v_560 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 DOSTMT_37_30_7)) ?v_54)) (?v_561 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 SYNCHRONIZESTMT_37_31_7)) ?v_55)) (?v_562 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 EVALSTMT_37_32_7)) ?v_56)) (?v_563 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 RETURNSTMT_37_33_7)) ?v_57)) (?v_564 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 THROWSTMT_37_34_7)) ?v_58)) (?v_565 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 BREAKSTMT_37_35_7)) ?v_59)) (?v_566 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 CONTINUESTMT_37_36_7)) ?v_60)) (?v_567 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 LABELSTMT_37_37_7)) ?v_61)) (?v_568 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 IFSTMT_37_38_7)) ?v_62)) (?v_569 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 FORSTMT_37_39_7)) ?v_63)) (?v_570 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 SKIPSTMT_37_40_7)) ?v_64)) (?v_571 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 SWITCHLABEL_37_41_7)) ?v_65)) (?v_572 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 TRYFINALLYSTMT_37_42_7)) ?v_66)) (?v_573 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 TRYCATCHSTMT_37_43_7)) ?v_67)) (?v_574 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 CONSTRUCTORINVOCATION_37_44_7)) ?v_68)) (?v_575 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 CATCHCLAUSE_37_45_7)) ?v_69)) (?v_576 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 ARRAYINIT_37_46_7)) ?v_70)) (?v_577 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 THISEXPR_37_47_7)) ?v_71)) (?v_578 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 ARRAYREFEXPR_37_48_7)) ?v_72)) (?v_579 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 NEWINSTANCEEXPR_37_49_7)) ?v_73)) (?v_580 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 NEWARRAYEXPR_37_50_7)) ?v_74)) (?v_581 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 CONDEXPR_37_51_7)) ?v_75)) (?v_582 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 INSTANCEOFEXPR_37_52_7)) ?v_76)) (?v_583 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 CASTEXPR_37_53_7)) ?v_77)) (?v_584 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 PARENEXPR_37_54_7)) ?v_78)) (?v_585 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 AMBIGUOUSVARIABLEACCESS_37_55_7)) ?v_79)) (?v_586 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 VARIABLEACCESS_37_56_7)) ?v_80)) (?v_587 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 FIELDACCESS_37_57_7)) ?v_81)) (?v_588 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 AMBIGUOUSMETHODINVOCATION_37_58_7)) ?v_82)) (?v_589 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 METHODINVOCATION_37_59_7)) ?v_83)) (?v_590 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 CLASSLITERAL_37_60_7)) ?v_84)) (?v_591 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 EXPROBJECTDESIGNATOR_37_61_7)) ?v_85)) (?v_592 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 TYPEOBJECTDESIGNATOR_37_62_7)) ?v_86)) (?v_593 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 SUPEROBJECTDESIGNATOR_37_63_7)) ?v_87)) (?v_594 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 TYPENAME_37_64_7)) ?v_88)) (?v_595 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 ARRAYTYPE_37_65_7)) ?v_89)) (?v_596 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 SIMPLENAME_37_66_7)) ?v_90)) (?v_597 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 COMPOUNDNAME_37_67_7)) ?v_91)) (?v_598 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 OR_36_19_26)) ?v_17)) (?v_599 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 AND_36_20_26)) ?v_17)) (?v_600 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 BITOR_36_21_26)) ?v_17)) (?v_601 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 BITXOR_36_22_26)) ?v_17)) (?v_602 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 BITAND_36_23_26)) ?v_17)) (?v_603 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 NE_36_24_26)) ?v_17)) (?v_604 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 EQ_36_25_26)) ?v_17)) (?v_605 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 GE_36_26_26)) ?v_17)) (?v_606 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 GT_36_27_26)) ?v_17)) (?v_607 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 LE_36_28_26)) ?v_17)) (?v_608 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 LT_36_29_26)) ?v_17)) (?v_609 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 LSHIFT_36_30_26)) ?v_17)) (?v_610 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 RSHIFT_36_31_26)) ?v_17)) (?v_611 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 URSHIFT_36_32_26)) ?v_17)) (?v_612 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 ADD_36_33_26)) ?v_17)) (?v_613 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 SUB_36_34_26)) ?v_17)) (?v_614 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 DIV_36_35_26)) ?v_17)) (?v_615 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 MOD_36_36_26)) ?v_17)) (?v_616 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 STAR_36_37_26)) ?v_17)) (?v_617 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 ASSIGN_36_40_26)) ?v_17)) (?v_618 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 ASGMUL_36_41_26)) ?v_17)) (?v_619 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 ASGDIV_36_42_26)) ?v_17)) (?v_620 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 ASGREM_36_43_26)) ?v_17)) (?v_621 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 ASGADD_36_44_26)) ?v_17)) (?v_622 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 ASGSUB_36_45_26)) ?v_17)) (?v_623 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 ASGLSHIFT_36_46_26)) ?v_17)) (?v_624 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 ASGRSHIFT_36_47_26)) ?v_17)) (?v_625 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 ASGURSHIFT_36_48_26)) ?v_17)) (?v_626 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 ASGBITAND_36_49_26)) ?v_17)) (?v_627 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 ASGBITOR_36_50_26)) ?v_17)) (?v_628 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 ASGBITXOR_36_51_26)) ?v_17)) (?v_629 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 UNARYADD_36_54_26)) ?v_18)) (?v_630 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 UNARYSUB_36_55_26)) ?v_18)) (?v_631 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 NOT_36_56_26)) ?v_18)) (?v_632 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 BITNOT_36_57_26)) ?v_18)) (?v_633 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 INC_36_58_26)) ?v_18)) (?v_634 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 DEC_36_59_26)) ?v_18)) (?v_635 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 POSTFIXINC_36_62_26)) ?v_18)) (?v_636 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 POSTFIXDEC_36_63_26)) ?v_18)) (?v_637 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 BOOLEANTYPE_35_27_26)) ?v_19)) (?v_638 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 INTTYPE_35_28_26)) ?v_19)) (?v_639 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 LONGTYPE_35_29_26)) ?v_19)) (?v_640 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 CHARTYPE_35_30_26)) ?v_19)) (?v_641 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 FLOATTYPE_35_31_26)) ?v_19)) (?v_642 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 DOUBLETYPE_35_32_26)) ?v_19)) (?v_643 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 VOIDTYPE_35_33_26)) ?v_19)) (?v_644 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 NULLTYPE_35_34_26)) ?v_19)) (?v_645 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 BYTETYPE_35_35_26)) ?v_19)) (?v_646 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 SHORTTYPE_35_36_26)) ?v_19)) (?v_647 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 BOOLEANLIT_35_38_26)) ?v_20)) (?v_648 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 INTLIT_35_39_26)) ?v_20)) (?v_649 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 LONGLIT_35_40_26)) ?v_20)) (?v_650 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 CHARLIT_35_41_26)) ?v_20)) (?v_651 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 FLOATLIT_35_42_26)) ?v_20)) (?v_652 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 DOUBLELIT_35_43_26)) ?v_20)) (?v_653 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 STRINGLIT_35_44_26)) ?v_20)) (?v_654 (=> (and ?v_353 (= RES_77_8_0_84_43_84_43 NULLLIT_35_45_26)) ?v_20)) (?v_655 (= arg0_84_25_77_8_0_84_25_6__ (stringCat (stringCat (stringCat (stringCat S_84_33 RES_77_8_0_84_43_84_43) S_85_34) 0) S_85_55))) (?v_656 (= EC_77_8_0_84_25_84_25 ecReturn)) (?v_657 (not (= ecReturn C_77_8))) (?v_658 (= ecReturn L_77_8)) (?v_474 (= EC_71_60_71_60 ecReturn)) (?v_659 (not (= ecReturn ecThrow))) (?v_660 (or (= (PO_LT (typeof XRES_77_8_0_84_25_84_25) T_java_lang_IndexOutOfBoundsException) true_term) (= XRES_77_8_0_84_25_84_25 null)))) (not (=> (and (distinct ecReturn ecThrow C_77_8 L_77_8) (not (= S_84_33 null)) (= (typeof S_84_33) T_java_lang_String) (not (= S_85_55 null)) (= (typeof S_85_55) T_java_lang_String) (not (= S_71_25 null)) (= (typeof S_71_25) T_java_lang_String) (not (= S_85_34 null)) (= (typeof S_85_34) T_java_lang_String) (not (= S_71_53 null)) (= (typeof S_71_53) T_java_lang_String)) (=> (and (= IFSTMT_pre_37_38_7 IFSTMT_37_38_7) (= true_term (is IFSTMT_37_38_7 T_int)) (= loc_pre_157_22_13 loc_157_22_13) (= loc_157_22_13 (asField loc_157_22_13 T_int)) (= TYPEDECLELEMPRAGMA_pre_34_27_26 TYPEDECLELEMPRAGMA_34_27_26) (= true_term (is TYPEDECLELEMPRAGMA_34_27_26 T_int)) (= INTTYPE_pre_35_28_26 INTTYPE_35_28_26) (= true_term (is INTTYPE_35_28_26 T_int)) (= locOpenParen_pre_156_21_13 locOpenParen_156_21_13) (= locOpenParen_156_21_13 (asField locOpenParen_156_21_13 T_int)) (= POSTFIXDEC_pre_36_63_26 POSTFIXDEC_36_63_26) (= true_term (is POSTFIXDEC_36_63_26 T_int)) (= ARRAYTYPE_pre_37_65_7 ARRAYTYPE_37_65_7) (= true_term (is ARRAYTYPE_37_65_7 T_int)) (= locCloseBrace_pre_89_54_13 locCloseBrace_89_54_13) (= locCloseBrace_89_54_13 (asField locCloseBrace_89_54_13 T_int)) (= FORMALPARADECL_pre_37_24_7 FORMALPARADECL_37_24_7) (= true_term (is FORMALPARADECL_37_24_7 T_int)) (= value_pre_104_45_16 value_104_45_16) (= value_104_45_16 (asField value_104_45_16 T_java_lang_Object)) (< (fClosedTime value_104_45_16) alloc) (= locOpenParen_pre_159_30_13 locOpenParen_159_30_13) (= locOpenParen_159_30_13 (asField locOpenParen_159_30_13 T_int)) (= code_pre_17_1294_15 code_17_1294_15) (= code_17_1294_15 (asField code_17_1294_15 T_int)) (= locDot_pre_150_41_13 locDot_150_41_13) (= locDot_150_41_13 (asField locDot_150_41_13 T_int)) (= ASGSUB_pre_36_45_26 ASGSUB_36_45_26) (= true_term (is ASGSUB_36_45_26 T_int)) (= CONDEXPR_pre_37_51_7 CONDEXPR_37_51_7) (= true_term (is CONDEXPR_37_51_7 T_int)) (= keywordStrings_pre_34_181_30 keywordStrings_34_181_30) (= true_term (is keywordStrings_34_181_30 ?v_1)) (= true_term (isAllocated keywordStrings_34_181_30 alloc)) (= locGuardOpenParen_pre_135_23_13 locGuardOpenParen_135_23_13) (= locGuardOpenParen_135_23_13 (asField locGuardOpenParen_135_23_13 T_int)) (= FLOATLIT_pre_35_42_26 FLOATLIT_35_42_26) (= true_term (is FLOATLIT_35_42_26 T_int)) (= LT_pre_36_29_26 LT_36_29_26) (= true_term (is LT_36_29_26 T_int)) (= LABELSTMT_pre_37_37_7 LABELSTMT_37_37_7) (= true_term (is LABELSTMT_37_37_7 T_int)) (= STMTPRAGMA_pre_34_26_26 STMTPRAGMA_34_26_26) (= true_term (is STMTPRAGMA_34_26_26 T_int)) (= loc_pre_137_20_13 loc_137_20_13) (= loc_137_20_13 (asField loc_137_20_13 T_int)) (= BOOLEANTYPE_pre_35_27_26 BOOLEANTYPE_35_27_26) (= true_term (is BOOLEANTYPE_35_27_26 T_int)) (= POSTFIXINC_pre_36_62_26 POSTFIXINC_36_62_26) (= true_term (is POSTFIXINC_36_62_26 T_int)) (= TYPENAME_pre_37_64_7 TYPENAME_37_64_7) (= true_term (is TYPENAME_37_64_7 T_int)) (= owner_pre_4_35_28 owner_4_35_28) (= owner_4_35_28 (asField owner_4_35_28 T_java_lang_Object)) (< (fClosedTime owner_4_35_28) alloc) (= locDot_pre_161_23_13 locDot_161_23_13) (= locDot_161_23_13 (asField locDot_161_23_13 T_int)) (= FIELDDECL_pre_37_23_7 FIELDDECL_37_23_7) (= true_term (is FIELDDECL_37_23_7 T_int)) (= tag_pre_103_30_13 tag_103_30_13) (= tag_103_30_13 (asField tag_103_30_13 T_int)) (= NULL_pre_66_60_26 NULL_66_60_26) (= true_term (is NULL_66_60_26 T_int)) (= ASGADD_pre_36_44_26 ASGADD_36_44_26) (= true_term (is ASGADD_36_44_26 T_int)) (= NEWARRAYEXPR_pre_37_50_7 NEWARRAYEXPR_37_50_7) (= true_term (is NEWARRAYEXPR_37_50_7 T_int)) (= loc_pre_142_18_13 loc_142_18_13) (= loc_142_18_13 (asField loc_142_18_13 T_int)) (= loc_pre_123_40_13 loc_123_40_13) (= loc_123_40_13 (asField loc_123_40_13 T_int)) (= CHARLIT_pre_35_41_26 CHARLIT_35_41_26) (= true_term (is CHARLIT_35_41_26 T_int)) (= LE_pre_36_28_26 LE_36_28_26) (= true_term (is LE_36_28_26 T_int)) (= CONTINUESTMT_pre_37_36_7 CONTINUESTMT_37_36_7) (= true_term (is CONTINUESTMT_37_36_7 T_int)) (= loc_pre_166_20_13 loc_166_20_13) (= loc_166_20_13 (asField loc_166_20_13 T_int)) (= loc_pre_110_22_13 loc_110_22_13) (= loc_110_22_13 (asField loc_110_22_13 T_int)) (= IDENT_pre_35_25_26 IDENT_35_25_26) (= true_term (is IDENT_35_25_26 T_int)) (= expr_pre_39_15_28 expr_39_15_28) (= expr_39_15_28 (asField expr_39_15_28 T_javafe_ast_Expr)) (< (fClosedTime expr_39_15_28) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select expr_39_15_28 ?s) null)))) (= DEC_pre_36_59_26 DEC_36_59_26) (= true_term (is DEC_36_59_26 T_int)) (= SUPEROBJECTDESIGNATOR_pre_37_63_7 SUPEROBJECTDESIGNATOR_37_63_7) (= true_term (is SUPEROBJECTDESIGNATOR_37_63_7 T_int)) (= MODIFIERPRAGMA_pre_34_25_26 MODIFIERPRAGMA_34_25_26) (= true_term (is MODIFIERPRAGMA_34_25_26 T_int)) (= locCloseBracket_pre_151_23_13 locCloseBracket_151_23_13) (= locCloseBracket_151_23_13 (asField locCloseBracket_151_23_13 T_int)) (= LOCALVARDECL_pre_37_22_7 LOCALVARDECL_37_22_7) (= true_term (is LOCALVARDECL_37_22_7 T_int)) (= startingLoc_pre_18_65_15 startingLoc_18_65_15) (= startingLoc_18_65_15 (asField startingLoc_18_65_15 T_int)) (= loc_pre_155_21_13 loc_155_21_13) (= loc_155_21_13 (asField loc_155_21_13 T_int)) (= seqFormalParaDecl_pre_25_64_46 seqFormalParaDecl_25_64_46) (= seqFormalParaDecl_25_64_46 (asField seqFormalParaDecl_25_64_46 T_javafe_util_StackVector)) (< (fClosedTime seqFormalParaDecl_25_64_46) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select seqFormalParaDecl_25_64_46 ?s_1_) null)))) (= err_pre_5_97_50 err_5_97_50) (= true_term (is err_5_97_50 T_java_io_PrintStream)) (= true_term (isAllocated err_5_97_50 alloc)) (not (= err_5_97_50 null)) (= locId_pre_111_38_13 locId_111_38_13) (= locId_111_38_13 (asField locId_111_38_13 T_int)) (= in_pre_5_56_50 in_5_56_50) (= true_term (is in_5_56_50 T_java_io_InputStream)) (= true_term (isAllocated in_5_56_50 alloc)) (not (= in_5_56_50 null)) (= ASGREM_pre_36_43_26 ASGREM_36_43_26) (= true_term (is ASGREM_36_43_26 T_int)) (= NEWINSTANCEEXPR_pre_37_49_7 NEWINSTANCEEXPR_37_49_7) (= true_term (is NEWINSTANCEEXPR_37_49_7 T_int)) (= LONGLIT_pre_35_40_26 LONGLIT_35_40_26) (= true_term (is LONGLIT_35_40_26 T_int)) (= GT_pre_36_27_26 GT_36_27_26) (= true_term (is GT_36_27_26 T_int)) (= BREAKSTMT_pre_37_35_7 BREAKSTMT_37_35_7) (= true_term (is BREAKSTMT_37_35_7 T_int)) (= elements_pre_118_61_38 elements_118_61_38) (= elements_118_61_38 (asField elements_118_61_38 (array T_javafe_ast_FieldDecl))) (< (fClosedTime elements_118_61_38) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select elements_118_61_38 ?s_2_) null)))) (= INC_pre_36_58_26 INC_36_58_26) (= true_term (is INC_36_58_26 T_int)) (= TYPEOBJECTDESIGNATOR_pre_37_62_7 TYPEOBJECTDESIGNATOR_37_62_7) (= true_term (is TYPEOBJECTDESIGNATOR_37_62_7 T_int)) (= type_pre_156_18_28 type_156_18_28) (= type_156_18_28 (asField type_156_18_28 T_javafe_ast_Type)) (< (fClosedTime type_156_18_28) alloc) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (not (= (S_select type_156_18_28 ?s_3_) null)))) (= LEXICALPRAGMA_pre_34_24_26 LEXICALPRAGMA_34_24_26) (= true_term (is LEXICALPRAGMA_34_24_26 T_int)) (= INITBLOCK_pre_37_21_7 INITBLOCK_37_21_7) (= true_term (is INITBLOCK_37_21_7 T_int)) (= locOpenBrace_pre_89_51_13 locOpenBrace_89_51_13) (= locOpenBrace_89_51_13 (asField locOpenBrace_89_51_13 T_int)) (= ASGDIV_pre_36_42_26 ASGDIV_36_42_26) (= true_term (is ASGDIV_36_42_26 T_int)) (= seqModifierPragma_pre_29_74_32 seqModifierPragma_29_74_32) (= seqModifierPragma_29_74_32 (asField seqModifierPragma_29_74_32 T_javafe_util_StackVector)) (< (fClosedTime seqModifierPragma_29_74_32) alloc) (= ARRAYREFEXPR_pre_37_48_7 ARRAYREFEXPR_37_48_7) (= true_term (is ARRAYREFEXPR_37_48_7 T_int)) (= locFirstSemi_pre_94_36_13 locFirstSemi_94_36_13) (= locFirstSemi_94_36_13 (asField locFirstSemi_94_36_13 T_int)) (= tokenType_pre_67_90_8 tokenType_67_90_8) (= tokenType_67_90_8 (asField tokenType_67_90_8 T_int)) (= INTLIT_pre_35_39_26 INTLIT_35_39_26) (= true_term (is INTLIT_35_39_26 T_int)) (= GE_pre_36_26_26 GE_36_26_26) (= true_term (is GE_36_26_26 T_int)) (= THROWSTMT_pre_37_34_7 THROWSTMT_37_34_7) (= true_term (is THROWSTMT_37_34_7 T_int)) (= elements_pre_86_72_21 elements_86_72_21) (= elements_86_72_21 (asField elements_86_72_21 (array T_java_lang_Object))) (< (fClosedTime elements_86_72_21) alloc) (= locSuper_pre_164_20_13 locSuper_164_20_13) (= locSuper_164_20_13 (asField locSuper_164_20_13 T_int)) (= locType_pre_122_21_13 locType_122_21_13) (= locType_122_21_13 (asField locType_122_21_13 T_int)) (= BITNOT_pre_36_57_26 BITNOT_36_57_26) (= true_term (is BITNOT_36_57_26 T_int)) (= seqTypeDeclElem_pre_27_1161_46 seqTypeDeclElem_27_1161_46) (= seqTypeDeclElem_27_1161_46 (asField seqTypeDeclElem_27_1161_46 T_javafe_util_StackVector)) (< (fClosedTime seqTypeDeclElem_27_1161_46) alloc) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (not (= (S_select seqTypeDeclElem_27_1161_46 ?s_4_) null)))) (= EXPROBJECTDESIGNATOR_pre_37_61_7 EXPROBJECTDESIGNATOR_37_61_7) (= true_term (is EXPROBJECTDESIGNATOR_37_61_7 T_int)) (= otherCodes_pre_34_202_27 otherCodes_34_202_27) (= true_term (is otherCodes_34_202_27 ?v_0)) (= true_term (isAllocated otherCodes_34_202_27 alloc)) (= METHODDECL_pre_37_20_7 METHODDECL_37_20_7) (= true_term (is METHODDECL_37_20_7 T_int)) (= op_pre_106_26_13 op_106_26_13) (= op_106_26_13 (asField op_106_26_13 T_int)) (= length_pre_101_50_25 length_101_50_25) (= length_101_50_25 (asField length_101_50_25 T_int)) (= enclosingInstance_pre_150_37_14 enclosingInstance_150_37_14) (= enclosingInstance_150_37_14 (asField enclosingInstance_150_37_14 T_javafe_ast_Expr)) (< (fClosedTime enclosingInstance_150_37_14) alloc) (= ASGMUL_pre_36_41_26 ASGMUL_36_41_26) (= true_term (is ASGMUL_36_41_26 T_int)) (= locOpenBracket_pre_165_21_13 locOpenBracket_165_21_13) (= locOpenBracket_165_21_13 (asField locOpenBracket_165_21_13 T_int)) (= THISEXPR_pre_37_47_7 THISEXPR_37_47_7) (= true_term (is THISEXPR_37_47_7 T_int)) (= locFinally_pre_148_25_13 locFinally_148_25_13) (= locFinally_148_25_13 (asField locFinally_148_25_13 T_int)) (= ids_pre_168_19_37 ids_168_19_37) (= ids_168_19_37 (asField ids_168_19_37 T_javafe_ast_IdentifierVec)) (< (fClosedTime ids_168_19_37) alloc) (forall ((?s_5_ Int)) (=> (not (= ?s_5_ null)) (not (= (S_select ids_168_19_37 ?s_5_) null)))) (= loc_pre_153_49_13 loc_153_49_13) (= loc_153_49_13 (asField loc_153_49_13 T_int)) (= BOOLEANLIT_pre_35_38_26 BOOLEANLIT_35_38_26) (= true_term (is BOOLEANLIT_35_38_26 T_int)) (= type_pre_153_24_28 type_153_24_28) (= type_153_24_28 (asField type_153_24_28 T_javafe_ast_Type)) (< (fClosedTime type_153_24_28) alloc) (forall ((?s_6_ Int)) (=> (not (= ?s_6_ null)) (not (= (S_select type_153_24_28 ?s_6_) null)))) (= EQ_pre_36_25_26 EQ_36_25_26) (= true_term (is EQ_36_25_26 T_int)) (= RETURNSTMT_pre_37_33_7 RETURNSTMT_37_33_7) (= true_term (is RETURNSTMT_37_33_7 T_int)) (= loc_pre_145_22_13 loc_145_22_13) (= loc_145_22_13 (asField loc_145_22_13 T_int)) (= locColon_pre_154_25_13 locColon_154_25_13) (= locColon_154_25_13 (asField locColon_154_25_13 T_int)) (= NOT_pre_36_56_26 NOT_36_56_26) (= true_term (is NOT_36_56_26 T_int)) (= CLASSLITERAL_pre_37_60_7 CLASSLITERAL_37_60_7) (= true_term (is CLASSLITERAL_37_60_7 T_int)) (= NULL_pre_34_82_26 NULL_34_82_26) (= true_term (is NULL_34_82_26 T_int)) (= loc_pre_135_20_13 loc_135_20_13) (= loc_135_20_13 (asField loc_135_20_13 T_int)) (= count_pre_118_67_33 count_118_67_33) (= count_118_67_33 (asField count_118_67_33 T_int)) (= CONSTRUCTORDECL_pre_37_19_7 CONSTRUCTORDECL_37_19_7) (= true_term (is CONSTRUCTORDECL_37_19_7 T_int)) (= locOp_pre_105_43_13 locOp_105_43_13) (= locOp_105_43_13 (asField locOp_105_43_13 T_int)) (= type_pre_155_18_28 type_155_18_28) (= type_155_18_28 (asField type_155_18_28 T_javafe_ast_Type)) (< (fClosedTime type_155_18_28) alloc) (forall ((?s_7_ Int)) (=> (not (= ?s_7_ null)) (not (= (S_select type_155_18_28 ?s_7_) null)))) (= type_pre_111_35_28 type_111_35_28) (= type_111_35_28 (asField type_111_35_28 T_javafe_ast_Type)) (< (fClosedTime type_111_35_28) alloc) (forall ((?s_8_ Int)) (=> (not (= ?s_8_ null)) (not (= (S_select type_111_35_28 ?s_8_) null)))) (= ASSIGN_pre_36_40_26 ASSIGN_36_40_26) (= true_term (is ASSIGN_36_40_26 T_int)) (= ARRAYINIT_pre_37_46_7 ARRAYINIT_37_46_7) (= true_term (is ARRAYINIT_37_46_7 T_int)) (= loc_pre_87_30_13 loc_87_30_13) (= loc_87_30_13 (asField loc_87_30_13 T_int)) (= locDot_pre_152_29_13 locDot_152_29_13) (= locDot_152_29_13 (asField locDot_152_29_13 T_int)) (= locOpenBracket_pre_151_20_13 locOpenBracket_151_20_13) (= locOpenBracket_151_20_13 (asField locOpenBracket_151_20_13 T_int)) (= locCloseBrace_pre_100_24_13 locCloseBrace_100_24_13) (= locCloseBrace_100_24_13 (asField locCloseBrace_100_24_13 T_int)) (= type_pre_161_20_28 type_161_20_28) (= type_161_20_28 (asField type_161_20_28 T_javafe_ast_Type)) (< (fClosedTime type_161_20_28) alloc) (forall ((?s_9_ Int)) (=> (not (= ?s_9_ null)) (not (= (S_select type_161_20_28 ?s_9_) null)))) (= SHORTTYPE_pre_35_36_26 SHORTTYPE_35_36_26) (= true_term (is SHORTTYPE_35_36_26 T_int)) (= elements_pre_99_61_33 elements_99_61_33) (= elements_99_61_33 (asField elements_99_61_33 (array T_javafe_ast_Expr))) (< (fClosedTime elements_99_61_33) alloc) (forall ((?s_10_ Int)) (=> (not (= ?s_10_ null)) (not (= (S_select elements_99_61_33 ?s_10_) null)))) (= NE_pre_36_24_26 NE_36_24_26) (= true_term (is NE_36_24_26 T_int)) (= EVALSTMT_pre_37_32_7 EVALSTMT_37_32_7) (= true_term (is EVALSTMT_37_32_7 T_int)) (= nameIdLocs_pre_28_62_28 nameIdLocs_28_62_28) (= nameIdLocs_28_62_28 (asField nameIdLocs_28_62_28 ?v_0)) (< (fClosedTime nameIdLocs_28_62_28) alloc) (forall ((?s_11_ Int)) (=> (not (= ?s_11_ null)) (not (= (S_select nameIdLocs_28_62_28 ?s_11_) null)))) (= loc_pre_95_18_13 loc_95_18_13) (= loc_95_18_13 (asField loc_95_18_13 T_int)) (= loc_pre_140_18_13 loc_140_18_13) (= loc_140_18_13 (asField loc_140_18_13 T_int)) (= UNARYSUB_pre_36_55_26 UNARYSUB_36_55_26) (= true_term (is UNARYSUB_36_55_26 T_int)) (= METHODINVOCATION_pre_37_59_7 METHODINVOCATION_37_59_7) (= true_term (is METHODINVOCATION_37_59_7 T_int)) (= EOF_pre_34_17_26 EOF_34_17_26) (= true_term (is EOF_34_17_26 T_int)) (= locOpenBrackets_pre_153_65_29 locOpenBrackets_153_65_29) (= locOpenBrackets_153_65_29 (asField locOpenBrackets_153_65_29 ?v_0)) (< (fClosedTime locOpenBrackets_153_65_29) alloc) (forall ((?s_12_ Int)) (=> (not (= ?s_12_ null)) (not (= (S_select locOpenBrackets_153_65_29 ?s_12_) null)))) (= INTERFACEDECL_pre_37_18_7 INTERFACEDECL_37_18_7) (= true_term (is INTERFACEDECL_37_18_7 T_int)) (= elementCount_pre_86_79_33 elementCount_86_79_33) (= elementCount_86_79_33 (asField elementCount_86_79_33 T_int)) (= locId_pre_89_48_13 locId_89_48_13) (= locId_89_48_13 (asField locId_89_48_13 T_int)) (= elements_pre_167_61_39 elements_167_61_39) (= elements_167_61_39 (asField elements_167_61_39 (array T_javafe_ast_Identifier))) (< (fClosedTime elements_167_61_39) alloc) (forall ((?s_13_ Int)) (=> (not (= ?s_13_ null)) (not (= (S_select elements_167_61_39 ?s_13_) null)))) (= locOpenParen_pre_152_52_13 locOpenParen_152_52_13) (= locOpenParen_152_52_13 (asField locOpenParen_152_52_13 T_int)) (= elementType_pre_86_43_27 elementType_86_43_27) (= elementType_86_43_27 (asField elementType_86_43_27 T__TYPE)) (= TYPESIG_pre_107_6_28 TYPESIG_107_6_28) (= true_term (is TYPESIG_107_6_28 T_int)) (= STAR_pre_36_37_26 STAR_36_37_26) (= true_term (is STAR_36_37_26 T_int)) (= CATCHCLAUSE_pre_37_45_7 CATCHCLAUSE_37_45_7) (= true_term (is CATCHCLAUSE_37_45_7 T_int)) (= loc_pre_94_33_13 loc_94_33_13) (= loc_94_33_13 (asField loc_94_33_13 T_int)) (= locCloseBrace_pre_127_25_13 locCloseBrace_127_25_13) (= locCloseBrace_127_25_13 (asField locCloseBrace_127_25_13 T_int)) (= BYTETYPE_pre_35_35_26 BYTETYPE_35_35_26) (= true_term (is BYTETYPE_35_35_26 T_int)) (= seqStmt_pre_26_70_46 seqStmt_26_70_46) (= seqStmt_26_70_46 (asField seqStmt_26_70_46 T_javafe_util_StackVector)) (< (fClosedTime seqStmt_26_70_46) alloc) (forall ((?s_14_ Int)) (=> (not (= ?s_14_ null)) (not (= (S_select seqStmt_26_70_46 ?s_14_) null)))) (= BITAND_pre_36_23_26 BITAND_36_23_26) (= true_term (is BITAND_36_23_26 T_int)) (= SYNCHRONIZESTMT_pre_37_31_7 SYNCHRONIZESTMT_37_31_7) (= true_term (is SYNCHRONIZESTMT_37_31_7 T_int)) (= identifierVal_pre_18_80_22 identifierVal_18_80_22) (= identifierVal_18_80_22 (asField identifierVal_18_80_22 T_javafe_ast_Identifier)) (< (fClosedTime identifierVal_18_80_22) alloc) (= loc_pre_136_20_13 loc_136_20_13) (= loc_136_20_13 (asField loc_136_20_13 T_int)) (= seqExpr_pre_27_1145_46 seqExpr_27_1145_46) (= seqExpr_27_1145_46 (asField seqExpr_27_1145_46 T_javafe_util_StackVector)) (< (fClosedTime seqExpr_27_1145_46) alloc) (forall ((?s_15_ Int)) (=> (not (= ?s_15_ null)) (not (= (S_select seqExpr_27_1145_46 ?s_15_) null)))) (= UNARYADD_pre_36_54_26 UNARYADD_36_54_26) (= true_term (is UNARYADD_36_54_26 T_int)) (= AMBIGUOUSMETHODINVOCATION_pre_37_58_7 AMBIGUOUSMETHODINVOCATION_37_58_7) (= true_term (is AMBIGUOUSMETHODINVOCATION_37_58_7 T_int)) (= loc_pre_146_16_13 loc_146_16_13) (= loc_146_16_13 (asField loc_146_16_13 T_int)) (= locIds_pre_168_25_29 locIds_168_25_29) (= locIds_168_25_29 (asField locIds_168_25_29 ?v_0)) (< (fClosedTime locIds_168_25_29) alloc) (forall ((?s_16_ Int)) (=> (not (= ?s_16_ null)) (not (= (S_select locIds_168_25_29 ?s_16_) null)))) (= CLASSDECL_pre_37_17_7 CLASSDECL_37_17_7) (= true_term (is CLASSDECL_37_17_7 T_int)) (= MOD_pre_36_36_26 MOD_36_36_26) (= true_term (is MOD_36_36_26 T_int)) (= CONSTRUCTORINVOCATION_pre_37_44_7 CONSTRUCTORINVOCATION_37_44_7) (= true_term (is CONSTRUCTORINVOCATION_37_44_7 T_int)) (= punctuationStrings_pre_34_134_22 punctuationStrings_34_134_22) (= true_term (is punctuationStrings_34_134_22 ?v_1)) (= true_term (isAllocated punctuationStrings_34_134_22 alloc)) (= locOpenBrace_pre_123_36_13 locOpenBrace_123_36_13) (= locOpenBrace_123_36_13 (asField locOpenBrace_123_36_13 T_int)) (= dims_pre_153_45_31 dims_153_45_31) (= dims_153_45_31 (asField dims_153_45_31 T_javafe_ast_ExprVec)) (< (fClosedTime dims_153_45_31) alloc) (forall ((?s_17_ Int)) (=> (not (= ?s_17_ null)) (not (= (S_select dims_153_45_31 ?s_17_) null)))) (= seqImportDecl_pre_25_72_46 seqImportDecl_25_72_46) (= seqImportDecl_25_72_46 (asField seqImportDecl_25_72_46 T_javafe_util_StackVector)) (< (fClosedTime seqImportDecl_25_72_46) alloc) (forall ((?s_18_ Int)) (=> (not (= ?s_18_ null)) (not (= (S_select seqImportDecl_25_72_46 ?s_18_) null)))) (= locOpenParen_pre_150_48_13 locOpenParen_150_48_13) (= locOpenParen_150_48_13 (asField locOpenParen_150_48_13 T_int)) (= NULLTYPE_pre_35_34_26 NULLTYPE_35_34_26) (= true_term (is NULLTYPE_35_34_26 T_int)) (= BITXOR_pre_36_22_26 BITXOR_36_22_26) (= true_term (is BITXOR_36_22_26 T_int)) (= loc_pre_148_22_13 loc_148_22_13) (= loc_148_22_13 (asField loc_148_22_13 T_int)) (= DOSTMT_pre_37_30_7 DOSTMT_37_30_7) (= true_term (is DOSTMT_37_30_7 T_int)) (= out_pre_5_83_49 out_5_83_49) (= true_term (is out_5_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_5_83_49 alloc)) (not (= out_5_83_49 null)) (= count_pre_99_67_33 count_99_67_33) (= count_99_67_33 (asField count_99_67_33 T_int)) (= locQuestion_pre_154_22_13 locQuestion_154_22_13) (= locQuestion_154_22_13 (asField locQuestion_154_22_13 T_int)) (= ASGBITXOR_pre_36_51_26 ASGBITXOR_36_51_26) (= true_term (is ASGBITXOR_36_51_26 T_int)) (= FIELDACCESS_pre_37_57_7 FIELDACCESS_37_57_7) (= true_term (is FIELDACCESS_37_57_7 T_int)) (= body_pre_123_34_19 body_123_34_19) (= body_123_34_19 (asField body_123_34_19 T_javafe_ast_BlockStmt)) (< (fClosedTime body_123_34_19) alloc) (= locCloseParen_pre_39_21_13 locCloseParen_39_21_13) (= locCloseParen_39_21_13 (asField locCloseParen_39_21_13 T_int)) (= ONDEMANDIMPORTDECL_pre_37_16_7 ONDEMANDIMPORTDECL_37_16_7) (= true_term (is ONDEMANDIMPORTDECL_37_16_7 T_int)) (= ttype_pre_18_52_15 ttype_18_52_15) (= ttype_18_52_15 (asField ttype_18_52_15 T_int)) (= DIV_pre_36_35_26 DIV_36_35_26) (= true_term (is DIV_36_35_26 T_int)) (= count_pre_167_67_33 count_167_67_33) (= count_167_67_33 (asField count_167_67_33 T_int)) (= TRYCATCHSTMT_pre_37_43_7 TRYCATCHSTMT_37_43_7) (= true_term (is TRYCATCHSTMT_37_43_7 T_int)) (= VOIDTYPE_pre_35_33_26 VOIDTYPE_35_33_26) (= true_term (is VOIDTYPE_35_33_26 T_int)) (= locOpenBrace_pre_100_21_13 locOpenBrace_100_21_13) (= locOpenBrace_100_21_13 (asField locOpenBrace_100_21_13 T_int)) (= BITOR_pre_36_21_26 BITOR_36_21_26) (= true_term (is BITOR_36_21_26 T_int)) (= WHILESTMT_pre_37_29_7 WHILESTMT_37_29_7) (= true_term (is WHILESTMT_37_29_7 T_int)) (= FIRST_KEYWORD_pre_34_51_26 FIRST_KEYWORD_34_51_26) (= true_term (is FIRST_KEYWORD_34_51_26 T_int)) (= elemType_pre_165_18_28 elemType_165_18_28) (= elemType_165_18_28 (asField elemType_165_18_28 T_javafe_ast_Type)) (< (fClosedTime elemType_165_18_28) alloc) (forall ((?s_19_ Int)) (=> (not (= ?s_19_ null)) (not (= (S_select elemType_165_18_28 ?s_19_) null)))) (= ASGBITOR_pre_36_50_26 ASGBITOR_36_50_26) (= true_term (is ASGBITOR_36_50_26 T_int)) (= VARIABLEACCESS_pre_37_56_7 VARIABLEACCESS_37_56_7) (= true_term (is VARIABLEACCESS_37_56_7 T_int)) (= SINGLETYPEIMPORTDECL_pre_37_15_7 SINGLETYPEIMPORTDECL_37_15_7) (= true_term (is SINGLETYPEIMPORTDECL_37_15_7 T_int)) (= locDots_pre_168_31_29 locDots_168_31_29) (= locDots_168_31_29 (asField locDots_168_31_29 ?v_0)) (< (fClosedTime locDots_168_31_29) alloc) (forall ((?s_20_ Int)) (=> (not (= ?s_20_ null)) (not (= (S_select locDots_168_31_29 ?s_20_) null)))) (= loc_pre_125_29_13 loc_125_29_13) (= loc_125_29_13 (asField loc_125_29_13 T_int)) (= loc_pre_89_45_13 loc_89_45_13) (= loc_89_45_13 (asField loc_89_45_13 T_int)) (= syntax_pre_96_28_29 syntax_96_28_29) (= syntax_96_28_29 (asField syntax_96_28_29 T_boolean)) (= enclosingInstance_pre_152_25_14 enclosingInstance_152_25_14) (= enclosingInstance_152_25_14 (asField enclosingInstance_152_25_14 T_javafe_ast_Expr)) (< (fClosedTime enclosingInstance_152_25_14) alloc) (= SUB_pre_36_34_26 SUB_36_34_26) (= true_term (is SUB_36_34_26 T_int)) (= loc_pre_152_49_13 loc_152_49_13) (= loc_152_49_13 (asField loc_152_49_13 T_int)) (= TRYFINALLYSTMT_pre_37_42_7 TRYFINALLYSTMT_37_42_7) (= true_term (is TRYFINALLYSTMT_37_42_7 T_int)) (= tag_pre_104_32_13 tag_104_32_13) (= tag_104_32_13 (asField tag_104_32_13 T_int)) (= locDot_pre_126_21_13 locDot_126_21_13) (= locDot_126_21_13 (asField locDot_126_21_13 T_int)) (= returnType_pre_122_18_28 returnType_122_18_28) (= returnType_122_18_28 (asField returnType_122_18_28 T_javafe_ast_Type)) (< (fClosedTime returnType_122_18_28) alloc) (forall ((?s_21_ Int)) (=> (not (= ?s_21_ null)) (not (= (S_select returnType_122_18_28 ?s_21_) null)))) (= locOpenBrace_pre_127_22_13 locOpenBrace_127_22_13) (= locOpenBrace_127_22_13 (asField locOpenBrace_127_22_13 T_int)) (= DOUBLETYPE_pre_35_32_26 DOUBLETYPE_35_32_26) (= true_term (is DOUBLETYPE_35_32_26 T_int)) (= locOpenParen_pre_160_28_13 locOpenParen_160_28_13) (= locOpenParen_160_28_13 (asField locOpenParen_160_28_13 T_int)) (= auxVal_pre_18_127_18 auxVal_18_127_18) (= auxVal_18_127_18 (asField auxVal_18_127_18 T_java_lang_Object)) (< (fClosedTime auxVal_18_127_18) alloc) (= CLASSDECLSTMT_pre_37_28_7 CLASSDECLSTMT_37_28_7) (= true_term (is CLASSDECLSTMT_37_28_7 T_int)) (= ASGBITAND_pre_36_49_26 ASGBITAND_36_49_26) (= true_term (is ASGBITAND_36_49_26 T_int)) (= AMBIGUOUSVARIABLEACCESS_pre_37_55_7 AMBIGUOUSVARIABLEACCESS_37_55_7) (= true_term (is AMBIGUOUSVARIABLEACCESS_37_55_7 T_int)) (= COMPILATIONUNIT_pre_37_14_7 COMPILATIONUNIT_37_14_7) (= true_term (is COMPILATIONUNIT_37_14_7 T_int)) (= locOpenParen_pre_137_23_13 locOpenParen_137_23_13) (= locOpenParen_137_23_13 (asField locOpenParen_137_23_13 T_int)) (= ADD_pre_36_33_26 ADD_36_33_26) (= true_term (is ADD_36_33_26 T_int)) (= SWITCHLABEL_pre_37_41_7 SWITCHLABEL_37_41_7) (= true_term (is SWITCHLABEL_37_41_7 T_int)) (= LAST_KEYWORD_pre_34_103_26 LAST_KEYWORD_34_103_26) (= true_term (is LAST_KEYWORD_34_103_26 T_int)) (= seqTypeName_pre_25_56_46 seqTypeName_25_56_46) (= seqTypeName_25_56_46 (asField seqTypeName_25_56_46 T_javafe_util_StackVector)) (< (fClosedTime seqTypeName_25_56_46) alloc) (forall ((?s_22_ Int)) (=> (not (= ?s_22_ null)) (not (= (S_select seqTypeName_25_56_46 ?s_22_) null)))) (= locCloseParen_pre_156_24_13 locCloseParen_156_24_13) (= locCloseParen_156_24_13 (asField locCloseParen_156_24_13 T_int)) (= m_in_pre_17_212_46 m_in_17_212_46) (= m_in_17_212_46 (asField m_in_17_212_46 T_javafe_util_CorrelatedReader)) (< (fClosedTime m_in_17_212_46) alloc) (= COMMA_pre_34_33_26 COMMA_34_33_26) (= true_term (is COMMA_34_33_26 T_int)) (= FLOATTYPE_pre_35_31_26 FLOATTYPE_35_31_26) (= true_term (is FLOATTYPE_35_31_26 T_int)) (= loc_pre_149_23_13 loc_149_23_13) (= loc_149_23_13 (asField loc_149_23_13 T_int)) (= locKeyword_pre_150_45_13 locKeyword_150_45_13) (= locKeyword_150_45_13 (asField locKeyword_150_45_13 T_int)) (= loc_pre_104_50_13 loc_104_50_13) (= loc_104_50_13 (asField loc_104_50_13 T_int)) (= VARDECLSTMT_pre_37_27_7 VARDECLSTMT_37_27_7) (= true_term (is VARDECLSTMT_37_27_7 T_int)) (= elements_pre_119_61_39 elements_119_61_39) (= elements_119_61_39 (asField elements_119_61_39 (array T_javafe_ast_MethodDecl))) (< (fClosedTime elements_119_61_39) alloc) (forall ((?s_23_ Int)) (=> (not (= ?s_23_ null)) (not (= (S_select elements_119_61_39 ?s_23_) null)))) (= AND_pre_36_20_26 AND_36_20_26) (= true_term (is AND_36_20_26 T_int)) (= loc_pre_147_29_13 loc_147_29_13) (= loc_147_29_13 (asField loc_147_29_13 T_int)) (= ASGURSHIFT_pre_36_48_26 ASGURSHIFT_36_48_26) (= true_term (is ASGURSHIFT_36_48_26 T_int)) (= PARENEXPR_pre_37_54_7 PARENEXPR_37_54_7) (= true_term (is PARENEXPR_37_54_7 T_int)) (= loc_pre_139_18_13 loc_139_18_13) (= loc_139_18_13 (asField loc_139_18_13 T_int)) (= seqIdentifier_pre_28_33_46 seqIdentifier_28_33_46) (= seqIdentifier_28_33_46 (asField seqIdentifier_28_33_46 T_javafe_util_StackVector)) (< (fClosedTime seqIdentifier_28_33_46) alloc) (forall ((?s_24_ Int)) (=> (not (= ?s_24_ null)) (not (= (S_select seqIdentifier_28_33_46 ?s_24_) null)))) (= nameDotLocs_pre_28_65_28 nameDotLocs_28_65_28) (= nameDotLocs_28_65_28 (asField nameDotLocs_28_65_28 ?v_0)) (< (fClosedTime nameDotLocs_28_65_28) alloc) (forall ((?s_25_ Int)) (=> (not (= ?s_25_ null)) (not (= (S_select nameDotLocs_28_65_28 ?s_25_) null)))) (= NULLLIT_pre_35_45_26 NULLLIT_35_45_26) (= true_term (is NULLLIT_35_45_26 T_int)) (= otherStrings_pre_34_193_30 otherStrings_34_193_30) (= true_term (is otherStrings_34_193_30 ?v_1)) (= true_term (isAllocated otherStrings_34_193_30 alloc)) (= noTokens_pre_34_212_27 noTokens_34_212_27) (= true_term (is noTokens_34_212_27 T_int)) (= URSHIFT_pre_36_32_26 URSHIFT_36_32_26) (= true_term (is URSHIFT_36_32_26 T_int)) (= SKIPSTMT_pre_37_40_7 SKIPSTMT_37_40_7) (= true_term (is SKIPSTMT_37_40_7 T_int)) (= currentStackBottom_pre_86_87_33 currentStackBottom_86_87_33) (= currentStackBottom_86_87_33 (asField currentStackBottom_86_87_33 T_int)) (= locId_pre_144_20_13 locId_144_20_13) (= locId_144_20_13 (asField locId_144_20_13 T_int)) (= superCall_pre_150_24_17 superCall_150_24_17) (= superCall_150_24_17 (asField superCall_150_24_17 T_boolean)) (= CHARTYPE_pre_35_30_26 CHARTYPE_35_30_26) (= true_term (is CHARTYPE_35_30_26 T_int)) (= COMPOUNDNAME_pre_37_67_7 COMPOUNDNAME_37_67_7) (= true_term (is COMPOUNDNAME_37_67_7 T_int)) (= loc_pre_103_35_13 loc_103_35_13) (= loc_103_35_13 (asField loc_103_35_13 T_int)) (= SWITCHSTMT_pre_37_26_7 SWITCHSTMT_37_26_7) (= true_term (is SWITCHSTMT_37_26_7 T_int)) (= OR_pre_36_19_26 OR_36_19_26) (= true_term (is OR_36_19_26 T_int)) (= ASGRSHIFT_pre_36_47_26 ASGRSHIFT_36_47_26) (= true_term (is ASGRSHIFT_36_47_26 T_int)) (= CASTEXPR_pre_37_53_7 CASTEXPR_37_53_7) (= true_term (is CASTEXPR_37_53_7 T_int)) (= endingLoc_pre_18_72_15 endingLoc_18_72_15) (= endingLoc_18_72_15 (asField endingLoc_18_72_15 T_int)) (= seqCatchClause_pre_26_76_46 seqCatchClause_26_76_46) (= seqCatchClause_26_76_46 (asField seqCatchClause_26_76_46 T_javafe_util_StackVector)) (< (fClosedTime seqCatchClause_26_76_46) alloc) (forall ((?s_26_ Int)) (=> (not (= ?s_26_ null)) (not (= (S_select seqCatchClause_26_76_46 ?s_26_) null)))) (= locId_pre_123_43_13 locId_123_43_13) (= locId_123_43_13 (asField locId_123_43_13 T_int)) (= STRINGLIT_pre_35_44_26 STRINGLIT_35_44_26) (= true_term (is STRINGLIT_35_44_26 T_int)) (= punctuationCodes_pre_34_164_19 punctuationCodes_34_164_19) (= true_term (is punctuationCodes_34_164_19 ?v_0)) (= true_term (isAllocated punctuationCodes_34_164_19 alloc)) (= RSHIFT_pre_36_31_26 RSHIFT_36_31_26) (= true_term (is RSHIFT_36_31_26 T_int)) (= FORSTMT_pre_37_39_7 FORSTMT_37_39_7) (= true_term (is FORSTMT_37_39_7 T_int)) (= seqVarInit_pre_27_1153_46 seqVarInit_27_1153_46) (= seqVarInit_27_1153_46 (asField seqVarInit_27_1153_46 T_javafe_util_StackVector)) (< (fClosedTime seqVarInit_27_1153_46) alloc) (forall ((?s_27_ Int)) (=> (not (= ?s_27_ null)) (not (= (S_select seqVarInit_27_1153_46 ?s_27_) null)))) (= op_pre_105_35_13 op_105_35_13) (= op_105_35_13 (asField op_105_35_13 T_int)) (= loc_pre_88_18_13 loc_88_18_13) (= loc_88_18_13 (asField loc_88_18_13 T_int)) (= locOpenParen_pre_39_18_13 locOpenParen_39_18_13) (= locOpenParen_39_18_13 (asField locOpenParen_39_18_13 T_int)) (= TYPEMODIFIERPRAGMA_pre_34_28_26 TYPEMODIFIERPRAGMA_34_28_26) (= true_term (is TYPEMODIFIERPRAGMA_34_28_26 T_int)) (= LONGTYPE_pre_35_29_26 LONGTYPE_35_29_26) (= true_term (is LONGTYPE_35_29_26 T_int)) (= SIMPLENAME_pre_37_66_7 SIMPLENAME_37_66_7) (= true_term (is SIMPLENAME_37_66_7 T_int)) (= locId_pre_160_25_13 locId_160_25_13) (= locId_160_25_13 (asField locId_160_25_13 T_int)) (= locId_pre_158_24_13 locId_158_24_13) (= locId_158_24_13 (asField locId_158_24_13 T_int)) (= BLOCKSTMT_pre_37_25_7 BLOCKSTMT_37_25_7) (= true_term (is BLOCKSTMT_37_25_7 T_int)) (= locOp_pre_106_32_13 locOp_106_32_13) (= locOp_106_32_13 (asField locOp_106_32_13 T_int)) (= count_pre_119_67_33 count_119_67_33) (= count_119_67_33 (asField count_119_67_33 T_int)) (= seqTypeDecl_pre_25_80_46 seqTypeDecl_25_80_46) (= seqTypeDecl_25_80_46 (asField seqTypeDecl_25_80_46 T_javafe_util_StackVector)) (< (fClosedTime seqTypeDecl_25_80_46) alloc) (forall ((?s_28_ Int)) (=> (not (= ?s_28_ null)) (not (= (S_select seqTypeDecl_25_80_46 ?s_28_) null)))) (= ASGLSHIFT_pre_36_46_26 ASGLSHIFT_36_46_26) (= true_term (is ASGLSHIFT_36_46_26 T_int)) (= INSTANCEOFEXPR_pre_37_52_7 INSTANCEOFEXPR_37_52_7) (= true_term (is INSTANCEOFEXPR_37_52_7 T_int)) (= init_pre_153_35_19 init_153_35_19) (= init_153_35_19 (asField init_153_35_19 T_javafe_ast_ArrayInit)) (< (fClosedTime init_153_35_19) alloc) (= DOUBLELIT_pre_35_43_26 DOUBLELIT_35_43_26) (= true_term (is DOUBLELIT_35_43_26 T_int)) (= LSHIFT_pre_36_30_26 LSHIFT_36_30_26) (= true_term (is LSHIFT_36_30_26 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is n1_60_42 T_javafe_ast_ASTNode)) (= true_term (isAllocated n1_60_42 alloc)) (= true_term (is n2_60_54 T_javafe_ast_ASTNode)) (= true_term (isAllocated n2_60_54 alloc)) ?v_6 ?v_10 (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj null))) (= (S_select owner_4_35_28 (S_select elements_119_61_39 ?brokenObj)) ?brokenObj))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_ast_ArrayRefExpr)) (not (= ?brokenObj_1_ null))) (not (= (S_select locOpenBracket_151_20_13 ?brokenObj_1_) NULL_66_60_26)))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_ast_LabelStmt)) (not (= ?brokenObj_2_ null))) (not (= (S_select locId_144_20_13 ?brokenObj_2_) NULL_66_60_26)))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_ast_SkipStmt)) (not (= ?brokenObj_3_ null))) (not (= (S_select loc_146_16_13 ?brokenObj_3_) NULL_66_60_26)))) (forall ((?brokenObj_4_ Int)) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_ast_CastExpr)) (not (= ?brokenObj_4_ null))) (= true_term (S_select syntax_96_28_29 (S_select type_156_18_28 ?brokenObj_4_))))) (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_5_ null))) (<= (S_select count_118_67_33 ?brokenObj_5_) (arrayLength (S_select elements_118_61_38 ?brokenObj_5_))))) (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_javafe_ast_CompilationUnit)) (not (= ?brokenObj_6_ null))) (not (= (S_select loc_87_30_13 ?brokenObj_6_) NULL_66_60_26)))) (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_javafe_ast_ImportDecl)) (not (= ?brokenObj_7_ null))) (not (= (S_select loc_88_18_13 ?brokenObj_7_) NULL_66_60_26)))) (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_javafe_ast_IdentifierVec)) (not (= ?brokenObj_8_ null))) (forall ((?i_167_62_31 Int)) (=> (and (<= 0 ?i_167_62_31) (< ?i_167_62_31 (S_select count_167_67_33 ?brokenObj_8_))) (not (= (S_select (S_select elems (S_select elements_167_61_39 ?brokenObj_8_)) ?i_167_62_31) null)))))) (= true_term (nonnullelements punctuationStrings_34_134_22 elems)) (= true_term (nonnullelements keywordStrings_34_181_30 elems)) (forall ((?brokenObj_9_ Int)) (=> (and (= true_term (is ?brokenObj_9_ T_javafe_ast_DoStmt)) (not (= ?brokenObj_9_ null))) (not (= (S_select loc_136_20_13 ?brokenObj_9_) NULL_66_60_26)))) (forall ((?brokenObj_10_ Int)) (=> (and (= true_term (is ?brokenObj_10_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_10_ null))) (not (= (S_select locId_89_48_13 ?brokenObj_10_) NULL_66_60_26)))) (forall ((?brokenObj_11_ Int)) (=> (and (= true_term (is ?brokenObj_11_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_11_ null))) (<= (S_select count_119_67_33 ?brokenObj_11_) (arrayLength (S_select elements_119_61_39 ?brokenObj_11_))))) (forall ((?brokenObj_12_ Int)) (=> (and (= true_term (is ?brokenObj_12_ T_javafe_ast_Name)) (not (= ?brokenObj_12_ null))) (>= (S_select length_101_50_25 ?brokenObj_12_) 1))) (forall ((?brokenObj_13_ Int)) (=> (and (= true_term (is ?brokenObj_13_ T_javafe_ast_ConstructorInvocation)) (not (= ?brokenObj_13_ null))) (not (= (S_select locKeyword_150_45_13 ?brokenObj_13_) NULL_66_60_26)))) (forall ((?brokenObj_14_ Int)) (=> (and (= true_term (is ?brokenObj_14_ T_javafe_ast_SynchronizeStmt)) (not (= ?brokenObj_14_ null))) (not (= (S_select loc_137_20_13 ?brokenObj_14_) NULL_66_60_26)))) (forall ((?brokenObj_15_ Int)) (let ((?v_661 (S_select op_106_26_13 ?brokenObj_15_))) (=> (and (= true_term (is ?brokenObj_15_ T_javafe_ast_UnaryExpr)) (not (= ?brokenObj_15_ null))) (or (= ?v_661 UNARYADD_36_54_26) (= ?v_661 UNARYSUB_36_55_26) (= ?v_661 NOT_36_56_26) (= ?v_661 BITNOT_36_57_26) (= ?v_661 INC_36_58_26) (= ?v_661 DEC_36_59_26) (= ?v_661 POSTFIXINC_36_62_26) (= ?v_661 POSTFIXDEC_36_63_26))))) (forall ((?brokenObj_16_ Int)) (=> (and (= true_term (is ?brokenObj_16_ T_javafe_ast_VariableAccess)) (not (= ?brokenObj_16_ null))) (not (= (S_select loc_157_22_13 ?brokenObj_16_) NULL_66_60_26)))) (forall ((?brokenObj_17_ Int)) (=> (and (= true_term (is ?brokenObj_17_ T_javafe_ast_GenericVarDecl)) (not (= ?brokenObj_17_ null))) (= true_term (S_select syntax_96_28_29 (S_select type_111_35_28 ?brokenObj_17_))))) (forall ((?brokenObj_18_ Int)) (let ((?v_662 (S_select tag_104_32_13 ?brokenObj_18_))) (=> (and (= true_term (is ?brokenObj_18_ T_javafe_ast_LiteralExpr)) (not (= ?brokenObj_18_ null))) (or (= ?v_662 BOOLEANLIT_35_38_26) (= ?v_662 INTLIT_35_39_26) (= ?v_662 LONGLIT_35_40_26) (= ?v_662 FLOATLIT_35_42_26) (= ?v_662 DOUBLELIT_35_43_26) (= ?v_662 STRINGLIT_35_44_26) (= ?v_662 NULLLIT_35_45_26) (= ?v_662 CHARLIT_35_41_26))))) (forall ((?brokenObj_19_ Int)) (=> (and (= true_term (is ?brokenObj_19_ T_javafe_ast_ExprVec)) (not (= ?brokenObj_19_ null))) (= (typeof (S_select elements_99_61_33 ?brokenObj_19_)) (array T_javafe_ast_Expr)))) (forall ((?brokenObj_20_ Int)) (=> (and (= true_term (is ?brokenObj_20_ T_javafe_ast_ThisExpr)) (not (= ?brokenObj_20_ null))) (not (= (S_select loc_125_29_13 ?brokenObj_20_) NULL_66_60_26)))) (forall ((?brokenObj_21_ Int)) (let ((?v_663 (S_select tokenType_67_90_8 ?brokenObj_21_))) (=> (and (= true_term (is ?brokenObj_21_ T_javafe_ast_Identifier)) (not (= ?brokenObj_21_ null))) (and (not (= ?v_663 BOOLEANLIT_35_38_26)) (not (= ?v_663 INTLIT_35_39_26)) (not (= ?v_663 LONGLIT_35_40_26)) (not (= ?v_663 FLOATLIT_35_42_26)) (not (= ?v_663 DOUBLELIT_35_43_26)) (not (= ?v_663 STRINGLIT_35_44_26)) (not (= ?v_663 CHARLIT_35_41_26)) (not (= ?v_663 LEXICALPRAGMA_34_24_26)) (not (= ?v_663 MODIFIERPRAGMA_34_25_26)) (not (= ?v_663 STMTPRAGMA_34_26_26)) (not (= ?v_663 TYPEDECLELEMPRAGMA_34_27_26)) (not (= ?v_663 TYPEMODIFIERPRAGMA_34_28_26)))))) (forall ((?brokenObj_22_ Int)) (=> (and (= true_term (is ?brokenObj_22_ T_javafe_ast_ObjectDesignator)) (not (= ?brokenObj_22_ null))) (not (= (S_select locDot_126_21_13 ?brokenObj_22_) NULL_66_60_26)))) (forall ((?brokenObj_23_ Int)) (=> (and (= true_term (is ?brokenObj_23_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_23_ null))) (not (= (S_select locCloseBrace_89_54_13 ?brokenObj_23_) NULL_66_60_26)))) (forall ((?brokenObj_24_ Int)) (=> (and (= true_term (is ?brokenObj_24_ T_javafe_ast_TryCatchStmt)) (not (= ?brokenObj_24_ null))) (not (= (S_select loc_149_23_13 ?brokenObj_24_) NULL_66_60_26)))) (forall ((?brokenObj_25_ Int)) (=> (and (= true_term (is ?brokenObj_25_ T_javafe_ast_CompoundName)) (not (= ?brokenObj_25_ null))) (> (S_select length_101_50_25 ?brokenObj_25_) 1))) (forall ((?brokenObj_26_ Int)) (=> (and (= true_term (is ?brokenObj_26_ T_javafe_ast_ArrayInit)) (not (= ?brokenObj_26_ null))) (not (= (S_select locCloseBrace_100_24_13 ?brokenObj_26_) NULL_66_60_26)))) (forall ((?brokenObj_27_ Int)) (=> (and (= true_term (is ?brokenObj_27_ T_javafe_ast_RoutineDecl)) (not (= ?brokenObj_27_ null)) (not (= (S_select body_123_34_19 ?brokenObj_27_) null))) (not (= (S_select locOpenBrace_123_36_13 ?brokenObj_27_) NULL_66_60_26)))) (forall ((?brokenObj_28_ Int)) (=> (and (= true_term (is ?brokenObj_28_ T_javafe_ast_NewArrayExpr)) (not (= ?brokenObj_28_ null))) (>= (S_select count_99_67_33 (S_select dims_153_45_31 ?brokenObj_28_)) 1))) (forall ((?brokenObj_29_ Int)) (=> (and (= true_term (is ?brokenObj_29_ T_javafe_ast_MethodInvocation)) (not (= ?brokenObj_29_ null))) (not (= (S_select locOpenParen_160_28_13 ?brokenObj_29_) NULL_66_60_26)))) (= noTokens_34_212_27 (+ (+ ?v_2 ?v_4) ?v_3)) (forall ((?brokenObj_30_ Int)) (=> (and (= true_term (is ?brokenObj_30_ T_javafe_ast_MethodDecl)) (not (= ?brokenObj_30_ null))) (not (= (S_select locType_122_21_13 ?brokenObj_30_) NULL_66_60_26)))) (forall ((?brokenObj_31_ Int)) (=> (and (= true_term (is ?brokenObj_31_ T_javafe_ast_CompoundName)) (not (= ?brokenObj_31_ null))) (forall ((?i_168_29_29 Int)) (let ((?v_664 (S_select locDots_168_31_29 ?brokenObj_31_))) (=> (and (<= 0 ?i_168_29_29) (< ?i_168_29_29 (arrayLength ?v_664))) (not (= (S_select (S_select elems ?v_664) ?i_168_29_29) NULL_66_60_26))))))) (forall ((?brokenObj_32_ Int)) (=> (and (= true_term (is ?brokenObj_32_ T_javafe_ast_CompoundName)) (not (= ?brokenObj_32_ null))) (= (arrayLength (S_select locDots_168_31_29 ?brokenObj_32_)) (- (S_select length_101_50_25 ?brokenObj_32_) 1)))) (forall ((?brokenObj_33_ Int)) (=> (and (= true_term (is ?brokenObj_33_ T_javafe_ast_ExprVec)) (not (= ?brokenObj_33_ null))) (<= 0 (S_select count_99_67_33 ?brokenObj_33_)))) (forall ((?brokenObj_34_ Int)) (=> (and (= true_term (is ?brokenObj_34_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_34_ null))) (= (typeof (S_select elements_118_61_38 ?brokenObj_34_)) (array T_javafe_ast_FieldDecl)))) (forall ((?brokenObj_35_ Int)) (=> (and (= true_term (is ?brokenObj_35_ T_javafe_ast_ForStmt)) (not (= ?brokenObj_35_ null))) (not (= (S_select locFirstSemi_94_36_13 ?brokenObj_35_) NULL_66_60_26)))) (forall ((?brokenObj_36_ Int)) (=> (and (= true_term (is ?brokenObj_36_ T_javafe_ast_IdentifierVec)) (not (= ?brokenObj_36_ null))) (= (S_select owner_4_35_28 (S_select elements_167_61_39 ?brokenObj_36_)) ?brokenObj_36_))) (forall ((?brokenObj_37_ Int)) (=> (and (= true_term (is ?brokenObj_37_ T_javafe_ast_MethodDecl)) (not (= ?brokenObj_37_ null))) (= true_term (S_select syntax_96_28_29 (S_select returnType_122_18_28 ?brokenObj_37_))))) (forall ((?brokenObj_38_ Int)) (let ((?v_665 (S_select tag_103_30_13 ?brokenObj_38_))) (=> (and (= true_term (is ?brokenObj_38_ T_javafe_ast_PrimitiveType)) (not (= ?brokenObj_38_ null))) (or (= ?v_665 BOOLEANTYPE_35_27_26) (= ?v_665 INTTYPE_35_28_26) (= ?v_665 LONGTYPE_35_29_26) (= ?v_665 CHARTYPE_35_30_26) (= ?v_665 FLOATTYPE_35_31_26) (= ?v_665 DOUBLETYPE_35_32_26) (= ?v_665 VOIDTYPE_35_33_26) (= ?v_665 NULLTYPE_35_34_26) (= ?v_665 BYTETYPE_35_35_26) (= ?v_665 SHORTTYPE_35_36_26))))) (forall ((?brokenObj_39_ Int)) (=> (and (= true_term (is ?brokenObj_39_ T_javafe_ast_WhileStmt)) (not (= ?brokenObj_39_ null))) (not (= (S_select locGuardOpenParen_135_23_13 ?brokenObj_39_) NULL_66_60_26)))) (forall ((?brokenObj_40_ Int)) (=> (and (= true_term (is ?brokenObj_40_ T_javafe_ast_CondExpr)) (not (= ?brokenObj_40_ null))) (not (= (S_select locColon_154_25_13 ?brokenObj_40_) NULL_66_60_26)))) (forall ((?brokenObj_41_ Int)) (=> (and (= true_term (is ?brokenObj_41_ T_javafe_ast_SimpleName)) (not (= ?brokenObj_41_ null))) (not (= (S_select loc_166_20_13 ?brokenObj_41_) NULL_66_60_26)))) (forall ((?brokenObj_42_ Int)) (=> (and (= true_term (is ?brokenObj_42_ T_javafe_ast_GenericBlockStmt)) (not (= ?brokenObj_42_ null))) (not (= (S_select locCloseBrace_127_25_13 ?brokenObj_42_) NULL_66_60_26)))) (forall ((?brokenObj_43_ Int)) (=> (and (= true_term (is ?brokenObj_43_ T_javafe_ast_LiteralExpr)) (not (= ?brokenObj_43_ null))) (not (= (S_select loc_104_50_13 ?brokenObj_43_) NULL_66_60_26)))) (forall ((?brokenObj_44_ Int)) (=> (and (= true_term (is ?brokenObj_44_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_44_ null))) (= (typeof (S_select elements_119_61_39 ?brokenObj_44_)) (array T_javafe_ast_MethodDecl)))) (forall ((?brokenObj_45_ Int)) (=> (and (= true_term (is ?brokenObj_45_ T_javafe_ast_CastExpr)) (not (= ?brokenObj_45_ null))) (not (= (S_select locOpenParen_156_21_13 ?brokenObj_45_) NULL_66_60_26)))) (forall ((?brokenObj_46_ Int)) (=> (and (= true_term (is ?brokenObj_46_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_46_ null))) (not (= true_term (S_select syntax_96_28_29 ?brokenObj_46_))))) (= ?v_2 (- (+ 1 LAST_KEYWORD_34_103_26) FIRST_KEYWORD_34_51_26)) (forall ((?brokenObj_47_ Int)) (=> (and (= true_term (is ?brokenObj_47_ T_javafe_ast_IdentifierVec)) (not (= ?brokenObj_47_ null))) (<= (S_select count_167_67_33 ?brokenObj_47_) (arrayLength (S_select elements_167_61_39 ?brokenObj_47_))))) (forall ((?brokenObj_48_ Int)) (=> (and (= true_term (is ?brokenObj_48_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_48_ null))) (<= 0 (S_select count_118_67_33 ?brokenObj_48_)))) (forall ((?brokenObj_49_ Int)) (=> (and (= true_term (is ?brokenObj_49_ T_javafe_ast_BinaryExpr)) (not (= ?brokenObj_49_ null))) (not (= (S_select locOp_105_43_13 ?brokenObj_49_) NULL_66_60_26)))) (= (arrayLength otherCodes_34_202_27) ?v_3) (forall ((?brokenObj_50_ Int)) (=> (and (= true_term (is ?brokenObj_50_ T_javafe_ast_ReturnStmt)) (not (= ?brokenObj_50_ null))) (not (= (S_select loc_139_18_13 ?brokenObj_50_) NULL_66_60_26)))) (forall ((?brokenObj_51_ Int)) (=> (and (= true_term (is ?brokenObj_51_ T_javafe_ast_RoutineDecl)) (not (= ?brokenObj_51_ null))) (not (= (S_select locId_123_43_13 ?brokenObj_51_) NULL_66_60_26)))) (= (arrayLength punctuationCodes_34_164_19) ?v_4) (forall ((?brokenObj_52_ Int)) (=> (and (= true_term (is ?brokenObj_52_ T_javafe_ast_UnaryExpr)) (not (= ?brokenObj_52_ null))) (not (= (S_select locOp_106_32_13 ?brokenObj_52_) NULL_66_60_26)))) (forall ((?brokenObj_53_ Int)) (=> (and (= true_term (is ?brokenObj_53_ T_javafe_ast_TryFinallyStmt)) (not (= ?brokenObj_53_ null))) (not (= (S_select locFinally_148_25_13 ?brokenObj_53_) NULL_66_60_26)))) (forall ((?brokenObj_54_ Int)) (=> (and (= true_term (is ?brokenObj_54_ T_javafe_ast_NewInstanceExpr)) (not (= ?brokenObj_54_ null))) (not (= (S_select loc_152_49_13 ?brokenObj_54_) NULL_66_60_26)))) (forall ((?brokenObj_55_ Int)) (=> (and (= true_term (is ?brokenObj_55_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_55_ null))) (<= 0 (S_select count_119_67_33 ?brokenObj_55_)))) (forall ((?brokenObj_56_ Int)) (=> (and (= true_term (is ?brokenObj_56_ T_javafe_ast_InstanceOfExpr)) (not (= ?brokenObj_56_ null))) (= true_term (S_select syntax_96_28_29 (S_select type_155_18_28 ?brokenObj_56_))))) (forall ((?brokenObj_57_ Int)) (let ((?v_666 (S_select op_105_35_13 ?brokenObj_57_))) (=> (and (= true_term (is ?brokenObj_57_ T_javafe_ast_BinaryExpr)) (not (= ?brokenObj_57_ null))) (or (= ?v_666 OR_36_19_26) (= ?v_666 AND_36_20_26) (= ?v_666 BITOR_36_21_26) (= ?v_666 BITXOR_36_22_26) (= ?v_666 BITAND_36_23_26) (= ?v_666 NE_36_24_26) (= ?v_666 EQ_36_25_26) (= ?v_666 GE_36_26_26) (= ?v_666 GT_36_27_26) (= ?v_666 LE_36_28_26) (= ?v_666 LT_36_29_26) (= ?v_666 LSHIFT_36_30_26) (= ?v_666 RSHIFT_36_31_26) (= ?v_666 URSHIFT_36_32_26) (= ?v_666 ADD_36_33_26) (= ?v_666 SUB_36_34_26) (= ?v_666 DIV_36_35_26) (= ?v_666 MOD_36_36_26) (= ?v_666 STAR_36_37_26) (= ?v_666 ASSIGN_36_40_26) (= ?v_666 ASGMUL_36_41_26) (= ?v_666 ASGDIV_36_42_26) (= ?v_666 ASGREM_36_43_26) (= ?v_666 ASGADD_36_44_26) (= ?v_666 ASGSUB_36_45_26) (= ?v_666 ASGLSHIFT_36_46_26) (= ?v_666 ASGRSHIFT_36_47_26) (= ?v_666 ASGURSHIFT_36_48_26) (= ?v_666 ASGBITAND_36_49_26))))) (forall ((?brokenObj_58_ Int)) (=> (and (= true_term (is ?brokenObj_58_ T_javafe_ast_SynchronizeStmt)) (not (= ?brokenObj_58_ null))) (not (= (S_select locOpenParen_137_23_13 ?brokenObj_58_) NULL_66_60_26)))) (forall ((?brokenObj_59_ Int)) (=> (and (= true_term (is ?brokenObj_59_ T_javafe_ast_SwitchLabel)) (not (= ?brokenObj_59_ null))) (not (= (S_select loc_147_29_13 ?brokenObj_59_) NULL_66_60_26)))) (forall ((?brokenObj_60_ Int)) (=> (and (= true_term (is ?brokenObj_60_ T_javafe_ast_GenericVarDecl)) (not (= ?brokenObj_60_ null))) (not (= (S_select locId_111_38_13 ?brokenObj_60_) NULL_66_60_26)))) (forall ((?brokenObj_61_ Int)) (=> (and (= true_term (is ?brokenObj_61_ T_javafe_ast_ArrayRefExpr)) (not (= ?brokenObj_61_ null))) (not (= (S_select locCloseBracket_151_23_13 ?brokenObj_61_) NULL_66_60_26)))) (forall ((?brokenObj_62_ Int)) (=> (and (= true_term (is ?brokenObj_62_ T_javafe_ast_ThrowStmt)) (not (= ?brokenObj_62_ null))) (not (= (S_select loc_140_18_13 ?brokenObj_62_) NULL_66_60_26)))) (forall ((?brokenObj_63_ Int)) (=> (and (= true_term (is ?brokenObj_63_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_63_ null))) (not (= (S_select loc_89_45_13 ?brokenObj_63_) NULL_66_60_26)))) (forall ((?brokenObj_64_ Int)) (=> (and (= true_term (is ?brokenObj_64_ T_javafe_ast_NewArrayExpr)) (not (= ?brokenObj_64_ null))) (not (= (S_select loc_153_49_13 ?brokenObj_64_) NULL_66_60_26)))) (= true_term (is ?v_5 T_javafe_parser_TagConstants)) (not (= ?v_5 null)) (forall ((?brokenObj_65_ Int)) (=> (and (= true_term (is ?brokenObj_65_ T_javafe_ast_ParenExpr)) (not (= ?brokenObj_65_ null))) (not (= (S_select locOpenParen_39_18_13 ?brokenObj_65_) NULL_66_60_26)))) (forall ((?brokenObj_66_ Int)) (=> (and (= true_term (is ?brokenObj_66_ T_javafe_ast_CompoundName)) (not (= ?brokenObj_66_ null))) (= (S_select count_167_67_33 (S_select ids_168_19_37 ?brokenObj_66_)) (S_select length_101_50_25 ?brokenObj_66_)))) (forall ((?brokenObj_67_ Int)) (=> (and (= true_term (is ?brokenObj_67_ T_javafe_ast_ConstructorInvocation)) (not (= ?brokenObj_67_ null)) (not (= (S_select enclosingInstance_150_37_14 ?brokenObj_67_) null)) (= true_term (S_select superCall_150_24_17 ?brokenObj_67_))) (not (= (S_select locDot_150_41_13 ?brokenObj_67_) NULL_66_60_26)))) (forall ((?brokenObj_68_ Int)) (=> (and (= true_term (is ?brokenObj_68_ T_javafe_ast_ExprVec)) (not (= ?brokenObj_68_ null))) (forall ((?i_99_62_31 Int)) (=> (and (<= 0 ?i_99_62_31) (< ?i_99_62_31 (S_select count_99_67_33 ?brokenObj_68_))) (not (= (S_select (S_select elems (S_select elements_99_61_33 ?brokenObj_68_)) ?i_99_62_31) null)))))) (forall ((?brokenObj_69_ Int)) (=> (and (= true_term (is ?brokenObj_69_ T_javafe_ast_SwitchStmt)) (not (= ?brokenObj_69_ null))) (not (= (S_select loc_95_18_13 ?brokenObj_69_) NULL_66_60_26)))) (forall ((?i_34_147_29 Int)) (=> (and (<= 0 ?i_34_147_29) (<= ?i_34_147_29 (arrayLength punctuationCodes_34_164_19))) (not (= (S_select (S_select elems punctuationCodes_34_164_19) ?i_34_147_29) NULL_34_82_26)))) (forall ((?brokenObj_70_ Int)) (=> (and (= true_term (is ?brokenObj_70_ T_javafe_ast_CatchClause)) (not (= ?brokenObj_70_ null))) (not (= (S_select loc_110_22_13 ?brokenObj_70_) NULL_66_60_26)))) (forall ((?brokenObj_71_ Int)) (=> (and (= true_term (is ?brokenObj_71_ T_javafe_ast_IdentifierVec)) (not (= ?brokenObj_71_ null))) (= (typeof (S_select elements_167_61_39 ?brokenObj_71_)) (array T_javafe_ast_Identifier)))) (forall ((?brokenObj_72_ Int)) (=> (and (= true_term (is ?brokenObj_72_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_72_ null))) (not (= (S_select locOpenBrace_89_51_13 ?brokenObj_72_) NULL_66_60_26)))) (forall ((?brokenObj_73_ Int)) (=> (and (= true_term (is ?brokenObj_73_ T_javafe_ast_ConstructorInvocation)) (not (= ?brokenObj_73_ null))) (not (= (S_select locOpenParen_150_48_13 ?brokenObj_73_) NULL_66_60_26)))) (forall ((?brokenObj_74_ Int)) (=> (and (= true_term (is ?brokenObj_74_ T_javafe_ast_ArrayInit)) (not (= ?brokenObj_74_ null))) (not (= (S_select locOpenBrace_100_21_13 ?brokenObj_74_) NULL_66_60_26)))) (forall ((?brokenObj_75_ Int)) (=> (and (= true_term (is ?brokenObj_75_ T_javafe_ast_MethodInvocation)) (not (= ?brokenObj_75_ null))) (not (= (S_select locId_160_25_13 ?brokenObj_75_) NULL_66_60_26)))) (forall ((?brokenObj_76_ Int)) (=> (and (= true_term (is ?brokenObj_76_ T_javafe_ast_ClassLiteral)) (not (= ?brokenObj_76_ null))) (= true_term (S_select syntax_96_28_29 (S_select type_161_20_28 ?brokenObj_76_))))) (forall ((?brokenObj_77_ Int)) (=> (and (= true_term (is ?brokenObj_77_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_77_ null))) (forall ((?i_118_62_31 Int)) (=> (and (<= 0 ?i_118_62_31) (< ?i_118_62_31 (S_select count_118_67_33 ?brokenObj_77_))) (not (= (S_select (S_select elems (S_select elements_118_61_38 ?brokenObj_77_)) ?i_118_62_31) null)))))) (forall ((?brokenObj_78_ Int)) (=> (and (= true_term (is ?brokenObj_78_ T_javafe_ast_ArrayType)) (not (= ?brokenObj_78_ null))) (= (= true_term (S_select syntax_96_28_29 (S_select elemType_165_18_28 ?brokenObj_78_))) (= true_term (S_select syntax_96_28_29 ?brokenObj_78_))))) (forall ((?brokenObj_79_ Int)) (=> (and (= true_term (is ?brokenObj_79_ T_javafe_ast_BranchStmt)) (not (= ?brokenObj_79_ null))) (not (= (S_select loc_142_18_13 ?brokenObj_79_) NULL_66_60_26)))) (forall ((?brokenObj_80_ Int)) (=> (and (= true_term (is ?brokenObj_80_ T_javafe_ast_IdentifierVec)) (not (= ?brokenObj_80_ null))) (<= 0 (S_select count_167_67_33 ?brokenObj_80_)))) (forall ((?brokenObj_81_ Int)) (=> (and (= true_term (is ?brokenObj_81_ T_javafe_ast_CompoundName)) (not (= ?brokenObj_81_ null))) (= (arrayLength (S_select locIds_168_25_29 ?brokenObj_81_)) (S_select length_101_50_25 ?brokenObj_81_)))) (forall ((?brokenObj_82_ Int)) (=> (and (= true_term (is ?brokenObj_82_ T_javafe_ast_ForStmt)) (not (= ?brokenObj_82_ null))) (not (= (S_select loc_94_33_13 ?brokenObj_82_) NULL_66_60_26)))) (forall ((?brokenObj_83_ Int)) (=> (and (= true_term (is ?brokenObj_83_ T_javafe_ast_TypeName)) (not (= ?brokenObj_83_ null))) (= true_term (S_select syntax_96_28_29 ?brokenObj_83_)))) (forall ((?brokenObj_84_ Int)) (=> (and (= true_term (is ?brokenObj_84_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_84_ null))) (forall ((?i_119_62_31 Int)) (=> (and (<= 0 ?i_119_62_31) (< ?i_119_62_31 (S_select count_119_67_33 ?brokenObj_84_))) (not (= (S_select (S_select elems (S_select elements_119_61_39 ?brokenObj_84_)) ?i_119_62_31) null)))))) (forall ((?brokenObj_85_ Int)) (=> (and (= true_term (is ?brokenObj_85_ T_javafe_ast_CondExpr)) (not (= ?brokenObj_85_ null))) (not (= (S_select locQuestion_154_22_13 ?brokenObj_85_) NULL_66_60_26)))) (forall ((?brokenObj_86_ Int)) (=> (and (= true_term (is ?brokenObj_86_ T_javafe_ast_NewArrayExpr)) (not (= ?brokenObj_86_ null))) (>= (arrayLength (S_select locOpenBrackets_153_65_29 ?brokenObj_86_)) (S_select count_99_67_33 (S_select dims_153_45_31 ?brokenObj_86_))))) (forall ((?brokenObj_87_ Int)) (=> (and (= true_term (is ?brokenObj_87_ T_javafe_ast_GenericBlockStmt)) (not (= ?brokenObj_87_ null))) (not (= (S_select locOpenBrace_127_22_13 ?brokenObj_87_) NULL_66_60_26)))) (forall ((?brokenObj_88_ Int)) (=> (and (= true_term (is ?brokenObj_88_ T_javafe_ast_NewArrayExpr)) (not (= ?brokenObj_88_ null))) (= true_term (S_select syntax_96_28_29 (S_select type_153_24_28 ?brokenObj_88_))))) (forall ((?brokenObj_89_ Int)) (=> (and (= true_term (is ?brokenObj_89_ T_javafe_ast_InstanceOfExpr)) (not (= ?brokenObj_89_ null))) (not (= (S_select loc_155_21_13 ?brokenObj_89_) NULL_66_60_26)))) (forall ((?brokenObj_90_ Int)) (let ((?v_668 (S_select tag_104_32_13 ?brokenObj_90_)) (?v_667 (S_select value_104_45_16 ?brokenObj_90_))) (let ((?v_669 (= ?v_667 null))) (let ((?v_670 (not ?v_669))) (let ((?v_671 (and (= true_term (is ?v_667 T_java_lang_Integer)) ?v_670))) (=> (and (= true_term (is ?brokenObj_90_ T_javafe_ast_LiteralExpr)) (not (= ?brokenObj_90_ null))) (and (=> (= ?v_668 BOOLEANLIT_35_38_26) (and (= true_term (is ?v_667 T_java_lang_Boolean)) ?v_670)) (=> (= ?v_668 NULLLIT_35_45_26) ?v_669) (=> (= ?v_668 INTLIT_35_39_26) ?v_671) (=> (= ?v_668 LONGLIT_35_40_26) (and (= true_term (is ?v_667 T_java_lang_Long)) ?v_670)) (=> (= ?v_668 FLOATLIT_35_42_26) (and (= true_term (is ?v_667 T_java_lang_Float)) ?v_670)) (=> (= ?v_668 DOUBLELIT_35_43_26) (and (= true_term (is ?v_667 T_java_lang_Double)) ?v_670)) (=> (= ?v_668 STRINGLIT_35_44_26) (and (= true_term (is ?v_667 T_java_lang_String)) ?v_670)) (=> (= ?v_668 CHARLIT_35_41_26) ?v_671)))))))) (forall ((?brokenObj_91_ Int)) (=> (and (= true_term (is ?brokenObj_91_ T_javafe_ast_ClassLiteral)) (not (= ?brokenObj_91_ null))) (not (= (S_select locDot_161_23_13 ?brokenObj_91_) NULL_66_60_26)))) (forall ((?brokenObj_92_ Int)) (=> (and (= true_term (is ?brokenObj_92_ T_javafe_ast_ExprVec)) (not (= ?brokenObj_92_ null))) (= (S_select owner_4_35_28 (S_select elements_99_61_33 ?brokenObj_92_)) ?brokenObj_92_))) (forall ((?brokenObj_93_ Int)) (=> (and (= true_term (is ?brokenObj_93_ T_javafe_ast_ArrayType)) (not (= ?brokenObj_93_ null))) (not (= (S_select locOpenBracket_165_21_13 ?brokenObj_93_) NULL_66_60_26)))) (forall ((?brokenObj_94_ Int)) (=> (and (= true_term (is ?brokenObj_94_ T_javafe_ast_PrimitiveType)) (not (= ?brokenObj_94_ null)) (= true_term (S_select syntax_96_28_29 ?brokenObj_94_))) (not (= (S_select loc_103_35_13 ?brokenObj_94_) NULL_66_60_26)))) (forall ((?brokenObj_95_ Int)) (=> (and (= true_term (is ?brokenObj_95_ T_javafe_ast_RoutineDecl)) (not (= ?brokenObj_95_ null))) (not (= (S_select loc_123_40_13 ?brokenObj_95_) NULL_66_60_26)))) (forall ((?brokenObj_96_ Int)) (=> (and (= true_term (is ?brokenObj_96_ T_javafe_ast_NewArrayExpr)) (not (= ?brokenObj_96_ null)) (not (= (S_select init_153_35_19 ?brokenObj_96_) null))) (= (S_select count_99_67_33 (S_select dims_153_45_31 ?brokenObj_96_)) 1))) (forall ((?brokenObj_97_ Int)) (=> (and (= true_term (is ?brokenObj_97_ T_javafe_ast_SuperObjectDesignator)) (not (= ?brokenObj_97_ null))) (not (= (S_select locSuper_164_20_13 ?brokenObj_97_) NULL_66_60_26)))) (forall ((?brokenObj_98_ Int)) (=> (and (= true_term (is ?brokenObj_98_ T_javafe_ast_NewInstanceExpr)) (not (= ?brokenObj_98_ null))) (= (= (S_select enclosingInstance_152_25_14 ?brokenObj_98_) null) (= (S_select locDot_152_29_13 ?brokenObj_98_) NULL_66_60_26)))) (forall ((?brokenObj_99_ Int)) (=> (and (= true_term (is ?brokenObj_99_ T_javafe_ast_CastExpr)) (not (= ?brokenObj_99_ null))) (not (= (S_select locCloseParen_156_24_13 ?brokenObj_99_) NULL_66_60_26)))) (forall ((?brokenObj_100_ Int)) (=> (and (= true_term (is ?brokenObj_100_ T_javafe_ast_TryFinallyStmt)) (not (= ?brokenObj_100_ null))) (not (= (S_select loc_148_22_13 ?brokenObj_100_) NULL_66_60_26)))) (forall ((?brokenObj_101_ Int)) (=> (and (= true_term (is ?brokenObj_101_ T_javafe_ast_ExprVec)) (not (= ?brokenObj_101_ null))) (<= (S_select count_99_67_33 ?brokenObj_101_) (arrayLength (S_select elements_99_61_33 ?brokenObj_101_))))) (forall ((?brokenObj_102_ Int)) (=> (and (= true_term (is ?brokenObj_102_ T_javafe_ast_IfStmt)) (not (= ?brokenObj_102_ null))) (not (= (S_select loc_145_22_13 ?brokenObj_102_) NULL_66_60_26)))) (forall ((?brokenObj_103_ Int)) (=> (and (= true_term (is ?brokenObj_103_ T_javafe_ast_ParenExpr)) (not (= ?brokenObj_103_ null))) (not (= (S_select locCloseParen_39_21_13 ?brokenObj_103_) NULL_66_60_26)))) (forall ((?brokenObj_104_ Int)) (=> (and (= true_term (is ?brokenObj_104_ T_javafe_ast_FieldAccess)) (not (= ?brokenObj_104_ null))) (not (= (S_select locId_158_24_13 ?brokenObj_104_) NULL_66_60_26)))) (forall ((?i_34_149_29 Int)) (let ((?v_672 (S_select (S_select elems punctuationCodes_34_164_19) ?i_34_149_29))) (=> (and (<= 0 ?i_34_149_29) (<= ?i_34_149_29 (arrayLength punctuationCodes_34_164_19))) (and (not (= ?v_672 IDENT_35_25_26)) (not (= ?v_672 BOOLEANLIT_35_38_26)) (not (= ?v_672 INTLIT_35_39_26)) (not (= ?v_672 LONGLIT_35_40_26)) (not (= ?v_672 FLOATLIT_35_42_26)) (not (= ?v_672 DOUBLELIT_35_43_26)) (not (= ?v_672 STRINGLIT_35_44_26)) (not (= ?v_672 CHARLIT_35_41_26)) (not (= ?v_672 LEXICALPRAGMA_34_24_26)) (not (= ?v_672 MODIFIERPRAGMA_34_25_26)) (not (= ?v_672 STMTPRAGMA_34_26_26)) (not (= ?v_672 TYPEDECLELEMPRAGMA_34_27_26)) (not (= ?v_672 TYPEMODIFIERPRAGMA_34_28_26)))))) (forall ((?brokenObj_105_ Int)) (=> (and (= true_term (is ?brokenObj_105_ T_javafe_ast_CompoundName)) (not (= ?brokenObj_105_ null))) (not (= (S_select ids_168_19_37 ?brokenObj_105_) null)))) (forall ((?brokenObj_106_ Int)) (=> (and (= true_term (is ?brokenObj_106_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_106_ null))) (= (S_select owner_4_35_28 (S_select elements_118_61_38 ?brokenObj_106_)) ?brokenObj_106_))) (= true_term (nonnullelements otherStrings_34_193_30 elems)) (forall ((?brokenObj_107_ Int)) (=> (and (= true_term (is ?brokenObj_107_ T_javafe_ast_CompoundName)) (not (= ?brokenObj_107_ null))) (forall ((?i_168_23_29 Int)) (let ((?v_673 (S_select locIds_168_25_29 ?brokenObj_107_))) (=> (and (<= 0 ?i_168_23_29) (< ?i_168_23_29 (arrayLength ?v_673))) (not (= (S_select (S_select elems ?v_673) ?i_168_23_29) NULL_66_60_26))))))) (forall ((?brokenObj_108_ Int)) (=> (and (= true_term (is ?brokenObj_108_ T_javafe_ast_SimpleName)) (not (= ?brokenObj_108_ null))) (= (S_select length_101_50_25 ?brokenObj_108_) 1))) (forall ((?brokenObj_109_ Int)) (=> (and (= true_term (is ?brokenObj_109_ T_javafe_ast_WhileStmt)) (not (= ?brokenObj_109_ null))) (not (= (S_select loc_135_20_13 ?brokenObj_109_) NULL_66_60_26)))) (forall ((?brokenObj_110_ Int)) (=> (and (= true_term (is ?brokenObj_110_ T_javafe_ast_AmbiguousMethodInvocation)) (not (= ?brokenObj_110_ null))) (not (= (S_select locOpenParen_159_30_13 ?brokenObj_110_) NULL_66_60_26)))) (forall ((?brokenObj_111_ Int)) (=> (and (= true_term (is ?brokenObj_111_ T_javafe_ast_NewInstanceExpr)) (not (= ?brokenObj_111_ null))) (not (= (S_select locOpenParen_152_52_13 ?brokenObj_111_) NULL_66_60_26)))) (forall ((?brokenObj_112_ Int)) (=> (and (= true_term (is ?brokenObj_112_ T_javafe_ast_NewArrayExpr)) (not (= ?brokenObj_112_ null))) (forall ((?i_153_63_29 Int)) (=> (and (<= 0 ?i_153_63_29) (< ?i_153_63_29 (S_select count_99_67_33 (S_select dims_153_45_31 ?brokenObj_112_)))) (not (= (S_select (S_select elems (S_select locOpenBrackets_153_65_29 ?brokenObj_112_)) ?i_153_63_29) NULL_66_60_26)))))) (or (and ?v_7 ?v_6 ?v_11 (or (not ?v_7) (and ?v_7 (or (not ?v_8) (and ?v_8 ?v_354 (not (and (not (= tmp0_expr_65_22 null)) ?v_10))))))) (and ?v_102 ?v_11 (or (and ?v_12 ?v_10 ?v_11 (or (not ?v_12) (and ?v_12 (or (not ?v_13) (and ?v_13 ?v_355 (not (and ?v_6 (not (= n2_68_13_68_13_60_54 null))))))))) (and ?v_103 ?v_11 (or ?v_27 (and ?v_6 ?v_104 ?v_15 ?v_105 ?v_106 ?v_107 ?v_108 ?v_109 ?v_110 ?v_111 ?v_112 ?v_113 ?v_114 ?v_115 ?v_116 ?v_117 ?v_118 ?v_119 ?v_120 ?v_121 ?v_122 ?v_123 ?v_124 ?v_125 ?v_126 ?v_127 ?v_128 ?v_129 ?v_130 ?v_131 ?v_132 ?v_133 ?v_134 ?v_135 ?v_136 ?v_137 ?v_138 ?v_139 ?v_140 ?v_141 ?v_142 ?v_143 ?v_144 ?v_145 ?v_146 ?v_147 ?v_148 ?v_149 ?v_150 ?v_151 ?v_152 ?v_153 ?v_154 ?v_155 ?v_156 ?v_157 ?v_158 ?v_159 ?v_160 ?v_161 ?v_162 ?v_163 ?v_164 ?v_165 ?v_166 ?v_167 ?v_168 ?v_169 ?v_170 ?v_171 ?v_172 ?v_173 ?v_174 ?v_175 ?v_176 ?v_177 ?v_178 ?v_179 ?v_180 ?v_181 ?v_182 ?v_183 ?v_184 ?v_185 ?v_186 ?v_187 ?v_188 ?v_189 ?v_190 ?v_191 ?v_192 ?v_193 ?v_194 ?v_195 ?v_196 ?v_197 ?v_198 ?v_199 ?v_200 ?v_201 ?v_202 ?v_203 ?v_204 ?v_205 ?v_206 ?v_207 ?v_208 ?v_209 ?v_210 ?v_211 ?v_212 ?v_213 ?v_214 ?v_215 ?v_216 ?v_217 ?v_218 ?v_219 ?v_220 (or ?v_92 (and ?v_10 ?v_221 ?v_21 ?v_222 ?v_223 ?v_224 ?v_225 ?v_226 ?v_227 ?v_228 ?v_229 ?v_230 ?v_231 ?v_232 ?v_233 ?v_234 ?v_235 ?v_236 ?v_237 ?v_238 ?v_239 ?v_240 ?v_241 ?v_242 ?v_243 ?v_244 ?v_245 ?v_246 ?v_247 ?v_248 ?v_249 ?v_250 ?v_251 ?v_252 ?v_253 ?v_254 ?v_255 ?v_256 ?v_257 ?v_258 ?v_259 ?v_260 ?v_261 ?v_262 ?v_263 ?v_264 ?v_265 ?v_266 ?v_267 ?v_268 ?v_269 ?v_270 ?v_271 ?v_272 ?v_273 ?v_274 ?v_275 ?v_276 ?v_277 ?v_278 ?v_279 ?v_280 ?v_281 ?v_282 ?v_283 ?v_284 ?v_285 ?v_286 ?v_287 ?v_288 ?v_289 ?v_290 ?v_291 ?v_292 ?v_293 ?v_294 ?v_295 ?v_296 ?v_297 ?v_298 ?v_299 ?v_300 ?v_301 ?v_302 ?v_303 ?v_304 ?v_305 ?v_306 ?v_307 ?v_308 ?v_309 ?v_310 ?v_311 ?v_312 ?v_313 ?v_314 ?v_315 ?v_316 ?v_317 ?v_318 ?v_319 ?v_320 ?v_321 ?v_322 ?v_323 ?v_324 ?v_325 ?v_326 ?v_327 ?v_328 ?v_329 ?v_330 ?v_331 ?v_332 ?v_333 ?v_334 ?v_335 ?v_336 ?v_337 (or (and ?v_93 ?v_11 (or ?v_27 (and ?v_6 ?v_356 ?v_28 ?v_357 ?v_358 ?v_359 ?v_360 ?v_361 ?v_362 ?v_363 ?v_364 ?v_365 ?v_366 ?v_367 ?v_368 ?v_369 ?v_370 ?v_371 ?v_372 ?v_373 ?v_374 ?v_375 ?v_376 ?v_377 ?v_378 ?v_379 ?v_380 ?v_381 ?v_382 ?v_383 ?v_384 ?v_385 ?v_386 ?v_387 ?v_388 ?v_389 ?v_390 ?v_391 ?v_392 ?v_393 ?v_394 ?v_395 ?v_396 ?v_397 ?v_398 ?v_399 ?v_400 ?v_401 ?v_402 ?v_403 ?v_404 ?v_405 ?v_406 ?v_407 ?v_408 ?v_409 ?v_410 ?v_411 ?v_412 ?v_413 ?v_414 ?v_415 ?v_416 ?v_417 ?v_418 ?v_419 ?v_420 ?v_421 ?v_422 ?v_423 ?v_424 ?v_425 ?v_426 ?v_427 ?v_428 ?v_429 ?v_430 ?v_431 ?v_432 ?v_433 ?v_434 ?v_435 ?v_436 ?v_437 ?v_438 ?v_439 ?v_440 ?v_441 ?v_442 ?v_443 ?v_444 ?v_445 ?v_446 ?v_447 ?v_448 ?v_449 ?v_450 ?v_451 ?v_452 ?v_453 ?v_454 ?v_455 ?v_456 ?v_457 ?v_458 ?v_459 ?v_460 ?v_461 ?v_462 ?v_463 ?v_464 ?v_465 ?v_466 ?v_467 ?v_468 ?v_469 ?v_470 ?v_471 ?v_472 ?v_473 ?v_92))) (and ?v_338 ?v_11 ?v_339 ?v_340 ?v_341 ?v_11 (or ?v_27 (and ?v_6 (or ?v_95 (and ?v_94 ?v_342 ?v_343 ?v_344 (or ?v_92 (and ?v_10 (or ?v_95 (and ?v_94 ?v_345 ?v_346 ?v_347 ?v_348 ?v_349 ?v_11 (or (not ?v_96) (and ?v_96 (or (not ?v_99) (and ?v_99 (or (and ?v_100 ?v_101 (not (and (not (= n1_83_17_77_8_0_83_17_60_42 null)) (not (= n2_83_17_77_8_0_83_17_60_54 null))))) (and ?v_100 ?v_101 ?v_350 ?v_351 ?v_352 ?v_11 ?v_27))))))))))))))))))))))) (and (or (and ?v_102 ?v_11 ?v_103 ?v_11 ?v_6 ?v_104 ?v_15 ?v_105 ?v_106 ?v_107 ?v_108 ?v_109 ?v_110 ?v_111 ?v_112 ?v_113 ?v_114 ?v_115 ?v_116 ?v_117 ?v_118 ?v_119 ?v_120 ?v_121 ?v_122 ?v_123 ?v_124 ?v_125 ?v_126 ?v_127 ?v_128 ?v_129 ?v_130 ?v_131 ?v_132 ?v_133 ?v_134 ?v_135 ?v_136 ?v_137 ?v_138 ?v_139 ?v_140 ?v_141 ?v_142 ?v_143 ?v_144 ?v_145 ?v_146 ?v_147 ?v_148 ?v_149 ?v_150 ?v_151 ?v_152 ?v_153 ?v_154 ?v_155 ?v_156 ?v_157 ?v_158 ?v_159 ?v_160 ?v_161 ?v_162 ?v_163 ?v_164 ?v_165 ?v_166 ?v_167 ?v_168 ?v_169 ?v_170 ?v_171 ?v_172 ?v_173 ?v_174 ?v_175 ?v_176 ?v_177 ?v_178 ?v_179 ?v_180 ?v_181 ?v_182 ?v_183 ?v_184 ?v_185 ?v_186 ?v_187 ?v_188 ?v_189 ?v_190 ?v_191 ?v_192 ?v_193 ?v_194 ?v_195 ?v_196 ?v_197 ?v_198 ?v_199 ?v_200 ?v_201 ?v_202 ?v_203 ?v_204 ?v_205 ?v_206 ?v_207 ?v_208 ?v_209 ?v_210 ?v_211 ?v_212 ?v_213 ?v_214 ?v_215 ?v_216 ?v_217 ?v_218 ?v_219 ?v_220 ?v_10 ?v_221 ?v_21 ?v_222 ?v_223 ?v_224 ?v_225 ?v_226 ?v_227 ?v_228 ?v_229 ?v_230 ?v_231 ?v_232 ?v_233 ?v_234 ?v_235 ?v_236 ?v_237 ?v_238 ?v_239 ?v_240 ?v_241 ?v_242 ?v_243 ?v_244 ?v_245 ?v_246 ?v_247 ?v_248 ?v_249 ?v_250 ?v_251 ?v_252 ?v_253 ?v_254 ?v_255 ?v_256 ?v_257 ?v_258 ?v_259 ?v_260 ?v_261 ?v_262 ?v_263 ?v_264 ?v_265 ?v_266 ?v_267 ?v_268 ?v_269 ?v_270 ?v_271 ?v_272 ?v_273 ?v_274 ?v_275 ?v_276 ?v_277 ?v_278 ?v_279 ?v_280 ?v_281 ?v_282 ?v_283 ?v_284 ?v_285 ?v_286 ?v_287 ?v_288 ?v_289 ?v_290 ?v_291 ?v_292 ?v_293 ?v_294 ?v_295 ?v_296 ?v_297 ?v_298 ?v_299 ?v_300 ?v_301 ?v_302 ?v_303 ?v_304 ?v_305 ?v_306 ?v_307 ?v_308 ?v_309 ?v_310 ?v_311 ?v_312 ?v_313 ?v_314 ?v_315 ?v_316 ?v_317 ?v_318 ?v_319 ?v_320 ?v_321 ?v_322 ?v_323 ?v_324 ?v_325 ?v_326 ?v_327 ?v_328 ?v_329 ?v_330 ?v_331 ?v_332 ?v_333 ?v_334 ?v_335 ?v_336 ?v_337 ?v_338 ?v_11 ?v_339 ?v_340 ?v_341 ?v_11 ?v_6 ?v_94 ?v_342 ?v_343 ?v_344 ?v_10 ?v_94 ?v_345 ?v_346 ?v_347 ?v_348 ?v_349 ?v_11 ?v_96 ?v_99 ?v_100 ?v_101 ?v_350 ?v_351 ?v_352 ?v_11 ?v_6 ?v_538 ?v_353 ?v_539 ?v_540 ?v_541 ?v_542 ?v_543 ?v_544 ?v_545 ?v_546 ?v_547 ?v_548 ?v_549 ?v_550 ?v_551 ?v_552 ?v_553 ?v_554 ?v_555 ?v_556 ?v_557 ?v_558 ?v_559 ?v_560 ?v_561 ?v_562 ?v_563 ?v_564 ?v_565 ?v_566 ?v_567 ?v_568 ?v_569 ?v_570 ?v_571 ?v_572 ?v_573 ?v_574 ?v_575 ?v_576 ?v_577 ?v_578 ?v_579 ?v_580 ?v_581 ?v_582 ?v_583 ?v_584 ?v_585 ?v_586 ?v_587 ?v_588 ?v_589 ?v_590 ?v_591 ?v_592 ?v_593 ?v_594 ?v_595 ?v_596 ?v_597 ?v_598 ?v_599 ?v_600 ?v_601 ?v_602 ?v_603 ?v_604 ?v_605 ?v_606 ?v_607 ?v_608 ?v_609 ?v_610 ?v_611 ?v_612 ?v_613 ?v_614 ?v_615 ?v_616 ?v_617 ?v_618 ?v_619 ?v_620 ?v_621 ?v_622 ?v_623 ?v_624 ?v_625 ?v_626 ?v_627 ?v_628 ?v_629 ?v_630 ?v_631 ?v_632 ?v_633 ?v_634 ?v_635 ?v_636 ?v_637 ?v_638 ?v_639 ?v_640 ?v_641 ?v_642 ?v_643 ?v_644 ?v_645 ?v_646 ?v_647 ?v_648 ?v_649 ?v_650 ?v_651 ?v_652 ?v_653 ?v_654 ?v_655 ?v_656 ?v_11 ?v_657 ?v_658 (= EC ecReturn) (= XRES XRES_77_8_0_84_25_84_25)) (and ?v_7 ?v_6 ?v_11 ?v_7 ?v_8 ?v_354 (= true_term (is RES_65_13_65_13 T_boolean)) (= EC_65_13_65_13 ecReturn) ?v_11) (and ?v_102 ?v_11 (or (and ?v_12 ?v_10 ?v_11 ?v_12 ?v_13 ?v_355 (= true_term (is RES_68_13_68_13 T_boolean)) (= EC_68_13_68_13 ecReturn) ?v_11) (and ?v_103 ?v_11 ?v_6 ?v_104 ?v_15 ?v_105 ?v_106 ?v_107 ?v_108 ?v_109 ?v_110 ?v_111 ?v_112 ?v_113 ?v_114 ?v_115 ?v_116 ?v_117 ?v_118 ?v_119 ?v_120 ?v_121 ?v_122 ?v_123 ?v_124 ?v_125 ?v_126 ?v_127 ?v_128 ?v_129 ?v_130 ?v_131 ?v_132 ?v_133 ?v_134 ?v_135 ?v_136 ?v_137 ?v_138 ?v_139 ?v_140 ?v_141 ?v_142 ?v_143 ?v_144 ?v_145 ?v_146 ?v_147 ?v_148 ?v_149 ?v_150 ?v_151 ?v_152 ?v_153 ?v_154 ?v_155 ?v_156 ?v_157 ?v_158 ?v_159 ?v_160 ?v_161 ?v_162 ?v_163 ?v_164 ?v_165 ?v_166 ?v_167 ?v_168 ?v_169 ?v_170 ?v_171 ?v_172 ?v_173 ?v_174 ?v_175 ?v_176 ?v_177 ?v_178 ?v_179 ?v_180 ?v_181 ?v_182 ?v_183 ?v_184 ?v_185 ?v_186 ?v_187 ?v_188 ?v_189 ?v_190 ?v_191 ?v_192 ?v_193 ?v_194 ?v_195 ?v_196 ?v_197 ?v_198 ?v_199 ?v_200 ?v_201 ?v_202 ?v_203 ?v_204 ?v_205 ?v_206 ?v_207 ?v_208 ?v_209 ?v_210 ?v_211 ?v_212 ?v_213 ?v_214 ?v_215 ?v_216 ?v_217 ?v_218 ?v_219 ?v_220 ?v_10 ?v_221 ?v_21 ?v_222 ?v_223 ?v_224 ?v_225 ?v_226 ?v_227 ?v_228 ?v_229 ?v_230 ?v_231 ?v_232 ?v_233 ?v_234 ?v_235 ?v_236 ?v_237 ?v_238 ?v_239 ?v_240 ?v_241 ?v_242 ?v_243 ?v_244 ?v_245 ?v_246 ?v_247 ?v_248 ?v_249 ?v_250 ?v_251 ?v_252 ?v_253 ?v_254 ?v_255 ?v_256 ?v_257 ?v_258 ?v_259 ?v_260 ?v_261 ?v_262 ?v_263 ?v_264 ?v_265 ?v_266 ?v_267 ?v_268 ?v_269 ?v_270 ?v_271 ?v_272 ?v_273 ?v_274 ?v_275 ?v_276 ?v_277 ?v_278 ?v_279 ?v_280 ?v_281 ?v_282 ?v_283 ?v_284 ?v_285 ?v_286 ?v_287 ?v_288 ?v_289 ?v_290 ?v_291 ?v_292 ?v_293 ?v_294 ?v_295 ?v_296 ?v_297 ?v_298 ?v_299 ?v_300 ?v_301 ?v_302 ?v_303 ?v_304 ?v_305 ?v_306 ?v_307 ?v_308 ?v_309 ?v_310 ?v_311 ?v_312 ?v_313 ?v_314 ?v_315 ?v_316 ?v_317 ?v_318 ?v_319 ?v_320 ?v_321 ?v_322 ?v_323 ?v_324 ?v_325 ?v_326 ?v_327 ?v_328 ?v_329 ?v_330 ?v_331 ?v_332 ?v_333 ?v_334 ?v_335 ?v_336 ?v_337 (or (and ?v_93 ?v_11 ?v_6 ?v_356 ?v_28 ?v_357 ?v_358 ?v_359 ?v_360 ?v_361 ?v_362 ?v_363 ?v_364 ?v_365 ?v_366 ?v_367 ?v_368 ?v_369 ?v_370 ?v_371 ?v_372 ?v_373 ?v_374 ?v_375 ?v_376 ?v_377 ?v_378 ?v_379 ?v_380 ?v_381 ?v_382 ?v_383 ?v_384 ?v_385 ?v_386 ?v_387 ?v_388 ?v_389 ?v_390 ?v_391 ?v_392 ?v_393 ?v_394 ?v_395 ?v_396 ?v_397 ?v_398 ?v_399 ?v_400 ?v_401 ?v_402 ?v_403 ?v_404 ?v_405 ?v_406 ?v_407 ?v_408 ?v_409 ?v_410 ?v_411 ?v_412 ?v_413 ?v_414 ?v_415 ?v_416 ?v_417 ?v_418 ?v_419 ?v_420 ?v_421 ?v_422 ?v_423 ?v_424 ?v_425 ?v_426 ?v_427 ?v_428 ?v_429 ?v_430 ?v_431 ?v_432 ?v_433 ?v_434 ?v_435 ?v_436 ?v_437 ?v_438 ?v_439 ?v_440 ?v_441 ?v_442 ?v_443 ?v_444 ?v_445 ?v_446 ?v_447 ?v_448 ?v_449 ?v_450 ?v_451 ?v_452 ?v_453 ?v_454 ?v_455 ?v_456 ?v_457 ?v_458 ?v_459 ?v_460 ?v_461 ?v_462 ?v_463 ?v_464 ?v_465 ?v_466 ?v_467 ?v_468 ?v_469 ?v_470 ?v_471 ?v_472 ?v_473 ?v_10 (= true_term (is RES_71_60_71_60 T_int)) ?v_474 (=> (and ?v_474 ?v_475 ?v_10) (= RES_71_60_71_60 ?v_476)) (=> (and ?v_474 ?v_477 ?v_10) (= RES_71_60_71_60 ?v_478)) (=> (and ?v_474 ?v_479 ?v_10) (= RES_71_60_71_60 ?v_480)) (=> (and ?v_474 ?v_481 ?v_10) (= RES_71_60_71_60 ?v_482)) (=> (and ?v_474 (= RES_71_60_71_60 TYPESIG_107_6_28)) ?v_483) (=> (and ?v_474 (= RES_71_60_71_60 COMPILATIONUNIT_37_14_7)) ?v_484) (=> (and ?v_474 (= RES_71_60_71_60 SINGLETYPEIMPORTDECL_37_15_7)) ?v_485) (=> (and ?v_474 (= RES_71_60_71_60 ONDEMANDIMPORTDECL_37_16_7)) ?v_486) (=> (and ?v_474 (= RES_71_60_71_60 CLASSDECL_37_17_7)) ?v_487) (=> (and ?v_474 (= RES_71_60_71_60 INTERFACEDECL_37_18_7)) ?v_488) (=> (and ?v_474 (= RES_71_60_71_60 CONSTRUCTORDECL_37_19_7)) ?v_489) (=> (and ?v_474 (= RES_71_60_71_60 METHODDECL_37_20_7)) ?v_490) (=> (and ?v_474 (= RES_71_60_71_60 INITBLOCK_37_21_7)) ?v_491) (=> (and ?v_474 (= RES_71_60_71_60 LOCALVARDECL_37_22_7)) ?v_492) (=> (and ?v_474 (= RES_71_60_71_60 FIELDDECL_37_23_7)) ?v_493) (=> (and ?v_474 (= RES_71_60_71_60 FORMALPARADECL_37_24_7)) ?v_494) (=> (and ?v_474 (= RES_71_60_71_60 BLOCKSTMT_37_25_7)) ?v_495) (=> (and ?v_474 (= RES_71_60_71_60 SWITCHSTMT_37_26_7)) ?v_496) (=> (and ?v_474 (= RES_71_60_71_60 VARDECLSTMT_37_27_7)) ?v_497) (=> (and ?v_474 (= RES_71_60_71_60 CLASSDECLSTMT_37_28_7)) ?v_498) (=> (and ?v_474 (= RES_71_60_71_60 WHILESTMT_37_29_7)) ?v_499) (=> (and ?v_474 (= RES_71_60_71_60 DOSTMT_37_30_7)) ?v_500) (=> (and ?v_474 (= RES_71_60_71_60 SYNCHRONIZESTMT_37_31_7)) ?v_501) (=> (and ?v_474 (= RES_71_60_71_60 EVALSTMT_37_32_7)) ?v_502) (=> (and ?v_474 (= RES_71_60_71_60 RETURNSTMT_37_33_7)) ?v_503) (=> (and ?v_474 (= RES_71_60_71_60 THROWSTMT_37_34_7)) ?v_504) (=> (and ?v_474 (= RES_71_60_71_60 BREAKSTMT_37_35_7)) ?v_505) (=> (and ?v_474 (= RES_71_60_71_60 CONTINUESTMT_37_36_7)) ?v_506) (=> (and ?v_474 (= RES_71_60_71_60 LABELSTMT_37_37_7)) ?v_507) (=> (and ?v_474 (= RES_71_60_71_60 IFSTMT_37_38_7)) ?v_508) (=> (and ?v_474 (= RES_71_60_71_60 FORSTMT_37_39_7)) ?v_509) (=> (and ?v_474 (= RES_71_60_71_60 SKIPSTMT_37_40_7)) ?v_510) (=> (and ?v_474 (= RES_71_60_71_60 SWITCHLABEL_37_41_7)) ?v_511) (=> (and ?v_474 (= RES_71_60_71_60 TRYFINALLYSTMT_37_42_7)) ?v_512) (=> (and ?v_474 (= RES_71_60_71_60 TRYCATCHSTMT_37_43_7)) ?v_513) (=> (and ?v_474 (= RES_71_60_71_60 CONSTRUCTORINVOCATION_37_44_7)) ?v_514) (=> (and ?v_474 (= RES_71_60_71_60 CATCHCLAUSE_37_45_7)) ?v_515) (=> (and ?v_474 (= RES_71_60_71_60 ARRAYINIT_37_46_7)) ?v_516) (=> (and ?v_474 (= RES_71_60_71_60 THISEXPR_37_47_7)) ?v_517) (=> (and ?v_474 (= RES_71_60_71_60 ARRAYREFEXPR_37_48_7)) ?v_518) (=> (and ?v_474 (= RES_71_60_71_60 NEWINSTANCEEXPR_37_49_7)) ?v_519) (=> (and ?v_474 (= RES_71_60_71_60 NEWARRAYEXPR_37_50_7)) ?v_520) (=> (and ?v_474 (= RES_71_60_71_60 CONDEXPR_37_51_7)) ?v_521) (=> (and ?v_474 (= RES_71_60_71_60 INSTANCEOFEXPR_37_52_7)) ?v_522) (=> (and ?v_474 (= RES_71_60_71_60 CASTEXPR_37_53_7)) ?v_523) (=> (and ?v_474 (= RES_71_60_71_60 PARENEXPR_37_54_7)) ?v_524) (=> (and ?v_474 (= RES_71_60_71_60 AMBIGUOUSVARIABLEACCESS_37_55_7)) ?v_525) (=> (and ?v_474 (= RES_71_60_71_60 VARIABLEACCESS_37_56_7)) ?v_526) (=> (and ?v_474 (= RES_71_60_71_60 FIELDACCESS_37_57_7)) ?v_527) (=> (and ?v_474 (= RES_71_60_71_60 AMBIGUOUSMETHODINVOCATION_37_58_7)) ?v_528) (=> (and ?v_474 (= RES_71_60_71_60 METHODINVOCATION_37_59_7)) ?v_529) (=> (and ?v_474 (= RES_71_60_71_60 CLASSLITERAL_37_60_7)) ?v_530) (=> (and ?v_474 (= RES_71_60_71_60 EXPROBJECTDESIGNATOR_37_61_7)) ?v_531) (=> (and ?v_474 (= RES_71_60_71_60 TYPEOBJECTDESIGNATOR_37_62_7)) ?v_532) (=> (and ?v_474 (= RES_71_60_71_60 SUPEROBJECTDESIGNATOR_37_63_7)) ?v_533) (=> (and ?v_474 (= RES_71_60_71_60 TYPENAME_37_64_7)) ?v_534) (=> (and ?v_474 (= RES_71_60_71_60 ARRAYTYPE_37_65_7)) ?v_535) (=> (and ?v_474 (= RES_71_60_71_60 SIMPLENAME_37_66_7)) ?v_536) (=> (and ?v_474 (= RES_71_60_71_60 COMPOUNDNAME_37_67_7)) ?v_537) (=> (and ?v_474 (= RES_71_60_71_60 OR_36_19_26)) ?v_23) (=> (and ?v_474 (= RES_71_60_71_60 AND_36_20_26)) ?v_23) (=> (and ?v_474 (= RES_71_60_71_60 BITOR_36_21_26)) ?v_23) (=> (and ?v_474 (= RES_71_60_71_60 BITXOR_36_22_26)) ?v_23) (=> (and ?v_474 (= RES_71_60_71_60 BITAND_36_23_26)) ?v_23) (=> (and ?v_474 (= RES_71_60_71_60 NE_36_24_26)) ?v_23) (=> (and ?v_474 (= RES_71_60_71_60 EQ_36_25_26)) ?v_23) (=> (and ?v_474 (= RES_71_60_71_60 GE_36_26_26)) ?v_23) (=> (and ?v_474 (= RES_71_60_71_60 GT_36_27_26)) ?v_23) (=> (and ?v_474 (= RES_71_60_71_60 LE_36_28_26)) ?v_23) (=> (and ?v_474 (= RES_71_60_71_60 LT_36_29_26)) ?v_23) (=> (and ?v_474 (= RES_71_60_71_60 LSHIFT_36_30_26)) ?v_23) (=> (and ?v_474 (= RES_71_60_71_60 RSHIFT_36_31_26)) ?v_23) (=> (and ?v_474 (= RES_71_60_71_60 URSHIFT_36_32_26)) ?v_23) (=> (and ?v_474 (= RES_71_60_71_60 ADD_36_33_26)) ?v_23) (=> (and ?v_474 (= RES_71_60_71_60 SUB_36_34_26)) ?v_23) (=> (and ?v_474 (= RES_71_60_71_60 DIV_36_35_26)) ?v_23) (=> (and ?v_474 (= RES_71_60_71_60 MOD_36_36_26)) ?v_23) (=> (and ?v_474 (= RES_71_60_71_60 STAR_36_37_26)) ?v_23) (=> (and ?v_474 (= RES_71_60_71_60 ASSIGN_36_40_26)) ?v_23) (=> (and ?v_474 (= RES_71_60_71_60 ASGMUL_36_41_26)) ?v_23) (=> (and ?v_474 (= RES_71_60_71_60 ASGDIV_36_42_26)) ?v_23) (=> (and ?v_474 (= RES_71_60_71_60 ASGREM_36_43_26)) ?v_23) (=> (and ?v_474 (= RES_71_60_71_60 ASGADD_36_44_26)) ?v_23) (=> (and ?v_474 (= RES_71_60_71_60 ASGSUB_36_45_26)) ?v_23) (=> (and ?v_474 (= RES_71_60_71_60 ASGLSHIFT_36_46_26)) ?v_23) (=> (and ?v_474 (= RES_71_60_71_60 ASGRSHIFT_36_47_26)) ?v_23) (=> (and ?v_474 (= RES_71_60_71_60 ASGURSHIFT_36_48_26)) ?v_23) (=> (and ?v_474 (= RES_71_60_71_60 ASGBITAND_36_49_26)) ?v_23) (=> (and ?v_474 (= RES_71_60_71_60 ASGBITOR_36_50_26)) ?v_23) (=> (and ?v_474 (= RES_71_60_71_60 ASGBITXOR_36_51_26)) ?v_23) (=> (and ?v_474 (= RES_71_60_71_60 UNARYADD_36_54_26)) ?v_24) (=> (and ?v_474 (= RES_71_60_71_60 UNARYSUB_36_55_26)) ?v_24) (=> (and ?v_474 (= RES_71_60_71_60 NOT_36_56_26)) ?v_24) (=> (and ?v_474 (= RES_71_60_71_60 BITNOT_36_57_26)) ?v_24) (=> (and ?v_474 (= RES_71_60_71_60 INC_36_58_26)) ?v_24) (=> (and ?v_474 (= RES_71_60_71_60 DEC_36_59_26)) ?v_24) (=> (and ?v_474 (= RES_71_60_71_60 POSTFIXINC_36_62_26)) ?v_24) (=> (and ?v_474 (= RES_71_60_71_60 POSTFIXDEC_36_63_26)) ?v_24) (=> (and ?v_474 (= RES_71_60_71_60 BOOLEANTYPE_35_27_26)) ?v_25) (=> (and ?v_474 (= RES_71_60_71_60 INTTYPE_35_28_26)) ?v_25) (=> (and ?v_474 (= RES_71_60_71_60 LONGTYPE_35_29_26)) ?v_25) (=> (and ?v_474 (= RES_71_60_71_60 CHARTYPE_35_30_26)) ?v_25) (=> (and ?v_474 (= RES_71_60_71_60 FLOATTYPE_35_31_26)) ?v_25) (=> (and ?v_474 (= RES_71_60_71_60 DOUBLETYPE_35_32_26)) ?v_25) (=> (and ?v_474 (= RES_71_60_71_60 VOIDTYPE_35_33_26)) ?v_25) (=> (and ?v_474 (= RES_71_60_71_60 NULLTYPE_35_34_26)) ?v_25) (=> (and ?v_474 (= RES_71_60_71_60 BYTETYPE_35_35_26)) ?v_25) (=> (and ?v_474 (= RES_71_60_71_60 SHORTTYPE_35_36_26)) ?v_25) (=> (and ?v_474 (= RES_71_60_71_60 BOOLEANLIT_35_38_26)) ?v_26) (=> (and ?v_474 (= RES_71_60_71_60 INTLIT_35_39_26)) ?v_26) (=> (and ?v_474 (= RES_71_60_71_60 LONGLIT_35_40_26)) ?v_26) (=> (and ?v_474 (= RES_71_60_71_60 CHARLIT_35_41_26)) ?v_26) (=> (and ?v_474 (= RES_71_60_71_60 FLOATLIT_35_42_26)) ?v_26) (=> (and ?v_474 (= RES_71_60_71_60 DOUBLELIT_35_43_26)) ?v_26) (=> (and ?v_474 (= RES_71_60_71_60 STRINGLIT_35_44_26)) ?v_26) (=> (and ?v_474 (= RES_71_60_71_60 NULLLIT_35_45_26)) ?v_26) (= arg0_71_17_71_17_6__ (stringCat tmp4_71_25 RES_71_60_71_60)) (= EC_71_17_71_17 ecReturn) ?v_11) (and ?v_338 ?v_11 ?v_339 ?v_340 ?v_341 ?v_11 ?v_6 ?v_94 ?v_342 ?v_343 ?v_344 ?v_10 ?v_94 ?v_345 ?v_346 ?v_347 ?v_348 ?v_349 ?v_11 ?v_96 ?v_99 ?v_100 ?v_101 ?v_350 ?v_351 ?v_352 ?v_11 ?v_6 ?v_538 ?v_353 ?v_539 ?v_540 ?v_541 ?v_542 ?v_543 ?v_544 ?v_545 ?v_546 ?v_547 ?v_548 ?v_549 ?v_550 ?v_551 ?v_552 ?v_553 ?v_554 ?v_555 ?v_556 ?v_557 ?v_558 ?v_559 ?v_560 ?v_561 ?v_562 ?v_563 ?v_564 ?v_565 ?v_566 ?v_567 ?v_568 ?v_569 ?v_570 ?v_571 ?v_572 ?v_573 ?v_574 ?v_575 ?v_576 ?v_577 ?v_578 ?v_579 ?v_580 ?v_581 ?v_582 ?v_583 ?v_584 ?v_585 ?v_586 ?v_587 ?v_588 ?v_589 ?v_590 ?v_591 ?v_592 ?v_593 ?v_594 ?v_595 ?v_596 ?v_597 ?v_598 ?v_599 ?v_600 ?v_601 ?v_602 ?v_603 ?v_604 ?v_605 ?v_606 ?v_607 ?v_608 ?v_609 ?v_610 ?v_611 ?v_612 ?v_613 ?v_614 ?v_615 ?v_616 ?v_617 ?v_618 ?v_619 ?v_620 ?v_621 ?v_622 ?v_623 ?v_624 ?v_625 ?v_626 ?v_627 ?v_628 ?v_629 ?v_630 ?v_631 ?v_632 ?v_633 ?v_634 ?v_635 ?v_636 ?v_637 ?v_638 ?v_639 ?v_640 ?v_641 ?v_642 ?v_643 ?v_644 ?v_645 ?v_646 ?v_647 ?v_648 ?v_649 ?v_650 ?v_651 ?v_652 ?v_653 ?v_654 ?v_655 ?v_656 ?v_11 ?v_657 (not ?v_658) (or ?v_659 (and (not ?v_659) (or (and ?v_660 (= e_90_41 XRES_77_8_0_84_25_84_25) ?v_11) (not ?v_660)))))))))) (not (= ecReturn ecReturn)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
