(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_ast_SkipStmt () Int)
(declare-fun T_javafe_ast_Stmt () Int)
(declare-fun T_javafe_ast_Expr () Int)
(declare-fun T_javafe_ast_VarInit () Int)
(declare-fun T_javafe_ast_TypeName () Int)
(declare-fun T_javafe_ast_Type () Int)
(declare-fun T_javafe_ast_ForStmt () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_javafe_ast_TypeDecl () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_javafe_ast_TypeDeclElem () Int)
(declare-fun T_java_lang_Long () Int)
(declare-fun T_java_lang_Number () Int)
(declare-fun T_javafe_ast_IfStmt () Int)
(declare-fun T_javafe_ast_LabelStmt () Int)
(declare-fun T_javafe_ast_Identifier () Int)
(declare-fun T_javafe_ast_GenericBlockStmt () Int)
(declare-fun T_javafe_ast_MethodDecl () Int)
(declare-fun T_javafe_ast_RoutineDecl () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_javafe_util_ErrorSet () Int)
(declare-fun T_javafe_ast_ContinueStmt () Int)
(declare-fun T_javafe_ast_BranchStmt () Int)
(declare-fun T_javafe_tc_PrepTypeDeclaration () Int)
(declare-fun T_javafe_ast_ObjectDesignator () Int)
(declare-fun T_javafe_ast_AmbiguousVariableAccess () Int)
(declare-fun T_javafe_ast_BreakStmt () Int)
(declare-fun T_javafe_util_Set () Int)
(declare-fun T_javafe_ast_LiteralExpr () Int)
(declare-fun T_javafe_ast_ClassDecl () Int)
(declare-fun T_javafe_ast_InterfaceDecl () Int)
(declare-fun T_javafe_ast_ThisExpr () Int)
(declare-fun T_javafe_tc_OutsideEnv () Int)
(declare-fun T_javafe_ast_LocalVarDecl () Int)
(declare-fun T_javafe_ast_GenericVarDecl () Int)
(declare-fun T_javafe_ast_ThrowStmt () Int)
(declare-fun T_javafe_ast_IdentifierVec () Int)
(declare-fun T_javafe_ast_InitBlock () Int)
(declare-fun T_javafe_ast_OnDemandImportDecl () Int)
(declare-fun T_javafe_ast_ImportDecl () Int)
(declare-fun T_java_lang_Integer () Int)
(declare-fun T_javafe_tc_MethodDeclVec () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_javafe_ast_ReturnStmt () Int)
(declare-fun T_javafe_tc_FieldDeclVec () Int)
(declare-fun T_javafe_ast_ParenExpr () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun T_javafe_ast_CastExpr () Int)
(declare-fun T_javafe_ast_EvalStmt () Int)
(declare-fun T_javafe_ast_BinaryExpr () Int)
(declare-fun T_javafe_ast_ASTDecoration () Int)
(declare-fun T_javafe_ast_ConstructorDecl () Int)
(declare-fun T_javafe_ast_VariableAccess () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_javafe_ast_InstanceOfExpr () Int)
(declare-fun T_javafe_ast_CompilationUnit () Int)
(declare-fun T_javafe_reader_Reader () Int)
(declare-fun T_javafe_ast_UnaryExpr () Int)
(declare-fun T_javafe_ast_TypeModifierPragmaVec () Int)
(declare-fun T_java_lang_Boolean () Int)
(declare-fun T_javafe_ast_CondExpr () Int)
(declare-fun T_javafe_ast_CompoundName () Int)
(declare-fun T_javafe_ast_Name () Int)
(declare-fun T_javafe_ast_ArrayType () Int)
(declare-fun T_javafe_util_StackVector () Int)
(declare-fun T_java_lang_Float () Int)
(declare-fun T_javafe_ast_ArrayInit () Int)
(declare-fun T_javafe_ast_BlockStmt () Int)
(declare-fun T_javafe_ast_SingleTypeImportDecl () Int)
(declare-fun T_javafe_ast_MethodInvocation () Int)
(declare-fun T_javafe_ast_NewArrayExpr () Int)
(declare-fun T_javafe_reader_TypeReader () Int)
(declare-fun T_javafe_ast_FormalParaDecl () Int)
(declare-fun T_javafe_ast_SimpleName () Int)
(declare-fun T_javafe_ast_FieldAccess () Int)
(declare-fun T_javafe_ast_SynchronizeStmt () Int)
(declare-fun T_javafe_ast_CatchClause () Int)
(declare-fun T_javafe_tc_Env () Int)
(declare-fun T_javafe_ast_NewInstanceExpr () Int)
(declare-fun T_javafe_ast_PrimitiveType () Int)
(declare-fun T_javafe_tc_EnvForTypeSig () Int)
(declare-fun T_javafe_ast_DoStmt () Int)
(declare-fun T_javafe_ast_ConstructorInvocation () Int)
(declare-fun T_javafe_ast_WhileStmt () Int)
(declare-fun T_javafe_ast_ExprObjectDesignator () Int)
(declare-fun T_javafe_util_Assert () Int)
(declare-fun T_javafe_ast_AmbiguousMethodInvocation () Int)
(declare-fun T_javafe_ast_ClassLiteral () Int)
(declare-fun T_javafe_ast_FieldDecl () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_javafe_ast_ClassDeclStmt () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_javafe_ast_TypeModifierPragma () Int)
(declare-fun T_javafe_ast_VarDeclStmt () Int)
(declare-fun T_javafe_ast_ArrayRefExpr () Int)
(declare-fun T_javafe_ast_SwitchStmt () Int)
(declare-fun T_java_lang_Double () Int)
(declare-fun T_javafe_ast_TryCatchStmt () Int)
(declare-fun T_javafe_tc_TypeSig () Int)
(declare-fun T_javafe_tc_TagConstants () Int)
(declare-fun T_javafe_ast_TypeObjectDesignator () Int)
(declare-fun T_javafe_tc_EnvForCU () Int)
(declare-fun T_javafe_ast_SuperObjectDesignator () Int)
(declare-fun T_javafe_ast_TryFinallyStmt () Int)
(declare-fun T_javafe_ast_SwitchLabel () Int)
(declare-fun T_javafe_ast_ExprVec () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun NE_26_24_26 () Int)
(declare-fun METHODINVOCATION_27_59_7 () Int)
(declare-fun INTERFACEDECL_27_18_7 () Int)
(declare-fun UNARYSUB_26_55_26 () Int)
(declare-fun SHORTTYPE_25_36_26 () Int)
(declare-fun CATCHCLAUSE_27_45_7 () Int)
(declare-fun STAR_26_37_26 () Int)
(declare-fun SYNCHRONIZESTMT_27_31_7 () Int)
(declare-fun BITAND_26_23_26 () Int)
(declare-fun AMBIGUOUSMETHODINVOCATION_27_58_7 () Int)
(declare-fun CLASSDECL_27_17_7 () Int)
(declare-fun UNARYADD_26_54_26 () Int)
(declare-fun BYTETYPE_25_35_26 () Int)
(declare-fun CONSTRUCTORINVOCATION_27_44_7 () Int)
(declare-fun MOD_26_36_26 () Int)
(declare-fun DOSTMT_27_30_7 () Int)
(declare-fun BITXOR_26_22_26 () Int)
(declare-fun FIELDACCESS_27_57_7 () Int)
(declare-fun ONDEMANDIMPORTDECL_27_16_7 () Int)
(declare-fun otherCodes_24_202_27 () Int)
(declare-fun ASGBITXOR_26_51_26 () Int)
(declare-fun NULLTYPE_25_34_26 () Int)
(declare-fun TRYCATCHSTMT_27_43_7 () Int)
(declare-fun DIV_26_35_26 () Int)
(declare-fun WHILESTMT_27_29_7 () Int)
(declare-fun BITOR_26_21_26 () Int)
(declare-fun VARIABLEACCESS_27_56_7 () Int)
(declare-fun SINGLETYPEIMPORTDECL_27_15_7 () Int)
(declare-fun ASGBITOR_26_50_26 () Int)
(declare-fun VOIDTYPE_25_33_26 () Int)
(declare-fun TRYFINALLYSTMT_27_42_7 () Int)
(declare-fun SUB_26_34_26 () Int)
(declare-fun CLASSDECLSTMT_27_28_7 () Int)
(declare-fun AMBIGUOUSVARIABLEACCESS_27_55_7 () Int)
(declare-fun COMPILATIONUNIT_27_14_7 () Int)
(declare-fun ASGBITAND_26_49_26 () Int)
(declare-fun DOUBLETYPE_25_32_26 () Int)
(declare-fun SWITCHLABEL_27_41_7 () Int)
(declare-fun ADD_26_33_26 () Int)
(declare-fun VARDECLSTMT_27_27_7 () Int)
(declare-fun PARENEXPR_27_54_7 () Int)
(declare-fun AND_26_20_26 () Int)
(declare-fun map_6_301_35 () Int)
(declare-fun TYPEMODIFIERPRAGMA_24_28_26 () Int)
(declare-fun ASGURSHIFT_26_48_26 () Int)
(declare-fun FLOATTYPE_25_31_26 () Int)
(declare-fun SKIPSTMT_27_40_7 () Int)
(declare-fun URSHIFT_26_32_26 () Int)
(declare-fun COMPOUNDNAME_27_67_7 () Int)
(declare-fun SWITCHSTMT_27_26_7 () Int)
(declare-fun NULLLIT_25_45_26 () Int)
(declare-fun CASTEXPR_27_53_7 () Int)
(declare-fun OR_26_19_26 () Int)
(declare-fun TYPEDECLELEMPRAGMA_24_27_26 () Int)
(declare-fun ASGRSHIFT_26_47_26 () Int)
(declare-fun CHARTYPE_25_30_26 () Int)
(declare-fun FORSTMT_27_39_7 () Int)
(declare-fun RSHIFT_26_31_26 () Int)
(declare-fun SIMPLENAME_27_66_7 () Int)
(declare-fun BLOCKSTMT_27_25_7 () Int)
(declare-fun STRINGLIT_25_44_26 () Int)
(declare-fun INSTANCEOFEXPR_27_52_7 () Int)
(declare-fun STMTPRAGMA_24_26_26 () Int)
(declare-fun ASGLSHIFT_26_46_26 () Int)
(declare-fun LONGTYPE_25_29_26 () Int)
(declare-fun IFSTMT_27_38_7 () Int)
(declare-fun LSHIFT_26_30_26 () Int)
(declare-fun punctuationStrings_24_134_22 () Int)
(declare-fun ARRAYTYPE_27_65_7 () Int)
(declare-fun FORMALPARADECL_27_24_7 () Int)
(declare-fun POSTFIXDEC_26_63_26 () Int)
(declare-fun DOUBLELIT_25_43_26 () Int)
(declare-fun CONDEXPR_27_51_7 () Int)
(declare-fun MODIFIERPRAGMA_24_25_26 () Int)
(declare-fun ASGSUB_26_45_26 () Int)
(declare-fun INTTYPE_25_28_26 () Int)
(declare-fun LABELSTMT_27_37_7 () Int)
(declare-fun sigDecoration_6_104_38 () Int)
(declare-fun LT_26_29_26 () Int)
(declare-fun TYPENAME_27_64_7 () Int)
(declare-fun FIELDDECL_27_23_7 () Int)
(declare-fun POSTFIXINC_26_62_26 () Int)
(declare-fun FLOATLIT_25_42_26 () Int)
(declare-fun NEWARRAYEXPR_27_50_7 () Int)
(declare-fun otherStrings_24_193_30 () Int)
(declare-fun LEXICALPRAGMA_24_24_26 () Int)
(declare-fun ASGADD_26_44_26 () Int)
(declare-fun BOOLEANTYPE_25_27_26 () Int)
(declare-fun NULL_40_60_26 () Int)
(declare-fun CONTINUESTMT_27_36_7 () Int)
(declare-fun noTokens_24_212_27 () Int)
(declare-fun LE_26_28_26 () Int)
(declare-fun SUPEROBJECTDESIGNATOR_27_63_7 () Int)
(declare-fun LOCALVARDECL_27_22_7 () Int)
(declare-fun DEC_26_59_26 () Int)
(declare-fun CHARLIT_25_41_26 () Int)
(declare-fun NEWINSTANCEEXPR_27_49_7 () Int)
(declare-fun ASGREM_26_43_26 () Int)
(declare-fun IDENT_25_25_26 () Int)
(declare-fun BREAKSTMT_27_35_7 () Int)
(declare-fun punctuationCodes_24_164_19 () Int)
(declare-fun GT_26_27_26 () Int)
(declare-fun TYPEOBJECTDESIGNATOR_27_62_7 () Int)
(declare-fun INITBLOCK_27_21_7 () Int)
(declare-fun INC_26_58_26 () Int)
(declare-fun FIRST_KEYWORD_24_51_26 () Int)
(declare-fun LONGLIT_25_40_26 () Int)
(declare-fun ARRAYREFEXPR_27_48_7 () Int)
(declare-fun ASGDIV_26_42_26 () Int)
(declare-fun LAST_KEYWORD_24_103_26 () Int)
(declare-fun THROWSTMT_27_34_7 () Int)
(declare-fun GE_26_26_26 () Int)
(declare-fun EXPROBJECTDESIGNATOR_27_61_7 () Int)
(declare-fun METHODDECL_27_20_7 () Int)
(declare-fun TYPESIG_23_6_28 () Int)
(declare-fun BITNOT_26_57_26 () Int)
(declare-fun INTLIT_25_39_26 () Int)
(declare-fun THISEXPR_27_47_7 () Int)
(declare-fun keywordStrings_24_181_30 () Int)
(declare-fun ASGMUL_26_41_26 () Int)
(declare-fun RETURNSTMT_27_33_7 () Int)
(declare-fun whereDecoration_597_41 () Int)
(declare-fun EQ_26_25_26 () Int)
(declare-fun NULL_24_82_26 () Int)
(declare-fun CLASSLITERAL_27_60_7 () Int)
(declare-fun CONSTRUCTORDECL_27_19_7 () Int)
(declare-fun NOT_26_56_26 () Int)
(declare-fun BOOLEANLIT_25_38_26 () Int)
(declare-fun ARRAYINIT_27_46_7 () Int)
(declare-fun ASSIGN_26_40_26 () Int)
(declare-fun EVALSTMT_27_32_7 () Int)
(assert (let ((?v_0 (array T_int)) (?v_1 (array T_java_lang_String))) (and (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_SkipStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_SkipStmt (asChild T_javafe_ast_SkipStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_Expr T_javafe_ast_VarInit) true_term) (= T_javafe_ast_Expr (asChild T_javafe_ast_Expr T_javafe_ast_VarInit)) (= (PO_LT T_javafe_ast_TypeName T_javafe_ast_Type) true_term) (= T_javafe_ast_TypeName (asChild T_javafe_ast_TypeName T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_ForStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ForStmt (asChild T_javafe_ast_ForStmt T_javafe_ast_Stmt)) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDecl (asChild T_javafe_ast_TypeDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_java_lang_Long T_java_lang_Number) true_term) (= T_java_lang_Long (asChild T_java_lang_Long T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Long) true_term) (= ?t T_java_lang_Long))) (= (PO_LT T_java_lang_Long T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_IfStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_IfStmt (asChild T_javafe_ast_IfStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_TypeDeclElem T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_LabelStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_LabelStmt (asChild T_javafe_ast_LabelStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_Identifier T_java_lang_Object) true_term) (= T_javafe_ast_Identifier (asChild T_javafe_ast_Identifier T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_ast_Identifier) true_term) (= ?t T_javafe_ast_Identifier))) (= (PO_LT T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_GenericBlockStmt (asChild T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl) true_term) (= T_javafe_ast_MethodDecl (asChild T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl)) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_javafe_util_ErrorSet T_java_lang_Object) true_term) (= T_javafe_util_ErrorSet (asChild T_javafe_util_ErrorSet T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_javafe_ast_Type T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Type (asChild T_javafe_ast_Type T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_ContinueStmt T_javafe_ast_BranchStmt) true_term) (= T_javafe_ast_ContinueStmt (asChild T_javafe_ast_ContinueStmt T_javafe_ast_BranchStmt)) (= (PO_LT T_javafe_tc_PrepTypeDeclaration T_java_lang_Object) true_term) (= T_javafe_tc_PrepTypeDeclaration (asChild T_javafe_tc_PrepTypeDeclaration T_java_lang_Object)) (= (PO_LT T_javafe_ast_ObjectDesignator T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ObjectDesignator (asChild T_javafe_ast_ObjectDesignator T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_AmbiguousVariableAccess T_javafe_ast_Expr) true_term) (= T_javafe_ast_AmbiguousVariableAccess (asChild T_javafe_ast_AmbiguousVariableAccess T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_BreakStmt T_javafe_ast_BranchStmt) true_term) (= T_javafe_ast_BreakStmt (asChild T_javafe_ast_BreakStmt T_javafe_ast_BranchStmt)) (= (PO_LT T_javafe_util_Set T_java_lang_Object) true_term) (= T_javafe_util_Set (asChild T_javafe_util_Set T_java_lang_Object)) (= (PO_LT T_javafe_util_Set T_java_lang_Cloneable) true_term) (= (PO_LT T_javafe_ast_LiteralExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_LiteralExpr (asChild T_javafe_ast_LiteralExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_ClassDecl T_javafe_ast_TypeDecl) true_term) (= T_javafe_ast_ClassDecl (asChild T_javafe_ast_ClassDecl T_javafe_ast_TypeDecl)) (= (PO_LT T_javafe_ast_InterfaceDecl T_javafe_ast_TypeDecl) true_term) (= T_javafe_ast_InterfaceDecl (asChild T_javafe_ast_InterfaceDecl T_javafe_ast_TypeDecl)) (= (PO_LT T_javafe_ast_ThisExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_ThisExpr (asChild T_javafe_ast_ThisExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_tc_OutsideEnv T_java_lang_Object) true_term) (= T_javafe_tc_OutsideEnv (asChild T_javafe_tc_OutsideEnv T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_tc_OutsideEnv) true_term) (= ?t T_javafe_tc_OutsideEnv))) (= (PO_LT T_javafe_ast_LocalVarDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_LocalVarDecl (asChild T_javafe_ast_LocalVarDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_ThrowStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ThrowStmt (asChild T_javafe_ast_ThrowStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_IdentifierVec T_java_lang_Object) true_term) (= T_javafe_ast_IdentifierVec (asChild T_javafe_ast_IdentifierVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_InitBlock T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_InitBlock (asChild T_javafe_ast_InitBlock T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_InitBlock T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_OnDemandImportDecl T_javafe_ast_ImportDecl) true_term) (= T_javafe_ast_OnDemandImportDecl (asChild T_javafe_ast_OnDemandImportDecl T_javafe_ast_ImportDecl)) (= (PO_LT T_java_lang_Integer T_java_lang_Number) true_term) (= T_java_lang_Integer (asChild T_java_lang_Integer T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Integer) true_term) (= ?t T_java_lang_Integer))) (= (PO_LT T_java_lang_Integer T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_tc_MethodDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_MethodDeclVec (asChild T_javafe_tc_MethodDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_javafe_ast_ReturnStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ReturnStmt (asChild T_javafe_ast_ReturnStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_tc_FieldDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_FieldDeclVec (asChild T_javafe_tc_FieldDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_ParenExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_ParenExpr (asChild T_javafe_ast_ParenExpr T_javafe_ast_Expr)) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Number T_java_lang_Object) true_term) (= T_java_lang_Number (asChild T_java_lang_Number T_java_lang_Object)) (= (PO_LT T_java_lang_Number T_java_io_Serializable) true_term) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (= (PO_LT T_javafe_ast_CastExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_CastExpr (asChild T_javafe_ast_CastExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_EvalStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_EvalStmt (asChild T_javafe_ast_EvalStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_BinaryExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_BinaryExpr (asChild T_javafe_ast_BinaryExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_ASTDecoration T_java_lang_Object) true_term) (= T_javafe_ast_ASTDecoration (asChild T_javafe_ast_ASTDecoration T_java_lang_Object)) (= (PO_LT T_javafe_ast_ConstructorDecl T_javafe_ast_RoutineDecl) true_term) (= T_javafe_ast_ConstructorDecl (asChild T_javafe_ast_ConstructorDecl T_javafe_ast_RoutineDecl)) (= (PO_LT T_javafe_ast_VariableAccess T_javafe_ast_Expr) true_term) (= T_javafe_ast_VariableAccess (asChild T_javafe_ast_VariableAccess T_javafe_ast_Expr)) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_javafe_ast_InstanceOfExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_InstanceOfExpr (asChild T_javafe_ast_InstanceOfExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CompilationUnit (asChild T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_reader_Reader T_java_lang_Object) true_term) (= T_javafe_reader_Reader (asChild T_javafe_reader_Reader T_java_lang_Object)) (= (PO_LT T_javafe_ast_UnaryExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_UnaryExpr (asChild T_javafe_ast_UnaryExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_BranchStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_BranchStmt (asChild T_javafe_ast_BranchStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_TypeModifierPragmaVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeModifierPragmaVec (asChild T_javafe_ast_TypeModifierPragmaVec T_java_lang_Object)) (= (PO_LT T_java_lang_Boolean T_java_lang_Object) true_term) (= T_java_lang_Boolean (asChild T_java_lang_Boolean T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Boolean) true_term) (= ?t T_java_lang_Boolean))) (= (PO_LT T_java_lang_Boolean T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_CondExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_CondExpr (asChild T_javafe_ast_CondExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_CompoundName T_javafe_ast_Name) true_term) (= T_javafe_ast_CompoundName (asChild T_javafe_ast_CompoundName T_javafe_ast_Name)) (= (PO_LT T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_GenericVarDecl (asChild T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_ArrayType T_javafe_ast_Type) true_term) (= T_javafe_ast_ArrayType (asChild T_javafe_ast_ArrayType T_javafe_ast_Type)) (= (PO_LT T_javafe_util_StackVector T_java_lang_Object) true_term) (= T_javafe_util_StackVector (asChild T_javafe_util_StackVector T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_util_StackVector) true_term) (= ?t T_javafe_util_StackVector))) (= (PO_LT T_java_lang_Float T_java_lang_Number) true_term) (= T_java_lang_Float (asChild T_java_lang_Float T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Float) true_term) (= ?t T_java_lang_Float))) (= (PO_LT T_java_lang_Float T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_ArrayInit T_javafe_ast_VarInit) true_term) (= T_javafe_ast_ArrayInit (asChild T_javafe_ast_ArrayInit T_javafe_ast_VarInit)) (= (PO_LT T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt) true_term) (= T_javafe_ast_BlockStmt (asChild T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt)) (= (PO_LT T_javafe_ast_SingleTypeImportDecl T_javafe_ast_ImportDecl) true_term) (= T_javafe_ast_SingleTypeImportDecl (asChild T_javafe_ast_SingleTypeImportDecl T_javafe_ast_ImportDecl)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_RoutineDecl (asChild T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_MethodInvocation T_javafe_ast_Expr) true_term) (= T_javafe_ast_MethodInvocation (asChild T_javafe_ast_MethodInvocation T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_NewArrayExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_NewArrayExpr (asChild T_javafe_ast_NewArrayExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_reader_TypeReader T_javafe_reader_Reader) true_term) (= T_javafe_reader_TypeReader (asChild T_javafe_reader_TypeReader T_javafe_reader_Reader)) (= (PO_LT T_javafe_ast_FormalParaDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FormalParaDecl (asChild T_javafe_ast_FormalParaDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_SimpleName T_javafe_ast_Name) true_term) (= T_javafe_ast_SimpleName (asChild T_javafe_ast_SimpleName T_javafe_ast_Name)) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_FieldAccess T_javafe_ast_Expr) true_term) (= T_javafe_ast_FieldAccess (asChild T_javafe_ast_FieldAccess T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_SynchronizeStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_SynchronizeStmt (asChild T_javafe_ast_SynchronizeStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_CatchClause T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CatchClause (asChild T_javafe_ast_CatchClause T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_tc_Env T_java_lang_Object) true_term) (= T_javafe_tc_Env (asChild T_javafe_tc_Env T_java_lang_Object)) (= (PO_LT T_javafe_ast_NewInstanceExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_NewInstanceExpr (asChild T_javafe_ast_NewInstanceExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_PrimitiveType T_javafe_ast_Type) true_term) (= T_javafe_ast_PrimitiveType (asChild T_javafe_ast_PrimitiveType T_javafe_ast_Type)) (= (PO_LT T_javafe_tc_EnvForTypeSig T_javafe_tc_Env) true_term) (= T_javafe_tc_EnvForTypeSig (asChild T_javafe_tc_EnvForTypeSig T_javafe_tc_Env)) (= (PO_LT T_javafe_ast_DoStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_DoStmt (asChild T_javafe_ast_DoStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_ConstructorInvocation T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ConstructorInvocation (asChild T_javafe_ast_ConstructorInvocation T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_WhileStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_WhileStmt (asChild T_javafe_ast_WhileStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_ExprObjectDesignator T_javafe_ast_ObjectDesignator) true_term) (= T_javafe_ast_ExprObjectDesignator (asChild T_javafe_ast_ExprObjectDesignator T_javafe_ast_ObjectDesignator)) (= (PO_LT T_javafe_util_Assert T_java_lang_Object) true_term) (= T_javafe_util_Assert (asChild T_javafe_util_Assert T_java_lang_Object)) (= (PO_LT T_javafe_ast_AmbiguousMethodInvocation T_javafe_ast_Expr) true_term) (= T_javafe_ast_AmbiguousMethodInvocation (asChild T_javafe_ast_AmbiguousMethodInvocation T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_ClassLiteral T_javafe_ast_Expr) true_term) (= T_javafe_ast_ClassLiteral (asChild T_javafe_ast_ClassLiteral T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_Name T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Name (asChild T_javafe_ast_Name T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_Stmt T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Stmt (asChild T_javafe_ast_Stmt T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FieldDecl (asChild T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_ast_ClassDeclStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ClassDeclStmt (asChild T_javafe_ast_ClassDeclStmt T_javafe_ast_Stmt)) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_VarInit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_VarInit (asChild T_javafe_ast_VarInit T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_TypeModifierPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeModifierPragma (asChild T_javafe_ast_TypeModifierPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_VarDeclStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_VarDeclStmt (asChild T_javafe_ast_VarDeclStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_ArrayRefExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_ArrayRefExpr (asChild T_javafe_ast_ArrayRefExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_SwitchStmt T_javafe_ast_GenericBlockStmt) true_term) (= T_javafe_ast_SwitchStmt (asChild T_javafe_ast_SwitchStmt T_javafe_ast_GenericBlockStmt)) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Double T_java_lang_Number) true_term) (= T_java_lang_Double (asChild T_java_lang_Double T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Double) true_term) (= ?t T_java_lang_Double))) (= (PO_LT T_java_lang_Double T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_TryCatchStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_TryCatchStmt (asChild T_javafe_ast_TryCatchStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_tc_TypeSig T_javafe_ast_Type) true_term) (= T_javafe_tc_TypeSig (asChild T_javafe_tc_TypeSig T_javafe_ast_Type)) (= (PO_LT T_javafe_tc_TagConstants T_javafe_parser_TagConstants) true_term) (= T_javafe_tc_TagConstants (asChild T_javafe_tc_TagConstants T_javafe_parser_TagConstants)) (= (PO_LT T_javafe_ast_TypeObjectDesignator T_javafe_ast_ObjectDesignator) true_term) (= T_javafe_ast_TypeObjectDesignator (asChild T_javafe_ast_TypeObjectDesignator T_javafe_ast_ObjectDesignator)) (= (PO_LT T_javafe_tc_EnvForCU T_javafe_tc_Env) true_term) (= T_javafe_tc_EnvForCU (asChild T_javafe_tc_EnvForCU T_javafe_tc_Env)) (= (PO_LT T_javafe_ast_SuperObjectDesignator T_javafe_ast_ObjectDesignator) true_term) (= T_javafe_ast_SuperObjectDesignator (asChild T_javafe_ast_SuperObjectDesignator T_javafe_ast_ObjectDesignator)) (= (PO_LT T_javafe_ast_TryFinallyStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_TryFinallyStmt (asChild T_javafe_ast_TryFinallyStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_SwitchLabel T_javafe_ast_Stmt) true_term) (= T_javafe_ast_SwitchLabel (asChild T_javafe_ast_SwitchLabel T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_ExprVec T_java_lang_Object) true_term) (= T_javafe_ast_ExprVec (asChild T_javafe_ast_ExprVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_ImportDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ImportDecl (asChild T_javafe_ast_ImportDecl T_javafe_ast_ASTNode)) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_lang_String (+ DIST_ZERO_1 10)) (= T_javafe_ast_SkipStmt (+ DIST_ZERO_1 11)) (= T_javafe_ast_Expr (+ DIST_ZERO_1 12)) (= T_javafe_ast_TypeName (+ DIST_ZERO_1 13)) (= T_javafe_ast_ForStmt (+ DIST_ZERO_1 14)) (= T_java_util_Map (+ DIST_ZERO_1 15)) (= T_javafe_ast_TypeDecl (+ DIST_ZERO_1 16)) (= T_java_lang_Long (+ DIST_ZERO_1 17)) (= T_javafe_ast_IfStmt (+ DIST_ZERO_1 18)) (= T_javafe_ast_TypeDeclElem (+ DIST_ZERO_1 19)) (= T_javafe_ast_LabelStmt (+ DIST_ZERO_1 20)) (= T_javafe_ast_Identifier (+ DIST_ZERO_1 21)) (= T_javafe_ast_GenericBlockStmt (+ DIST_ZERO_1 22)) (= T_javafe_ast_MethodDecl (+ DIST_ZERO_1 23)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 24)) (= T_javafe_util_ErrorSet (+ DIST_ZERO_1 25)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 26)) (= T_javafe_ast_Type (+ DIST_ZERO_1 27)) (= T_javafe_ast_ContinueStmt (+ DIST_ZERO_1 28)) (= T_javafe_tc_PrepTypeDeclaration (+ DIST_ZERO_1 29)) (= T_javafe_ast_ObjectDesignator (+ DIST_ZERO_1 30)) (= T_javafe_ast_AmbiguousVariableAccess (+ DIST_ZERO_1 31)) (= T_javafe_ast_BreakStmt (+ DIST_ZERO_1 32)) (= T_javafe_util_Set (+ DIST_ZERO_1 33)) (= T_javafe_ast_LiteralExpr (+ DIST_ZERO_1 34)) (= T_javafe_ast_ClassDecl (+ DIST_ZERO_1 35)) (= T_javafe_ast_InterfaceDecl (+ DIST_ZERO_1 36)) (= T_javafe_ast_ThisExpr (+ DIST_ZERO_1 37)) (= T_javafe_tc_OutsideEnv (+ DIST_ZERO_1 38)) (= T_javafe_ast_LocalVarDecl (+ DIST_ZERO_1 39)) (= T_javafe_ast_ThrowStmt (+ DIST_ZERO_1 40)) (= T_javafe_ast_IdentifierVec (+ DIST_ZERO_1 41)) (= T_javafe_ast_InitBlock (+ DIST_ZERO_1 42)) (= T_javafe_ast_OnDemandImportDecl (+ DIST_ZERO_1 43)) (= T_java_lang_Integer (+ DIST_ZERO_1 44)) (= T_javafe_tc_MethodDeclVec (+ DIST_ZERO_1 45)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 46)) (= T_javafe_ast_ReturnStmt (+ DIST_ZERO_1 47)) (= T_javafe_tc_FieldDeclVec (+ DIST_ZERO_1 48)) (= T_javafe_ast_ParenExpr (+ DIST_ZERO_1 49)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 50)) (= T_java_lang_Number (+ DIST_ZERO_1 51)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 52)) (= T_javafe_ast_CastExpr (+ DIST_ZERO_1 53)) (= T_javafe_ast_EvalStmt (+ DIST_ZERO_1 54)) (= T_javafe_ast_BinaryExpr (+ DIST_ZERO_1 55)) (= T_javafe_ast_ASTDecoration (+ DIST_ZERO_1 56)) (= T_javafe_ast_ConstructorDecl (+ DIST_ZERO_1 57)) (= T_javafe_ast_VariableAccess (+ DIST_ZERO_1 58)) (= T_javafe_util_Location (+ DIST_ZERO_1 59)) (= T_javafe_ast_InstanceOfExpr (+ DIST_ZERO_1 60)) (= T_javafe_ast_CompilationUnit (+ DIST_ZERO_1 61)) (= T_javafe_reader_Reader (+ DIST_ZERO_1 62)) (= T_javafe_ast_UnaryExpr (+ DIST_ZERO_1 63)) (= T_java_lang_Object (+ DIST_ZERO_1 64)) (= T_javafe_ast_BranchStmt (+ DIST_ZERO_1 65)) (= T_javafe_ast_TypeModifierPragmaVec (+ DIST_ZERO_1 66)) (= T_java_lang_Boolean (+ DIST_ZERO_1 67)) (= T_javafe_ast_CondExpr (+ DIST_ZERO_1 68)) (= T_javafe_ast_CompoundName (+ DIST_ZERO_1 69)) (= T_javafe_ast_GenericVarDecl (+ DIST_ZERO_1 70)) (= T_javafe_ast_ArrayType (+ DIST_ZERO_1 71)) (= T_javafe_util_StackVector (+ DIST_ZERO_1 72)) (= T_java_lang_Float (+ DIST_ZERO_1 73)) (= T_javafe_ast_ArrayInit (+ DIST_ZERO_1 74)) (= T_javafe_ast_BlockStmt (+ DIST_ZERO_1 75)) (= T_javafe_ast_SingleTypeImportDecl (+ DIST_ZERO_1 76)) (= T_javafe_ast_RoutineDecl (+ DIST_ZERO_1 77)) (= T_javafe_ast_MethodInvocation (+ DIST_ZERO_1 78)) (= T_javafe_ast_NewArrayExpr (+ DIST_ZERO_1 79)) (= T_javafe_reader_TypeReader (+ DIST_ZERO_1 80)) (= T_javafe_ast_FormalParaDecl (+ DIST_ZERO_1 81)) (= T_javafe_ast_SimpleName (+ DIST_ZERO_1 82)) (= T_java_lang_Comparable (+ DIST_ZERO_1 83)) (= T_javafe_ast_FieldAccess (+ DIST_ZERO_1 84)) (= T_javafe_ast_SynchronizeStmt (+ DIST_ZERO_1 85)) (= T_javafe_ast_CatchClause (+ DIST_ZERO_1 86)) (= T_javafe_tc_Env (+ DIST_ZERO_1 87)) (= T_javafe_ast_NewInstanceExpr (+ DIST_ZERO_1 88)) (= T_javafe_ast_PrimitiveType (+ DIST_ZERO_1 89)) (= T_javafe_tc_EnvForTypeSig (+ DIST_ZERO_1 90)) (= T_javafe_ast_DoStmt (+ DIST_ZERO_1 91)) (= T_javafe_ast_ConstructorInvocation (+ DIST_ZERO_1 92)) (= T_javafe_ast_WhileStmt (+ DIST_ZERO_1 93)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 94)) (= T_javafe_ast_ExprObjectDesignator (+ DIST_ZERO_1 95)) (= T_javafe_util_Assert (+ DIST_ZERO_1 96)) (= T_javafe_ast_AmbiguousMethodInvocation (+ DIST_ZERO_1 97)) (= T_javafe_ast_ClassLiteral (+ DIST_ZERO_1 98)) (= T_javafe_ast_Name (+ DIST_ZERO_1 99)) (= T_javafe_ast_Stmt (+ DIST_ZERO_1 100)) (= T_javafe_ast_FieldDecl (+ DIST_ZERO_1 101)) (= T_java_util_Dictionary (+ DIST_ZERO_1 102)) (= T_javafe_ast_ClassDeclStmt (+ DIST_ZERO_1 103)) (= T_java_util_Hashtable (+ DIST_ZERO_1 104)) (= T_javafe_ast_VarInit (+ DIST_ZERO_1 105)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 106)) (= T_javafe_ast_TypeModifierPragma (+ DIST_ZERO_1 107)) (= T_javafe_ast_VarDeclStmt (+ DIST_ZERO_1 108)) (= T_javafe_ast_ArrayRefExpr (+ DIST_ZERO_1 109)) (= T_javafe_ast_SwitchStmt (+ DIST_ZERO_1 110)) (= T_java_io_Serializable (+ DIST_ZERO_1 111)) (= T_java_lang_Double (+ DIST_ZERO_1 112)) (= T_javafe_ast_TryCatchStmt (+ DIST_ZERO_1 113)) (= T_javafe_tc_TypeSig (+ DIST_ZERO_1 114)) (= T_javafe_tc_TagConstants (+ DIST_ZERO_1 115)) (= T_javafe_ast_TypeObjectDesignator (+ DIST_ZERO_1 116)) (= T_javafe_tc_EnvForCU (+ DIST_ZERO_1 117)) (= T_javafe_ast_SuperObjectDesignator (+ DIST_ZERO_1 118)) (= T_javafe_ast_TryFinallyStmt (+ DIST_ZERO_1 119)) (= T_javafe_ast_SwitchLabel (+ DIST_ZERO_1 120)) (= T_javafe_ast_ExprVec (+ DIST_ZERO_1 121)) (= T_javafe_ast_ImportDecl (+ DIST_ZERO_1 122))) (= true_term (is NE_26_24_26 T_int)) (= NE_26_24_26 59) (= true_term (is METHODINVOCATION_27_59_7 T_int)) (= METHODINVOCATION_27_59_7 45) (= true_term (is INTERFACEDECL_27_18_7 T_int)) (= INTERFACEDECL_27_18_7 4) (= true_term (is UNARYSUB_26_55_26 T_int)) (= UNARYSUB_26_55_26 86) (= true_term (is SHORTTYPE_25_36_26 T_int)) (= SHORTTYPE_25_36_26 103) (= true_term (is CATCHCLAUSE_27_45_7 T_int)) (= CATCHCLAUSE_27_45_7 31) (= true_term (is STAR_26_37_26 T_int)) (= STAR_26_37_26 72) (= true_term (is SYNCHRONIZESTMT_27_31_7 T_int)) (= SYNCHRONIZESTMT_27_31_7 17) (= true_term (is BITAND_26_23_26 T_int)) (= BITAND_26_23_26 58) (= true_term (is AMBIGUOUSMETHODINVOCATION_27_58_7 T_int)) (= AMBIGUOUSMETHODINVOCATION_27_58_7 44) (= true_term (is CLASSDECL_27_17_7 T_int)) (= CLASSDECL_27_17_7 3) (= true_term (is UNARYADD_26_54_26 T_int)) (= UNARYADD_26_54_26 85) (= true_term (is BYTETYPE_25_35_26 T_int)) (= BYTETYPE_25_35_26 102) (= true_term (is CONSTRUCTORINVOCATION_27_44_7 T_int)) (= CONSTRUCTORINVOCATION_27_44_7 30) (= true_term (is MOD_26_36_26 T_int)) (= MOD_26_36_26 71) (= true_term (is DOSTMT_27_30_7 T_int)) (= DOSTMT_27_30_7 16) (= true_term (is BITXOR_26_22_26 T_int)) (= BITXOR_26_22_26 57) (= true_term (is FIELDACCESS_27_57_7 T_int)) (= FIELDACCESS_27_57_7 43) (= true_term (is ONDEMANDIMPORTDECL_27_16_7 T_int)) (= ONDEMANDIMPORTDECL_27_16_7 2) (= true_term (is otherCodes_24_202_27 ?v_0)) (not (= otherCodes_24_202_27 null)) (= (typeof otherCodes_24_202_27) ?v_0) (= (arrayLength otherCodes_24_202_27) 15) (= true_term (is ASGBITXOR_26_51_26 T_int)) (= ASGBITXOR_26_51_26 84) (= true_term (is NULLTYPE_25_34_26 T_int)) (= NULLTYPE_25_34_26 101) (= true_term (is TRYCATCHSTMT_27_43_7 T_int)) (= TRYCATCHSTMT_27_43_7 29) (= true_term (is DIV_26_35_26 T_int)) (= DIV_26_35_26 70) (= true_term (is WHILESTMT_27_29_7 T_int)) (= WHILESTMT_27_29_7 15) (= true_term (is BITOR_26_21_26 T_int)) (= BITOR_26_21_26 56) (= true_term (is VARIABLEACCESS_27_56_7 T_int)) (= VARIABLEACCESS_27_56_7 42) (= true_term (is SINGLETYPEIMPORTDECL_27_15_7 T_int)) (= SINGLETYPEIMPORTDECL_27_15_7 1) (= true_term (is ASGBITOR_26_50_26 T_int)) (= ASGBITOR_26_50_26 83) (= true_term (is VOIDTYPE_25_33_26 T_int)) (= VOIDTYPE_25_33_26 100) (= true_term (is TRYFINALLYSTMT_27_42_7 T_int)) (= TRYFINALLYSTMT_27_42_7 28) (= true_term (is SUB_26_34_26 T_int)) (= SUB_26_34_26 69) (= true_term (is CLASSDECLSTMT_27_28_7 T_int)) (= CLASSDECLSTMT_27_28_7 14) (= true_term (is AMBIGUOUSVARIABLEACCESS_27_55_7 T_int)) (= AMBIGUOUSVARIABLEACCESS_27_55_7 41) (= true_term (is COMPILATIONUNIT_27_14_7 T_int)) (= COMPILATIONUNIT_27_14_7 0) (= true_term (is ASGBITAND_26_49_26 T_int)) (= ASGBITAND_26_49_26 82) (= true_term (is DOUBLETYPE_25_32_26 T_int)) (= DOUBLETYPE_25_32_26 99) (= true_term (is SWITCHLABEL_27_41_7 T_int)) (= SWITCHLABEL_27_41_7 27) (= true_term (is ADD_26_33_26 T_int)) (= ADD_26_33_26 68) (= true_term (is VARDECLSTMT_27_27_7 T_int)) (= VARDECLSTMT_27_27_7 13) (= true_term (is PARENEXPR_27_54_7 T_int)) (= PARENEXPR_27_54_7 40) (= true_term (is AND_26_20_26 T_int)) (= AND_26_20_26 55) (= true_term (is map_6_301_35 T_java_util_Hashtable)) (not (= map_6_301_35 null)) (= (typeof map_6_301_35) T_java_util_Hashtable) (= true_term (is TYPEMODIFIERPRAGMA_24_28_26 T_int)) (= TYPEMODIFIERPRAGMA_24_28_26 118) (= true_term (is ASGURSHIFT_26_48_26 T_int)) (= ASGURSHIFT_26_48_26 81) (= true_term (is FLOATTYPE_25_31_26 T_int)) (= FLOATTYPE_25_31_26 98) (= true_term (is SKIPSTMT_27_40_7 T_int)) (= SKIPSTMT_27_40_7 26) (= true_term (is URSHIFT_26_32_26 T_int)) (= URSHIFT_26_32_26 67) (= true_term (is COMPOUNDNAME_27_67_7 T_int)) (= COMPOUNDNAME_27_67_7 53) (= true_term (is SWITCHSTMT_27_26_7 T_int)) (= SWITCHSTMT_27_26_7 12) (= true_term (is NULLLIT_25_45_26 T_int)) (= NULLLIT_25_45_26 111) (= true_term (is CASTEXPR_27_53_7 T_int)) (= CASTEXPR_27_53_7 39) (= true_term (is OR_26_19_26 T_int)) (= OR_26_19_26 54) (= true_term (is TYPEDECLELEMPRAGMA_24_27_26 T_int)) (= TYPEDECLELEMPRAGMA_24_27_26 117) (= true_term (is ASGRSHIFT_26_47_26 T_int)) (= ASGRSHIFT_26_47_26 80) (= true_term (is CHARTYPE_25_30_26 T_int)) (= CHARTYPE_25_30_26 97) (= true_term (is FORSTMT_27_39_7 T_int)) (= FORSTMT_27_39_7 25) (= true_term (is RSHIFT_26_31_26 T_int)) (= RSHIFT_26_31_26 66) (= true_term (is SIMPLENAME_27_66_7 T_int)) (= SIMPLENAME_27_66_7 52) (= true_term (is BLOCKSTMT_27_25_7 T_int)) (= BLOCKSTMT_27_25_7 11) (= true_term (is STRINGLIT_25_44_26 T_int)) (= STRINGLIT_25_44_26 110) (= true_term (is INSTANCEOFEXPR_27_52_7 T_int)) (= INSTANCEOFEXPR_27_52_7 38) (= true_term (is STMTPRAGMA_24_26_26 T_int)) (= STMTPRAGMA_24_26_26 116) (= true_term (is ASGLSHIFT_26_46_26 T_int)) (= ASGLSHIFT_26_46_26 79) (= true_term (is LONGTYPE_25_29_26 T_int)) (= LONGTYPE_25_29_26 96) (= true_term (is IFSTMT_27_38_7 T_int)) (= IFSTMT_27_38_7 24) (= true_term (is LSHIFT_26_30_26 T_int)) (= LSHIFT_26_30_26 65) (= true_term (is punctuationStrings_24_134_22 ?v_1)) (not (= punctuationStrings_24_134_22 null)) (= (typeof punctuationStrings_24_134_22) ?v_1) (= (arrayLength punctuationStrings_24_134_22) 48) (= true_term (is ARRAYTYPE_27_65_7 T_int)) (= ARRAYTYPE_27_65_7 51) (= true_term (is FORMALPARADECL_27_24_7 T_int)) (= FORMALPARADECL_27_24_7 10) (= true_term (is POSTFIXDEC_26_63_26 T_int)) (= POSTFIXDEC_26_63_26 92) (= true_term (is DOUBLELIT_25_43_26 T_int)) (= DOUBLELIT_25_43_26 109) (= true_term (is CONDEXPR_27_51_7 T_int)) (= CONDEXPR_27_51_7 37) (= true_term (is MODIFIERPRAGMA_24_25_26 T_int)) (= MODIFIERPRAGMA_24_25_26 115) (= true_term (is ASGSUB_26_45_26 T_int)) (= ASGSUB_26_45_26 78) (= true_term (is INTTYPE_25_28_26 T_int)) (= INTTYPE_25_28_26 95) (= true_term (is LABELSTMT_27_37_7 T_int)) (= LABELSTMT_27_37_7 23) (= true_term (is sigDecoration_6_104_38 T_javafe_ast_ASTDecoration)) (not (= sigDecoration_6_104_38 null)) (= (typeof sigDecoration_6_104_38) T_javafe_ast_ASTDecoration) (= true_term (is LT_26_29_26 T_int)) (= LT_26_29_26 64) (= true_term (is TYPENAME_27_64_7 T_int)) (= TYPENAME_27_64_7 50) (= true_term (is FIELDDECL_27_23_7 T_int)) (= FIELDDECL_27_23_7 9) (= true_term (is POSTFIXINC_26_62_26 T_int)) (= POSTFIXINC_26_62_26 91) (= true_term (is FLOATLIT_25_42_26 T_int)) (= FLOATLIT_25_42_26 108) (= true_term (is NEWARRAYEXPR_27_50_7 T_int)) (= NEWARRAYEXPR_27_50_7 36) (= true_term (is otherStrings_24_193_30 ?v_1)) (not (= otherStrings_24_193_30 null)) (= (typeof otherStrings_24_193_30) ?v_1) (= (arrayLength otherStrings_24_193_30) 15) (= true_term (is LEXICALPRAGMA_24_24_26 T_int)) (= LEXICALPRAGMA_24_24_26 114) (= true_term (is ASGADD_26_44_26 T_int)) (= ASGADD_26_44_26 77) (= true_term (is BOOLEANTYPE_25_27_26 T_int)) (= BOOLEANTYPE_25_27_26 94) (= true_term (is NULL_40_60_26 T_int)) (= NULL_40_60_26 0) (= true_term (is CONTINUESTMT_27_36_7 T_int)) (= CONTINUESTMT_27_36_7 22) (= true_term (is noTokens_24_212_27 T_int)) (= true_term (is LE_26_28_26 T_int)) (= LE_26_28_26 63) (= true_term (is SUPEROBJECTDESIGNATOR_27_63_7 T_int)) (= SUPEROBJECTDESIGNATOR_27_63_7 49) (= true_term (is LOCALVARDECL_27_22_7 T_int)) (= LOCALVARDECL_27_22_7 8) (= true_term (is DEC_26_59_26 T_int)) (= DEC_26_59_26 90) (= true_term (is CHARLIT_25_41_26 T_int)) (= CHARLIT_25_41_26 107) (= true_term (is NEWINSTANCEEXPR_27_49_7 T_int)) (= NEWINSTANCEEXPR_27_49_7 35) (= true_term (is ASGREM_26_43_26 T_int)) (= ASGREM_26_43_26 76) (= true_term (is IDENT_25_25_26 T_int)) (= IDENT_25_25_26 93) (= true_term (is BREAKSTMT_27_35_7 T_int)) (= BREAKSTMT_27_35_7 21) (= true_term (is punctuationCodes_24_164_19 ?v_0)) (not (= punctuationCodes_24_164_19 null)) (= (typeof punctuationCodes_24_164_19) ?v_0) (= (arrayLength punctuationCodes_24_164_19) 48) (= true_term (is GT_26_27_26 T_int)) (= GT_26_27_26 62) (= true_term (is TYPEOBJECTDESIGNATOR_27_62_7 T_int)) (= TYPEOBJECTDESIGNATOR_27_62_7 48) (= true_term (is INITBLOCK_27_21_7 T_int)) (= INITBLOCK_27_21_7 7) (= true_term (is INC_26_58_26 T_int)) (= INC_26_58_26 89) (= true_term (is FIRST_KEYWORD_24_51_26 T_int)) (= FIRST_KEYWORD_24_51_26 133) (= true_term (is LONGLIT_25_40_26 T_int)) (= LONGLIT_25_40_26 106) (= true_term (is ARRAYREFEXPR_27_48_7 T_int)) (= ARRAYREFEXPR_27_48_7 34) (= true_term (is ASGDIV_26_42_26 T_int)) (= ASGDIV_26_42_26 75) (= true_term (is LAST_KEYWORD_24_103_26 T_int)) (= LAST_KEYWORD_24_103_26 183) (= true_term (is THROWSTMT_27_34_7 T_int)) (= THROWSTMT_27_34_7 20) (= true_term (is GE_26_26_26 T_int)) (= GE_26_26_26 61) (= true_term (is EXPROBJECTDESIGNATOR_27_61_7 T_int)) (= EXPROBJECTDESIGNATOR_27_61_7 47) (= true_term (is METHODDECL_27_20_7 T_int)) (= METHODDECL_27_20_7 6) (= true_term (is TYPESIG_23_6_28 T_int)) (= TYPESIG_23_6_28 184) (= true_term (is BITNOT_26_57_26 T_int)) (= BITNOT_26_57_26 88) (= true_term (is INTLIT_25_39_26 T_int)) (= INTLIT_25_39_26 105) (= true_term (is THISEXPR_27_47_7 T_int)) (= THISEXPR_27_47_7 33) (= true_term (is keywordStrings_24_181_30 ?v_1)) (not (= keywordStrings_24_181_30 null)) (= (typeof keywordStrings_24_181_30) ?v_1) (= (arrayLength keywordStrings_24_181_30) 51) (= true_term (is ASGMUL_26_41_26 T_int)) (= ASGMUL_26_41_26 74) (= true_term (is RETURNSTMT_27_33_7 T_int)) (= RETURNSTMT_27_33_7 19) (= true_term (is whereDecoration_597_41 T_javafe_ast_ASTDecoration)) (not (= whereDecoration_597_41 null)) (= (typeof whereDecoration_597_41) T_javafe_ast_ASTDecoration) (= true_term (is EQ_26_25_26 T_int)) (= EQ_26_25_26 60) (= true_term (is NULL_24_82_26 T_int)) (= NULL_24_82_26 163) (= true_term (is CLASSLITERAL_27_60_7 T_int)) (= CLASSLITERAL_27_60_7 46) (= true_term (is CONSTRUCTORDECL_27_19_7 T_int)) (= CONSTRUCTORDECL_27_19_7 5) (= true_term (is NOT_26_56_26 T_int)) (= NOT_26_56_26 87) (= true_term (is BOOLEANLIT_25_38_26 T_int)) (= BOOLEANLIT_25_38_26 104) (= true_term (is ARRAYINIT_27_46_7 T_int)) (= ARRAYINIT_27_46_7 32) (= true_term (is ASSIGN_26_40_26 T_int)) (= ASSIGN_26_40_26 73) (= true_term (is EVALSTMT_27_32_7 T_int)) (= EVALSTMT_27_32_7 18))))
(declare-fun ecReturn () Int)
(declare-fun L_336_1 () Int)
(declare-fun NE_pre_26_24_26 () Int)
(declare-fun METHODINVOCATION_pre_27_59_7 () Int)
(declare-fun loc_pre_120_20_13 () Int)
(declare-fun loc_120_20_13 () Int)
(declare-fun INTERFACEDECL_pre_27_18_7 () Int)
(declare-fun parent_pre_45_59_18 () Int)
(declare-fun parent_45_59_18 () Int)
(declare-fun type_pre_142_18_28 () Int)
(declare-fun type_142_18_28 () Int)
(declare-fun elemType_pre_28_18_28 () Int)
(declare-fun elemType_28_18_28 () Int)
(declare-fun UNARYSUB_pre_26_55_26 () Int)
(declare-fun SHORTTYPE_pre_25_36_26 () Int)
(declare-fun CATCHCLAUSE_pre_27_45_7 () Int)
(declare-fun hasParent_pre_43_149_30 () Int)
(declare-fun hasParent_43_149_30 () Int)
(declare-fun STAR_pre_26_37_26 () Int)
(declare-fun loc_pre_69_40_13 () Int)
(declare-fun loc_69_40_13 () Int)
(declare-fun SYNCHRONIZESTMT_pre_27_31_7 () Int)
(declare-fun locDot_pre_134_41_13 () Int)
(declare-fun locDot_134_41_13 () Int)
(declare-fun locOpenBrace_pre_136_21_13 () Int)
(declare-fun locOpenBrace_136_21_13 () Int)
(declare-fun tokenType_pre_16_90_8 () Int)
(declare-fun tokenType_16_90_8 () Int)
(declare-fun loc_pre_32_22_13 () Int)
(declare-fun loc_32_22_13 () Int)
(declare-fun BITAND_pre_26_23_26 () Int)
(declare-fun count_pre_65_67_33 () Int)
(declare-fun count_65_67_33 () Int)
(declare-fun AMBIGUOUSMETHODINVOCATION_pre_27_58_7 () Int)
(declare-fun CLASSDECL_pre_27_17_7 () Int)
(declare-fun syntax_pre_11_28_29 () Int)
(declare-fun syntax_11_28_29 () Int)
(declare-fun elements_pre_149_61_47 () Int)
(declare-fun elements_149_61_47 () Int)
(declare-fun UNARYADD_pre_26_54_26 () Int)
(declare-fun BYTETYPE_pre_25_35_26 () Int)
(declare-fun id_pre_8_32_34 () Int)
(declare-fun id_8_32_34 () Int)
(declare-fun CONSTRUCTORINVOCATION_pre_27_44_7 () Int)
(declare-fun parent_pre_69_21_18 () Int)
(declare-fun parent_69_21_18 () Int)
(declare-fun loc_pre_123_18_13 () Int)
(declare-fun loc_123_18_13 () Int)
(declare-fun MOD_pre_26_36_26 () Int)
(declare-fun loc_pre_133_23_13 () Int)
(declare-fun loc_133_23_13 () Int)
(declare-fun DOSTMT_pre_27_30_7 () Int)
(declare-fun count_pre_140_67_33 () Int)
(declare-fun count_140_67_33 () Int)
(declare-fun BITXOR_pre_26_22_26 () Int)
(declare-fun FIELDACCESS_pre_27_57_7 () Int)
(declare-fun ONDEMANDIMPORTDECL_pre_27_16_7 () Int)
(declare-fun tag_pre_70_32_13 () Int)
(declare-fun tag_70_32_13 () Int)
(declare-fun locOp_pre_72_32_13 () Int)
(declare-fun locOp_72_32_13 () Int)
(declare-fun otherCodes_pre_24_202_27 () Int)
(declare-fun ASGBITXOR_pre_26_51_26 () Int)
(declare-fun NULLTYPE_pre_25_34_26 () Int)
(declare-fun loc_pre_147_20_13 () Int)
(declare-fun loc_147_20_13 () Int)
(declare-fun TRYCATCHSTMT_pre_27_43_7 () Int)
(declare-fun decorationType_pre_22_48_27 () Int)
(declare-fun decorationType_22_48_27 () Int)
(declare-fun DIV_pre_26_35_26 () Int)
(declare-fun WHILESTMT_pre_27_29_7 () Int)
(declare-fun loc_pre_131_29_13 () Int)
(declare-fun loc_131_29_13 () Int)
(declare-fun locDot_pre_145_23_13 () Int)
(declare-fun locDot_145_23_13 () Int)
(declare-fun loc_pre_119_20_13 () Int)
(declare-fun loc_119_20_13 () Int)
(declare-fun BITOR_pre_26_21_26 () Int)
(declare-fun locId_pre_127_20_13 () Int)
(declare-fun locId_127_20_13 () Int)
(declare-fun VARIABLEACCESS_pre_27_56_7 () Int)
(declare-fun SINGLETYPEIMPORTDECL_pre_27_15_7 () Int)
(declare-fun locCloseBrace_pre_45_54_13 () Int)
(declare-fun locCloseBrace_45_54_13 () Int)
(declare-fun parent_pre_112_22_18 () Int)
(declare-fun parent_112_22_18 () Int)
(declare-fun locId_pre_33_24_13 () Int)
(declare-fun locId_33_24_13 () Int)
(declare-fun locCloseBrace_pre_94_25_13 () Int)
(declare-fun locCloseBrace_94_25_13 () Int)
(declare-fun loc_pre_129_33_13 () Int)
(declare-fun loc_129_33_13 () Int)
(declare-fun ASGBITOR_pre_26_50_26 () Int)
(declare-fun VOIDTYPE_pre_25_33_26 () Int)
(declare-fun count_pre_149_67_33 () Int)
(declare-fun count_149_67_33 () Int)
(declare-fun owner_pre_4_35_28 () Int)
(declare-fun owner_4_35_28 () Int)
(declare-fun loc_pre_70_50_13 () Int)
(declare-fun loc_70_50_13 () Int)
(declare-fun TRYFINALLYSTMT_pre_27_42_7 () Int)
(declare-fun elements_pre_66_61_39 () Int)
(declare-fun elements_66_61_39 () Int)
(declare-fun SUB_pre_26_34_26 () Int)
(declare-fun locOpenParen_pre_38_28_13 () Int)
(declare-fun locOpenParen_38_28_13 () Int)
(declare-fun CLASSDECLSTMT_pre_27_28_7 () Int)
(declare-fun elementType_pre_99_22_27 () Int)
(declare-fun elementType_99_22_27 () Int)
(declare-fun id_pre_32_19_34 () Int)
(declare-fun id_32_19_34 () Int)
(declare-fun AMBIGUOUSVARIABLEACCESS_pre_27_55_7 () Int)
(declare-fun loc_pre_139_49_13 () Int)
(declare-fun loc_139_49_13 () Int)
(declare-fun COMPILATIONUNIT_pre_27_14_7 () Int)
(declare-fun length_pre_17_50_25 () Int)
(declare-fun length_17_50_25 () Int)
(declare-fun ASGBITAND_pre_26_49_26 () Int)
(declare-fun DOUBLETYPE_pre_25_32_26 () Int)
(declare-fun SWITCHLABEL_pre_27_41_7 () Int)
(declare-fun locDot_pre_35_21_13 () Int)
(declare-fun locDot_35_21_13 () Int)
(declare-fun locGuardOpenParen_pre_118_23_13 () Int)
(declare-fun locGuardOpenParen_118_23_13 () Int)
(declare-fun type_pre_139_24_28 () Int)
(declare-fun type_139_24_28 () Int)
(declare-fun methodSeq_pre_19_167_38 () Int)
(declare-fun methodSeq_19_167_38 () Int)
(declare-fun ADD_pre_26_33_26 () Int)
(declare-fun VARDECLSTMT_pre_27_27_7 () Int)
(declare-fun enclosingInstance_pre_134_37_14 () Int)
(declare-fun enclosingInstance_134_37_14 () Int)
(declare-fun typeEnv_pre_323_32 () Int)
(declare-fun typeEnv_323_32 () Int)
(declare-fun PARENEXPR_pre_27_54_7 () Int)
(declare-fun elements_pre_92_72_21 () Int)
(declare-fun elements_92_72_21 () Int)
(declare-fun AND_pre_26_20_26 () Int)
(declare-fun map_pre_6_301_35 () Int)
(declare-fun loc_pre_128_22_13 () Int)
(declare-fun loc_128_22_13 () Int)
(declare-fun TYPEMODIFIERPRAGMA_pre_24_28_26 () Int)
(declare-fun locDot_pre_138_29_13 () Int)
(declare-fun locDot_138_29_13 () Int)
(declare-fun ASGURSHIFT_pre_26_48_26 () Int)
(declare-fun ht_pre_99_33_36 () Int)
(declare-fun ht_99_33_36 () Int)
(declare-fun FLOATTYPE_pre_25_31_26 () Int)
(declare-fun SKIPSTMT_pre_27_40_7 () Int)
(declare-fun loc_pre_125_18_13 () Int)
(declare-fun loc_125_18_13 () Int)
(declare-fun count_pre_66_67_33 () Int)
(declare-fun count_66_67_33 () Int)
(declare-fun locOpenBrackets_pre_139_65_29 () Int)
(declare-fun locOpenBrackets_139_65_29 () Int)
(declare-fun URSHIFT_pre_26_32_26 () Int)
(declare-fun COMPOUNDNAME_pre_27_67_7 () Int)
(declare-fun locCloseBracket_pre_137_23_13 () Int)
(declare-fun locCloseBracket_137_23_13 () Int)
(declare-fun SWITCHSTMT_pre_27_26_7 () Int)
(declare-fun NULLLIT_pre_25_45_26 () Int)
(declare-fun CASTEXPR_pre_27_53_7 () Int)
(declare-fun locOpenParen_pre_138_52_13 () Int)
(declare-fun locOpenParen_138_52_13 () Int)
(declare-fun OR_pre_26_19_26 () Int)
(declare-fun id_pre_33_21_34 () Int)
(declare-fun id_33_21_34 () Int)
(declare-fun TYPEDECLELEMPRAGMA_pre_24_27_26 () Int)
(declare-fun locOpenBrace_pre_94_22_13 () Int)
(declare-fun locOpenBrace_94_22_13 () Int)
(declare-fun locOpenBrace_pre_45_51_13 () Int)
(declare-fun locOpenBrace_45_51_13 () Int)
(declare-fun ASGRSHIFT_pre_26_47_26 () Int)
(declare-fun CHARTYPE_pre_25_30_26 () Int)
(declare-fun ids_pre_148_19_37 () Int)
(declare-fun ids_148_19_37 () Int)
(declare-fun FORSTMT_pre_27_39_7 () Int)
(declare-fun value_pre_70_45_16 () Int)
(declare-fun value_70_45_16 () Int)
(declare-fun overridesDecoration_pre_19_154_45 () Int)
(declare-fun overridesDecoration_19_154_45 () Int)
(declare-fun RSHIFT_pre_26_31_26 () Int)
(declare-fun args_pre_37_32_31 () Int)
(declare-fun args_37_32_31 () Int)
(declare-fun SIMPLENAME_pre_27_66_7 () Int)
(declare-fun locId_pre_38_25_13 () Int)
(declare-fun locId_38_25_13 () Int)
(declare-fun locCloseParen_pre_144_21_13 () Int)
(declare-fun locCloseParen_144_21_13 () Int)
(declare-fun op_pre_71_35_13 () Int)
(declare-fun op_71_35_13 () Int)
(declare-fun BLOCKSTMT_pre_27_25_7 () Int)
(declare-fun locOpenBrace_pre_69_36_13 () Int)
(declare-fun locOpenBrace_69_36_13 () Int)
(declare-fun loc_pre_130_16_13 () Int)
(declare-fun loc_130_16_13 () Int)
(declare-fun STRINGLIT_pre_25_44_26 () Int)
(declare-fun inferred_pre_41_33_17 () Int)
(declare-fun inferred_41_33_17 () Int)
(declare-fun INSTANCEOFEXPR_pre_27_52_7 () Int)
(declare-fun dims_pre_139_45_31 () Int)
(declare-fun dims_139_45_31 () Int)
(declare-fun locCloseParen_pre_143_24_13 () Int)
(declare-fun locCloseParen_143_24_13 () Int)
(declare-fun op_pre_72_26_13 () Int)
(declare-fun op_72_26_13 () Int)
(declare-fun loc_pre_122_18_13 () Int)
(declare-fun loc_122_18_13 () Int)
(declare-fun STMTPRAGMA_pre_24_26_26 () Int)
(declare-fun ASGLSHIFT_pre_26_46_26 () Int)
(declare-fun body_pre_69_34_19 () Int)
(declare-fun body_69_34_19 () Int)
(declare-fun LONGTYPE_pre_25_29_26 () Int)
(declare-fun type_pre_145_20_28 () Int)
(declare-fun type_145_20_28 () Int)
(declare-fun IFSTMT_pre_27_38_7 () Int)
(declare-fun elementCount_pre_92_79_33 () Int)
(declare-fun elementCount_92_79_33 () Int)
(declare-fun LSHIFT_pre_26_30_26 () Int)
(declare-fun locType_pre_68_21_13 () Int)
(declare-fun locType_68_21_13 () Int)
(declare-fun locId_pre_8_38_13 () Int)
(declare-fun locId_8_38_13 () Int)
(declare-fun punctuationStrings_pre_24_134_22 () Int)
(declare-fun elementType_pre_92_43_27 () Int)
(declare-fun elementType_92_43_27 () Int)
(declare-fun ARRAYTYPE_pre_27_65_7 () Int)
(declare-fun FORMALPARADECL_pre_27_24_7 () Int)
(declare-fun POSTFIXDEC_pre_26_63_26 () Int)
(declare-fun elementType_pre_63_26_25 () Int)
(declare-fun elementType_63_26_25 () Int)
(declare-fun DOUBLELIT_pre_25_43_26 () Int)
(declare-fun CONDEXPR_pre_27_51_7 () Int)
(declare-fun locOpenParen_pre_134_48_13 () Int)
(declare-fun locOpenParen_134_48_13 () Int)
(declare-fun elements_pre_96_61_39 () Int)
(declare-fun elements_96_61_39 () Int)
(declare-fun MODIFIERPRAGMA_pre_24_25_26 () Int)
(declare-fun loc_pre_41_29_13 () Int)
(declare-fun loc_41_29_13 () Int)
(declare-fun ASGSUB_pre_26_45_26 () Int)
(declare-fun INTTYPE_pre_25_28_26 () Int)
(declare-fun LABELSTMT_pre_27_37_7 () Int)
(declare-fun sigDecoration_pre_6_104_38 () Int)
(declare-fun loc_pre_73_35_13 () Int)
(declare-fun loc_73_35_13 () Int)
(declare-fun LT_pre_26_29_26 () Int)
(declare-fun TYPENAME_pre_27_64_7 () Int)
(declare-fun FIELDDECL_pre_27_23_7 () Int)
(declare-fun loc_pre_60_30_13 () Int)
(declare-fun loc_60_30_13 () Int)
(declare-fun locOpenParen_pre_37_30_13 () Int)
(declare-fun locOpenParen_37_30_13 () Int)
(declare-fun locIds_pre_148_25_29 () Int)
(declare-fun locIds_148_25_29 () Int)
(declare-fun POSTFIXINC_pre_26_62_26 () Int)
(declare-fun FLOATLIT_pre_25_42_26 () Int)
(declare-fun enclosingInstance_pre_138_25_14 () Int)
(declare-fun enclosingInstance_138_25_14 () Int)
(declare-fun NEWARRAYEXPR_pre_27_50_7 () Int)
(declare-fun loc_pre_138_49_13 () Int)
(declare-fun loc_138_49_13 () Int)
(declare-fun locOpenBracket_pre_28_21_13 () Int)
(declare-fun locOpenBracket_28_21_13 () Int)
(declare-fun locColon_pre_141_25_13 () Int)
(declare-fun locColon_141_25_13 () Int)
(declare-fun otherStrings_pre_24_193_30 () Int)
(declare-fun locOpenBracket_pre_137_20_13 () Int)
(declare-fun locOpenBracket_137_20_13 () Int)
(declare-fun LEXICALPRAGMA_pre_24_24_26 () Int)
(declare-fun ASGADD_pre_26_44_26 () Int)
(declare-fun loc_pre_118_20_13 () Int)
(declare-fun loc_118_20_13 () Int)
(declare-fun inst_pre_19_25_52 () Int)
(declare-fun inst_19_25_52 () Int)
(declare-fun locOpenParen_pre_120_23_13 () Int)
(declare-fun locOpenParen_120_23_13 () Int)
(declare-fun BOOLEANTYPE_pre_25_27_26 () Int)
(declare-fun locId_pre_45_48_13 () Int)
(declare-fun locId_45_48_13 () Int)
(declare-fun NULL_pre_40_60_26 () Int)
(declare-fun CONTINUESTMT_pre_27_36_7 () Int)
(declare-fun noTokens_pre_24_212_27 () Int)
(declare-fun locSuper_pre_146_20_13 () Int)
(declare-fun locSuper_146_20_13 () Int)
(declare-fun LE_pre_26_28_26 () Int)
(declare-fun SUPEROBJECTDESIGNATOR_pre_27_63_7 () Int)
(declare-fun LOCALVARDECL_pre_27_22_7 () Int)
(declare-fun locFinally_pre_132_25_13 () Int)
(declare-fun locFinally_132_25_13 () Int)
(declare-fun DEC_pre_26_59_26 () Int)
(declare-fun CHARLIT_pre_25_41_26 () Int)
(declare-fun NEWINSTANCEEXPR_pre_27_49_7 () Int)
(declare-fun count_pre_96_67_33 () Int)
(declare-fun count_96_67_33 () Int)
(declare-fun decl_pre_32_26_38 () Int)
(declare-fun decl_32_26_38 () Int)
(declare-fun ASGREM_pre_26_43_26 () Int)
(declare-fun IDENT_pre_25_25_26 () Int)
(declare-fun BREAKSTMT_pre_27_35_7 () Int)
(declare-fun locOpenParen_pre_143_21_13 () Int)
(declare-fun locOpenParen_143_21_13 () Int)
(declare-fun name_pre_20_18_28 () Int)
(declare-fun name_20_18_28 () Int)
(declare-fun punctuationCodes_pre_24_164_19 () Int)
(declare-fun constructorSeq_pre_19_171_38 () Int)
(declare-fun constructorSeq_19_171_38 () Int)
(declare-fun GT_pre_26_27_26 () Int)
(declare-fun TYPEOBJECTDESIGNATOR_pre_27_62_7 () Int)
(declare-fun INITBLOCK_pre_27_21_7 () Int)
(declare-fun loc_pre_142_21_13 () Int)
(declare-fun loc_142_21_13 () Int)
(declare-fun INC_pre_26_58_26 () Int)
(declare-fun FIRST_KEYWORD_pre_24_51_26 () Int)
(declare-fun locDots_pre_148_31_29 () Int)
(declare-fun locDots_148_31_29 () Int)
(declare-fun LONGLIT_pre_25_40_26 () Int)
(declare-fun type_pre_8_35_28 () Int)
(declare-fun type_8_35_28 () Int)
(declare-fun ARRAYREFEXPR_pre_27_48_7 () Int)
(declare-fun locOpenParen_pre_144_18_13 () Int)
(declare-fun locOpenParen_144_18_13 () Int)
(declare-fun locKeyword_pre_134_45_13 () Int)
(declare-fun locKeyword_134_45_13 () Int)
(declare-fun ASGDIV_pre_26_42_26 () Int)
(declare-fun locId_pre_69_43_13 () Int)
(declare-fun locId_69_43_13 () Int)
(declare-fun LAST_KEYWORD_pre_24_103_26 () Int)
(declare-fun THROWSTMT_pre_27_34_7 () Int)
(declare-fun locCloseBrace_pre_136_24_13 () Int)
(declare-fun locCloseBrace_136_24_13 () Int)
(declare-fun loc_pre_135_22_13 () Int)
(declare-fun loc_135_22_13 () Int)
(declare-fun GE_pre_26_26_26 () Int)
(declare-fun EXPROBJECTDESIGNATOR_pre_27_61_7 () Int)
(declare-fun tag_pre_73_30_13 () Int)
(declare-fun tag_73_30_13 () Int)
(declare-fun METHODDECL_pre_27_20_7 () Int)
(declare-fun loc_pre_110_18_13 () Int)
(declare-fun loc_110_18_13 () Int)
(declare-fun parent_pre_42_18_18 () Int)
(declare-fun parent_42_18_18 () Int)
(declare-fun loc_pre_115_18_13 () Int)
(declare-fun loc_115_18_13 () Int)
(declare-fun TYPESIG_pre_23_6_28 () Int)
(declare-fun BITNOT_pre_26_57_26 () Int)
(declare-fun INTLIT_pre_25_39_26 () Int)
(declare-fun THISEXPR_pre_27_47_7 () Int)
(declare-fun keywordStrings_pre_24_181_30 () Int)
(declare-fun returnType_pre_68_18_28 () Int)
(declare-fun returnType_68_18_28 () Int)
(declare-fun fieldSeq_pre_19_162_38 () Int)
(declare-fun fieldSeq_19_162_38 () Int)
(declare-fun ASGMUL_pre_26_41_26 () Int)
(declare-fun loc_pre_45_45_13 () Int)
(declare-fun loc_45_45_13 () Int)
(declare-fun superCall_pre_134_24_17 () Int)
(declare-fun superCall_134_24_17 () Int)
(declare-fun RETURNSTMT_pre_27_33_7 () Int)
(declare-fun locQuestion_pre_141_22_13 () Int)
(declare-fun locQuestion_141_22_13 () Int)
(declare-fun whereDecoration_pre_597_41 () Int)
(declare-fun elements_pre_65_61_38 () Int)
(declare-fun elements_65_61_38 () Int)
(declare-fun name_pre_37_25_28 () Int)
(declare-fun name_37_25_28 () Int)
(declare-fun EQ_pre_26_25_26 () Int)
(declare-fun NULL_pre_24_82_26 () Int)
(declare-fun CLASSLITERAL_pre_27_60_7 () Int)
(declare-fun init_pre_139_35_19 () Int)
(declare-fun init_139_35_19 () Int)
(declare-fun CONSTRUCTORDECL_pre_27_19_7 () Int)
(declare-fun currentStackBottom_pre_92_87_33 () Int)
(declare-fun currentStackBottom_92_87_33 () Int)
(declare-fun locFirstSemi_pre_129_36_13 () Int)
(declare-fun locFirstSemi_129_36_13 () Int)
(declare-fun NOT_pre_26_56_26 () Int)
(declare-fun locOp_pre_71_43_13 () Int)
(declare-fun locOp_71_43_13 () Int)
(declare-fun BOOLEANLIT_pre_25_38_26 () Int)
(declare-fun ARRAYINIT_pre_27_46_7 () Int)
(declare-fun keyType_pre_63_16_25 () Int)
(declare-fun keyType_63_16_25 () Int)
(declare-fun loc_pre_132_22_13 () Int)
(declare-fun loc_132_22_13 () Int)
(declare-fun decl_pre_33_28_19 () Int)
(declare-fun decl_33_28_19 () Int)
(declare-fun ASSIGN_pre_26_40_26 () Int)
(declare-fun prefixSize_pre_252_15 () Int)
(declare-fun prefixSize_252_15 () Int)
(declare-fun elements_pre_140_61_33 () Int)
(declare-fun elements_140_61_33 () Int)
(declare-fun EVALSTMT_pre_27_32_7 () Int)
(declare-fun type_pre_143_18_28 () Int)
(declare-fun type_143_18_28 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun this () Int)
(declare-fun t_334_47 () Int)
(declare-fun EC_335_15_335_15 () Int)
(declare-fun RES_336_10_336_10 () Int)
(declare-fun EC_336_10_336_10 () Int)
(declare-fun t_338_5_338_5_334_47 () Int)
(declare-fun EC_338_5_338_5 () Int)
(declare-fun EC () Int)
(declare-fun tn_342_5_342_5_299_58 () Int)
(declare-fun RES_342_5_342_5 () Int)
(declare-fun EC_342_5_342_5 () Int)
(declare-fun EC_1_ () Int)
(declare-fun EC_335_7 () Int)
(assert (let ((?v_0 (array T_int)) (?v_1 (array T_java_lang_String)) (?v_5 (arrayLength punctuationStrings_24_134_22)) (?v_3 (arrayLength otherStrings_24_193_30)) (?v_2 (arrayLength keywordStrings_24_181_30)) (?v_7 (not (= t_334_47 null))) (?v_8 (S_select decorationType_22_48_27 typeEnv_323_32)) (?v_6 (not (= typeEnv_323_32 null))) (?v_4 (S_select owner_4_35_28 punctuationCodes_24_164_19))) (let ((?v_9 (= (PO_LT (typeof this) ?v_8) true_term)) (?v_19 (= EC_335_15_335_15 ecReturn)) (?v_20 (= true_term (is RES_336_10_336_10 T_int))) (?v_10 (= EC_336_10_336_10 ecReturn))) (let ((?v_21 (=> (and ?v_10 (= true_term (is t_334_47 T_javafe_ast_LiteralExpr)) ?v_7) (= RES_336_10_336_10 (S_select tag_70_32_13 (cast t_334_47 T_javafe_ast_LiteralExpr))))) (?v_22 (=> (and ?v_10 (= true_term (is t_334_47 T_javafe_ast_BinaryExpr)) ?v_7) (= RES_336_10_336_10 (S_select op_71_35_13 (cast t_334_47 T_javafe_ast_BinaryExpr))))) (?v_23 (=> (and ?v_10 (= true_term (is t_334_47 T_javafe_ast_UnaryExpr)) ?v_7) (= RES_336_10_336_10 (S_select op_72_26_13 (cast t_334_47 T_javafe_ast_UnaryExpr))))) (?v_24 (=> (and ?v_10 (= true_term (is t_334_47 T_javafe_ast_PrimitiveType)) ?v_7) (= RES_336_10_336_10 (S_select tag_73_30_13 (cast t_334_47 T_javafe_ast_PrimitiveType))))) (?v_11 (typeof t_334_47))) (let ((?v_25 (=> (and ?v_10 (= RES_336_10_336_10 TYPESIG_23_6_28)) (= (PO_LT ?v_11 T_javafe_tc_TypeSig) true_term))) (?v_26 (=> (and ?v_10 (= RES_336_10_336_10 COMPILATIONUNIT_27_14_7)) (= (PO_LT ?v_11 T_javafe_ast_CompilationUnit) true_term))) (?v_27 (=> (and ?v_10 (= RES_336_10_336_10 SINGLETYPEIMPORTDECL_27_15_7)) (= (PO_LT ?v_11 T_javafe_ast_SingleTypeImportDecl) true_term))) (?v_28 (=> (and ?v_10 (= RES_336_10_336_10 ONDEMANDIMPORTDECL_27_16_7)) (= (PO_LT ?v_11 T_javafe_ast_OnDemandImportDecl) true_term))) (?v_29 (=> (and ?v_10 (= RES_336_10_336_10 CLASSDECL_27_17_7)) (= (PO_LT ?v_11 T_javafe_ast_ClassDecl) true_term))) (?v_30 (=> (and ?v_10 (= RES_336_10_336_10 INTERFACEDECL_27_18_7)) (= (PO_LT ?v_11 T_javafe_ast_InterfaceDecl) true_term))) (?v_31 (=> (and ?v_10 (= RES_336_10_336_10 CONSTRUCTORDECL_27_19_7)) (= (PO_LT ?v_11 T_javafe_ast_ConstructorDecl) true_term))) (?v_32 (=> (and ?v_10 (= RES_336_10_336_10 METHODDECL_27_20_7)) (= (PO_LT ?v_11 T_javafe_ast_MethodDecl) true_term))) (?v_33 (=> (and ?v_10 (= RES_336_10_336_10 INITBLOCK_27_21_7)) (= (PO_LT ?v_11 T_javafe_ast_InitBlock) true_term))) (?v_34 (=> (and ?v_10 (= RES_336_10_336_10 LOCALVARDECL_27_22_7)) (= (PO_LT ?v_11 T_javafe_ast_LocalVarDecl) true_term))) (?v_35 (=> (and ?v_10 (= RES_336_10_336_10 FIELDDECL_27_23_7)) (= (PO_LT ?v_11 T_javafe_ast_FieldDecl) true_term))) (?v_36 (=> (and ?v_10 (= RES_336_10_336_10 FORMALPARADECL_27_24_7)) (= (PO_LT ?v_11 T_javafe_ast_FormalParaDecl) true_term))) (?v_37 (=> (and ?v_10 (= RES_336_10_336_10 BLOCKSTMT_27_25_7)) (= (PO_LT ?v_11 T_javafe_ast_BlockStmt) true_term))) (?v_38 (=> (and ?v_10 (= RES_336_10_336_10 SWITCHSTMT_27_26_7)) (= (PO_LT ?v_11 T_javafe_ast_SwitchStmt) true_term))) (?v_39 (=> (and ?v_10 (= RES_336_10_336_10 VARDECLSTMT_27_27_7)) (= (PO_LT ?v_11 T_javafe_ast_VarDeclStmt) true_term))) (?v_40 (=> (and ?v_10 (= RES_336_10_336_10 CLASSDECLSTMT_27_28_7)) (= (PO_LT ?v_11 T_javafe_ast_ClassDeclStmt) true_term))) (?v_41 (=> (and ?v_10 (= RES_336_10_336_10 WHILESTMT_27_29_7)) (= (PO_LT ?v_11 T_javafe_ast_WhileStmt) true_term))) (?v_42 (=> (and ?v_10 (= RES_336_10_336_10 DOSTMT_27_30_7)) (= (PO_LT ?v_11 T_javafe_ast_DoStmt) true_term))) (?v_43 (=> (and ?v_10 (= RES_336_10_336_10 SYNCHRONIZESTMT_27_31_7)) (= (PO_LT ?v_11 T_javafe_ast_SynchronizeStmt) true_term))) (?v_44 (=> (and ?v_10 (= RES_336_10_336_10 EVALSTMT_27_32_7)) (= (PO_LT ?v_11 T_javafe_ast_EvalStmt) true_term))) (?v_45 (=> (and ?v_10 (= RES_336_10_336_10 RETURNSTMT_27_33_7)) (= (PO_LT ?v_11 T_javafe_ast_ReturnStmt) true_term))) (?v_46 (=> (and ?v_10 (= RES_336_10_336_10 THROWSTMT_27_34_7)) (= (PO_LT ?v_11 T_javafe_ast_ThrowStmt) true_term))) (?v_47 (=> (and ?v_10 (= RES_336_10_336_10 BREAKSTMT_27_35_7)) (= (PO_LT ?v_11 T_javafe_ast_BreakStmt) true_term))) (?v_48 (=> (and ?v_10 (= RES_336_10_336_10 CONTINUESTMT_27_36_7)) (= (PO_LT ?v_11 T_javafe_ast_ContinueStmt) true_term))) (?v_49 (=> (and ?v_10 (= RES_336_10_336_10 LABELSTMT_27_37_7)) (= (PO_LT ?v_11 T_javafe_ast_LabelStmt) true_term))) (?v_50 (=> (and ?v_10 (= RES_336_10_336_10 IFSTMT_27_38_7)) (= (PO_LT ?v_11 T_javafe_ast_IfStmt) true_term))) (?v_51 (=> (and ?v_10 (= RES_336_10_336_10 FORSTMT_27_39_7)) (= (PO_LT ?v_11 T_javafe_ast_ForStmt) true_term))) (?v_52 (=> (and ?v_10 (= RES_336_10_336_10 SKIPSTMT_27_40_7)) (= (PO_LT ?v_11 T_javafe_ast_SkipStmt) true_term))) (?v_53 (=> (and ?v_10 (= RES_336_10_336_10 SWITCHLABEL_27_41_7)) (= (PO_LT ?v_11 T_javafe_ast_SwitchLabel) true_term))) (?v_54 (=> (and ?v_10 (= RES_336_10_336_10 TRYFINALLYSTMT_27_42_7)) (= (PO_LT ?v_11 T_javafe_ast_TryFinallyStmt) true_term))) (?v_55 (=> (and ?v_10 (= RES_336_10_336_10 TRYCATCHSTMT_27_43_7)) (= (PO_LT ?v_11 T_javafe_ast_TryCatchStmt) true_term))) (?v_56 (=> (and ?v_10 (= RES_336_10_336_10 CONSTRUCTORINVOCATION_27_44_7)) (= (PO_LT ?v_11 T_javafe_ast_ConstructorInvocation) true_term))) (?v_57 (=> (and ?v_10 (= RES_336_10_336_10 CATCHCLAUSE_27_45_7)) (= (PO_LT ?v_11 T_javafe_ast_CatchClause) true_term))) (?v_58 (=> (and ?v_10 (= RES_336_10_336_10 ARRAYINIT_27_46_7)) (= (PO_LT ?v_11 T_javafe_ast_ArrayInit) true_term))) (?v_59 (=> (and ?v_10 (= RES_336_10_336_10 THISEXPR_27_47_7)) (= (PO_LT ?v_11 T_javafe_ast_ThisExpr) true_term))) (?v_60 (=> (and ?v_10 (= RES_336_10_336_10 ARRAYREFEXPR_27_48_7)) (= (PO_LT ?v_11 T_javafe_ast_ArrayRefExpr) true_term))) (?v_61 (=> (and ?v_10 (= RES_336_10_336_10 NEWINSTANCEEXPR_27_49_7)) (= (PO_LT ?v_11 T_javafe_ast_NewInstanceExpr) true_term))) (?v_62 (=> (and ?v_10 (= RES_336_10_336_10 NEWARRAYEXPR_27_50_7)) (= (PO_LT ?v_11 T_javafe_ast_NewArrayExpr) true_term))) (?v_63 (=> (and ?v_10 (= RES_336_10_336_10 CONDEXPR_27_51_7)) (= (PO_LT ?v_11 T_javafe_ast_CondExpr) true_term))) (?v_64 (=> (and ?v_10 (= RES_336_10_336_10 INSTANCEOFEXPR_27_52_7)) (= (PO_LT ?v_11 T_javafe_ast_InstanceOfExpr) true_term))) (?v_65 (=> (and ?v_10 (= RES_336_10_336_10 CASTEXPR_27_53_7)) (= (PO_LT ?v_11 T_javafe_ast_CastExpr) true_term))) (?v_66 (=> (and ?v_10 (= RES_336_10_336_10 PARENEXPR_27_54_7)) (= (PO_LT ?v_11 T_javafe_ast_ParenExpr) true_term))) (?v_67 (=> (and ?v_10 (= RES_336_10_336_10 AMBIGUOUSVARIABLEACCESS_27_55_7)) (= (PO_LT ?v_11 T_javafe_ast_AmbiguousVariableAccess) true_term))) (?v_68 (=> (and ?v_10 (= RES_336_10_336_10 VARIABLEACCESS_27_56_7)) (= (PO_LT ?v_11 T_javafe_ast_VariableAccess) true_term))) (?v_69 (=> (and ?v_10 (= RES_336_10_336_10 FIELDACCESS_27_57_7)) (= (PO_LT ?v_11 T_javafe_ast_FieldAccess) true_term))) (?v_70 (=> (and ?v_10 (= RES_336_10_336_10 AMBIGUOUSMETHODINVOCATION_27_58_7)) (= (PO_LT ?v_11 T_javafe_ast_AmbiguousMethodInvocation) true_term))) (?v_71 (=> (and ?v_10 (= RES_336_10_336_10 METHODINVOCATION_27_59_7)) (= (PO_LT ?v_11 T_javafe_ast_MethodInvocation) true_term))) (?v_72 (=> (and ?v_10 (= RES_336_10_336_10 CLASSLITERAL_27_60_7)) (= (PO_LT ?v_11 T_javafe_ast_ClassLiteral) true_term))) (?v_73 (=> (and ?v_10 (= RES_336_10_336_10 EXPROBJECTDESIGNATOR_27_61_7)) (= (PO_LT ?v_11 T_javafe_ast_ExprObjectDesignator) true_term))) (?v_74 (=> (and ?v_10 (= RES_336_10_336_10 TYPEOBJECTDESIGNATOR_27_62_7)) (= (PO_LT ?v_11 T_javafe_ast_TypeObjectDesignator) true_term))) (?v_75 (=> (and ?v_10 (= RES_336_10_336_10 SUPEROBJECTDESIGNATOR_27_63_7)) (= (PO_LT ?v_11 T_javafe_ast_SuperObjectDesignator) true_term))) (?v_18 (= RES_336_10_336_10 TYPENAME_27_64_7))) (let ((?v_76 (=> (and ?v_10 ?v_18) (= (PO_LT ?v_11 T_javafe_ast_TypeName) true_term))) (?v_16 (= RES_336_10_336_10 ARRAYTYPE_27_65_7))) (let ((?v_77 (=> (and ?v_10 ?v_16) (= (PO_LT ?v_11 T_javafe_ast_ArrayType) true_term))) (?v_78 (=> (and ?v_10 (= RES_336_10_336_10 SIMPLENAME_27_66_7)) (= (PO_LT ?v_11 T_javafe_ast_SimpleName) true_term))) (?v_79 (=> (and ?v_10 (= RES_336_10_336_10 COMPOUNDNAME_27_67_7)) (= (PO_LT ?v_11 T_javafe_ast_CompoundName) true_term))) (?v_12 (= (PO_LT ?v_11 T_javafe_ast_BinaryExpr) true_term))) (let ((?v_80 (=> (and ?v_10 (= RES_336_10_336_10 OR_26_19_26)) ?v_12)) (?v_81 (=> (and ?v_10 (= RES_336_10_336_10 AND_26_20_26)) ?v_12)) (?v_82 (=> (and ?v_10 (= RES_336_10_336_10 BITOR_26_21_26)) ?v_12)) (?v_83 (=> (and ?v_10 (= RES_336_10_336_10 BITXOR_26_22_26)) ?v_12)) (?v_84 (=> (and ?v_10 (= RES_336_10_336_10 BITAND_26_23_26)) ?v_12)) (?v_85 (=> (and ?v_10 (= RES_336_10_336_10 NE_26_24_26)) ?v_12)) (?v_86 (=> (and ?v_10 (= RES_336_10_336_10 EQ_26_25_26)) ?v_12)) (?v_87 (=> (and ?v_10 (= RES_336_10_336_10 GE_26_26_26)) ?v_12)) (?v_88 (=> (and ?v_10 (= RES_336_10_336_10 GT_26_27_26)) ?v_12)) (?v_89 (=> (and ?v_10 (= RES_336_10_336_10 LE_26_28_26)) ?v_12)) (?v_90 (=> (and ?v_10 (= RES_336_10_336_10 LT_26_29_26)) ?v_12)) (?v_91 (=> (and ?v_10 (= RES_336_10_336_10 LSHIFT_26_30_26)) ?v_12)) (?v_92 (=> (and ?v_10 (= RES_336_10_336_10 RSHIFT_26_31_26)) ?v_12)) (?v_93 (=> (and ?v_10 (= RES_336_10_336_10 URSHIFT_26_32_26)) ?v_12)) (?v_94 (=> (and ?v_10 (= RES_336_10_336_10 ADD_26_33_26)) ?v_12)) (?v_95 (=> (and ?v_10 (= RES_336_10_336_10 SUB_26_34_26)) ?v_12)) (?v_96 (=> (and ?v_10 (= RES_336_10_336_10 DIV_26_35_26)) ?v_12)) (?v_97 (=> (and ?v_10 (= RES_336_10_336_10 MOD_26_36_26)) ?v_12)) (?v_98 (=> (and ?v_10 (= RES_336_10_336_10 STAR_26_37_26)) ?v_12)) (?v_99 (=> (and ?v_10 (= RES_336_10_336_10 ASSIGN_26_40_26)) ?v_12)) (?v_100 (=> (and ?v_10 (= RES_336_10_336_10 ASGMUL_26_41_26)) ?v_12)) (?v_101 (=> (and ?v_10 (= RES_336_10_336_10 ASGDIV_26_42_26)) ?v_12)) (?v_102 (=> (and ?v_10 (= RES_336_10_336_10 ASGREM_26_43_26)) ?v_12)) (?v_103 (=> (and ?v_10 (= RES_336_10_336_10 ASGADD_26_44_26)) ?v_12)) (?v_104 (=> (and ?v_10 (= RES_336_10_336_10 ASGSUB_26_45_26)) ?v_12)) (?v_105 (=> (and ?v_10 (= RES_336_10_336_10 ASGLSHIFT_26_46_26)) ?v_12)) (?v_106 (=> (and ?v_10 (= RES_336_10_336_10 ASGRSHIFT_26_47_26)) ?v_12)) (?v_107 (=> (and ?v_10 (= RES_336_10_336_10 ASGURSHIFT_26_48_26)) ?v_12)) (?v_108 (=> (and ?v_10 (= RES_336_10_336_10 ASGBITAND_26_49_26)) ?v_12)) (?v_109 (=> (and ?v_10 (= RES_336_10_336_10 ASGBITOR_26_50_26)) ?v_12)) (?v_110 (=> (and ?v_10 (= RES_336_10_336_10 ASGBITXOR_26_51_26)) ?v_12)) (?v_13 (= (PO_LT ?v_11 T_javafe_ast_UnaryExpr) true_term))) (let ((?v_111 (=> (and ?v_10 (= RES_336_10_336_10 UNARYADD_26_54_26)) ?v_13)) (?v_112 (=> (and ?v_10 (= RES_336_10_336_10 UNARYSUB_26_55_26)) ?v_13)) (?v_113 (=> (and ?v_10 (= RES_336_10_336_10 NOT_26_56_26)) ?v_13)) (?v_114 (=> (and ?v_10 (= RES_336_10_336_10 BITNOT_26_57_26)) ?v_13)) (?v_115 (=> (and ?v_10 (= RES_336_10_336_10 INC_26_58_26)) ?v_13)) (?v_116 (=> (and ?v_10 (= RES_336_10_336_10 DEC_26_59_26)) ?v_13)) (?v_117 (=> (and ?v_10 (= RES_336_10_336_10 POSTFIXINC_26_62_26)) ?v_13)) (?v_118 (=> (and ?v_10 (= RES_336_10_336_10 POSTFIXDEC_26_63_26)) ?v_13)) (?v_14 (= (PO_LT ?v_11 T_javafe_ast_PrimitiveType) true_term))) (let ((?v_119 (=> (and ?v_10 (= RES_336_10_336_10 BOOLEANTYPE_25_27_26)) ?v_14)) (?v_120 (=> (and ?v_10 (= RES_336_10_336_10 INTTYPE_25_28_26)) ?v_14)) (?v_121 (=> (and ?v_10 (= RES_336_10_336_10 LONGTYPE_25_29_26)) ?v_14)) (?v_122 (=> (and ?v_10 (= RES_336_10_336_10 CHARTYPE_25_30_26)) ?v_14)) (?v_123 (=> (and ?v_10 (= RES_336_10_336_10 FLOATTYPE_25_31_26)) ?v_14)) (?v_124 (=> (and ?v_10 (= RES_336_10_336_10 DOUBLETYPE_25_32_26)) ?v_14)) (?v_125 (=> (and ?v_10 (= RES_336_10_336_10 VOIDTYPE_25_33_26)) ?v_14)) (?v_126 (=> (and ?v_10 (= RES_336_10_336_10 NULLTYPE_25_34_26)) ?v_14)) (?v_127 (=> (and ?v_10 (= RES_336_10_336_10 BYTETYPE_25_35_26)) ?v_14)) (?v_128 (=> (and ?v_10 (= RES_336_10_336_10 SHORTTYPE_25_36_26)) ?v_14)) (?v_15 (= (PO_LT ?v_11 T_javafe_ast_LiteralExpr) true_term))) (let ((?v_129 (=> (and ?v_10 (= RES_336_10_336_10 BOOLEANLIT_25_38_26)) ?v_15)) (?v_130 (=> (and ?v_10 (= RES_336_10_336_10 INTLIT_25_39_26)) ?v_15)) (?v_131 (=> (and ?v_10 (= RES_336_10_336_10 LONGLIT_25_40_26)) ?v_15)) (?v_132 (=> (and ?v_10 (= RES_336_10_336_10 CHARLIT_25_41_26)) ?v_15)) (?v_133 (=> (and ?v_10 (= RES_336_10_336_10 FLOATLIT_25_42_26)) ?v_15)) (?v_134 (=> (and ?v_10 (= RES_336_10_336_10 DOUBLELIT_25_43_26)) ?v_15)) (?v_135 (=> (and ?v_10 (= RES_336_10_336_10 STRINGLIT_25_44_26)) ?v_15)) (?v_136 (=> (and ?v_10 (= RES_336_10_336_10 NULLLIT_25_45_26)) ?v_15)) (?v_17 (= true_term true_term)) (?v_137 (= true_term (is t_334_47 T_javafe_ast_ArrayType))) (?v_138 (= true_term (is t_334_47 T_javafe_ast_TypeName))) (?v_140 (= EC L_336_1)) (?v_139 (= EC_342_5_342_5 ecReturn)) (?v_141 (= EC_1_ L_336_1))) (let ((?v_142 (or (and (or (and ?v_17 ?v_16 ?v_137 (= t_338_5_338_5_334_47 (S_select elemType_28_18_28 (cast t_334_47 T_javafe_ast_ArrayType))) (= EC_338_5_338_5 ecReturn) ?v_17 ?v_140) (and ?v_17 ?v_18 ?v_138 (= tn_342_5_342_5_299_58 (cast t_334_47 T_javafe_ast_TypeName)) (= true_term (is RES_342_5_342_5 T_javafe_tc_TypeSig)) (= true_term (isAllocated RES_342_5_342_5 alloc)) ?v_139 (=> ?v_139 (not (= RES_342_5_342_5 null))) ?v_17 ?v_140)) (= EC_1_ EC)) (and ?v_17 (not ?v_16) (not ?v_18) ?v_17 ?v_141))) (?v_143 (= EC_335_7 ecReturn))) (not (=> (distinct ecReturn L_336_1) (=> (and (= NE_pre_26_24_26 NE_26_24_26) (= true_term (is NE_26_24_26 T_int)) (= METHODINVOCATION_pre_27_59_7 METHODINVOCATION_27_59_7) (= true_term (is METHODINVOCATION_27_59_7 T_int)) (= loc_pre_120_20_13 loc_120_20_13) (= loc_120_20_13 (asField loc_120_20_13 T_int)) (= INTERFACEDECL_pre_27_18_7 INTERFACEDECL_27_18_7) (= true_term (is INTERFACEDECL_27_18_7 T_int)) (= parent_pre_45_59_18 parent_45_59_18) (= parent_45_59_18 (asField parent_45_59_18 T_javafe_ast_TypeDecl)) (< (fClosedTime parent_45_59_18) alloc) (= type_pre_142_18_28 type_142_18_28) (= type_142_18_28 (asField type_142_18_28 T_javafe_ast_Type)) (< (fClosedTime type_142_18_28) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select type_142_18_28 ?s) null)))) (= elemType_pre_28_18_28 elemType_28_18_28) (= elemType_28_18_28 (asField elemType_28_18_28 T_javafe_ast_Type)) (< (fClosedTime elemType_28_18_28) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select elemType_28_18_28 ?s_1_) null)))) (= UNARYSUB_pre_26_55_26 UNARYSUB_26_55_26) (= true_term (is UNARYSUB_26_55_26 T_int)) (= SHORTTYPE_pre_25_36_26 SHORTTYPE_25_36_26) (= true_term (is SHORTTYPE_25_36_26 T_int)) (= CATCHCLAUSE_pre_27_45_7 CATCHCLAUSE_27_45_7) (= true_term (is CATCHCLAUSE_27_45_7 T_int)) (= hasParent_pre_43_149_30 hasParent_43_149_30) (= hasParent_43_149_30 (asField hasParent_43_149_30 T_boolean)) (= STAR_pre_26_37_26 STAR_26_37_26) (= true_term (is STAR_26_37_26 T_int)) (= loc_pre_69_40_13 loc_69_40_13) (= loc_69_40_13 (asField loc_69_40_13 T_int)) (= SYNCHRONIZESTMT_pre_27_31_7 SYNCHRONIZESTMT_27_31_7) (= true_term (is SYNCHRONIZESTMT_27_31_7 T_int)) (= locDot_pre_134_41_13 locDot_134_41_13) (= locDot_134_41_13 (asField locDot_134_41_13 T_int)) (= locOpenBrace_pre_136_21_13 locOpenBrace_136_21_13) (= locOpenBrace_136_21_13 (asField locOpenBrace_136_21_13 T_int)) (= tokenType_pre_16_90_8 tokenType_16_90_8) (= tokenType_16_90_8 (asField tokenType_16_90_8 T_int)) (= loc_pre_32_22_13 loc_32_22_13) (= loc_32_22_13 (asField loc_32_22_13 T_int)) (= BITAND_pre_26_23_26 BITAND_26_23_26) (= true_term (is BITAND_26_23_26 T_int)) (= count_pre_65_67_33 count_65_67_33) (= count_65_67_33 (asField count_65_67_33 T_int)) (= AMBIGUOUSMETHODINVOCATION_pre_27_58_7 AMBIGUOUSMETHODINVOCATION_27_58_7) (= true_term (is AMBIGUOUSMETHODINVOCATION_27_58_7 T_int)) (= CLASSDECL_pre_27_17_7 CLASSDECL_27_17_7) (= true_term (is CLASSDECL_27_17_7 T_int)) (= syntax_pre_11_28_29 syntax_11_28_29) (= syntax_11_28_29 (asField syntax_11_28_29 T_boolean)) (= elements_pre_149_61_47 elements_149_61_47) (= elements_149_61_47 (asField elements_149_61_47 (array T_javafe_ast_TypeModifierPragma))) (< (fClosedTime elements_149_61_47) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select elements_149_61_47 ?s_2_) null)))) (= UNARYADD_pre_26_54_26 UNARYADD_26_54_26) (= true_term (is UNARYADD_26_54_26 T_int)) (= BYTETYPE_pre_25_35_26 BYTETYPE_25_35_26) (= true_term (is BYTETYPE_25_35_26 T_int)) (= id_pre_8_32_34 id_8_32_34) (= id_8_32_34 (asField id_8_32_34 T_javafe_ast_Identifier)) (< (fClosedTime id_8_32_34) alloc) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (not (= (S_select id_8_32_34 ?s_3_) null)))) (= CONSTRUCTORINVOCATION_pre_27_44_7 CONSTRUCTORINVOCATION_27_44_7) (= true_term (is CONSTRUCTORINVOCATION_27_44_7 T_int)) (= parent_pre_69_21_18 parent_69_21_18) (= parent_69_21_18 (asField parent_69_21_18 T_javafe_ast_TypeDecl)) (< (fClosedTime parent_69_21_18) alloc) (= loc_pre_123_18_13 loc_123_18_13) (= loc_123_18_13 (asField loc_123_18_13 T_int)) (= MOD_pre_26_36_26 MOD_26_36_26) (= true_term (is MOD_26_36_26 T_int)) (= loc_pre_133_23_13 loc_133_23_13) (= loc_133_23_13 (asField loc_133_23_13 T_int)) (= DOSTMT_pre_27_30_7 DOSTMT_27_30_7) (= true_term (is DOSTMT_27_30_7 T_int)) (= count_pre_140_67_33 count_140_67_33) (= count_140_67_33 (asField count_140_67_33 T_int)) (= BITXOR_pre_26_22_26 BITXOR_26_22_26) (= true_term (is BITXOR_26_22_26 T_int)) (= FIELDACCESS_pre_27_57_7 FIELDACCESS_27_57_7) (= true_term (is FIELDACCESS_27_57_7 T_int)) (= ONDEMANDIMPORTDECL_pre_27_16_7 ONDEMANDIMPORTDECL_27_16_7) (= true_term (is ONDEMANDIMPORTDECL_27_16_7 T_int)) (= tag_pre_70_32_13 tag_70_32_13) (= tag_70_32_13 (asField tag_70_32_13 T_int)) (= locOp_pre_72_32_13 locOp_72_32_13) (= locOp_72_32_13 (asField locOp_72_32_13 T_int)) (= otherCodes_pre_24_202_27 otherCodes_24_202_27) (= true_term (is otherCodes_24_202_27 ?v_0)) (= true_term (isAllocated otherCodes_24_202_27 alloc)) (= ASGBITXOR_pre_26_51_26 ASGBITXOR_26_51_26) (= true_term (is ASGBITXOR_26_51_26 T_int)) (= NULLTYPE_pre_25_34_26 NULLTYPE_25_34_26) (= true_term (is NULLTYPE_25_34_26 T_int)) (= loc_pre_147_20_13 loc_147_20_13) (= loc_147_20_13 (asField loc_147_20_13 T_int)) (= TRYCATCHSTMT_pre_27_43_7 TRYCATCHSTMT_27_43_7) (= true_term (is TRYCATCHSTMT_27_43_7 T_int)) (= decorationType_pre_22_48_27 decorationType_22_48_27) (= decorationType_22_48_27 (asField decorationType_22_48_27 T__TYPE)) (= DIV_pre_26_35_26 DIV_26_35_26) (= true_term (is DIV_26_35_26 T_int)) (= WHILESTMT_pre_27_29_7 WHILESTMT_27_29_7) (= true_term (is WHILESTMT_27_29_7 T_int)) (= loc_pre_131_29_13 loc_131_29_13) (= loc_131_29_13 (asField loc_131_29_13 T_int)) (= locDot_pre_145_23_13 locDot_145_23_13) (= locDot_145_23_13 (asField locDot_145_23_13 T_int)) (= loc_pre_119_20_13 loc_119_20_13) (= loc_119_20_13 (asField loc_119_20_13 T_int)) (= BITOR_pre_26_21_26 BITOR_26_21_26) (= true_term (is BITOR_26_21_26 T_int)) (= locId_pre_127_20_13 locId_127_20_13) (= locId_127_20_13 (asField locId_127_20_13 T_int)) (= VARIABLEACCESS_pre_27_56_7 VARIABLEACCESS_27_56_7) (= true_term (is VARIABLEACCESS_27_56_7 T_int)) (= SINGLETYPEIMPORTDECL_pre_27_15_7 SINGLETYPEIMPORTDECL_27_15_7) (= true_term (is SINGLETYPEIMPORTDECL_27_15_7 T_int)) (= locCloseBrace_pre_45_54_13 locCloseBrace_45_54_13) (= locCloseBrace_45_54_13 (asField locCloseBrace_45_54_13 T_int)) (= parent_pre_112_22_18 parent_112_22_18) (= parent_112_22_18 (asField parent_112_22_18 T_javafe_ast_TypeDecl)) (< (fClosedTime parent_112_22_18) alloc) (= locId_pre_33_24_13 locId_33_24_13) (= locId_33_24_13 (asField locId_33_24_13 T_int)) (= locCloseBrace_pre_94_25_13 locCloseBrace_94_25_13) (= locCloseBrace_94_25_13 (asField locCloseBrace_94_25_13 T_int)) (= loc_pre_129_33_13 loc_129_33_13) (= loc_129_33_13 (asField loc_129_33_13 T_int)) (= ASGBITOR_pre_26_50_26 ASGBITOR_26_50_26) (= true_term (is ASGBITOR_26_50_26 T_int)) (= VOIDTYPE_pre_25_33_26 VOIDTYPE_25_33_26) (= true_term (is VOIDTYPE_25_33_26 T_int)) (= count_pre_149_67_33 count_149_67_33) (= count_149_67_33 (asField count_149_67_33 T_int)) (= owner_pre_4_35_28 owner_4_35_28) (= owner_4_35_28 (asField owner_4_35_28 T_java_lang_Object)) (< (fClosedTime owner_4_35_28) alloc) (= loc_pre_70_50_13 loc_70_50_13) (= loc_70_50_13 (asField loc_70_50_13 T_int)) (= TRYFINALLYSTMT_pre_27_42_7 TRYFINALLYSTMT_27_42_7) (= true_term (is TRYFINALLYSTMT_27_42_7 T_int)) (= elements_pre_66_61_39 elements_66_61_39) (= elements_66_61_39 (asField elements_66_61_39 (array T_javafe_ast_MethodDecl))) (< (fClosedTime elements_66_61_39) alloc) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (not (= (S_select elements_66_61_39 ?s_4_) null)))) (= SUB_pre_26_34_26 SUB_26_34_26) (= true_term (is SUB_26_34_26 T_int)) (= locOpenParen_pre_38_28_13 locOpenParen_38_28_13) (= locOpenParen_38_28_13 (asField locOpenParen_38_28_13 T_int)) (= CLASSDECLSTMT_pre_27_28_7 CLASSDECLSTMT_27_28_7) (= true_term (is CLASSDECLSTMT_27_28_7 T_int)) (= elementType_pre_99_22_27 elementType_99_22_27) (= elementType_99_22_27 (asField elementType_99_22_27 T__TYPE)) (= id_pre_32_19_34 id_32_19_34) (= id_32_19_34 (asField id_32_19_34 T_javafe_ast_Identifier)) (< (fClosedTime id_32_19_34) alloc) (forall ((?s_5_ Int)) (=> (not (= ?s_5_ null)) (not (= (S_select id_32_19_34 ?s_5_) null)))) (= AMBIGUOUSVARIABLEACCESS_pre_27_55_7 AMBIGUOUSVARIABLEACCESS_27_55_7) (= true_term (is AMBIGUOUSVARIABLEACCESS_27_55_7 T_int)) (= loc_pre_139_49_13 loc_139_49_13) (= loc_139_49_13 (asField loc_139_49_13 T_int)) (= COMPILATIONUNIT_pre_27_14_7 COMPILATIONUNIT_27_14_7) (= true_term (is COMPILATIONUNIT_27_14_7 T_int)) (= length_pre_17_50_25 length_17_50_25) (= length_17_50_25 (asField length_17_50_25 T_int)) (= ASGBITAND_pre_26_49_26 ASGBITAND_26_49_26) (= true_term (is ASGBITAND_26_49_26 T_int)) (= DOUBLETYPE_pre_25_32_26 DOUBLETYPE_25_32_26) (= true_term (is DOUBLETYPE_25_32_26 T_int)) (= SWITCHLABEL_pre_27_41_7 SWITCHLABEL_27_41_7) (= true_term (is SWITCHLABEL_27_41_7 T_int)) (= locDot_pre_35_21_13 locDot_35_21_13) (= locDot_35_21_13 (asField locDot_35_21_13 T_int)) (= locGuardOpenParen_pre_118_23_13 locGuardOpenParen_118_23_13) (= locGuardOpenParen_118_23_13 (asField locGuardOpenParen_118_23_13 T_int)) (= type_pre_139_24_28 type_139_24_28) (= type_139_24_28 (asField type_139_24_28 T_javafe_ast_Type)) (< (fClosedTime type_139_24_28) alloc) (forall ((?s_6_ Int)) (=> (not (= ?s_6_ null)) (not (= (S_select type_139_24_28 ?s_6_) null)))) (= methodSeq_pre_19_167_38 methodSeq_19_167_38) (= methodSeq_19_167_38 (asField methodSeq_19_167_38 T_javafe_util_StackVector)) (< (fClosedTime methodSeq_19_167_38) alloc) (forall ((?s_7_ Int)) (=> (not (= ?s_7_ null)) (not (= (S_select methodSeq_19_167_38 ?s_7_) null)))) (= ADD_pre_26_33_26 ADD_26_33_26) (= true_term (is ADD_26_33_26 T_int)) (= VARDECLSTMT_pre_27_27_7 VARDECLSTMT_27_27_7) (= true_term (is VARDECLSTMT_27_27_7 T_int)) (= enclosingInstance_pre_134_37_14 enclosingInstance_134_37_14) (= enclosingInstance_134_37_14 (asField enclosingInstance_134_37_14 T_javafe_ast_Expr)) (< (fClosedTime enclosingInstance_134_37_14) alloc) (= typeEnv_pre_323_32 typeEnv_323_32) (= true_term (is typeEnv_323_32 T_javafe_ast_ASTDecoration)) (= true_term (isAllocated typeEnv_323_32 alloc)) (= PARENEXPR_pre_27_54_7 PARENEXPR_27_54_7) (= true_term (is PARENEXPR_27_54_7 T_int)) (= elements_pre_92_72_21 elements_92_72_21) (= elements_92_72_21 (asField elements_92_72_21 (array T_java_lang_Object))) (< (fClosedTime elements_92_72_21) alloc) (= AND_pre_26_20_26 AND_26_20_26) (= true_term (is AND_26_20_26 T_int)) (= map_pre_6_301_35 map_6_301_35) (= true_term (is map_6_301_35 T_java_util_Hashtable)) (= true_term (isAllocated map_6_301_35 alloc)) (= loc_pre_128_22_13 loc_128_22_13) (= loc_128_22_13 (asField loc_128_22_13 T_int)) (= TYPEMODIFIERPRAGMA_pre_24_28_26 TYPEMODIFIERPRAGMA_24_28_26) (= true_term (is TYPEMODIFIERPRAGMA_24_28_26 T_int)) (= locDot_pre_138_29_13 locDot_138_29_13) (= locDot_138_29_13 (asField locDot_138_29_13 T_int)) (= ASGURSHIFT_pre_26_48_26 ASGURSHIFT_26_48_26) (= true_term (is ASGURSHIFT_26_48_26 T_int)) (= ht_pre_99_33_36 ht_99_33_36) (= ht_99_33_36 (asField ht_99_33_36 T_java_util_Hashtable)) (< (fClosedTime ht_99_33_36) alloc) (forall ((?s_8_ Int)) (=> (not (= ?s_8_ null)) (not (= (S_select ht_99_33_36 ?s_8_) null)))) (= FLOATTYPE_pre_25_31_26 FLOATTYPE_25_31_26) (= true_term (is FLOATTYPE_25_31_26 T_int)) (= SKIPSTMT_pre_27_40_7 SKIPSTMT_27_40_7) (= true_term (is SKIPSTMT_27_40_7 T_int)) (= loc_pre_125_18_13 loc_125_18_13) (= loc_125_18_13 (asField loc_125_18_13 T_int)) (= count_pre_66_67_33 count_66_67_33) (= count_66_67_33 (asField count_66_67_33 T_int)) (= locOpenBrackets_pre_139_65_29 locOpenBrackets_139_65_29) (= locOpenBrackets_139_65_29 (asField locOpenBrackets_139_65_29 ?v_0)) (< (fClosedTime locOpenBrackets_139_65_29) alloc) (forall ((?s_9_ Int)) (=> (not (= ?s_9_ null)) (not (= (S_select locOpenBrackets_139_65_29 ?s_9_) null)))) (= URSHIFT_pre_26_32_26 URSHIFT_26_32_26) (= true_term (is URSHIFT_26_32_26 T_int)) (= COMPOUNDNAME_pre_27_67_7 COMPOUNDNAME_27_67_7) (= true_term (is COMPOUNDNAME_27_67_7 T_int)) (= locCloseBracket_pre_137_23_13 locCloseBracket_137_23_13) (= locCloseBracket_137_23_13 (asField locCloseBracket_137_23_13 T_int)) (= SWITCHSTMT_pre_27_26_7 SWITCHSTMT_27_26_7) (= true_term (is SWITCHSTMT_27_26_7 T_int)) (= NULLLIT_pre_25_45_26 NULLLIT_25_45_26) (= true_term (is NULLLIT_25_45_26 T_int)) (= CASTEXPR_pre_27_53_7 CASTEXPR_27_53_7) (= true_term (is CASTEXPR_27_53_7 T_int)) (= locOpenParen_pre_138_52_13 locOpenParen_138_52_13) (= locOpenParen_138_52_13 (asField locOpenParen_138_52_13 T_int)) (= OR_pre_26_19_26 OR_26_19_26) (= true_term (is OR_26_19_26 T_int)) (= id_pre_33_21_34 id_33_21_34) (= id_33_21_34 (asField id_33_21_34 T_javafe_ast_Identifier)) (< (fClosedTime id_33_21_34) alloc) (forall ((?s_10_ Int)) (=> (not (= ?s_10_ null)) (not (= (S_select id_33_21_34 ?s_10_) null)))) (= TYPEDECLELEMPRAGMA_pre_24_27_26 TYPEDECLELEMPRAGMA_24_27_26) (= true_term (is TYPEDECLELEMPRAGMA_24_27_26 T_int)) (= locOpenBrace_pre_94_22_13 locOpenBrace_94_22_13) (= locOpenBrace_94_22_13 (asField locOpenBrace_94_22_13 T_int)) (= locOpenBrace_pre_45_51_13 locOpenBrace_45_51_13) (= locOpenBrace_45_51_13 (asField locOpenBrace_45_51_13 T_int)) (= ASGRSHIFT_pre_26_47_26 ASGRSHIFT_26_47_26) (= true_term (is ASGRSHIFT_26_47_26 T_int)) (= CHARTYPE_pre_25_30_26 CHARTYPE_25_30_26) (= true_term (is CHARTYPE_25_30_26 T_int)) (= ids_pre_148_19_37 ids_148_19_37) (= ids_148_19_37 (asField ids_148_19_37 T_javafe_ast_IdentifierVec)) (< (fClosedTime ids_148_19_37) alloc) (forall ((?s_11_ Int)) (=> (not (= ?s_11_ null)) (not (= (S_select ids_148_19_37 ?s_11_) null)))) (= FORSTMT_pre_27_39_7 FORSTMT_27_39_7) (= true_term (is FORSTMT_27_39_7 T_int)) (= value_pre_70_45_16 value_70_45_16) (= value_70_45_16 (asField value_70_45_16 T_java_lang_Object)) (< (fClosedTime value_70_45_16) alloc) (= overridesDecoration_pre_19_154_45 overridesDecoration_19_154_45) (= true_term (is overridesDecoration_19_154_45 T_javafe_ast_ASTDecoration)) (= true_term (isAllocated overridesDecoration_19_154_45 alloc)) (not (= overridesDecoration_19_154_45 null)) (= RSHIFT_pre_26_31_26 RSHIFT_26_31_26) (= true_term (is RSHIFT_26_31_26 T_int)) (= args_pre_37_32_31 args_37_32_31) (= args_37_32_31 (asField args_37_32_31 T_javafe_ast_ExprVec)) (< (fClosedTime args_37_32_31) alloc) (forall ((?s_12_ Int)) (=> (not (= ?s_12_ null)) (not (= (S_select args_37_32_31 ?s_12_) null)))) (= SIMPLENAME_pre_27_66_7 SIMPLENAME_27_66_7) (= true_term (is SIMPLENAME_27_66_7 T_int)) (= locId_pre_38_25_13 locId_38_25_13) (= locId_38_25_13 (asField locId_38_25_13 T_int)) (= locCloseParen_pre_144_21_13 locCloseParen_144_21_13) (= locCloseParen_144_21_13 (asField locCloseParen_144_21_13 T_int)) (= op_pre_71_35_13 op_71_35_13) (= op_71_35_13 (asField op_71_35_13 T_int)) (= BLOCKSTMT_pre_27_25_7 BLOCKSTMT_27_25_7) (= true_term (is BLOCKSTMT_27_25_7 T_int)) (= locOpenBrace_pre_69_36_13 locOpenBrace_69_36_13) (= locOpenBrace_69_36_13 (asField locOpenBrace_69_36_13 T_int)) (= loc_pre_130_16_13 loc_130_16_13) (= loc_130_16_13 (asField loc_130_16_13 T_int)) (= STRINGLIT_pre_25_44_26 STRINGLIT_25_44_26) (= true_term (is STRINGLIT_25_44_26 T_int)) (= inferred_pre_41_33_17 inferred_41_33_17) (= inferred_41_33_17 (asField inferred_41_33_17 T_boolean)) (= INSTANCEOFEXPR_pre_27_52_7 INSTANCEOFEXPR_27_52_7) (= true_term (is INSTANCEOFEXPR_27_52_7 T_int)) (= dims_pre_139_45_31 dims_139_45_31) (= dims_139_45_31 (asField dims_139_45_31 T_javafe_ast_ExprVec)) (< (fClosedTime dims_139_45_31) alloc) (forall ((?s_13_ Int)) (=> (not (= ?s_13_ null)) (not (= (S_select dims_139_45_31 ?s_13_) null)))) (= locCloseParen_pre_143_24_13 locCloseParen_143_24_13) (= locCloseParen_143_24_13 (asField locCloseParen_143_24_13 T_int)) (= op_pre_72_26_13 op_72_26_13) (= op_72_26_13 (asField op_72_26_13 T_int)) (= loc_pre_122_18_13 loc_122_18_13) (= loc_122_18_13 (asField loc_122_18_13 T_int)) (= STMTPRAGMA_pre_24_26_26 STMTPRAGMA_24_26_26) (= true_term (is STMTPRAGMA_24_26_26 T_int)) (= ASGLSHIFT_pre_26_46_26 ASGLSHIFT_26_46_26) (= true_term (is ASGLSHIFT_26_46_26 T_int)) (= body_pre_69_34_19 body_69_34_19) (= body_69_34_19 (asField body_69_34_19 T_javafe_ast_BlockStmt)) (< (fClosedTime body_69_34_19) alloc) (= LONGTYPE_pre_25_29_26 LONGTYPE_25_29_26) (= true_term (is LONGTYPE_25_29_26 T_int)) (= type_pre_145_20_28 type_145_20_28) (= type_145_20_28 (asField type_145_20_28 T_javafe_ast_Type)) (< (fClosedTime type_145_20_28) alloc) (forall ((?s_14_ Int)) (=> (not (= ?s_14_ null)) (not (= (S_select type_145_20_28 ?s_14_) null)))) (= IFSTMT_pre_27_38_7 IFSTMT_27_38_7) (= true_term (is IFSTMT_27_38_7 T_int)) (= elementCount_pre_92_79_33 elementCount_92_79_33) (= elementCount_92_79_33 (asField elementCount_92_79_33 T_int)) (= LSHIFT_pre_26_30_26 LSHIFT_26_30_26) (= true_term (is LSHIFT_26_30_26 T_int)) (= locType_pre_68_21_13 locType_68_21_13) (= locType_68_21_13 (asField locType_68_21_13 T_int)) (= locId_pre_8_38_13 locId_8_38_13) (= locId_8_38_13 (asField locId_8_38_13 T_int)) (= punctuationStrings_pre_24_134_22 punctuationStrings_24_134_22) (= true_term (is punctuationStrings_24_134_22 ?v_1)) (= true_term (isAllocated punctuationStrings_24_134_22 alloc)) (= elementType_pre_92_43_27 elementType_92_43_27) (= elementType_92_43_27 (asField elementType_92_43_27 T__TYPE)) (= ARRAYTYPE_pre_27_65_7 ARRAYTYPE_27_65_7) (= true_term (is ARRAYTYPE_27_65_7 T_int)) (= FORMALPARADECL_pre_27_24_7 FORMALPARADECL_27_24_7) (= true_term (is FORMALPARADECL_27_24_7 T_int)) (= POSTFIXDEC_pre_26_63_26 POSTFIXDEC_26_63_26) (= true_term (is POSTFIXDEC_26_63_26 T_int)) (= elementType_pre_63_26_25 elementType_63_26_25) (= elementType_63_26_25 (asField elementType_63_26_25 T__TYPE)) (= DOUBLELIT_pre_25_43_26 DOUBLELIT_25_43_26) (= true_term (is DOUBLELIT_25_43_26 T_int)) (= CONDEXPR_pre_27_51_7 CONDEXPR_27_51_7) (= true_term (is CONDEXPR_27_51_7 T_int)) (= locOpenParen_pre_134_48_13 locOpenParen_134_48_13) (= locOpenParen_134_48_13 (asField locOpenParen_134_48_13 T_int)) (= elements_pre_96_61_39 elements_96_61_39) (= elements_96_61_39 (asField elements_96_61_39 (array T_javafe_ast_Identifier))) (< (fClosedTime elements_96_61_39) alloc) (forall ((?s_15_ Int)) (=> (not (= ?s_15_ null)) (not (= (S_select elements_96_61_39 ?s_15_) null)))) (= MODIFIERPRAGMA_pre_24_25_26 MODIFIERPRAGMA_24_25_26) (= true_term (is MODIFIERPRAGMA_24_25_26 T_int)) (= loc_pre_41_29_13 loc_41_29_13) (= loc_41_29_13 (asField loc_41_29_13 T_int)) (= ASGSUB_pre_26_45_26 ASGSUB_26_45_26) (= true_term (is ASGSUB_26_45_26 T_int)) (= INTTYPE_pre_25_28_26 INTTYPE_25_28_26) (= true_term (is INTTYPE_25_28_26 T_int)) (= LABELSTMT_pre_27_37_7 LABELSTMT_27_37_7) (= true_term (is LABELSTMT_27_37_7 T_int)) (= sigDecoration_pre_6_104_38 sigDecoration_6_104_38) (= true_term (is sigDecoration_6_104_38 T_javafe_ast_ASTDecoration)) (= true_term (isAllocated sigDecoration_6_104_38 alloc)) (= loc_pre_73_35_13 loc_73_35_13) (= loc_73_35_13 (asField loc_73_35_13 T_int)) (= LT_pre_26_29_26 LT_26_29_26) (= true_term (is LT_26_29_26 T_int)) (= TYPENAME_pre_27_64_7 TYPENAME_27_64_7) (= true_term (is TYPENAME_27_64_7 T_int)) (= FIELDDECL_pre_27_23_7 FIELDDECL_27_23_7) (= true_term (is FIELDDECL_27_23_7 T_int)) (= loc_pre_60_30_13 loc_60_30_13) (= loc_60_30_13 (asField loc_60_30_13 T_int)) (= locOpenParen_pre_37_30_13 locOpenParen_37_30_13) (= locOpenParen_37_30_13 (asField locOpenParen_37_30_13 T_int)) (= locIds_pre_148_25_29 locIds_148_25_29) (= locIds_148_25_29 (asField locIds_148_25_29 ?v_0)) (< (fClosedTime locIds_148_25_29) alloc) (forall ((?s_16_ Int)) (=> (not (= ?s_16_ null)) (not (= (S_select locIds_148_25_29 ?s_16_) null)))) (= POSTFIXINC_pre_26_62_26 POSTFIXINC_26_62_26) (= true_term (is POSTFIXINC_26_62_26 T_int)) (= FLOATLIT_pre_25_42_26 FLOATLIT_25_42_26) (= true_term (is FLOATLIT_25_42_26 T_int)) (= enclosingInstance_pre_138_25_14 enclosingInstance_138_25_14) (= enclosingInstance_138_25_14 (asField enclosingInstance_138_25_14 T_javafe_ast_Expr)) (< (fClosedTime enclosingInstance_138_25_14) alloc) (= NEWARRAYEXPR_pre_27_50_7 NEWARRAYEXPR_27_50_7) (= true_term (is NEWARRAYEXPR_27_50_7 T_int)) (= loc_pre_138_49_13 loc_138_49_13) (= loc_138_49_13 (asField loc_138_49_13 T_int)) (= locOpenBracket_pre_28_21_13 locOpenBracket_28_21_13) (= locOpenBracket_28_21_13 (asField locOpenBracket_28_21_13 T_int)) (= locColon_pre_141_25_13 locColon_141_25_13) (= locColon_141_25_13 (asField locColon_141_25_13 T_int)) (= otherStrings_pre_24_193_30 otherStrings_24_193_30) (= true_term (is otherStrings_24_193_30 ?v_1)) (= true_term (isAllocated otherStrings_24_193_30 alloc)) (= locOpenBracket_pre_137_20_13 locOpenBracket_137_20_13) (= locOpenBracket_137_20_13 (asField locOpenBracket_137_20_13 T_int)) (= LEXICALPRAGMA_pre_24_24_26 LEXICALPRAGMA_24_24_26) (= true_term (is LEXICALPRAGMA_24_24_26 T_int)) (= ASGADD_pre_26_44_26 ASGADD_26_44_26) (= true_term (is ASGADD_26_44_26 T_int)) (= loc_pre_118_20_13 loc_118_20_13) (= loc_118_20_13 (asField loc_118_20_13 T_int)) (= inst_pre_19_25_52 inst_19_25_52) (= true_term (is inst_19_25_52 T_javafe_tc_PrepTypeDeclaration)) (= true_term (isAllocated inst_19_25_52 alloc)) (not (= inst_19_25_52 null)) (= locOpenParen_pre_120_23_13 locOpenParen_120_23_13) (= locOpenParen_120_23_13 (asField locOpenParen_120_23_13 T_int)) (= BOOLEANTYPE_pre_25_27_26 BOOLEANTYPE_25_27_26) (= true_term (is BOOLEANTYPE_25_27_26 T_int)) (= locId_pre_45_48_13 locId_45_48_13) (= locId_45_48_13 (asField locId_45_48_13 T_int)) (= NULL_pre_40_60_26 NULL_40_60_26) (= true_term (is NULL_40_60_26 T_int)) (= CONTINUESTMT_pre_27_36_7 CONTINUESTMT_27_36_7) (= true_term (is CONTINUESTMT_27_36_7 T_int)) (= noTokens_pre_24_212_27 noTokens_24_212_27) (= true_term (is noTokens_24_212_27 T_int)) (= locSuper_pre_146_20_13 locSuper_146_20_13) (= locSuper_146_20_13 (asField locSuper_146_20_13 T_int)) (= LE_pre_26_28_26 LE_26_28_26) (= true_term (is LE_26_28_26 T_int)) (= SUPEROBJECTDESIGNATOR_pre_27_63_7 SUPEROBJECTDESIGNATOR_27_63_7) (= true_term (is SUPEROBJECTDESIGNATOR_27_63_7 T_int)) (= LOCALVARDECL_pre_27_22_7 LOCALVARDECL_27_22_7) (= true_term (is LOCALVARDECL_27_22_7 T_int)) (= locFinally_pre_132_25_13 locFinally_132_25_13) (= locFinally_132_25_13 (asField locFinally_132_25_13 T_int)) (= DEC_pre_26_59_26 DEC_26_59_26) (= true_term (is DEC_26_59_26 T_int)) (= CHARLIT_pre_25_41_26 CHARLIT_25_41_26) (= true_term (is CHARLIT_25_41_26 T_int)) (= NEWINSTANCEEXPR_pre_27_49_7 NEWINSTANCEEXPR_27_49_7) (= true_term (is NEWINSTANCEEXPR_27_49_7 T_int)) (= count_pre_96_67_33 count_96_67_33) (= count_96_67_33 (asField count_96_67_33 T_int)) (= decl_pre_32_26_38 decl_32_26_38) (= decl_32_26_38 (asField decl_32_26_38 T_javafe_ast_GenericVarDecl)) (< (fClosedTime decl_32_26_38) alloc) (forall ((?s_17_ Int)) (=> (not (= ?s_17_ null)) (not (= (S_select decl_32_26_38 ?s_17_) null)))) (= ASGREM_pre_26_43_26 ASGREM_26_43_26) (= true_term (is ASGREM_26_43_26 T_int)) (= IDENT_pre_25_25_26 IDENT_25_25_26) (= true_term (is IDENT_25_25_26 T_int)) (= BREAKSTMT_pre_27_35_7 BREAKSTMT_27_35_7) (= true_term (is BREAKSTMT_27_35_7 T_int)) (= locOpenParen_pre_143_21_13 locOpenParen_143_21_13) (= locOpenParen_143_21_13 (asField locOpenParen_143_21_13 T_int)) (= name_pre_20_18_28 name_20_18_28) (= name_20_18_28 (asField name_20_18_28 T_javafe_ast_Name)) (< (fClosedTime name_20_18_28) alloc) (forall ((?s_18_ Int)) (=> (not (= ?s_18_ null)) (not (= (S_select name_20_18_28 ?s_18_) null)))) (= punctuationCodes_pre_24_164_19 punctuationCodes_24_164_19) (= true_term (is punctuationCodes_24_164_19 ?v_0)) (= true_term (isAllocated punctuationCodes_24_164_19 alloc)) (= constructorSeq_pre_19_171_38 constructorSeq_19_171_38) (= constructorSeq_19_171_38 (asField constructorSeq_19_171_38 T_javafe_util_StackVector)) (< (fClosedTime constructorSeq_19_171_38) alloc) (forall ((?s_19_ Int)) (=> (not (= ?s_19_ null)) (not (= (S_select constructorSeq_19_171_38 ?s_19_) null)))) (= GT_pre_26_27_26 GT_26_27_26) (= true_term (is GT_26_27_26 T_int)) (= TYPEOBJECTDESIGNATOR_pre_27_62_7 TYPEOBJECTDESIGNATOR_27_62_7) (= true_term (is TYPEOBJECTDESIGNATOR_27_62_7 T_int)) (= INITBLOCK_pre_27_21_7 INITBLOCK_27_21_7) (= true_term (is INITBLOCK_27_21_7 T_int)) (= loc_pre_142_21_13 loc_142_21_13) (= loc_142_21_13 (asField loc_142_21_13 T_int)) (= INC_pre_26_58_26 INC_26_58_26) (= true_term (is INC_26_58_26 T_int)) (= FIRST_KEYWORD_pre_24_51_26 FIRST_KEYWORD_24_51_26) (= true_term (is FIRST_KEYWORD_24_51_26 T_int)) (= locDots_pre_148_31_29 locDots_148_31_29) (= locDots_148_31_29 (asField locDots_148_31_29 ?v_0)) (< (fClosedTime locDots_148_31_29) alloc) (forall ((?s_20_ Int)) (=> (not (= ?s_20_ null)) (not (= (S_select locDots_148_31_29 ?s_20_) null)))) (= LONGLIT_pre_25_40_26 LONGLIT_25_40_26) (= true_term (is LONGLIT_25_40_26 T_int)) (= type_pre_8_35_28 type_8_35_28) (= type_8_35_28 (asField type_8_35_28 T_javafe_ast_Type)) (< (fClosedTime type_8_35_28) alloc) (forall ((?s_21_ Int)) (=> (not (= ?s_21_ null)) (not (= (S_select type_8_35_28 ?s_21_) null)))) (= ARRAYREFEXPR_pre_27_48_7 ARRAYREFEXPR_27_48_7) (= true_term (is ARRAYREFEXPR_27_48_7 T_int)) (= locOpenParen_pre_144_18_13 locOpenParen_144_18_13) (= locOpenParen_144_18_13 (asField locOpenParen_144_18_13 T_int)) (= locKeyword_pre_134_45_13 locKeyword_134_45_13) (= locKeyword_134_45_13 (asField locKeyword_134_45_13 T_int)) (= ASGDIV_pre_26_42_26 ASGDIV_26_42_26) (= true_term (is ASGDIV_26_42_26 T_int)) (= locId_pre_69_43_13 locId_69_43_13) (= locId_69_43_13 (asField locId_69_43_13 T_int)) (= LAST_KEYWORD_pre_24_103_26 LAST_KEYWORD_24_103_26) (= true_term (is LAST_KEYWORD_24_103_26 T_int)) (= THROWSTMT_pre_27_34_7 THROWSTMT_27_34_7) (= true_term (is THROWSTMT_27_34_7 T_int)) (= locCloseBrace_pre_136_24_13 locCloseBrace_136_24_13) (= locCloseBrace_136_24_13 (asField locCloseBrace_136_24_13 T_int)) (= loc_pre_135_22_13 loc_135_22_13) (= loc_135_22_13 (asField loc_135_22_13 T_int)) (= GE_pre_26_26_26 GE_26_26_26) (= true_term (is GE_26_26_26 T_int)) (= EXPROBJECTDESIGNATOR_pre_27_61_7 EXPROBJECTDESIGNATOR_27_61_7) (= true_term (is EXPROBJECTDESIGNATOR_27_61_7 T_int)) (= tag_pre_73_30_13 tag_73_30_13) (= tag_73_30_13 (asField tag_73_30_13 T_int)) (= METHODDECL_pre_27_20_7 METHODDECL_27_20_7) (= true_term (is METHODDECL_27_20_7 T_int)) (= loc_pre_110_18_13 loc_110_18_13) (= loc_110_18_13 (asField loc_110_18_13 T_int)) (= parent_pre_42_18_18 parent_42_18_18) (= parent_42_18_18 (asField parent_42_18_18 T_javafe_ast_TypeDecl)) (< (fClosedTime parent_42_18_18) alloc) (= loc_pre_115_18_13 loc_115_18_13) (= loc_115_18_13 (asField loc_115_18_13 T_int)) (= TYPESIG_pre_23_6_28 TYPESIG_23_6_28) (= true_term (is TYPESIG_23_6_28 T_int)) (= BITNOT_pre_26_57_26 BITNOT_26_57_26) (= true_term (is BITNOT_26_57_26 T_int)) (= INTLIT_pre_25_39_26 INTLIT_25_39_26) (= true_term (is INTLIT_25_39_26 T_int)) (= THISEXPR_pre_27_47_7 THISEXPR_27_47_7) (= true_term (is THISEXPR_27_47_7 T_int)) (= keywordStrings_pre_24_181_30 keywordStrings_24_181_30) (= true_term (is keywordStrings_24_181_30 ?v_1)) (= true_term (isAllocated keywordStrings_24_181_30 alloc)) (= returnType_pre_68_18_28 returnType_68_18_28) (= returnType_68_18_28 (asField returnType_68_18_28 T_javafe_ast_Type)) (< (fClosedTime returnType_68_18_28) alloc) (forall ((?s_22_ Int)) (=> (not (= ?s_22_ null)) (not (= (S_select returnType_68_18_28 ?s_22_) null)))) (= fieldSeq_pre_19_162_38 fieldSeq_19_162_38) (= fieldSeq_19_162_38 (asField fieldSeq_19_162_38 T_javafe_util_StackVector)) (< (fClosedTime fieldSeq_19_162_38) alloc) (forall ((?s_23_ Int)) (=> (not (= ?s_23_ null)) (not (= (S_select fieldSeq_19_162_38 ?s_23_) null)))) (= ASGMUL_pre_26_41_26 ASGMUL_26_41_26) (= true_term (is ASGMUL_26_41_26 T_int)) (= loc_pre_45_45_13 loc_45_45_13) (= loc_45_45_13 (asField loc_45_45_13 T_int)) (= superCall_pre_134_24_17 superCall_134_24_17) (= superCall_134_24_17 (asField superCall_134_24_17 T_boolean)) (= RETURNSTMT_pre_27_33_7 RETURNSTMT_27_33_7) (= true_term (is RETURNSTMT_27_33_7 T_int)) (= locQuestion_pre_141_22_13 locQuestion_141_22_13) (= locQuestion_141_22_13 (asField locQuestion_141_22_13 T_int)) (= whereDecoration_pre_597_41 whereDecoration_597_41) (= true_term (is whereDecoration_597_41 T_javafe_ast_ASTDecoration)) (= true_term (isAllocated whereDecoration_597_41 alloc)) (= elements_pre_65_61_38 elements_65_61_38) (= elements_65_61_38 (asField elements_65_61_38 (array T_javafe_ast_FieldDecl))) (< (fClosedTime elements_65_61_38) alloc) (forall ((?s_24_ Int)) (=> (not (= ?s_24_ null)) (not (= (S_select elements_65_61_38 ?s_24_) null)))) (= name_pre_37_25_28 name_37_25_28) (= name_37_25_28 (asField name_37_25_28 T_javafe_ast_Name)) (< (fClosedTime name_37_25_28) alloc) (forall ((?s_25_ Int)) (=> (not (= ?s_25_ null)) (not (= (S_select name_37_25_28 ?s_25_) null)))) (= EQ_pre_26_25_26 EQ_26_25_26) (= true_term (is EQ_26_25_26 T_int)) (= NULL_pre_24_82_26 NULL_24_82_26) (= true_term (is NULL_24_82_26 T_int)) (= CLASSLITERAL_pre_27_60_7 CLASSLITERAL_27_60_7) (= true_term (is CLASSLITERAL_27_60_7 T_int)) (= init_pre_139_35_19 init_139_35_19) (= init_139_35_19 (asField init_139_35_19 T_javafe_ast_ArrayInit)) (< (fClosedTime init_139_35_19) alloc) (= CONSTRUCTORDECL_pre_27_19_7 CONSTRUCTORDECL_27_19_7) (= true_term (is CONSTRUCTORDECL_27_19_7 T_int)) (= currentStackBottom_pre_92_87_33 currentStackBottom_92_87_33) (= currentStackBottom_92_87_33 (asField currentStackBottom_92_87_33 T_int)) (= locFirstSemi_pre_129_36_13 locFirstSemi_129_36_13) (= locFirstSemi_129_36_13 (asField locFirstSemi_129_36_13 T_int)) (= NOT_pre_26_56_26 NOT_26_56_26) (= true_term (is NOT_26_56_26 T_int)) (= locOp_pre_71_43_13 locOp_71_43_13) (= locOp_71_43_13 (asField locOp_71_43_13 T_int)) (= BOOLEANLIT_pre_25_38_26 BOOLEANLIT_25_38_26) (= true_term (is BOOLEANLIT_25_38_26 T_int)) (= ARRAYINIT_pre_27_46_7 ARRAYINIT_27_46_7) (= true_term (is ARRAYINIT_27_46_7 T_int)) (= keyType_pre_63_16_25 keyType_63_16_25) (= keyType_63_16_25 (asField keyType_63_16_25 T__TYPE)) (= loc_pre_132_22_13 loc_132_22_13) (= loc_132_22_13 (asField loc_132_22_13 T_int)) (= decl_pre_33_28_19 decl_33_28_19) (= decl_33_28_19 (asField decl_33_28_19 T_javafe_ast_FieldDecl)) (< (fClosedTime decl_33_28_19) alloc) (= ASSIGN_pre_26_40_26 ASSIGN_26_40_26) (= true_term (is ASSIGN_26_40_26 T_int)) (= prefixSize_pre_252_15 prefixSize_252_15) (= prefixSize_252_15 (asField prefixSize_252_15 T_int)) (= elements_pre_140_61_33 elements_140_61_33) (= elements_140_61_33 (asField elements_140_61_33 (array T_javafe_ast_Expr))) (< (fClosedTime elements_140_61_33) alloc) (forall ((?s_26_ Int)) (=> (not (= ?s_26_ null)) (not (= (S_select elements_140_61_33 ?s_26_) null)))) (= EVALSTMT_pre_27_32_7 EVALSTMT_27_32_7) (= true_term (is EVALSTMT_27_32_7 T_int)) (= type_pre_143_18_28 type_143_18_28) (= type_143_18_28 (asField type_143_18_28 T_javafe_ast_Type)) (< (fClosedTime type_143_18_28) alloc) (forall ((?s_27_ Int)) (=> (not (= ?s_27_ null)) (not (= (S_select type_143_18_28 ?s_27_) null)))) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is this T_javafe_tc_Env)) (= true_term (isAllocated this alloc)) (not (= this null)) (= true_term (is t_334_47 T_javafe_ast_Type)) (= true_term (isAllocated t_334_47 alloc)) ?v_7 (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_ast_NewInstanceExpr)) (not (= ?brokenObj null))) (not (= (S_select locOpenParen_138_52_13 ?brokenObj) NULL_40_60_26)))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_1_ null))) (not (= (S_select loc_45_45_13 ?brokenObj_1_) NULL_40_60_26)))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_2_ null))) (<= (S_select count_65_67_33 ?brokenObj_2_) (arrayLength (S_select elements_65_61_38 ?brokenObj_2_))))) (forall ((?i_24_149_29 Int)) (let ((?v_144 (S_select (S_select elems punctuationCodes_24_164_19) ?i_24_149_29))) (=> (and (<= 0 ?i_24_149_29) (<= ?i_24_149_29 (arrayLength punctuationCodes_24_164_19))) (and (not (= ?v_144 IDENT_25_25_26)) (not (= ?v_144 BOOLEANLIT_25_38_26)) (not (= ?v_144 INTLIT_25_39_26)) (not (= ?v_144 LONGLIT_25_40_26)) (not (= ?v_144 FLOATLIT_25_42_26)) (not (= ?v_144 DOUBLELIT_25_43_26)) (not (= ?v_144 STRINGLIT_25_44_26)) (not (= ?v_144 CHARLIT_25_41_26)) (not (= ?v_144 LEXICALPRAGMA_24_24_26)) (not (= ?v_144 MODIFIERPRAGMA_24_25_26)) (not (= ?v_144 STMTPRAGMA_24_26_26)) (not (= ?v_144 TYPEDECLELEMPRAGMA_24_27_26)) (not (= ?v_144 TYPEMODIFIERPRAGMA_24_28_26)))))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_ast_InstanceOfExpr)) (not (= ?brokenObj_3_ null))) (not (= (S_select loc_142_21_13 ?brokenObj_3_) NULL_40_60_26)))) (forall ((?brokenObj_4_ Int)) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_ast_PrimitiveType)) (not (= ?brokenObj_4_ null)) (= true_term (S_select syntax_11_28_29 ?brokenObj_4_))) (not (= (S_select loc_73_35_13 ?brokenObj_4_) NULL_40_60_26)))) (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_ast_WhileStmt)) (not (= ?brokenObj_5_ null))) (not (= (S_select locGuardOpenParen_118_23_13 ?brokenObj_5_) NULL_40_60_26)))) (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_javafe_ast_TryCatchStmt)) (not (= ?brokenObj_6_ null))) (not (= (S_select loc_133_23_13 ?brokenObj_6_) NULL_40_60_26)))) (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_javafe_ast_IdentifierVec)) (not (= ?brokenObj_7_ null))) (<= (S_select count_96_67_33 ?brokenObj_7_) (arrayLength (S_select elements_96_61_39 ?brokenObj_7_))))) (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_javafe_ast_ThrowStmt)) (not (= ?brokenObj_8_ null))) (not (= (S_select loc_123_18_13 ?brokenObj_8_) NULL_40_60_26)))) (forall ((?brokenObj_9_ Int)) (=> (and (= true_term (is ?brokenObj_9_ T_javafe_ast_ExprVec)) (not (= ?brokenObj_9_ null))) (forall ((?i_140_62_31 Int)) (=> (and (<= 0 ?i_140_62_31) (< ?i_140_62_31 (S_select count_140_67_33 ?brokenObj_9_))) (not (= (S_select (S_select elems (S_select elements_140_61_33 ?brokenObj_9_)) ?i_140_62_31) null)))))) (forall ((?brokenObj_10_ Int)) (=> (and (= true_term (is ?brokenObj_10_ T_javafe_ast_SuperObjectDesignator)) (not (= ?brokenObj_10_ null))) (not (= (S_select locSuper_146_20_13 ?brokenObj_10_) NULL_40_60_26)))) (forall ((?brokenObj_11_ Int)) (=> (and (= true_term (is ?brokenObj_11_ T_javafe_ast_ArrayInit)) (not (= ?brokenObj_11_ null))) (not (= (S_select locCloseBrace_136_24_13 ?brokenObj_11_) NULL_40_60_26)))) (forall ((?brokenObj_12_ Int)) (let ((?v_146 (S_select tag_70_32_13 ?brokenObj_12_)) (?v_145 (S_select value_70_45_16 ?brokenObj_12_))) (let ((?v_147 (= ?v_145 null))) (let ((?v_148 (not ?v_147))) (let ((?v_149 (and (= true_term (is ?v_145 T_java_lang_Integer)) ?v_148))) (=> (and (= true_term (is ?brokenObj_12_ T_javafe_ast_LiteralExpr)) (not (= ?brokenObj_12_ null))) (and (=> (= ?v_146 BOOLEANLIT_25_38_26) (and (= true_term (is ?v_145 T_java_lang_Boolean)) ?v_148)) (=> (= ?v_146 NULLLIT_25_45_26) ?v_147) (=> (= ?v_146 INTLIT_25_39_26) ?v_149) (=> (= ?v_146 LONGLIT_25_40_26) (and (= true_term (is ?v_145 T_java_lang_Long)) ?v_148)) (=> (= ?v_146 FLOATLIT_25_42_26) (and (= true_term (is ?v_145 T_java_lang_Float)) ?v_148)) (=> (= ?v_146 DOUBLELIT_25_43_26) (and (= true_term (is ?v_145 T_java_lang_Double)) ?v_148)) (=> (= ?v_146 STRINGLIT_25_44_26) (and (= true_term (is ?v_145 T_java_lang_String)) ?v_148)) (=> (= ?v_146 CHARLIT_25_41_26) ?v_149)))))))) (= ?v_8 T_javafe_tc_Env) (forall ((?brokenObj_13_ Int)) (=> (and (= true_term (is ?brokenObj_13_ T_javafe_ast_MethodInvocation)) (not (= ?brokenObj_13_ null))) (not (= (S_select locId_38_25_13 ?brokenObj_13_) NULL_40_60_26)))) (forall ((?brokenObj_14_ Int)) (=> (and (= true_term (is ?brokenObj_14_ T_javafe_ast_ArrayRefExpr)) (not (= ?brokenObj_14_ null))) (not (= (S_select locCloseBracket_137_23_13 ?brokenObj_14_) NULL_40_60_26)))) (forall ((?brokenObj_15_ Int)) (=> (and (= true_term (is ?brokenObj_15_ T_javafe_ast_ImportDecl)) (not (= ?brokenObj_15_ null))) (not (= (S_select loc_110_18_13 ?brokenObj_15_) NULL_40_60_26)))) (forall ((?brokenObj_16_ Int)) (=> (and (= true_term (is ?brokenObj_16_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_16_ null))) (not (= (S_select locOpenBrace_45_51_13 ?brokenObj_16_) NULL_40_60_26)))) (forall ((?brokenObj_17_ Int)) (=> (and (= true_term (is ?brokenObj_17_ T_javafe_ast_SkipStmt)) (not (= ?brokenObj_17_ null))) (not (= (S_select loc_130_16_13 ?brokenObj_17_) NULL_40_60_26)))) (= true_term (nonnullelements keywordStrings_24_181_30 elems)) (forall ((?brokenObj_18_ Int)) (=> (and (= true_term (is ?brokenObj_18_ T_javafe_ast_SynchronizeStmt)) (not (= ?brokenObj_18_ null))) (not (= (S_select loc_120_20_13 ?brokenObj_18_) NULL_40_60_26)))) (forall ((?brokenObj_19_ Int)) (=> (and (= true_term (is ?brokenObj_19_ T_javafe_ast_IfStmt)) (not (= ?brokenObj_19_ null))) (not (= (S_select loc_128_22_13 ?brokenObj_19_) NULL_40_60_26)))) (forall ((?brokenObj_20_ Int)) (=> (and (= true_term (is ?brokenObj_20_ T_javafe_ast_ForStmt)) (not (= ?brokenObj_20_ null))) (not (= (S_select locFirstSemi_129_36_13 ?brokenObj_20_) NULL_40_60_26)))) (= (S_select decorationType_22_48_27 whereDecoration_597_41) T_javafe_tc_TypeSig) (forall ((?brokenObj_21_ Int)) (=> (and (= true_term (is ?brokenObj_21_ T_javafe_ast_ParenExpr)) (not (= ?brokenObj_21_ null))) (not (= (S_select locCloseParen_144_21_13 ?brokenObj_21_) NULL_40_60_26)))) (forall ((?brokenObj_22_ Int)) (=> (and (= true_term (is ?brokenObj_22_ T_javafe_ast_GenericVarDecl)) (not (= ?brokenObj_22_ null))) (= true_term (S_select syntax_11_28_29 (S_select type_8_35_28 ?brokenObj_22_))))) (forall ((?brokenObj_23_ Int)) (=> (and (= true_term (is ?brokenObj_23_ T_javafe_ast_VariableAccess)) (not (= ?brokenObj_23_ null))) (not (= (S_select loc_32_22_13 ?brokenObj_23_) NULL_40_60_26)))) (forall ((?brokenObj_24_ Int)) (=> (and (= true_term (is ?brokenObj_24_ T_javafe_ast_ClassLiteral)) (not (= ?brokenObj_24_ null))) (= true_term (S_select syntax_11_28_29 (S_select type_145_20_28 ?brokenObj_24_))))) (forall ((?brokenObj_25_ Int)) (=> (and (= true_term (is ?brokenObj_25_ T_javafe_ast_NewArrayExpr)) (not (= ?brokenObj_25_ null))) (>= (S_select count_140_67_33 (S_select dims_139_45_31 ?brokenObj_25_)) 1))) (forall ((?brokenObj_26_ Int)) (=> (and (= true_term (is ?brokenObj_26_ T_javafe_ast_UnaryExpr)) (not (= ?brokenObj_26_ null))) (not (= (S_select locOp_72_32_13 ?brokenObj_26_) NULL_40_60_26)))) (forall ((?brokenObj_27_ Int)) (=> (and (= true_term (is ?brokenObj_27_ T_javafe_ast_CatchClause)) (not (= ?brokenObj_27_ null))) (not (= (S_select loc_135_22_13 ?brokenObj_27_) NULL_40_60_26)))) (forall ((?brokenObj_28_ Int)) (=> (and (= true_term (is ?brokenObj_28_ T_javafe_ast_CompoundName)) (not (= ?brokenObj_28_ null))) (> (S_select length_17_50_25 ?brokenObj_28_) 1))) (forall ((?brokenObj_29_ Int)) (=> (and (= true_term (is ?brokenObj_29_ T_javafe_ast_CompoundName)) (not (= ?brokenObj_29_ null))) (forall ((?i_148_29_29 Int)) (let ((?v_150 (S_select locDots_148_31_29 ?brokenObj_29_))) (=> (and (<= 0 ?i_148_29_29) (< ?i_148_29_29 (arrayLength ?v_150))) (not (= (S_select (S_select elems ?v_150) ?i_148_29_29) NULL_40_60_26))))))) (forall ((?brokenObj_30_ Int)) (=> (and (= true_term (is ?brokenObj_30_ T_javafe_ast_CompoundName)) (not (= ?brokenObj_30_ null))) (= (arrayLength (S_select locDots_148_31_29 ?brokenObj_30_)) (- (S_select length_17_50_25 ?brokenObj_30_) 1)))) (forall ((?brokenObj_31_ Int)) (=> (and (= true_term (is ?brokenObj_31_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_31_ null))) (= (typeof (S_select elements_65_61_38 ?brokenObj_31_)) (array T_javafe_ast_FieldDecl)))) (forall ((?brokenObj_32_ Int)) (=> (and (= true_term (is ?brokenObj_32_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_32_ null))) (forall ((?i_66_62_31 Int)) (=> (and (<= 0 ?i_66_62_31) (< ?i_66_62_31 (S_select count_66_67_33 ?brokenObj_32_))) (not (= (S_select (S_select elems (S_select elements_66_61_39 ?brokenObj_32_)) ?i_66_62_31) null)))))) (forall ((?brokenObj_33_ Int)) (=> (and (= true_term (is ?brokenObj_33_ T_javafe_ast_IdentifierVec)) (not (= ?brokenObj_33_ null))) (= (typeof (S_select elements_96_61_39 ?brokenObj_33_)) (array T_javafe_ast_Identifier)))) (forall ((?brokenObj_34_ Int)) (=> (and (= true_term (is ?brokenObj_34_ T_javafe_ast_ExprVec)) (not (= ?brokenObj_34_ null))) (= (S_select owner_4_35_28 (S_select elements_140_61_33 ?brokenObj_34_)) ?brokenObj_34_))) (forall ((?brokenObj_35_ Int)) (=> (and (= true_term (is ?brokenObj_35_ T_javafe_ast_ConstructorInvocation)) (not (= ?brokenObj_35_ null))) (not (= (S_select locKeyword_134_45_13 ?brokenObj_35_) NULL_40_60_26)))) (forall ((?brokenObj_36_ Int)) (=> (and (= true_term (is ?brokenObj_36_ T_javafe_ast_Name)) (not (= ?brokenObj_36_ null))) (>= (S_select length_17_50_25 ?brokenObj_36_) 1))) (forall ((?brokenObj_37_ Int)) (=> (and (= true_term (is ?brokenObj_37_ T_javafe_ast_ClassLiteral)) (not (= ?brokenObj_37_ null))) (not (= (S_select locDot_145_23_13 ?brokenObj_37_) NULL_40_60_26)))) (= noTokens_24_212_27 (+ (+ ?v_2 ?v_5) ?v_3)) (forall ((?brokenObj_38_ Int)) (=> (and (= true_term (is ?brokenObj_38_ T_javafe_ast_ObjectDesignator)) (not (= ?brokenObj_38_ null))) (not (= (S_select locDot_35_21_13 ?brokenObj_38_) NULL_40_60_26)))) (forall ((?brokenObj_39_ Int)) (=> (and (= true_term (is ?brokenObj_39_ T_javafe_ast_GenericBlockStmt)) (not (= ?brokenObj_39_ null))) (not (= (S_select locCloseBrace_94_25_13 ?brokenObj_39_) NULL_40_60_26)))) (forall ((?brokenObj_40_ Int)) (=> (and (= true_term (is ?brokenObj_40_ T_javafe_ast_FieldAccess)) (not (= ?brokenObj_40_ null))) (not (= (S_select locId_33_24_13 ?brokenObj_40_) NULL_40_60_26)))) (forall ((?brokenObj_41_ Int)) (=> (and (= true_term (is ?brokenObj_41_ T_javafe_ast_TryFinallyStmt)) (not (= ?brokenObj_41_ null))) (not (= (S_select locFinally_132_25_13 ?brokenObj_41_) NULL_40_60_26)))) (forall ((?brokenObj_42_ Int)) (=> (and (= true_term (is ?brokenObj_42_ T_javafe_ast_CastExpr)) (not (= ?brokenObj_42_ null))) (not (= (S_select locCloseParen_143_24_13 ?brokenObj_42_) NULL_40_60_26)))) (forall ((?brokenObj_43_ Int)) (=> (and (= true_term (is ?brokenObj_43_ T_javafe_ast_MethodDecl)) (not (= ?brokenObj_43_ null))) (= true_term (S_select syntax_11_28_29 (S_select returnType_68_18_28 ?brokenObj_43_))))) (forall ((?brokenObj_44_ Int)) (=> (and (= true_term (is ?brokenObj_44_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_44_ null))) (<= 0 (S_select count_65_67_33 ?brokenObj_44_)))) (forall ((?brokenObj_45_ Int)) (=> (and (= true_term (is ?brokenObj_45_ T_javafe_ast_ExprVec)) (not (= ?brokenObj_45_ null))) (<= (S_select count_140_67_33 ?brokenObj_45_) (arrayLength (S_select elements_140_61_33 ?brokenObj_45_))))) (forall ((?brokenObj_46_ Int)) (=> (and (= true_term (is ?brokenObj_46_ T_javafe_ast_IdentifierVec)) (not (= ?brokenObj_46_ null))) (<= 0 (S_select count_96_67_33 ?brokenObj_46_)))) (forall ((?brokenObj_47_ Int)) (=> (and (= true_term (is ?brokenObj_47_ T_javafe_ast_CondExpr)) (not (= ?brokenObj_47_ null))) (not (= (S_select locQuestion_141_22_13 ?brokenObj_47_) NULL_40_60_26)))) (forall ((?brokenObj_48_ Int)) (=> (and (= true_term (is ?brokenObj_48_ T_javafe_ast_SwitchStmt)) (not (= ?brokenObj_48_ null))) (not (= (S_select loc_115_18_13 ?brokenObj_48_) NULL_40_60_26)))) (forall ((?brokenObj_49_ Int)) (=> (and (= true_term (is ?brokenObj_49_ T_javafe_ast_SwitchLabel)) (not (= ?brokenObj_49_ null))) (not (= (S_select loc_131_29_13 ?brokenObj_49_) NULL_40_60_26)))) (forall ((?brokenObj_50_ Int)) (=> (and (= true_term (is ?brokenObj_50_ T_javafe_ast_RoutineDecl)) (not (= ?brokenObj_50_ null))) (not (= (S_select loc_69_40_13 ?brokenObj_50_) NULL_40_60_26)))) (= ?v_2 (- (+ 1 LAST_KEYWORD_24_103_26) FIRST_KEYWORD_24_51_26)) (forall ((?brokenObj_51_ Int)) (let ((?v_151 (S_select tag_70_32_13 ?brokenObj_51_))) (=> (and (= true_term (is ?brokenObj_51_ T_javafe_ast_LiteralExpr)) (not (= ?brokenObj_51_ null))) (or (= ?v_151 BOOLEANLIT_25_38_26) (= ?v_151 INTLIT_25_39_26) (= ?v_151 LONGLIT_25_40_26) (= ?v_151 FLOATLIT_25_42_26) (= ?v_151 DOUBLELIT_25_43_26) (= ?v_151 STRINGLIT_25_44_26) (= ?v_151 NULLLIT_25_45_26) (= ?v_151 CHARLIT_25_41_26))))) (forall ((?brokenObj_52_ Int)) (=> (and (= true_term (is ?brokenObj_52_ T_javafe_ast_NewInstanceExpr)) (not (= ?brokenObj_52_ null))) (not (= (S_select loc_138_49_13 ?brokenObj_52_) NULL_40_60_26)))) (forall ((?brokenObj_53_ Int)) (=> (and (= true_term (is ?brokenObj_53_ T_javafe_ast_GenericVarDecl)) (not (= ?brokenObj_53_ null))) (not (= (S_select locId_8_38_13 ?brokenObj_53_) NULL_40_60_26)))) (forall ((?brokenObj_54_ Int)) (=> (and (= true_term (is ?brokenObj_54_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_54_ null))) (not (= true_term (S_select syntax_11_28_29 ?brokenObj_54_))))) (= (arrayLength otherCodes_24_202_27) ?v_3) (forall ((?brokenObj_55_ Int)) (=> (and (= true_term (is ?brokenObj_55_ T_javafe_ast_BranchStmt)) (not (= ?brokenObj_55_ null))) (not (= (S_select loc_125_18_13 ?brokenObj_55_) NULL_40_60_26)))) (forall ((?brokenObj_56_ Int)) (=> (and (= true_term (is ?brokenObj_56_ T_javafe_ast_SynchronizeStmt)) (not (= ?brokenObj_56_ null))) (not (= (S_select locOpenParen_120_23_13 ?brokenObj_56_) NULL_40_60_26)))) (forall ((?brokenObj_57_ Int)) (=> (and (= true_term (is ?brokenObj_57_ T_javafe_ast_MethodDecl)) (not (= ?brokenObj_57_ null))) (not (= (S_select locType_68_21_13 ?brokenObj_57_) NULL_40_60_26)))) (forall ((?brokenObj_58_ Int)) (=> (and (= true_term (is ?brokenObj_58_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_58_ null))) (= (S_select owner_4_35_28 (S_select elements_66_61_39 ?brokenObj_58_)) ?brokenObj_58_))) (forall ((?brokenObj_59_ Int)) (let ((?v_152 (S_select tag_73_30_13 ?brokenObj_59_))) (=> (and (= true_term (is ?brokenObj_59_ T_javafe_ast_PrimitiveType)) (not (= ?brokenObj_59_ null))) (or (= ?v_152 BOOLEANTYPE_25_27_26) (= ?v_152 INTTYPE_25_28_26) (= ?v_152 LONGTYPE_25_29_26) (= ?v_152 CHARTYPE_25_30_26) (= ?v_152 FLOATTYPE_25_31_26) (= ?v_152 DOUBLETYPE_25_32_26) (= ?v_152 VOIDTYPE_25_33_26) (= ?v_152 NULLTYPE_25_34_26) (= ?v_152 BYTETYPE_25_35_26) (= ?v_152 SHORTTYPE_25_36_26))))) (= true_term (nonnullelements punctuationStrings_24_134_22 elems)) (forall ((?brokenObj_60_ Int)) (=> (and (= true_term (is ?brokenObj_60_ T_javafe_ast_CastExpr)) (not (= ?brokenObj_60_ null))) (= true_term (S_select syntax_11_28_29 (S_select type_143_18_28 ?brokenObj_60_))))) (forall ((?brokenObj_61_ Int)) (=> (and (= true_term (is ?brokenObj_61_ T_javafe_ast_NewArrayExpr)) (not (= ?brokenObj_61_ null))) (not (= (S_select loc_139_49_13 ?brokenObj_61_) NULL_40_60_26)))) (forall ((?brokenObj_62_ Int)) (=> (and (= true_term (is ?brokenObj_62_ T_javafe_ast_ArrayInit)) (not (= ?brokenObj_62_ null))) (not (= (S_select locOpenBrace_136_21_13 ?brokenObj_62_) NULL_40_60_26)))) (forall ((?brokenObj_63_ Int)) (=> (and (= true_term (is ?brokenObj_63_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_63_ null))) (not (= (S_select locId_45_48_13 ?brokenObj_63_) NULL_40_60_26)))) (forall ((?brokenObj_64_ Int)) (=> (and (= true_term (is ?brokenObj_64_ T_javafe_ast_SimpleName)) (not (= ?brokenObj_64_ null))) (= (S_select length_17_50_25 ?brokenObj_64_) 1))) (forall ((?brokenObj_65_ Int)) (=> (and (= true_term (is ?brokenObj_65_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_65_ null))) (<= (S_select count_66_67_33 ?brokenObj_65_) (arrayLength (S_select elements_66_61_39 ?brokenObj_65_))))) ?v_6 (forall ((?brokenObj_66_ Int)) (=> (and (= true_term (is ?brokenObj_66_ T_javafe_ast_CompoundName)) (not (= ?brokenObj_66_ null))) (= (S_select count_96_67_33 (S_select ids_148_19_37 ?brokenObj_66_)) (S_select length_17_50_25 ?brokenObj_66_)))) (forall ((?brokenObj_67_ Int)) (=> (and (= true_term (is ?brokenObj_67_ T_javafe_ast_ArrayRefExpr)) (not (= ?brokenObj_67_ null))) (not (= (S_select locOpenBracket_137_20_13 ?brokenObj_67_) NULL_40_60_26)))) (forall ((?brokenObj_68_ Int)) (=> (and (= true_term (is ?brokenObj_68_ T_javafe_ast_ArrayType)) (not (= ?brokenObj_68_ null))) (= (= true_term (S_select syntax_11_28_29 (S_select elemType_28_18_28 ?brokenObj_68_))) (= true_term (S_select syntax_11_28_29 ?brokenObj_68_))))) (forall ((?brokenObj_69_ Int)) (=> (and (= true_term (is ?brokenObj_69_ T_javafe_ast_LiteralExpr)) (not (= ?brokenObj_69_ null))) (not (= (S_select loc_70_50_13 ?brokenObj_69_) NULL_40_60_26)))) (forall ((?brokenObj_70_ Int)) (=> (and (= true_term (is ?brokenObj_70_ T_javafe_ast_CompilationUnit)) (not (= ?brokenObj_70_ null))) (not (= (S_select loc_60_30_13 ?brokenObj_70_) NULL_40_60_26)))) (forall ((?brokenObj_71_ Int)) (=> (and (= true_term (is ?brokenObj_71_ T_javafe_ast_MethodInvocation)) (not (= ?brokenObj_71_ null))) (not (= (S_select locOpenParen_38_28_13 ?brokenObj_71_) NULL_40_60_26)))) (forall ((?brokenObj_72_ Int)) (=> (and (= true_term (is ?brokenObj_72_ T_javafe_ast_ExprVec)) (not (= ?brokenObj_72_ null))) (= (typeof (S_select elements_140_61_33 ?brokenObj_72_)) (array T_javafe_ast_Expr)))) (forall ((?brokenObj_73_ Int)) (=> (and (= true_term (is ?brokenObj_73_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_73_ null))) (not (= (S_select locCloseBrace_45_54_13 ?brokenObj_73_) NULL_40_60_26)))) (= true_term (is ?v_4 T_javafe_parser_TagConstants)) (not (= ?v_4 null)) (forall ((?brokenObj_74_ Int)) (=> (and (= true_term (is ?brokenObj_74_ T_javafe_ast_DoStmt)) (not (= ?brokenObj_74_ null))) (not (= (S_select loc_119_20_13 ?brokenObj_74_) NULL_40_60_26)))) (forall ((?brokenObj_75_ Int)) (=> (and (= true_term (is ?brokenObj_75_ T_javafe_ast_InstanceOfExpr)) (not (= ?brokenObj_75_ null))) (= true_term (S_select syntax_11_28_29 (S_select type_142_18_28 ?brokenObj_75_))))) (forall ((?brokenObj_76_ Int)) (=> (and (= true_term (is ?brokenObj_76_ T_javafe_ast_ArrayType)) (not (= ?brokenObj_76_ null))) (not (= (S_select locOpenBracket_28_21_13 ?brokenObj_76_) NULL_40_60_26)))) (forall ((?brokenObj_77_ Int)) (=> (and (= true_term (is ?brokenObj_77_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_77_ null))) (forall ((?i_65_62_31 Int)) (=> (and (<= 0 ?i_65_62_31) (< ?i_65_62_31 (S_select count_65_67_33 ?brokenObj_77_))) (not (= (S_select (S_select elems (S_select elements_65_61_38 ?brokenObj_77_)) ?i_65_62_31) null)))))) (forall ((?brokenObj_78_ Int)) (=> (and (= true_term (is ?brokenObj_78_ T_javafe_ast_IdentifierVec)) (not (= ?brokenObj_78_ null))) (forall ((?i_96_62_31 Int)) (=> (and (<= 0 ?i_96_62_31) (< ?i_96_62_31 (S_select count_96_67_33 ?brokenObj_78_))) (not (= (S_select (S_select elems (S_select elements_96_61_39 ?brokenObj_78_)) ?i_96_62_31) null)))))) (forall ((?brokenObj_79_ Int)) (=> (and (= true_term (is ?brokenObj_79_ T_javafe_ast_AmbiguousMethodInvocation)) (not (= ?brokenObj_79_ null))) (not (= (S_select locOpenParen_37_30_13 ?brokenObj_79_) NULL_40_60_26)))) (forall ((?brokenObj_80_ Int)) (=> (and (= true_term (is ?brokenObj_80_ T_javafe_ast_ForStmt)) (not (= ?brokenObj_80_ null))) (not (= (S_select loc_129_33_13 ?brokenObj_80_) NULL_40_60_26)))) (forall ((?brokenObj_81_ Int)) (=> (and (= true_term (is ?brokenObj_81_ T_javafe_ast_WhileStmt)) (not (= ?brokenObj_81_ null))) (not (= (S_select loc_118_20_13 ?brokenObj_81_) NULL_40_60_26)))) (forall ((?brokenObj_82_ Int)) (=> (and (= true_term (is ?brokenObj_82_ T_javafe_ast_ExprVec)) (not (= ?brokenObj_82_ null))) (<= 0 (S_select count_140_67_33 ?brokenObj_82_)))) (= (arrayLength punctuationCodes_24_164_19) ?v_5) (forall ((?brokenObj_83_ Int)) (=> (and (= true_term (is ?brokenObj_83_ T_javafe_ast_CompoundName)) (not (= ?brokenObj_83_ null))) (= (arrayLength (S_select locIds_148_25_29 ?brokenObj_83_)) (S_select length_17_50_25 ?brokenObj_83_)))) (forall ((?brokenObj_84_ Int)) (=> (and (= true_term (is ?brokenObj_84_ T_javafe_ast_NewArrayExpr)) (not (= ?brokenObj_84_ null))) (>= (arrayLength (S_select locOpenBrackets_139_65_29 ?brokenObj_84_)) (S_select count_140_67_33 (S_select dims_139_45_31 ?brokenObj_84_))))) (forall ((?brokenObj_85_ Int)) (=> (and (= true_term (is ?brokenObj_85_ T_javafe_ast_GenericBlockStmt)) (not (= ?brokenObj_85_ null))) (not (= (S_select locOpenBrace_94_22_13 ?brokenObj_85_) NULL_40_60_26)))) (forall ((?brokenObj_86_ Int)) (=> (and (= true_term (is ?brokenObj_86_ T_javafe_ast_ConstructorInvocation)) (not (= ?brokenObj_86_ null)) (not (= (S_select enclosingInstance_134_37_14 ?brokenObj_86_) null)) (= true_term (S_select superCall_134_24_17 ?brokenObj_86_))) (not (= (S_select locDot_134_41_13 ?brokenObj_86_) NULL_40_60_26)))) (forall ((?brokenObj_87_ Int)) (=> (and (= true_term (is ?brokenObj_87_ T_javafe_ast_RoutineDecl)) (not (= ?brokenObj_87_ null)) (not (= (S_select body_69_34_19 ?brokenObj_87_) null))) (not (= (S_select locOpenBrace_69_36_13 ?brokenObj_87_) NULL_40_60_26)))) (forall ((?brokenObj_88_ Int)) (=> (and (= true_term (is ?brokenObj_88_ T_javafe_ast_NewArrayExpr)) (not (= ?brokenObj_88_ null)) (not (= (S_select init_139_35_19 ?brokenObj_88_) null))) (= (S_select count_140_67_33 (S_select dims_139_45_31 ?brokenObj_88_)) 1))) (forall ((?brokenObj_89_ Int)) (=> (and (= true_term (is ?brokenObj_89_ T_javafe_ast_ParenExpr)) (not (= ?brokenObj_89_ null))) (not (= (S_select locOpenParen_144_18_13 ?brokenObj_89_) NULL_40_60_26)))) (forall ((?brokenObj_90_ Int)) (=> (and (= true_term (is ?brokenObj_90_ T_javafe_ast_NewArrayExpr)) (not (= ?brokenObj_90_ null))) (= true_term (S_select syntax_11_28_29 (S_select type_139_24_28 ?brokenObj_90_))))) (forall ((?brokenObj_91_ Int)) (=> (and (= true_term (is ?brokenObj_91_ T_javafe_ast_TryFinallyStmt)) (not (= ?brokenObj_91_ null))) (not (= (S_select loc_132_22_13 ?brokenObj_91_) NULL_40_60_26)))) (forall ((?brokenObj_92_ Int)) (let ((?v_153 (S_select tokenType_16_90_8 ?brokenObj_92_))) (=> (and (= true_term (is ?brokenObj_92_ T_javafe_ast_Identifier)) (not (= ?brokenObj_92_ null))) (and (not (= ?v_153 BOOLEANLIT_25_38_26)) (not (= ?v_153 INTLIT_25_39_26)) (not (= ?v_153 LONGLIT_25_40_26)) (not (= ?v_153 FLOATLIT_25_42_26)) (not (= ?v_153 DOUBLELIT_25_43_26)) (not (= ?v_153 STRINGLIT_25_44_26)) (not (= ?v_153 CHARLIT_25_41_26)) (not (= ?v_153 LEXICALPRAGMA_24_24_26)) (not (= ?v_153 MODIFIERPRAGMA_24_25_26)) (not (= ?v_153 STMTPRAGMA_24_26_26)) (not (= ?v_153 TYPEDECLELEMPRAGMA_24_27_26)) (not (= ?v_153 TYPEMODIFIERPRAGMA_24_28_26)))))) (forall ((?brokenObj_93_ Int)) (=> (and (= true_term (is ?brokenObj_93_ T_javafe_ast_ConstructorInvocation)) (not (= ?brokenObj_93_ null))) (not (= (S_select locOpenParen_134_48_13 ?brokenObj_93_) NULL_40_60_26)))) (forall ((?brokenObj_94_ Int)) (=> (and (= true_term (is ?brokenObj_94_ T_javafe_ast_CastExpr)) (not (= ?brokenObj_94_ null))) (not (= (S_select locOpenParen_143_21_13 ?brokenObj_94_) NULL_40_60_26)))) (forall ((?brokenObj_95_ Int)) (=> (and (= true_term (is ?brokenObj_95_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_95_ null))) (= (typeof (S_select elements_66_61_39 ?brokenObj_95_)) (array T_javafe_ast_MethodDecl)))) (forall ((?brokenObj_96_ Int)) (=> (and (= true_term (is ?brokenObj_96_ T_javafe_ast_NewInstanceExpr)) (not (= ?brokenObj_96_ null))) (= (= (S_select enclosingInstance_138_25_14 ?brokenObj_96_) null) (= (S_select locDot_138_29_13 ?brokenObj_96_) NULL_40_60_26)))) (forall ((?brokenObj_97_ Int)) (=> (and (= true_term (is ?brokenObj_97_ T_javafe_ast_BinaryExpr)) (not (= ?brokenObj_97_ null))) (not (= (S_select locOp_71_43_13 ?brokenObj_97_) NULL_40_60_26)))) (= (S_select decorationType_22_48_27 sigDecoration_6_104_38) T_javafe_tc_TypeSig) (forall ((?brokenObj_98_ Int)) (=> (and (= true_term (is ?brokenObj_98_ T_javafe_ast_CondExpr)) (not (= ?brokenObj_98_ null))) (not (= (S_select locColon_141_25_13 ?brokenObj_98_) NULL_40_60_26)))) (forall ((?brokenObj_99_ Int)) (=> (and (= true_term (is ?brokenObj_99_ T_javafe_ast_ThisExpr)) (not (= ?brokenObj_99_ null))) (not (= (S_select loc_41_29_13 ?brokenObj_99_) NULL_40_60_26)))) (forall ((?brokenObj_100_ Int)) (=> (and (= true_term (is ?brokenObj_100_ T_javafe_ast_LabelStmt)) (not (= ?brokenObj_100_ null))) (not (= (S_select locId_127_20_13 ?brokenObj_100_) NULL_40_60_26)))) (forall ((?brokenObj_101_ Int)) (=> (and (= true_term (is ?brokenObj_101_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_101_ null))) (= (S_select owner_4_35_28 (S_select elements_65_61_38 ?brokenObj_101_)) ?brokenObj_101_))) (forall ((?brokenObj_102_ Int)) (=> (and (= true_term (is ?brokenObj_102_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_102_ null))) (<= 0 (S_select count_66_67_33 ?brokenObj_102_)))) (forall ((?brokenObj_103_ Int)) (let ((?v_154 (S_select op_72_26_13 ?brokenObj_103_))) (=> (and (= true_term (is ?brokenObj_103_ T_javafe_ast_UnaryExpr)) (not (= ?brokenObj_103_ null))) (or (= ?v_154 UNARYADD_26_54_26) (= ?v_154 UNARYSUB_26_55_26) (= ?v_154 NOT_26_56_26) (= ?v_154 BITNOT_26_57_26) (= ?v_154 INC_26_58_26) (= ?v_154 DEC_26_59_26) (= ?v_154 POSTFIXINC_26_62_26) (= ?v_154 POSTFIXDEC_26_63_26))))) (forall ((?brokenObj_104_ Int)) (=> (and (= true_term (is ?brokenObj_104_ T_javafe_ast_CompoundName)) (not (= ?brokenObj_104_ null))) (not (= (S_select ids_148_19_37 ?brokenObj_104_) null)))) (forall ((?brokenObj_105_ Int)) (=> (and (= true_term (is ?brokenObj_105_ T_javafe_ast_SimpleName)) (not (= ?brokenObj_105_ null))) (not (= (S_select loc_147_20_13 ?brokenObj_105_) NULL_40_60_26)))) (forall ((?i_24_147_29 Int)) (=> (and (<= 0 ?i_24_147_29) (<= ?i_24_147_29 (arrayLength punctuationCodes_24_164_19))) (not (= (S_select (S_select elems punctuationCodes_24_164_19) ?i_24_147_29) NULL_24_82_26)))) (forall ((?brokenObj_106_ Int)) (=> (and (= true_term (is ?brokenObj_106_ T_javafe_ast_IdentifierVec)) (not (= ?brokenObj_106_ null))) (= (S_select owner_4_35_28 (S_select elements_96_61_39 ?brokenObj_106_)) ?brokenObj_106_))) (forall ((?brokenObj_107_ Int)) (=> (and (= true_term (is ?brokenObj_107_ T_javafe_ast_CompoundName)) (not (= ?brokenObj_107_ null))) (forall ((?i_148_23_29 Int)) (let ((?v_155 (S_select locIds_148_25_29 ?brokenObj_107_))) (=> (and (<= 0 ?i_148_23_29) (< ?i_148_23_29 (arrayLength ?v_155))) (not (= (S_select (S_select elems ?v_155) ?i_148_23_29) NULL_40_60_26))))))) (forall ((?brokenObj_108_ Int)) (=> (and (= true_term (is ?brokenObj_108_ T_javafe_ast_NewArrayExpr)) (not (= ?brokenObj_108_ null))) (forall ((?i_139_63_29 Int)) (=> (and (<= 0 ?i_139_63_29) (< ?i_139_63_29 (S_select count_140_67_33 (S_select dims_139_45_31 ?brokenObj_108_)))) (not (= (S_select (S_select elems (S_select locOpenBrackets_139_65_29 ?brokenObj_108_)) ?i_139_63_29) NULL_40_60_26)))))) (forall ((?brokenObj_109_ Int)) (=> (and (= true_term (is ?brokenObj_109_ T_javafe_ast_ReturnStmt)) (not (= ?brokenObj_109_ null))) (not (= (S_select loc_122_18_13 ?brokenObj_109_) NULL_40_60_26)))) (forall ((?brokenObj_110_ Int)) (=> (and (= true_term (is ?brokenObj_110_ T_javafe_ast_TypeName)) (not (= ?brokenObj_110_ null))) (= true_term (S_select syntax_11_28_29 ?brokenObj_110_)))) (forall ((?brokenObj_111_ Int)) (let ((?v_156 (S_select op_71_35_13 ?brokenObj_111_))) (=> (and (= true_term (is ?brokenObj_111_ T_javafe_ast_BinaryExpr)) (not (= ?brokenObj_111_ null))) (or (= ?v_156 OR_26_19_26) (= ?v_156 AND_26_20_26) (= ?v_156 BITOR_26_21_26) (= ?v_156 BITXOR_26_22_26) (= ?v_156 BITAND_26_23_26) (= ?v_156 NE_26_24_26) (= ?v_156 EQ_26_25_26) (= ?v_156 GE_26_26_26) (= ?v_156 GT_26_27_26) (= ?v_156 LE_26_28_26) (= ?v_156 LT_26_29_26) (= ?v_156 LSHIFT_26_30_26) (= ?v_156 RSHIFT_26_31_26) (= ?v_156 URSHIFT_26_32_26) (= ?v_156 ADD_26_33_26) (= ?v_156 SUB_26_34_26) (= ?v_156 DIV_26_35_26) (= ?v_156 MOD_26_36_26) (= ?v_156 STAR_26_37_26) (= ?v_156 ASSIGN_26_40_26) (= ?v_156 ASGMUL_26_41_26) (= ?v_156 ASGDIV_26_42_26) (= ?v_156 ASGREM_26_43_26) (= ?v_156 ASGADD_26_44_26) (= ?v_156 ASGSUB_26_45_26) (= ?v_156 ASGLSHIFT_26_46_26) (= ?v_156 ASGRSHIFT_26_47_26) (= ?v_156 ASGURSHIFT_26_48_26) (= ?v_156 ASGBITAND_26_49_26))))) (= true_term (nonnullelements otherStrings_24_193_30 elems)) (forall ((?brokenObj_112_ Int)) (=> (and (= true_term (is ?brokenObj_112_ T_javafe_ast_RoutineDecl)) (not (= ?brokenObj_112_ null))) (not (= (S_select locId_69_43_13 ?brokenObj_112_) NULL_40_60_26)))) (or (not ?v_6) (and ?v_6 (or (not ?v_7) (and ?v_7 (not ?v_9)) (and ?v_7 ?v_9 ?v_19 ?v_20 ?v_10 ?v_21 ?v_22 ?v_23 ?v_24 ?v_25 ?v_26 ?v_27 ?v_28 ?v_29 ?v_30 ?v_31 ?v_32 ?v_33 ?v_34 ?v_35 ?v_36 ?v_37 ?v_38 ?v_39 ?v_40 ?v_41 ?v_42 ?v_43 ?v_44 ?v_45 ?v_46 ?v_47 ?v_48 ?v_49 ?v_50 ?v_51 ?v_52 ?v_53 ?v_54 ?v_55 ?v_56 ?v_57 ?v_58 ?v_59 ?v_60 ?v_61 ?v_62 ?v_63 ?v_64 ?v_65 ?v_66 ?v_67 ?v_68 ?v_69 ?v_70 ?v_71 ?v_72 ?v_73 ?v_74 ?v_75 ?v_76 ?v_77 ?v_78 ?v_79 ?v_80 ?v_81 ?v_82 ?v_83 ?v_84 ?v_85 ?v_86 ?v_87 ?v_88 ?v_89 ?v_90 ?v_91 ?v_92 ?v_93 ?v_94 ?v_95 ?v_96 ?v_97 ?v_98 ?v_99 ?v_100 ?v_101 ?v_102 ?v_103 ?v_104 ?v_105 ?v_106 ?v_107 ?v_108 ?v_109 ?v_110 ?v_111 ?v_112 ?v_113 ?v_114 ?v_115 ?v_116 ?v_117 ?v_118 ?v_119 ?v_120 ?v_121 ?v_122 ?v_123 ?v_124 ?v_125 ?v_126 ?v_127 ?v_128 ?v_129 ?v_130 ?v_131 ?v_132 ?v_133 ?v_134 ?v_135 ?v_136 (or (and ?v_17 ?v_16 (not ?v_137)) (and ?v_17 ?v_18 (not ?v_138)))))) (and (or (and ?v_6 ?v_7 ?v_9 ?v_19 ?v_20 ?v_10 ?v_21 ?v_22 ?v_23 ?v_24 ?v_25 ?v_26 ?v_27 ?v_28 ?v_29 ?v_30 ?v_31 ?v_32 ?v_33 ?v_34 ?v_35 ?v_36 ?v_37 ?v_38 ?v_39 ?v_40 ?v_41 ?v_42 ?v_43 ?v_44 ?v_45 ?v_46 ?v_47 ?v_48 ?v_49 ?v_50 ?v_51 ?v_52 ?v_53 ?v_54 ?v_55 ?v_56 ?v_57 ?v_58 ?v_59 ?v_60 ?v_61 ?v_62 ?v_63 ?v_64 ?v_65 ?v_66 ?v_67 ?v_68 ?v_69 ?v_70 ?v_71 ?v_72 ?v_73 ?v_74 ?v_75 ?v_76 ?v_77 ?v_78 ?v_79 ?v_80 ?v_81 ?v_82 ?v_83 ?v_84 ?v_85 ?v_86 ?v_87 ?v_88 ?v_89 ?v_90 ?v_91 ?v_92 ?v_93 ?v_94 ?v_95 ?v_96 ?v_97 ?v_98 ?v_99 ?v_100 ?v_101 ?v_102 ?v_103 ?v_104 ?v_105 ?v_106 ?v_107 ?v_108 ?v_109 ?v_110 ?v_111 ?v_112 ?v_113 ?v_114 ?v_115 ?v_116 ?v_117 ?v_118 ?v_119 ?v_120 ?v_121 ?v_122 ?v_123 ?v_124 ?v_125 ?v_126 ?v_127 ?v_128 ?v_129 ?v_130 ?v_131 ?v_132 ?v_133 ?v_134 ?v_135 ?v_136 ?v_142 ?v_141 ?v_143) (and ?v_6 ?v_7 ?v_9 ?v_19 ?v_20 ?v_10 ?v_21 ?v_22 ?v_23 ?v_24 ?v_25 ?v_26 ?v_27 ?v_28 ?v_29 ?v_30 ?v_31 ?v_32 ?v_33 ?v_34 ?v_35 ?v_36 ?v_37 ?v_38 ?v_39 ?v_40 ?v_41 ?v_42 ?v_43 ?v_44 ?v_45 ?v_46 ?v_47 ?v_48 ?v_49 ?v_50 ?v_51 ?v_52 ?v_53 ?v_54 ?v_55 ?v_56 ?v_57 ?v_58 ?v_59 ?v_60 ?v_61 ?v_62 ?v_63 ?v_64 ?v_65 ?v_66 ?v_67 ?v_68 ?v_69 ?v_70 ?v_71 ?v_72 ?v_73 ?v_74 ?v_75 ?v_76 ?v_77 ?v_78 ?v_79 ?v_80 ?v_81 ?v_82 ?v_83 ?v_84 ?v_85 ?v_86 ?v_87 ?v_88 ?v_89 ?v_90 ?v_91 ?v_92 ?v_93 ?v_94 ?v_95 ?v_96 ?v_97 ?v_98 ?v_99 ?v_100 ?v_101 ?v_102 ?v_103 ?v_104 ?v_105 ?v_106 ?v_107 ?v_108 ?v_109 ?v_110 ?v_111 ?v_112 ?v_113 ?v_114 ?v_115 ?v_116 ?v_117 ?v_118 ?v_119 ?v_120 ?v_121 ?v_122 ?v_123 ?v_124 ?v_125 ?v_126 ?v_127 ?v_128 ?v_129 ?v_130 ?v_131 ?v_132 ?v_133 ?v_134 ?v_135 ?v_136 ?v_142 (not ?v_141) (= EC_335_7 EC_1_))) (not ?v_143))))))))))))))))))))
(check-sat)
(exit)
